Copyright e informazioni legali

Copyright, marchi e informazioni legali

Copyrights

Copyright © 1999-2001, 2002-2005 Hexagon Metrology and Wilcox Associates Incorporated. Tutti i diritti riservati.

Marchi

PC-DMIS, Direct CAD, Tutor for Windows, Remote Panel Application, DataPage e Micro Measure IV sono marchi registrati o marchi di Hexagon Metrology e Wilcox Associates, Incorporated.

SPC-Light è un marchio di Lighthouse.

HyperView è un marchio di Dundas Software Limited e HyperCube Incorporated.

Orbix 3 è un marchio di IONA Technologies.

I-DEAS e Unigraphics sono marchi o marchi registrati di EDS.

Pro/ENGINEER è un marchio registrato di PTC.

CATIA è un marchio o un marchio registrato di Dassault Systemes e IBM Corporation.

ACIS è un marchio o un marchio registrato di Spatial e Dassault Systemes.

3DxWare è un marchio o un marchio registrato di 3Dconnexion.

lp_solve è un pacchetto software gratuito licenziato e utilizzato con GNU LGPL.

lpsolve information

PC-DMIS per Windows versione 4.0 e successive utilizza un pacchetto open source gratuito denominato lp_solve (o lpsolve) distribuito in GNU LGPL (Lesser General Public License).

Dati citazione lpsolve

----------------------

Descrizione: Sistema Open source (Mixed-Integer) Linear Programming

Lingua: Multi piattaforma, source code ANSI C / POSIX, analisi basata su Lex/Yacc

Nome ufficiale: lp_solve (in alternativa lpsolve)

Data rilascio : Versione 5.1.0.0 datato 1 maggio 2004

Co-developer : Michel Berkelaar, Kjell Eikland, Peter Notebaert

Termini di licenza: GNU LGPL (Lesser General Public Licence)

Criterio citazione: Riferimenti generale come per LGPL

Riferimenti specifici del modulo some specificato nel caso

Questo pacchetto è disponibile da:

http://groups.yahoo.com/group/lp_solve/


Benvenuti in PC-DMIS 4.0

  • Pcdmis Vision

  • Pcdmis/NC

  • Pcdmis Laser

  • Pcdmis IP

  • Attrezzaggio flessibile

  • Interfacce Direct CAD

  • TutorTranslator

  • Pcdbasic

  • Editor impostazioni di registro PC-DMIS

Benvenuti in PC-DMIS 4.0

In questo file

Su Internet

Scopri le nuove funzioni offerte in questa versione

Come iniziare: Esercitazione di base

Navigazione nel file della guida

Visualizzazione di altri file della guida

Download di un manuale stampabile

Sito Web WAI

Inoltra un feedback

Pagina di supporto tecnico WAI

Download del file della guida principale in inglese più recente

Per ulteriori informazioni su come trovare informazioni in questo file della guida, fare riferimento alla sezione "Uso della Guida in linea".

Ultimo aggiornamento della guida: 25.01.06


Uso della Guida in linea

Panoramica dell'interfaccia del file della Guida

Attivazione guida tramite il tasto funzione F1

Ricerca all'interno della Guida mediante il Sommario e gli argomenti

Ricerca all'interno della Guida in base alle corrispondenze di testo

Ricerca all'interno della Guida mediante l'Indice

Uso della Roadmap Dinamica

Memorizzazione degli argomenti preferiti della Guida

Modifica delle opzioni del file della Guida

Risoluzione di problemi connessi al file di help

Collegamento al supporto Internet


Uso della Guida in linea: Introduzione

In questa sezione viene descritto come utilizzare i file della Guida di PC-DMIS installati con PC-DMIS.

Visualizza Mappa Percorsi dei Menu

In questa sezione verranno trattati i seguenti argomenti:

  • Panoramica dell'interfaccia del file della Guida

  • Attivazione guida tramite il tasto funzione F1

  • Ricerca all'interno della Guida mediante il Sommario e gli argomenti

  • Ricerca all'interno della Guida in base alle corrispondenze di testo

  • Ricerca all'interno della Guida mediante l'Indice

  • Uso della Roadmap Dinamica

  • Memorizzazione degli argomenti preferiti della Guida

  • Modifica delle opzioni del file della Guida

  • Risoluzione di problemi connessi al file di help

  • Collegamento al supporto Internet


Panoramica dell'interfaccia del file della Guida

Panoramica dell'interfaccia e della struttura del file della Guida

Quando si installa PC-DMIS, si ha a disposizione anche un file della Guida HTML compilato. Il file ha estensione .chm e si trova nella stessa directory del file eseguibile di PC-DMIS. È possibile eseguire il file della Guida in qualsiasi momento facendo clic su tale file o premendo il tasto F1.

Presentazione della Guida:il primo argomento visualizzato nel file della Guida di PC-DMIS è una presentazione. in cui sono disponibili alcuni collegamenti ad informazioni introduttive sulla versione di PC-DMIS installata.

Barra degli strumenti: la barra degli strumenti contiene i pulsanti descritti di seguito:

  • Mostra/Nascondi – Questo pulsante consente di visualizzare o nascondere le schede utilizzate per eseguire la ricerca degli argomenti.

  • Individua– Questo pulsante sincronizza l'argomento corrente, visualizzato nella finestra principale, con la vista espandibile degli argomenti della scheda Contenuti cercando l'argomento nella scheda Contenuti. Questa operazione viene di solito eseguita automaticamente.

  • Indietro/Avanti – Questi pulsanti funzionano allo stesso modo dei pulsanti omonimi di un browser Internet, ovvero memorizzano gli argomenti consultati e consentono di passare rapidamente tra gli argomenti già visualizzati, dai più ai meno recenti e viceversa.

  • Opzioni– Consente di impostare diverse opzioni per il file della Guida.

È possibile fare clic sul pulsante Mostra per aprire il riquadro di ricerca. Di seguito vengono elencate le schede disponibili in questa finestra per l'individuazione e la memorizzazione degli argomenti. È possibile interrompere la visualizzazione della finestra facendo clic su Nascondi:

  • Sommario– Questa scheda consente di eseguire la ricerca mediante il Sommario.

  • Indice – Questa scheda consente di eseguire la ricerca mediante una voce di Indice.

  • Cerca – Questa scheda consente di eseguire la ricerca in base a corrispondenze di testo.

  • Preferiti– Questa scheda consente di memorizzare gli argomenti preferiti per ricerche successive.

Nella parte restante di questa sezione vengono descritte le modalità di ricerca e di memorizzazione degli argomenti.


Attivazione guida tramite il tasto funzione F1

Si puó premere il tasto funzione F1 in qualsiasi momento, per attivare la Guida in linea. Il tasto funzione F1 puó essere usato in contesti diversi, per trovare velocemente specifici argomenti .

  • Finestre di Dialogo Aprire la finestra di dialogo. Premere F1 per visualizzare l'argomento della Guida relativo alla finestra di dialogo aperta.

  • Icone della barra degli strumenti: Passare con il cursore del mouse sopra la barra strumenti fino a visualizzarne la descrizione. Premere F1. PC-DMIS visualizza l’argomento della Guida relativo all'icona.

  • Voci di Menu: Passare con il cursore del mouse su una voce (non sull'intestazione del menu) della barra di menu. Premere F1. PC-DMIS visualizza l'argomento della Guida relativo alla voce di menu.

  • Comandi: Accedere alla finestra di modifica. Attivare la Modalità Comando di PC-DMIS. Fare clic su un comando e poi premere F1. PC-DMIS visualizza l’argomento della Guida relativo al comando.


Ricerca all'interno della Guida mediante il Sommario e gli argomenti

Visualizza Mappa Percorsi dei Menu

  1. Selezionare ? | Indice per accedere al file della Guida di PC-DMIS.

  2. Fare clic sul pulsante Mostra per visualizzare le schede.

  3. Fare clic sulla scheda Sommario. Il file della Guida visualizza un elenco delle sezioni.

  4. Individuare l'argomento principale da visualizzare, quindi fare clic sul segno più (+) accanto all'argomento desiderato. L'elenco si espande e vengono visualizzati gli argomenti secondari.

  5. Selezionare un argomento per visualizzarne il contenuto. È possibile spostarsi tra gli argomenti facendo clic sulle frecce Successivo e Precedente disponibili all'interno degli argomenti stessi.


Ricerca all'interno della Guida in base alle corrispondenze di testo

Visualizza Mappa Percorsi dei Menu

  1. Accedere al file della Guida di PC-DMIS.

  2. Fare clic sul pulsante Mostra per visualizzare le schede.

  3. Fare clic sulla scheda Cerca. Inserire il testo da cercare nella casella Type in the word(s) to search for (Digitare le parole o la parola da cercare): . Se si inserisce il testo tra virgolette, viene eseguita la ricerca della frase esatta, altrimenti viene eseguita una ricerca di tutte le parole, indipendentemente dall'ordine in cui si presentano. Gli argomenti disponibili vengono visualizzati nell'elenco degli argomenti.

  4. Fare doppio clic sull'argomento da visualizzare oppure fare clic su Visualizza. Viene visualizzato l'argomento selezionato, con tutti i termini corrispondenti a quelli inseriti ai fini della ricerca evidenziati. Per disattivare l'evidenziazione, utilizzare il pulsante Opzioni dalla barra degli strumenti del File della Guida di PC-DMIS.

Queste caselle di controllo si trovano nella parte inferiore della scheda Cerca e consente di limitare o ampliare i criteri di ricerca.

  • Search previous results (Cerca in risultati precedenti) – Questa casella di controllo consente di eseguire una ricerca all'interno dei risultati già restituiti. Questa funzione si rivela utile se sono stati individuati numerosi argomenti e si desidera limitare la ricerca.

  • Match similar words (Trova parole simili) – Questa casella di controllo consente di estendere la ricerca in modo che vengano restituiti anche i termini con significato simile a quello del termine specificato. Ad esempio, se si sta eseguendo la ricerca del termine Esporta e si seleziona questa casella di controllo, il file della Guida restituisce anche gli argomenti contenenti termini quali Esporta-to, Esporta-ndo ecc.

  • Search Titles Only (Cerca solo titoli) – Questa casella di controllo limita la ricerca, in modo che vengano restituiti solo i titoli degli argomenti e non il contenuto.


Ricerca all'interno della Guida mediante l'Indice

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Indice | ? per accedere al file della Guida di PC-DMIS.

  2. Fare clic sul pulsante Mostra per visualizzare le schede.

  3. Fare clic sulla scheda Indice. Digitare una delle voci di indice disponibili nella casella Inserisci parola chiave da cercare: . Se la ricerca non restituisce alcun risultato per il termine specificato, provare a utilizzare un sinonimo.

  4. Quando si individua l'argomento desiderato, fare clic sul pulsante Visualizza oppure fare doppio clic sull'argomento. Spesso un argomento è suddiviso in argomenti secondari. In tal caso, nella finestra di dialogo Topics Found (Argomenti trovati) è possibile selezionare l'argomento secondario che si desidera visualizzare.


Uso della Roadmap Dinamica

A partire alla versione 3.5,alcune versioni del file di guida di PC-DMIS mostrano dinamicamente le voci di menu da selezionare per accedere a finestredi dialogo, voci di menu, oppure ai comandi della finestra di Modifica, documentati in un paragrafo particolare della guida. Anche quando si usa un'interfaccia utente personalizzata, la mappa dei percorsi interroga PC-DMIS e restituisce le selezioni da effettuare sul menu.

Importante: per consentire alla mappa dei percorsi di restituire il percorso del menu, utilizzare il browser di Internet Explorer e assicurarsi che sia in esecuzione un'istanza di PC-DMIS.

  • Nella versione 3.5 di PC-DMIS, la mappa dinamica dei percorsi viene visualizzata automaticamente in cima all'argomento scelto.

  • A partire dalla versione 3.6, la mappa dinamica dei percorsi viene visualizzata in una finestra popup separata, quando si fa clic su una piccola icona gialla [image] nei singoli argomenti:

Esempio di mappa dinamica dei percorsi per V3.5 | Esempio di mappa dinamica dei percorsi per la versione 3.6 e successive


Memorizzazione degli argomenti preferiti della Guida

Il file della Guida di PC-DMIS consente di memorizzare gli argomenti preferiti in modo da poterli utilizzare successivamente Questi argomenti rimangono memorizzati anche se il file della Guida viene chiuso, così da poter essere visualizzati alla successiva apertura.

  1. Accedere al file della Guida di PC-DMIS.

  2. Fare clic sul pulsante Mostra per visualizzare le schede.

  3. Eseguire una ricerca per individuare gli argomenti da salvare, mediante uno dei metodi disponibili.

  4. Fare clic sulla scheda Preferiti. Nella casella Current Topic (Argomento corrente)il titolo dell'argomento corrente viene visualizzato nel riquadro di destra.

  5. Fare clic sul pulsante Aggiungi. PC-DMIS aggiunge l'argomento all'elenco Argomenti nella scheda Preferiti.

  6. Per visualizzare un argomento preferito memorizzato, fare doppio clic nell'elenco degli Argomenti.

  7. Per rimuovere un argomento, selezionarlo e fare clic su Rimuovi.


Modifica delle opzioni del file della Guida

Il pulsante Opzioni della barra degli strumenti, consente di modificare numerose opzioni del file della Guida.

  • Nascondi schede / Visualizza schede – Funziona allo stesso modo dei pulsanti Nascondi/ Mostra della barra degli strumenti.

  • Indietro/ Avanti– Funzionano come i pulsanti Indietro/ Avanti della barra degli strumenti.

  • Home – Riporta alla pagina iniziale associata al file della Guida.

  • Interrompi – Interrompe l'elaborazione in corso. Generalmente quando si accede a una pagina Web esterna dal browser del file della Guida, l'elaborazione viene interrotta.

  • Aggiorna – Aggiorna l'argomento corrente. Se si accede a una pagina Web esterna il cui contenuto è stato modificato rispetto all'ultimo accesso, la selezione di questo pulsante consente di visualizzare il contenuto più aggiornato della pagina.

  • Opzioni Internet – Consente di accedere alla finestra di dialogo Opzioni Internet. Vedere la Guida di Internet Explorer.

  • Ask It (Domanda)– Questa opzione consente di accedere al metodo di ricerca Ask It (Domanda).

  • Stampa – Invia l'argomento corrente alla stampante.

  • Search Highlight Off (Disattivazione evidenziazione)– Disattiva il testo sottolineato negli argomenti visualizzati quando si utilizza la scheda Cerca.


Risoluzione di problemi connessi al file di help

Sono trattati nel seguito alcuni degli errori piú comuni che si possono verificare nella visualizzazione del file di Guida in linea.

Quando si visualizza una mappa dinamica dei percorsi, si ottiene un errore di script:

Assicurarsi che helpmap.ocx esista e sia registrato sul computer, perche questo componente ActiveX é necessario alla visualizzazione della mappa dinamica dei percorsi. La reinstallazione di PC-DMIS o la registrazione manuale di questo file dovrebbero risolvere il problema.

Per risolvere il problema con un intervento manuale,

  1. Scaricare il file .ocx da:
    ftp://ftp.wilcoxassoc.com/docs/onlinehelp/OCX/helpmap.zip

  2. Inserire il file helpmap.ocx nella directory dove risiede il file eseguibile di PC-DMIS.

  3. In una finestra di Comandi (DOS), puntare alla directory che contiene il file .ocx.

  4. Digitare "regsvr32 helpmap.ocx".

Quando si visualizza una Mappa Dinamica dei Percorsi, la finestra popup non mostra:

La mappa dinamica dei percorsi può essere utilizzata solo con il browser Internet Explorer. Su alcuni sistemi, se non è installato Internet Explorer versione 6.0 o successiva, le finestre di popup utilizzate nella versione 3.6 e successive non potranno essere utilizzate e potranno verificarsi errori di script.

Per risolvere questo problema, si provi ad installare la versione piú recente di Internet Explorer con tutte le patch ed I service pack associate.

Assicurarsi inoltre che sia attiva un'istanza di PC-DMIS, per poter visualizzare la mappa dei percorsi.

Quando si visualizza una mappa dei percorsi, viene visualizzato un messaggio che avverte di non poterne visualizzare il menu, perché PC-DMIS non è attivo, oppure perché la stringa di comando non è passata correttamente.

Assicurarsi che sia attiva un'istanza di PC-DMIS. Se si ottiene ancora un errore, allora deve esserci un problema nel codice usato per interrogare PC-DMIS riguardo alla visualizzazione del particolare argomento, nella mappa dinamica dei percorsi. Per risolvere il problema, annotare il titolo dell'argomento e rivolgersi al servizio tecnico.


Collegamento al supporto Internet

Visualizza Mappa Percorsi dei Menu

PC-DMIS versione 4.0 e successive consentono di collegarsi a una sessione di supporto Internet, attivata da WebEx, dove insieme a un tecnico è possibile utilizzare un'interfaccia basata su browser per affrontare problemi, trasferire file, visualizzare applicazioni o condividere il controllo dell'applicazione per individuare e risolvere più facilmente i singoli problemi in tempo reale.

Importante: per poter stabilire un collegamento a una sessione di supporto Internet remota, è necessario prima ottenere il numero di sessione di supporto univoco dall'assistenza.

Per stabilire il collegamento a una sessione di supporto Internet remota:

  1. Selezionare ? | Supporto Internet. Viene visualizzata la finestra di dialogo Supporto Internet.

  2. Riempire i campi nella finestra di dialogo: Nome, Cognome, Indirizzo Email e Numero sessione supporto.

  3. Fare clic sul pulsante OK. Viene avviato il browser Internet. Se il collegamento a Internet non è ancora attivo, viene visualizzato un messaggio di richiesta di collegamento:

  4. Una volta stabilito il collegamento, l'interfaccia WebEx si avvia consentendo di risolvere eventuali problemi in corso.


Guida introduttiva: panoramica

Panoramica: Introduzione

Nuove funzioni disponibili in questa versione

Struttura del manuale

Convenzioni

Terminologia per il mouse

Grassetto

Testo in corsivo

Maiuscolo

Sottolineato

Elenchi puntati

Elenchi numerati

Collegamenti a CAD

Uso del mouse o di un dispositivo analogo

Configurazione di uno ZMouse

Configurazione di uno SpaceBall o di uno SpaceMouse (mouse tridimensionale)

Funzioni PC-DMIS disponibili per SpaceMouse o SpaceBall

Assegnazione di funzioni PC-DMIS a pulsanti dello SpaceMouse o dello SpaceBall

Esecuzione automatica di PC-DMIS

Configurazioni software

Differenze tra versioni online e offline

Creazione di part-program online

Creazione di part-program offline

PC-DMIS Vision

PC-DMIS/NC

PC-DMIS Laser

PC-DMIS Gear


Panoramica: Introduzione

Il termine "PC-DMIS" deriva dall'acronimo "DMIS": Dimensional Measuring Interface Standard (standard per l'interfaccia delle misure dimensionali).

PC-DMIS per Windows è un pacchetto completo di misurazione geometrica che consente di convertire i comandi di alto livello per la misurazione dei pezzi nelle operazioni necessarie per la gestione di una macchina di misura a coordinate (CMM). PC-DMIS per Windows utilizza l'interfaccia Microsoft Windows per creare ed eseguire i part-program. È possibile avviare facilmente il processo di misurazione utilizzando i menu a discesa, le finestre di dialogo e le icone. La notevole versatilità dell'interfaccia di PC-DMIS consente anche di personalizzare facilmente il software in base alle proprie esigenze.

PC-DMIS per Windows è stato progettato con l'idea di garantire una particolare flessibilità e facilità d'uso. A tale scopo, PC-DMIS presenta un ambiente flessibile che consente di correggere gli errori in tempo reale anziché eseguire la lunga procedura di debug tipica degli altri pacchetti software di misurazione geometrica. Inoltre, utilizza le dimensioni per evitare di analizzare ed interpretare i risultati delle misurazioni eseguite mediante la macchina CMM. Le tecniche utilizzate per creare i part-program su una macchina CMM risultano particolarmente semplici e, con la pratica, sistematiche. In questa guida non viene descritto dettagliatamente il processo di ispezione dimensionale. Per ottenere ulteriori informazioni sui principi delle ispezioni dimensionali, contattare il rappresentante software di zona.

Siamo sicuri che PC-DMIS si dimostrerà uno strumento particolarmente utile e potente. Se avete suggerimenti o commenti, non esitate a contattarci. Le vostre indicazioni saranno preziose per migliorare il nostro prodotto.

In questa sezione verranno trattati i seguenti argomenti:

  • Nuove funzioni disponibili in questa versione

  • Struttura del manuale

  • Collegamenti a CAD

  • Uso del mouse o di un dispositivo analogo

  • Esecuzione automatica di PC-DMIS

  • Configurazioni software

Nota: questa guida contiene la documentazione di base necessaria per utilizzare PC-DMIS per Windows. Tuttavia, a causa della natura modulare di PC-DMIS, file di guidaaggiuntivi possono essere installati sul vostro sistema. Fare clic sulla scheda del Sommario, nel file di guida, per visualizzare i file installati.


Nuove funzioni disponibili in questa versione

Il file readme.txt, presente nella directory di installazione di PC-DMIS, elenca le anomalie risolte ed i miglioramenti apportati nella presente versione. Le funzioni nuove piú importanti contenute nel file sono elencate qui e provviste di agganci a sezioni che ne descrivono il campo di applicabilitá:

Nuove funzioni di PC-DMIS base

  • Nuove funzioni di reporting - Vedere "Rapporti dei risultati di misura".

    • Rapporti e template delle etichette possono essere create utilizzando strumenti per la loro costruzione. Quando si applica un template ad un part program, il risultato é il rapporto nella forma (modulo) desiderato. I template delle etichette forniscono informazioni sulla forma con cui un particolare tipo di comando deve presentare i dati all'interno del rapporto.

    • Processo di analisi per definire come e dove gli elementi si presentano nel rapporto. Gli elementi che devono far parte del rapporto vengono aggiunti alla sezione, all'etichetta ed a quant'altro si applica a quel tipo di elemento.

    • L'utente puó specificare con un messaggio scritto (prompt) le proprietá degli oggetti nei rapporti.

    • Il processo di stampa rapporto puó gestire con grande flessibilitá rapporti complessi.

    • Il linguaggio delle espressioni dei rapporti é un'opzione aggiuntiva del reporting.

    • L'Editor dei form (moduli) permette di preparare moduli che interagiscono con l'utente.

    • Una finestra Rapporto di nuova concezione visualizza i risultati dell'esecuzione.

  • Nuove dimensioni - Vedere "Uso delle Feature Control Frame" and "Dimensionamento elementi"

    • É possibile usare elementi Datum e visualizzare le Feature Control Frame (FCF). Viene utilizzato il metodo di dimensionamento predefinito.

    • É possibile definire elementi datum per il calcolo dimensionale.

    • L'elemento di menu Runout (Oscillazione) é suddiviso in Runout totale e Runout circolare.

    • La voce di menu Rotonditá si divide in Circolaritá e Cilindricitá.

    • Facendo doppio clic su un elemento nella finestra Visualizzazione grafica, viene creata una FCF che porta con sé una casella di testo integrata con la dimensione relativa.

    • É possibile calcolare simultaneamente due o piú tolleranze nella stessa struttura di riferimento del datum.

    • Esiste un triedro separato rispetto alla struttura di riferimento del datum.

    • Dimensioni di orientazione si possono calcolare rispetto alla struttura di riferimento del datum.

  • Modalitá di esecuzione manuale (ordine di esecuzione definito dall'utente) - Consente una grande flessibilitá nell'esecuzione dei part program. Gli elementi si possono eseguire con un ordine qualsiasi. É la modalitá predefinita delle macchine manuali, non é utilizzata dai sistemi DCC. Essa è particolarmente utile nel caso di dispositivi portatili. Fare riferimento a "Esecuzione fuori servizio" in "Uso delle opzioni file avanzate".

  • L'export DMIS é piú flessibile se si opera in modalitá offline. Ció consente di programmare con PC-DMIS in modalitá CMM che non sono controllate da PC-DMIS. Vedere "Esportazione in un file DMIS" in "Uso di opzioni file avanzate". Una nuova finestra Impostazioni fornisce un modo veloce per modificare impostazioni comuni normalmente accessibili nella finestra di dialogo Impostazione parametri. Fare riferimento a Uso della finestra Impostazioni nella sezione Uso di altre finestre, editor e strumenti.

  • Opzioni di importazione per specificare il colore di punti, curve, superfici ed elementi datum importati. Le polyline importate possono essere esplose in punti singoli. Vedere "Impostazioni delle opzioni di importazione" in "Uso di opzioni file avanzate".

  • L'utente puó specificare i gradi di libertá che intende usare nell'allineamento best-fit. Fare riferimento a "Creazione di un allineamento best-fit" in "Creazione ed uso degli allineamenti".

  • È possibile effettuare ingrandimenti, zoom e rotazioni allo stesso tempo se si dispone di un dispositivo SpaceBall 5000 o di un SpaceMouse. È possibile anche definire una funzionalitá come dominante, in modo da filtrare le altre funzioni di movimento. Fare riferimento a "Come configurare un dispositivo SpaceBall o SpaceMouse".

  • É ora disponibile un'opzione di import del formato IGES per quei file IGES che non importano correttamente con l' Import IGES standard. Fare riferimento a "Importazione di un file IGES (alternativo)" da "Uso di opzioni file avanzate".

  • Nuove funzioni: elemento automatico "1 Clic" Fare riferimento a "Creazione rapida di elementi automatici" in "Creazione di elementi automatici"

  • Una nuova casella nella finestra di dialogoImport DES permette di esplodere le polyline in singoli punti. Fare riferimento a "Importazione di un file DES" da "Uso di opzioni file avanzate".

  • Una nuova casella di dialogo permette di trasformare ed adattare in scala (anche in modo non uniforme) i dati CAD. Vedere "Trasformazione di un modello CAD" in "Modifica della visualizzazione CAD".

  • I commenti della documentazione (COMMENT/DOC) riportano $$, per indicare il testo di un commento. Fare riferimento a "Testo di commento" in "Inserimento dei comandi rapporto".

  • È possibile costruire un cerchio pertendo da un cono, ad una altezza definita lungo il suo asse. Vedere "Costruzione di un cerchio da un cono" in "Costruzione di nuovi elementi a partire da elementi esistenti".

  • Durante l'esecuzione, verranno ignorate anche le dipendenze di elementi che sono stati ignorati. Vedere "Uso della finestra di dialogo Opzioni della modalitá di esecuzione" in "Uso delle opzioni file avanzate: introduzione".

  • Un nuovo elenco di Piani consente di selezionare un piano su cui proiettare linee e cerchi. Fare riferimento a "Barra degli strumenti Impostazioni" in" Uso delle barre degli strumenti".

  • Nuove funzioni della visualizzazione grafica -

    • Applicazione di gradiente allo sfondo dello schermo. Vedere Modifica dei colori dello schermo.

    • È possibile selezionare un puntatore a croce anziché a freccia. Vedere Modifica dei colori dello schermo.

    • Consente la scelta del colore per evidenziare e del puntatore in modalitá Mouse su evidenziato (MOHL). Vedere Modifica dei colori dello schermo.

    • La posizione delle etichette si basa sulla vista corrente e non sull'insieme delle viste.

    • Trascinamento con animazione nella finestra di visualizzazione grafica.

    • Scegliere uno dei sistemi multipli di coordinate CAD da applicare nella finestra di visualizzazione Grafici oppure creare un nuovo sistema di coordinate a partire dalla trasformazione CAD corrente. Vedere "Come operare con i sistemi di coordinate CAD" in "Modifica della visualizzazione CAD".

    • Opzione supporto tecnico via Internet. Vedere "Collegamento al supporto Internet" in "Uso della Guida in linea".

  • Nuove funzioni di scansione - Vedere "Scansione di un pezzo".

    • Nuova scansione libera

    • Nuova scansione a griglia

  • Nuove funzioni del braccio portatile - Vedere "Operazioni con dispositivi portatili".

    • Menu utenti e barre degli strumenti semplificate.

    • Converte le rilevazioni in punti vettori.

    • La modalitá Mouse é diponibile su bracci portatili.

    • É stato aggiunto un suono per ogni bersaglio raggiunto ai bracci Romer.

    • É disponibile il supporto Perceptron su bracci Romer.

    • É stata aggiunta ai tastatori rigidi, nel caso di misura di lamiere sottili, una funzionalitá che compensa il raggio pallina correttamente, a seconda della direzione di impatto ( e non solo a 90 gradi rispetto al pezzo ).

  • Possibilitá di registrare il numero di versione DMIS al momento dell'import in PC-DMIS. Vedere "Importazione di un programma DMIS" in "Uso di opzioni file avanzate".

  • É ora possibile misurare uno stesso elemento utilizzando tastatori di dimensioni differenti. Nelle versioni precedenti la 4.0 PC-DMIS supponeva che un elemento fosse misurato con la stessa punta, e quindi la misura eseguita con punte di dimensioni differenti dava risultati non corretti. Ora, tuttavia, come effetto dell'uso di algoritmi migliorati, é possibile misurare un elemento usando tastatori con punte dotate di raggi pallina differenti.

  • Possibilitá di creare facilmente insiemi di elementi misurati (insiemi di punti). Vedere "Creazione di insiemi di elementi misurati" in "Creazione di elementi misurati".

Nuove funzioni di PC-DMIS IP

Si rimanda alla documentazione di PC-DMIS IP per la descrizione delle nuove funzionalitá.

  • L'Inspection Planner fornisce nuovi e migliori metodi di visualizzazione, nella finestra di visualizzazione grafica, dei piani di svincolo rappresentati con piani trasparenti. Fare riferimenti al file della guida di Inspection Planner.

Nuove Funzioni dell'attrezzaggio flessibile

La descrizione delle nuove funzionalitá si trova nella documentazione dell'attrazzaggio flessibile.

  • É stato aggiunto il supporto per l'attrezzaggio manuale flessibile (5Unique). Fare riferimento al file della guida dell'attrezzaggio flessibile.

Nuove funzioni di PC-DMIS Laser

  • L'applicazione Nuvola di Punti (Cloud of Points, COP) opera con scansioni laser. Questa funzionalitá opera con qualsiasi tipo di scansione e non soltanto con scansioni laser. Le scansioni laser devono essere inserite in una Nuvola di Punti (COP).

  • Sensori supportati: Perceptron + CW43L + 3zo asse & Metris + PH10.

Nuove funzioni dell'interfaccia Direct CAD

La descrizione delle nuove funzionalitá si trova nella documentazione di Direct CAD.

  • Interfaccia Direct CAD aggiunta per SolidEdge.

  • Pro/Engineer DCI é stato riprogettato per potersi avvantaggiare delle nuove caratteristiche di Wildfire e Wildfire 2.0, ottenendo un aumento significativo nelle prestazioni.

  • L'Interfaccia CATIA 5 Direct CAD é supportata.

Nuove funzioni di PC-DMIS Vision

Fare riferimento alla documentazione di PC-DMIS IP per la descrizione delle nuove funzionalitá.

  • PC-DMIS Auto Shutter™ - É sufficiente posizionare l'elemento da misurare nell'inquadratura della telecamera e PC-DMIS troverà automaticamente l'elemento. lo misurerà e visualizzerà una freccia e la distanza dall'immagine, in modo da guidare l'utente nel posizionamento.

  • Vista Immagine live: é stata resa scalabile (si puó ingrandire o rimpicciolire) in modo da occupare tutta l'area disponibile sullo schermo.

  • É stato aggiunto il supporto per Acquisizione immagine Cronos low cost di Matrox e per telecamera Artcam USB.

  • La finestra di dialogo di Configurazione interfaccia macchina contiene una piú facile impostazione delle sorgenti di illuminazione.

  • É stata migliorata l'interfaccia utente per la gestione della sorgente ad anello.

  • Supporto Visione CMM-V per telecamera montata sul dispositivo polso di una CMM.

  • Supporto per Metronics aggiunto a PC-DMIS VISION. Retrofit a macchine con sistema di visione per mezzo della Interfaccia Metronics (ad esempio, Mitutoyo Quick Vision).

  • Supporto per Red Line Mycrona.

  • Miglioramento al sistema di puntamento automatico di PC-DMIS che ora riconosce automaticamente se l'elemento é in posizione.

  • Le sorgenti di illuminazione sono ora controllate direttamente nella finestra Strumenti tastatore, rendendone piú agevole l'uso.

  • Supporto per elemento automatico punto angolo nella visione.

  • Supporto per elemento automatico tacca visione.

  • L'immagine live di Visione puó essere ridotta in scala.

  • La guida operatore (Wizard) all'allineamento 3-2-1 ammette ora elementi della visione.


Struttura del manuale

Questa Guida in linea è suddivisa in più sezioni principali ed alcune sezioni supplementari.

L'elenco che segue cerca di dare un'idea del layout della guida in linea, con una breve descrizione di ciascuna sezione.

"Come iniziare: panoramica" é la sezione che state leggendo. Viene fornita qui una breve panoramica sul contenuto del file della Guida in linea di PC-DMIS.

"Come iniziare: esercitazione di base" descrive il processo di misurazione attraverso una esercitazione di esempio.

"Nella sezione Navigazione dell'interfaccia utente vengono descritte l'interfaccia utente di PC-DMIS e le personalizzazioni che è possibile effettuare per soddisfare le esigenze specifiche.

"Nella sezione Uso delle opzioni di base dei file vengono descritte le operazioni di base che è possibile eseguire sui file utilizzando PC-DMIS, ad esempio, l'avvio e il salvataggio di un nuovo part-program e l'uscita da PC-DMIS.

"Nella sezione Uso delle opzioni avanzate dei file vengono descritte operazioni più avanzate quali l'importazione e l'esportazione dei file CAD e l'esecuzione dei part-program.

"Nella sezione Impostazione delle preferenze vengono descritte le modalità d'uso delle opzioni di impostazione nel menu Modifica per impostare le preferenze. Viene inoltre descritto come inserire e modificare i parametri dei part-program.

"Nella sezione Modifica della visualizzazione CAD viene descritto come utilizzare le opzioni disponibili nel menu Grafici della finestra di visualizzazione grafica per modificare la visualizzazione del file CAD.

"Nella sezione Modifica di un part-program viene descritto come utilizzare le opzioni disponibili nel menu Modifica della finestra di modifica per modificare il part-program.

"Nella sezione Uso della finestra di modifica viene descritto come utilizzare l'editor incorporato di PC-DMIS per creare, eseguire il debug, modificare ed eseguire il part-program.

"Nella sezione Uso di altre finestre, editor e strumenti vengono illustrati alcune finestre aggiuntive, editor e altri strumenti disponibili dal menu Vista .

"Nella sezione Uso delle barre degli strumenti vengono descritte le barre degli strumenti disponibili nella finestra di visualizzazione grafica e la funzione di ciascuna icona della barra nelle varie fasi di creazione o modifica dei part-program.

"Nella sezione Definizione dell'hardware viene descritto il menu secondario Definizione dell'hardware, disponibile nel menu Inserisci. Mediante il menu secondario Definizione dell'hardware è possibile definire tastatori, macchine o attrezzaggi da utilizzare con PC-DMIS. La sezione descrive anche la calibrazione della punta.

"Nella sezione Creazione di elementi automatici viene descritto come utilizzare l'opzione Inserisci | Elemento | Automatico per creare elementi automatici e misurarli nel part-program.

"Nella sezione Creazione di elementi misurati viene descritto come utilizzare l'opzione Inserisci | Elemento | Misurato per creare elementi misurati nel part-program.

"Nella sezione Costruzione di nuovi elementi da elementi esistenti viene descritto come costruire elementi e inserirli nel part-program utilizzando l'opzione Inserisci | Elemento | Costruito.

"Nella sezione Creazione di elementi generici viene descritto come inserire un comando Leggi punto e creare elementi generici utilizzando le opzioni Inserisci | Elemento | Leggi punto e Inserisci | Elemento | Generico.

"Nella sezione Creazione e uso degli allineamenti viene descritto come creare e salvare gli allineamenti utilizzando il menu secondario Inserisci | Allineamento.

"Nella sezione Dimensionamento degli elementi viene descritto come dimensionare gli elementi utilizzando il menu secondario Inserisci | Dimensione.

"Uso delle Feature Control Frames descrive come calcolare le dimensioni di elementi per mezzo delle Feature Control Frames e della simbologia dello standard GD&T.

"Nella sezione Scansione pezzo viene descritto come eseguire la scansione e creare scansioni di base o avanzate utilizzando il menu secondario Inserisci | Scansione.

"Nella sezione Inserimento di comandi di movimento vengono descritti vari comandi di movimento che è possibile inserire nel part-program utilizzando il menu secondario Inserisci | Movimento.

"Nella sezione Esecuzione della diramazione mediante il controllo di flusso vengono descritti numerosi comandi che è possibile utilizzare per controllare il flusso del part-program mediante il menu secondario Inserisci | Controllo flusso.

"Nella sezione Trattamento statistico dei dati viene descritto come utilizzare i dati statistici del part program.

"La sezione Rapporto risultati della misura guida alla creazione di rapporti e template di etichette ed all'utilizzo dei moduli (form).

"Nella sezione Inserimento di comandi rapporto vengono descritti i comandi del rapporto che è possibile inserire nel part-program utilizzando il menu secondario Inserisci | Comando rapporto.

"Nella sezione Uso del file di input/output viene descritto come lavorare con l'input e l'output dei file nel part-program e aprire i file per eseguire operazioni di lettura, scrittura e così via utilizzando il menu secondario Inserisci | Comando file I/O.

"Nella sezione Uso delle espressioni e delle variabili viene descritto come creare espressioni e assegnare i risultati dell'espressione alle variabili.

"Nella sezione Aggiunta di elementi esterni viene descritto come utilizzare applicazioni, script, part-program e altri oggetti esteri nel part-program per migliorarne le funzioni.

"Nella sezione Uso della modalità Bracci multipli viene descritto come utilizzare PC-DMIS con macchine CMM a più bracci.

"Nella sezione Spostamento tra più finestre visualizzate viene descritto come visualizzare le finestre aperte e spostarsi in modo semplice tra di esse utilizzando il menu Finestra.

"Nella sezione Uso della Guida in linea viene descritto come ottenere assistenza utilizzando il menu ?.

Oltre a quelle indicate in precedenza, PC-DMIS prevede altre sezioni supplementari con informazioni sui seguenti argomenti:

  • "Come operare in modalitá Offline"

  • "Traduzione di un part program in PC-DMIS"

  • "Uso di un dispositivo Polso"

  • "Calibrazione di tastatori poco comuni"

  • "Operazioni con dispositivi portatili"

  • "Operazioni in modalità Operatore"

  • "Misura di elementi automatici con il tastatore video NC-100"

  • "Uso dei menu e dei tasti di scelta rapida"

  • "Codici di Errore"

Vedere anche:

Convenzioni


Convenzioni

Nella Guida in linea sono state adottate le convenzioni riportate di seguito.

Vedere anche:

Terminologia per il mouse

Grassetto

Testo in corsivo

Maiuscolo

Sottolineato

Elenchi puntati

Elenchi numerati


Terminologia per il mouse

L'espressione "Fare clic con il pulsante del mouse" viene utilizzata nel file di questa guida. Questa opzione fa riferimento all'operazione effettuata quando si preme e si rilascia rapidamente il pulsante del mouse. Ad esempio, per selezionare un'opzione di menu, posizionare il puntatore del mouse (a forma di freccia) sull'opzione desiderata, quindi premere e rilasciare (fare clic) rapidamente il pulsante sinistro del mouse. In questo modo è possibile attivare la maggior parte delle opzioni. Pertanto, quando viene richiesto di "fare clic" su un elemento, utilizzare sempre il pulsante sinistro del mouse, a meno che venga indicato diversamente.

Tenere premuto il pulsante del mouse - Nel presente file della guida, viene spesso utilizzata la frase "Tenere premuto il pulsante del mouse". Tale frase indica che si deve mantenere premuto il tasto del mouse mentre si effettua una qualche operazione. Il tasto premuto é quello sinistro, a meno che non sia diversamente specificato. Alcune funzionalitá richiedono di premere entrambi i tasti contemporaneamente. In tali casi, se il mouse é dotato di pulsante o rotella centrale, si puó tener premuto questo/a, anziché entrambi i pulsanti.


Grassetto

Il grassetto indica principalmente:

  • Elementi delle finestre di dialogo

  • Titoli delle finestre di dialogo

  • Pulsanti di comando

  • Icone

  • Menu e voci di menu

  • Barre degli strumenti

Ad esempio:

  1. Selezionare la voce di menu File | Nuovo.

  2. Accedere alla finestra di dialogo Apri.

  3. Fare clic sul pulsante Salva.

I termini Note, Messaggi di avvertenza, Suggerimenti ed Esempi sono visualizzati in grassetto.

Quando si fa riferimento a menu e voci di menu all'interno di procedure o altre strutture, la documentazione guida alla ricerca nel modo seguente:

Menu | sottomenu o voce di menu| voce di menu

Tuttavia, poiché menu e nomi si possono personalizzare, la documentazione presenta le voci di menu nella posizione predefinita.

Il file della guida in linea tuttavia, presenta una icona della mappa percorsi di menu con parecchi argomenti. Facendo clic su questa icona sarà possibile visualizzare il percorso della voce (o delle voci) del determinato menu.


Testo in corsivo

Il testo in corsivo viene utilizzato principalmente per evidenziare un'informazione. Ad esempio, "Se . il tastatore trova un'ostruzione, questo non verrà bloccato automaticamente".

Il corsivo indica inoltre:

  • Titoli di manuali o documenti

  • Argomenti predefiniti (in programmazione)

  • Parametri (in programmazione)

  • Segnaposti (in programmazione)

  • Input utente (in programmazione)


Maiuscolo

Il maiuscolo viene di solito utilizzato per indicare:

  • Acronimi (ad esempio, VDAFS, DMIS)

  • Ora (ad esempio, A.M. e P.M.)

  • Nomi di periferiche (ad esempio, LPT1 oppure PORTA COM)

Viene inoltre utilizzato il maiuscolo per i seguenti elementi di programmazione:

  • Classi di controllo

  • Formati di dati

  • Variabili di ambiente

  • Handle

  • Hook

  • Indici

  • Macro

  • Istruzioni

  • Strutture

  • Comandi di sistema

  • Valori


Sottolineato

Il testo sottolineato viene utilizzato, in alternativa al corsivo, per evidenziare indicazioni o passaggi salienti.


Elenchi puntati

Gli elenchi puntati "·" vengono utilizzati per indicare un elenco di opzioni o di comandi disponibili per determinate voci o elementi del programma descritti in una sezione o in un argomento.


Elenchi numerati

Gli elenchi numerati vengono utilizzati per descrivere una serie di operazioni nelle istruzioni e nelle procedure. Ad esempio:

  1. Scegliere File.

  2. Selezionare Nuovo.

  3. Completare la finestra di dialogo Nuovo part program.


Collegamenti a CAD

In PC-DMIS sono disponibili vari metodi per la trasmissione della geometria CAD, dei part-program e dei dati delle misurazioni dai e/o ai diversi sistemi CAD. L'uso dei dati CAD rappresenta una delle funzioni avanzate di PC-DMIS.

PC-DMIS consente di importare la geometria CAD e di esportare i risultati delle misurazioni mediante i seguenti formati:

  • IGES 5.3

  • STEP AP203 & AP214

  • VDAFS

  • DES (2/78)

  • Formato XYZIJK

PC-DMIS consente di importare i seguenti elementi da utilizzare per la generazione dei part-program o come guida nell'esecuzione dei programmi:

  • Wire-frame bidimensionali

  • Wire-frame a 2,5 dimensioni

  • Wire-frame tridimensionali

  • Modelli CAD di superfici e curve B-spline

Si veda nella sezione "Come operare in modalitá offline" per un elenco completo delle entità IGES supportate.

I part-program creati con sistemi CAD possono essere importati in PC-DMIS mediante DMIS 3.0. I part-program PC-DMIS possono essere esportati in DMIS per l'esecuzione con un diverso software CMM.

È possibile anche esportare i risultati delle misurazioni di PC-DMIS come file dei risultati in formato DMIS.


Uso del mouse o di un dispositivo analogo

PC-DMIS è stato progettato con l'idea di garantire una particolare flessibilità e facilità d'uso. Per questa ragione PC-DMIS permette di utilizzare dispositivi di puntamento e di movimento. Il mouse è un elemento indispensabile per lavorare con PC-DMIS poiché consente di eseguire tutte le funzioni disponibili in modo rapido e preciso. È comunque possibile accedere alla maggior parte delle funzioni di PC-DMIS anche utilizzando la tastiera.

Vedere anche:

Configurazione di uno ZMouse

Configurazione di uno SpaceBall o di uno SpaceMouse (mouse tridimensionale)


Configurazione di uno ZMouse

Con alcuni sistemi è disponibile un dispositivo di puntamento (trackball) denominato ZMouseÒ. Tale dispositivo consente di controllare lo spostamento del puntatore del mouse lungo la guida z.

È necessario che l'ultima riga del file dei parametri (DOWNLOAD) contenga la seguente stringa:

N1000 ZMOUSE2
o
N500 ZMOUSE2

Per attivare ZMouseÒ, è necessario verificare che alla fine del file DOWNLOAD sia effettivamente riportata una delle suddette stringhe. In caso contrario, apportare le modifiche opportune.


Configurazione di uno SpaceBall o di uno SpaceMouse (mouse tridimensionale)

Questi dispositivi sono supportati da PC-DMIS, a partire dalla versione 3.7.

  • SpaceBall®

  • SpaceMouse®

Tali dispositivi comunicano con PC-DMIS attraverso l’interfaccia 3DxWare. L'interfaccia utilizza un file di configurazione fornito insieme a PC-DMIS o sul CD 3DConnection. Il file di configurazione definisce le funzioni applicative di PC-DMIS disponibili, che possono essere assegnate ai vari pulsanti di tali dispositivi; definisce inoltre la configurazione predefinita ed i significati attribuiti ai pulsanti.

Il file di configurazione piú recente puó essere scaricato dal sito FTP di Wilcox Associates, Inc:

Download the Install_PCDMIS_400_3Dconnexion.exe Configuration File

Vedere anche:

Funzioni PC-DMIS disponibili per SpaceMouse o SpaceBall

Assegnazione di funzioni PC-DMIS a pulsanti dello SpaceMouse o dello SpaceBall

Modalitá SpaceBall o SpaceMouse


Funzioni PC-DMIS disponibili per SpaceMouse o SpaceBall

Vengono descritte qui di seguito le funzionalitá che si possono assegnare ai pulsanti dello SpaceMouse o dello SpaceBall. Tali opzioni comprendono:

Ignora movimento – Ignora le informazioni relative a traslazioni e rotazioni, ricevute dal controller.

>Vista Seguente– Implica la sincronizzazione della selezione del controllo di movimento con la vista successiva, nel caso di viste multiple.

>Nascondi/Mostra ID – Attiva/disattiva la visualizzazione degli ID delle etichette delle caselle di testo relative agli elementi.

>Adatta – Effettua l’operazione di adattamento standard di PC-DMIS.

>Mostra cursore – Visualizza un cursore ausiliario sullo schermo. Usato con Centra Cursore, Zoom PC-DMIS, rotazione 2D PC-DMIS e rotazione 3D PC-DMIS.

>Centra cursore – Attiva il cursore di Mostra. La posizione del cursore ausiliario, dovunque sia posizionato, diventa il centro dello schermo

>Inquadratura PC-DMIS – Effettua una inquadratura nella finestra grafica di visualizzazione. Si muova il dispositivo a sinistra o a desta per una INQUADRATURA SINISTRA o DESTRA, in su o in giú per INQUADRATURA SU o GIÚ; in tal modo si calibrano gli spostamenti secondo il parametro INQUADRATURA, contenuto nelle impostazioni di ">CAD PZR". Il dispositivo di movimento emula in tal modo un joystick.

>Zoom PCDMIS – Con un cursore ausiliario attivo, il punto centrale dello zoom verrá fissato in corrispondenza della posizione del cursore ausiliario stesso. Viceversa, PC-DMIS effettua una operazione di zoom standard. SI puó muovere il dispositivo avanti o indietro. Muovendo in avanti il dispositivo l'immagine viene rimpicciolita, viceversa si ottiene un ingrandimento, coerentemente con le impostazioni di ">CAD PZR".

>Rotazione 2D - Con un cursore ausiliario attivo, il punto utilizzato per il calcolo dell’angolo di rotazione verrá fissato nella posizione del cursore ausiliario (in modo simile alla rotazione 2D con il tasto destro del mouse). Viceversa, il punto usato per il calcolo dell'angolo di rotazione sará l’estremitá in alto a destra, rispetto al centro schermo. Comunque, PC-DMIS effettua una rotazione 2D standard.

>Rotazione 3D - Con un cursore ausiliario attivo, il punto utilizzato come centro di rotazione verrá fissato nella posizione del cursore ausiliario (in modo simile alla rotazione 3D con il tasto destro del mouse). Viceversa, il centro di rotazione sara’ il centro dello schermo. Comunque, PC-DMIS effettua una rotazione 3D standard.

>CAD PZR – Inquadratura, ingrandisce e contemporasneamente ruota(PanZoomRotate, PZR di seguito) l'immagine del pezzo nella finestra di visualizzazione grafica. Il centro di rotazione é sempre il modello CAD ed il punto di riferimento é il suo centro. Avviando un part program PC-DMIS attiva tale funzione come impostazione predefinita.

>CAD PZR dominante– Attiva CAD PZR come funzione dominante, in base alla deflessione massima degli assi dello SpaceBall. Ció consente un controllo migliore, in quanto le funzioni di minor peso vengono eliminate. Per esempio, se si ruotano gli assi e poi si verifica una piccola deflessione durante uno zoom, verrá eseguita soltanto la funzione dominante, e cioé la rotazione. Avviando un part program PC-DMIS disattiva tale funzione come impostazione predefinita.

>PZR illuminazione bilaterale – Viene attivata/disattivata durante inquadrature, zoom o rotazioni. Tale attributo fa anche parte della finestra di dialogo PZR - Opzioni .

>PZR 1/5 degli oggetti – Attiva/disattiva la visualizzazione di 1/5 (20%) degli oggetti, quando si effettua un PZR. Tale attributo fa anche parte della finestra di dialogo PZR - Opzioni .

>PZR in wireframe – Attiva/disattiva la modalitá quando esegue un Ingrandimento-Zoom-Rotazione (PZR). Tale attributo fa anche parte della finestra di dialogo PZR - Opzioni .

>Finestra di dialogo: Opzioni PZR – Visualizza la finestra di dialogo OpzioniPZR .

>Finestra di dialogo: Info Cad – Visualizza la finestra di dialogo Informazioni sul Cad .

>Finestra di dialogo: Imposta vista – Visualizza la finestra di dialogo Imposta vista.

Per informazioni sulla finestra di dialogo PZR fare riferimento all'argomento "Modifica della rotazione e altre opzioni di movimento" nella sezione "Modifica della visualizzazione CAD" .


Assegnazione di funzioni PC-DMIS a pulsanti dello SpaceMouse o dello SpaceBall

Si utilizzi il Pannello di Controllo 3Dconnexion per definire viste associate all’uso dei pulsanti e per associare funzioni di PC-DMIS al dispositivo in uso.

  1. Si faccia doppio clic sul simbolo 3DxWare, nell’ Elenco di Sistema [image] Viene visualizzato 3DxWare-applicazione di configurazione, Pannello di Controllo 3Dconnexion.

Il pannello di Controllo 3Dconnexion presenta il dispositivo SpaceBall

  2. Selezionare PC-DMIS dall'elenco Configurazione per: . PC-DMIS visualizza le funzioni predefinite dei vari pulsanti.

  3. Negli elenchi relativi ai pulsanti si selezionino le funzioni PC-DMIS che si desidera assegnare.

  4. Se necessario, modificare altre opzioni.

  5. Fare clic su Chiudi per confermare la configurazione effettuata e chiudere il pannello di controllo.

In caso di problemi, consultare il file di guida del Pannello di controllo 3Dconnexion.


Modalitá SpaceBall o SpaceMouse

Modalitá SpaceBall / SpaceMouse

Questi dispositivi hanno sempre una modalitá operativa associata. Il simbolo che compare nell'angolo in basso a destra nella finestra di visualizzazione grafica indica la modalitá corrente di PanZoomRotate (PZR) CAD, l'inquadratura o lo zoom PCDMIS.

Modalitá standard

  • Mostra cursore

  • PZR CAD

  • Rotazione PC-DMIS

  • Inquadratura PC-DMIS

  • Zoom PC-DMIS

  • Dominante PZR CAD - L'immagine nell'angolo in basso a destra della finestra Visualizzazione grafica mostra un "1" per indicare che verrá utilizzata solo una delle tra funzioni disponibili (Inquadra, Zoom, Ruota) alla volta.

Modalitá demo

Questi dispositivi possono anche posizionare la finestra Visualizzazione grafica in modalitá demo. Questa modalitá provoca la rotazione automatica della finestra di visualizzazione grafica un gran numero di volte al secondo. Per entrare o uscire dalla modalitá demo, premere il tasto CTRL e poi il pulsante Adatta.


Esecuzione automatica di PC-DMIS

PC-DMIS può essere controllato da software di terze parti. Ad esempio, è possibile creare applicazioni personalizzate e utilizzare i comandi di esecuzione automatica per avviare e utilizzare PC-DMIS.

Per ulteriori informazioni sui comandi di esecuzione automatica che controllano PC-DMIS e sui comandi del linguaggio BASIC supportati, fare riferimento al file della guida PC-DMIS: il linguaggio BASIC fornito con il set di installazione.


Configurazioni software

Se sono stati acquistati i moduli necessari e la chiave hardware é stata opportunamente configurata, è possibile utilizzare PC-DMIS secondo diverse configurazioni. A tale scopo, effettuare le seguenti operazioni:

  1. accedere alla directory in cui si trova il tasto di scelta rapida di PC-DMIS (normalmente si trova in C:\Documents and Settings\All Users\Start Menu\Programs\PC-DMIS for Windows)

  2. Fare clic con il tasto destro sulla directory e selezionare Nuovo | Tasto di scelta rapida

  3. Seguire le istruzioni sullo schermo per far puntare il tasto di scelta rapida a dove si trova l’eseguibile di PC-DMIS pcdlrn.exe.

  4. Aggiungere i modificatori del comando di linea (o argomenti), carattere barra con una lettera, al percorso completo dell'eseguibile:

/f per la modalità offline

/u per il livello di utente previlegiato se il logon al sistema è stato effettuato come amministratore

/o per la modalità operatore

/r per la modalità assi inversi sul braccio slave di un sistema a doppio braccio

/p per la modalitá pro (non disponibile con lo switch /c)

/c per la modalità cad (non disponibile con lo switch /p)

/d per la modalità debug di questa sessione

/nc0 per eseguire PC-DMIS senza la funzionalitá CNC

/5unique per eseguire PC-DMIS senza tale funzionalitá

/cmt per eseguire PC-DMIS senza tale funzionalitá

/dccscanning per eseguire PC-DMIS senza tale funzionalitá

/displaycad per eseguire PC-DMIS senza tale funzionalitá

/laserprobe per eseguire PC-DMIS senza tale funzionalitá

/masterslave per eseguire PC-DMIS senza tale funzionalitá

/noncontactprobe per eseguire PC-DMIS senza tale funzionalitá

/remotepanel per eseguire PC-DMIS senza tale funzionalitá

/rotarytable per eseguire PC-DMIS senza tale funzionalitá

/sheetmetal per eseguire PC-DMIS senza tale funzionalitá

/statsoutput per eseguire PC-DMIS senza tale funzionalitá

/systemv per eseguire PC-DMIS senza tale funzionalitá

/toolchanger per eseguire PC-DMIS senza tale funzionalitá

/valisys per eseguire PC-DMIS senza tale funzionalitá

/vision per eseguire PC-DMIS senza tale funzionalitá

/wrist per eseguire PC-DMIS senza tale funzionalitá

Quindi, se si desidera eseguire PC-DMIS pro in modalità offline, è neecssario avere la seguente linea di comando:

"C:\Program Files\pcdmisw\PCDLRN.exe" /p /f

E anche possibile indicare a PC-DMIS di aprire automaticamente uno o piú part program aggiungendo la stringa del percorso completo che punta al part-program come argomento in una linea di comando.

  • Dovendo tuttavia specificare un part program da caricare, non é necessario il carattere di separazione / , per gli altri argomenti, come discusso piú sopra.

  • Per aprire piú di un part program, immettere uno spazio di separazione tra i vari percorsi completi.

  • Se il nome del file contiene spazi, racchiudere il percorso tra virgolette.

Ad esempio, se si desidera eseguire due part program di nome test.prg e test2.prg in modalitá offline in una directory di nome “Miei Part Program”, i percorsi di destinazione avranno il seguente formato:

"C:\Program Files\PCDLRN.exe" /f "d:\miei part programs\test.prg" "d:\miei part programs\test2.prg"

Le modalità più comuni sono offline e online. Sebbene sia possibile utilizzare una delle due configurazioni in base alle esigenze specifiche, un'eventuale integrazione consente di creare un part-program completo, eseguire l'analisi delle misurazioni ed utilizzare un sistema di progettazione inversa.

Queste e altre configurazioni saranno illustrate in maggior dettaglio in seguito.

Vedere anche:

Differenze tra versioni online e offline

PC-DMIS Vision

PC-DMIS/NC

PC-DMIS Laser

PC-DMIS Gear


Differenze tra versioni online e offline

Poiché le versioni online e offline presentano le stesse caratteristiche e funzioni, questo file della guida le descrive entrambe. Tuttavia, è possibile che in alcuni casi una determinata funzione del software della versione online non possa essere eseguita nella versione offline. Tali casi vengono espressamente indicati.

Vedere anche:

Creazione di part-program online

Creazione di part-program offline


Creazione di part-program online

Utilizzando PC-DMIS in modalitá online, è possibile eseguire i part-program esistenti, ispezionare rapidamente i pezzi o le sezioni dei pezzi e sviluppare i part-program direttamente sulla macchina CMM. A tale scopo, è necessario collegare PC-DMIS ad una macchina CMM. Le tecniche di programmazione offline possono essere utilizzate anche quando si usa la configurazione online.


Creazione di part-program offline

Utilizzando PC-DMIS in modalitá offline,ovvero senza connessione ad una macchina CMM, è possibile sviluppare ed eseguire il debug dei part-program modificando un part-program creato online, importando un file di input CAD o un part-program DMIS o AVAIL. Quindi, è possibile eseguire direttamente il part-program utilizzando la configurazione online di PC-DMIS oppure esportarlo (eseguirlo in un secondo momento) utilizzando DMIS o uno dei formati supportati. Non è possibile utilizzare la versione offline per gestire direttamente una macchina CMM.

Si veda la sezione "Come operare in modalitá offline" per ulteriori informazioni sulla versione offline.


PC-DMIS Vision

Questa versione speciale di PC-DMIS consente di utilizzare dispositivi di misura ottica per misurare gli elementi Se é stato acquistato questo modulo, fare riferimento al file della guida " PC-DMIS Vision " per ulteriori informazioni.


PC-DMIS/NC

Questa versione speciale di PC-DMIS consente di misurare pezzi utilizzando macchine utensili NC. Queste strumenti sono anche indicati come macchine CNC (Computer Numerical Control) Se é stato acquistato questo modulo, fare riferimento alfile della guida "PC-DMIS/NC" per ulteriori informazioni.


PC-DMIS Laser

Questo modulo di PC-DMIS consente l'utilizzo di un tastatore GlossProbelaser, per misurare agevolmente i pezzi facendovi sopra una lama di luce laser che raccoglie un gran numero di punti che vengono tradotti in elementi geometrici. Se è stato acquistato questo modulo, vedere il file della guida in linea PC-DMIS Laser, per ulteriori informazioni.


PC-DMIS Gear

PC-DMIS Gear é un pacchetto software che funziona insieme a PC-DMIS, allo scopo di consentire la misura agevole e tempestiva di ruote dentate ed ingranaggi. Se é stato acquistato questo modulo, il file della guida di "PC-DMIS Gear", installato insieme all'applicazione PC-DMIS Gear, contiene le informazioni necessarie.


PC-DMIS IP

PC-DMIS Inspection Planner (IP) é un modulo aggiuntivo che funziona insieme ad uno dei pacchetti CAD supportati e a PC-DMIS, per aiutare chi opera nel campo della progettazione e della qualitá nella preparazione di una procedura che determini quali elementi della geometria (del pezzo) e quali dimensioni GD&T utilizzare nel processo di ispezione del pezzo. Poiché l'Inspection Plan funziona insieme al pacchetto CAD, la curva di apprendimento viene semplificata, poiché é necessario utilizzare soltanto una piccola porzione di PC-DMIS for Windows per generare il part program.

Se è stato acquistato questo modulo, fare riferimento al file della guida in linea PC-DMIS Laser per ulteriori informazioni.


Guida introduttiva: Esercitazione di base

Esercitazione di base: Panoramica

Come iniziare: Esercitazione di base

Passo 1: Creazione di un nuovo part-program

Passo 2: Definizione di un Tastatore

Passo 3: Impostazione della vista

Passo 4: Misurazione di Elementi

Misura di un Piano

Misurazione di una Linea

Misura di un Cerchio

Passo 5: Ridimensionamento in scala dell'Immagine

Passo 6: Creazione di un allineamento

Passo 7: Impostazione delle preferenze

Attivazione Modalità DCC

Impostazione Velocità di Movimento

Impostazione del Piano di Sicurezza(svincolo)

Passo 8: Aggiunta di commenti

Passo 9: Misurazione di ulteriori elementi

Passo 10: Costruzione di nuovi elementi da elementi esistenti

Passo 11: Calcolo delle dimensioni

Passo 12: Selezione degli elementi da eseguire

Passo 13: Impostazione dell'output del rapporto

Passo 14: Esecuzione del programma completo

Passo 15: Stampa del rapporto

Misurazione Elementi

S tima Elemento

Numero minimo di Punti richiesto per un Elemento

Rilevazione Punti

Cancellazione o Eliminazione di punti

Fine creazione Elementi

Determinazione dello Spessore di Elementi Automatici

Spessore Teorico

Spessore Misurato

Uso di Opzioni Tastatore differenti

Uso Online di un Tastatore

Uso offline di un Tastatore

Uso di Tastatori Rigidi

Rilevazione di un punto con un Tastatore Rigido

Elementi piani

Elementi Circolari

Rappresentazione Grafica di un Pezzo

Uso della modalità Manuale o DCC


Esercitazione di base: Panoramica

Lo scopo di questa sezione è quello di fornire all'utente una guida al processo di misurazione di un pezzo con l'utilizzo della macchina CMM (in modalitá online).

Questa esercitazione è stata creata utilizzando il blocco di verifica Hexagon:

Blocco per Test Hexagon Metrology

Blocco di Test Hexagon

Volendo operare in modalitá online e non disponendo di tale pezzo, si puó utilizzare un pezzo simile, che consenta la misura di parecchi cerchi e di un cono.

Nota per l'utilizzo in modalitá Offline:se non si utilizza una CMM, é comunque possibile importare un modello CAD ed eseguire alcuni dei passi descritti di seguito, facendo clic sul modello IGES del pezzo, anziché rilevare fisicamente i punti con il tastatore, in modalitá online. Il modello CAD é previsto nella fornitura di installazione di PC-DMIS ed é presente nella directory di installazione di PC-DMIS. Se lo si vuole utilizzare, é sufficiente importare il file "HEXBLOCK_WIREFRAME_SURFACE.igs". Si veda "Rappresentazione Grafica di un Pezzo" in questa sezione per ulteriori informazioni.

Per ottenere informazioni complete su tutte le funzioni di PC-DMIS, leggere attentamente l'intera sezione ed eseguire la procedura sul sistema.

In questa sezione verranno trattati i seguenti argomenti:

  • Come iniziare: Esercitazione di base

  • Misurazione Elementi

  • Uso di Opzioni Tastatore differenti

  • Rappresentazione Grafica di un Pezzo

  • Uso della modalità Manuale o DCC


Come iniziare: Esercitazione di base

Questa sezione evidenzia i passi necessari per creare un semplice part-program. Il part program verrá creato usando PC-DMIS in modalitá online,e senza l'uso di dati CAD.

Fare riferimento alla Guida in linea (ALT + H) per ottenere ulteriori informazioni su una determinata procedura.

L'esercitazione assiste l'utente attraverso le seguenti fasi:

Passo 1. Creazione di un Nuovo Part Program

Passo 2. Definizione del Tastatore

Passo 3. Impostazione Vista

Passo 4. Misura degli Elementi

Passo 5. Ridimensionamento in Scala dell'Immagine

Passo 6. Creazione di un Allineamento

Passo 7. Impostazione Preferenze

Passo 8. Agiunta Commenti

Passo 9. Misura Elementi Aggiuntivi

Passo 10. Costruzione di Elementi Nuovi da Elem. Esistenti

Passo 11. Calcolo Dimensioni

Passo 12. Selezione Elementi da eseguire

Passo 13. Impostazione Output Rapporto

Passo 14. Esecuzione del Programma Completato

Passo 15. Stampa Rapporto


Passo 1: Creazione di un nuovo part-program

Mappa dei percorsi Menu Visualizzazione Per creare un nuovo Part Program :

  1. Aprire il programma PC-DMIS facendo doppio clic sull'icona PC-DMIS. È possibile eseguire questa operazione facendo clic sul pulsante Avvio e selezionando Programmi | PC-DMIS per Windows | Offline. Viene visualizzata la finestra di dialogoApri File. se in precedenza è già stato creato un part-program, lo si può caricare da questa finestra di dialogo.

  2. Poiché si desidera creare un nuovo part-program, selezionare il pulsante Annulla, per chiudere la finestra di dialogo.

  3. Accedere alla finestra di dialogo Nuovo Part Program , selezionando File | Nuovo.

    Finestra di dialogo Nuovo Part Program

  4. Nel campo Nome Pezzo digitare "TEST".

  5. Selezionare l'opzione Anglosassoni (pollici) per impostare l'unità di misura.

  6. Selezionare ONLINE nell'elenco a discesa Interfaccia.

  7. Fare clic sul pulsante OK. PC-DMIS crea il nuovo part-program.

Al termine della creazione di un nuovo part-program, PC-DMIS visualizza l'interfaccia utente principale e apre la finestra di dialogo Utility Tastatore, in modo da consentire all'utente di caricare un tastatore.

Al passo seguente: "Definizione Tastatore".


Passo 2: Definizione di un Tastatore

Visualizzazione Mappa dei Percorsi La finestra di dialogo Utility Tastatore a cui si accede selezionando Inserisci | Definizione Hardware | Tastatore, permette di definire un tastatore. Quando si crea per la prima volta un part-program, PC-DMIS apre automaticamente questa finestra di dialogo. Per ulteriori informazioni, vedere "Definizione dei tastatori" nella sezione "Definizione dell'hardware".

Suggerimento: Fare clic su questa icona nella barra strumenti delle Procedure guidate (Wizards) [image] per accedere alla procedura guidata del tastatore di PC-DMIS. La Guida Operatore aiuta a definire agevolmente un tastatore. Si puó anche utilizzare la finestra di dialogo Utility Tastatore per il medesimo scopo.

L'area Descrizione Tastatore della finestra di dialogoUtility Tastatore permette di definire il tastatore, le estensioni e la(le) punta(e) che verranno utilizzate nel part program. L'elenco a discesa Descrizione tastatore visualizza le opzioni disponibili per il tastatore, in ordine alfabetico.

Per caricare il tastatore dalla finestra di dialogo Utility Tastatore, operare come segue:

  1. Digitare il nome del tastatore nella casella File Tastatore. Durante la creazione di altri part-program, sarà possibile selezionare i tastatori da questa finestra di dialogo.

  2. Selezionare la seguente istruzione: "Nessun tastatore definito".

  3. Selezionare la testata del tastatore desiderata dall'elenco a discesa Descrizione tastatore , utilizzando il cursore del mouse oppure evidenziandola con i tasti di direzione e premendo INVIO.

  4. Selezionare la linea "Connessione Vuota n.1" e procedere nella selezione delle sezioni necessarie , fino alla completa costruzione del tastatore.

  5. Fare clic sul pulsante OK al termine della procedura. La finestra di dialogo Utility Tastatoreviene chiusa e viene nuovamente visualizzata l'interfaccia principale.

  6. Verificare che la punta del tastatore appena definita venga visualizzata come punta attiva. Vedere Punte Tastatore disponibile nella barra degli strumenti Impostazioni.

Nota: Prima di utilizzare il tastatore costruito, occorre calibrarne l'angolo della punta. Nell' esercitazione seguente non viene descritta la procedura di calibrazione che viene trattata in dettaglio nel paragrafo "Misura" della sezione "Definizione Hardware" .

A questo punto è necessario impostare le viste che verranno utilizzate nella finestra di Visualizzazione Grafica, Si puó fare ció tramite l'icona Imposta Vista della barra strumenti [image] Modalitá Grafiche.

Al passo seguente: "Imposta Vista".


Passo 3: Impostazione della vista

Visualizza Mappa Percorsi dei Menu

Finestra dio dialogo Impostazione Vista

Per modificare le viste nella finestra di Visualizzazione Grafica si utilizza la finestra di dialogo Imposta vista. È possibile accedere a questa finestra di dialogo selezionando l'icona Imposta vista nella barra strumenti Modalitá Grafiche , oppure selezionando l'opzione di menu Modifica | Finestra di Visualizzazione Grafica | Imposta Vista :

  1. Nella finestra di dialogo Imposta Vista selezionare lo stile della vista desiderato. Per questa esercitazione, fare clic sul secondo pulsante (nella riga superiore, il secondo da sinistra), rappresentato da una finestra suddivisa in senso orizzontale.

  2. Per visualizzare la parte superiore dell'immagine in base all'orientamento Z+, selezionare Z+ dall'elenco a discesa Blu collocato nell'area Viste della finestra di dialogo, e selezionare Z+.

  3. Per visualizzare la parte inferiore dell'immagine in base all'orientamento Y-, selezionare Y- dall'elenco a discesa Rosso.

  4. Fare clic sul pulsante Applica. PC-DMIS ridisegna la finestra di Visualizzazione Grafica in base alle due viste specificate. Poiché il pezzo non è ancora stato misurato, la finestra di Visualizzazione Grafica sarà vuota. Tuttavia, lo schermo viene suddiviso in base alle viste selezionate nella finestra di dialogo Imposta Vista.

Nota: Le opzioni di visualizzazione incidono solo sulla modalità di visualizzazione dell'immagine del pezzo su PC-DMIS e non sui dati misurati o sui risultati delle ispezioni.

Al passo seguente: "Misura di Elementi".


Passo 4: Misurazione di Elementi

Passo 4: misurazione degli elementi dell'allineamento

Dopo aver definito e visualizzato il tastatore è possibile iniziare la misura degli elementi utilizzati nell'allineamento.. Si vedano in "Misurazione di Elementi" le istruzioni sul metodo adeguato per prendere punti, in cui viene descritta anche l'eliminazione di punti e di elementi.

  • Misura di un Piano

  • Misurazione di una Linea

  • Misura di un Cerchio

Al passo seguente: "Ridimensionamento in scala dell'immagine"


Misura di un Piano

Misura di un Piano

Prima di rilevare i punti, verificare che in PC-DMIS sia impostata la modalità Programma. A tale scopo,
selezionare l'icona Modalità Programma.

Prendere tre punti sulla superficie superiore. È opportuno che i punti formino un triangolo e siano distanziati tra loro il più possibile. Dopo aver preso il terzo punto, premere il tasto FINE. PC-DMIS visualizza l'ID dell'elemento e un triangolo, per indicare la misurazione del piano.


Misurazione di una Linea

Misura di una Linea

Misurazione di una Linea

Per misurare una linea, operare come segue:rilevare due punti sul bordo del pezzo: il primo punto sul lato sinistro del pezzo e il secondo a destra del primo punto preso. La direzione é particolarmente importante, poiché vengono utilizzate da PC-DMIS per creare il sistema di coordinate degli assi. Dopo aver preso il secondo punto, premere il tasto FINE. Nella finestra di Visualizzazione Grafica vengono visualizzati l'ID dell'elemento e la linea misurata.


Misura di un Cerchio

Spostare il tastatore sul centro del cerchio. In questo esempio, è stato selezionato il cerchio superiore sinistro. Abbassare il tastatore nel foro e misurare il cerchio, prendendo quattro punti approssimativamente equidistanti tra loro. Dopo aver preso il terzo punto, premere il tasto FINE. Nella finestra di Visualizzazione Grafica vengono visualizzati un ID di elemento e la linea misurata.


Passo 5: Ridimensionamento in scala dell'immagine

Visualizza Mappa Percorsi dei Menu

L'icona Adatta consente di ridimensionare in scala l'immagine nella finestra di Visualizzazione Grafica.

Dopo avere eseguito la misurazione dei tre elementi, fare clic sull'icona della barra degli strumenti Adatta oppure selezionare Operazione | Finestra di Visualizz. Grafica | Adatta dalla barra dei menu, per mostrare tutti gli elementi misurati nella finestra di Visualizzazione Grafica.

Finestra di visualizzazione grafica contenente gli elementi misurati

Il passo successivo nel processo di misurazione è la creazione di un allineamento,

Al passo seguente: "Creazione di un Allineamento".


Passo 6: Creazione di un allineamento

Consente di impostare l'origine delle coordinate e di definire gli assi X, Y, Z. Per informazioni dettagliate sulla creazione degli allineamenti, vedere la sezione "Creazione e uso degli allineamenti".

Suggerimento: Fare clic su questa icona nella barra della Guida Operatore : per accedere alla Guida Allineamento 3-2-1 di PC-DMIS.

  1. Mappa dei percorsi Menu Visualizzazione Accedere alla finestra Utility Allineamento selezionando Inserisci | Allineamento | Nuovo.

  2. Utilizzare il cursore o i tasti di direzione per selezionare l'ID dell'elemento piano (PLN1) disponibile nell'elenco relativo. Se non sono state apportate modifiche alle etichette, l'ID dell'elemento piano visualizzato nella casella di riepilogo è "F1", che sta ad indicare l'elemento 1.

  3. Il pulsante Livello consente di definire l'orientamento dell'asse perpendicolare al piano di lavoro corrente.

  4. Selezionare l'ID dell'elemento piano (PLN1 o F1) una seconda volta.

  5. Selezionare la casella di controllo Auto.

  6. Fare clic sul pulsante di comando Origine. L'origine del pezzo viene traslata o spostata verso una posizione specifica (in questo caso, sul piano). La casella di controllo Auto consente di spostare gli assi in base al tipo di elemento e al relativo orientamento.

  7. Selezionare l'ID dell'elemento lineare (LINEA1 o F2).

  8. Fare clic sul pulsante di comando Ruota. L'asse definito del piano di lavoro viene ruotato verso l'elemento. PC-DMIS eseguirà la rotazione dell'asse specificato attorno al baricentro utilizzato come origine.

  9. Selezionare l'ID dell'elemento circolare (CER1 o F3).

  10. Accertarsi che la casella di controllo Auto sia selezionata.

  11. Fare clic sul pulsante di comando Origine. L'origine viene spostata verso il centro del cerchio, ma viene mantenuta sullo stesso livello del piano.

A questo punto la finestra di dialogo Utility di allineamento dovrebbe avere un aspetto analogo a quello dell'immagine:

Visualizzazione dell'allineamento corrente nella finestra di dialogo Utility di allineamento

Al termine delle operazioni descritte, fare clic sul pulsante OK. L'elenco degli Allineamenti (sulla barra strum. Impostazioni ) e la Modalitá Comando della finestra di Modifica visualizzeranno il nuovo allineamento creato.

Finestra di modifica con il nuovo Allineamento creato

La finestra di visualizzazione grafica viene aggiornata in modo da visualizzare l'allineamento corrente.

Finestra di visualizzazione grafica aggiornata contenente l'allineamento corrente

Al passo seguente: "Impostazione delle Preferenze".


Passo 7: Impostazione Preferenze

Visualizza Mappa Percorsi dei Menu

È possibile personalizzare PC-DMIS in base alle proprie esigenze o preferenze. Nel menu secondario Modifica | Preferenze sono disponibili numerose opzioni; in questa esercitazione verranno illustrate solo le opzioni pertinenti. Per ulteriori informazioni su tutte le opzioni disponibili, vedere la sezione "Impostazione delle preferenze".

  • Attivazione Modalità DCC

  • Impostazione Velocità di Movimento

  • Impostazione del Piano di Sicurezza(svincolo)

Al passo seguente: "Aggiunta Commenti".


Attivazione Modalità DCC

Visualizza Mappa Percorsi dei Menu

Selezionare la modalità DCC facendo clic sull'icona Modalità DCC della barra strumentiModalitá Tastatore o posizionando il cursore sulla riga relativa alla Modalità Manuale nella finestra di Modifica e premendo il tasto F8.

Il comando nella finestra di modifica visualizzerà:

MODAL/DCC

Vedere "Barra strum. Modalitá tastatore" per ulteriori informazioni sulle modalitá operative delle CMM.


Impostazione Velocità di Movimento

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Impostazioni del parametro - Scheda Movimento

La casella Velocità di Movimento consente di modificare la velocità di posizionamento da punto a punto della CMM.

  1. Si accede alla finestraImpostazione Parametri selezionandoModifica | Preferenze | Parametri .

  2. Selezionare la scheda Movimento.

  3. Posizionare il cursore sulla casella Velocità di Movimento.

  4. Selezionare il valore della velocità di movimento in uso.

  5. Digitare 50. Questo valore indica una percentuale della velocità massima della macchina.

In base a questa impostazione, PC-DMIS muoverà la macchina CMM utilizzando la metà della velocità massima. Per l'esercitazione in corso, è possibile accettare le impostazioni predefinite delle altre opzioni.

Vedere "Impostazioni Parametri: scheda Movimento per ulteriori informazioni sull'opzione Velocità e sulle altre opzioni di Movimento.


Impostazione del Piano di Sicurezza(svincolo)

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Impostazioni del parametro - Scheda Piano di sicurezza

Per impostare il piano di sicurezza, effettuare le seguenti operazioni:

  1. Si accede alla finestraImpostazione Parametri selezionandoModifica | Preferenze | Parametri .

  2. Selezionare la scheda Piano di Sicurezza .

  3. Selezionare la casella di controllo Piani di Sicurezza Attivi(ON).

  4. Selezionare il valore del Piano Attivo in uso.

  5. Digitare il valore .50. Con questo valore si crea un piano di sicurezza di mezzo pollice intorno al piano sulla sommitá del pezzo.

  6. Verificare che il piano superiore sia visualizzato come piano attivo.

  7. Fare clic sul pulsante Applica .

  8. Fare clic sul pulsante OK. La finestra di dialogo viene chiusa e il piano di sicurezza viene memorizzato nella finestra di modifica.

Vedere "Impostazioni Parametri: scheda Piano di Sicurezza" per ulteriori informazioni sull'impostazione dei piani di sicurezza.


Passo 8: Aggiunta Commenti

Visualizza Mappa Percorsi dei Menu

Per aggiungere commenti, operare come segue:

  1. Accedere alla finestra di dialogoPosizione, selezionando Inserisci  Comando rapporto | Commento .

  2. Selezionare l'opzione Operatore.

  3. Digitare il testo seguente nella casella Testo Commento disponibile: ""ATTENZIONE, è stata attivata la modalità DCC".

Commento, finestra di Dialogo

  4. Fare clic sul pulsante OK per chiudere la finestra di dialogo e visualizzare il commento nella finestra di Modifica.

Per ulteriori informazioni, vedere "Inserimento dei commenti dei programmatori".

Al passo seguente: "Misurazione di ulteriori elementi".


Passo 9: Misurazione di Ulteriori Elementi

Utilizzare il tastatore per misurare tre cerchi supplementari ed un cono. Il modo ottimale per misurare un cono è quello di prendere 3 punti sul livello superiore e tre punti su un livello inferiore, come mostrato nel disegno seguente.

Cono costruito mediante misurazioni eseguite a diverse quote

Al passo seguente: "Costruzione di nuovi elementi da elementi esistenti".


Passo 10: Costruzione di nuovi elementi da elementi esistenti

Visualizza Mappa Percorsi dei Menu

PC-DMIS consente di utilizzare gli elementi esistenti per crearne altri.

  1. Accedere alla finestra di dialogo Modalitá di costruzione linea selezionando Inserisci | Elemento | Costruito | Linea....

Finestra di dialogo Construct Line (Modalità di costruzione linea)

  2. Puntare il cursore del mouse su due cerchi (CER2, CER3) all'interno della finestra di Visualizzazione Grafica o selezionarli nell'elenco della finestra di dialogo Modalità di costruzione linea. I cerchi selezionati vengono evidenziati.

  3. Selezionare l'opzione Auto.

  4. Selezionare l'opzione Linea 2D.

  5. Fare clic sul pulsante Crea.

PC-DMIS crea una linea (LINEA2) utilizzando il metodo di costruzione più efficace.

L'ID dell'elemento e la linea vengono visualizzati nella finestra di Visualizzazione Grafica e di Modifica.

Finestra di visualizzazione grafica contenente la linea costruita

Per ulteriori informazioni sulla costruzione di nuovi elementi, vedere la sezione "Costruzione di nuovi elementi da elementi esistenti" .

Al passo seguente: "Calcolo delle Dimensioni".


Passo 11: Calcolo delle dimensioni

Visualizza Mappa Percorsi dei Menu

Dopo aver creato un elemento, è possibile calcolarne le dimensioni in qualsiasi momento del processo di apprendimento di un part-program. Inoltre, è possibile personalizzare le dimensioni in base alle proprie esigenze. PC-DMIS visualizza il risultato di ciascuna operazione di calcolo delle dimensioni nella finestra di modifica.

Per creare una dimensione, effettuare le seguenti operazioni:

  1. Selezionare il menu Inserisci | Dimensione ed assicurarsi che la voce Usa Dimensionam. Legacy sia selezionata, cioé che abbia un segno di spunta.

  2. Accedere alla finestra di dialogoPosizione, selezionando Inserisci  Dimensione | True Position .

  3. Selezionare gli ultimi tre cerchi misurati, facendo clic sui relativi ID nella casella di riepilogo o nella finestra di visualizzazione grafica.

Ultimi tre cerchi selezionati nella finestra di dialogo Posizione elemento.

  3. Fare clic sul pulsante Crea.

Dimensioni di posizione per i tre cerchi visualizzate nella finestra di modifica

Le posizioni dei tre cerchi vengono visualizzate nella finestra di modifica. Per modificare tali valori, fare doppio clic sulla riga desiderata, evidenziare il nominale appropriato e digitare un nuovo valore.

Per ulteriori informazioni sulla creazione di dimensioni, vedere la sezione "Dimensionamento degli elementi".

Al passo seguente: "Selezione Elementi da Eseguire".


Passo 12: Selezione degli elementi da eseguire

Visualizza Mappa Percorsi dei Menu

È possibile scegliere nel part-program gli elementi da eseguire. Per questa esercitazione, selezionare tutti gli elementi.

  1. Selezionare tutti gli elementi del part program usando l'opzione di menuModifica | Selezioni | Seleziona Tutto descritta nella sezione "Modifica di un Part Program" . Gli elementi selezionati vengono visualizzati nel colore di evidenziazione corrente.

  2. PC-DMIS richiede la conferma per la selezione degli elementi di allineamento manuale. Fare clic su Sì.

Al passo seguente: "Impostazione Output Rapporto".


Passo 13: Impostazione dell'output del rapporto

Visualizza Mappa Percorsi dei Menu

Inoltre, PC-DMIS invia il rapporto finale a un file o alla stampante, qualora sia stata selezionata. Per questa esercitazione, impostare l'output da inviare alla stampante.

  1. Selezionando l'opzione File | Stampa | Stampa Finestra di Modifica . Viene visualizzata la finestra di dialogo Opzioni di Stampa.

  2. Selezionare la casella di controllo Stampante.

  3. Fare clic sul pulsante OK.

Il numero di informazioni è a questo punto sufficiente per eseguire il part-program creato.

Al passo seguente: "Esecuzione del Programma Completato".


Passo 14: Esecuzione del programma completo

Visualizza Mappa Percorsi dei Menu

Sono disponibili varie opzioni che consentono di eseguire tutto il part-program o solo una parte di questo. Vedere "Esecuzione di part-program" nella sezione "Uso delle opzioni avanzate del menu File".

Al termine delle procedure indicate, effettuare le seguenti operazioni:

  1. Selezionare l'opzione File | Esegui . PC-DMIS visualizzerà la finestra di dialogo Opzioni Modalità di Esecuzione e inizierà il processo di misurazione.

  2. Leggere le istruzioni visualizzate nella finestra Comandi CMM e seguire le indicazioni che consentono di prendere dei punti specifici.

  3. Viene richiesto di prendere tali punti nella posizione di approssimazione indicata nella finestra di visualizzazione grafica.

  • Prendere tre punti sulla superficie per creare un piano. Premere il tasto FINE.

  • Prendere due punti sul bordo per creare una linea. Premere il tasto FINE.

  • Prendere quattro punti all'interno del cerchio. Premere il tasto FINE.

4. Fare clic su Continua, dopo aver rilevato ciascun punto.

Istruzioni visualizzate nella finestra di dialogo Opzioni modalità di esecuzione

La procedura è semplicissima. Naturalmente, se PC-DMIS rileva un errore, questo viene visualizzato nell'elenco Errori Macchina, nella finestra di dialogo ed occorrerá intervenire perché il programma possa proseguire.

Dopo aver rilavato l'ultimo punto sul cerchio, viene visualizzata la finestra di dialogo Messaggio PC-DMIS il cui contenuto é: "ATTENZIONE, la macchina passa alla modalitá DCC." Appena si fa clic sul pulsante OK, PC-DMIS misura automaticamente il resto degli elementi.

È possibile determinare la causa di un eventuale errore mediante l'elenco a discesa Errori CMM disponibile nella finestra di dialogo Opzioni Modalità di Esecuzione. In questo caso, intervenire opportunamente per risolvere il problema, quindi fare clic sul pulsante Continua, per completare l'esecuzione del part-program.

Al passo seguente: "Stampa Rapporto".


Passo 15: Stampa del rapporto

Al termine dell'esecuzione del part program, PC-DMIS stampa automaticamente il rapporto mediante il supporto di output selezionato ed impostato nella finestra di dialogo Opzioni di Stampa , raggiungibile da (File | Stampa | Imposta Stampa Rapporto). Poiché in questo caso è stata selezionata la casella di controllo Stampante, il rapporto viene inviato a tale periferica. Per controllare il part-program, accertarsi che la stampante sia collegata e accesa.

Congratulazioni! L'esercitazione è stata completata. Per ulteriori informazioni su questa esercitazione, si rimanda agli argomenti, inclusi nella presente sezione.

  • Misurazione Elementi

  • Uso di Opzioni Tastatore differenti

  • Rappresentazione Grafica di un Pezzo

  • Uso della modalità Manuale o DCC


Misurazione Elementi

Verificare che il tastatore e il piano di lavoro desiderati siano presenti nell'elenco a discesa Visualizza della barra strumenti Impostazione . Inoltre, è opportuno impostare PC-DMIS sulla modalità Manuale.

PC-DMIS non richiede all'operatore di inserire i dati necessari alla misurazione di un elemento. É possibile misurare un elemento CAD (se il CAD é disponibile), mediante l'uso del mouse, oppure si puó usare il tastatore con la CMM. In entrambi i casi, premere il tasto FINE al termine della misura dell'elemento.Premere il tasto FINE. PC-DMIS determinerà automaticamente il tipo di elemento (cerchio, linea, piano, ecc.) PC-DMIS è in grado inoltre di compensare automaticamente il raggio del tastastore. Per ulteriori informazioni sulla misurazione degli elementi dai dati CAD, vedere la sezione "Uso della modalità offline" .

Vedere anche:

Stima degli Elementi

Numero minimo di Punti richiesto per un Elemento

Determinazione dello Spessore di Elementi Automatici


Stima degli Elementi

PC-DMIS fornisce un metodo di misurazione degli elementi unico e, anziché richiedere all'utente di specificare il tipo di elemento da misurare, ad esempio un punto, un cerchio e così via, consente di prendere semplicemente i punti. È possibile indicare a PC-DMIS che la misurazione di un elemento è completata premendo l'apposito pulsante del joystick, qualora quest'ultimo fosse disponibile, oppure premendo il tasto FINE sulla tastiera. PC-DMIS determina il tipo di elemento appena misurato con l'utilizzo degli algoritmi di miglior stima. Tali algoritmi sono calcoli matematici usati da PC-DMIS per effettuare una stima calcolata tel tipo di elmento che é stato creato.

Ad esempio, un cerchio viene misurato con almeno tre punti. Mano a mano che ciascuna posizione viene misurata, il numero dei punti presi sull'elemento viene visualizzato nella barra di stato. Dopo aver rilevato il numero adeguato di punti, premere il tasto FINE. I risultati ottenuti vengono visualizzati nella finestra di modifica.

Premere sempre il tasto FINE ( il pulsante equivalente della CMM), dopo la misura, per inserirla nel part program.

Il formato e il contenuto dei risultati della misurazione dipendono dal formato di output selezionato. Per informazioni sull'impostazione del formato di output, vedere "Stampa del rapporto Ispezione" nella sezione "Uso delle Opzioni Base del menu File" e l'argomento "Impostazioni parametri: scheda Dimensione", argomento della sezione "Impostazione preferenze" .

È importante notare che su alcune macchine PC-DMIS determina la direzione di un punto rilevando la direzione percorsa dal tastatore dopo essere entrato in contatto con il pezzo. Se si utilizza una macchina di questo tipo, è necessario ritrarre il tastatore solo in seguito all'emissione di un segnale acustico da parte di PC-DMIS e all'aggiornamento del numero di punti sulla barra di stato.


Numero minimo di Punti richiesto per un Elemento

Un numero minimo di punti è necessario affinché PC-DMIS possa identificare uno specifico elemento. Tuttavia, in alcuni casi potrebbe essere opportuno prendere ulteriori punti per ottenere risultati più precisi.

Elemento | N. min. di punti | Istruzioni particolari
Punto | 1 | Vedere la nota riportata di seguito.
Linea | 2 | PC-DMIS disegna delle linee tra i punti più distanti di un insieme.
Cerchio | 3 | Se la misura di un cerchio è inferiore a 180°, PC-DMIS disegna un arco tra i punti più distanti di un insieme.
Piano | 3 | -
Sfera | 4 | -
Cono | 6 | A volte, PC-DMIS non è in grado di individuare un elemento conico misurato con sei punti; se ciò accade, tentare di prenderne sette. (Prendere tre punti su un livello),tre su un'altra sezione ed uno tra i due livelli.) Tutti i punti presi dopo i primi tre devono trovarsi tutti dalla stessa parte, rispetto al piano definito dai primi tre punti; in questo modo si ottengono i migliori risultati. PC-DMIS disegnerà due cerchi: uno a livello dei primi tre punti, l'altro nel punto più basso. Una procedura simile viene utilizzata per disegnare i cilindri.
Cilindro | 6 | Vedere la procedura relativa al cono.

A volte, la geometria del pezzo e il modo in cui l'elemento viene misurato non consentono a PC-DMIS di individuare il tipo di elemento corretto. Se ció succede, la stima errata puó essere sostituita attenendosi alle istruzioni fornite dall'argomento "Sostituzione Elementi Stimati" discusso nella sezione "Modifica di un Part Program " .

· Se quando si misura una Linea o un Piano, l'elemento viene sempre interpretato come Cerchio o Sfera, è opportuno prendere i punti secondo una direzione uniforme. Pertanto, durante la misurazione di una linea o di un piano, seguire sempre la stessa direzione di approssimazione per ciascun punto di contatto.

· Se quando si misura un Cerchio o una Sfera l'elemento viene sempre interpretatto come Linea o Piano, è opportuno prendere i punti variando le direzioni di approccio. Durante la misurazione di un arco, ad esempio, misurare alcuni punti di contatto nella direzione + oppure –Y anche qualora sia possibile raggiungere tutti i punti desiderati lungo la direzione X+.

Nota: Durante la misurazione di un unico punto, PC-DMIS compensa il raggio del tastatore lungo l'asse del pezzo più vicino alla direzione di movimento che tastatore ha quando viene deflesso. Pertanto, se un punto viene misurato lungo la direzione X negativa, PC-DMIS eseguirà la compensazione del raggio del tastatore nella direzione –X, anche se il tastatore si stava spostando leggermente lungo l'asse Y. Nel caso di macchine DCC o di macchine manuali utilizzate con l'opzione Lamiera, vedere l'argomento "Caselle Vettore perpendicolare IJK" e "Compensazione tastatore" per ulteriori informazioni sulla compensazione.

Vedere anche:

Rilevazione Punti

Cancellazione o Eliminazione di punti

Fine creazione Elementi


Rilevazione Punti

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Prendi punto consente la rilevazione di un punto. Quando si seleziona questa opzione, il computer registra la posizione del tastatore lungo gli assi X, Y e Z. Questa opzione è disponibile solo con determinati tipi di interfacce e funziona con la maggior parte dei controller (se non addirittura con tutti) se si utilizza un tastatore rigido.


Cancellazione o Eliminazione di punti

PC-DMIS permette di registrare i punti alla macchina CMM soltanto se é caricata almeno una punta del tastatore.

PC-DMIS consente di eliminare facilmente dal buffer quei punti che sono stati presi in modo errato nell'ultimo contatto del tastatore. Per effettuare questa operazione, selezionare l'opzione di menu Operazione | Cancella punto, oppure premere il tasto ALT conteporaneamente al segno -(meno). È possibile rimuovere il numero di punti necessario, partendo dall'ultimo punto preso. Questa opzione è disponibile solo prima di completare la misurazione dell'elemento selezionando l'opzione di menu Fine Elemento. L'uso dell'opzione di menu Fine Elemento consente di creare l'elemento misurato e di svuotare automaticamente il buffer dei punti.

Dopo aver creato un elemento, è possibile eliminare gli elementi indesiderati seguendo le istruzioni fornite nell'argomento "Eliminazione di elementi" della sezione "Modifica della visualizzazione CAD".

Nota: Alcune macchine CMM dispongono di un pulsante CANCELLA PUNTO sul terminale operatore (jog box).

PC-DMIS consente inoltre di eliminare i punti di un elemento in modalità di esecuzione. È sufficiente premere ALT insieme al segno meno (-) per rimuovere il punto selezionato nell'elenco Comandi Macchina della finestra di dialogo Opzioni Modalità Esecuzione.

Nota: Premere sul terminale operatore (se disponibile) il pulsante STAMPA mentre ci si trova in modalitá Esecuzione, é lo stesso che premere ALT + '-' (meno). Per attivare questa funzione, siutilizzi l'Editor di Configurazione di PC-DMIS (Settings Editor) e si imposti a 0 la voce PrintButton. Per ulteriori informazioni vedere la sezione "Modifica delle voci del registro di sistema".


Fine creazione Elementi

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Fine Elemento consente di segnalare a PC-DMIS che la costruzione dell'elemento è stata completata. È possibile anche premere il tasto FINE.


Determinazione dello Spessore di Elementi Automatici

Visualizza Mappa Percorsi dei Menu

PC-DMIS consente di determinare in che modo applicare lo spessore su un pezzo, utilizzando l'area Spessore della finestra di dialogo Elementi automatici . Sono disponibili le opzioni relative a Spessore Teorico e Misurato.

Per visualizzare le opzioni relative allo spessore, effettuare le seguenti operazioni:

  1. Si accede alla finestra Elemento Automatico scegliendo uno degli elementi del sotto-menuInserisci | Elemento | Automatico .

  2. Scegliere l’Elemento Automatico che si intende creare.

  3. Selezionare la casella di controllo Avanzate >>, per visualizzare la porzione di finestra contenente le opzioni avanzate.

  4. Scegliere, per lo spessore, l'opzione Correz. Teor. o Reale Spessore: opzione.

  5. Immettere un valore per lo spessore nella casella.

  6. Fare clic su Crea per creare l'elemento.

Vedere anche:

Spessore Teorico

Spessore Misurato


Spessore Teorico

L'opzione Spessore Teorico consente di modificare i valori teorici in base a un determinato spessore, in modo da poter misurare il lato opposto del materiale.


Spessore Misurato

L'opzione relativa allo Spessore Reale consente di definire un offset della posizione di destinazione per eseguire la misurazione e di regolare i valori misurati lungo il vettore teorico in base allo spessore.


Uso di Opzioni Tastatore differenti

Il primo passo, nella part-programmazione di una macchina CMM è necessario la definizione dei tastatori da utilizzare durante il processo di ispezione. Si deve creare e/o caricare un file tastatore per il nuovo part-program, per poter iniziare il processo di misurazione, . PC-DMIS supporta numerosi tipi di tastatore e utensili di calibrazione e fornisce un metodo esclusivo per la calibrazione di un polso PH9/PH10 Renishaw. È possibile accedere alle opzioni del tastatore dalla finestra di dialogo Utility tastatore .

Visualizza Mappa Percorsi dei Menu

In questo argomento, si presuppone che il tastatore sia stato caricato e calibrato. Per informazioni sulla creazione di file del tastatore e sulla calibrazione dei tastatori, vedere l'argomento "Definizione dei Tastatori" nella sezione "Definizione dell'hardware".


Uso Online di un Tastatore

Per misurare un punto in modalità online mediante un TTP (tastatore a contatto), operare come segue:

  1. Abbassare il tastatore verso il punto della superficie in cui si desidera prendere il punto.

  2. Far scattare il tastatore, facendolo entrare in contatto con la superficie.

  3. Premere il tasto FINE per completare il processo di misurazione.

PC-DMIS consente di determinare il tipo di elemento. La compensazione del tastatore è determinata dal relativo raggio, mentre la direzione di compensazione è determinata dalla direzione della macchina.

Ad esempio, nella misura di un foro, il tastatore si trova al suo interno e muove dal centro verso l'esterno. Per misurare un perno invece, il tastatore inizierebbe all'esterno del cerchio e si muoverebbe verso l'interno, in direzione del centro del pezzo.

É importante che la direzione di avvicinamento sia perpendicolare alla superficie durante la misurazione dei punti, . La perpendicolarità del tastatore non è necessaria per misurare altri tipi di elementi, ma consente di determinarne il tipo con maggior precisione.

Per misurare un punto con un tastatore fisso occorre precisare il tipo di elemento che si sta per misurare e la direzione di compensazione del tastatore (raggio pallina). Si veda "Uso di Tastatori Rigidi".


Uso offline di un Tastatore

Utilizzando PC-DMIS in modalitá offline,si puó accedere alle opzioni relative. Non sarà tuttavia possibile eseguire misurazioni vere e proprie. È possibile digitare i dati del tastatore, oppure utilizzare le impostazioni predefinite. Ad esempio, poiché non è possibile misurare realmente un utensile di calibrazione per calibrare un tastatore, sarà necessario digitare i valori nominali di quest'ultimo.

Per misurare un punto, operare come segue:

  1. Verificare che PC-DMIS sia in modalità Programma selezionando l'icona Modalità programma sulla barra degli strumentiModalità Grafica . Vedere "Barra degli strumenti Modalità Grafica" nella sezione "Uso delle barre degli strumenti".

  2. Spostare il cursore del mouse sul punto dello schermo in cui si desidera prendere il punto.

  3. Fare clic con il pulsante destro del mouse, per posizionare il tastatore sull'area del pezzo in cui si desidera prendere il punto. Il tastatore é visualizzato sullo schermo e viene impostata la quota tastatore.

  4. Fare clic con il pulsante sinistro del mouse per registrare il punto sul pezzo.

  5. Premere il tasto FINE per completare il processo di misurazione.


Uso di Tastatori Rigidi

PC-DMIS supporta una vasta gamma di tastatori rigidi. L'uso e la modalità di calibrazione dei tastatori rigidi sono simili a quelli dei tastatori TTP.

Un tastatore rigido non scatta automaticamente al contatto con il pezzo; inoltre, quando si utilizza un tastatore rigido, non è possibile eseguire una calibrazione DCC. Accertarsi di selezionare il tipo di tastatore appropriato.

Determinare il tipo di elemento da misurare e fare clic sull’icona corrispondente.

  • Gli elementi piani vengono definiti come punti, piani o linee,

  • mentre gli elementi circolari includono Cerchi, Sfere, Coni e Cilindri.

Visualizza Mappa Percorsi dei Menu

La barra strumenti Modalitá Tastatore (posta nel menu Vista) si occupa della stima di elementi circolari e planare (si veda l'argomento "Barra Strumenti Modalitá Tastatore" della sezione "Uso delle Barre Strumenti" ).

Nota: Per informazioni sull'uso dei tasti di scelta rapida che consentono di passare tra le modalità Stima di planarità e Stima di rotondità, vedere la sezione "Uso dei menu e dei tasti di scelta rapida" .


Rilevazione di un punto con un Tastatore Rigido

Visualizza Mappa Percorsi dei Menu

I tastatori a contatto consentono di prendere un punto automaticamente; quando invece si utilizza un tastatore rigido, è necessario indicare il momento in cui se ne registra la posizione. A tale scopo,operare come segue:

  1. Posizionare il tastatore sul pezzo in cui si desidera prendere il punto.

  2. Selezionare il comando di menu Prendi punto posto nel menu Operationi.

Nota: se si utilizza un terminale operatore, premere il tasto previsto per la registrazione di un punto.


Elementi piani

Per misurare un piano utilizzando un Tastatore Rigido, operare come segue:

  1. Prendere almeno tre punti su una superficie.

  2. È necessario spostare il tastatore sul piano desiderato.

  3. Premere il tasto FINE.

Tale operazione consente di definire la direzione del piano. Il vettore perpendicolare alla superficie è diretto verso l'alto.

Per misurare una linea, operare come segue:

  1. Prendere due punti dalla posizione desiderata.

  2. Spostare il tastatore nella parte esterna della linea misurata.

  3. Premere il tasto FINE.

Nota: PPC-DMIS non richiede di indicare la direzione degli elementi da definire.


Elementi Circolari

Dovendo misurare elementi circolari con un tastatore fisso, é necessario mantenere il tastratore in una posizione fissa che dipende dal tipo di elemento da misurare.

  • Nel caso dei fori, posizionare il tastatore all'interno dell'elemento e premere il tasto FINE.

  • Nel caso di perni, posizionare il tastatore all'esterno dell'elemento e premere il tasto FINE.

Nota:C-DMIS non richiede di indicare la direzione degli elementi da definire.


Rappresentazione Grafica di un Pezzo

PC-DMIS consente di utilizzare i modelli IGES o DXF standard per creare part-program su PC economici o cloni, senza la necessità di utilizzare una CMM. È possibile utilizzare tali part-program per gestire una CMM in cui venga eseguito PC-DMIS o che supporti le specifiche DMIS, Tutor o AVAIL.

Per ulteriori informazioni sull'uso di CAD, vedere la sezione "Uso della modalità offline".

Durante la prima fase dell'esecuzione di un part-program, PC-DMIS visualizza una rappresentazione grafica della geometria teorica del pezzo.

  • un file IGES o DXF di un disegno CAD;

  • valori teorici dell'elemento presenti nel part-program;

  • primo pezzo misurato in seguito alla creazione online del part-program.

Se l'immagine proviene dalla seconda o dalla terza origine, sarà un'immagine parziale; ciò significa che verranno visualizzati solo gli elementi misurati da PC-DMIS.

Se l'immagine ha origine da un file IGES o DXF, nella rappresentazione grafica verranno visualizzati tutti i disegni eseguiti sul sistema CAD; dopo di che sarà possibile rimuovere gli elementi specificati dal disegno CAD. Vedere l'argomento "Eliminazione CAD" nella sezione "Modifica della visualizzazione CAD". Tuttavia, lo scopo dell'immagine è solo quello di fornire informazioni sufficienti a mettere in relazione i data relativi all'ispezione con il pezzo reale. Vedere l'argomento "Importazione dei dati CAD" nella sezione "Uso delle opzioni avanzate del menu File".

Mano a mano che PC-DMIS misura ciascun elemento sul pezzo ne trasmette un'immagine alla finestra di visualizzazione grafica. PC-DMIS disegna questa immagine nei colori stabiliti nella finestra di dialogo Impostazione, all'interno della scheda di impostazione dell'ID . Questo permette il paragone visuale tra l'elemento teorico ed il misurato. Vedere "Opzioni di impostazione: Scheda Impostazione ID" nella sezione "Impostazione Preferenze" .

Sia in modalitá offline, sia in modalitá online,PC-DMIS visualizza la rappresentazione animata in scala del tastatore, nella finestra Grafica di Visualizzazione. Durante l'esecuzione, l'icona si sposta intorno al pezzo, in modo da mostrare le posizioni dove rilevare ciascun punto.

La sezione "Modifica della Visualizzazione CAD" descrive le opzioni che consentono di controllare l'aspetto delle immagini nella finestra di Visualizzazione Grafica.


Uso della modalità Manuale o DCC

Visualizza Mappa Percorsi dei Menu

La barra degli strumenti Modalità manuale/DCC consente di impostare con facilità il sistema sulla modalità Manuale o DCC. Vedere l’argomento "Barra strum. Modalità Tastatore" nella sezione "Uso delle barre degli strumenti".

La modalità Manuale viene utilizzata su una CMM manuale, oppure durante la fase manuale di allineamento, in un programma eseguito su una CMM automatica. Per attivare una delle due modalità, fare clic sull'icona relativa, nella barra degli strumenti.

PC-DMIS consente di determinare le velocità e le distanze applicate durante il processo di misurazione automatico. Vedere "Impostazioni Parametri: Scheda Movimento" nella sezione "Impostazione Preferenze" per ulteriori informazioni.

Importante: Si ricordi che occorre definire i piani di sicurezza(svincolo) o i punti di movimento, quando si commuta da modalitá manuale a DCC; in caso contrario si rischia l'impatto del tastatore con il pezzo, durante l'esecuzione.


Navigazione all'interno dell'Interfaccia Utente

Navigazione all'interno dell'Interfaccia Utente: Introduzione

Configurazione dello Schermo

Barra dei Menu

File, menu

Modifica

Vista

Inserisci

Operazione

Finestra

Guida

S elezione delle Opzioni della Barra di Menu mediante il Mouse

Selezione delle Opzioni della Barra dei Menu mediante la Tastiera

Area Barra Strumenti

Finestra di Visualizzazione Grafica

Barra di Stato

Descrizione delle finestre di Dialogo

Casella di Modifica

ID= [Elemento]

Cerca ID

Seziona ultimi n.

Casella di riepilogo

Casella Elenco Elementi

Casella Elenco Dimensioni

Casella Elenco a Discesa

Pulsanti di Comando

Applica

OK

Annulla

Elimina

Ultimo

Ultimi Due

Seleziona Tutto

Predefinito

Richiama

Crea

Chiudi

Cancella

Annulla

Guida

Caselle di Controllo

Pulsanti di Opzione

Schede della finestra di dialogo

Accesso alle finestre di Dialogo

Spostamento Finestre di Dialogo

Come scorrere la Finestra di Modifica

Personalizzazione dell'Interfaccia Utente

Come Ripristinare l'Interfaccia Utente Predefinita

P ersonalizzazione dei Font nell'Interfaccia Utente

Personalizzazione dei menu

Come spostare una Voce di Menu

Come rimuovere una Voce di Menu

Come Modificare una Voce di Menu Esistente

Come Aggiungere una Voce di Menu

Personalizzazione deella Barre Strumenti

Come Modificare una Barra Strumenti Esistente

Come creare una barra degli strumenti personalizzata

Come Eliminare una Barra Strumenti Personalizzata

Personalizzazione Tasti di Scelta Rapida

Come aggiungere Tasti di Scelta Rapida ad un Comando

Come Rimuovere Tasti di Scelta Rapida associati a un Comando


Navigazione all'interno dell'Interfaccia Utente: Introduzione

In questa sezione viene descritto come utilizzare PC-DMIS per Windows e vengono illustrate le operazioni di base necessarie per il funzionamento del software. Per verificare le funzioni di PC-DMIS e facilitare la creazione dei part-program, leggere attentamente l'intera sezione e verificare le procedure sul computer.

Inoltre, in questa sezione vengono fornite informazioni su come personalizzare determinate opzioni di grafica di PC-DMIS in base alle proprie esigenze. Per ulteriori informazioni su tali opzioni, vedere la sezione "Modifica della visualizzazione CAD".

Gli argomenti riportati di seguito indicano una funzione specifica dell'interfaccia:

  • Configurazione dello Schermo

  • Barra dei Menu

  • Area Barra Strumenti

  • Finestra di Visualizzazione Grafica

  • Barra di Stato

  • Descrizione delle finestre di Dialogo

  • Personalizzazione dell'Interfaccia Utente

PC-DMIS consente di utilizzare il mouse o la tastiera per inserire i comandi o per selezionare le opzioni. Ai comandi utilizzati più frequentemente, sono stati assegnati menu e tasti di scelta rapida. Vedere la sezione "Uso dei menu e dei tasti di scelta rapida".


Configurazione dello Schermo

PC-DMIS dispone di un'interfaccia estremamente intuitiva.

Lo schermo è suddiviso in una serie di aree separate, ognuna delle quali consente di eseguire una particolare funzione o visualizzare le informazioni desiderate. Di seguito viene fornita una breve descrizione di ciascuna area dello schermo. È possibile ottenere ulteriori informazioni sulle diverse aree consultando le sezioni indicate del file della Guida.

Configurazione dello schermo dell'interfaccia grafica di PC-DMIS

  1. La Barra del Titolo mostra il titolo del part-program corrente e contiene i pulsanti di ingrandimento e di riduzione ad icona.

  2. La Barra di Menu contiene le voci di menu disponibili nell'applicazione principale PCDLRN. Si veda "La Barra dei Menu".

  3. L'area Barra Strumenti contiene le barre degli strumenti con i comandi utilizzati frequentemente. Per accedere alle barre degli strumenti è sufficiente fare clic con il pulsante destro del mouse sull'area Barra Strumenti. Vedere "Area Barra degli strumenti".

  4. La finestra di Visualizzazione Grafica (si veda"La Finestra di Visualizzazione Grafica") visualizza le rappresentazioni grafiche del pezzo. L'illustrazione mostra la vista superiore. Sebbene le dimensioni della finestra restino invariate, è possibile suddividere l'area di visualizzazione in modo da attivare un massimo di quattro viste del pezzo.

  5. Le finestre di dialogo costituiscono i canali principali di comunicazione tra l'utente e PC-DMIS, poiché consentono di visualizzare le funzioni disponibili ed inserire la maggior parte dei dati di input. Vedere "Descrizione delle finestre di dialogo".

  6. La finestra di modifica consente di visualizzare il part-program, di accedere a particolari comandi all'interno del part-program e di apportare le modifiche desiderate. Vedere le sezioni "Modifica di un part-program" e "Uso della finestra di modifica" per informazioni dettagliate sulle operazioni che è possibile eseguire nella finestra di modifica.

  7. Nella Barra di Stato vengono visualizzate informazioni importanti relative all'operazione corrente, ad esempio i dati di calibrazione del tastatore, la deviazione standard, nonché il numero di punti. È inoltre disponibile una finestra di messaggio contenente informazioni relative all'operazione in corso. Per ulteriori informazioni, vedere "Barra di stato".


Barra dei Menu

Per selezionare un menu e le relative opzioni disponibili utilizzando la tastiera, tenere premuto il tasto ALT, quindi premere il tasto corrispondente alla lettera sottolineata nel nome del menu desiderato. È possibile utilizzare anche il mouse, come descritto in "Selezione delle opzioni della barra dei menu mediante il mouse". Di seguito è riportata una breve descrizione delle singole opzioni dei menu. Vedere la sezione relativa per avere informazioni specifiche su ciascuna opzione disponibile nella barra dei menu.

PC-DMIS rende inoltre disponibili numerosi menu di scelta rapida, la cui descrizione si trova nella sezione "Uso dei menu e dei tasti di scelta rapida".

Vedere anche:

File, menu

Modifica

Vista

Inserisci

Operazione

Finestra

Guida

Selezione tramite Mouse delle Opzioni della Barra dei Menu

Selezione delle Opzioni della Barra dei Menu mediante la Tastiera


File

Il menu File consente l'apertura, il salvataggio e la stampa di file, permette di accedere alla finestra di Modifica, di eseguire part program in Modalitá Esecuzione e di uscire dal contesto del part program corrente. Per ulteriori informazioni, vedere le sezioni "Uso delle opzioni di base del menu File" e "Uso delle opzioni avanzate del menu File" .


Modifica

Il menu Modifica consente di modificare le preferenze del programma, il part-program o la visualizzazione CAD.

  • Per ulteriori informazioni su come modificare le preferenze, vedere la sezione "Impostazione delle preferenze".

  • Per informazioni su come modificare il part-program mediante la finestra di modifica, vedere le sezioni "Modifica di un part-program" e "Uso della finestra di modifica".

  • Per ulteriori informazioni su come modificare la visualizzazione del disegno CAD, vedere la sezione "Modifica della visualizzazione CAD".


Vista

Il menu Vista consente di accedere alle finestre, agli editor e alle barre degli strumenti disponibili in PC-DMIS. Per ulteriori informazioni, vedere "Uso di altre finestre, editor e strumenti".


Inserisci

La gran parte dei comandi di un part-program sono accessibili mediante il menu Inserisci .

La maggior parte delle sezioni contenute in questo file di Guida è pertanto costituita dalle opzioni e dai menu secondari visualizzati in tale menu.

  • Le opzioni del menu secondario Definizione hardware vengono descritte nella sezione "Definizione dell'hardware".

  • Le opzioni del menu secondario Elemento sono descritte nei seguenti capitoli: ""Creazione di elementi automatici", "Creazione di elementi misurati", "Costruzione di nuovi elementi da elementi esistenti", "Creazione di elementi generici".

  • Le opzioni del menu secondario Allineamento vengono descritte nella sezione "Creazione e uso degli allineamenti".

  • Le opzioni del menu secondario Dimensione vengono descritte nella sezione "Dimensionamento degli elementi".

  • Le opzioni del menu secondario Scansione vengono descritte nella sezione "Scansione di un Pezzo".

  • Le opzioni del menu secondario Movimento vengono descritte nella sezione "Come inserire Comandi di Movimento".

  • Le opzioni del menu secondario Comando di controllo flusso vengono descritte nella sezione "Esecuzione della diramazione utilizzando il controllo del flusso".

  • · Le opzioni del sottomenuComando Statistiche sono descritte nella sezione "Tracciatura Dati Statistici" .

  • · Le opzioni del menu secondario Comando Rapportoinsieme alla possibilitá di aggiungere blocchetti InfoDim e InfoPunto sulla finestra di visualizzazione CAD, come pure nel part program, sono discusse nella sezione "Inserimento di Comandi Rapporto" .

  • · Le opzioni del menu secondario Comando File I/O sono descritte nella sezione "Uso di Input / Output su File" .

  • · Le opzioni restanti del menu Inseriscisono discusse nella sezione "Uso di Espressioni e Variabili " ed in "Agiunta di Elementi Esterni" .


Operazione

Le voci del menu Operazione sono descritte in vari argomenti della documentazione.


Finestra

Il menu Finestra consente di gestire la visualizzazione di tutti i part-program aperti. la sezione "Come Navigare e Visualizzare più finestre aperte".


Guida

Le voci del menu ? (Guida) vengono descritti nella sezione "Uso della Guida in linea".

Il menu ? (Guida) consente di visualizzare le informazioni relative ai tasti, ai messaggi, alle finestre di dialogo e ai comandi di PC-DMIS.

Per attivare la Guida in linea di PC-DMIS, selezionare una delle voci del menu ? (Guida) o premere F1. Viene avviato il file della Guida in linea di PC-DMIS.


Selezione tramite Mouse delle Opzioni della Barra dei Menu

È possibile selezionare le opzioni dai menu a discesa mediante la stessa procedura utilizzata dalla barra di menu.

Utilizzare il mouse per aprire un menu e scorrere le opzioni:

  1. Spostare il puntatore sul nome del menu desiderato.

  2. Fare clic con il pulsante sinistro del mouse.

Se si seleziona un'opzione seguita dai puntini di sospensione, viene visualizzata una finestra di dialogo. Ad esempio "File | Apri…" indica che è possibile visualizzare la finestra di dialogo Apri file. Nelle finestre di dialogo sono disponibili diverse opzioni e caselle, definite controlli, che consentono di specificare i comandi che verranno eseguiti da PC-DMIS. È possibile accettare o modificare le eventuali impostazioni predefinite visualizzate nelle finestre di dialogo. In genere, dopo aver impostato i controlli desiderati, selezionare il pulsante OK per eseguire il comando. Per annullare il comando e chiudere la finestra di dialogo, fare clic sul pulsante Annulla.


Selezione delle Opzioni della Barra dei Menu mediante la Tastiera

Per selezionare un menu e le relative opzioni disponibili utilizzando la tastiera, tenere premuto il tasto ALT, quindi premere il tasto corrispondente alla lettera sottolineata nel nome del menu desiderato.

Ad esempio: Per aprire il menu Vista con la tastiera, digitare ALT e V (la lettera sottolineata). È possibile selezionare le opzioni del menu seguendo una procedura simile, Si digiti la lettera sottolianeata dell'opzione corrispondente (ad es., Elimina: digitare "l").

È possibile selezionare i menu anche utilizzando i tasti di direzione.

A tale scopo, operare come segue:

  1. Premere il tasto ALT per spostarsi sulla barra dei menu.

  2. Utilizzare i tasti FRECCIA SINISTRA/DESTRA per portarsi sul menu desiderato.

  3. Utilizzare i tasti FRECCIA SU e GIÙ per selezionare un'opzione.

  4. Quando l'opzione desiderata è evidenziata, premere il tasto INVIO.

A molte opzioni sono associati dei tasti di scelta rapida, indicati a destra del comando o dell'opzione in questione.

Per ulteriori informazioni, si veda la sezione "Uso dei Menu e dei Tasti di Scelta Rapida".


Area Barra Strumenti

Visualizza Mappa Percorsi dei Menu

PC-DMIS fornisce una varietá di barre strumenti composte da comandi usati frequentemente. È possibile accedere a tali barre degli strumenti seguendo una delle due procedure descritte di seguito.

  1. Selezionare il menu secondario Vista | Barre Strumenti e scegliere una barra strumenti nel menu visualizzato.

  2. Fare clic con il pulsante destro del mouse sull'area Barra strumenti di PC-DMIS e selezionare una barra strumenti dal menu di scelta rapida visualizzato.

Le barre degli strumenti visualizzate nell'area Barra degli strumenti possono essere facilmente spostate facendo in primo luogo clic sullo spazio compreso tra il bordo destro o sinistro e un pulsante, quindi trascinandole in un'altra posizione.

Per maggiori dettagli su tutte le barre degli strumenti di PC-DMIS, vedere la sezione "Uso delle barre degli strumenti".


Finestra di Visualizzazione Grafica

Visualizza Mappa Percorsi dei Menu

Nella finestra di visualizzazione grafica vengono visualizzati gli elementi grafici, ad esempio: Questa finestra viene aperta automaticamente quando viene creato o si accede ad un part program. Per nascondere o visualizzare questa finestra, selezionare l'opzione di menu Vista | Finestra di Visualizz. Grafica.

  • Rappresentazioni grafiche a più riquadri di un pezzo CAD importato.

  • Elementi costruiti, automatici e misurati con le relative etichette ID.

  • Scansioni, dimensioni e caselle di testo.

La finestra di visualizzazione grafica è parte integrante di PC-DMIS. Per ulteriori informazioni sulla modifica della finestra di visualizzazione grafica e dello schermo, vedere la sezione "Modifica della visualizzazione CAD".


Barra di Stato

Nella barra di stato viene visualizzato quanto segue:

  • Finestra di messaggio: nell'ultima casella a sinistra vengono visualizzate istruzioni e altre informazioni relative alla procedura o al comando corrente.

  • Caselle X, Y, Z: Le caselle X, Y, e Z mostrano la posizione X, Y, e Z del tastatore . Se si fa clic su una delle tre coordinate nella barra di stato, viene visualizzata la finestra di dialogo Movimento Puntuale Automatico. Per ulteriori informazioni sul movimento puntuale DCC, vedere "Inserimento di un movimento puntuale" nella sezione "Inserimento di comandi di movimento".

  • W: indica l'angolo della tavola Rotante.

  • DS:indica la deviazione standard dell'ultimo elemento misurato.

  • N. punti: indica il numero corrente di punti presi.

  • In/mm:indica l'unità di misura corrente utilizzata nel part-program.

  • INS/SSC: questa casella indica la funzione di modifica in uso per il rapporto di Modifica. Verrà visualizzato INS (inserimento del testo in corrispondenza del cursore) o SSC (sovrascrittura del testo rilevato dal cursore).

  • Linea: questa casella visualizza il numero della riga corrente su cui è posizionato il cursore nel rapporto di Modifica.

  • Col: questa casella visualizza il numero della colonna corrente su cui è posizionato il cursore nel rapporto di Modifica.

Variazioni della barra di Stato

  • Per ingrandire le Barra di Stato, selezionare Vista | Barra di Stato | Grande. Mappa dei Percorsi Visualizz. Menu Questa barra di stato é cresciuta, pertanto i parametri visualizzati saranno soltanto: Messaggio e le voci XYZ .

  • Per riportare la barra di stato alla sua normale dimensione, selezionare Vista | Barra di Stato | Normale. Visualizza Mappa Percorsi dei Menu

  • Per mostrare o nascondere la barra di Stato, selezionare Vista | Barra di Stato | Nessuna. Visualizza Mappa Percorsi dei Menu


Descrizione delle finestre di Dialogo

Nelle finestre di dialogo sono disponibili diversi pulsanti e caselle, definiti controlli, che consentono di attivare i comandi che verranno eseguiti da PC-DMIS. È possibile accettare o modificare le eventuali impostazioni predefinite visualizzate nelle finestre di dialogo. Dopo aver impostato i controlli desiderati nella finestra di dialogo, selezionare OK per eseguire il comando. Per annullare il comando e chiudere la finestra di dialogo, fare clic sul pulsante Annulla.

Nella figura seguente vengono riportati alcuni elementi comuni alla maggior parte delle finestre di dialogo di PC-DMIS.

Vedere anche:

Casella di Modifica

Casella di riepilogo

Casella Elenco a Discesa

Pulsanti di Comando

Caselle di Controllo

Pulsanti di Opzione

Schede della finestra di dialogo

Accesso alle finestre di Dialogo

Spostamento Finestre di Dialogo

Come scorrere la Finestra di Modifica


Casella di Modifica

Una casella di modifica consente di inserire il nome o il valore desiderato. In questa Guida, tali elementi vengono denominati semplicemente "caselle". Di seguito viene fornito un elenco delle caselle di modifica comuni a molte finestre di dialogo di PC-DMIS:


ID= [Elemento]

Questa casella visualizza gli ID Elemento o l'ID Dimensione, relativi agli elementi o alle dimensioni da creare.

Per modificare l'ID, effettuare le seguenti operazioni:

  1. Selezionare l'ID precedente.

  2. Inserire un nuovo ID.

  3. Premere il tasto di tabulazione.

Nel caso di un ID dimensione, è possibile effettuare le seguenti operazioni:

  • Modifica della sola parte numerica dell'ID e ripristino del contatore della dimensione sul valore desiderato.

  • Si puó modificare la porzione di testo dell'ID ed impostarla come testo prefefinito per le dimensioni seguenti. (Si veda la scheda Impostazione ID della finestra di dialogo Opzioni di Impostazione, nella sezione "Impostazione delle Preferenze" .)


Cerca ID

Nella casella Cerca ID è possibile inserire gli ID degli elementi o delle dimensioni da utilizzare nell'operazione corrente. È possibile utilizzare questa casella per eseguire una ricerca mediante metacaratteri. Gli ID degli elementi o delle dimensioni vengono evidenziati nella casella Elenco Elementi o Elenco Dimensioni appropriata.


Seziona ultimi n.

La casella Seleziona ultimi n. consente di selezionare gli ultimi "n." elementi o dimensioni. Ad esempio, per selezionare gli ultimi quattro elementi creati, digitare 4 e premere il tasto di tabulazione. PC-DMIS evidenzia gli elementi selezionati nella casella Elenco Elementi.


Casella di riepilogo

Una casella di riepilogo è simile ad una casella di modifica anche se non consente di modificare i valori elencati. In questa Guida, per le caselle di riepilogo vengono utilizzati i termini "elenco" o "casella". Di seguito viene fornito un elenco delle caselle di riepilogo comuni a molte finestre di dialogo di PC-DMIS:


Casella Elenco Elementi

Nella casella Elenco Elementi viene fornito l'elenco di tutti gli elementi presenti in un part-program. PC-DMIS utilizza gli elementi selezionati per definire allineamenti, costruire nuovi elementi, creare dimensioni ed eseguire altri task. È possibile selezionare gli elementi seguendo le istruzioni riportate nell'argomento "Selezione di elementi nella finestra di visualizzazione grafica" nella sezione "Modifica della visualizzazione CAD".

È possibile deselezionare gli elementi selezionati (evidenziati), mediante il pulsante Cancella o Cancella Elenco.

Quando si allega un part-program esterno, viene elencata anche la variabile (o il puntatore) utilizzata come riferimento del part-program allegato. Vedere "Aggiunta di un part-program esterno" nella sezione "Aggiunta di elementi esterni" . A sinistra del puntatore viene visualizzato un segno più (+). Facendo clic su tale segno è possibile espandere o comprimere l'elenco di tutti gli elementi presenti nel part-program allegato.


Casella Elenco Dimensioni

La casella Elenco Dimensioni contiene l'elenco di tutte le dimensioni create in un part-program. Per selezionare le dimensioni da modificare o analizzare è possibile evidenziarle nella casella di riepilogo, quindi selezionare le modifiche o le opzioni desiderate nella finestra di dialogo associata.

Nella finestra di dialogo Modifica Info Dimensione, se la dimensione possiede giá una finestra di dialogo Dimensione associata, PC-DMIS visualizza un asterisco(*) a fianco dell’ID della Dimensione, nell’elenco. Se le informazioni sulla dimensione sono nascoste in tutte le voste correnti, viene aggiunto il segno di numero (#) a fianco dell’ID.

Per esempio, supponiamo di avere una rotonditá di nome RND1, associata ad un cerchio di nome CIR4. Se la rotonditá ha giá una finestra di informazione DIMINFO associate, ma la finestra DIMINFO é nascosta in tutte le viste, nella Finestra Grafica di Visualizzazione, l’ID nell’elenco apparirá cosí:

Esempio di asterischi e numeri


Casella Elenco a Discesa

Una casella di riepilogo a discesa ha le stesse funzioni dei menu. Fare clic sull'icona a forma di freccia rivolta verso il basso [image] a destra dell'opzione corrente, oppure premere il tasto ALT, e in sequenza il tasto FRECCIA SU o FRECCIA GIÙ. Anche il tasto F4 consente di visualizzare le opzioni disponibili. Premere nuovamente i tasti per chiudere la casella di riepilogo. Nella casella evidenziata viene visualizzata la selezione corrente.


Pulsanti di Comando

Un pulsante di comando consente di eseguire un'azione. Di seguito viene fornito un elenco dei pulsanti di comando comuni alla maggior parte delle finestre di dialogo di PC-DMIS:

Vedere anche:

Applica

OK

Annulla

Elimina

Ultimo

Ultimi Due

Seleziona Tutto

Predefinito

Richiama

Crea

Chiudi

Cancella

Annulla

Guida


Applica

Il pulsante Applica consente di applicare le selezioni effettuate alla finestra di dialogo, mantenendo quest'ultima aperta per ulteriori modifiche.


OK

Il pulsante OK consente di chiudere la finestra di dialogo dopo aver salvato e applicato le modifiche apportate. In alcune finestre di dialogo, il pulsante OK consente di inserire i comandi nella finestra di modifica.


Annulla

Il pulsante Annulla consente di chiudere la finestra di dialogo, senza salvare le modifiche apportate.


Elimina

Il pulsante Elimina rimuove da determinate caselle di riepilogo elementi creati, dimensioni e file tastatore, informazioni sull'allineamento e così via.

Nella finestra di dialogo Elimina CAD, il pulsante di comando Elimina consente di eliminare gli elementi nominali selezionati.


Ultimo

Il pulsante Ultimo consente di selezionare l'ultimo elemento nella casella di riepilogo associata.


Ultimi Due

Il pulsante Ultimi Due consente di selezionare gli ultimi due elementi nella casella di riepilogo associata.


Seleziona Tutto

Il pulsante Seleziona tutto consente di selezionare tutti gli elementi presenti nella casella di riepilogo associata.


Predefinito

Il pulsante Predefinito consente di aggiornare le impostazioni predefinite di vari parametri. Ad un nuovo part-program creato, vengono applicate le modifiche memorizzate come valori predefiniti.

I valori predefiniti vengono memorizzati nel registro di sistema. È possibile aggiornare questi parametri mediante la finestra di dialogo appropriata oppure modificando il registro di sistema stesso utilizzando l'applicazione Editor impostazioni PC-DMIS. fornita insieme al set di installazione di PC-DMIS. Per ulteriori informazioni vedere la sezione "Modifica delle voci del Registro di Sistema".

  • Se si fa clic sul pulsante OK senza aver premuto il pulsante Predefinito, i parametri definiti vengono applicati soltanto al part-program attivo e non influiscono sulle voci del registro di sistema.

  • Se si seleziona il pulsante Predefinito dopo aver modificato un parametro, PC-DMIS aggiorna le voci del registro di sistema, modificandone i valori predefiniti in base alla voce corrente.

Il pulsante Predefinito consente di memorizzare ed applicare i valori predefiniti ai successivi part-program creati.


Richiama

Il pulsante Richiama consente di ripristinare le impostazioni di fabbrica, purché i valori originali non siano stati modificati facendo clic sul pulsante Predefinito. In tal caso, PC-DMIS ripristina i valori memorizzati nel registro di sistema.

Per informazioni su come utilizzare la finestra di dialogo Opzioni Macchina per ripristinare le impostazioni di fabbrica leggendole dal controllo, vedere l’argomento “Impostazione dell'interfaccia CMM” nella sezione "Impostazione delle preferenze".


Crea

Il pulsante Crea applica le modifiche apportate in alcune finestre di dialogo e crea elementi costruiti, dimensioni, elementi automatici, scansioni ecc.. Inoltre, tale pulsante posiziona gli elementi creati nella finestra di Modifica e nella finestra di Visualizzazione Grafica.

Premendo il pulsante Crea la finestra di dialogo non viene chiusa. È possibile eseguire questa operazione solo selezionando il pulsante Chiudi.


Chiudi

Il pulsante Chiudi consente di chiudere la finestra di dialogo. In alcuni casi, i pulsanti OK, Applica o Crea non chiudono automaticamente la finestre di dialog in cui sono posti.


Cancella

Il pulsante di comando Cancella consente di cancellare l'elemento selezionato dalle caselle di riepilogo. In alcuni casi, il pulsante Cancella consente di rimuovere completamente gli elementi da determinate caselle di riepilogo, ad esempio l'elemento Posizioni AB dalla casella Elenco Nuovi Angoli.

In alcune finestre di dialogo e schede, il pulsante Cancella consente di eliminare i valori inseriti o modificati prima di fare clic sul pulsante Applica o OK e di ripristinare i valori "interni" di PC-DMIS. Gli eventuali valori predefiniti memorizzati mediante il pulsante Predefinito vengono ripristinati da PC-DMIS.


Annulla

Il pulsante Annulla consente di annullare le modifiche apportate mediante il pulsante Applica o il pulsante Genera nel caso delle scansioni DCC. Una volta selezionato il pulsante OK, non è possibile utilizzare questo pulsante per annullare le modifiche apportate.


Guida

Il pulsante ? (Guida)apre l'argomento della Guida in linea associato alla finestra di dialogo corrente.


Caselle di Controllo

Fare clic sulle caselle di controllo per attivare o disattivare le opzioni. L'opzione è "attiva" quando la casella di controllo è contrassegnata da un segno di spunta. È possibile selezionare più caselle di controllo.


Pulsanti di Opzione

Nella sezione contenente i pulsanti di opzione vengono visualizzate le opzioni disponibili nella finestra di dialogo. Per attivare le opzioni disponibili, fare clic sul pulsante desiderato. A sinistra dell'opzione scelta viene visualizzato un puntino nero e tutte le altre opzioni vengono deselezionate. È possibile selezionare un solo pulsante di opzione.


Schede della finestra di dialogo

In alcune finestre di dialogo sono disponibili delle schede, le quali svolgono una funzione simile a quella dei nomi delle cartelle in uno schedario. È sufficiente fare clic su una scheda per visualizzarla in primo piano, con tutti i comandi o le opzioni ad essa associati.


Accesso alle finestre di Dialogo

Per accedere alle opzioni disponibili nella finestra di dialogo, è possibile utilizzare il mouse o la tastiera. Per accedere ad un'opzione utilizzando il mouse, posizionare il puntatore sull'opzione desiderata e fare clic con il pulsante sinistro del mouse. Sono disponibili diversi tasti per spostarsi tra le opzioni disponibili.

TASTO | AZIONE
Tasto di tabulazione: | Consente di spostarsi sull'opzione successiva.
MAIUSC + Tasto di tabulazione: | Consente di spostarsi sull'opzione precedente.
Tasto di DIREZIONE: | Consente di visualizzare un elenco a discesa delle opzioni disponibili.
INVIO: | Consente di selezionare il comando corrente.
BARRA SPAZIATRICE: | Consente di selezionare il pulsante o la casella di controllo corrente.


Spostamento Finestre di Dialogo

È possibile utilizzare il mouse per posizionare le finestre di dialogo all'interno della finestra di Visualizzazione Grafica.

Per spostare una finestra di dialogo, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse sul titolo.

  2. Tenere premuto il pulsante sinistro del mouse.

  3. Trascinare la finestra di dialogo nella posizione desiderata all'interno della finestra di visualizzazione grafica.

  4. Rilasciare il pulsante del mouse.

PC-DMIS ridisegna la finestra di dialogo nella nuova posizione.


Come scorrere la Finestra di Modifica

È possibile spostare la finestra di modifica utilizzando la stessa procedura effettuata per lo spostamento della finestra di dialogo. Si veda "Spostamento delle finestre di dialogo".

La finestra di Modifica contiene barre di scorrimento per visualizzare le ulteriori informazioni disponibili.

Per eseguire lo scorrimento, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse su una delle frecce di scorrimento.

  2. Fare clic o tenere premuto il pulsante sinistro del mouse.

PC-DMIS esegue lo scorrimento del testo nella direzione indicata dalla freccia di scorrimento selezionata. Ad esempio, per eseguire lo scorrimento verso il basso è necessario posizionare il puntatore sulla freccia verso il basso e fare clic su di essa con il pulsante sinistro del mouse.

Si veda "Modifica di Part Program" e "Uso della finestra di Modifica" per ulteriori informazioni sulla finestra di Modifica.


Personalizzazione dell'Interfaccia Utente

Visualizza Mappa Percorsi dei Menu

Nella versione 3.5 l'interfaccia utente risulta notevolmente migliorata rispetto alle versioni precedenti, consentendo un accesso ancora più semplice e funzionale alle diverse opzioni disponibili. L'interfaccia utente può inoltre essere personalizzata per soddisfare le esigenze specifiche degli utenti.

È possibile riorganizzare i menu disponibili, in modo da aggiungervi i propri programmi, oppure creare nuovi menu e nuove opzioni. PC-DMIS consente inoltre di collegare i comandi nativi di PC-DMIS e quelli personalizzati alle barre degli strumenti. Per informazioni sulle modalità di modifica dell'interfaccia utente fare riferimento agli argomenti riportati di seguito.

Nota: L'organizzazione di questofile di guida si basa sull'interfaccia utente predefinita fornita con la presente versione di PC-DMIS. Eventuali modifiche apportate all'interfaccia utente potrebbero rendere più difficile seguire la documentazione esistente.

Vedere anche:

Come Ripristinare l'Interfaccia Utente Predefinita

Come Personalizzare i Caratteri dell'Interfaccia Utente

Personalizzazione dei menu

Personalizzazione deella Barre Strumenti

Personalizzazione Tasti di Scelta Rapida


Come Ripristinare l'Interfaccia Utente Predefinita

Per ripristinare la visualizzazione predefinita dell'interfaccia utente fornita con questa versione di PC-DMIS, effettuare le seguenti operazioni:

  1. Chiudere PC-DMIS.

  2. Individuare la directory in cui è installato PC-DMIS.

  3. Accedere alla directory che corrisponde al vostro profilo utente Windows.

  4. Cancellare il file denominato menu_xxx.dat dove xxx indica il codice a tre lettere corrispondente alla lingua attiva. Per l’inglese, cancellare menu_eng.dat

  5. Riavviare PC-DMIS. Verrà ripristinata l'interfaccia utente predefinita.


Come Personalizzare i Caratteri dell'Interfaccia Utente

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Cambia tutti i Font

Finestra di dialogo Cambia tutti i Font

Per modificare le proprietá dei caratteri, accedere alla finestra di dialogo Cambia Tutti i Caratteri , a partire dall'opzione di menu Modifica | Preferenze | Caratteri. In questa finestra di dialogo è possibile modificare gli attributi dei caratteri¾, ovvero il tipo, la dimensione e lo stile del carattere ¾per l'interfaccia utente principale, per la finestra di Visualizzazione Grafica e per la finestra di Modifica. Per modificare il carattere, effettuare le seguenti operazioni:

  1. Selezionare uno dei pulsanti di opzione e verrà visualizzata la finestra di dialogo Caratteri.

  • Modifica carattere applicazione – Modifica il carattere degli elenchi della barra degli strumenti Impostazioni, della finestra di Anteprima e di Lettura Quote, della barra di stato, delle finestre dei messaggi ecc..

  • Modifica Carattere grafico – Modifica il carattere del testo visualizzato nella finestra di Visualizzazione Grafica, in particolar modo nelle etichette degli elementi, nelle caselle Info Dimensione ed Info Punto.

  • Modifica Carattere della Finestra di Modifica – Modifica il carattere della finestra di Modifica. Alcuni caratteri con spaziatura non uniforme potrebbero rendere più difficile la lettura del contenuto della finestra di modifica.

  2. Selezionare le modifiche da apportare al carattere dagli elenchi disponibili.

  3. Fare clic su OK per chiudere la finestra di dialogo Carattere.

  4. Fare clic su OK nella finestra di dialogo Cambia tutti i caratteri, per accettare i cambiamenti.

È possibile utilizzare uno dei caratteri disponibili sul computer in uso; tuttavia è possibile che alcuni caratteri presentino una spaziatura non uniforme che potrebbe rendere più difficile la lettura di alcuni componenti.

Importante: Quando si stampa dalla finestra di Modifica, occorre usare un carattere True Type (come il Courier New), per ottenere un corretto allineamento dei caratteri e delle linee di stampa.


Personalizzazione dei menu

Visualizza Mappa Percorsi dei Menu

Per personalizzare i menu disponibili sulla barra dei menu, effettuare le seguenti operazioni:

  1. Si accede alla finestra di dialogo Personalizza attraverso i menu Vista | Barre Strumenti | Personalizza .

  2. Selezionare la scheda Menu.

Finestra di dialogo Personalizza – Scheda Menu

È possibile utilizzare questa scheda per aggiungere nuovi elementi di menu e per spostare o rimuovere quelli esistenti.

Vedere anche:

Come spostare una Voce di Menu

Come rimuovere una Voce di Menu

Come Modificare una Voce di Menu Esistente

Come Aggiungere una Voce di Menu


Come spostare una Voce di Menu

Visualizza Mappa Percorsi dei Menu

Per spostare una voce di menu e assegnare ad essa una nuova posizione sulla barra dei menu, effettuare le seguenti operazioni:

  1. Con la finestra di dialogo Personalizza aperta e la scheda Menu selezionata, selezionare la voce di menu che si vuole spostare sulla barra dei menu di PC-DMIS (non sulla lista ad albero della scheda Menu ).

  2. Selezionare la voce di menu desiderata.

  3. Trascinarla nella nuova posizione. Durante la fase di trascinamento della voce nella struttura del menu, viene visualizzata una piccola freccia rossa [image] indicante il punto in cui la voce verrà aggiunta.

  4. Quando si rilascia il pulsante del mouse, la voce di menu viene copiata dalla posizione originale in quella nuova.

  5. Fare clic su OK per accettare le modifiche e chiudere la finestra di dialogo Personalizza.


Come rimuovere una Voce di Menu

Visualizza Mappa Percorsi dei Menu

Per rimuovere completamente una voce dalla barra dei menu, effettuare le seguenti operazioni:

  1. Con la finestra di dialogo Personalizza aperta e la scheda Menu selezionata, selezionare la voce di menu che si vuole spostare sulla barra dei menu di PC-DMIS (non sulla lista ad albero della scheda Menu ).

  2. Selezionare la voce di menu desiderata.

  3. Trascinare la voce fuori dall'area della barra dei menu.

  4. Quando si rilascia il pulsante del mouse, la voce viene eliminata dal menu.

  5. Fare clic su OK per accettare le modifiche e chiudere la finestra di dialogo Personalizza.


Come Modificare una Voce di Menu Esistente

Visualizza Mappa Percorsi dei Menu

È possibile modificare le voci di menu esistenti, inclusi i nomi delle voci di menu, i suggerimenti e le descrizioni dei comandi. A tale scopo, operare come segue:

  1. Si accede alla finestra di dialogo Personalizza attraverso i menu Vista | Barre Strumenti | Personalizza .

  2. Dopo aver aperto la finestra di dialogo, fare clic sulla barra dei menu di PC-DMIS.

  3. Selezionare un menu, quindi fare clic con il pulsante destro del mouse su una voce di menu. Viene visualizzata la finestra di dialogo Modifica Voce di Menu.

Finestra di dialogo Modifica Voce di Menu

  4. Modificare la voce di menu utilizzando la finestra di dialogo visualizzata, quindi fare clic su OK.

  5. Nella finestra di dialogo Personalizza fare clic su OK.

  6. Verificare le modifiche apportate.

Nota:nella casella Testo Menu, la lettera che segue il simbolo della e commerciale (&) indica che tale lettera deve essere utilizzata tenendo premuto il tasto ALT per la selezione rapida della voce di menu in questione. Ad esempio, selezionando ALT + F + N è possibile accedere al menu Nuovo del menu File.


Come Aggiungere una Voce di Menu

Visualizza Mappa Percorsi dei Menu

È possibile creare voci di menu personalizzate e collegarle a un programma esterno o a un file batch. A tale scopo, operare come segue:

  1. Si accede alla finestra di dialogo Personalizza scegliendo Vista | Barre Strumenti | Personalizza e quindi Menu.

  2. Nell'elenco disponibile nella scheda fare clic sul segno più (+) accanto a Elementi del Menu. L'elenco si espande e vengono visualizzati tutti i menu.

  3. Fare clic sul segno più (+) accanto al menu nel quale si desidera inserire la voce di menu personalizzata, quindi fare clic su una delle voci di tale menu.

  4. Fare clic sul pulsante Crea Voce. Viene visualizzata la finestra di dialogo Procedura guidata/Script/Strumento.

  5. Fare clic sul pulsante '...', Viene visualizzata la finestra di dialogo Apri.

  6. Nell'elenco Tipi di File selezionare il tipo di file da inserire.

  7. Individuare la directory contenente l'applicazione personalizzata, il file batch, il BASIC script, il file Macro e così via.

  8. Selezionare il file da inserire, quindi fare clic su Apri. La finestra di dialogo Apri viene chiusa e nella finestra di dialogo Procedura guidata/Script/Strumento vengono visualizzate le informazioni predefinite associate al programma personalizzato scelto.

Finestra di dialogo da Procedura Guidata | Script | Strumento, con un esempio di applicazione

File di comandi – In questa casella viene visualizzato il percorso del comando.

Testo menu – In questa casella è possibile dichiarare il nome che si vuole dare alla voce nel menu.

Descr. guida – In questa casella è possibile specificare il testo del suggerimento (tooltip) visualizzato per la voce di menu.

Cambia icona – Questo pulsante consente di modificare le icone visualizzate per la voce di menu.

  9. Apportare le modifiche desiderate alla finestra di dialogo.

  10. Fare clic su OK per accettare le modifiche e chiudere la finestra di dialogo Personalizza.


Personalizzazione deella Barre Strumenti

Visualizza Mappa Percorsi dei Menu

Per personalizzare le barre degli strumenti visualizzate sulla barra degli strumenti, effettuare le seguenti operazioni:

  1. Si accede alla finestra di dialogo Personalizza attraverso i menu Vista | Barre Strumenti | Personalizza .

  2. Selezionare la scheda Barre Strumenti.

Finestra di dialogo Personalizza – Scheda Barra degli strumenti

È possibile utilizzare questa scheda per aggiungere nuove barre degli strumenti e nuove icone delle barre degli strumenti, per rimuovere barre degli strumenti personalizzate, rimuovere icone delle barre degli strumenti e riordinare le icone delle barre degli strumenti su barre degli strumenti esistenti.

Vedere anche:

Come Modificare una Barra Strumenti Esistente

Come creare una barra degli strumenti personalizzata

Come Eliminare una Barra Strumenti Personalizzata


Come Modificare una Barra Strumenti Esistente

Nella tabella riportata di seguito viene illustrato come modificare le barre degli strumenti esistenti utilizzando la scheda Barra Strumenti della finestra di dialogo Personalizza.

Modifica desiderata

Procedura

Aggiunta di una voce di menu in una barra degli strumenti.

  1. Selezionare la barra degli strumenti Elenco definizione barra strumenti.

  2. Individuare la voce da aggiungere nell'elenco Voci disponibili.

  3. Selezionare la voce desiderata, quindi premere il pulsante Aggiungià. La voce viene visualizzata sulla barra degli strumenti desiderata.

  4. Fare clic su Applica, quindi su OK per accettare le modifiche.

Rimozione di un'icona della barra degli strumenti.

  1. Selezionare la barra degli strumenti dall'elenco Definizione Barra Strumenti.

  2. Individuare nell'elenco la voce da rimuovere (sulla parte destra della finestra di dialogo).

  3. Selezionare la voce desiderata, quindi premere il pulsante ß Rimuovi.

  4. Fare clic su Applica, quindi su OK per accettare le modifiche.

Cancellazione delle modifiche.

Fare clic sul pulsante Ripristina. Se non è stato premuto il pulsante OK o Applica la barra degli strumenti tornerà all'aspetto precedente.

Rimozione di tutte le barre degli strumenti personalizzate e ripristino del layout predefinito per questa versione.

Fare clic sul pulsante Predefinito.

Creazione di una nuova voce della barra degli strumenti.

Fare clic su Nuovo. Viene visualizzata la finestra di dialogo Procedura guidata/Script/Strumento. Selezionare la voce da aggiungere. In questo file della guida è illustrato il processo di aggiunta di voci personalizzate all'argomento "Come aggiungere una nuova voce di menu".

Modifica della disposizione delle voci nella barra degli strumenti.

  1. Selezionare la barra degli strumenti dall'elenco Definizione Barra Strumenti.

  2. Selezionare la voce che si desidera spostare.

  3. Fare clic sui pulsanti freccia su [image] o freccia giù [image] per spostare la voce verso l'alto o verso il basso.

Rinominare una barra degli strumenti

  1. Selezionare la barra degli strumenti dall'elenco Definizione Barra Strumenti.

  2. Fare clic su Rinomina. Viene visualizzata una finestra Nuovo Nome Barra Strumenti

  3. Digitare il nome nella finestra, quindi fare clic su OK.

In PC-DMIS è inoltre possibile modificare la disposizione delle voci di una barra degli strumenti o eliminare le voci in modo rapido utilizzando il tasto MAIUSC. Considerare quanto segue.

Per eliminare le icone di una barra degli strumenti o modificarne la disposizione, effettuare le seguenti operazioni:

  1. Tenere premuto il tasto MAIUSC.

  2. Fare clic sull'icona e tenere premuto il pulsante del mouse. In questo modo l'icona può essere spostata.

  3. Se si desidera risistemare la disposizione dell'icona, trascinarla in un altro punto della barra degli strumenti.

  4. Se si desidera eliminare l'icona, spostarla fuori dei bordi della barra degli strumenti.

  5. Rilasciare il pulsante del mouse. La modifica desiderata risulta effettuata.

Per aggiungere un separatore, effettuare le seguenti operazioni:

  1. Tenere premuto il tasto MAIUSC.

  2. Fare clic sull'icona e tenere premuto il pulsante del mouse. In questo modo l'icona può essere spostata.

  3. Spostare l'icona leggermente verso destra, facendo attenzione a non modificarne la disposizione.

  4. Rilasciare il pulsante del mouse. Il separatore viene visualizzato a sinistra dell'icona.

Per eliminare un separatore, effettuare le seguenti operazioni:

  1. Tenere premuto il tasto MAIUSC.

  2. Fare clic sull'icona a destra del separatore e tenere premuto il pulsante del mouse. In questo modo l'icona può essere spostata.

  3. Spostare l'icona in alto a sinistra rispetto al separatore.

  4. Rilasciare il pulsante del mouse.


Come creare una barra degli strumenti personalizzata

Visualizza Mappa Percorsi dei Menu

  1. Accedere alla finestra di dialogo Personalizza, quindi selezionare la scheda Barre Strumenti.

  2. Fare clic su Nuovo, quindi selezionare Barra Strumenti. Viene visualizzata una casella di input in cui viene richiesto di inserire un nome per la barra degli strumenti.

  3. Digitare il nome della barra degli strumenti, quindi fare clic su OK. La nuova barra degli strumenti viene visualizzata nell'elenco Definizione della Barra Strumenti . A questo punto, è possibile modificare la barra degli strumenti per accettare le nuove icone della barra degli strumenti. Vedere "Come modificare una barra degli strumenti esistente".


Come Eliminare una Barra Strumenti Personalizzata

Visualizza Mappa Percorsi dei Menu

  1. Accedere alla finestra di dialogo Personalizza, quindi selezionare la scheda Barre Strumenti.

  2. Selezionare la barra degli strumenti dall'elenco Definizione Barra Strumenti.

  3. Fare clic sul pulsante Elimina.

  4. Fare clic su Applica per rendere effettive le modifiche apportate.


Personalizzazione Tasti di Scelta Rapida

Visualizza Mappa Percorsi dei Menu

Per personalizzare i tasti di scelta rapida utilizzati per le voci e i comandi di menu in PC-DMIS, effettuare le seguenti operazioni:

1. Si accede alla finestra di dialogo Personalizza attraverso i menu Vista | Barre Strumenti | Personalizza .

2. Selezionare la scheda Tastiera .

Finestra di dialogo Personalizza – Scheda Tastiera

È possibile utilizzare questa scheda per modificare i tasti di scelta rapida associati ai comandi in PC-DMIS e per aggiungere nuovi tasti di scelta rapida associati alle voci personalizzate dei menu e della barra degli strumenti.

Vedere anche:

Come aggiungere Tasti di Scelta Rapida ad un Comando

Come Rimuovere Tasti di Scelta Rapida associati a un Comando


Come aggiungere Tasti di Scelta Rapida ad un Comando

Visualizza Mappa Percorsi dei Menu

  1. Accedere alla finestra di dialogo Personalizza, quindi selezionare la scheda Tastiera.

  2. Selezionare il comando che si desidera modificare utilizzando gli elenchi Categoria e Selezione Menu. Quando si seleziona un comando nell'elenco Comandi, il tasto o i tasti di scelta rapida già associati a tale comando vengono visualizzati nella casella Collegamenti Correnti.

  3. Evidenziare il comando al quale assegnare i nuovi tasti di scelta rapida.

  4. Fare clic nella casella Nuovo Collegamento.

  5. Specificare i tasti da assegnare al comando. Vengono ora visualizzati i tasti di scelta rapida specificati.

  6. Fare clic sul pulsante Assegna. I nuovi tasti di scelta rapida vengono visualizzati nella casella Collegamenti Correnti insieme ai tasti di scelta rapida attualmente assegnati al comando.

  7. Fare clic su Applica per accettare le modifiche.

Nota: come in altre schede, è possibile utilizzare il tasto Crea per creare un comando ed associarlo a un programma personalizzato. Tale comando potrà poi essere selezionato facendo clic su Definita dall'utente nell'elenco Selezione menu. In questo modo tutti i comandi definiti dall'utente verranno visualizzati nell'elenco Comandi.


Come Rimuovere Tasti di Scelta Rapida associati a un Comando

Visualizza Mappa Percorsi dei Menu

  1. Accedere alla finestra di dialogo Personalizza, quindi selezionare la scheda Tastiera.

  2. Selezionare il comando che si desidera modificare utilizzando gli elenchi Categoria e Selezione Menu. Quando si seleziona un comando nell'elenco Comandi, il tasto o i tasti di scelta rapida già associati a tale comando vengono visualizzati nella casella Collegamenti Correnti.

  3. Selezionare il comando al quale assegnare i nuovi tasti di scelta rapida.

  4. Selezionare il tasto di scelta rapida da rimuovere.

  5. Fare clic sul pulsante Rimuovi .

  6. Fare clic su Applica per accettare le modifiche.


Uso delle Opzioni Base del menu File

Uso delle opzioni di base del menu File: Introduzione

Creazione di Nuovi Part-Program

Apertura di Part-Program Esistenti

Salvataggio di Part-Program

Salva come...

Esecuzione di Operazioni su File

Mirroring

Copia

Elimina

Rinomina

Modifica della Lingua

Stampa della Finestra di Visualizzazione Grafica

Impostazione delle opzioni di output e della stampante

Anteprima di Stampa

Stampa dalla finestra di modifica

Impostazione delle opzioni di output e della stampante

Output su File:

Output su File con Uso di Espressioni

Output su Stampante

Output come file di Output DMIS:

Avvio delle applicazioni Legacy

Chiusura o Uscita dai Part-Program

Uscita da PC-DMIS


Uso delle Opzioni Base del menu File: Introduzione

Uso delle opzioni di base del menu File: Introduzione

PC-DMIS rende disponibili numerose opzioni necessarie per la gestione dei part-program e dei file più importanti.Come in molti programmi basati su Windows, è possibile eseguire le operazioni base di gestione dei file, ovvero creazione, apertura, copia, ridenominazione ed eliminazione, utilizzando le finestre di dialogo standard disponibili di Windows. Inoltre, utilizzando PC-DMIS, è possibile eseguire diverse operazioni avanzate, ad esempio l'importazione e l'esportazione di dati CAD o l'esecuzione di part-program completi.

In questo capitolo vengono fornite informazioni specifiche sulle opzioni di base del menu file. Per ulteriori informazioni sulle opzioni avanzate, vedere la sezione "Uso delle opzioni avanzate del menu File".

In questa sezione vengono trattate le seguenti opzioni:

  • Creazione di Nuovi Part-Program

  • Apertura di Part-Program Esistenti

  • Salvataggio di Part-Program

  • Esecuzione di Operazioni su File

  • Modifica della Lingua

  • Stampa della Finestra di Visualizzazione Grafica

  • Stampa del Rapporto Ispezione

  • Chiusura o Uscita dai Part-Program

  • Uscita da PC-DMIS


Creazione di Nuovi Part-Program

Visualizza Mappa Percorsi dei Menu

In mancanza di un part program da aprire, occorre crearne uno nuovo tramite la finestra di dialogo Nuovo Part Program , accessibile attraverso le voci di menu menu File | Nuovo .

Finestra di dialogo Nuovo Part Program

Tale finestra di dialogo consente di creare un nuovo pezzo. Viene richiesto di inserire il nome del pezzo, il numero di revisione,il numero di serie e l'unitá di misura. Per memorizzare il pezzo, è necessario salvarlo. Questa finestra di dialogo consente anche di scegliere il tipo di interfaccia CMM.

Nota:Il Nome Pezzo é l'unico valore che é obbligatorio inserire, affinché PC-DMIS possa creare un nuovo part program. La compilazione delle caselle Numero revisione e Numero di serie è facoltativa.


Apertura di Part-Program Esistenti

Visualizza Mappa Percorsi dei Menu

Tenere presente che l'apertura nella versione 3.2 di un programma creato in una versione precedente rende tale programma inutilizzabile nella versione di origine.

Se in precedenza é stato creato un part program usando la finestra di dialogo Nuovo Part Program (vedere "Creazione di Nuovi Part Program"), lo si puó aprire nella finestra Apri, scegliendo l'opzione di menu File | Apri....

Finestra di dialogo apertura file

Si tratta di una finestra di dialogo Apri standard di Windows, con le aggiunte seguenti:

  • È stato aggiunto un elenco Interfaccia. Se si utilizza la versione ONLINE di PC-DMIS e si dispone di diverse macchine CMM, è possibile selezionare la CMM da utilizzare per il part-program corrente; oppure si puó selezionare la modalità OFFLINE .

  • L’area Anteprima della finestra di dialogo mostra l’immagine CAD dell’ultima vista del pezzo nella Finestra di Visualizzazione Grafica (senza etichette). Se il pezzo non possiede dati CAD, l’immagine visualizza la geometria degli elementi misurati ed inoltre visualizza il nome del part program e la data dell’ultima modifica.

  • Si possono importare dati verso o esportare dati da un part program facendo clic col tasto destro del mouse sul nome del file di part program e selezionando Import oppure Export, (si veda "Importazione di dati CAD o Dati di Programmma" e "Esportazione di dati CAD o Dati di Programma" nella sezione "Uso di Opzioni File Avanzate" per ulteriori informazioni).

  • È possibile anche visualizzare e modificare il nome del pezzo, il numero di serie e il numero di revisione, nonché modificare il nome del file nella voce relativa.

    A tale scopo, occorre:

1. Fare clic con il pulsante destro del mouse sul nome file di part-program. Viene visualizzato un menu di scelta rapida.

2. Selezionare il comando Proprietà.

3. Selezionare la scheda PC-DMIS .

Le opzioni contenute nel menu attivato mediante il pulsante destro del mouse sono disponibili anche in Gestione risorse.

Nota: La finestra di dialogo Apri si attiva ad ogni avvio di PC-DMIS, e consente di aprire i part-program esistenti. Tuttavia volendo disabilitare questa funzione, basta deselezionare la casella di controllo Mostra finestra di dialogo di avvio nella finestra Opzioni di Impostazione , della scheda Generale .

Visualizzazione di File Programma in una Finestra di Explorer:

Sono disponibili le seguenti opzioni di visualizzazione dei part program e di file cad, per mezzo di Window Explorer:

  • Le voci di menu di Explorer Vista | Elenco, Vista | Dettagli e Vista | Icona visualizzano con icone i part program ed i file CAD (file .PRG e .CAD ). Si noti che il codice relativo a questi file é associato ad icone differenti a seconda della versione di PC-DMIS; ció significa che, con opportune modifiche, si puó fare in modo che le icone visualizzino applicazioni differenti a seconda del contesto.

Vista | Icone, un esempio

  • La voce di menu di Explorer Vista | Affianca mostra in una icona la versione di PC-DMIS con la quale sono stati utilizzati i file .PRG oppure .CAD l'ultima volta. É anche possibile modificare queste icone a seconda della versione.

Vista | Anteprima, esempio di part program di V 4.0 e V3.6

  • Vista | Miniature mostra part program di versione diversa da 4.0, con icone simili a quelle della voce di menu Vista | Anteprima. Tuttavia, nel caso di part program usati a partire dalla versione v4.0, Vista | Miniature visualizza l'immagine associata a quel file .PRG dalla finestra di Visualizzazione Grafica.

Vista | Anteprima, esempio con Part Program di V4.0


Salvataggio di Part-Program

Visualizza Mappa Percorsi dei Menu

L'opzione File | Salva permette di salvare tutte le modifiche apportate al programma corrente. La prima volta che si salva un file, viene visualizzata la finestra di dialogo Salva come . nella quale è possibile scegliere la directory in cui salvare il part-program. Per ulteriori informazioni, vedere "Salva come...".

Se il part-program era stato già salvato con una precedente versione di PC-DMIS utilizzando la finestra di dialogo Salva come..., in occasione di ogni successivo salvataggio viene visualizzato un messaggio in cui viene richiesto se si desidera salvare il part-program utilizzando la versione precedentemente selezionata. Se si seleziona

  • Sì, il part-program viene salvato utilizzando la versione precedente;

  • No, il part-program viene salvato nella versione corrente;

  • Annulla, la procedura di salvataggio viene interrotta senza salvare.

Per annullare la visualizzazione di questo messaggio, vedere "Avvertenze" nella sezione "Impostazione delle preferenze".

Vedere anche:

Salva come...


Salva come...

Visualizza Mappa Percorsi dei Menu

Selezionando l'opzione File | Salva come..., viene visualizzata la finestra di dialogoSalva come....

Salva come, casella di dialogo

In questo modo è possibile memorizzare il part-program corrente con un nome di file differente o di una versione precedente.

È possibile utilizzare l'elenco dei part-program di PC-DMIS, per salvare il part-program con un formato supportato dalle precedenti versioni di PC-DMIS. Sono disponibili i formati utilizzati a partire dalla versione 3.202. Se un part program viene salvato in una versione di PC-DMIS precedente, che non supporta i nuovi comandi della versione corrente, i comandi non supportati verranno salvati nei commenti del DOCUMENTO. Vedere "Documento" nella sezione "Uso della Finestra di Modifica".

Fare clic sul pulsante Salva per salvare il part-program. Il pulsante Annulla consente di chiudere la finestra di dialogo senza salvare.


Esecuzione di Operazioni su File

L'uso delle operazioni su file di PC-DMIS consente di creare un'immagine speculare (mirroring), di copiare, eliminare e rinominare i file del part-program.

Vedere anche:

Mirroring

Copia

Elimina

Rinomina


Mirroring

Visualizza Mappa Percorsi dei Menu

L'operazione Mirroring consente di creare un'immagine speculare di un part-program, rispetto all'asse X, Y o Z.

Per effettuare il mirroring di un part-program, effettuare le seguenti operazioni:

  1. Selezionare l'opzione File | Operazioni | Mirroring.... Viene visualizzata la finestra di dialogo Scegliere il pezzo da sottoporre a mirroring.

Finestra di dialogo Scegliere il pezzo da sottoporre a mirroring

  2. Selezionare il file del part-program che si desidera sottoporre a mirroring.

  3. Selezionare il pulsante di opzione Mirroring in X, Y o Z, in base all'asse desiderato.

  4. Fare clic sul pulsante Apri. Viene visualizzata la finestra di dialogo Salva pezzo sottoposto a mirroring come contenente il nome file di part-program selezionato per il mirroring.

Finestra di dialogo Salva pezzo sottoposto a mirroring come

  5. Fare clic sul pulsante Salva. Viene creata la copia speculare del part-program nella directory specificata.

Importante:PC-DMIS tenta anche di creare la copia speculare degli angoli della punta AB del tastatore. Se la punta con gli angoli speculari esatti non è già definita e calibrata nel file del tastatore, PC-DMIS può scegliere la punta calibrata con gli angoli più simili Tali angoli vengono scelti se gli angoli della punta calibrata esistono e sono compresi nell'intervallo specificato nella voce Delta di Avvertenza Polso , nella scheda Pezzo/CMM della finestra di dialogo Opzioni di Impostazione. Se non esiste nessuna punta con angoli simili, PC-DMIS creerà una punta non calibrata con angolo speculari esatti degli angoli AB. Vedere l'argomento "Opzioni di impostazione: scheda Pezzo/CMM" nella sezione "Impostazione preferenze" .


Copia

Visualizza Mappa Percorsi dei Menu

Il comando Copia consente di creare una copia di tutti i file associati a un determinato part-program.

Per copiare un part-program, effettuare le seguenti operazioni:

  1. Selezionare la voce di menu File | Operazioni | Copia . Viene visualizzata la finestra di dialogo Copia i file pezzo da nella quale viene richiesto di specificare il file da copiare e la cartella di origine.

  2. Spostarsi nella struttura di directory e selezionare un part-program.

  3. Fare clic sul pulsante Apri. Quindi, viene visualizzata la finestra di dialogo Copia i file di pezzo in, nella quale viene richiesto di specificare la cartella in cui copiare il part-program.

  4. Selezionare il part-program da copiare in modo da visualizzare il nome file e l'estensione nella casella Nome file.

  5. Passare alla cartella di destinazione desiderata.

  6. Fare clic sul pulsante Apri.

È possibile copiare i file ".PRG", ".CAD" e tutti i file con lo stesso nome di base ed un'estensione compresa tra .001 e .999.


Elimina

Visualizza Mappa Percorsi dei Menu

Il comando Elimina consente di eliminare tutti i file associati a un determinato part-program.

Per eliminare un part-program, effettuare le seguenti operazioni:

  1. Selezionare la voce di menu File | Operazioni | Elimina . Viene visualizzata la finestra di dialogo Elimina i file pezzo.

  2. Scegliere il part-program da eliminare.

  3. Fare clic sul pulsante Apri. PC-DMIS visualizza un'altra finestra di dialogo nella quale viene richiesto di confermare l'eliminazione dei file.

  4. Fare clic sul pulsante Sì.

È possibile eliminare i file ".PRG", ".CAD" e tutti i file con lo stesso nome di base ed un'estensione compresa tra .001 e .999. Tutti i file eliminati vengono spostati nel Cestino.


Rinomina

Visualizza Mappa Percorsi dei Menu

Il comando Rinomina consente di eliminare tutti i file associati a un determinato part-program.

Per rinominare un part-program, operare come segue:

  1. Selezionare la voce di menu File | Operazioni | Rinomina . Viene visualizzata la finestra di dialogo Rinomina i file pezzo da nella quale viene richiesto di specificare il file da rinominare.

  2. Selezionare il part-program da rinominare.

  3. Fare clic sul pulsante Apri. Viene visualizzata la finestra di dialogo Rinomina i file di pezzo in nella quale viene richiesto di specificare il nuovo nome del file.

  4. Inserire il nuovo nome del file nella casella Nome file.

  5. Fare clic sul pulsante Apri. Il file viene rinominato.

È possibile rinominare i file ".PRG", ".CAD" e tutti i file con lo stesso nome di base ed un'estensione compresa tra .001 e .999.


Modifica della Lingua

Visualizza Mappa Percorsi dei Menu

Quando si seleziona l'opzione File | Lingua è possibile visualizzare le lingue disponibili in PC-DMIS. La lingua attualmente selezionata è contrassegnata da un segno di spunta. Per impostare una nuova lingua, è sufficiente selezionarla. PC-DMIS viene chiuso automaticamente e all'avvio successivo viene utilizzata l'ultima lingua selezionata. È possibile selezionare solo le lingue attive, ovvero le lingue installate sul sistema corrente.

Nota: tenere presente che dopo aver modificato una lingua PC-DMIS viene chiuso automaticamente e le modifiche apportate al part-program non vengono salvate.


Stampa della Finestra di Modifica

Stampa dalla Finestra di Modifica

PC-DMIS permette di stampare facilmente e con facilitá il contenuto della finestra di Modifica. É possibile inviare il contenuto della finestra di Modifica alla stampante nei modi seguenti:

  • Selezionare File | Stampa | Stampa Fienstra di Modifica. Menu di Visualizz. Mappa dei Percorsi

  • Fare clic sull'icona di Stampa nella barra strumenti della Finestra di Modifica.

  • Premere F4.

Anteprima di Stampa

Per avere un'anteprima della stampa, selezionare File | Stampa | Anteprima di stampa finestra di mosifica. Menu Visualizz. Mappa dei Percorsi

Viene visualizzata la finestra Anteprima di Stampa.

Finestra Anteprima di stampa della finestra di Modifica

Finestra Anteprima di Stampa e contenuto della finestra di Modifica

È possibile eseguire tali funzioni utilizzando i pulsanti disponibili nella parte superiore della finestra.

  • Il pulsante Stampa consente di aprire la finestra standard Imposta Stampa che permette di inviare il processo di stampa alla stampante.

  • I pulsanti Next Page (pagina successiva) e Prev Page(pagina precedente) consentono di scorrere un processo di stampa con piú pagine.

  • I pulsanti One Page (Una pagina) o Two Pages (Due pagine) determina il numero di pagine da visualizzare insieme nella finestra di anteprima.

  • I pulsanti Zoom In (Zoom avanti) e Zoom Out (Zoom indietro) consentono di osservare rapidamente la pagina da un punto più o meno ravvicinato. Questa opzione non influenza l'aspetto della pagina inviata alla stampante.

  • Il pulsante Chiudi consente di chiudere la finestra di anteprima.

Importante:Quando si stampa il Rapporto Ispezione, occorre usare un carattere True Type (come il Courier New), per ottenere il corretto allineamento dei caratteri e delle linee di stampa. Per modificare il tipo di carattere usato nella finestra di Modifica e nei rapporti, si veda l’argomento "Come Personalizzare i Caratteri dell’Interfaccia Utente" nella sezione "Navigazione nell’Interfaccia Utente".

Imposta Opzioni di Output

Si possono impostare le opzioni di output nella finestra di modifica dei processi di stampa, mediante la stessa finestra delle Opzioni di Stampa utilizzata per l'output del rapporto Ispezione. Si veda "Stampa del rapporto Ispezione" per ulteriori informazioni.


Stampa della Finestra di Visualizzazione Grafica

Visualizza Mappa Percorsi dei Menu

PC-DMIS consente di inviare alla stampante il contenuto della finestra di visualizzazione grafica. Selezionare File | Stampa | Stampa finestra di visualizzazione grafica per effettuare l'operazione.. Prima di eseguire la stampa, è possibile impostare le opzioni di output e visualizzare la stampa in anteprima.

Vedere anche:

Impostazione delle opzioni di output e della stampante

Anteprima di Stampa


Impostazione Opzioni di Output e Stampa per la Finestra di Visualizzazione Grafica

Visualizza Mappa Percorsi dei Menu

Selezionando l'opzione di menu File | Stampa | Imposta stampa finestra di visualizzazione grafica viene visualizzata la finestra di dialogo Imposta stampante e opzioni di output.

Finestra di dialogo Imposta Stampante e Opzioni

Questa finestra di dialogo viene utilizzata per impostare la stampante e specificare le diverse opzioni di visualizzazione. Le opzioni disponibili nell'area Opzioni stampante, consentono di selezionare il tipo di vista grafica che verrá mandata in stampa. Le opzioni disponibili sono le seguenti:

Adatta a singola pagina – Questa opzione consente di ridimensionare in scala le immagini grafiche in modo che si adattino a una singola pagina.

Stampa area dello schermo visibile – Questa opzione consente di stampare soltanto l'area visibile dello schermo. Se è stato eseguito lo zoom avanti su un elemento, viene stampata solo l'area visualizzata sullo schermo e non il pezzo intero.

Stampa viste complete – Questa opzione consente di stampare ogni vista definita utilizzando la sezione View Layout (Layout vista) della finestra di dialogo Imposta vista. Ad esempio, se nella finestra di visualizzazione grafica vengono visualizzate le viste Z+ e Y- di un pezzo, PC-DMIS stamperà due pagine separate, una per la vista Z+ e una per la vista Y-.

Stampa viste complete nella scala corrente – Questa opzione è simile all'opzione Stampa viste complete, ma consente di eseguire le stampe nella scala corrente. Se è stato eseguito lo zoom avanti di un'immagine, PC-DMIS stampa la vista intera, ma suddivide l'immagine tra più pagine.

La casella di controllo Disegna Righelli consente di stampare i righelli eventualmente visualizzati nella finestra di Visualizzazione Grafica. Per visualizzare i righelli, utilizzare la finestra di dialogo Imposta Vista (Modifica | Finestra di Visualizzazione Grafica | Imposta Vista). Vedere "Impostazione della Vista Schermo" nella sezione "Modifica della visualizzazione CAD".

Visualizza Mappa Percorsi dei Menu

Il pulsante Imposta Stampante consente di visualizzare la finestra di dialogo Imposta stampa. nella quale è possibile scegliere il formato della carta, l'orientamento della pagina ed accedere ad altre proprietà della stampante.

Fare clic sul pulsante OK per salvare le modifiche.


Anteprima di Stampa

Visualizza Mappa Percorsi dei Menu

È possibile visualizzare un'anteprima della pagina da stampare, selezionando l'opzione di menu File | Stampa | Stampa finestra di visualizzazione grafica. Viene visualizzata la finestra Anteprima di stampa.

Finestra di Anteprima di Stampa e contenuto della finestra di Visualizzazione Grafica

È possibile eseguire tali funzioni utilizzando i pulsanti disponibili nella parte superiore della finestra.

Il pulsante Stampa consente di aprire la finestra standard Imposta Stampa che permette di inviare il processo di stampa alla stampante.

I pulsanti Next Page (pagina successiva) e Prev Page(pagina precedente) consentono di scorrere un processo di stampa con piú pagine.

I pulsanti One Page (Una pagina) o Two Pages (Due pagine) determina il numero di pagine da visualizzare insieme nella finestra di anteprima.

I pulsanti Zoom In (Zoom avanti) e Zoom Out (Zoom indietro) consentono di osservare rapidamente la pagina da un punto più o meno ravvicinato. Questa opzione non influenza l'aspetto della pagina inviata alla stampante.

Il pulsante Chiudi consente di chiudere la finestra di anteprima.


Stampa del Rapporto Ispezione

Visualizza Mappa Percorsi dei Menu

PC-DMIS consente di inviare rapporto ispezione in forma testuale a numerose periferiche di output oppure ad un file. PC-DMIS supporta una vasta gamma di stampanti e plotter. Per informazioni sulle unità hardware compatibili, rivolgersi al rivenditore PC-DMIS.

Questa funzione consente di stampare rapporti di ispezione che includono una rappresentazione grafica del pezzo. Per fare questo, selezionare l'opzione di menu File | Stampa | Stampa Rapporto . Prima di eseguire la stampa, è possibile impostare le opzioni di output e visualizzare la stampa in anteprima.

Importante:Quando si stampa il Rapporto Ispezione, occorre usare un carattere True Type (come il Courier New), per ottenere il corretto allineamento dei caratteri e delle linee di stampa. Per modificare il tipo di carattere usato nella finestra di Modifica e nei rapporti, si veda l’argomento "Come Personalizzare i Caratteri dell’Interfaccia Utente" nella sezione "Navigazione nell’Interfaccia Utente".

Vedere anche:

Impostazione delle opzioni di output e della stampante


Impostazione Opzioni di Output e Stampa per la Finestra di Modifica

Visualizza Mappa Percorsi dei Menu

Quando si seleziona l'opzione di menu File | Stampa | Imposta Stampa Rapporto viene visualizzata la finestra di dialogo Opzioni di stampa.

Finestra di dialogo Opzioni di stampa

È possibile utilizzare questa finestra di dialogo per specificare la destinazione del rapporto ispoezione. Il contenuto può essere inviato a un file, a una stampante, a un file DMIS o a una combinazione delle tre destinazioni. A tale scopo, operare come segue:

  1. Selezionare la casella di controllo File, Stampante o Output DMIS, oppure ancora qualsiasi combinazione di tali opzioni.

  2. A seconda delle selezioni effettuate nel passaggio precedente, saranno disponibili certe opzioni accanto a ciascuna casella di controllo.

  3. Fare clic sul pulsante OK oppure premere INVIO. La finestra di dialogo Opzioni di stampa viene chiusa.

Vedere anche:

Output su File:

Output su File con Uso di Espressioni

Output su Stampante

Output come file di Output DMIS:


Output su File con Uso di Espressioni

A partire dalla versione 3.6, PC-DMIS consente l’uso di espressioni nell’area File della finestra di dialogo Opzioni di Stampa. Con questa funzionalitá, si puó usare il codice del part program insieme alla finestra di dialogo Opzioni di Stampa per modificare dinamicamente la directory del file di output.

per esmpio, supponiamo che due utenti, John ed Amy, vogliano inviare il rapporto di ispezione del medesimo part program ad una directory esistente, esterna allo user name. Anziché aprire una finestra di dialogo Opzioni di Stampa per ciascun utente, e cambiare la directory di destinazione ed il nome del rapporto, si puó cambiare semplicemente il loro nome in un Commento, e poi usare i comandi assegnazione e controllo di flusso per memorizzarvi le directory di destinazione ed i nomi di rapporto differenti in una variabil, nel modo seguente:

C1 =COMMENT/INPUT,SÍ,Digitare il proprio nome

IF/C1.INPUT == "SÌ"

ASSEGNA/VAR_FILENAME = "C:\\inspectionreports\\John\\John.rtf"

COMMENTO/OPER,NO,VAR_FILENAME

END_IF/

ELSE_IF/C1.INPUT == "Amy"

ASSEGNA/VAR_FILENAME = "C:\\inspectionreports\\John\\John.rtf"

COMMENTO/OPER,NO,VAR_FILENAME

END_ELSEIF/

ELSE/

ASSEGNA/VAR_FILENAME = "C:\\inspectionreports\\John\\John.rtf"

COMMENTO/OPER,NO,VAR_FILENAME

END ELSE/

A questo punto nella casella File della finestra di dialogo Opzioni di Stampa, si puó digitare la variabile VAR_FILENAME:

VAR_FILENAME nella casella File

VAR_FILENAME nella casella File

Dopo di ció, ogniqualvolta si esegue il part program, se John é l’utente, il rapporto John.rtf viene salvato nella sua directory, se invece é Amy lo user, Amy.rtf sará il file salvato nella directory di Amy; se un altro user digita il proprio nome, il rapporto andré nella directory C:\Inspectionreports\.

  • Per ulteriori informazioni sui commenti, si veda l'argomento "Come inserire Commenti Operatore" nella sezione "Come inserire Comandi Rapporto"

  • Per ulteriori informazioni su espressioni e variabili, si veda "Uso di Espressioni e Variabili" .

  • Per informazioni sui comandi di controllo di flusso, si veda "Salto con uso del Controllo di Flusso"


Nota:Per visualizzare file .pdf è necessario installare sul computer Adobe® Acrobat® Reader™. La copia gratuita del programma può essere scaricata dal sito Web della Adobe all'indirizzo: http://www.adobe.com/products/acrobat/readstep.html

Output su File:

Se l'output viene inviato a un file, sarà possibile salvarlo in un file Rich Text Format (.rtf) o Portable Document Format (.pdf). Il nome del file viene inizialmente generato e formattato in modo da avere lo stesso nome del part-program, piú un indice numerico aggiunto prima dell'estensione. Sebbene questo nome file venga generato automaticamente, non deve necessariamente seguire il formato predefinito e può essere quindi modificato.

Aggiunta di un file
Se é selezionato Aggiungi, PC-DMIS aggiunge i dati correnti del rapporto ispezione al file selezionato. Notare che si deve specificare il percorso completo; in caso contrario PC-DMIS utilizzerà la stessa directory del part-program. Inoltre se il file non esiste, verrà creato durante la generazione del rapporto.

RTF, restrizioni: A causa di restrizioni nel rapporto tra il driver RTF e come PC-DMIS produce i rapporti attraverso template, quando si effettua un'aggiunta ad un file RTF, PC-DMIS invia soltanto il contenuto dell'oggetto RapportoTestuale, senza considerare alcun altro oggetto che possa trovarsi nel template corrente del rapporto.

Inoltre, volendo fare l'aggiunta ad un file RTF, occorre che questo file sia sempre stato usato con l'ozione Aggiungi. Non si puo' aggiungere nulla ad un file RTF, se lo si é inizialmente utilizzato in modalitá Sovrascrivi o Auto.

Sovrascrittura di un file
PC-DMIS sovrascrive il file selezionato con i dati del rapporto ispezione corrente. Notare che è necessario specificare il percorso completo, altrimenti PC-DMIS utilizzerà la stessa directory del part-program. Inoltre se il file non esiste, verrà creato durante la generazione del rapporto.

Richiesta di un file di destinazione
Selezionando Richiedi , PC-DMIS visualizzerà la finestra di dialogo Salva come..., nella quale sarà necessario scegliere il file di destinazione del rapporto.

Utilizzo dell'opzione Automatico
PC-DMIS genera il nome file del rapporto automaticamente, utilizzando il numero presente nella casella Indice. Il nome del file generato avrà lo stesso nome del part-program aggiunto dell'indice numerico e dell'estensione. Inoltre verrà memorizzato nella stessa directory del part-program. ISe esiste già un file con lo stesso nome del file generato, l'opzione Automatico incrementerà il numero di Indice fino ad individuare un nome file univoco.

Nota: Dopo la stampa del rapporto, PC-DMIS aggiorna internamente il valore di Indice con il numero successivo e modifica il nome file nella finestra di dialogo Opzioni di Stampa, in modo da visualizzare il nome file incrementato.

RTF (Rich Text Format)
Se viene selezionata l'opzione RTF (Rich Text Format) , PC-DMIS genera il rapporto utilizzando il formato di file Microsoft Rich Text Format (file .rtf) per l'interscambio dei documenti. È possibile che le immagini incluse nei rapporti RTF risultino contornate da una lieve bordatura.

Portable Document Format (PDF)
Se viene selezianata l'opzione PDF (Portable Document Format) PC-DMIS genera il rapporto utilizzando il formato di file Adobe Portable Document Format (.pdf file) per la condivisione di file. Le dimensioni nel formato PDF non vengono visualizzate con il colore di sfondo blu predefinito, né con il simbolo della dimensione.

Hyperrapporto in linea
Questa casella di controllo diventa disponibile quando si seleziona l'opzione Portable Document Format (PDF). Selezionando questa casella di controllo, i dati della stampa del rapporto ispezione e dei comandi HyperView sono visualizzati nello stesso file PDF generato. È importante ricordare che questa opzione sovrascrive l'opzione STAMPA AUTO per i comandi Hyperrapporto. Notare inoltre che gli Hyper Report non possono essere stampati su file RTF.

Nota: La possibilitá di creare rapporti HyperView é stata rimossa e sostituita dal nuovo approccio al reporting che fa uso dei template. La possibilitá di eseguire rapporti Hyper View, tuttavia, é mantenuta per ragioni di compatibilitá verso il basso. Per ulteriori informazioni si veda la sezione: " Rapporti dei Risultati di Misura" .

Uso di Impostazioni Globali di Stampa:
Questa casella di controllo diventa attiva se dapprima si seleziona un insieme nella finestra degli Insiemi Selezionati e poi si accede a tale finestra. La casella di controllo Usa inpostazioni globali di stampa determina se PC-DMIS usa o meno per gli insiemi selezionati i parametri globali per output su file. Selezionando quasta casella di controllo si sovrascrivono le opzioni specifiche di stampa usate per gli insiemi selezionati, con le impostazioni globali di part program, ottenendo il controllo assoluto dell’ouput. Selezionando questa casella si ottiene piú controllo sugli schemi di denominazione degli insiemi selezionati, usati per stampa su file.


Output su Stampante

Se la casella di controllo Modalità bozza è selezionata, PC-DMIS convertirà i caratteri della finestra di modifica in un tipo di carattere adeguato a tale modalità. Gli eventuali colori utilizzati nel rapporto (per distinguere tolleranze, modalità e così via) verranno modificati in nero. Tali modifiche aumenteranno la velocità di stampa.


Output come file di Output DMIS:

Se la casella di controllo Output DMIS è selezionata, PC-DMIS consente di salvare le informazioni del rapporto ispezione in un file di Output DMIS. Vengono attivate le caselle di controllo Sovrascrivi file di output, Visualizza valori teorici, Output elementi con dimensioni, oltre al pulsante Salva come....

Salva come...

  • Quando si fa clic su pulsante Salva come..., viene visualizzata la finestra di dialogo corrispondente. Ció consente di salvare le informazioni della finestra di Modifica nel file e nella directory specificata, con il formato di output DMIS. I formati di file disponibili sono .dmo, .dms e .dmi.

Sovrascrivi File di Output

  • Selezionando la casella di controllo Sovrascrivi file di output nella finestra Opzioni di Stampa, PC-DMIS sovrascrive il file di output nuovo sul precedente. Se non si seleziona questa casella di controllo, PC-DMIS incrementa automaticamente il nome del file specificato nella finestra Salva come, senza sovrascrivere alcun file.

    Ad esempio, se è stato selezionato il file "test.dmo" come file di output e non è stata selezionata la casella di controllo Sovrascrivi file di output, alla successiva esecuzione del part-program, PC-DMIS salverà il nuovo file come "test1.dmo". Ciascuna nuova esecuzione del part-program verrà salvata con lo stesso nome di file e un numero d'ordine progressivo.

  • Impostando la casella Sovrascrivi file di output nello stato (grigio chiaro, spuntato), PC-DMIS apre il file specificato in modalitá di aggiunta (append). Ció é coerente con la convenzione DMIS che permette di abilitare, dasabilitare ed abilitare nuovamente l'output verso lo stesso file. In PC-DMIS ció funziona correttamente soltanto se, quando il file viene aperto, la casella Sovrascrivi file di output é selezionata.

Output di Valori Teorici

  • Se è selezionata la casella di controllo Valori teorici in output, PC-DMIS visualizza nel file di output DMIS i valori teorici ed i valori misurati. Se questa casella di controllo non è selezionata, i valori teorici non sono inclusi nel rapporto.

  • Se la casella di controllo Valori teorici in output è impostata nel suo terzo stato (selezione grigio chiaro) vengono mandati in output nel rapporto solo i valori teorici dell’output DMIS. Il terso stato della casella di controllo si dimostra utile quando un part program é creato dal processo DMIS di inport ed é necessario mantenere il formato dell'output DMIS.

Elementi con Dimensioni in Output

  • Se viene selezionata l'opzione Stampa elementi con dimensioni, PC-DMIS mantiene gli elementi misurati e le tolleranze associate nel file di output. Per ogni dimensione associata al dato elemento, PC-DMIS scrive i risultati della misura immediatamente prima delle tolleranze corrispondenti.

    Se un elemento non è associato ad alcuna tolleranza, PC-DMIS non genera alcun output.

  • Se non si seleziona Elementi con dimensioni in output, i risultati della misura sono scritti al momento della misura dell'elemento e non quando PC-DMIS esegue il calcolo delle dimensioni associate.

Nota: la porzione numerica del nome del file non deve contenere più di 10 cifre. Altrimenti, è possibile che i file di output precedenti vengano sovrascritti.


Avvio delle applicazioni Legacy

PC-DMIs consente di avviare le applicazioni Legacy esistenti dall’interno di PC-DMIS. Si selezioni l'opzione di menu appropriata attraverso il menu secondarioFile | In esec..

  • MM

  • Tutor

  • Chorus

  • Master

  • Quindos

  • MeasureMax

Quando l’applicazione legacy viene chiusa, Windows restituisce il controllo a PC-DMIS.


Chiusura o Uscita dai Part-Program

Visualizza Mappa Percorsi dei Menu

  • L'opzione di menu Chiudi consente di salvare e chiudere il part-program attivo. Se non è stato ancora eseguito il salvataggio del pezzo, viene richiesto di specificare il nome da assegnare al file e di eseguire il salvataggio.

Visualizza Mappa Percorsi dei Menu

  • L'opzione di menu Esci consente di uscire dal part-program corrente senza salvare le modifiche apportate. Si potranno recuperare solo i dati salvati in precedenza. Se si sceglie questa opzione, viene visualizzato un messaggio in cui viene richiesto se si desidera uscire dal programma senza salvare. Per salvare il part-program, scegliere NO nella casella di messaggio, quindi seguire le istruzioni in "Salvataggio di part-program".

Nota: Facendo clic sull'icona di chiusura ("X") della Finestra Rapporto, della Finestra di Modifica, o della Finestra di Visualizzazione Grafica, PC-DMIS salva il part program e poi lo chiude. Se invece ci si limita a nascondere le finestre usando la voce di menu Vista, il part program resta aperto.


Uscita da PC-DMIS

Visualizza Mappa Percorsi dei Menu

Per uscire dal part-program corrente e da PC-DMIS, scegliere l'opzione File | Esci. A differenza dell'opzione File | Chiudi senza salvare, l'opzioneFile | Chiudi consente il salvataggio automatico del part-program corrente.


Uso delle Opzioni File Avanzate

Uso delle opzioni avanzate del menu File: Introduzione

Importazione dei dati CAD

Importazione di un File di Dati in un Part-Program

Riferimento a un file CAD per più part-program

Importazione multipla di file CAD

Unisci / Sostituisci

Importazione di un file IGES

Importazione di file DMIS

Impostazione importazione DMIS - scheda Generale

Impostazioni importazione DMIS - scheda Moduli

Impostazione importazione DMIS – Scheda Log Errori

Impostazioni importazione DMIS - scheda Avanzate

Note di Traduzione da ChorusNT a PC-DMIS

Passo 1: Configurazione di PC-DMIS

Passo 2: Creazione e Calibrazione del File Tastatore in PC-DMIS

Passo 3: Creazione del File Programma PC-DMIS ed Import del file DMIS

Passo 4: Fine della Fase automatica di Import

Passo 5: Verifica Manuale del Programma PC-DMIS

Punti da Osservare, utili Spunti e Suggerimenti

Import dei file STEP, VDAFS e DXF/DWG

Elabora Entità Indipendenti

Inverti ordine patch U-V per superfici spline

Importa

Importazione di un file XYZIJK

Note sui file XYZIJK

Importazione di un file STL

Importazione di un file CATIA

Selezione Modello

Selezione Asse

Opzioni di Elaborazione

Preferenza Ritaglio

Importazione di un file Pro-ENGINEER

Opzioni di Elaborazione

Import di File Unigraphics o Parasolid

Importazione di un file MMIV

Importazione di un file Tutor

Creazione e Modifica di file tastatori per mappatura tra Tutor e PC-DMIS

Importazione di un file Direct CAD

Tassellato di un pezzo senza licenza CAD

Uso della finestra di dialogo Dati IGES

Crea 3D

Export di Dati CAD o di Dati Programma

Esportazione di un file IGES

Export di un file DES

Esportazione di un file STEP

Export di un file VDAFS

Esportazione in un file di modello I-DEAS DCI

Export verso un file BASIC

E xport come File DMIS

Modifica Visualizzazione Immagini Importate / Esportate

Modifica Visualizzazione del file CAD importato

Informazioni sulle Opzioni Disponibili

Modifica Visualizzazione del file CAD esportato

Informazioni sulle Opzioni di Output Disponibili

I mpostazione Opzioni di Import

Esecuzione di Part-Program

Esecuzione

Esegui Elemento

Esegui da

Esegui da Cursore

Esegui Blocco

Esegui dai Punti Iniziali

F uori Sequenza - Esecuzione

Uso della finestra di dialogo Opzioni della Modalità Esecuzione

Errori CMM

Comandi CMM

Continua

Interrompi

Cancella punto

Salta

Succ. >>

S alto

Controllo manuale della Misurazione di un Elemento

Ridimensionamento della finestra di dialogo Opzioni della Modalità Esecuzione

Creazione e caricamento Spazi di Lavoro (Workspaces)


Uso delle opzioni avanzate del menu File: Introduzione

PC-DMIS fornisce molte opzioni per manipolare i part program e gestire i file piú importanti. Come molti programmi basati su Windows, si possono gestire i file principali usando finestre di dialogo standard di Windows: queste comprendono creazione, apertura, copia, rinominare e cancellare file. Inoltre, utilizzando PC-DMIS, è possibile eseguire diverse operazioni avanzate, ad esempio l'importazione e l'esportazione di dati CAD o l'esecuzione di part-program completi.

In questo capitolo vengono fornite informazioni specifiche sulle opzioni avanzate del menu File. Per ulteriori informazioni sulle opzioni avanzate, vedere la sezione "Uso delle opzioni avanzate del menu File".

In questa sezione vengono trattate le seguenti opzioni:

  • Export di Dati CAD o di Dati Programma

  • Export di Dati CAD o di Dati Programma

  • Modifica Visualizz. delle Immagini Importate/Esportate

  • Esecuzione di Part-Program

In questa sezione vengono fornite informazioni dettagliate sulle opzioni ed i comandi suddetti.


Import di Dati CAD o di Dati Programma

Visualizza Mappa Percorsi dei Menu

Usando l’opzione di menu File | Importa , PC-DMIS visualizza un sotto-menu di tipi di dati che si possono importare nel part program corrente. I dati sono di tipo CAD, importati nel file CAD, oppure dati di Part Program che vengono importati nel Part Program. Selezionando una voce di menu viene visualizzata una finestra di dialogo Apri .

È possibile utilizzare i seguenti tipi di file di dati di input:

  • Import CAD - CAD (PC-DMIS),CATIA, CATIA5, DES , DXF , GDX, IGES , Parasolid, Pro/E, STEP, STL , Unigraphics, VDAFS , o XYZIJK,

  • Import di Part Program - AVAIL, Chorus DMIS, DMIS, MMIV , Inspection Plan, Tutor, MeasureMax

  • Direct CAD - CATIA, Unigraphics,Pro/E, ACIS, I-DEAS, CATIA5, SolidWorks, e Solid Edge

PC-DMIS registra i dati CAD in un file separato. A questo file viene assegnato lo stesso nome file del part-program ma con l'estensione ".CAD". Tutte le operazioni effettuate (ad es. RINOMINA, ELIMINA e COPIA), vengono eseguite anche sul file CAD associato (se disponibile).

Esempio:viene utilizzato un part-program con nome file TEST.PRG. Se si aggiungono dati CAD a questo part-program, PC-DMIS creerà un file CAD denominato TEST.CAD nella stessa directory. Se il part-program TEST.PRG viene eliminato in un secondo momento utilizzando il menu secondario Operazioni, PC-DMIS eliminerà anche il file TEST.CAD.

Nella versione 3.5 e in quelle successive, PC-DMIS consente di importare i file CAD esistenti per essere utilizzati con più part-program. Per informazioni su questo argomento vedere "Riferimento a un file CAD per più part-program".

Vedere anche:

Importazione di un File di Dati in un Part-Program

Unisci / Sostituisci

Importazione di un file CAD

Importazione di un file CATIA

Importazione di un file CATIA5

Import di un file DES

Importazione di file DXF/DWG

importazione di un file GDX

Importazione di un file IGES

Importazione di un file IGES (Alternativo)

Importazione di un file Pro-ENGINEER

importazione di un file STEP

Importazione di un file STL

Import di File Unigraphics o Parasolids

importazione di un file VDAFS

Importazione di un file XYZIJK

Import di Programmi Avail o MMIV

Import di un Programma ChorusNT

Import di un Programma DMIS

Importazione di un programma Tutor

Importazione di un file Direct CAD


Importazione di un File di Dati in un Part-Program

  1. Visualizz. Mappa Percorsi dei menu Selezionare l'opzione di menu File | Importa e poi scegliere un tipo di dato da importare. Viene visualizzata la finestra di dialogo Apri.

  2. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente i file di dati.

  3. Scegliere il tipo di dati di input desiderato nell'elenco a discesa Tipo File nella parte inferiore della finestra di dialogo e selezionare il file da importare. Se al part-program sono associati dati CAD, ignorare questa operazione.

  4. Fare clic sul pulsante Importa. Se sono già presenti dei dati CAD importati dal part-program, PC-DMIS richiederà se si vuole sostituire i dati CAD già presenti o unire i dati CAD. Fare clic su Unisci o Sostituisci. Si veda Unisci/Sostituisci per ulteriori informazioni.

  5. Si seguano i dialoghi restanti in base ai tipi di dati scelti>

  6. Il file CAD verrá importato.

È possibile aggiungere e unire i dati CAD in qualsiasi momento durante l'esecuzione del part-program seguendo la procedura descritta nella sezione "Unisci e Sostituisci".

Nota: l'opzione Importa consente anche di importare un file DOS convertito. Si veda la sezione "Traduzione di un part program in PC-DMIS" .

Vedere anche:

Importazione multipla di file CAD


Importazione multipla di file CAD

Visualizza Mappa Percorsi dei Menu

PC-DMIS permette di importare più file CAD contemporaneamente. Questa funzionalità è particolarmente utile per importare il modello di un pezzo sia come wireframe che come solido. A tale scopo, fare clic sull'icona Importa CAD dalla barra degli strumenti Procedure guidate. Viene visualizzata una finestra di dialogo: Selezionare il file da importare, quindi fare clic su Apri. È possibile scegliere di unire i dati.

Per ulteriori informazioni, si veda l'argomento "Barra Strum. Guida Operatore" della sezione "Uso delle Barre Strum." .


Unisci / Sostituisci

Quandi si importa un file CAD, PC-DMIS visualizza la finestra di dialogo Combina Dati di Import se il part program ha già dei dati CAD associati. È possibile scegliere o di Unire oppure Sostituire i dati CAD.

  • Se si seleziona l'opzione Unisci (nuovi dati), PC-DMIS aggiunge i dati di input al part-program, senza eliminare i dati esistenti.

  • Se si seleziona l'opzione Sostituisci, PC-DMIS elimina i dati esistenti e li sostituirà con i nuovi dati di input.

Facendo clic su Indietro, si ritorna alla finestra di dialogi Apri.

Nota: Alcuni tipi di file importati sostituiscono automaticamente i precedenti dati CAD esistenti con i dati importati. In tali casi non viene visualizzata la finestra di dialogo Unisci Dati di Import.


Importazione di un file CAD

  1. Menu Visualizz. Mappa dei Percorsi Selezionare l'opzione di menu File | Importa | CAD... . Viene visualizzata la finestra di dialogo Apri.

  2. Accedere alla directory contenente il file da importare.

  3. Per importare il file fare clic su Importa. Il file CAD viene importato da PC-DMIS.

Riferimento a un file CAD per più part-program Per ulteriori informazioni si veda Riferimento ad Un file CAD da piú part program.


Riferimento a un file CAD per più part-program

Nelle precedenti versioni di PC-DMIS, la creazione di un nuovo part-program che utilizzasse lo stesso file IGES di altri part-program, generava automaticamente un nuovo file CAD. A partire dalla versione 3.5 è possibile disporre di più pezzi che fanno riferimento a un unico file CAD. Ciò risulta particolarmente utile quando più part-program utilizzano lo stesso modello CAD. Quando si gestiscono modelli CAD di grandi dimensioni, è possibile risparmiare una notevole quantità di spazio disponibile su disco, facendo riferimento a un solo file CAD per più programmi.

Per far riferimento ad un file .CAD usato da un altro part program, occorre:

  1. Menu Visualizz. Mappa dei Percorsi Selezionare l'opzione di menu File | Importa | CAD... . Viene visualizzata la finestra di dialogo Apri.

  2. Accedere alla directory contenente il file da importare.

  3. Per importare il file fare clic su Import. Il file CAD viene importato da PC-DMIS.

, seguire le istruzioni contenute in"Come importare un File di Dati in un Part Program" di questa sezione, e, quando viene visualizzato il menu Import, selezionare CAD by Reference come tipo di dati per l'import, quindi continuare il processo di import.

Nota: i riferimenti circolari ai file CAD non sono consentiti, pertanto se si tenta di eseguirli viene visualizzato un messaggio di errore. Ad esempio, una volta creato un part-program e averlo salvato dopo aver importato un file IGES, si verifica un errore se si tenta di importare il relativo file CAD.

Una volta eseguito l'import, si puó usare l'opzione di menu Vista | Info CAD per visualizzare informazioni sull'elemento CAD, nonché il percorso del file CAD di riferimento. Vedere "Visualizzazione delle informazioni CAD" nella sezione "Modifica della visualizzazione CAD". Nota:

Visualizza Menu Mappa dei Percorsi Nota: :e modifiche apportate al modello CAD, ¾sia a quello originale sia a quello di riferimento, ¾vengono applicate anche a tutti gli altri part-program basati su tale modello. Ad esempio, le modifiche apportate al modello CAD originale, vengono apportate a tutti i modelli a cui fa riferimento l'originale. Allo stesso modo, le modifiche apportate al modello di riferimento vengono applicate all'originale.


Importazione di un file CATIA

PC-DMIS consente tradurre un file CATIA e di importarlo in un part-program di PC-DMIS. Questo tipo di importazione si distingue dall'uso dell'interfaccia diretta al file CAD CATIA, come descritto in "Installazione ed uso dell'interfaccia Direct CAD CATIA" nella sezione "Interfaccia diretta a un file CAD".

Per importare un file CATIA, operare come segue:

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file di programma CATIA.

  2. Menu Visualizz. mappa dei Percorsi Selezionare la voce di menu File | Importa | CATIA... .Viene visualizzata la finestra Apri .

  3. ScegliereFile CATIA nell'elenco Tipo File in fondo alla finestra di dialogo. PC-DMIS elenca i file di programma che terminano con le seguenti estensioni file: .mod, .exp, .iso, and .cat.

  4. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file CATIA desiderato, quindi selezionare tale file dall'elenco.

  5. Fare clic sul pulsante Importa per visualizzare la finestra di dialogoImportazione Catia.

Finestra di dialogo Importazione Catia

  6. Tramite la descrizione della finestra di dialogo fornita nelle intestazioni, selezionare le opzioni desiderate dalla finestra di dialogo Importazione CATIA.

  7. Fare clic sul pulsante OK, perché PC-DMIS importi il file.

Vedere anche:

Selezione Modello

Selezione Asse

Opzioni di Elaborazione

Preferenza Ritaglio


Selezione Modello

Se per i file CATIA sono disponibili più modelli, l'elenco Selezione Modello consente di specificare il modello da importare.


Selezione Asse

L'elenco Selezione Asse consente di determinare il sistema di coordinate utilizzato per il modello in fase di importazione.


Opzioni di Elaborazione

La sezione Opzioni di elaborazione consente di applicare un filtro alle entità importate. È possibile utilizzare gli elenchi disponibili per controllare le entità del modello che verranno importate. Sono disponibili tre tipi di filtri: tipo entità, colore entità e layer entità. È possibile combinare tali filtri e limitare il numero di entità di cui verrà eseguito l'import.

Esempio: si supponga che un file sia composto da numerosi tipi di entità e colori su più layer. Tra tutte le entità da importare, è possibile selezionare un tipo specifico, ad esempio una curva. Nell'elenco delle curve risultante, è quindi possibile applicare un filtro in base il colore specifico dell'entità, ad esempio blu. Viene visualizzato un nuovo elenco, contenente le curve blu, in cui è possibile applicare un ulteriore filtro in base al layer, ad esempio specificando 15. Al termine di questa operazione vengono importate tutte le curve di colore blu che si trovano sul layer 15.

Elabora tutte le entità

Selezionare questa casella di controllo per importare tutti i tipi di entità. Per applicare un filtro ai tipi di entità da importare, deselezionare questa casella di controllo, quindi selezionare dall'elenco i tipi di entità che si desidera importare. È possibile selezionare più voci tenendo premuto il tasto CTRL durante la selezione.

Elabora tutti i colori

Selezionare questa casella di controllo per importare le entità di qualsiasi colore. Per applicare un filtro ai colori da importare, deselezionare questa casella di controllo, quindi selezionare dall'elenco i colori che si desidera importare.

Elabora tutti i layer

Selezionare questa casella di controllo per importare nel modello tutti i layer. Per applicare un filtro ai layer da importare, deselezionare questa casella di controllo, quindi selezionare dall'elenco i layer che si desidera importare.

Elabora entità nascoste

Selezionare questa casella di controllo per importare le entità nascoste. Se non si desidera importare le entità nascoste, deselezionare questa casella di controllo.


Preferenza Ritaglio

L'area Preferenza ritaglio consente di specificare il modo in cui le superfici ritagliate devono essere rappresentate in PC-DMIS.

Selezionare l'opzione Ritaglio UV per ritagliare le superfici nello spazio-parametro delle superfici.

Selezionare l'opzione Ritaglio XYZ per ritagliare le superfici nello spazio-modello.

Il modello risultante dalla traduzione, dovrebbe risultare identico indipendentemente dall'opzione di ritaglio selezionata. Tuttavia, se si importano modelli definiti in modo incompleto, l'opzione selezionata può influire sui risultati. In genere, la selezione dell'opzione Ritaglio UV garantisce risultati migliori.


Importazione di un file CATIA5

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | CATIA 5... . Viene visualizzata la finestra di dialogoApri File.

  2. Scorrendo i file su disco si selezioni un file CATIA 5.

  3. Fare clic sul pulsante Importa. Viene visualizzata la finestra Importazione CATIA 5.

Finestra di dialogo Importazione Catia 5
Finestra di dialogo Importazione Catia 5

  4. Nell'area Opzioni del Processo , selezionare i tipi di entitá che si intende importare, poi spuntare la casella Processare Tutte le Entitá , per effettuare l'operazione corrispondente. Fare clic su OK per importare il file modello in PC-DMIS. Il modello importato è pronto per essere usato in PC-DMIS.


Import di un file DES

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | DES... . Viene visualizzata la finestra di dialogoApri File.

  2. Scorrendo i file su disco si selezioni un file DES (Data File Exchange).

  3. Fare clic sul pulsante Importa. Viene visualizzata la finestra di dialogoFile Des .

Finestra di dialogo File DES
Finestra di dialogo File DES

  4. Selezionare Elemento oppure Attrezzaggio per specificare quale tipi di dati importare. Selezionando Elemento si puó scegliere la casella Usa SImboli per utilizzare etichette sugli elementi.

  5. Selezionare l'opzione XYZ(LWH) o XZY(LHW) per specificare l'orientazione dei dati importati.

  6. Selezionare Metrico, se l'unitá di misura non é specificata nel file DES.

  7. Selezionare Esplodi le polyline in punti per convertire le polyline importate in punti. Si puó inoltre decidere di mantenere le polyline importate, selezionando l'opzione Mantieni polyline.

  8. Fare clic su Processa per importare il file DES.

  9. Fare click suOK per accettare il file processato.


importazione di un file DXF

importazione di un file DXF/DWG

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | DXF... . Viene visualizzata la finestra di dialogo Apri.

  2. Selezionare il tipo di dati da importare nell’elenco Tipo File.

  3. Accedere alla directory contenente il file da importare.

  4. Per importare il file fare clic su Import. PC-DMIS visualizza la finestra di dialogo Stato dell'Import DXF/DWG.

Stato dell'Import DXF/DWG - finestra di dialogo

  5. Fare clic su OK quando il file DXF o DWG é stato tradotto. Se la traduzione fallisce, il pulsante OK non é abilitato. Fare clic su Annulla per annullare l'aggiunta del file importato.


importazione di un file GDX

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | GDX... . Viene visualizzata la finestra di dialogo Apri.

  2. Selezionare il tipo di dati da importare nell’elenco Tipo File.

  3. Accedere alla directory contenente il file da importare.

  4. Per importare il file fare clic su Import. PC-DMIS visualizza la finestra di dialogo Stato dell'Import GDX.

Stato dell'Import GDX - finestra di dialogo

  5. Fare clic su OK quando il file GDX é stato tradotto. Se la traduzione fallisce, il pulsante OK non é abilitato. Fare clic su Annulla per annullare l'aggiunta del file importato.


Importazione di un file IGES

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce File | Importa | IGES. Viene visualizzata la finestra di dialogo Apri.

  2. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file del pezzo.

  3. Selezionare il file.

  4. Fare clic sul pulsante Importa. Viene visualizzata la finestra di dialogo File IGES . Nella finestra di dialogo File IGES vengono visualizzate tutte le informazioni particolarmente importanti, relative al file di dati indicato.

Finestra di dialogo File IGES
Finestra di dialogo File IGES

  5. Volendo determinare quali dati CAD vengono elaborati e visualizzati, fare clic sul pulsante Impostazione (si veda "Modifica Visualizz. dell'Immagine Importata / Esportata").

  6. Per visualizzare dati specifici dell'elemento IGES, fare clic sul pulsante Dati (vedere "Utilizzo della Finestra di Dialogo Dati IGES").

  7. Per aggiungere il file di input al part-program selezionato, fare clic sul pulsante di comando Elaborazione. PC-DMIS visualizzerà un messaggio per indicare il completamento dell'elaborazione del file.

  8. Volendo gestire un disegno CAD 2D come oggetto tridimensionale, creando pertanto i livelli 3D desiderati, fare clic sul pulsante Crea 3D. I dati di origine devono essere definiti su un unico piano parallelo al piano Z (= 0). Per informazioni dettagliate su questa opzione, vedere "Come produrre un CAD 3D usando la finestra Crea Livelli " in "Modifica Visualizzazione CAD" .

  9. Per completare l'operazione, fare clic sul pulsante OK. Viene aperto nuovamente il part-program.

Selezionare il pulsante Annulla per annullare l'intera operazione e chiudere la finestra di dialogo File IGES .

Per informazioni sui diversi formati di file di input, vedere "Uso della modalità offline".

Vedere anche:

Uso della finestra di dialogo Dati IGES

Crea 3D


Uso della finestra di dialogo Dati IGES

La finestra di dialogo Dati IGES consente di selezionare un determinato elemento nella casella di riepilogo per visualizzare le informazioni relative al diametro, ai valori nominali XYZ dell'elemento e altre informazioni.

Finestra di dialogo Dati IGES

Per visualizzare le informazioni relative ai dati IGES di cui è in corso l'importazione nella finestra di dialogo Dati IGES, operare come segue:

  1. Avviare l'importazione del file CAD o IGES. Vedere "Importazione di un file IGES".

  2. Quando viene visualizzata la finestra di dialogo File IGES, fare clic su Processo per importare i dati.

  3. Al termine dell'importazione, fare clic sul pulsante Dati. Viene visualizzata la finestra di dialogo Dati IGES.


Crea 3D

Il pulsante Crea 3D indica a PC-DMIS di trasformare un disegno CAD bidimensionale in un disegno tridimensionale, mediante la creazione dei livelli tridimensionali desiderati. I dati di origine devono essere definiti su un unico piano parallelo al piano Z (= 0).

Per ulteriori informazioni su questa opzione, vedere la sezione "Modifica della visualizzazione CAD".


Importazione di un file IGES (Alternativo)

PC-DMIS fornisce un metodo alternativo per importare file IGES, oltre al metodo standard. I file sono elaborati con una metodologia simile ai file GDX, DXF, etc.

Per importare un file IGES, effettuare le seguenti operazioni:

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | GDX... . Viene visualizzata la finestra di dialogo Apri.

  2. Selezionare il tipo di dati da importare nell’elenco Tipo File.

  3. Accedere alla directory contenente il file da importare.

  4. Per importare il file fare clic su Import. PC-DMIS visualizza la finestra di dialogo Stato dell'Import IGES.

Stato dell'Import IGES - finestra di dialogo

  5. Fare clic su OK quando il file IGES é stato tradotto. Se la traduzione fallisce, il pulsante OK non é abilitato. Fare clic su Annulla per annullare l'aggiunta del file importato.


Importazione di un file Pro-ENGINEER

PC-DMIS consente di eseguire la traduzione di un file Pro-ENGINEER e di importare tale file in un part-program di PC-DMIS. Questo tipo di importazione si distingue dall'uso dell'interfaccia diretta al file CAD Pro/ENGINEER, come descritto in "Installazione ed uso dell'interfaccia Direct CAD Pro/ENGINEER" nella sezione "Interfaccia diretta a un file CAD".

Per importare un file Pro/ENGINEER, effettuare le seguenti operazioni:

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file Pro-ENGINEER.

  2. Menu Visualizz. mappa dei Percorsi Selezionare la voce di menu File | Importa | Pro-ENGINEER... .Viene visualizzata la finestra Apri .

  3. ScegliereFile Pro-ENGINEER nell'elenco Tipo File in fondo alla finestra di dialogo. PC-DMIS elenca i file di programma che terminano con le seguenti estensioni file: .prt e .asm.

  4. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file Pro-ENGINEER desiderato, quindi selezionare tale file dall'elenco.

  5. Fare clic sul pulsante Importa per visualizzare la finestra di dialogoImport Pro-ENGINEER.

Finestra di dialogo Importazione Pro/ENGINEER

  6. Tramite la descrizione della finestra di dialogo fornita nelle intestazioni, selezionare le opzioni desiderate dalla finestra di dialogo Importazione Pro/ENGINEER.

  7. Fare clic sul pulsante OK, perché PC-DMIS importi il file.

Vedere anche:

Opzioni di Elaborazione


Opzioni di Elaborazione

La sezione Opzioni di elaborazione consente di selezionare i tipi di entità da importare.

Elabora superfici solide

Selezionare questa casella di controllo per importare tutte le entità a superficie solida.

Elabora tutti i datum

Selezionare questa casella di controllo per importare tutte le entitá datum. Per applicare un filtro ai datum da importare, deselezionare questa casella di controllo, quindi selezionare dall'elenco i tipi di entità datum che si desidera importare.


importazione di un file STEP

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | STEP... . Viene visualizzata la finestra di dialogo Apri.

  2. Selezionare il tipo di dati da importare nell’elenco Tipo File.

  3. Accedere alla directory contenente il file da importare.

  4. Per importare il file fare clic su Import. PC-DMIS visualizza la finestra di dialogo Stato dell'Import STEP.

Stato dell'Import STEP - finestra di dialogo

  5. Fare clic su OK quando il file STEP é stato tradotto. Se la traduzione fallisce, il pulsante OK non é abilitato. Fare clic su Annulla per annullare l'aggiunta del file importato.


Importazione di un file STL

Il formato per stereolitografia (STL) è rappresentato da un file ASCII o binario utilizzato nei processi di produzione che fornisce un elenco delle sfaccettature triangolari che descrivono un modello di solido generato dal computer. Questo formato costituisce l'input standard per la creazione rapida di prototipi.

Esempio di file STLGlossSTL Importato

Per importare un file STL, effettuare le seguenti operazioni:

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file di programma DMIS.

  2. Menu Visualizz. mappa dei Percorsi Selezionare la voce di menu File | Import | STL... .Viene visualizzata la finestra Apri .

  3. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file STL desiderato, quindi selezionare tale file dall'elenco. Il file STL può essere in formato ASCII o binario.

  4. Fare clic sul pulsante Importa. PC-DMIS importa i dati sotto forma di un elenco delle sfaccettature che compongono un modello solido.


Import di File Unigraphics o Parasolids

PC-DMIS consente di eseguire la traduzione di un file Unigraphics o Parasolids e di importare tale file in un part-program di PC-DMIS. Tale tipo di import differisce dall'interfacciamento diretto dei file CAD Unigraphics, descritto nel file di guida delle Interfacce Direct CAD.

Import di File Unigraphics o Parasolids

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file Unigraphics o Parasolids. La chave hardware (portlock) deve essere programmata con l'opzione Unigraphics per poter importare i file Parasolids.

  2. Menu di Visualizz. Mappa dei Percorsi Selezionare File | Importa | Unigraphics o File | Importa | Parasolids. Viene visualizzata la finestra di dialogo Apri file.

  3. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file Unigraphics o Parasolids desiderato, quindi selezionare tale file nell'elenco.

  4. Fare clic sul pulsante Importa . In base al tipo di file, viene visualizzata la finestra Importa Unigraphics o Importa Parasolids . Le finestre di dialogo dei tipi diversi di file hanno la forma seguente:

Importa Unigraphics - finestra di dialogo

  5. Selezionare i tipi di entità da importare dall'area Opzioni di elaborazione. I tipi di entità che è possibile importare sono corpi solidi, corpi in lamiera ed entità nascoste.

  6. Fare clic sul pulsante OK, perché PC-DMIS importi il file.


Import dei file STEP, VDAFS e DXF/DWG

Visualizza Mappa Percorsi dei Menu

1. Selezionare l'opzione di menu File | Importa e poi scegliere STEP, VDAFS , DXF , oppure DWG. Viene visualizzata la finestra di dialogo Apri.

2. Selezionare il tipo di dati da importare nell’elenco Tipo File.

3. Accedere alla directory contenente il file da importare.

4. Fare clic suImport , per importare il file. PC-DMIS visualizzerà la finestra di dialogo Importa STEP.

Stato dell'Import STEP - finestra di dialogo

Nota: Le finestre di dialogo di importazione per i tipi di file qui analizzati sono essenzialmente le stesse della finestra di dialogo Importa STEP.

Vedere anche:

Elabora Entità Indipendenti

Inverti ordine patch U-V per superfici spline


importazione di un file VDAFS

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | VDAFS... . Viene visualizzata la finestra di dialogo Apri.

  2. Selezionare il tipo di dati da importare nell’elenco Tipo File.

  3. Accedere alla directory contenente il file da importare.

  4. Per importare il file fare clic su Import. PC-DMIS visualizza la finestra di dialogo Stato dell'Import VDAFS.

Stato dell'Import VDAFS - finestra di dialogo

  5. Fare clic su OK quando il file VDAFS é stato tradotto. Se la traduzione fallisce, il pulsante OK non é abilitato. Fare clic su Annulla per annullare l'aggiunta del file importato.


Importazione di un file XYZIJK

XYZIJK I file di tipo XYZIJK sono file semplici contenenti informazioni sugli elementi espresse in base al sistema di coordinate xyz con o senza un vettore.

Per importare un file XYZIJK, effettuare le seguenti operazioni:

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | XYZ... . Viene visualizzata la finestra di dialogo Apri.

  2. Accedere alla directory contenente il file da importare.

  3. Per importare il file fare clic su Import. PC-DMIS interpreta ed importa il file XYZIJK selezionato.

La quantità di valori numerici presenti su ciascuna linea determina l'elemento creato. PC-DMIS legge le righe del file di dati .xyz e converte i punti nell'elemento indicato nella tabella seguente in base alla quantità di valori numerici presenti su ciascun riga:

Numeri riga

Descrizione

Elemento CAD generato

3

1mo numero=val. X
2ndo numero=val. Y
3zo numero=val. Z

Punto senza vettore

4

1mo numero=val. X
2ndo numero=val. Y
3zo numero=val. Z
4to numero=diametro

Cerchio CAD con vettore basato sul piano di lavoro

5

1mo numero=val. X
2ndo numero=val. Y
3zo numero=val. Z
4to numero=vuoto
5to numero =vuoto

Punto senza vettore

6

1mo numero=val. X
2ndo numero=val. Y
3zo numero=val. Z
4to numero=val. I
5to numero =val. J
6to numero=val.K

Punto con vettore

7

1mo numero=val. X
2ndo numero=val. Y
3zo numero=val. Z
4to numero=val. I
5to numero =val. J
6to numero=val.K
7mo numero=diametro

Cerchio con vettore

8+

1mo numero=val. X
2ndo numero=val. Y
3zo numero=val. Z
4to numero=val. I
5to numero =val. J
6to numero=val.K
7mo numero=vuoto
8vo numero=vuoto

Punto con vettore

Esempio: Se il file XYZ contiene una linea con 25,280,750,25, PC-DMIS crea un cerchio con il centro in corrispondenza delle coordinate x=25, y=280 e z=750 e con un diametro pari a 25.

Dopo aver selezionato il file da importare, nella finestra di dialogo File XYZ viene visualizzato l'elemento costruito utilizzando il file XYZ.

Finestra di dialogo XYZ

Nota: Si tenga presente che l'ordine di creazione degli elementi nel file .xyz potrebbe non corrispondere all'ordine in cui tali elementi vengono generati in PC-DMIS.

Dopo aver selezionato il pulsante OK, nella finestra di Visualizzazione Grafica vengono visualizzati gli elementi CAD creati.

Vedere anche:

Note sui file XYZIJK


Note sui file XYZIJK

PC-DMIS è in grado di leggere i file di testo contenenti i dati XYZ e, se possibile, IJK. È opportuno che il file ASCII contenga i punti di ispezione nominali (teorici) da misurare. Inoltre, è necessario che il file sia conforme alle seguenti regole:

  1. È necessario che nelle colonne da 1 a 6 della prima riga del file siano contenuti i caratteri "XYZIJK", ovvero la parola chiave che consente a PC-DMIS di distinguere i tipi di file DES e IGES. Tali caratteri devono essere in lettere maiuscole.

I caratteri della prima riga del file sono i seguenti:
Col. 1 = X
Col. 2 = Y
Col. 3 = Z
Col. 4 = I
Col. 5 = J
Col. 6 = K

  2. Se nel file sono presenti dati metrici, è necessario che la parola METRIC sia contenuta nelle colonne da 11 a 16, come riportato di seguito:

Col. 11 = M
Col. 12 = E
Col. 13 = T
Col. 14 = R
Col. 15 = I
Col. 16 = C

Se la parola chiave METRICO non è presente, la parola predefinita é INCH (POLLICI).
In tal caso, lasciare vuota la parte rimanente della prima riga

  3. Ogni riga deve contenere da tre (3) a otto (8) numeri a virgola mobile, separati dalla virgola.

Si prenda in considerazione il seguente file XYZIJK di esempio:

File di esempio XYZIJK in un editor di testo

  • La riga 1 contiene la parola chiave XYZIJK e poiché la parola chiave METRICO non è presente nelle colonne da 11 a 16, il valore predefinito è INCH (POLLICI).

  • La riga 2 genera un punto con un vettore.

  • La riga 3 genera un punto con un vettore.

  • La riga 4 genera un punto con un vettore.

  • La riga 5 produce un cerchio con un vettore e un diametro.

Una volta eseguita l'importazione, nella finestra di visualizzazione grafica viene visualizzato il seguente risultato:

Finestra di visualizzazione grafica contenente il file di esempio XYZIJK importato in PC-DMIS.


Import di un Programma ChorusNT

Il percorso di migrazione di ChorusNT verso PC-DMIS si basa sulla capacitá di quest'ultimo di importare un part program Chorus DMIS, convertendo il programma originale DMIS in comandi equivalenti PC-DMIS, per produrre un file di part program PC-DMIS con estensione .prg.

PC-DMIS é giá in grado di convertire la maggior parte dei comandi DMIS in comandi PC-DMIS; Wilcox Associates, Inc. sta lavorando per supportare completamente il gran numero di estensioni di Chorus, al fine di massimizzare l'automatismo di conversione e di minimizzare la necessitá di correzioni manuali che é necessario aggiungere a completamento dell'import.

A partire dalla versione 3.6 di PC-DMIS, il processo di import delle estensioni ChorusNT comprende:

  1. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | Chorus DMIS... . Viene visualizzata la finestra di dialogo Apri.

  2. Selezionare il file da inserire, quindi fare clic su Apri.

  3. PC-DMIS visualizza la finestra di dialogo Imposta Import Dmis .

In questa finestra di dialogo é possibile impostare le informazioni seguenti, durante la fase di import:

  • Specificare il nome del file tastatore usato per ciascun braccio.

  • Abilitare la finestra delle avvertenze (warning) durante la fase di import.

  • Abilitare le opzioni relative a clienti ed a configurazioni hardware particolari.

Eseguire i passi fondamentali degli argomenti che seguono puó aiutare ad importare e tradurre correttamente un file DMIS in un file di part program PC-DMIS:

Vedere anche:

Passo 1: Configurazione di PC-DMIS

Passo 2: Creazione e Calibrazione del File Tastatore in PC-DMIS

Passo 3: Creazione del File Programma PC-DMIS ed Import del file DMIS

Passo 4: Fine della Fase automatica di Import

Passo 5: Verifica Manuale del Programma PC-DMIS

Punti da Osservare, utili Spunti e Suggerimenti


Passo 1: Configurazione di PC-DMIS

Verificare le impostazioni di PC-DMIS, e controllare che le impostazioni standard di PC-DMIS corrispondano a quelle di ChorusNT. Per esempio si verifichino le convenzioni assi della CMM, l'Orientazione della testata tastatore e la Velocitá Massima di posizionamento.

Si utilizzi l'Editor Impostazioni per selezionare le opzioni seguenti nella sezione DMIS:

  • DMISMaxMeasurementVelocityMMPS = velocitá massima di misura

  • DMISFedratPcntOfMaxMachineSpeed = 0


Passo 2: Creazione e Calibrazione del File Tastatore in PC-DMIS

  • Si crei un muovo part program e si definisca un nuovo tastatore nella finestra che si presenta. Si chiami MYPROBE.PRB, specificando nella finestra Utility Tastatorei componenti necessari.

  • Si importi il part program di qualifica Chorus, utilizzando il tastatore creato e salvato nel file MYPROBE.PRB. PC-DMIS importa le istruzioni SNSDEF ed aggiunge i corrispondenti angoli PUNTA. Chorus identifica ogni punta con un'etichetta DMIS con la regola seguente: una punta con roll = 0 e pitch = 0 é chiamata S(R000P000T1). PC-DMIS chiama questa punta T1A0B0.

  • Se in ChorusNT si é utilizzato un tastatore autocalibrato, si importi in PC-DMIS un semplice part program DMIS contenente la definizione di tastatore Principale, con l'etichetta giusta ( cioé la stessa dell'etichetta della SNSLCT/S,90,90 per esempio) e Pitch e Roll eguali a zero.

  • Dopo aver importato il file DMIS, il file tastatore MYPROBE.PRB conterrá tutte le punte necessarie. In PC-DMIS gli angoli AB della punta saranno seguiti da un asterisco ('*'), per significare che non sono ancora stati calibrati.

  • Calibrazione delle punte. Si puó effettuare in uno dei modi seguenti: 1) Eseguire il part program. 2) Fare clic sul pulsante Misuranella finestra di dialogo Utility Tastatoreed eseguire una operazione standard di misurazione.


Passo 3: Creazione del File Programma PC-DMIS ed Import del file DMIS

  • Creare un nuovo part program PC-DMIS.

  • Importare il part program di misura ChorusNT, specificando il file tastatore MYPROBE.PRB, creato al passo precedente.

  • Di solito i programmi di misura Chorus contengono istruzioni SNSLCT/ S(etichetta) oppure SNSLCT/SA(etichetta). Per polsi autocalibrati si possono specificare esplicitamente angoli roll e pitch, nell'etichetta SNSLCT.

Quando PC-DMIS importa il file DMIS, il part program PC-DMIS finale conterrá il comando OADPROBE/MYPROBE.PRB all'inizio e poi, per ogni istruzione SNSLCT, il comando PUNTA corrispondente presenterá gli angoli A e B corretti.


Passo 4: Fine della Fase automatica di Import

PC-DMIS completa la fase di import, mostrandone il rapporto nella finestra di Avvertenza.

Per esempio, si vedrá:

L42: ---: DECL/CHAR,O_D_L[11]

L56: ---: DECL/REAL,TX,TY,TZ,MISX,MISY,MISZ,CXT,CYT,CZT,VX,VY,VZ

L57: ---: DECL/REAL,INVCXT,INVCYT,INVCZT

L112: !MAJOR :MMEDIA/ON,’C:\myfile.exe’

L150: !MAJOR :MRRPCS/D(MRR),0,1,0

L213: ERRORE: UNITÁ,

L253: ERRORE: !SNSLCT/S(S_103)

Per la descrizione, vedere le sezioni seguenti.

  • L## - RAppresenta il numero di linea per quell'istruzione nel programma DMIS originario( dove ### rappresenta il numero). Per esempio, L42 indica che nella linea 42 del programma DMIS si trova quella istruzione DMIS.

  • ---: - Significa che l'istruzione é stata ignorata e non é stata convertita nel comando PC-DMIS corrispondente, perché il comando equivalente non esiste. Si vedrá che PC-DMIS ignora sempre l'istruzione DECL, perché PC-DMIS non necessita di dichiarazione esplicita di variabile.

  • !MAJOR - Ció significa che l'istruzione DMIS specifica (Major DMIS Word) non é supportata.

  • ERRORE– Il comando specificato non é stato correttamente importato.


Passo 5: Verifica Manuale del Programma PC-DMIS

Occorre assicurarsi che la traduzione in PC-DMIS funzioni correttamente. Si scorra l'intero part program in modalitá Comando. Gli errori appaiono in rosso nel testo.

Si provi ad eseguire il programma in modalitá OFFLINE, poi si provi ad usare la CMM in modalitá ONLINE a bassa velocitá, per verificare che il programma importato non presenti problemi.


Punti da Osservare, utili Spunti e Suggerimenti

ChorusNT e PC-DMIS sono sistemi di misura differenti ed alcune loro caratteristiche intrinseche vanno considerate attantamente. L'elencoseguente contiene alcuni spunti e suggerimenti:

Ciclo Automatico di Misura

Il linguaggio DMIS Standard dichiara che in una sezione MODE/AUTO gli elementi sono misurati con un ciclo automatico, ignorando ogni eventuale PTMEAS presente.

Poiché ChorusNT fornisce un ciclo automatico di misura per PUNTO, CERCHIO, SFERA ed ASOLA (CPARLN), tutti questi casi vengono tradotti nell'elemento AUTO corrispondente. Tuttavia, a causa delle differenze intrinseche tra ChorusNT e PC-DMIS, é bene verificarne con cura l'esecuzione.

Ad esempio: Nel ciclo automatico della SLOT (asola rotonda), ChorusNT rileva dapprima due punti su uno dei lati rettilinei. PC-DMIS invece rileva i punti sulle estremitá ricurve dell'asola.

Tastatori STAR TIP ( punta a stella)

PC-DMIS riconosce l'estensione SNSDEF di ChorusNT che definisce una punta a stella. Si verifichi che l'impostazione di PC-DMIS riguardo all'orientazione della Testata Tastatore corrisponda alla SNSMNT di ChorusNT.

CW43, CW43L e IW42 - Convenzioni del Montaggio Polso

Le convenzioni di ChorusNT e PC-DMIS per l'angolo di roll sono differenti. PC-DMIS puó correggere tale angolo, durante l'import di un programma DMIS Chorus, si proceda tuttavia con estrema attenzione alla prima esecuzione del part program importato.

Valori teorici nelle istruzioni FEAT

PC-DMIS usa sempre sia i valori Teorici che i Misurati, che devono essere corretti (non troppo discosti dalla deviazione dai valori misurati). Se la deviazione é eccessiva possono presentarsi problemi, soprattutto per gli elementi usati negli allineamenti. Questo é dovuto al fatto che PC-DMIS definisce due matrici per ogni allineamento.

  • Per prima, la matrice CADTOPART. In base ai valori teorici, converte i valori TEOR in elementi.

  • Come seconda, la matrice MACHINETOPART. In base ai valori misurati, converte i valori misurati reali in elementi.

ChorusNT non prevede la matrice CADTOPART e quindi utilizza sempre i valori reali misurati. Ci si rende conto di avere valori nominali errati solo quando si esegue un'istruzione di OUTPUT di quell'elemento.

Per la verifica di correttezza occorre pertanto aggiungere nel part program DMIS originario delle istruzioni di OUTPUT per gli elementi, e soprattutto per gli elementi coinvolti in allineamenti.

NOMFIL

NOMFIL, in ChorusNT specifica il nome del file di output, quando si usa il comando VISUAL/STOR. PC-DMIS lo riconosce, tuttavia questo comando deve comparire dopo VISUAL nel part program DMIS. Si rimanda al manuale DMIS per ulteriori informazioni.

MODULOV

L'istruzione del formato vendor in ChorusNT é V(etichetta)=MODULOV/TUTTO. Si traduce nel comando PC-DMIS FORMATO/TESTO che contiene l'informazione seguente:

  • MISURATO

  • NOMINALE

  • DEVIAZIONE

  • TOL_POS

  • TOL_NE

  • CRIT/OOT

In PC-DMIS il comando FORMATO ha la forma seguente:

FORMATO/TESTO,OPZIONI,ID,INTESTAZIONI,SIMBOLI,DS;MIS,NOM,DEV,TOLL,FUORI_TOLL, , ,

GRFDEF

GRFDEF é un'estensione di Chorus che permette di definire finestre di dialogo con pulsanti e campi di input. PC-DMIS importa questo comando e crea uno script, servendosi del linguaggio BASIC (Cypress Enable). A seconda della risoluzione dello schermo, la finestra di dialogo risultante puó aver bisogno di aggiustamenti. Il file Script basic puó essere modificato usando l'Editor di Script Basic di PC-DMIS.

FROM e GOHOME

Secondo la propria convenzione, ChorusNT muove il centro testata, non il centro pallina della punta. L'Import di PC-DMIS puó produrre gli offset necessari, tuttavia si deve usare un valore basso di feed alla prima esecuzione del part program importato.

MRRPCS

In ChorusNT questo comando definisce il sistema di riferimento da usare nei part program creati con l'utility MIRROR di ChorusNT. PC-DMIS non supporta l'import di un programma Chorus sottoposto a mirroring. Si consiglia di utilizzare l'utility di mirroring di PC-DMIS, piú potente e completa, su un file .prg creato importando il programma di Chorus con il pezzo base (non mirrorato).

MIRINO

In ChorusNT questa istruzione definisce e misura un calibro a sfera, specificandone il nome: G(etichetta), diametro, e direzione del gambo. É specificata facoltativamente anche la posizione del centro, l'angolo di incidenza ed il numero dei punti usati nella misura.

MIRINO/SFERA,G(etichetta), diam, i , j, k, [angolo, x, y, z, npunti]

A causa delle differenze nei parametri, PC-DMIS traduce questo in due comandi. AUTO/SFERA e CALIBRA ATTIVO:

F(etichetta)= AUTO/SFERA

Il comando AUTO/SFERA usa lo stesso nome, diametro e direzione dell'istruzione MIRINO. Se la posizione del centro non é specificata e durante l'esecuzione si seleziona manualmente il primo punto sul polo, allora init = 1 e perm = 1, altrimenti init = 0 e perm = 0.

PC-DMIS puó anche correggere opportunamente i valori di orientazione, angle_vec e normal_vec.

CALIBRA PUNTA ATTIVA CON ID_ELEM=F(etichetta), ID_STRUMQUAL=etichetta, SPOSTATO=SÍ

CALIB

In ChorusNT questa istruzione esegue la calibrazione del tastatore dato, mediante il calibro a sfera G(etichetta) specificato

CALIB/SENS, S(tastatore),G(etichetta), [angolo]

PC-DMIS traduce questa istruzione nei tre comandi seguenti:

PUNTA/ T1A..B..

Il comando relativo alla punta avrá gli stessi angoli AB dell'istruzione S(tastatore).

F(etichetta)= AUTO/SFERA

CALIBRA PUNTA ATTIVA CON ID_ELEM=F(etichetta), ID_STRUMQUAL=etichetta, SPOSTATO=SÍ


Importazione di file DMIS

PC-DMIS puó importare file DMIS generici e programmi DMIS creati usando le estensioni di ambienti 'vendor' specifici.

Per importare un file di programma DMIS, effettuare le seguenti operazioni:

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file di programma DMIS.

  2. Menu Visualizz. Mappa dei Percorsi Selezionare la voce di menu File | Importa | DMIS... . Viene visualizzata la finestra di dialogo Apri.

  3. Scegliere File DMIS Chorus , oppure File DMIS dall'elenco Tipo file disponibile in basso, nella finestra di dialogo. Vengono visualizzati i file di programma con estensione ".dmi" o ".dms".

Nota: I programmi di Chorus NT seguono lo Standard DMIS 3.0 con estensioni. Pertanto nella maggior parte dei casi si dovrá scegliere File DMIS Chorus invece di normali File DMIS. Per note sulla traduzione da file ChorusNT a part program PC-DMIS, si veda"Note di traduzione da ChorusNT a PC-DMIS".

  4. Spostarsi nelle directory disponibili fino a quando non viene individuare la directory contenente il file di programma DMIS desiderato e selezionarlo dal relativo elenco.

  5. Fare clic sul pulsante Importa.

  6. PC-DMIS farà un primo passo di conversione del file di input. Quando questo passo è completato, viene visualizzata la finestra di dialogo Impostazioni Import DMIS. Questa finestra di dialogo consente di selezionare molte utili opzioni durante l'effettiva fase di importazione.

  7. Selezionare l’opzione opportuna dalla finestra di dialogo Impostazioni Import DMIS . Per informazioni sull’utilizzo di questa finestra di dialogo, vedere gli argomenti riportati di seguito.

  8. Fare clic sul pulsante OK. PC-DMIS termina il processo di importazione.

Vedere anche:

Impostazione importazione DMIS - scheda Generale

Impostazioni importazione DMIS - scheda Moduli

Impostazione importazione DMIS – Scheda Log Errori

Impostazioni importazione DMIS - scheda Avanzate


Impostazione importazione DMIS - scheda Generale

Finestra di dialogo Impostazione importazione DMIS - scheda Generale

La scheda Generale permette di controllare la conversione del file dei tastatori utilizzato dal programma DMIS importato. I controlli usati in questa scheda sono descritti in questa tabella:

Nome del controllo

Descrizione

File DMIS

Questa casella specifica il file DMIS da importare Contiene automaticamente un percorso al file selezionato dalla finestra di dialogo Apri, descritta nella procedura di import DMIS

Unisci / Sostituisci

Queste opzioni specificano se PC-DMIS sostituisce comandi esistenti con comandi DMIS importati, oppure unisce I nuovi comandi a quelli esistenti.

Fare clic su Sostituisci se si vuole che i comandi esistenti nel part programGlossPartProgram caricato in precedenza siano sostituiti con i nuovi comandi PC-DMIS durante il processo di importazione.

Se si fa clic su Unisci, i comandi PC-DMIS creati durante il processo di importazione saranno aggiunti al file PRG già caricato.

Braccio

Questa lista specifica il braccio da utilizzare per un sistema a bracci multipli

File dei tastatori

Questa lista specifica un file di tastatori esistente.

Usa il/i file dei probe selezionato/i

Con questa opzione si usa il file dei tastatori esistente selezionato dalla lista File dei tastatori

  1. Selezionare il Braccio che userà il file dei probe visualizzato dalla casella di riepilogo a discesa.

  2. Selezionare il file dei tastatori dall’elenco.

  3. Fare clic su Applica. PC-DMIS aggiungerà ulteriori punte o sensori indicati nei programmi DMIS non ancora inclusi nel file del tastatore.

Crea di un nuovo file predefinito dei tastatori

PC-DMIS crea un nuovo file del tastatore in base alle istruzioni SNSDEF presenti nel file di programma DMIS. PC-DMIS crea un nuovo file dei probe e gli assegna lo stesso nome del programma DMIS ma con l'estensione ".prb". La configurazione creata presenta come parametri predefiniti un polso PH9 con connessione TP2 e punta TIP2BY20MM. Tuttavia, se il programma DMIS non contiene alcuna istruzione SNSDEF, la configurazione del tastatore non verrà creata.

Ignora le istruzioni SNSLCT/

Con questa opzione, durante l’importazione del part program le istruzioni SNSLCT vengono ignorate.

Nota:se la configurazione predefinita del tastatore non corrisponde alla configurazione del tastatore della macchina, si consiglia di creare in PC-DMIS un file del tastatore con la configurazione del tastatore corretta prima di importare un file programma DMIS. selezionare il file di tastatori così creato da questa scheda, fare clic su Applica e poi su OK. In questo modo venfono selezionate le punte più appropriate durante la conversione delle istruzioni SNSDEF.


Impostazione importazione DMIS - scheda Generale

Impostazioni importazione DMIS - scheda Moduli

La scheda Moduli non é disponibile nella presente versione.


Impostazione importazione DMIS – Scheda Log Errori

Finestra di dialogo Impostazione importazione DMIS - Scheda Log Errori

La scheda Log Errori permette di far memorizzare a PC-DMIS in un file di testo le avvertenze o i messaggi di errore, alla fine del processo di import. Fare clic sul pulsante Sfoglia e selezionare un file di testo.

Se si desidera che PC-DMIS automaticamente visualizzi il log degli errori alla fine del processo di importazione, selezionare la casella di controllo Visualizza log quando l’import è completato. Il file di testo verrà aperto in una finestra di dialogo Risultati importazione DMIS.


Impostazioni importazione DMIS - scheda Avanzate

Impostazioni importazione DMIS - scheda Avanzate

La scheda Avanzate consente l’importGlossImport di particolari configurazioni e richieste dell’utente. Queste estensioni possono includere comandi non standard o parametri aggiunti o modificati di comandi standard DMIS. PC-DMIS disabilita opzioni inutili (ed abilita quelle necessarie) quando importa file Chorus DMIS. I controlli usati in questa scheda sono descritti in questa tabella:

Nome del controllo

Descrizione

Servizio Assistenza

Questa area contiene caselle di controllo specifiche per i vendors DMIS Se i vostri file DMIS sono stati creati da prodotti sw di altre società, selezionare la casella di controllo appropriata per abilitare il supporto delle estensioni specifiche di questi vendors. Sono disponibili le seguenti opzioni:

  • Volvo

  • Volkswagen

Supporto Configurazione

Quest’area contiene caselle di controllo che permettono la selezione di configurazioni DMIS diverse. Sono disponibili le seguenti opzioni:

I valori di FEDRAT/ sono una percentuale della velocitá massima della macchina

I comandi DMIS non specificano in modo automatico se i comandi FEDRAT/ (comandi che controllano la velocità della macchina) si riferiscono alla massima velocità della macchina o alla massima velocità di misura.

  • Selezionando questa casella di controllo, le istruzioni FEDRAT/ esprimono una percentuale della massima velocità della macchina.

  • Selezionando questa casella di controllo, le istruzioni FEDRAT/ esprimono una percentuale della massima velocità della macchina.

Montaggio e rotazione del polso DEA per Chorus

Utilizzando una CMM DEA,equipaggiata con un polso IW42, CW43 o CW43L , selezionando questa casella di controllo, PC-DMIS segue le convenzioni di Chorus e modifica l’angolo B di rotazione durante l’import dell'istruzione SNSLCT.

Questa opzione é utilizzata automaticamente quando si effettua l’import DMIS Chorus.

Predefinito

Questo pulsante imposta la selezione effettuata come quella predefinita quando si importa un file DMIS


Import di Programmi AVAIL o MMIV

I file AVAIL ed MMIV vengono usati dal pacchetto di misura Micro Measure IV. PC-DMIS consente di importare questo tipo di file nei part-program di PC-DMIS.

Per importare un file MMIV, effettuare le seguenti operazioni:

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file di programma MMIV.

  2. Scegliere l'opzione File | Importa , poi selezionare Display Menu Roadmap AVAIL... oppure Menu di Viaualizz. Mappa dei Percorsi MMIV... nel menu secondario. Viene visualizzata la finestra di dialogo Apri file.

  3. PC-DMIS elenca i file di programma che iniziano con il prefisso "llf" di MMIV.

  4. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file di programma AVAIL o MMIV desiderato, quindi selezionare tale file dall'elenco.

  5. Fare clic sul pulsante Importa . Viene visualizzata la finestra di dialogo Scegli metodo di Traduzione in cui viene richiesto di specificare il metodo da utilizzare per importare i dati nel part-program.

Scegli Metodo di Traduzione - Finestra di dialogo

  6. Selezionare un'opzione di traslazione, quindi fare clic su OK. PC-DMIS elabora la richiesta.

  7. Per ogni comando TOOLCHANGE individuato nel file MMIV, PC-DMIS chiede di selezionare un file tastatore di PC-DMIS.

  8. Per ogni comando MODIFICA PUNTA individuato nel file MMIV, PC-DMIS chiede di selezionare una punta di tastatore dall'elenco Punta da Usare nella finestra di dialogo Seleziona punta.

Calibrazione Punta - Finestra di dialogo

  9. Fare clic suOK (o su OK Tutti), come indicato nelle istruzioni visualizzate, quindi ripetere le operazioni descritte al punto precedente. Alla chiusura della finestra di dialogo Seleziona Punta , viene visualizzata la finestra di dialogo Seleziona piano di lavoro.

Selezione Piano di Lavoro - Finestra di dialogo

  10. Selezionare il piano di lavoro che si adatta all'impostazione corrente, poi fare clic su OK. PC-DMIS importa i dati nel part-program.

Importante: Per i part program MMIV contenenti la parola-chiave BRANCH/TEST, oppure il comando BRANCH/LABEL, all'interno di un blocco elemento, i corrispondenti comandi PC-DMIS (IF e GOTO) verranno spostati prima del blocco elemento, una volta importati in PC-DMIS. Questo errore verrà corretto nelle versioni future di PC-DMIS.

Nota sull’importazione di elementi automatici

Tener presente che PC-DMIS non supporta i comandi DONE/ o MISURA/ negli elementi automatici di MMIV o AVAIL. Durante il processo di traduzione, ogni comando MISURA/; X,Y, Z,I,J,Kviene trasformato in commento operatore ed i comandi CHIUDI/ vengono ignorati.
Per esempio supponiamo che si stia importantando questo elemento automatico da un file AVAIL o MMIV:

CER2= AUTO/CER; YZPL,OC,4,12.0,6.0,-12.0,103.0,295,330
MOVIM/PER; 12,5,0
MOVIM/PER; 0,0,20
MISURA/; 12.0,56.0,-22.0,0.0,-1.0,0.0039
MISURA/; 12.0,57.85,-16.0,0.0,-1.0,0.0
MISURA/; 12.0,58.4,-6.0,0.0,-1.0,-0.0039
FINE/;

IN PC-DMIS questo sarà tradotto in un comando CERCHIO AUTOMATICO seguito da due MOVIM e da tre commenti che indicano che PC-DMIS ha ignorato i comandi MISURA.


Importazione di un programma Tutor

È possibile importare part program creati dall’applicazione Tutor.

Per importare un file Tutor, effettuare le seguenti operazioni:

  1. Aprire in PC-DMIS il part-program nel quale si desidera importare il file di programma Tutor.

  2. Menu Visualizz. mappa dei percorsi Selezionare la voce di menu File | Importa | Tutor... .Viene visualizzata la finestra di dialogo Apri.

  3. Spostarsi nelle directory disponibili fino a quando non viene individuata la directory contenente il file Tutor desiderato, quindi selezionare tale file dall'elenco.

  4. Fare clic sul pulsante Importa . Il traduttore Tutor inizia il processo di traduzione e viene visualizzata la finestra di dialogo Opzioni di Traduzione TutorPCDIMIS . La finestra di dialogo consente di determinare come gli elementi del file Tutor devono essere interpretati o visualizzati all’interno di PC-DMIS.

Opzioni di Traduzione TutorPCDMIS - finestra di dialogo

  6. Completare opportunamente la finestra di dialogo. Sono disponibili le opzioni riportate di seguito:

Area Impostazioni Part Program PC-DMIS:

Queste opzioni provengono da PC-DMIS e non possono essere modificate.

Unitá – Mostra le unitá di misura (Pollici o Millimetri) dei part program PC-DMIS, usate per importare file Tutor. A differenza di Tutor for Windows, PC-DMIS non permette di cambiare unitá di misura in fase di esecuzione.

Modalitá Angolo – Mostra come gli angoli vengano visualizzati (Gra oppure GPS) in un part program PC-DMIS (in Gradi centesimali o in Gradi sessagesimali(Primi-Minuti-Secondi)), nel part program di PC-DMIS.

Area Impostazioni Tutor for Windows:

Queste opzioni permettono di definire le impostazioni di Tutor per Windows necessarie per una traduzione corretta da Tutor a PC-DMIS.

Leggi Wtutor.Ini – Fare clic su questo pulsante per specificare dove la configurazione Tutor (.ini) é allocata. Quando inizia la traduzione, PC-DMIS ricerca il file di configurazione nella directory predefinita Leggi Wtutor.Ini Questo file contiene le configurazioni di Tutor per Windows necessarie alla traduzione.

Errore di True Position – Selezionare Raggio se il part program da importare richiede che l’errore di True Position venga calcolato come raggio, selezionare Diametro in caso contrario .

Errore di Forma – Selezionare Doppio se il part program da importare richiede che l’errore di Forma sia un Doppio, selezionare Singolo nel caso opposto.

Errore di Linearitá – Selezionare Raggio se il part program da importare richiede che l’errore di Linearitá venga calcolato come raggio, selezionare Diametro in caso contrario .

Area di Mappa Tastatori Tutor PCDmis:

Quest’area permette di far corrispondere la mappa tastatori Tutor con quella di PC-DMIS.

Diametro Punta – Digitare il valore predefinito del diametro punta tastatore che PC-DMIS utilizzerá nel part program.

File Tastatore– Si utilizzi il pulsante … per scegliere il file tastatore PC-DMIS (.PRB) da utilizzare.

File MappaTastatori – Usare il pulsante … per scegliere un file tastatori esistente (.TP2), con la corrispondenza Tutor-PC-DMIS . Se non esiste un file di mappatura tastatori, se ne puó creare uno facendo clic sul pulsante Nuovo. Il pulsante Modifica consente di cambiare il file di mappa tastatori elencato in questa finestra. Questo file di mappa permette di dire al traduttore quali angoli della punta PC-DMIS deve utilizzare, quando traduce comandi tastatore da Tutor a PC-DMIS.

Salta Commenti – Selezionare questa casella se non si desidera importare i commenti operatore presenti nel file Tutor.

  7. Fare clic sul pulsante OK per continuare. PC-DMIS visualizza il processo di import nella finestra di stato della Traduzione, mostrando i messaggi di avvertenza nell’elenco Messaggi di Traduzione.

  8. Seguire le istruzioni visualizzate.

  9. Quando la traduzione ha termine, la finestra di stato della Traduzione permette di esaminare I messaggi nell’elenco Messaggi di Traduzione. Si puó decidere di continuare (clic su Continua) oppure abortire (clic su Annulla) il processo di import. Comunqiue si scelga, tutti I messaggi generati dalla traduzione vengono memorizzati in un file di log con lo stesso nome del part program Tutor ed estensione .log, memorizzati nella stessa directory del part program Tutor.

Nota: La finestra di dialogo Opzioni di traduzione TutorPCDmis compare ogni volta che PC-DMIS incontra un comando di caricamento tastatore nel file Tutor. Se il file della mappa tastatori é stata correttamente impostata, si puó saltare la traduzione del comando di caricamento tastatore, facendo clic sul pulsante Ignora.

Vedere anche:

Creazione e Modifica di file tastatori per mappatura tra Tutor e PC-DMIS


Creazione e Modifica di file tastatori per mappatura tra Tutor e PC-DMIS

Per tradurre correttamente I programmi da Tutor a PC-DMIS, occorre una file della mappa Tastatore che metta in relazione i tastatori di Tutor con quelli di PC-DMIS. Un commando tastatore di Tutor é identificato da due numeric he indicano rispettivamente testa e punta .

Per creare un nuovo file di Mappa Tastatori tra Tutor e PC-DMIS, occorre:

  1. Iniziare la procedura di import come descritto in "Come importare un File Tutor".

  2. Quando viene visualizzata la finestra di dialogo Opzioni Traduttore TutorPCDMIS, fare clic sul pulsante Nuovo. Viene visualizzata la finestra T2PFile.

finestra di dialogo T2PFile

  3. Se occorrono ulteriori informazioni, fare clic su Aggiungi , per aggiungere nuove righe.

  4. Nella colonna della Testa di ciascuna riga, digitare un valore da 1 a 100 per identificare la testata del tastatore di Tutor.

  5. Nella colonna della Punta di ciascuna riga, digitare un valore da 1 a 100 per identificare la piunta del tastatore di Tutor.

  6. Nella colonna Nome PRB, per ciascuna riga, digitare l’angolo della punt ache si vuole utilizzare per la Testata e la Punta di quella riga. Per esempio, l’informazione della tabella che segue dice al traduttore di Tutor di usare l’angolo T5A30B30 della punta tastatore di PC-DMIS, quando incontra un comando tastatore “2,2” nel file Tutor.

Testata | Punta | Nome PRB
2 | 2 | T5A30B30

  7. Se si commette un errore, fare clic sul pulsante Cancella Tutto. In questo modo le informazioni della finestra vengono cancellate e si puó cominciare da capo.

  8. Fare clic sul pulsante � per salvare il file di mappa tastatori Tutor PC-DMIS sul computer.

  9. Fare clic su OK, quindi tornare alla finestra di dialogo Opzioni di Traduzione TutorPCDMIS.

Per modificare un file di Mappa Tastatori esistente tra Tutor e PC-DMIS, occorre:

  1. Iniziare la procedura di import come descritto in "Come importare un File Tutor".

  2. Quando la finestra di dialogo Opzioni di Traduzione TutorPCDMIS si presenta, fare clic sul pulsante � della finestra File Mappa Tastatori e selezionare un file T2P esistente.

  3. Fare clic sul pulsante Modifica. Viene visualizzata la finestra T2PFile.

  4. Modificare i valori se necessario.

  5. Fare clic suOKper ritornare alla finestra di dialogo Opzioni Traduzione Tutor PC-DMIS .


Importazione di un file Direct CAD

Anziché convertire i dati CAD nel formato CAD interno di PC-DMIS, è possibile utilizzare direttamente i tipi di file Direct CAD. I dati CAD presenti in questi tipi di file mantengono il formato nativo una volta eseguita l'importazione. Le routine create in tali formati CAD vengono utilizzate per tutti i calcoli eseguiti sui dati CAD. L'accesso diretto ai dati CAD elimina i problemi derivanti dagli errori o dai limiti di conversione.

La sezione intitolata "Interfacciamento Diretto ad un File Direct CAD" discute dettagliatamente l’import di questi tipi di file.

Vedere anche:

Tassellato di un pezzo senza licenza CAD


Tassellato di un pezzo senza licenza CAD

A partire dalla versione 3.5, è possibile eseguire la tassellazione dell'immagine di un pezzo dell'interfaccia Direct CAD, anche se non si dispone della relativa licenza CAD. Le modalità di accesso a tale funzionalità variano in base al tipo di interfaccia Direct CAD. In generale, è sufficiente accedere al part-program dell'interfaccia Direct CAD. In questo caso, PC-DMIS visualizza il pezzo, ma non rende disponibili tutte le funzionalità. Ad esempio, non è consentito creare un punto vettore misurato sul pezzo.


Export di Dati CAD o di Dati Programma

Visualizza Mappa Percorsi dei Menu

In modo simile all'import dei data, PC-DMIS permette l'export dei dati di part program, secondo uno dei formati seguenti:

· File DATAVIEW (*.AS3)

· File BASIC (*.BAS)

· File DES (*.DES)

· File DMIS (*.DMI or *.DMS)

· File GENERIC (*.TXT)

· File I-DEAS

· File IGES (*.IGS)

· STEP AP203 (*.STP or *.STEP)

· STEP AP203 (*.STP or *.STEP)

· VDAFS (*.VDA)

· DXF /DWG (*DXF o *DXG)

Nota: L’export di un programma per quel che riguarda I dati CAD non esporta modelli CAD precedentemente importati, bensí genera un file CAD, da comandi esistenti di elementi trovati nel part program.

Per esportare i dati dal part-program corrente, effettuare le seguenti operazioni:

  1. Selezionare l’opzione di menu FILE | Export e poi selezionare i dati nel sotto-menu (o fare clic con il tasto destro del mouse sul nome del file di part program in Windows Explorer, e poi selezionare Export). Nella maggior parte dei casi verrá visualizzata la finestra di dialogo Apri.

    Finestra di dialogo apertura file

  2. Selezionare il tipo di dati desiderato dall'elenco Tipo file. Vengono visualizzati i file disponibili per il tipo di dati indicato.

  3. Inserire il nome del file da creare nella casella Nome file , oppure selezionare un file esistente dall'elenco. Se si seleziona un file esistente, PC-DMIS sostituisce i dati correnti con i dati creati mediante l'operazione di Export.

  4. Fare clic su Export. La finestra di dialogo viene chiusa. In base al tipo dei dati, PC-DMIS puó visualizzare un;altra finestra con la richiesta di dati aggiuntivi. Per ulteriori informazioni si vedano gli argomenti del seguito.

  5. Fare clic su Export. PC-DMIS genera il file dei dati esportati nella directory selezioanta, assegnandogli l'estensione definita nella casellaTipo File box.

Vedere anche:

Esportazione di un file IGES

Export di un file DES

Esportazione di un file STEP

Export di un file VDAFS

Esportazione in un file di modello I-DEAS DCI

Export verso un file BASIC

Export verso un file DMIS


Esportazione di un file IGES

Visualizza Mappa Percorsi dei Menu

Facendo clic sul pulsante Export durante il processo di export del file IGES, PC-DMIS visualizza la finestra di dialogo del File IGES.

Finestra di dialogo Imposta IGES

La finestra di dialogo File IGES visualizza informazioni sull'export IGES selezionato nelle aree Sezione Iniziale e Parametri Globali ; permette inoltre la selezione di opzioni aggiuntive dell'export IGES.

  1. Selezionare un'opzione nell’elenco Allineamento.

  2. È possibile fare clic sul pulsante Imposta per modificare la visualizzazione dell'immagine esportata. Vedere "Modifica della Visualizzazione delle Immagini Importate/Esportate".

  3. Selezionare la casella di controllo Solo Elementi Selezionati per esportare soltanto gli elementi selezionati.

  4. Fare clic sul pulsante Processo nella finestra di dialogo File IGES per esportare i dati IES dal part-program selezionato. PC-DMIS visualizzerà un messaggio per indicare il completamento dell'elaborazione del file.

  5. Fare clic sul pulsante OK per completare l'esportazine del file IGES.


Export di un file DES

Visualizza Mappa Percorsi dei Menu

Facendo clic sul pulsante Export durante il processo di export DES, PC-DMIS visualizza la finestra di dialogo File DES.

Finestra di dialogo File DES

La finestra di dialogo File DES visualizza informazioni sull'export DES selezionato, nell'area Intestazione e permette altresí di selezionare opzioni aggiuntive per l'export DES.

  1. Selezionare un'opzione nell’elenco Allineamento.

  2. Selezionare un Sistema di Coordinate nell’area relativa.

  3. Selezionare la casella di controllo Solo Elementi Selezionati per esportare soltanto gli elementi selezionati.

  4. Selezionare la casella di controllo Mostra Punto Decimale per visualizzare il punto decimale nei dati esportati.

  5. Selezionare la casella di controllo Output Valori Nominali, perché PC-DMIS possa creare il file di export DES, a partire dai valori nominali del part program.

  6. Fare clic sul pulsante Processo nella finestra di dialogo File DES per esportare i dati DES dal part-program selezionato. PC-DMIS visualizzerà un messaggio per indicare il completamento dell'elaborazione del file.

  7. Fare clic sul pulsante OK per completare l'esportazine del file DES.


Esportazione di un file STEP

Visualizza Mappa Percorsi dei Menu Visualizza Mappa Percorsi dei Menu

Facendo clic sul pulsante Esporta durante il processo di export del file STEP, PC-DMIS visualizza la finestra di dialogo File STEP.

Finestra di dialogo Esporta STEP

La finestra di dialogo Export STEP permette di scegliere alter opzioni per l’export del file STEP.

  1. Selezionare un'opzione nell’elenco Allineamento.

  2. Selezionare la casella di controllo Solo Elementi Selezionati per esportare soltanto gli elementi selezionati.

  3. Selezionare la casella di controllo Scansione come Punti, perché i dati della scansione siano convertiti nei punti di scansione.

  4. Fare clic sul pulsante Esporta per completare l'esportazine del file STEP.


Export di un file VDAFS

Visualizza Mappa Percorsi dei Menu

Facendo clic sul pulsante Esporta durante il processo di export del file VDAFS, PC-DMIS visualizza la finestra di dialogo del Esporta VDAFS.

Finestra di dialogo Esporta VDAFS

La finestra di dialogo Export VDAFS permette di scegliere altre opzioni per l’export del file VDAFS. Questa finestra di dialogo contiene le stesse opzioni della finestra Esporta STEP . Si veda "Esportazione di un File VDAFS" per ulteriori informazioni.


Esportazione in un file di modello I-DEAS DCI

Visualizza Mappa Percorsi dei Menu

Per esportare in un pezzo I-DEAS, operare come segue:

  1. Selezionare l’opzione di menu File | Export nel menu principale ed il tipo di dati I-DEAS nel sotto-menu. Viene visualizzata la finestra di dialogo Selezione pezzi I-DEAS.

Viene visualizzata la finestra di dialogo Selezione pezzi I-DEAS.

  2. Fare clic sul pulsante Connessione al server. Viene visualizzata la finestra di dialogo Connessione al server I-DEAS, Utilizzare questa finestra di dialogo per connettersi a un server I-DEAS. Per ulteriori informazioni sull'uso della finestra di dialogo Connessione al server I-DEAS, vedere l'argomento "Uso della finestra di dialogo Connessione al server I-DEAS" nella sezione "Interfaccia diretta a un file CAD". Una volta stabilita la connessione a un server I-DEAS, viene visualizzata la finestra di dialogo Selezione pezzi I-DEAS. Viene fornito un elenco di tutti i progetti disponibili nei dati I-DEAS installati.

  3. Fare clic su Connetti per eseguire la connessione al server. Viene visualizzata la finestra di dialogo Selezione pezzi I-DEAS.

  4. Selezionare un progetto e il file di modello in cui eseguire l'esportazione. A tale scopo, selezionare un pezzo esistente dall'elenco Pezzi nel file di modello selezionato. É anche possibile creare un pezzo nuovo completando le caselle: Contenitore, Nome, e Numero Pezzo.

Nota: non è consentito creare elementi geometrici di superficie (cilindri, coni, sfere) in un pezzo esistente. Se si esegue un'esportazione in un pezzo esistente, questi tipi di elemento verranno ignorati. Per esportare i tipi di elemento di superficie, è necessario creare un nuovo pezzo.

Nota: I caratteri riportati di seguito non sono validi e non è consentito utilizzarli nelle caselle: Contenitore, Nome Pezzo, o Numero pezzo :
:
;
,
"
*
?

  5. Dopo aver specificato un pezzo, fare clic sul pulsante Esporta nel pezzo. Nel caso di un nuovo pezzo, viene visualizzata una finestra di messaggio in cui viene richiesto se si desidera creare un pezzo.

  6. Per creare il pezzo I-DEAS, fare clic su Sì. Viene visualizzata la finestra di dialogo Esporta I-DEAS.

Finestra di dialogo Esporta I-DEAS

  7. Selezionare un'opzione nella casella Allineamento.

  8. Selezionare le altre opzioni di esportazione desiderate.

  9. Fare clic sul pulsante Esporta, per completare l'esportazione nel pezzo I-DEAS. Al termine del processo di esportazione, PC-DMIS indica automaticamente al server I-DEAS di salvare il file di modello del pezzo.


Export verso un file BASIC

Visualizza Mappa Percorsi dei Menu

PC-DMIS fornisce strumenti orientate all’automazione informatica di procedure (automation). Esportando un part programcome script BASICGlossBasicScript (*.BAS file) si puó automatizzare quel part program usando qualunque applicazione esterna che supporti il linguaggio BASIC. Per ulteriori informazioni sull’automazione in PC-DMIS, si vedano gli argomenti seguenti:

  • File Guida di PC-DMIS - Riferimenti al Linguaggio BASIC

  • "Inserimento di Script BASIC" in "Aggiunta di Elementi Esterni" .


Export verso un file DMIS

Export verso DMIS

PC-DMIS consente di esportare un file di part program in formato interno (PC-DMIS) come file DMIS. I file DMIS sono conformi agli standard DMIS dei comandi DMIS e si possono essere eseguiti su altri computer da applicazioni che utilizzino il linguaggio DMIS.

Scelto il nome del file e dopo aver fatto clic su Export nella finestra Apri File, PC-DMIS visualizza la finestra di dialogo Impostazione Export DMIS. Questa finestra di dialogo contiene due schede: Generale e Log Errore.

Scelte le opzioni all'interno di queste schede, fare clic su OK per completare l'operazione di export.

scheda Generale

Impostazioni Export DMIS - scheda Generale

Impostazioni Export DMIS - scheda Generale

La scheda Generale permette di scegliere fra tre metodi di conversione di un part program PC-DMIS in un file DMIS.

  • Finestra di Modifica PC-DMIS (Modalitá DMIS) - Questo metodo esporta un file DMIS coerentemente a come il part program appare nella finestra di Modifica in modalitá DMIS.

  • DMIS Flessibile - Questo metodo personalizza il file esportato per far sí che corrisponda a specifiche versioni di DMIS, o per utilizzare soltanto istruzioni specificate nel file di caratterizzazione. Selezionando questa opzione, viene abilitato un campo dove si puó scorrere e selezionare uno degli script BASIC presenti ( estensione *.bas). É possibile creare un file di script, oppure modificarne uno esistente, per controllare ció che PC-DMIS deve esportare.

    PC-DMIS fornisce tre file .bas pronti all'uso, nella directory di installazione. Tali file personalizzano l'export affinché utilizzi un sottinsieme definito di comandi che PC-DMIS supporta, per una data versione di DMIS. I file sono: PCD2DMIS030.BAS, PCD2DMIS040.BAS, e PCD2DMIS050.BAS (per DMIS 3.0, 4.0, e 5.0 rispettivamente). I comandi che non sono personalizzati nel file .bas sono esportati cosí come sono nella finestra di Modifica di PC-DMIS (modalitá DMIS)

Nota: Se una funzione dello script BASIC restituisce un errore utilizzando l'opzione descritta, allora il file esportato viene scritto come se si fosse selezionata l'opzione Finestra di Modifica PC-DMIS (Modalitá DMIS) di cui sopra.

  • Legacy Postout- Questo metodo esporta il file nel formato utilizzato in precedenti versioni di PC-DMIS. Prima della versione 4.0, era necessario impostare la voce DMISUsePostoutCode a TRUE nell'Editor di Configurazione di PC-DMIS. Ora é sufficiente selezionare l'opzione.

Scheda Log errore

Finestra di dialogo Imposta Export DMIS - Scheda Log Errori

Finestra di dialogo Imposta Export DMIS - Scheda Log Errori

La scheda Log errore permette di visualizzare o salvare gli errori rilevati durante la fase di export, in modo da poterli correggere nello script, o per intervenire oppurtunamente. Le seguenti condizioni producono errori o avvertenze(warning):

  • Quando una funzione di uno script BASIC restituisce un errore di logica che implica l'esistenza nello script di un problema che é causa di un errore logico in automation. In questo caso la funzione BASIC Script restituisce una stringa di testo con l'intestazione: $$ LOGERR |.

  • Quando un parametro di un comando PC-DMIS non puó essere convertito in codice DMIS. In questo caso la funzione BASIC Script restituisce una stringa di testo con l'intestazione:
    $$ DMISERR |

Fare clic sul pulsante ... per trovare e selezionare un file di testo esistente, a cui PC-DMIS invii gli errori.

Fare clic sulla casella Visualizza file log al termine dell'export, per visualizzare il file di testo con un editor disponibile, al termine del processo di export.


Modifica Visualizzazione Immagini Importate / Esportate

Se durante l'importazione o l'esportazione si fa clic sul pulsante Imposta nella finestra di dialogo File IGES, viene visualizzata la finestra di dialogo per l'importazione IMPOSTA IGES, oppure la finestra di dialogo per l'esportazione Imposta Scrittura IGES. Queste finestre di dialogo consentono di modificare la visualizzazione dell'immagine IGES/DMIS.

Vedere anche:

Modifica Visualizzazione del file CAD importato

Modifica Visualizzazione del file CAD esportato


Modifica Visualizzazione del file CAD importato

Finestra di dialogo Imposta IGES

Per accedere alla finestra di dialogo Impostazione IGES e modificare la visualizzazione dell'immagine IGES/DMIS, effettuare le seguenti operazioni:

  1. Avviare l'importazione del file CAD. Vedere "Importazione di un file IGES".

  2. Quando viene visualizzata la finestra di dialogo File IGES, fare clic sul pulsante Imposta.

  3. Selezionare la casella di controllo desiderata nella finestra di dialogo IMPOSTAZIONE IGES.

  4. Fare clic sul pulsante OK.

PC-DMIS disegnerà l'immagine CAD selezionata in base alle opzioni selezionate.

Vedere anche:

Informazioni sulle Opzioni Disponibili


Informazioni sulle Opzioni Disponibili

La casella di controllo Superficie di rivoluzione è disponibile se si utilizzano superfici ritagliate che hanno, come superficie di base, una superficie di rivoluzione che non viene letta correttamente. In tal caso, selezionare le opzioni appropriate nella sezione Superficie ritagliata della finestra di dialogo.

Se la casella di controllo Predefinito è selezionata, PC-DMIS userà le impostazioni correnti per elaborare tutte le entità future.

Area Process Entities with Use (Elabora entità con uso)

Nell'area Elabora entità con uso (Process Entities with Use ) sono disponibili sei caselle di controllo per la selezione delle opzioni di impostazione dell'immagine CAD. Tali caselle di controllo sono descritte nella tabella riportata di seguito.

Casella di controllo | Descrizione
Geometria | Determina se importare o meno le entità di definizione dal file. Per entità geometriche si intendono le curve e le superfici che definiscono il modello.
Annotazione | Determina se importare o meno le entità di annotazione dal file. Queste entità vengono utilizzate per aggiungere annotazioni o descrizioni a un file e comprendono quanto segue: dimensione angolare, dimensione del diametro, nota del flag, etichetta generale, dimensione lineare, dimensione ordinata, dimensione del punto, dimensione del raggio, simbolo generale ed entità dell'area sezionata.
Definizione | Determina se importare o meno le entità di definizione dal file. Tali entità vengono utilizzate nelle strutture di definizione del file e comprendono quanto segue: nota generale, associazione, definizione associativa, definizione del carattere della linea, definizione della macro, definizione della figura secondaria, definizione del carattere del testo, modello di visualizzazione del testo ed entità di definizione della figura secondaria di rete.
Altro | Determina se importare o meno altre entità dal file. Queste entità vengono utilizzate per altri scopi, ad esempio per definire gli elementi nel file e comprendono ad esempio l'entità per la definizione del colore e la geometria associativa dimensionata.
Logico/Posizionale | Determina se importare o meno le entità logico/posizionali dal file. Queste entità costituiscono il riferimento logico o posizionale per le altre entità. Attualmente PC-DMIS non consente di elaborare entità di questo tipo.
2-D parametrico | Determina se importare o meno le entità di tipo 2-D parametrico dal file. Queste entità sono posizionate nello spazio del parametro XY a due dimensioni e costituiscono un sottoinsieme dello spazio XYZ a tre dimensioni, ignorando la coordinata Z. Questo tipo di entità viene utilizzato per definire le curve di ritaglio sulle superfici. Attualmente, questa casella di controllo non viene utilizzata in PC-DMIS. per ulteriori informazioni, si veda "L'area 'Superfici Ritagliate' ".

Se si selezionano tutte e sei le caselle di controllo, tutte le entità IGES nel file corrispondente vengono importate.

Area Elabora entità se

Nell'area Elabora entità se sono disponibili caselle di controllo che consentono di elaborare determinate entità nel caso in cui si verifichino specifiche condizioni. Nella tabella riportata di seguito vengono descritte le condizioni che possono verificarsi e la descrizione delle caselle di controllo disponibili.

Condizione | Descrizione
Elabora le entità se si verifica la condizione Fisicamente dipendente | Determina se deve essere visualizzata la superficie base di una Curva su superficie parametrica.
Elabora le entità se si verifica la condizione Logicamente dipendente | Determina se importare o meno le entità logicamente dipendenti dal file IGES.
Elabora le entità se si verifica la condizione Blanked (Vuota) | Determina se importare o meno le entità vuote.

Area Superfici ritagliate

Nell'area Superfici ritagliate sono disponibili caselle di controllo utilizzabili per la corretta elaborazione delle superficie ritagliate.

Casella di controllo | Descrizione
Mostra ritaglio | Mostra la superficie ritagliata.
Mostra superficie base | Mostra la superficie non ritagliata, ovvero la superficie di base.
Usa curve 'B' | Se nel file IGES sono presenti curve 'B', selezionare questa casella di controllo al fine di utilizzare tali curve come definizione di ritaglio. Inoltre potrebbe essere necessario selezionare questa casella di controllo se nel modello le curve di ritaglio 'C' sono definite in modo incompleto. Se si seleziona questa casella di controllo, le curve di ritaglio 'C' vengono rigenerate dalle curve di ritaglio 'B'.
Usa curve 'C' | Se nel file IGES sono presenti curve 'C', selezionare questa casella di controllo al fine di utilizzare tali curve come definizione di ritaglio. Può essere necessario utilizzare questa opzione se nel modello le curve di ritaglio 'B' sono definite in modo incompleto. Se si seleziona questa casella di controllo, le curve di ritaglio 'C' vengono rigenerate dalle curve di ritaglio 'B'.

Se si seleziona la casella di controllo Mostra ritaglio, vengono attivate anche le caselle di controllo sottostanti. È possibile utilizzare curve B o C come definizione di ritaglio, a seconda degli attributi della superficie di ritaglio.

Nota: tenere presente che, se si utilizzano le curve 'C' come definizione di ritaglio, PC-DMIS deve calcolare anche le curve 'B'. Questa operazione può richiedere tempi particolarmente lunghi.

Inoltre, se il file IGES contiene superfici ritagliate che presentano una superficie di rivoluzione come base, vengono attivate le caselle riportate nella seguente tabella:

Casella di controllo | Descrizione
Inverti parametri | Determina se impostare o meno le curve di ritaglio 'B' che invertono i parametri U e V.
Parametro V da 0 a 1 | Determina se impostare o meno il parametro V definito nell'intervallo da 0 a 1, anziché in radianti.
Parametro U da 0 a 1 | Determina se impostare o meno il parametro U definito nell'intervallo da 0 a 1, anziché nei radianti, quando la superficie di rivoluzione è generata da un arco.
Mostra superficie base | Determina se visualizzare o meno la superficie non ritagliata.

Definizione delle curve di ritaglio

Le curve di ritaglio possono essere definite in due modi:

  • Uso delle coordinate 3D nello spazio del modello (le coordinate in cui è definita la superficie). Queste coordinate sono note come curve di ritaglio C in quanto ogni coordinata richiede tre valori per l'inserimento nello spazio del modello (1, 2, 3; A, B, C). La curva deve essere definita in modo che coincida geometricamente con la superficie. In altri termini, la curva deve trovarsi sulla superficie. Tuttavia una curva di ritaglio 'C' definita in modo incompleto può fare in modo che questa regola non venga soddisfatta.

  • Definizione della posizione della curva mediante le posizioni relative sulla superficie. Le curve di ritaglio B vengono definite in questo modo in quanto ogni coordinata richiede due valori per il posizionamento nello spazio parametrico. Ad esempio, per una superficie rettangolare è possibile specificare la posizione parametrica di 0,0 per un angolo e di 1,1 per l'angolo opposto. Tutte le posizioni sulla superficie possono dunque essere rappresentate utilizzando coppie di due valori tra i due estremi. La posizione parametrica 0.5,0.5 verrà a trovarsi al centro della superficie. La curva definita in modo parametrico viene rappresentata utilizzando questi punti dello spazio-parametro 2D. La curva deve essere definita in modo che non fuoriesca dallo spazio-parametro della superficie in cui si trova. Tuttavia una superficie definita in modo incompleto può fare in modo che questa regola non venga soddisfatta.

Esempio con la casella di controllo Mostra ritaglio non selezionata

File IGES con la casella di controllo Mostra ritaglio selezionata

Esempio con la casella di controllo Mostra ritaglio non selezionata

Se si utilizza il file IGES come descritto nell'argomento "Informazioni sulle opzioni disponibili", quando si deseleziona la casella di controllo Mostra ritaglio, si otterrà un modello vuoto. Ciò accade poiché il file IGES in questione contiene solo superfici ritagliate. Tuttavia, se si deseleziona la casella di controllo Mostra ritaglio e si seleziona Mostra superficie base, si otterrà il seguente risultato:

File IGES con la casella di controllo Mostra ritaglio non selezionata

Si noti che i fori sulla superficie vengono visualizzati e i bordi esterni sulla superficie non sono stati ritagliati.


Modifica Visualizzazione del file CAD esportato

La finestra di dialogo Imposta scrittura IGES consente di modificare la visualizzazione dell'immagine IGES/DMIS.

Finestra di dialogo Imposta scrittura IGES

Per accedere alla finestra di dialogo e modificare la modalità di visualizzazione dell'immagine IGES/DMIS, operare come segue:

  1. Avviare l'esportazione del file CAD. Vedere "Esportazione di un file IGES".

  2. Quando viene visualizzata la finestra di dialogo File IGES, fare clic sul pulsante Imposta.

  3. Selezionare la casella desiderata nella finestra di dialogo Impostazione scrittura IGES.

  4. Fare clic sul pulsante OK.

PC-DMIS disegnerà l'immagine CAD selezionata in base alle opzioni selezionate.

Vedere anche:

Informazioni sulle Opzioni di Output Disponibili


Informazioni sulle Opzioni di Output Disponibili

Le diverse opzioni di output consentono di controllare le modalità di esportazione delle entità IGES.

Superfici come superfici di rivoluzione – Questa casella di controllo consente di esportare coni, cilindri e sfere come entità superfici di rivoluzione.

Superfici come archi – Questa casella di controllo consente di esportare coni, cilindri e sfere come archi. Un cono viene esportato come cerchio alla base e come punto al vertice. Un cilindro viene esportato come se si trattasse di due cerchi, ovvero un cerchio sulla parte superiore e un cerchio sulla parte inferiore del cilindro. Una sfera viene esportata come un cerchio intorno all'equatore.

Superfici come superfici di rivoluzione e Superfici come archi – È possibile selezionare entrambe le caselle. In tal caso, PC-DMIS esporta i coni, i cilindri e le sfere sia come superfici di rivoluzione sia come archi. Se al contrario si deselezionano entrambe le caselle di controllo, i coni, i cilindri e le sfere non vengono esportati.

Scansioni come Copious Data forma 2 – Queste caselle di controllo consentono di esportare le scansioni come tipo di entità IGES Copious Data. Il formato di tale entità è punti senza vettori.

Scansioni come Copious Data forma 3 – Queste caselle di controllo consentono di esportare le scansioni come tipo di entità IGES Copious Data. Il formato di tale entità è punti con vettori. Le diverse forme consentono di controllare il formato dell'entità Copious Data.

Scansioni come Copious Data forma 12 – Queste caselle di controllo consentono di esportare le scansioni come tipo di entità IGES Copious Data. Il formato di tale entità è curva lungo il pezzo(piecewise-linear curve) punti senza vettori. Le diverse forme consentono di controllare il formato dell'entità Copious Data.

Scansioni come Copious Data forma 13 – Queste caselle di controllo consentono di esportare le scansioni come tipo di entità IGES Copious Data. Il formato di tale entità è curva lungo il pezzo(piecewise-linear curve) punti con vettori. Le diverse forme consentono di controllare il formato dell'entità Copious Data.

Scansioni per punti – Questa casella di controllo consente di esportare le scansioni come entità a più punti.

Scansioni come Copious Data e Scansioni come punti – È possibile selezionare entrambe le caselle. In tal caso, PC-DMIS esporta le scansioni sia come Copious Data sia come punti. Se entrambe le caselle di controllo vengono deselezionate, PC-DMIS non esporta le scansioni.


Impostazione Opzioni di Import

Si possono facilmente impostare le opzioni di import dei colori predefiniti, per determinati tipi di entitá, come pure la visualizzazione delle curve importate.

Visualizzazione Menu della Mappa dei Percorsi Per eseguire queste modifiche, selezionare la voce di menu Modifica | Preferenze | Opzioni di importazione. Viene visualizzata la finestra di dialogo Opzioni di importazione.

Finestra di dialogo Opzioni di importazione

Finestra di dialogo Opzioni di importazione

Questa finestra di dialogo contiene i Colori Predefiniti insieme ad alcune caselle di controllo.

Colori Predefiniti

Quest'area permette di cambiare i colori predefiniti per entitá di tipo Puntio, Curva, Superficie, e Datum. Se i tipi di entitá non hanno ancora un colore associato, verrá utilizzato il colore predefinito. Per modificare un colore, fare clic su un pulsante di quest'area. Viene visualizzata una finestra standard del Colore ed é possibile selezionare un colore nuovo.

Finestra di dialogo del Colore

Finestra di dialogo del Colore

Al momento dell'import dell'elemento successivo, PC-DMIS userá gli ultimi colori definiti.

Caselle di controllo

Descrivi le polilyne per punti - Normalmente, quando si importano entitá di tipo curva, ognuna viene visualizzata come linea curva. In realtá tuttavia, ciascuna curva é una polyline, cioé un numero di tratti uniti da una serie di punti. Selezionando questa casella di controllo, le entitá polyline importate appaiono come una serie di punti, uno per ogni estremo della polyline. Se si annulla la spunta sulla casella, le curve importate tornano ad apparere come tali.

Mantieni le Polyline - Spuntando questa casella di controllo, l'immagine continua a mostrare la polyline originaria ed anche i punti visualizzati selezionando la casellaDescrivi le polilyne per punti. Eliminando la spunta verranno visualizzate soltanto le serie di punti.

PC-DMIS utilizzará queste impostazioni per tutte le operazioni future di import.


Esecuzione di Part-Program

Visualizza Mappa Percorsi dei Menu

In PC-DMIS è possibile eseguire un intero part-program o effettuare esecuzioni parziali in modo semplice. In questo argomento viene descritto come effettuare le esecuzioni complete e parziali e vengono fornite informazioni sull'uso della finestra di dialogo Opzioni in Modalità Esecuzione per l'esecuzione di part-program.

Quando si decide di eseguire tutti o parte dei comandi di un part program, selezionando File | Esegui, oppure una voce del menu secondario File | Esecuzione Parziale, senza che vi siano breakpoints, PC-DMIS visualizza il layout di schermo detto di esecuzione. Tale layout inizialmente nasconde la finestra di Modifica ed Espande la finestra di Visualizzazione Grafica per mostrare meglio il pezzo. Viene visualizzata anche la finestra Lettura Tastatore. É possibile variare l'aspetto complessivo dello schermo, mettendo in pausa l'esecuzione e mostrando o nascondendo le varie finestre. L'esecuzione si servirá del layout aggiornato nel proseguimento dell'esecuzione.

Quando l’esecuzione è terminata, il layout dello schermo ritorna nello stato che aveva in apprendimento. Ogni finestra che viene mostrata o nascosta in fase di apprendimento, fa parte del layout di apprendimento stesso.

Nota: Se il programma fa uso di breakpoint e la finestra di Modifica é in Modalitá Comando quando si decide di eseguire, PC-DMIS continua a visualizzare la finestra di Modifica durante l'esecuzione, ma evidenzia il comando in esecuzione in rosso. Se la finestra di Modifica é in Modalitá Comando, con un breakpoint, PC-DMIS mostra evidenziati in verde nella finestra di Modifica i comandi eseguiti, in giallo l'elemento che sta per essere eseguito, in blu gli elementi da eseguire, ed in arancio i comandi non eseguiti.

Vedere anche:

Esecuzione

Esegui Elemento

Esegui da

Esegui da Cursore

Esegui Blocco

Esegui dai Punti Iniziali

Uso della finestra di dialogo Opzioni della Modalità Esecuzione


Esecuzione

Visualizza Mappa Percorsi dei Menu

Per eseguire tutti i comandi selezionati dell'intero part-program, selezionare l'opzione File | Esegui.


Esegui Elemento

Visualizza Mappa Percorsi dei Menu

Per eseguire soltanto l'elemento su cui è posizionato il cursore, selezionare l'opzione File | Esecuzione parziale | Esegui elemento.

Finestra di Dialogo Opzioni della Modalità Esecuzione

PC-DMIS visualizzerà la finestra di dialogo Opzioni della Modalità Esecuzione. Ad esempio, se è attiva la modalità manuale, PC-DMIS richiederà di prendere i punti necessari. Se è attiva la modalità DCC, PC-DMIS sposterà automaticamente il tastatore in base ai parametri impostati nella relativa finestra di dialogo.


Esegui da

Visualizza Mappa Percorsi dei Menu

Per riprendere l'esecuzione di un elemento precedentemente annullata, utilizzare l'opzione di menu File | Esecuzione Parziale | Esegui da. Questo comando consente di eseguire l'elemento elencato fino alla fine del part-program. L'opzione di menu sopracitata è disponibile solo se è stato annullato un comando di esecuzione precedente mediante la finestra di dialogo Opzioni della Modalità Esecuzione.

Esempio: Si supponga di premere il pulsante Annulladurante la misura dell'elemento CER1. Viene reso disponibile il menu Esegui da, che consente di continuare l'ispezione del pezzo a partire da CER1.


Esegui da cursore

Visualizza Mappa Percorsi dei Menu

Per eseguire il part-program a partire dalla posizione corrente del cursore, scegliere il comando File | Esecuzione Parziale | Esegui da Cursore. Il part-program sarà eseguito a partire dalla posizione corrente del cursore.


Esegui Blocco

Visualizza Mappa Percorsi dei Menu

Per eseguire un blocco di comandi, selezionare i comandi che si desidera eseguire, quindi scegliere il comando di menu File | Esecuzione Parziale | Esegui Blocco. Verrà eseguito solo il blocco di comandi selezionati.


Esegui dai Punti Iniziali'

Visualizza Mappa Percorsi dei Menu

Per iniziare l’esecuzione da uno specifico punto iniziale, lo si deve dapprima impostare, facendo clic con il tasto destro del mouse nella modalitá Comandi e selezionare Imposta Punto Iniziale nel menu di scelta rapida, poi si deve scegliere la voce di menu Esegui da Punti Iniziali.

Attenzione: se la posizione della punta nella locazione puntata del part program non corrisponde alla posizione corrente del tastatore , PC-DMIS non cercherá di ritornare al punto in cui viene eseguito il cambiamento di assetto della punta.


Esegui con Ordine Qualsiasi

A partire dalla versione 4.0 PC-DMIS permette di eseguire elementi di un part program, misurati manualmente, in un ordine qualsiasi. Ció si dimostra utile nel caso di machine portatili.

Tale funzionalitá diventa possibile con le seguenti condizioni:

  • Si applica soltanto ad elementi i cui punti vengono rilevati manualmente.

  • I part program non possono avere diramazioni o loop.

  • L'elemento misurato fuori sequenza deve utilizzare lo stesso allineamento e tastatore inizialmente impostato da PC-DMIS per misurare l'elemento stesso (non viene fatta una ricerca nei comandi CARICA TAST o ALLINEAMENTO).

  • L'esecuzione fuori sequenza opera soltanto per elementi misurati dopo un allineamento completo. L'allineamento iniziale deve essere eseguito nell'ordine corretto.

Principio di funzionamento:

In fase di esecuzione di part-program, PC-DMIS richiede che si rilevi il primo punto sul primo elemento. Si puó decidere invece di prendere il primo punto su un elemento differente. Durante questa operazione PC-DMIS controlla se il punto é stato preso entro la tolleranza stabilita per quel punto. Se il punto é al di fuori della tolleranza specificata (normalmente 10 mm), PC-DMIS cercherá in avanti e all'indietro nel part program l'elemento il cui primo punto meglio approssima il punto iniziale rilevato.

Se poi tale elemento non esiste, verrá emesso un suono di avvertimento (beep) e PC-DMIS ignorerá il punto. Un messaggio di errore viene altresí visualizzato nella finestra Opzioni Modalitá Esecuzione . Per continuare é sufficiente rilevare un punto piú vicino ad un elemento del part program.

Quando PC-DMIS trova l'elemento appropriato, trasferisce il primo punto nell'elemento, poi muove la freccia del cursore per indicare dove va rilevato il punto seguente sull'elemento. PC-DMIS controlla la tolleranza soltanto sul primo punto dell'elemento, dopodiché suppone che si rilevino punti fino al termine della misurazione dell'elemento.

Al termine della misura fuori sequenza dell'elemento, PC-DMIS tenta di ritornare alla sequenza iniziale e continuerá a chiedere di misurare l'elemento originario (della sequenza) ogniqualvolta si misura qualcos'altro fuori dalla sequenza e fino a che si salta l'elemento originario, oppure lo si misura. PC-DMIS tiene traccia degli elementi misurati fuori sequenza, in modo da non rimisurarli quando riprende il percorso normale di esecuzione.

Se si rimisura un elemento, PC-DMIS ricalcola tutto ció che utilizzano quell'elemento, fino alla posizione di esecuzione corrente.


Uso della finestra di dialogo Opzioni della Modalità Esecuzione

Prima di eseguire qualsiasi operazione, è necessario visualizzare la finestra di dialogo Opzioni della Modalitá Esecuzione.

Finestra di Dialogo Opzioni della Modalità Esecuzione

PC-DMIS eseguirà tutti i comandi selezionati del part-program corrente.

  • Se è stata attivata la modalità Manuale, PC-DMIS richiede all'utente di prendere i punti.

  • Se è stata attivata la modalità DCC, PC-DMIS avvia automaticamente il processo di misurazione.

Vedere anche:

Errori CMM

Comandi CMM

Continua

Interrompi

Cancella punto

Salta

Succ. >>

Passa a

Controllo manuale della Misurazione di un Elemento

Ridimensionamento della finestra di dialogo Opzioni della Modalità Esecuzione


Errori CMM

L'elenco Errori CMM consente di visualizzare gli errori che possono verificarsi durante l'esecuzione del part-program. Ad esempio un punto del tastatore imprevisto o la fine imprevista di un movimento. È possibile visualizzare questi errori facendo clic sulla freccia in basso della casella di riepilogo.


Comandi CMM

L'elenco Comandi CMM consente di visualizzare i movimenti e i punti relativi all'elemento corrente o all'elemento da misurare. Queste informazioni sono disponibili solo se viene interrotta l'esecuzione del programma dall'operatore o a causa di un errore. È possibile riprendere l'esecuzione del part-program selezionando il punto o il movimento desiderato nella casella di riepilogo Comandi CMM e selezionando il pulsante Continua.

Esempio: se un comando di movimento relativo al piano di sicurezza è stato definito utilizzando il valore X, Y o Z non corretto, si puó verificare un errore durante l'esecuzione del movimento. Per continuare, effettuare le seguenti operazioni:
Selezionare l'elenco a discesa Comandi CMM.
Selezionare il comando successivo al comando errato.
Fare clic sul pulsante Continua.


Continua

Il pulsante Continua consente di riprendere l'esecuzione di un part-program interrotta a causa di un errore di movimento CMM o mediante il pulsante Interrompi. PC-DMIS consente di selezionare la posizione all'interno dell'elemento corrente dalla quale il tastatore deve riprendere il processo di misurazione del pezzo. La posizione predefinita viene visualizzata nell'elenco Comandi CMM. Per selezionare un'altra posizione, fare clic sulla freccia verso il basso dell'elenco a discesa e selezionare la riga desiderata. Quando si fa clic sul pulsante Continua, PC-DMIS continua il processo di misurazione a partire dalla posizione visualizzata.


Interrompi

Il pulsante Interrompi consente di arrestare il tastatore nella posizione corrente e di sospendere l'esecuzione del part-program.

Nota: questa opzione non interrompe l'esecuzione del part-program se il movimento é una modifica di orientamento del PH9. L'esecuzione viene interrotta dopo aver arrestato PH9.

Per informazioni sull'uso del pulsante Interrompi per il passaggio alla modalità manuale durante il processo di esecuzione, vedere l'argomento "Controllo manuale della misurazione di un elemento".


Cancella punto

Per rimuovere il punto attualmente evidenziato nell'elenco Comandi CMM, premere il pulsante Cancella Punto disponibile nella finestra di dialogo Opzioni Modalità di Esecuzione.

La maggior parte dei terminali operatore delle macchine CMM dispone di un pulsante per cancellare l'ultimo punto. Se si preme tale pulsante quando è attiva la modalità di esecuzione, si ottengono gli stessi risultati ottenuti premendo il pulsante Cancella punto .


Salta

Il comando Salta salta il comando seguente visualizzato nell'elencoComandi CMM. Viene saltato anche ogni comando che dipenda dal comando saltato.


Succ. >>

Il pulsante Succ. >> consente di proseguire la misurazione un passo alla volta, mettendo in pausa la macchina CMM dopo aver eseguito ciascun passo di un comando che genera il movimento della CMM. In Modalitá Debug si possono inserire punti negli elementi e nuovi elementi possono essere inseriti tra elementi o istruzioni esistenti. Se si inserisce un nuovo elemento, PC-DMIS visualizza una finestra di dialogo che permette di:

  • Saltaall'istruzione HIT /BASIC del nuovo elemento,

  • Rimisurail nuovo elemento, oppure

  • Continua muovendosi passo a passo nel part-program, ignorando il nuovo elemento.

La modalità passo a passo può essere simulata offline.

Il pulsante Passa a successiva viene visualizzato nella finestra di dialogo quando PC-DMIS mette in pausa l'esecuzione per inserire un punto di interruzione (breakpoint). Vedere "Punti di interruzione" nella sezione "Modifica di un part-program" .


Passa a

Salta

Il pulsante Salta blocca automaticamente l'esecuzione (nel caso si usi una macchina DCC) e visualizza la finestra di dialogo Salta ad Elenco Elementi . In tale elenco si puó scegliere l'elemento da eseguire di seguito, discostandosi cosí dal percorso di esecuzione generato automaticamente.

Salta ad Elenco Elementi - finestra di dialogo

Salta ad Elenco Elementi - finestra di dialogo

Selezionato l'elemento nell'elenco, fare clic su OK: PC-DMIS eseguirá l'elemento selezionato. Al termine dell'esecuzione il controllo ritornerá sul percorso predefinito e tenterá di eseguire il primo elemento non misurato, fino a che non si fa nuovamente clic su Salta, per selezionare un nuovo elemento.


Controllo manuale della Misurazione di un Elemento

Per controllare manualmente il processo di misurazione di un elemento, effettuare le seguenti operazioni:

  1. Fare clic sul pulsante Interrompi nella finestra di dialogo Opzioni modalità di esecuzione.

  2. Fare clic sull'icona Modalità Manuale . PC-DMIS consentirà di controllare il processo di misurazione sul punto corrente. Vedere "Continua".

Quando si misura l'elemento corrente utilizzando la modalità MANUALE, PC-DMIS ripristina automaticamente la modalità DCC sul sistema e continua la misurazione del pezzo sotto il controllo del computer. È possibile ripristinare la modalità DCC in qualsiasi momento selezionando l'icona Modalità DCC.

PC-DMIS non sostituirà i punti originali con nessuno dei nuovi punti; per modificare un valore di misurazione, è necessario utilizzare la finestra di Modifica.

Nota: Sal termine della misurazione manuale di determinati elementi automatici viene richiesto se si desidera salvare la nuova posizione dell'elemento come posizione di destinazione per le esecuzioni successive del part-program. Se si seleziona Sí, la posizione attualmente misurata viene salvata come nuova destinazione.


Ridimensionamento della finestra di dialogo Opzioni della Modalità Esecuzione

È possibile modificare le dimensioni della finestra di dialogo Opzioni della Modalità Esecuzione. Per modificare le dimensioni di questa finestra di dialogo, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse sul bordo esterno della finestra di dialogo. Il puntatore del mouse assume la forma di una doppia freccia.

  2. Tenere premuto il pulsante sinistro del mouse.

  3. Tenendo premuto il pulsante sinistro del mouse, trascinare il cursore nella posizione desiderata.

  4. Rilasciare il pulsante del mouse.

La finestra viene ridimensionata. Questa funzione consente di rendere più leggibili i dati di esecuzione.


Impostazione Preferiti

Impostazione Preferenze: Introduzione

Nota sulla memorizzazione delle impostazioni per più utenti

Selezione delle Opzioni di Impostazione di PC-DMIS

Opzioni di Impostazione: scheda Generale

Avvertenze

Password

Caselle di controllo della scheda Generale

Premere il pulsante Fine

Salvataggio Automatico File

Trova nominali

Modalità Solo Punto

Modalità solo punto bordo

Ignora Errori di Movimento

Regolazione Automatica Tastatore Polso

Ignora CAD su Pezzo

Ripristina impostazioni globali in fase di diramazione

Sposta elemento su piano di riferimento

Mostra Opzioni Lamiera Estese

Posizioni finestre di dialogo fisse

Blocca Insiemi Selezionati

Adatta Automaticamente

Mostra Deviazioni Punti

Usa movimenti circolari per elementi rotondi

Spessore per Punti in Modalità Solo Punto

Consenti regolazione accurata Allineamento

Utilizza gli ID forniti da CAD per gli elementi

Trova i nominali durante l'esecuzione

Continua Automaticamente l'Esecuzione se la Ricerca Foro Fallisce

Mostra finestra di Avvio

Posizionamento Automatico Etichetta

Anima il Tastatore in Modalità Programma

Visualizza l’Icona nelle Caselle di Testo

Foratura CAD su rotazione 3D

Salva part-program durante l'Esecuzione

Usa pulsante DMIS nella Finestra di Modifica

Le scansioni patch mantengono l'Ultimo Incremento

Usa Lettere Deviazione Autoveicoli

Usa Sovrascrivi Trova Nominali per le Scansioni

Usa SOLO Superfici con priorità per trovare i nominali durante le scansioni

Mostra contorno del piano

Tratta i Valori Teorici come Memorizzati in Coordinate Pezzo

Rendi le Variabili Visibili Globalmente

Allineamento Pezzo forzato per Carrozzeria

Caselle di modifica della scheda Generale

Opzioni di Impostazione: scheda Pezzo/CMM

Orientamento Testata Tastatore

Modalità Fly

Delta di Avvertenza Polso

Stringa di comando ManHitRetract

Visualizza Velocità Assolute

Velocità massima (mm/sec)

Asse "X+" CAD =

Asse "Y+" CAD =

Asse "Z+" CAD =

Offset X

Offset Y

Offset Z

Pulsante Regola

Pulsante Applica

Pulsante Posizione Automatica

Quota Z Bancale

Pulsante Predefinito

Opzioni di Impostazione: scheda Dimensione

Imposta Dimensione Automatica

Salva sempre Statistiche su File

Aggiorna sempre il Database

Elementi con Colori Dimensioni

Tol Meno Visualizzate come Negative

Numero di Posizioni Decimali

Rapporto Positivo

Tolleranze Predefinite: Imposta Predefiniti

Tolleranze Predefinite: Posizioni 0-5

Posizioni nominali CAD =

Visualizza Gradi Angoli

Gradi Angoli

Pulsante Predefinito per la Scheda Dimensione

Opzioni di Impostazione: scheda Impostazione ID

Etichette per

Metodo Etichettatura

Lettere iniziali

Numero iniziale

Lunghezza etichetta

Visualizza Parentesi per Array di Elementi

Applica

Impostazioni predefinite

Opzioni di Impostazione: scheda Impostazione NC-100

Usa tastatore video NC-100

Indirizzo TCPIP

Numero Porta

Nome Computer

Modifica Parametri di Movimento e dei Rapporti

Impostazioni Parametri: scheda Dimensione

Formato Output Dimensione

Testo Dimensione

Opzioni Dimensione

Intestazioni Dimensione

Simboli per Deviazione

Deviazione Standard

Stampa a 132 colonne

Impostazioni Parametri: scheda Piano di Sicurezza

Piano Attivo

Piano passante

Piani di Sicurezza Attivi

Note sui Piani di Sicurezza

Impostazioni Parametri: scheda Tastatore

Tastatore Attivo

Punta Attiva

Compensazione Tastatore

Compensazione vettore polare

Tastatore in alloggiamento n.

Impostazioni Parametri: scheda Movimento

Distanza di Approccio

Distanza di Ritrazione

Distanza di Controllo

% Controllo

Velocità di movimento

Velocità di Contatto %

Valore di Blocco

Velocità di Scansione

Impostazioni Parametri: scheda Tavola rotante

Angolo Tavola Rotante

Senso di Rotazione

Ruota Tavola

Impostazioni Parametri: scheda accelerazione

Accelerazione CMM

Impostazioni Parametri: scheda Impostazioni Tastatore

Forza massima

Forza minima

Forza superiore

Forza di defless.

N. dati restituiti

Velocità di Ritorno

Precisione di Posizionamento

Precisione Sondaggio

Modalità Sondaggio

Sondaggio manuale accurato

Densità punti

Forza Offset

Accelerazione

Impostazioni Parametri: scheda Opzioni Scatto Tastatore

Area Scatto Automatico

Area Scatto automatico piano di campionamento

Area Tolleranza Deflessione Punto Manuale

Impostazioni Parametri: scheda Parametri NC-100

Guadagno

Valore di Offset

ROI Sup.

ROI Inf.

Largh. ROI

Origine Y

Y Finale

Segmento lungo

Segmento X

Segmento Y

Impostazione video

Impostazioni Parametri: scheda Canali I/O

Canale

Opzioni di Impostazione e Ripristino

Impostazione Finestra di Modifica

Definizione Colori della Finestra di Modifica

Per modificare i colori utilizzati nei testi:

Per modificare i colori di sfondo utilizzati:

Per esportare uno schema colori:

Come importare ed usare uno schema colore:

Definizione del layout della finestra di modifica

Opzioni di visualizzazione in Modalità Comando

Impostazione finestra di Lettura

Sistema di Coordinate Macchina(MCS)

Posizione Tastatore

Ultimo punto

Mostra Posizione Corrente Tastatore suSchermo

Distanza dalla destinazione

Distanza dalla destinazione con zoom automatico

Visualizza Errore dell'Ultimo Elemento Misurato

Usa Coordinate Polari

Insegui sempre Centro FOV

Storia del Prompt

Impostazione Bracci Multipli

Definizione della Tavola Rotante

Calibrazione Tavola Rotante

Calibrazione Tavola Rotante Indexabile

Calibrazione Tavola Rotante Infinita

Impostazioni Opzioni del Cambio Utensile

Tipo

Cambio Utensile Attivo

Numero Cambi Tastatore

Tipo Cambio Utensile

Velocità di Deposito

COM

Calibrazione

Cambio Utensile Attivo

File Tastatore Attivo

Punta Attiva

Calibrazione Completa

Calibrazione Parziale

Calibrazione Porta Singola

Calibrazione

Punto di montaggio

Cambio Utensile Attivo

Angolo del Polso Testata Tastatore

Posizione CMM

Alloggiamenti

Definizione della Configurazione Tastatore per Ciascun Alloggiamento

Modifica manuale della posizione XYZ di un alloggiamento

Ripristino del valore predefinito 'nessun tastatore' per un tastatore

Aggiunta o rimozione di alloggiamenti dalla finestra di dialogo

Come Rilasciare un Tastatore senza Prelevarne uno Nuovo

Caricamento del Tastatore Attivo

Impostazione dell'Interfaccia CMM

Ripristino Impostazioni Predefinite dal Controllo

Generazione di un File Debug

Generazione di un nuovo file di debug

Compensazione della Temperatura

Uso dei file STP

Compensazione lineare e strutturale della temperatura

Parametri di Input Disponibili

Caselle Numeri sensori

Caselle Coefficiente Materiale

Caselle Temperatura Corrente

Caselle Temperatura precedente

Caselle Temperatura di Riferimento

Caselle Soglia Massima

Caselle Soglia massima

Caselle Origine

Mostra Temperature in Celsius

Compensazione temperatura attivata

Metodo di Compensazione

Tempo Restante

Ritardo prima di leggere la Temperatura del Pezzo

Ripristina valori Predefiniti

Richiamo Temperature Correnti

Comando COMP_TEMP nella Finestra di Modifica

Supporto Controllo

Definizione delle Directory Esterne di Ricerca

Cerca

Cerca nella Directory Corrente

Cerca prima nella directory corrente

Cerca nella Directory Specificata

Pulsante Sfoglia

Modifica delle opzioni OpenGL

Impostazioni del Desktop

Opzioni

Doppio buffer

Capacità Z-Buffer

Stringa di comando ColorDepth

Tassellazione

Impostazione Opzioni di Import


Impostazione Preferenze: Introduzione

È possibile personalizzare l'aspetto e il funzionamento di PC-DMIS in base alle proprie esigenze. L'uso di questa sezione consente di controllare il formato di output, le modalità di visualizzazione dei grafici, i parametri della macchina e altre opzioni.

In questa sezione verranno trattati i seguenti argomenti:

  • Selezione delle Opzioni di Impostazione di PC-DMIS

  • Modifica Parametri di Moviment e dei Rapporti

  • Impostazione Finestra di Modifica

  • Impostazione finestra di Lettura

  • Impostazione Bracci Multipli

  • Definizione della Tavola Rotante

  • Impostazioni Opzioni del Cambio Utensile

  • Caricamento del Tastatore Attivo

  • Impostazione dell'Interfaccia CMM

  • Compensazione della Temperatura

  • Definizione delle Directory Esterne di Ricerca

  • Modifica delle opzioni OpenGL

Nei paragrafi seguenti vengono descritte le diverse opzioni di sistema e le relative funzioni.

Vedere anche:

Nota sulla memorizzazione delle impostazioni per più utenti

Transizione tra Profili Macchina


Nota sulla memorizzazione delle impostazioni per più utenti

Tutte le modifiche apportate alle impostazioni, ai parametri o alle personalizzazioni dell'interfaccia utente di PC-DMIS vengono ora memorizzate per ciascun utente. Questa funzione viene controllata internamente utilizzando le autorizzazioni dell'utente di Windows NT e Windows 2000. Quando si accede al sistema operativo con un nome utente specifico, vengono automaticamente richiamate le impostazioni associate. Tali informazioni vengono memorizzate in directory secondarie specifiche nella posizione in cui è installato PC-DMIS.


Transizione tra Profili Macchina

Importante: Il portlock deve contenere l'opzione IP Measureperché le voci di menu Salva Profilo Macchina e Richiama Profilo Macchina vengano visualizzati.

Le due voci di menu permettono di passare facilmente da un profilo macchina all'altro, quando si creano part program in modalitá offline.

Modifica | Preferenze | Salva Profilo Macchina - Questa voce di menu visualizza la finestra di dialogo Salva come che chiede il nome file e registra le impostazioni correnti della macchina virtuale in un file con estensione "mpl". PC-DMIS salva gli elementi seguenti che possono essere richiamati nel segueto:

  • Modello macchina caricato

  • Modello di cambio utensile caricato

  • Impostazioni Tavola Rotante

  • Orientazione di montaggio tastatore

  • Componente tastatore iniziale predefinito (PH10, CW43, ecc.)

  • File Tastatore Attivo

  • Componenti "fissi" dell'attrezzaggio veloce

  • Impostazioni e limiti della velocitá macchina

Modifica | Preferenze | Richiama Macchina - Questa voce di menu permette di ripristinare le impostazioni macchina precedentemente salvate nel file .mpl. PC-DMIS visualizza la finestra di dialogo Apri, e, una volta scelto il file da aprire, ripristina le impostazioni in esso contenute.


Selezione delle Opzioni di Impostazione di PC-DMIS

Visualizza Mappa Percorsi dei Menu

Selezionando l'opzione di menu Modifica | Preferenze | Impostazione si accede alla finestra di dialogo Opzioni Impostazione . Questa finestra di dialogo consente di modificare l'aspetto e il funzionamento di PC-DMIS. Fare clic sulla scheda che interessa. Di seguito, vengono riportate le schede disponibili.

Vedere anche:

Opzioni di Impostazione: scheda Generale

Opzioni di Impostazione: scheda Pezzo/CMM

Opzioni di Impostazione: scheda Dimensione

Opzioni di Impostazione: scheda Impostazione ID

Opzioni di Impostazione: scheda Impostazione NC-100


Opzioni di Impostazione: scheda Generale

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Opzioni di impostazione - Scheda Generale

Si accede alla scheda Generale facendo clic sulla scheda Generale all'interno della finestra di dialogo Opzioni di impostazione (Modifica | Preferenze | Impostazione). Le opzioni disponibili in questa scheda consentono di modificare le funzioni che controllano il processo di misurazione.

Vedere anche:

Caselle di modifica della scheda Generale

Caselle di controllo della scheda Generale

Avvertenze

Password


Caselle di modifica della scheda Generale

Le caselle di modifica della scheda Generale consentono di modificare le opzioni descritte di seguito.

Fattore di Scala

La casella Fattore di Scala consente di scalare i dati misurati in base al fattore immesso. Ad esempio, se si esegue la misurazione di un cerchio con un diametro di 1.0 pollici e si applica un fattore di scala di 0,95, il valore misurato sarà pari a 0,95 pollici.

Minuti al salvataggio

La casella Minuti al salvataggio consente di inserire i minuti che PC-DMIS deve attendere prima di eseguire il salvataggio automatico del part-program. Il valore minimo da inserire è un minuto. La casella Minuti al Salvataggio diventa disponibile selezionando la casella Salvataggio File Automatico .

Tolleranza ricerca nominali

Questa casella è disponibile dopo aver selezionato la casella di controllo Trova nominali. Vedere "Trova nominali".

Nella casella Tolleranza ricerca nominali è possibile digitare il valore di tolleranza utilizzato da PC-DMIS per individuare i nominali. Il valore predefinito è 10 mm.

Quando si imposta inizialmente questo valore e si seleziona OK (e ogni volta che si esegue un'operazione trova nominali in modalità di apprendimento), PC-DMIS verifica questo valore in base al raggio della punta attiva. Se questo valore é minore del raggio della punta tastatore, PC-DMIS lo modificherá di conseguenza.

Tolleranza visualizzazione deviazioni

Nel campo Tolleranza visualizzazione deviazioni è possibile digitare il valore di tolleranza utilizzato da PC-DMIS per visualizzare le deviazioni dei punti. Questa opzione è disponibile solo dopo aver selezionato la casella di controllo Mostra deviazioni punti.

Fattore. Molt. della Freccia Dev.

La casella Moltiplicatore della Freccia Dev. è disponibile solo dopo aver selezionato la casella di controllo Mostra Dev.Punti . La finestra di visualizzazione grafica mostra una freccia per ciascun punto preso, indicandone la deviazione. Maggiore è il valore inserito in questo campo, maggiori saranno le dimensioni della freccia.

Calcolo Tolleranza - Esecuzione con Ordine Qualsiasi

La casella Calcolo Toll. con ordine qualsiasi: permette di definire la tolleranza entro cui il punto misurato deve trovarsi, quando PC-DMIS esegue il part program in modaliá ordine di esecuzione qualsiasi.

Se il punto é al di fuori della tolleranza specificata (normalmente 10 mm), PC-DMIS cercherá in avanti e all'indietro nel part program l'elemento il cui primo punto meglio approssima il punto iniziale rilevato. Si veda Esecuzione in Ordine Qualsiasi nella sezione "Uso di Opzioni File Avanzate" per ulteriori informazioni.

Spessore

La casella Spessore è correlata alla casella di controllo Spessore Punti per modalitá Solo Punto. Se questa casella di controllo è selezionata, lo Spessore indicato verrà applicato a tutti i punti creati in modalità Solo punto.

Per ulteriori informazioni, vedere "Modalità Solo punto" e "Spessore per modalità Solo punto".

Toll. esecuzione ricerca nominali

Nella casella Toll. esecuzione ricerca nominali è possibile inserire il valore di tolleranza utilizzato da PC-DMIS, per la ricerca dei nominali durante l'esecuzione del part-program.

Questa casella è disponibile soltanto se è stata precedentemente selezionata la casella di controllo Trova i nominali durante l'esecuzione nella lista.

Si veda "Trova i nominali durante l'esecuzione".

Stringa di comando AutoCirHits

La finestra Punti Cerchi Automatici consente di impostare il numero predefinito di punti utilizzati da PC-DMIS durante l'apprendimento di cerchi con dati CAD. È necessario inserire almeno tre punti. Questo parametro consente di modificare il numero di punti solo per i cerchi da programmare e non per i cerchi già programmati.

La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: AutoCirHits= [numero punti]. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica Voci del Registry" .

Punti linea automatici

La finestra Punti linea automatici: consente di impostare il numero predefinito di punti utilizzati da PC-DMIS durante l'apprendimento di linee con dati CAD. È necessario inserire almeno due punti. Questo parametro consente di modificare il numero di punti solo per le linee da programmare e non per le linee già programmate.

La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: AutoLineHits= [numero punti]. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica Voci del Registry" .

Punti in U

La finestra Punti in U consente di indicare il numero minimo di righe da prendere durante la scansione.

Nota: questa opzione di scansione è attiva solo se utilizzata con le opzioni Curve e Superfici.

Punti in V

La finestra Punti in V consente di indicare il numero minimo di punti per riga da prendere, durante la scansione.

Nota: questa opzione di scansione è attiva solo se utilizzata con le opzioni Curve e Superfici.


Avvertenze

Il pulsante Avvertenze consente di visualizzare la finestra di dialogo Opzioni visualizzazione avvertenze.

Finestra di dialogo Opzioni visualizzazione avvertenze

La finestra di dialogo permette a PC-DMIS di visualizzare nuovamente le avvertenze che sono state cancellate, e inolktre di cambiare le azioni predefinite che sono disabilitate. La finestra é vuota, questo é il suo stato predefinito. Quando viene visualizzato un messaggio di evvertenza, si puó impostare l'opzione di non ricevere piú tale messaggio. In tal caso il messaggio compare nella finestra per l'ultima volta.

Per ricevere nuovamente il messaggio occorre operare come segue:

  1. Accedere alla finestra di dialogoOpzioni Impostazione (Modifica | Preferenze | Impostazione). Mappa dei Percorsi - Menu di Visualizzazione

  2. Selezionare la scheda Generale.

  3. Fare clic sul pulsante Avvertenze. Viene visualizzata la finestra di dialogo Opzioni visualizzazione avvertenze con tutte le avvertenze che sono state disabilitate.

  4. Selezionare l'avvertenza nella finestra di dialogo.

  5. Deselezionare la casella di controllo relativa.

  6. Fare clic sul pulsante OK. L'avvertenza é eliminata dalla finestra di dialogo e da quel momento verrá nuovamente visualizzata.

Il pulsante Cancella Elenco toglie la spunta a tutte le caselle di controllo, impostando PC-DMIS nella configurazione predefinita che prevele la visualizzazione di tutte le avvertenze.

Per modificare l'azione predefinita per un messaggio di avvertenza, effettuare le seguenti operazioni:

  1. Assicurarsi di aver fatto clic sulla casella di controllo Non visualizzare piú questo messaggio, quando l'avvertenza viene visualizzata. Il clic fa sí che l'avvertenza venga aggiunta alla finestra di dialogo Opzioni visualizzazione avvertenze.

  2. Accedere alla finestra di dialogo Opzioni di impostazione .

  3. Selezionare la scheda Generale.

  4. Fare clic sul pulsante Avvertenze. Viene visualizzata la finestra di dialogo Opzioni visualizzazione avvertenze con tutte le avvertenze che non si desidera visualizzare.

  5. Fare doppio clic sul messaggio di avvertenza per il quale si desidera modificare l'azione predefinita. PC-DMIS visualizza l'avvertenza e permette di modificarne l'utilizzo.

  6. Selezionare la nuova azione predefinita. L'elenco viene aggiornato coerentemente con la modifica effettuata.

  7. Fare clic sul pulsante OK per salvare le modifiche.


Password

Il pulsantePassword consente di proteggere mediante password l'accesso alla finestra di dialogo Opzioni di impostazione.

Per proteggere mediante password le opzioni di impostazione, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Opzioni Impostazione (Modifica | Preferenze | Impostazioni). Display Menu Roadmap

  2. Selezionare la scheda Generale.

  3. Fare clic sul pulsante Password. Viene visualizzata la finestra di dialogo Password
    .
    Finestra di dialogo Opzioni Password

  4. Nella casella Nuova password, digitare la password desiderata.

  5. Nella casella Ripeti password, digitare nuovamente la password per conferma.

  6. Selezionare la casella di controllo Usa password.

  7. Fare clic sul pulsante OK.

D'ora in avanti, quando si tenterà di accedere alla finestra di dialogo Opzioni di impostazione, verrà richiesto di inserire la password specificata.

Selezionando Annulla sarà possibile visualizzare le opzioni attualmente selezionate ma non sarà possibile apportare alcuna modifica.


Caselle di controllo della scheda Generale

Le caselle di controllo riportate di seguito consentono di attivare o disattivare le diverse opzioni ad esse associate. Queste caselle di controllo risultano particolarmente utili poiché consentono di personalizzare il funzionamento di PC-DMIS in base alle proprie esigenze.

Vedere anche:

Stringa di comando PressEndKey

Salvataggio Automatico File

Trova nominali

Modalità Solo Punto

Modalità solo punto bordo

Ignora Errori di Movimento

Regolazione Automatica Tastatore Polso

Ignora CAD su Pezzo

Ripristina impostazioni globali in fase di diramazione

Sposta elemento su piano di riferimento

Mostra Opzioni Lamiera Estese

Posizioni finestre di dialogo fisse

Blocca Insiemi Selezionati

Adatta Automaticamente

Mostra Deviazioni Punti

Usa movimenti circolari per elementi rotondi

Spessore per Punti in Modalità Solo Punto

Consenti regolazione accurata Allineamento

Utilizza gli ID forniti da CAD per gli elementi

Trova i nominali durante l'esecuzione

Continua Automaticamente l'Esecuzione se la Ricerca Foro Fallisce

Mostra finestra di Avvio

Posizionamento Automatico Etichetta

Anima il Tastatore in Modalità Programma

Visualizza l’Icona nelle Caselle di Testo

Foratura CAD su rotazione 3D

Salva part-program durante l'Esecuzione

Usa pulsante DMIS nella Finestra di Modifica

Le scansioni patch mantengono l'Ultimo Incremento

Usa Lettere Deviazione Autoveicoli

Usa Sovrascrivi Trova Nominali per le Scansioni

Usa SOLO Superfici con priorità per trovare i nominali durante le scansioni

Mostra contorno del piano

Tratta i Valori Teorici come Memorizzati in Coordinate Pezzo

Rendi le Variabili Visibili Globalmente

Allineamento Pezzo forzato per Carrozzeria


Premere il pulsante Fine

La casella di controllo Premere il tasto Fine che PC-DMIS attenda o meno che sia premuto il tasto, prima di acetate l’ultimo punto rilevato. Selezionando questa casella è possibile visualizzare l’anteprima dell’ultimo punto prima di accettarlo. Se questa casella non é selezionata, il punto corrente rilevato per mezzo del jojbox non viene memorizzato nel buffer dei punti, ma diviene automaticamente l’ultimo punto dell’elemento, anche se il punto é stato rilevato in posizione errata.


Salvataggio Automatico File

La casella di controllo Salvataggio Automatico File consente di salvare automaticamente il part-program a intervalli predefiniti. Se questa casella di controllo è selezionata, in base all'impostazione predefinita il part-program verrà salvato a ogni minuto. Per modificare questo intervallo di tempo, inserire un altro valore nella casella Minuti di salvataggio.

PC-DMIS salva automaticamente il file aggiungendo la stringa "Salvataggio automatico copia di [nome file]". Qualora il file sia danneggiato, è possibile aprire questa copia mediante gli stessi comandi utilizzati per aprire un part-program. La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: SalvataggioAutomatico = 0 o 1

Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica voci del Registry" .


Trova nominali

La casella di controllo Trova nominali consente di controllare la modalità di gestione dei punti in PC-DMIS. Se questa opzione é selezionata, PC-DMIS considera automaticamente ciascun punto rilevato e trova sul CAD il punto numinale che meglio lo approssima. I punti vengono accumulati fino a quando non si preme il pulsante END. Infine, viene calcolato il tipo di elemento e vengono applicati i nominali CAD.

Quando viene selezionata, la casella Tolleranza ricerca nominali diventa attiva. Vedere "Tolleranza ricerca nominali".


Modalità Solo Punto

La casella di controllo Modalità Solo Punto controlla la risposta di PC-DMIS ad ogni singolo punto rilevato dal tastatore. Quando è selezionata, PC-DMIS considera automaticamente ciascun punto del tastatore come un singolo punto da misurare e crea un punto vettore automatico. Se la casella di controllo non è selezionata, i punti del tastatore verranno memorizzati fino a quando non si preme il tasto FINE. Solo dopo aver premuto questo tasto, PC-DMIS determinerà il tipo di elemento appena misurato.

Selezionando questa casella di controllo, sarà disponibile anche la casella di controllo Spessore per punti in modalità Solo punto. Vedere Spessore per punti in modalità Solo punto.


Modalità solo punto bordo

La casella di controllo Modalità Solo punto bordo consente di controllare come PC-DMIS risponda ad ogni insieme di prese punto del tastatore. Un insieme viene definito in base a due singoli punti del tastatore. Il primo punto dovrebbe essere sempre preso sulla superficie. Il secondo punto dovrebbe essere sempre preso sul bordo. Quando questa casella di controllo è selezionata, PC-DMIS considera automaticamente ciascun insieme di punti del tastatore come un singolo punto da misurare e crea un punto di bordo automatico. Se la casella di controllo non è selezionata, i punti del tastatore verranno accumulati fino a quando non si preme il tasto FINE. Solo dopo aver premuto questo tasto, PC-DMIS determinerà il tipo di elemento appena misurato.

Durante la creazione del punto di bordo, PD-DMIS utilizza le opzioni della sezione Impostazione elemento della finestra di dialogo Punto di bordo. Vedere l'argomento "Creazione di un punto di bordo automatico" nella sezione "Creazione di elementi automatici".

Se viene selezionata l'opzione Trova nominali, vengono applicati i nominali CAD.


Ignora Errori di Movimento

Visualizza Mappa Percorsi dei Menu

Questa opzione non è disponibile in tutti i tipi di macchina. Può essere utilizzata in alcune macchine e non essere attiva in altre.

Selezionare la casella di controllo Ignora Errori di Movimento perché PC-DMIS ignori gli errori dovuti a collisione. Selezionando questa casella e facendo clic su OK si inserisce il comando IGNORAERRORIMOV/ cnella finestra di modifica. Quando questo comando è attivato e il tastatore entra in collisione con un ostacolo, il tastatore non si arresta automaticamente. Questa opzione risulta particolarmente utile quando si esegue la misurazione di materiali, quali l'argilla o la plastica, in cui è necessaria una certa flessibilità.

Se si imposta questo comando su OFF all'interno della finestra di modifica, gli errori di collisione verranno nuovamente visualizzati.


Regolazione Automatica Tastatore Polso

Se si seleziona la casella di controllo Regolazione Automatica Tastatore Polso , PC-DMIS selezionerà automaticamente una posizione il più possibile vicina alla direzione per ciascun punto del part-program.

Importante: PC-DMIS applica le modifiche fatte al polso soltanto agli elementi creati dopo aver spuntato questa casella di controllo. Gli elementi pre-esistenti non sono coinvolti nella modifica.

Se PC-DMIS trova punte calibrate all'interno dell'area di tolleranza dell'angolo specificata nella casella Delta di avvertenza polso della scheda Pezzo/CMM, le utilizza al posto delle punte non calibrate con maggiori corrispondenze agli angoli. Vedere "Opzioni di impostazione: scheda Pezzo/CMM").

È possibile attivare questa opzione anche per i punti singoli degli elementi automatici mediante la casella di controllo Auto PH9. Vedere "Creazione di elementi automatici".

La voce dell'Editor di Configurazione di PC-DMIS recita: AutoAdjustPh9 = 0 or 1. Per ulteriori informazioni sulla modifica delle voci del registry, si veda: "Modifica delle Voci del Registry" .

Nota: Utilizzando il pulsante Selezione Usata nella finestra di dialogo Utility Tastatore , é possibile che PC-DMIS non selezioni tutte le punte tastatore da calibrare (si veda "Selezione Usata" nella sezione "Definizione Hardware" ). Visualizza Mappa Percorsi dei Menu


Ignora CAD su Pezzo

Ogni volta che si crea un allineamento, PC-DMIS crea due matrici di trasformazione (indipendentemente dal fatto che l'allineamento venga salvato o meno).

  • Matrice delle coordinate pezzo - macchina.

  • Matrice da CAD a pezzi.

Da macchina a coordinate del pezzo:Questa matrice viene calcolata in base ai valori misurati degli elementi di input, memorizzati internamente in coordinate macchina.

Da CAD a pezzi: Questa matrice viene calcolata utilizzando le stesse istruzioni della matrice da macchina - pezzi. In questo caso, tuttavia, vengono utilizzati i valori teorici degli elementi di input anziché i valori misurati. I valori teorici sono memorizzati internamente in coordinate CAD .

Se non si dispone dei dati CAD necessari, i valori teorici vengono generalmente calcolati in base ai valori misurati degli elementi appresi. Non sempre è possibile ottenere risultati riproducibili utilizzando i valori teorici, soprattutto se sono stati modificati solo alcuni valori.

Se si seleziona la casella di controllo Ignora CAD su pezzo durante il salvataggio di un allineamento, PC-DMIS salva solo l'allineamento tra macchina e pezzo e non crea la matrice di trasformazione da CAD a pezzo. Tutti i valori teorici saranno così indipendenti l'uno dall'altro.

In genere, selezionare questa casella di controllo se non si utilizzano i dati CAD.

Effetti su Cad equivalente a pezzo

È possibile eseguire un allineamento dagli elementi misurati senza dati CAD in Modalità DCC. Se si utilizza l'opzione di menu CAD equivalente a pezzo o il pulsante CAD = Pezzo, accertarsi di aver selezionato la casella di controllo Ignora CAD su pezzo prima di impostare i dati CAD equivalenti al pezzo. Per informazioni sull'impostazione CAD equivalente a pezzo, si veda l'argomento "CAD Equivalente a Pezzo" della sezione "Creazione ed Uso degli Aliineamenti" .

Valori teorici per gli elementi copiati

Se si deseleziona questa casella di controllo e si copia un elemento in una nuova posizione della finestra di modifica, i valori teorici dell'elemento vengono associati all'allineamento in corrispondenza della posizione originale dell'elemento e sembreranno modificati.

Se si seleziona questa casella di controllo e si copia un elemento in una nuova posizione della finestra di modifica, i valori teorici dell'elemento vengono associati all'allineamento, in corrispondenza della nuova posizione dell'elemento e non sembrano modificati.

Si veda " Modifica dei Valori Teorici dell'Allineamento" nella sezione "Creazione e uso degli allineamenti" .


Ripristina impostazioni globali in fase di diramazione

Se si seleziona la casella di controllo Ripristina impostazioni globali in fase di diramazione, PC-DMIS ripristinerà i valori globali per i comandi di stato (vedere l'elenco di seguito) quando incontra un'istruzione di diramazione. Per informazioni sulla diramazione, vedere la sezione "Esecuzione della diramazione utilizzando il controllo del flusso". Tutti i comandi di stato ignorati a causa di un'istruzione di diramazione non verranno eseguiti. In questo modo è possibile ignorare una o più sezioni del programma senza modificarne le impostazioni.

Ad esempio, si supponga di utilizzare un part-program con le seguenti istruzioni:

TIP /T1A0B0
MIALABEL=LABEL/

Misurazioni, etc...

PUNTA/T1A90B90
GOTO/MIA_LABEL

Se la casella di controllo è selezionata,
Quando PC-DMIS legge l'istruzione GOTO, passa a MIA_ETICHETTA ed inizia una ricerca a ritroso, utilizzando il primo comando PUNTA/ rilevato: TIP/T1A0B0

Se la casella di controllo viene deselezionata,
Quando PC-DMIS legge l'istruzione GOTO, passa a MIA_ETICHETTA ma non ripristina le impostazioni globali quando incontra un'istruzione di diramazione, utilizzando invece l'ultimo comando PUNTA/ eseguito: TIP/T1A90B90

Per impostazione predefinita, questa casella di controllo è selezionata. Nelle versioni precedenti alla 3.25, PC-DMIS ripristinava automaticamente i valori globali dei comandi di stato. Nella versione corrente, è invece possibile scegliere se attivare o disattivare questa opzione.

Comandi ripristinati dopo la diramazione:

  • INIZIO/ALLIN

  • RICHIAMA/ALLIN

  • MODAL

  • Rmeas/

  • PIANO_LAVORO/

  • PUNTA

  • CARIC_TAST/

  • RITRAZ/

  • CONTR/

  • VEL_CONTATTO/

  • VEL_MOVIM/

  • COMP_VETT_POLARE/

  • AUTOTRIGGER/

  • PIANO_SCATTO/

  • TOLLERANZA_SCATTO/

  • IMPOSTAZVIDEO/

  • PRECIS_VISUALIZZ/

  • RITRAZIONE_MAN/

  • VEL_SCAN/

  • APPROCCIO/

  • BLOCCO/

  • PIANO_SIC/

  • FORMATO/

  • 132COLONNE/

  • SOLO_TRAF/

  • SOLO_RETROLIN/

  • COMP_TAST/

  • INDICI_ARRAY/

  • FLY/

  • rapporto_POSITIVO/

  • IGNORAERRORIMOV/


Sposta elemento su piano di riferimento

Se si seleziona la casella di controllo Sposta elemento su piano di riferimento, PC-DMIS proietterà automaticamente l'elemento misurato sul piano di lavoro. Questa opzione è disponibile solo quando si esegue la misurazione di cerchi, ellissi, linee e punti.


Mostra Opzioni Lamiera Estese

Selezionando la casella di controllo Mostra opzioni lamiera estese, PC-DMIS visualizza le opzioni Lamiere disponibili nella finestra di dialogo Elementi Automatici . (Si vedano le trattazioni sulle lamiere nella sezione “Creazione Elementi Automatici" .)

La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: DialogFixedPosition = 0oppure 1. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica Voci del Registry" .


Posizioni finestre di dialogo fisse

Se si seleziona la casella di controllo Posizioni finestre di dialogo fisse, PC-DMIS visualizzerà le finestre di dialogo nella posizione predefinita. Se questa opzione non è selezionata, ciascuna finestra dialogo verrà visualizzata nell'ultima posizione utilizzata. Questa opzione risulta particolarmente utile quando si utilizzano le macro.

La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: DialogFixedPosition = 0oppure 1. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica voci del Registry" .


Blocca Insiemi Selezionati

Se si seleziona la casella di controllo Blocca Insiemi Selezionati, PC-DMIS impedirà l'eliminazione o la modifica accidentale delle configurazioni correnti dell'insieme selezionato. Sarà consentita solo l'esecuzione e l'attivazione di insiemi selezionati. È necessario disattivare questa opzione per aggiungere o eliminare gli elementi da un insieme selezionato.


Adatta Automaticamente

Se si seleziona la casella di controllo Adatta automaticamente, PC-DMIS adatterà automaticamente la schermata ogni volta che viene misurato un elemento.

La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: AutoScaleToFit = 0oppure 1. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica Voci del Registry" .


Mostra Deviazioni Punti

Se si seleziona la casella di controllo Mostra deviazioni punti, PC-DMIS traccerà una freccia per ciascun punto prelevato in modo da mostrare il valore misurato meno la deviazione nominale.


Usa movimenti circolari per elementi rotondi

Se si seleziona la casella di controllo Usa movimenti circolari per elementi rotondi e viene eseguito l'apprendimento del part-program prendendo punti sul pezzo, PC-DMIS inserirà automaticamente i comandi per i movimenti circolari all'interno e all'esterno di elementi rotondi. Tali elementi possono essere cerchi, cilindri, coni e sfere. Questa modalità, tuttavia, è importante solo quando è attiva la modalità Apprendimento. I comandi per i movimenti circolari rimangono all'interno degli elementi fino a quando non vengono rimossi dall'utente.

La voce corrispondente a questa opzione nell’Editor Impostazioni di PC-DMIS è: UseCircularMoves = 0oppure 1. Per informazioni sulla modifica di voci di registro, vedere la sezione "Modifica voci del Registro" .


Spessore per Punti in Modalità Solo Punto

La selezione di questa casella di controllo consente di applicare lo spessore ai punti creati in modalità Solo punto. Attivando questa casella, nella finestra di dialogo disponibile per la modifica verrà visualizzata la casella Spessore. Sarà quindi possibile inserire uno spessore e applicarlo ai punti creati in modalità Solo punto.

Per ulteriori informazioni, vedere "Modalità solo punto" e "Spessore".


Consenti regolazione accurata Allineamento

Quando si modifica un allineamento, PC-DMIS chiede se si vogliono aggiornare i comandi che seguono l'allineamento modificato. Se questa casella di controllo é selezionata e si risponde NO al messaggio, PC-DMIS modifica la trasformazione MACHINETOPART, se richiesto. Se la casella é deselezionata, la trasformazione MACHINETOPART non cambia.


Utilizza gli ID forniti da CAD per gli elementi

La casella di controllo Utilizza gli ID forniti da CAD per gli elementi consente di importare gli ID degli elementi da un file CAD. Quando si seleziona questa casella di controllo, PC-DMIS inserisce automaticamente l'ID CAD specificato nella finestra di dialogo Elementi automatici quando si fa clic con il pulsante sinistro del mouse sull'elemento CAD. Se si decide di mantenere invariato questo valore, all'elemento creato verrà assegnato l'ID specificato.


Trova i nominali durante l'esecuzione

Se si seleziona la casella di controllo Trova i Nominali durante l'Esecuzione, vengono individuati nuovi nominali per i punti Superficie e Vettore durante l'esecuzione del part-program. Per ulteriori informazioni sulla definizione dei valori di tolleranza utilizzati da PC-DMIS, vedere Tolleranza esecuzione ricerca nominali. Vedere anche Tolleranza ricerca nominali.


Continua Automaticamente l'Esecuzione se la Ricerca Foro Fallisce

Selezionando la casella di controllo Continua Automaticamente l'Esecuzione se la Ricerca Foro Fallisce , PC-DMIS permette di contunuare l'elaborazione di un pezzo, se l'opzione "TrovaForo" nella finestra di dialogoElementi Automatici non trova il foro.

In passato, in caso di errore dell'opzione "Trova foro", PC-DMIS richiedeva di posizionare il tastatore al centro del foro per continuare l'esecuzione del part-program. Se tuttavia la casella di controllo Continua Automaticamente l'Esecuzione se la Ricerca Foro Fallisce è selezionata, PC-DMIS scrive automaticamente un messaggio di errore nel rapporto e continua l'esecuzione del part-program rimanente.

Per ulteriori informazioni sull'opzioneTrova Foro, vedere l'argomento "Casella di controllo Trova foro" nella sezione "Creazione di elementi automatici"


Mostra finestra di Avvio

La casella di controllo Mostra finestra di Avvio consente di scegliere se visualizzare o meno la finestra di dialogo Apri file ogni volta che si avvia PC-DMIS. In questa finestra di dialogo è visualizzato un elenco di part-program disponibili per l'apertura.

Se la casella di controllo è deselezionata, questa finestra di dialogo non verrà visualizzata all'avvio di PC-DMIS.

Si veda "Apertura di part-program esistenti" nella sezione "Uso delle opzioni di base del menu File"Per ulteriori informazioni sulla finestra di dialogo Apri file.


Posizionamento Automatico Etichetta

Se la casella di controllo Posizionamento automatico etichetta è selezionata, PC-DMIS posiziona automaticamente le etichette degli elementi intorno al pezzo.


Anima il Tastatore in Modalità Programma

La casella di controllo Anima Tastatore in Modalità Programma consente di attivare l'animazione del tastatore in Modalità Programma. Quando si seleziona questa casella di controllo, il tastatore anima la presa dei punti nella finestra di visualizzazione grafica man mano che i punti vengono generati da CAD.


Visualizza l’Icona nelle Caselle di Testo

La casella di controllo Visualizza l'icona nelle caselle di testo consente di decidere se le icone che rappresentano il tipo di elemento o dimensione debbano apparire nelle caselle di testo e nelle etichette ID degli elementi. Le caselle di testo includono l'ID dell'elemento, le informazioni sulla dimensioni e le caselle di testo contenenti le informazioni sul punto.

Per ulteriori informazioni sulle caselle di testo, vedere "Modalità Casella di testo" nella sezione "Modifica della visualizzazione CAD".


Foratura CAD su rotazione 3D

La casella di controllo Fora CAD su rotazione 3D consente di determinare il punto esatto attorno al quale PC-DMIS esegue la rotazione 3D facendo clic con il pulsante destro del mouse all'interno della finestra di visualizzazione grafica.

. Se si seleziona questa casella di controllo e si esegue una rotazione 3D facendo clic con il pulsante destro del mouse all'interno della finestra di visualizzazione grafica, PC-DMIS esegue la rotazione attorno al punto selezionato.

· Se si deseleziona questa casella di controllo e si fa clic con il pulsante destro del mouse per eseguire la rotazione 3D, PC-DMIS non fora la superficie CAD.

Nota: tuttavia, se PC-DMIS rileva un'entità wire-frame o un bordo della superficie in prossimità del cursore del mouse, verrà utilizzato per la rotazione il punto sull'entità o sul bordo più vicino al puntatore del mouse.

Per ulteriori informazioni sulla rotazione 3D, vedere "Modalità Rotazione 3D" nella sezione "Modifica della visualizzazione CAD".


Salva part-program durante l'Esecuzione

Se si seleziona la casella di controllo Salva part-program durante l'esecuzione, il part-program corrente viene automaticamente salvato ogni volta che viene eseguito.


Usa pulsante DMIS nella Finestra di Modifica

La casella di controllo Usa pulsante DMIS nella finestra di modifica consente di attivare/disattivare la visualizzazione dell'icona Modalità DMIS nella barra degli strumenti della Finestra di Modifica.


Le scansioni patch mantengono l'Ultimo Incremento

La casella di controllo Le scansioni patch mantengono l'ultimo incremento forza ogni nuova linea della scansione patch a utilizzare l'ultimo incremento della linea precedente. Se si deseleziona questa casella di controllo, la scansione viene ripristinata all'incremento di scansione minimo al momento della presa del primo punto su ciascuna linea.


Usa Lettere Deviazione Autoveicoli

La casella di controllo Usa lettere deviazione autoveicoli fa in modo che PC-DMIS aggiunga una lettera, dopo il numero di deviazione, nei rapporti per le dimensioni Posizione e True Position. PC-DMIS inserisce le seguenti lettere:

. F quando l'elemento presenta una deviazione in direzione della parte anteriore dell'automobile.

. B quando l'elemento presenta una deviazione in direzione della parte posteriore dell'automobile.

· I quando l'elemento presenta una deviazione verso la linea centrale dell'automobile (automobile troppo stretta).

· O quando l'elemento dévia, allontanandosi dalla linea centrale dell'automobile (automobile troppo larga).

· H quando l'elemento dévia verso la parte superiore dell'automobile.

· L quando l'elemento dévia verso il fondo dell'automobile.

Mappa delle Lettere di Deviazione per Autovetture

Queste lettere vengono aggiunte alle dimensioni Posizione e Posizione reale, in base ai numeri di deviazione contenuti nel rapporto.


Usa Sovrascrivi Trova Nominali per le Scansioni

La casella di controllo Usa Sovrascrivi Ricerca Nominali per le scansioni consente di sovrascrivere i valori nominali trovati per i punti misurati durante una scansione.

Nota:Per sovrascrivere i valori trovati, l’esecuzione deve non trovare almeno uno uno dei punti nominali durante la misura.

Vedere “Sovrascrivere Nominali trovati” nella sezione "Modifica di un part-program”.


Usa SOLO Superfici con priorità per trovare i nominali durante le scansioni

La casella di controllo Usa SOLO Superfici con priorità per trovare i nominali durante le scansioni fa sì che PC-DMIS durante l’esecuzione del part program cerchi i valori nominali per i punti misurati della scansione solo sulle surperfici con priorità, impostate dalla finestra di dialogo Modifica elementi CAD.

Si veda "Modifica CAD" nella sezione "Modifica della Visualizzazione CAD" .


Mostra contorno del piano

La casella di controllo Mostra contorno del piano determina se PC-DMIS visualizzerà l’effettivo contorno del piano nella finestra di visualizzazione grafica invece del piccolo simbolo triangolare normalmente utilizzato

Per esempio, se questa casella di controllo è selezionata e si misurano tre punti per costruire un piano, il simbolo trangolare del piano avrà come vertici proprio i punti misurati.

Esempio di un piano costruito visualizzato con questa casella di controllo selezionata

Nota:Se viene selezionata questa casella di controllo, i contorni dei piani già esistenti non vengono ridisegnati; solo i piano creati dopo vengono visualizzati in modo diverso. Se si vogliono cambiare i contorni gia’ esistenti, bisogna farlo manualmente.

Per modificare la visualizzazione dei piani esistenti, bisogna:

  1. Accedere alla finestra di Modifica.

  2. Attivare la modalità Comando di PC-DMIS.

  3. Andare al comando corrispondente al piano che si vuole modificare Ad esempio:

PLN1 = ELEM/PIANO,RETT,TRIANGLE

  4. Premere il tast TAB fino a che non viene evidenziato il campo TRIANGLE o OUTLINE .

  5. Premere F7 o F8 per passare da un valore all’altro tra quelli disponibili.

  • TRIANGLE visualizza il piccolo simbolo triangolare per il piano.

  • OUTLINE visualizza il contorno reale per l’insieme di punti che definiscono il piano.

  6. 6. Premere il tasto TAB per vedere il risultato nella finestra di visualizzazione grafica.


Tratta i Valori Teorici come Memorizzati in Coordinate Pezzo

La casella di controllo Tratta valori teor. come memorizzati in coord. pezzo fa sì che PC-DMIS tratti i valori teorici come se fossereo memorizzati in coordinate pezzo. Questo è utile solo se vengono effettuati diramazioni nel flusso del programma con all’interno cambiamenti di allineamento.

Quando il part programGlossPartProgram viene eseguito, PC-DMIS memorizza l’allineamento da macchina a pezzo per l'allineamento iniziale, ma quando c'è una diramazione con un nuovo allineamento,PC-DMIS determina la differenza tra gli allineamenti e aggiorna gli elementi con l’offset corrispondente.


Rendi le Variabili Visibili Globalmente

Di solito, quando una subroutineGlossSubroutine é chiamata, tutte le variabiliGlossVariables diventano "fuori scopo(out of scope)", ed i loro valori non sono perció disponibili. La casella Rendi le Variabili Visibili Globalmente fa si’ che ogni variabile diventi globalmente makes any "visibile", cioé usabile nell'intero part program.

Il valore predefinito per questa casella é “non selezionata”, perció il valore delle variabili di una sobroutine non sostituisce quello di variabili del programma principale, con il medesimo nome.

Esempio:

ASSEGNA/V1 = 1

C1 = CALLSUB,MYSUB

.

.

.

SUBROUTINE/MYSUB

COMMENTO/OPER,V1

END/SUB

Deselezionando questa casella di controllo, le variabili non sono visibili globalmente. Il commento OPER visualizza valore 0, perché V1 non é visibile dall’interno della subroutine.

Selezionando la casella di controllo, le variabili sono visibili globalmente ed il commento OPER avrá valore 1, perché V1 é visibile dall'interno della subroutine.

Per ulteriori informazioni sulle variabili, si veda la sezione "Uso di Espressioni e Variabili" .


Allineamento Pezzo forzato per Carrozzeria

Spuntando la casella Allineamento Pezzo forzato per Carrozzeria viene forzato l'allineamento relativo al pezzo di carrozzeria in esame. Selezionando questa casella l'allineamento sará comunque quello del CAD, qualunque sia l'allineamento selezionato. La selezione di questa casella agisce come trasformazione secondaria e segue l'allineamento iniziale.

Per esempio, se ci si porta sul foro centrale del blocco di test Hexagon Metrology e poi si seleziona tale casella di controllo, l'origine resterá nell'angolo, tuttavia il risultato sul foro risulterá corretto, poiché lo si é utilizzato nella definiziane dell'origine.

Allineamento precedente l'uso della casella di controllo

Allineamento precedente l'uso della casella di controllo


Opzioni di Impostazione: scheda Pezzo/CMM

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Opzioni impostazione - Scheda Pezzo/CMM

La scheda Pezzo/CMM consente di definire le impostazioni del pezzo sulla macchina CMM modificando la relazione tra gli assi CAD e gli assi macchina. Si accede a questa opzione facendo clic sulla scheda Pezzo/Macchina all'interno della finestra di dialogo Opzioni di Impostazione (Modifica | Preferenze | Impostazione).

Questa funzione risulta particolarmente utile quando viene creato un programma utilizzando PC-DMIS e il sistema di coordinate CAD è diverso rispetto all'impostazione del pezzo sulla macchina CMM.

Esempio: un pezzo è stato impostato sulla macchina con l'asse X+ CAD rivolto nella stessa direzione dell'asse Z+ della macchina CMM. L'asse Z+ CAD è rivolto nella stessa direzione dell'asse X- della macchina CMM. È possibile utilizzare questa funzione per creare le relazioni appropriate.

Per fare in modo che l'impostazione CAD corrisponda all'impostazione del pezzo, selezionare gli assi appropriati, negli elenchi a discesa. Dopo aver definito la relazione, risulterà più facile programmare il pezzo poiché PC-DMIS visualizzerà correttamente il tastatore rispetto al pezzo.

Vedere anche:

Orientamento Testata Tastatore

Modalità Fly

Delta di Avvertenza Polso

Stringa di comando ManHitRetract

Visualizza Velocità Assolute

Velocità massima (mm/sec)

Asse "X+" CAD =

Asse "Y+" CAD =

Asse "Z+" CAD =

Offset X

Offset Y

Offset Z

Pulsante Regola

Pulsante Applica

Pulsante Posizione Automatica

Quota Z Bancale

Pulsante Predefinito


Orientamento Testata Tastatore

Il pulsante Orientamento Testa Tastatore consente di configurare gli angoli AB del polso della testa del tastatore per i bracci Master e Slave.

Per configurare gli angoli AB del polso per i bracci master e slave, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri attraverso (Modifica | Preferenze | Parametri).

  2. Selezionare la scheda Pezzo/CMM.

  3. Fare clic sul pulsante Orientamento testata tastatore. Viene visualizzata la finestra di dialogo Configurazione Angolo Polso Testata Tastatore.

  4. Selezionare gli assi appropriati per gli angoli AB per i bracci master e slave, se applicabile.

  5. Fare clic sul pulsante OK.


Modalità Fly

Visualizza Mappa Percorsi dei Menu

La sezione Modalità Fly consente di muovere il tastatore attorno al pezzo in modo continuo e fluido. Prima di utilizzare questa opzione, occorre inserire un movimento puntuale nel part-program. Per inserire un Movimento puntuale, accertarsi che la finestra di modifica sia attivata, quindi selezionare Movimento puntuale dal menu principale. (Si veda "Inserimento di un comando di movimento puntuale" nella sezione"Inserimento di comandi di movimento" per ulteriori informazioni.) È possibile inserire il comando Fly solo prima o dopo un elemento qualsiasi nel part-program.

Per utilizzare la modalità Fly, effettuare le seguenti operazioni:

  1. Nella finestra di modifica posizionarsi nel punto in cui si desidera inserire il comando Fly.

  2. Selezionare la casella di controllo Aitiva [image] .

  3. Digitare il valore del raggio.

  4. Fare clic sul pulsante Crea.

  5. La modalità Fly viene inserita automaticamente nel part-program nella posizione indicata. La riga di comando della finestra di modifica per questa opzione è la seguente:

FLY/ALTER1,ALTER2

ALTER1
In questo campo si attivano alternamente le opzioni ON oppure OFF. L'opzione ON indica che il comando é attivo. L'opzione OFFindica che il comando verrá ignorato.

ALTER2
In questo campo è riportato il valore del raggio.

Se è stata selezionata una posizione non valida, viene visualizzato un messaggio in cui si informa che non è possibile effettuare l'inserimento alla riga corrente. Viene quindi richiesto se si desidera inserire il comando in corrispondenza della posizione valida successiva.

  • Se si sceglie il pulsante Sì, PC-DMIS sposterà il comando in corrispondenza della parte finale dell'elemento corrente nella finestra di modifica.

  • Se si sceglie No, il comando Fly verrà annullato e verrà nuovamente visualizzata la scheda Pezzo/Macchina.

Quando si esegue il part-program, PC-DMIS sposterà il tastatore ad una distanza predeterminata dal movimento puntuale. La distanza corrisponde al valore inserito nella casella Raggio.


Delta di Avvertenza Polso

Si tratta di un valore numerico che definisce la variazione minima di angolo del polso necessaria prima che PC-DMIS richieda di modificare la posizione corrente del polso. Solo per CMM di tipo DCC e con un polso articolato di tipo PH9.


Stringa di comando ManHitRetract

Visualizza Mappa Percorsi dei Menu

Questa opzione è disponibile solo con determinati tipi di macchina CMM DCC, ad esempio LK e Mitutoyo.

La casella Distanza di ritrazione manuale consente di inserire la distanza di ritrazione percorsa automaticamente dalla macchina CMM, dopo la rilevazione manuale di un punto.

Se si specifica per Distanza di ritrazione manuale un valore diverso da quello predefinito o dall'ultimo valore utilizzato, PC-DMIS inserisce un comando di ritrazione (indicato da "RITRAZIONE_MAN/" seguito dal valore) nella finestra di modifica del part-program corrente in corrispondenza della posizione del cursore. Una volta effettuata la presa manuale dei punti, la macchina CMM arretrerà di una distanza pari al nuovo valore impostato per il comando.

Se, ad esempio, si modifica il valore della distanza di ritrazione manuale specificando 0,003 invece del valore predefinito 0,1, nella finestra di modifica verrà visualizzato il comando "RITRAZIONE_MAN/0,003".


Visualizza Velocità Assolute

Se la casella di controllo Visualizza velocità assolute è selezionata, PC-DMIS visualizzerà la Velocità di Movimento come valore assoluto e non come percentuale. Questo valore corrisponde al tipo di unità di misura impostato nel part-program (pollici o millimetri).


Velocità massima (mm/sec)

La casella Vel. max. (mm/sec) permette di ripristinare la velocitá massima della macchina. Il valore specificato non puó superare il valore massimo certificato della macchina. Il valore impostato interagisce con l'opzione Velocità di Movimento.


Asse "X+" CAD =

L'elenco a discesa Asse "X+" CAD = equivalente ad asse macchina consente di impostare la relazione tra l'asse CAD X+ e l'asse della macchina.

Questa funzione risulta particolarmente utile quando viene creato un programma utilizzando PC-DMIS e il sistema di coordinate CAD è diverso rispetto all'impostazione del pezzo sulla macchina CMM.


Asse "Y+" CAD =

L'elenco a discesa Asse "Y+" CAD = consente di impostare la relazione tra l'asse CAD Y+ e l'asse della macchina.

Questa funzione risulta particolarmente utile quando viene creato un programma utilizzando PC-DMIS e il sistema di coordinate CAD è diverso rispetto all'impostazione del pezzo sulla macchina CMM.


Asse "Z+" CAD =

Questa casella di riepilogo a discesa consente di impostare la relazione tra l'asse CAD Z+ e l'asse della macchina.

Questa funzione risulta particolarmente utile quando viene creato un programma utilizzando PC-DMIS e il sistema di coordinate CAD è diverso rispetto all'impostazione del pezzo sulla macchina CMM.


Offset X

La casella Offset X consente di specificare la distanza relativa all'offset del disegno CAD lungo l'asse X. Il disegno CAD verrà spostato lungo l'asse X alla distanza specificata. Ad esempio, se in questo campo si inserisce 0,5, l'intero disegno CAD visualizzato nella finestra di visualizzazione grafica verrà spostato ad una distanza pari a 0,5 nella direzione X.

Nota: gli elementi creati nel part-program non non verranno spostati lungo l'asse, insieme al disegno CAD.


Offset Y

La casella Offset Y consente di specificare la distanza relativa all'offset del disegno CAD lungo l'asse Y. Il disegno CAD verrà spostato lungo l'asse Y alla distanza specificata. Ad esempio, se in questo campo si inserisce 0,5, l'intero disegno CAD visualizzato nella finestra di visualizzazione grafica verrà spostato ad una distanza pari a 0,5 nella direzione Y.

Nota: gli elementi creati nel part-program non non verranno spostati lungo l'asse, insieme al disegno CAD.


Offset Z

La casella Offset Z consente di specificare la distanza relativa all'offset del disegno CAD lungo l'asse Z. Il disegno CAD verrà spostato lungo l'asse Z alla distanza specificata. Ad esempio, se in questo campo si inserisce 0,5, l'intero disegno CAD visualizzato nella finestra di visualizzazione grafica verrà spostato ad una distanza pari a 0,5 nella direzione Z.

Nota: gli elementi creati nel part-program non non verranno spostati lungo l'asse, insieme al disegno CAD.


Pulsante Regola

Il pulsante Regola consente di aprire la finestra di dialogo Regola Impostazione Pezzo.

Finestra di dialogo Regola Impostazione Pezzo

È possibile utilizzare questa finestra di dialogo per ruotare o muovere i dati CAD a incrementi, intorno e lungo gli assi XYZ della macchina.

  • Quando si esegue la rotazione dei dati CAD, i valori vengono espressi in gradi angoli. Un valore di 360 gradi produce lo stesso effetto di un valore pari a 0.

  • Quando si esegue lo spostamento dei dati CAD, i valori vengono espressi nell'unità di misura del part-program, ad esempio, un valore pari a due può significare due pollici o due millimetri, a seconda dell'unità di misura del part-program in uso.

Per regolare i dati CAD intorno o lungo gli assi:

  1. Fare clic sulla casella appropriata.

  2. Inserire il nuovo valore. PC-DMIS visualizza dinamicamente la regolazione nella finestra di visualizzazione grafica.

  3. Fare clic su OK per accettare le modifiche e chiudere la finestra di dialogo.

PC-DMIS mantiene questa regolazione finché il modello CAD del pezzo non viene re-importato.


Pulsante Applica

Il pulsante Applica consente di applicare le modifiche apportate nei campi Offset X, Offset Y od Offset Z e di spostare il disegno lungo l'asse o gli assi appropriati, senza chiudere la finestra di dialogo.


Pulsante Posizione Automatica

Il pulsante Posizione Automatica consente di posizionare automaticamente il pezzo sulla rappresentazione grafica della macchina. nel punto più appropriato. È possibile utilizzare questa funzione per fare in modo che la posizione del pezzo sulla macchina CMM venga determinata automaticamente da PC-DMIS oppure specificare la posizione desiderata nei campi Offset X, Offset Y e Offset Z. (Si veda "Definizione Macchine" nella sezione "Definizione Hardware" per ulteriori informazioni).


Quota Z Bancale

La sezione Quota Z Bancale della scheda Pezzo/CMM consente a PC-DMIS di determinare se il tastatore entra in contatto con la tavola o con il piano impostato, quando è attiva la modalità DCC.

Se si seleziona il pulsante Misura, viene richiesto di prendere un punto nella posizione in cui deve essere definita la superficie della tavola. Questa posizione definisce la soglia per l'asse Z. Il campo Tolleranza indica una posizione nella direzione Z+ per i valori positivi e nella direzione Z- per i valori negativi rispetto al piano impostato.

  • Se si superano i valori di tolleranza indicati, viene visualizzato un messaggio di errore indicante le possibili conseguenze.

  • Se si tenta di eseguire una rotazione del polso passante per l'area definita, viene visualizzato un messaggio di errore.

Selezionare Annulla per interrompere l'operazione o Continua per completare l'operazione.

Esempio: un campo di tolleranza di 0,25 indica che PC-DMIS non dovrà oltrepassare la soglia specificata, aumentata del valore di tolleranza. Se la soglia si trova sulla superficie della tavola, verrà visualizzato un messaggio di avvertenza se la punta del tastatore si avvicina a meno di 0,25 pollici (o millimetri in base al tipo di unità impostato) dalla tavola.

Nota: l'opzione Quota Z Bancale è disponibile in alcuni tipi di interfaccia e solo quando è attiva la modalità DCC.


Pulsante Predefinito

Il pulsante Predefinito consente di aggiornare le impostazioni predefinite in base ai vari Parametri di Impostazione Pezzo/CMM. Il nuovo part program creato rifletterá le modifiche apportate ai parametri disponibili solo se si aziona il pulsante Predefinito. Se si fa clic sul pulsante OK senza che il pulsante Predefinitosia premuto, i parametri definiti vengono applicati soltanto al part-program attivo e non influiscono sulle voci del registro di configurazione. I valori predefiniti vengono memorizzati nel registry. È possibile aggiornare questi parametri nella finestra di dialogo appropriata, oppure utilizzare l'Editor Impostazioni di PC-DMIS. Si veda la sezione "Modifica Voci del Registro di Configurazione".

Se si seleziona il pulsante Predefinito dopo aver modificato un parametro, PC-DMIS aggiorna il file di registro, ridefinendone i valori in base alle impostazioni correnti.


Opzioni di Impostazione: scheda Dimensione

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Opzioni di impostazione - Scheda Dimensione

La scheda Dimensione consente di accedere ai parametri di stampa delle dimensioni.

Per accedere alla scheda Dimensione, operare come segue:

  1. Si accede alla finestra Impostazione Parametri attraverso (Modifica | Preferenze | Impostazione).

  2. Fare clic sulla scheda Dimensione.

Vedere anche:

Imposta Dimensione Automatica

Salva sempre Statistiche su File

Aggiorna sempre il Database

Elementi con Colori Dimensioni

Tol Meno Visualizzate come Negative

Numero di Posizioni Decimali

Rapporto Positivo

Tolleranze Predefinite: Imposta Predefiniti

Tolleranze Predefinite: Posizioni 0-5

Posizioni nominali CAD =

Visualizza Gradi Angoli

Gradi Angoli

Pulsante Predefinito per la Scheda Dimensione

Help buttonDefault buttonCancel buttonOK buttonAngle Degrees areaDisplay Angle Degrees areaPositive Reporting areaSet Defaults check box0 to 5 PlacesNumber of Decimal Places optionsCAD Nominal Places boxMinus Tols Show Negative check boxFeatures Use Dimension ColorsAlways Save Stats to Fire check boxNC-100 SetupID SetupPart MachineSetup Options GeneralAlways Update Database check box


Imposta Dimensione Automatica

Il pulsante Imposta Dimensione Automatica consente di aprire la finestra di dialogo Dimensione Automatica.

Finestra di dialogo Dimensione Automatica

Finestra di dialogo Dimensione Automatica

Questa finestra di dialogo fornisce molti modi per definire se PC-DMIS valuta la dimensione degli elementi immediatamente dopo la loro creazione, ed inoltre come tali dimensioni debbano essere create.

Per abilitare la creazione automatica della dimensione, selezionare Dimensioni Forma Automatica e/o Dimensioni Loc./ Pos. Automatica . Dopo aver fatto clic su OKPC-DMIS inizierá a creare automaticamente il tipo selezionato di dimensione, quando si crea l'elemento.

Si vedano le opzioni disponibili nella tabella seguente:

Opzioni della Finestra di Dialogo

Descrizione

Dimensioni Forma Automatica

Questa casella di controllo definisce se PC-DMIS crea automaticamente dimensioni di forma per quei tipi di elemento che ne sono dotati.

Elemento | Dimensione Forma associata
Cerchio | Rotondità
Cilindro | Rotondità
Cono | Rotondità
Sfera | Rotondità
Piano | Planarità
Linea | Rettilineità

Dimensioni Loc./ Pos. Automatica

Questa casella di controllo definisce se PC-DMIS crea automaticamente dimensioni Loc./ Pos., per quei tipi di elemento che ne sono dotati.

Crea Dimensione Posizione

Selezionando l'opzione Loc./ Pos. Automatica , PC-DMIS crea tali dimensioni come Loc./Pos..

Crea Dimensioni True Position

Selezionando l'opzione Loc./ Pos. Automatica , PC-DMIS crea tali dimensioni come Loc./Pos..

Analisi Testuale Automatica

La casella controlla se PC-DMIS eseguirà automaticamente l'analisi testuale della dimensione. Per attivare questa opzione, è necessario selezionare la relativa casella di controllo. Si veda "Impostazione Analisi" in "Dimensionamento Elementi" e "Analisi" in "Inserimento di Comandi Rapporto" .

Analisi Grafica Automatica

La casella di controllo Analisi grafica automatica consente di controllare se PC-DMIS eseguirà automaticamente l'analisi grafica delle dimensioni create con Creazione Automatica dimensioni o Rotondità Automatica. Si veda "Impostazione Analisi" in "Dimensionamento Elementi" e "Analisi" in "Inserimento di Comandi Rapporto" .

Informazioni dimensione automatica

La casella di controllo Informazioni Dimensione automatica consente di controllare se PC-DMIS creerà automaticamente una casella di controllo con le informazioni della dimensione per tutte le dimensioni create con la casella di controllo Creazione automatica Dimensioni o Rotondità Automatica. Per informazioni sulle modalità di impostazione dei formati predefiniti per le caselle Informazioni dimensione, vedere "Inserimento di caselle relative alle informazioni sulla dimensione" nella sezione “Inserimento di comandi rapporto”.

Moltiplica

Il valore Moltiplica è un fattore di scala che ingrandisce la freccia e l'area di tolleranza per la modalità di analisi grafica. Se si inserisce un valore pari a 2, PC-DMIS ingrandirà l'immagine grafica della freccia di due volte.

La casella Moltiplica viene utilizzata solo per la visualizzazione e non appare sulla stampa.

Nota: PC-DMIS crea dimensioni di tipi diverse, cioé le dimensioni legacy o leFeature Control Frame , in base alla spunta a fianco dell'opzione di menu Usa Dimensioni Legacy del menu secondario Inserisci | Dimensione.


Salva sempre Statistiche su File

La casella di controllo Salva sempre Statistiche su file consente di ignorare il messaggio relativo al salvataggio dei dati statistici, visualizzato ogni volta che l'esecuzione di un part-program viene avviata utilizzando un comando STAT/ON valido. I dati statistici verranno automaticamente salvati nel file XSTATS11.tmp se questa opzione è selezionata e il comando STAT/ON è presente nel part-program al momento dell'esecuzione. Per ulteriori informazioni vedere la sezione "Registrazione dei dati statistici".


Aggiorna sempre il Database

La casella di controllo Aggiorna SEMPRE il database consente a PC-DMIS di aggiornare il software del database delle statistiche con le informazioni presenti nel file XSTATS11.tmp senza che venga visualizzata una richiesta di conferma dell'operazione ogni volta che il part-program viene eseguito e i dati statistici vengono raccolti e salvati. Se questa opzione non è selezionata, PC-DMIS continuerà a visualizzare la richiesta di conferma prima di aggiornare il database. Per ulteriori informazioni vedere la sezione "Registrazione dei dati statistici".


Elementi con Colori Dimensioni

La casella di controllo Elementi con colori dimensioni consente a PC-DMIS di colorare elementi che dispongono di una dimensione associata. Gli elementi vengono disegnati nella finestra di visualizzazione grafica con gli stessi colori utilizzati dalla dimensione, per indicare la deviazione dai valori teorici.


Tol Meno Visualizzate come Negative

La casella di controllo Tol meno visualizzate come negative consente di controllare se le tolleranze negative delle dimensioni verranno visualizzate con segno meno. Ad esempio, se la dimensione viene specificata come 5,0000 +0,3 (tolleranza superiore, -0,2 (tolleranza inferiore), è possibile che la linea di dimensione venga visualizzata nel modo seguente quando questa casella di controllo è selezionata:

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
Y | 5.0000 | 0.3000 | -0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Se la casella di controllo è deselezionata, lo stesso esempio viene visualizzato come segue:

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
Y | 5.0000 | 0.3000 | 0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Questa casella di controllo non influisce sulla modalità di memorizzazione dei valori o di utilizzo nei calcoli. Controlla infatti solo la visualizzazione dei valori in base alle preferenze dell'utente. In base alle impostazioni predefinite, questa casella di controllo non è selezionata.

Importante:Se questa casella di controllo é disabilitata, si puó comunque avere una tolleranza preceduta dal segno meno. Solitamente I limiti inferiore e superiore sono opposti rispetto al valore nominale e se questa casella é disabilitata, vengono visualizzati come valori positivi. Tuttavia, se I limiti inferiore e superiore sono entrambi maggiori del valore nominale—per esempio, sono +TOL 0.03 e –TOL –0.02 prima di usare la casella di controllo—allora il valore negativo di toll. mostra valore positivo selezionando la casella.


Numero di Posizioni Decimali

Visualizza Mappa Percorsi dei Menu

La sezione Numero di posizioni decimali consente di controllare il numero di posizioni decimali stampate da PC-DMIS sul rapporto di ispezione quando è attiva la modalità Pollici. Le opzioni disponibili consentono di indicare da zero a cinque posizioni decimali. Selezionare l'opzione desiderata per determinare il numero di posizioni decimali che verranno stampate.

Se il tipo di unità è mm, verranno visualizzate come opzioni disponibili da zero a quattro posizioni decimali.

Ogni volta che si modifica questo valore in un programma, PC-DMIS inserisce automaticamente il comando PRECIS_VISUALIZZ/ # nel part-program. Questo comando indica la precisione da visualizzare in questa sezione del programma. Se non si utilizza questo comando, viene utilizzato automaticamente il valore predefinito. Se si utilizza questo comando, la precisione rimane quella specificata se non viene modificata da un'altra istanza del comando.


Rapporto Positivo

Visualizza Mappa Percorsi dei Menu

Le caselle di controllo correlate alla sezione Rapporto Positivo controllano che il rapporto di elementi dalla parte negativa dell'origine, che presentano normalmente valori negativi, vanga sempre stampato con valori positivi.

  • Le caselle di controllo X, Y e Z consentono di determinare l'asse o gli assi i cui valori verranno visualizzati con numeri positivi.

  • Se si seleziona l'opzione Tutti i dati, i valori misurati e nominali dell'asse o degli assi selezionati verranno visualizzati con numeri positivi.

  • Se si seleziona l'opzione Solo deviazioni, soltanto le deviazioni dell'asse o degli assi selezionati verranno visualizzate con numeri positivi.

Quando queste caselle di controllo sono selezionate, nel part-program viene inserito un comando RAPPORTO_POSITIVO in corrispondenza della posizione corrente del cursore. Il comando è caratterizzato dal seguente formato nella finestra di modifica:

rapporto_POSITIVO/ a, b, c, ALTER1

Dove:

a = X quando la casella di controllo X è selezionata, o vuoto se la casella di controllo è deselezionata.

b = Y quando la casella di controllo Y è selezionata, o vuoto se la casella di controllo è deselezionata.

c = Z quando la casella di controllo Z è selezionata, o vuoto se la casella di controllo è deselezionata.

ALTER1 = TUTTI_DATI oSOLODEV, a seconda dell'opzione selezionata (Tutti i dati oppure Solo deviazioni).

In qualsiasi combinazione delle direzioni X, Y e Z il rapporto positivo può essere attivato in ciascuna direzione. Si possono usare più comandi RAPPORTO POSITIVOnello stesso part-program. In tal caso tutte le dimensioni del part-program verranno visualizzate, utilizzando il comando RAPPORTO POSITIVO che le precede. Se nel part-program non esiste alcun comando RAPPORTO POSITIVO, le opzioni di tutte le dimensioni risulteranno disattivate nelle direzioni X, Y e Z.

Il diagramma riportato di seguito mostra l'incidenza delle opzioni di rapporto positivo sulle tolleranze:

Incidenza del comando rapporto_POSITIVO sulle tolleranze

Uso del comando rapporto_POSITIVO

Il comando rapporto_POSITIVO consente di ordinare gli elementi presenti in un rapporto in maniera simmetrica, in modo che da ottenere i seguenti risultati (indipendentemente dal lato su cui si trovano gli elementi rispetto all'origine):

  • le tolleranze distanti dall'origine sono considerate positive.

  • le tolleranze vicine all'origine sono considerate negative.

Nel diagramma precedente, le deviazioni di entrambi i punti 1 e 2 risultano positive quando si applica il rapporto positivo all'asse X. Tuttavia, ciò implica quanto segue:

  • le tolleranze positive vengono applicate distanti dall'origine

  • le tolleranze negative vengono applicatevicino all'origine.


Tolleranze Predefinite: Imposta Predefiniti

La casella di controllo Imposta valori predefiniti consente di impostare le tolleranze predefinite in modalità Apprendimento, in base alla precisione dei valori nominali. È possibile sostituire questi valori inserendo le singole tolleranze nella casella Anteprima di stampa, se necessario. Questa opzione incide sulle tolleranze solo quando viene modificato il valore nominale di una dimensione.


Tolleranze Predefinite: Posizioni 0-5

La sezione Tolleranze Predefinite contiene sezioni che consentono di impostare le tolleranze applicate da PC-DMIS ai valori nominali. Il valore visualizzato indica il numero di posizioni decimali (da 0 a 5) dopo il separatore. Ad esempio, se si inserisce un valore nominale pari a 6,250, verrà impostata la tolleranza positiva e negativa in base al valore di TOLLERANZA PREDEFINITO di tre posizioni. Se si inserisce 6,25, verrà impostata la tolleranza positiva e negativa in base al valore di TOLLERANZA PREDEFINITO pari a due posizioni.


Posizioni nominali CAD =

Nella casella Posizioni nominale CAD = è possibile inserire un valore numerico che definisce il numero di posizioni decimali utilizzate da PC-DMIS prima di eseguire l'arrotondamento quando si utilizzano i dati CAD. Ad esempio, se un cerchio CAD ha un diametro di 3,9995 e il valore viene impostato su 3, PC-DMIS arrotonderà questo valore a 4,000. Questa opzione incide sulla modalità di interpretazione dei dati CAD da parte di PC-DMIS solo in modalità MISURAZIONE ELEMENTI AUTOMATICI. Secondo il valore viene impostato su 0, PC-DMIS non eseguirà l'arrotondamento dei valori.


Visualizza Gradi Angoli

La sezione Visualizza gradi angoli consente di visualizzare dimensioni di angoli, utilizzando gradi decimali o come gradi/minuti/secondi. È sufficiente selezionare l'opzione desiderata. Gli assi di posizione AP e le dimensioni dell'Angolo verranno modificati in base all'opzione selezionata.


Gradi Angoli

Il campo Gradi angoli permette altresí di visualizzare gli angoli, esprimendoli da 0° a 360° oppure da 0° a +/- 180°. La Posizione assi PA (Polar Angle) e le dimensioni dell'Angolo verranno modificati in modo che siano compresi nell'intervallo di gradi angoli selezionato.


Pulsante Predefinito per la Scheda Dimensione

Il pulsante Predefinito consente di applicare le modifiche apportate nella finestra di dialogo Opzioni impostazioni a tutti i nuovi part-program creati successivamente.

Inoltre, consente di aggiornare le impostazioni Predefinite in base ai vari parametri per l'impostazione della dimensione. Le modifiche apportate ai parametri disponibili verranno applicate al nuovo part-program creato solo se si seleziona il pulsante Predefinito.

Per ulteriori informazioni sui pulsanti Predefinito, vedere l'argomento "Predefinito" nella sezione "Come navigare all'interno dell'Interfaccia utente (User Interface)" .


Opzioni di Impostazione: scheda Impostazione ID

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Opzioni di impostazione - Scheda Impostazione ID

Durante la modifica di un identificativo, è importante tenere traccia degli ID impostati. Se si apportano numerose modifiche, è possibile che alcuni ID risultino duplicati.

La scheda Impostazione ID consente di modificare il formato utilizzato per identificare allineamenti, dimensioni, elementi, commenti, etichette e variabili.

Per accedere a questa opzione, effettuare le seguenti operazioni:

1. Si accede alla finestra Opzioni di Impostazione attraverso (Modifica | Preferenze | Impostazione).

2. Selezionare la scheda Impostazione ID .

L'opzione predefinita per Impostazione ID è Generico. PC-DMIS assegna a ciascun elemento creato un ID, che inizia con la lettera F seguita da un numero incrementato in modo progressivo a partire da 1. È possibile sostituire questa impostazione selezionando le opzioni riportate di seguito.

Vedere anche:

Etichette per

Metodo Etichettatura

Lettere iniziali

Numero iniziale

Lunghezza etichetta

Visualizza Parentesi per Array di Elementi

Applica

Impostazioni predefinite

Apply button Display Brackets for Feature Arrays check boxLabel Length check boxStarting Number boxStarting Letters boxLabeling Method listHelp buttonDefault buttonCancel buttonOK buttonLabels ForNC-100 SetupGeneralPart MachineDimension


Etichette per

La casella di riepilogo a discesa Etichette per consente di selezionare l'ID che verrà utilizzato per gli allineamenti, le dimensioni e gli elementi. Vedere Metodo etichettatura.

ID allineamenti

L'unico metodo disponibile per l'identificazione degli allineamenti è il metodo Generico.

ID commenti

L'unico metodo disponibile per l'identificazione dei commenti è il metodo Generico.

ID dimensioni

È possibile identificare le dimensioni utilizzando il metodo Generico o Per tipo. Se si utilizza il metodo Per tipo, è possibile definire ID simili per ciascun tipo di dimensione oppure diversi in base alle proprie esigenze.

ID elementi

È possibile identificare le dimensioni utilizzando il metodo Generico o Per tipo.

Se si seleziona il metodo Per tipo, è possibile modificare il colore utilizzato per visualizzare l'ID dell'elemento.

Se è selezionata la casella di controllo Mostra tutti gli ID e si fa clic su Applica, PC-DMIS visualizza tutte le etichette ID degli elementi nella finestra di visualizzazione grafica, a partire dalla posizione corrente del cursore, fino alla fine del part-program. Gli elementi nuovi verranno visualizzati con i relativi ID. Se la casella di controllo viene invece deselezionata e si fa clic su Applica, vengono nascosti tutti gli ID degli elementi a partire dalla posizione corrente del cursore fino alla fine del part-program. I nuovi elementi vengono creati nella finestra di modifica, ma l'etichetta dell'ID non viene visualizzata nella finestra di visualizzazione grafica.

Se l'opzione Colore è selezionata, la modifica verrà applicata a tutti gli elementi creati dopo aver selezionato il pulsante Applica. La modifica non verrà applicata agli elementi creati prima della modifica del colore.

ID etichette

L'unico metodo disponibile per l'identificazione delle etichette è il metodo Generico.

ID variabili

L'unico metodo disponibile per l'identificazione delle variabili è il metodo Generico.

ID richiamo subroutine

L'unico metodo disponibile per l'identificazione di Subroutine Chiamate è il metodo Generico.


Metodo Etichettatura

Questa casella di riepilogo a discesa consente di selezionare i metodi di identificazione Per tipo e Generico.

Per tipo

Il metodo Per tipo consente di impostare l'ID per ciascun tipo di elemento (cerchio, cono, cilindro, linea, piano, punto e sfera).

Generico

Il metodo Generico applicherà lo stesso ID di sistema, indipendentemente dal tipo di elemento (dimensione).

In PC-DMIS è possibile utilizzare un numero illimitato di caratteri per gli ID. Tuttavia, esistono delle limitazioni per la lunghezza degli ID nella finestra di visualizzazione grafica e nella finestra di modifica. PC-DMIS tiene traccia internamente dell'ID completo anche se tale ID viene visualizzato parzialmente nella finestra di modifica.


Lettere iniziali

La casella Lettere iniziali consente di determinare le prime lettere che verranno utilizzate nel processo di identificazione. PC-DMIS visualizzerà sempre l'ID in maiuscolo. È possibile specificare un massimo di 15 caratteri.

Nota: in molte finestre di dialogo, se si modifica il testo dell'ID, è possibile impostarlo anche come testo predefinito.


Numero iniziale

La casella Numero iniziale consente di determinare il primo numero che verrà utilizzato nel processo di identificazione. È possibile inserire un numero compreso tra 1 e 9999.

Nota:in molte finestre di dialogo, se si modifica la parte numerica dell'ID, è possibile ripristinare il contatore sul numero desiderato.


Lunghezza etichetta

La casella Lunghezza etichetta consente di determinare la lunghezza dell'ID. È possibile inserire un massimo di 15 caratteri. Per attivare questa opzione, è necessario selezionare la relativa casella di controllo. Se si imposta una lunghezza, PC-DMIS aggiungerà degli zeri alla stringa di testo dell'ID in modo da raggiungere la lunghezza necessaria.

Ad esempio:
Lunghezza ID = 10, testo ID = CERCHIO
. Verrà generato l'ID = CERCHIO001 e così via. Questa operazione può essere eseguita solo se si imposta una lunghezza.


Visualizza Parentesi per Array di Elementi

La casella di controllo Visualizza Parentesi per Array di Elementi determina se le parentesi degli array sono visualizzati con gli ID per i comandi eseguiti più di una volta.

Se la casella di controllo è selezionata, il rapporto di ispezione visualizza l'istanza dell'esecuzione del comando cui viene fatto riferimento.

Ad esempio:
F1[3]=PUNTO MISURATO DA 1 PUNTO

Significa che l'elemento F1 viene misurato per la terza volta, come indicato dal numero 3 in parentesi.

È possibile controllare il formato dell'espressione tra parentesi, utilizzando l'oggetto indici_array. Vedere "Oggetto Indici Array"nella sezione"Uso di Espressioni e Variabili" .


Applica

Il pulsante Applica consente di applicare le modifiche descritte in "Metodo Etichettature"a qualunque elemento identificato. Queste modifiche vengono applicate solo agli ID degli elementi.

Se il pulsante Applica non è premuto, PC-DMIS continuerà ad assegnare ID agli elementi, con il metodo precedentemente impostato.

Nota: se si duplicano gli ID, verrà visualizzato un messaggio per indicare che è necessario utilizzare un ID univoco per elementi, dimensioni e così via.


Impostazioni predefinite

Il pulsante Predefinite consente di aggiornare le impostazioni predefinite di tutti i parametri di Impostazioni ID. Quando si crea un nuovo part program, esso riflette le modifiche apportate ai parametri se e solo se il pulsante Predefinito viene premuto.

Per ulteriori informazioni sui pulsanti Predefinito, vedere l'argomento "Predefinito" nella sezione "Come navigare all'interno dell'Interfaccia utente (User Interface)" .

Nota: Dopo aver apportato una modifica azionare sempre il pulsante Applica, prima di fare clic sui pulsanti OK o Predefinito ).


Opzioni di Impostazione: scheda Impostazione NC-100

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Opzioni di impostazione - Scheda NC-100

La scheda NC-100 (Edit | Preferences | Setup) consente di utilizzare un tastatore video NC-100. Selezionando la casella di controllo Usa tastatore video NC-100 vengono abilitate le caselle Indirizzo TCPIP, Numero Porta, e Nome Computer . Queste caselle consentono di impostare le modalità di comunicazione con il sistema del computer NC-100. I relativi valori vengono memorizzati nel file di registro del sistema e vengono richiamati ogni volta che si avvia PC-DMIS. Vedere la sezione "Modifica delle voci del registro di sistema".

Per informazioni sull'uso del tastatore video NC-100 per la creazione di elementi automatici, si rimanda alla sezione "Misurazione degli elementi automatici con il tastatore video NC-100".

Nota: La scheda NC-100 è disponibile in PC-DMIS soltanto se il portlock è programmato con la funzionalità CMT.

Vedere anche:

Usa tastatore video NC-100

Indirizzo TCPIP

Numero Porta

Nome Computer

Computer Name box Port Number boxTCP/IP AddressHelp buttonDefault buttonCancel buttonOK buttonUse NC100 Video Probe check boxID SetupGeneralPart MachineDimension


Usa tastatore video NC-100

La casella di controllo Usa tastatore video NC-100 consente di determinare se PC-DMIS utilizza il tastatore video NC-100. Quando questa casella di controllo è selezionata, il tastatore NC-100 è attivo.


Indirizzo TCPIP

È possibile inserire le informazioni relative all'indirizzo del sistema in uso sul computer NC-100 nella casella Indirizzo TCPIP. Questo valore è obbligatorio per la comunicazione tra il sistema del computer PC-DMIS e quello del computer NC-100.


Numero Porta

È possibile inserire il numero di porta del sistema in uso sul computer NC-100 nella casella Numero porta. Questo valore è obbligatorio per la comunicazione tra il sistema del computer PC-DMIS e quello del computer NC-100.


Nome Computer

È possibile inserire il nome del sistema in uso sul computer NC-100 nella casella Nome computer. Questo valore è obbligatorio per la comunicazione tra il sistema del computer PC-DMIS e quello del computer NC-100.


Modifica Parametri di Moviment e dei Rapporti

Visualizza Mappa Percorsi dei Menu

L'opzione di menuModifica | Preferenze | Parametri consente di modificare il contenuto, il formato e il metodo di calcolo utilizzati nei rapporti. Inoltre, consente la modifica dei parametri di movimento di una macchina CMM DCC. Questa opzione di menu fa accedere alla finestra di dialogo Impostazione Parametri .

Inoltre, accedendo alla finestra di dialogo Impostazione Parametri, è possibile inserire i comandi direttamente nel part-program selezionandoli dal menu secondario Inserisci | Cambio Parametri.

Le schede seguenti sono disponibili nella finestra di dialogo Impostazione Parametri.

  • Impostazioni Parametri: scheda Dimensione

  • Impostazioni Parametri: scheda Piano di Sicurezza

  • Impostazioni Parametri: scheda Tastatore

  • Impostazioni Parametri: scheda Movimento

  • Impostazioni Parametri: scheda Tavola rotante

  • Impostazioni Parametri: scheda accelerazione

  • Impostazioni Parametri: scheda Impostazioni Tastatore

  • Impostazioni Parametri: scheda Opzioni Scatto Tastatore

  • Impostazioni Parametri: scheda Parametri NC-100

  • Impostazioni Parametri: scheda Canali I/O


Impostazione Parametri: scheda Dimensione

Scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Dimensione

Visualizza Mappa Percorsi dei Menu

La scheda Dimensione consente di modificare il formato di output della dimensione ed il rapporto stampato.

Per accedere alla scheda Dimensione, operare come segue:

  1. Accedere alla finestra di dialogo Impostazioni del parametro .

  2. Fare clic sulla scheda Dimensione.

Vedere anche:

D imensione - Formato di Output

Testo Dimensione

Opzioni Dimensione

Intestazioni Dimensione

Simboli per Deviazione

Deviazione Standard

Stampa a 132 colonne

Clear button Recall buttonDefault buttonHelp buttonApply buttonRoTableDimension Text check boxMotionProbingAccelerationClearPlaneOpt. ProbeProbe Trigger OptionsNC-100 ParametersI/O ChannelsCancel buttonOK buttonDmension Options check boxDimension Headings check boxDeviation Symbols check boxStandard Deviation check box132 Column PrintoutDefault Output Format area


Formato Output Dimensione

Questa opzione consente di controllare il formato di output della dimensione utilizzato da PC-DMIS. Per modificare il formato, fare clic sulle caselle di controllo Formato desiderate.

Formati disponibili: | Descrizione
nominale | Visualizza il valore nominale per tutte le dimensioni.
tolleranza | Visualizza i valori di tolleranza per tutte le dimensioni.
Misurato | Visualizza il valore misurato per tutte le dimensioni.
MaxMin | Visualizza i valori minimo e massimo per tutte le dimensioni.
deviazione | Visualizza il valore della deviazione per tutte le dimensioni.
Fuori tolleranza | Visualizza il valore fuori tolleranza per tutte le dimensioni.
Angolo deviazione | Visualizza l'angolo di deviazione in tutte le dimensioni Posizione reale.

Quando si passa dalla finestra di tolleranza alla posizione reale e viceversa, è necessario verificare che il formato sia corretto.

PC-DMIS offre gli stessi formati di stampa per la finestra di tolleranza e la tolleranza di posizionamento reale, anche se le colonne appariranno leggermente diverse a causa delle colonne aggiuntive per le dimensioni delle posizioni reali.

Esempio: quando si definisce la tolleranza per la distanza tra due linee e la casella di controllo Max/Min é selezionata, PC-DMIS calcola la distanza tra i due punti più lontani o tra quelli più vicini tra loro e sceglierà la coppia di punti il cui valore risulta maggiormente distante rispetto alla tolleranza (ipotesi peggiore). Se la casella Max/Min non è selezionata, PC-DMIS calcolerà la dimensione senza visualizzare il valore minimo o massimo.

A sinistra della casella di controllo viene visualizzato un numero che indica l'ordine di selezione del formato di output. È possibile modificare tale ordine in base alle proprie esigenze. Per annullare la selezione di una casella di controllo, fare di nuovo clic su di essa.

La riga di comando della finestra di modifica per questa opzione è la seguente:

FORMATo/TESTO,OPZIONI,INTESTAZIONI,SIMBOLI, SD, "OUTPUT DIMENSIONE"

OUTPUT DIMENSIONE = Il formato di output dipende dall'ordine di selezione. L'output predefinito visualizzerà l'intera selezione nell'ordine indicato.


Testo Dimensione

La casella di controllo Testo dimensione consente di controllare se nella finestra di modifica verrà visualizzato il testo della dimensione, per tutte le dimensioni che seguono il comando.

La riga di comando della finestra di modifica per questa opzione è la seguente:

FORMATO/TESTO, , , , ;NOM,TOLL,MIS,MAXMIN,DEV,FUORI_TOLL,ANG_DEV

Per la descrizione delle opzioni disponibili per questo comando, vedere la sezione "Formato output dimensione".


Opzioni Dimensione

La casella di controllo Opzioni dimensione consente di controllare se nella finestra di Modifica verranno visualizzate le opzioni di dimensione per tutte le dimensioni che seguono il comando.

Tali opzioni comprendono:

· Unitá (vedere "Unitá" nella sezione "Dimensionamento Elementi" )

· Analisi Grafica (vedere "Impostazioni Analisi" nella sezione "Dimensionamento Elementi" )

· Analisi Grafica (vedere "Impostazioni Analisi" nella sezione "Dimensionamento Elementi" )

· Analisi Grafica (vedere "Impostazioni Analisi" nella sezione "Dimensionamento Elementi" )

· Analisi Grafica (vedere "Impostazioni Analisi" nella sezione "Dimensionamento Elementi" )

La riga di comando della finestra di Modifica per questa casella di controllo è la seguente:

FORMATO/OPZIONI, , , , ;NOM,TOLL,MIS,MAXMIN,DEV,FUORI_TOLL


Intestazioni Dimensione

La casella di controllo Intestazioni Dimensione consente di controllare le intestazioni di colonna sul rapporto ispezione. Se la casella non è selezionata, PC-DMIS non stampa le intestazioni di colonna.


Simboli per Deviazione

La casella Simboli deviazione indica la deviazione nell'intervallo impostato. Se il valore è superiore all'intervallo di tolleranza, PC-DMIS indicherà la deviazione inserendo il simbolo di maggiore (>) a destra della linea. Se il valore è inferiore all'intervallo di tolleranza, verrà utilizzato il simbolo di minore (<) per indicare la deviazione.

Ad esempio:
Nominale = 0.00
Misurato = 0.02
Tolleranza positiva = 0.10
Tolleranza negativa = 0.20
Intervallo totale tolleranza = (.10 - (-.20)) = .30
Percentuale = 100*(.02 - (-.20))/.3 = 73.3 %
- - - - - - # - - verifica il valore percentuale (%) ed esegue lo spostamento in base a tale valore.

DIM D1= POSIZIONE DI CIR F5 GRAF=OFF TESTO=OFF MULT=1,00

AS | NOM | +TOL | -TOL | MIS | DEV | FUORI_TOLL |
x | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | ----#----
y | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | ----#----
z | -0.2500 | 0.0100 | 0.0100 | -0.2500 | 0.0000 | 0.0000 | ----#----
d | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 |
v | i | j | k |  |  |  |

FINE DIMENSIONE D1


Deviazione Standard

La casella di controllo Deviazione standard consente di visualizzare la deviazione standard degli elementi.


Stampa a 132 colonne

Visualizza Mappa Percorsi dei Menu

La casella di controllo Stampa a 132 colonne controlla il formato di stampa delle posizioni degli elementi nel rapporto di ispezione. Se è selezionata, PC-DMIS stamperà tutte le posizioni degli elementi in un formato a 132 colonne.

Di seguito è riportato un esempio di formato di output a 132 colonne:

Colonne da 1 a 10: X nominale
Colonne da 11 a 20: X misurato
Colonne da 21 a 28: X deviazione
Colonne da 31 ta 40: Y nominale
Colonne da 41 a 50: Y misurato
Colonne da 51 a 58: Y deviazione
Colonne da 61 a 70: Z nominale
Colonne da 71 a 80: Z misurato
Colonne da 81 a 88: Z deviazione
Colonne da 91 a 100 T: errore (errore normale alla superficie)
Colonna 101 Fuori Toll., Flag "*"
Colonne da 104 a 105 Tipo Elemento
Colonne da 108 a 117 ID Elemento
Colonne da 118 a 127 Diametro Misurato (se esiste)

Nota: il formato a 132 colonne viene applicato solo alle dimensioni di tipo POSIZIONE. Tutte le altre dimensioni (ad esempio, DISTANZA, ANGOLO TRA e così via) verranno stampate in un formato normale.


Impostazione Parametri: Scheda Piano di Sicurezza

Mappa dei Percorsi menu di Visualizzazione
scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Piano di sicurezza

La scheda Piano di sicurezza contiene una casella che controlla l'uso dei piani di sicurezza. Questa opzione consente di ridurre i tempi di programmazione, perché si minimizza il numero di movimenti intermedi. I piani di sicurezza creano attorno ad un pezzo un range di protezione che verrà sempre attraversato dal tastatore quando si sposta da un elemento all'altro. PC-DMIS allontanerà il tastatore dal pezzo in base ad una distanza predefinita, rispetto al sistema di coordinate utilizzato per la definizione. Dopo l'ultima rilevazione sull'elemento, il tastatore rimarrà ad una determinata quota fino a quando non passa all'elemento successivo.

Per inserire un comando PIANO SIC , operare come segue:

  1. Accedere alla finestra di dialogo Impostazioni del parametro.

  2. Fare clic sulla scheda Piano di sicurezza.

  3. Scegliere l'asse per il Piano Attivo nell'elenco a discesa Asse.

  4. Inserire la distanza dal pezzo nella casella Valore.

  5. Scegliere l'asse per il Piano passante dall'elenco a discesa Asse.

  6. Inserire la distanza del Piano Passante nella casella Valore.

  7. Selezionare la casella di controllo Piani di Sicurezza Attivi(ON).

  8. Fare clic sul pulsante Applica .

  9. Fare clic sul pulsante OK.

La riga di comando della finestra di modifica per questa opzione è la seguente:
PIANO_SIC/PIANO_ATTIVO, .n, PIANO_PASSANTE, .n

Vedere anche:

P iano Attivo

Piano passante

Piani di Sicurezza Attivi

Note sui Piani di Sicurezza

Help button Apply buttonRoTableClearance Plane Active check boxPass Through PlaneActive Plane areaMotionProbingAccelerationDimensionOpt. ProbeProbe Trigger OptionsNC-100 ParametersI/O ChannelsCancel buttonOK button


Piano Attivo

Questa sezione della finestra di dialogo consente di indicare il piano sul quale si trova l'elemento quando viene misurato. Il Piano Attivo è inoltre indicato nell'elenco a discesa Visualizza disponibile sulla barra degli strumenti.

PC-DMIS consente di definire un valore numerico per il piano principale attivo (X+, X-, Y+, Y-, Z+ e Z-). Nella finestra di modifica verrà visualizzata la finestra attiva selezionata in una direzione X+, Y+, Z+ o X-, Y-, Z-. Per definire un piano di sicurezza, fare clic sull'elenco a discesa nella sezione Piano Attivo e selezionare il piano che si desidera modificare. Quindi, inserire un nuovo valore nella casella Valore.


Piano passante

Questa sezione della finestra di dialogo consente di indicare il piano che verrà attraversato dal tastatore, per raggiungere il piano dell'elemento successivo.

PC-DMIS consente di definire valori numerici per tutti e sei i piani di sicurezza:

  1. X +

  2. X -

  3. Y +

  4. Y -

  5. Z +

  6. Z -

Nella finestra di modifica verrà visualizzata la finestra attiva selezionata in una direzione X+, Y+, Z+ o X-, Y-, Z-.

Per definire un piano di sicurezza:

  1. Selezionare l'elenco a discesa nella sezione Piano passante.

  2. Selezionare il piano da modificare.

  3. Digitare il valore appropriato nella casella Valore.

  4. Fare clic sul pulsante Applica .

  5. Fare clic sul pulsante OK.


Piani di Sicurezza Attivi

La casella Piani di Sicurezza Attivi consente di attivare il piano di sicurezza definito.


Note sui Piani di Sicurezza

Lo spostamento da un piano di sicurezza ad un altro incide sulla posizione del tastatore. Accertarsi che il piano di sicurezza sia impostato in modo che il tastatore non entri in contatto con il pezzo.

È importante conoscere il segno di un piano di sicurezza quando si inserisce il relativo valore. Il segno deve corrispondere all'estremità positiva o negativa dell'asse perpendicolare che definisce il piano. Ad esempio, per definire un piano di sicurezza superiore, inserire un valore positivo, mentre per definire un piano di sicurezza inferiore, inserire un valore negativo.

Esempio di Piano di Sicurezza

Un piano di sicurezza viene definito rispetto al sistema di coordinate corrente e all'origine del pezzo. Pertanto, è necessario prestare particolare attenzione quando si definisce il piano di sicurezza in modo da creare un'area di sicurezza appropriata attorno al pezzo.

Esempio:si supponga che un pezzo lungo 10 pollici sia allineato in prossimità degli assi macchina, con l'origine X nell'angolo inferiore sinistro. È possibile impostare un'area di sicurezza di 1 pollice dall'estremità destra del pezzo definendo un piano di sicurezza di destra pari a 11 pollici.

Definire sempre i piani di sicurezza rispetto al sistema di coordinate corrente. Quando si crea un nuovo sistema di coordinate, i piani di sicurezza fanno ancora riferimento al primo allineamento. Se si desidera associare i piani di sicurezza al nuovo sistema di coordinate, è necessario ridefinirli.

I piani di sicurezza non vengono utilizzati quando si prendono dei punti di campionamento. Pertanto, durante la misurazione dei perni è importante impostare il distanziatore su un valore che consenta il movimento del tastatore attorno al perno.


Impostazione Parametri: scheda Tastatore

scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Tastatore

La scheda Tastatore visualizza il file tastatore corrente,la punta attiva (e l'alloggiamento tastatore, se usato). Permette inoltre di impostare la casella Compensazione Tastatore Attiva (On) e di selezionare la Compensazione Vettore Polare nell'elenco a discesa.

Per accedere alla scheda Tastatore, operare come segue:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri (Modifica | Preferenze | Parametri).

  2. Selezionare la scheda Tastatore tra le schede disponibili.

Vedere anche:

Tastatore Attivo

Punta Attiva

Compensazione Tastatore

Compensazione vettore polare

Tastatore in alloggiamento n.

Help button Apply buttonRoTableIO ChannelsMotionAccelerationClearPlaneOpt. ProbeProbe Trigger OptionsNC-100 ParametersDimensionCancel buttonOK buttonActive ProbeActive TipProbe Compensation Active check boxPolar Vector Compensation area


Tastatore Attivo

In questa riga della scheda Tastatore viene visualizzato il file del tastatore corrente. Per ulteriori informazioni sulla selezione di un file del tastatore diverso o sulla creazione di un nome di file del tastatore, vedere "Nome file del tastatore" nella sezione "Definizione dell'hardware".


Punta Attiva

Questa voce della scheda Tastatore visualizza la punta attiva corrente . Si veda "Elenco Punte Attive" in "Definizione Hardware" per ulteriori informazioni.

La riga di comando della finestra di modifica per questa opzione è la seguente:
PUNTA/nome_punta_attiva


Compensazione Tastatore

Visualizza Mappa Percorsi dei Menu

Questa opzione è disponibile solo in modalità DCC.

La casella di controllo Compensazione tastatore attivo (On) consente a PC-DMIS di eseguire la compensazione del raggio del tastatore. Se questa opzione è attiva, PC-DMIS eseguirà la compensazione del raggio del tastatore su ciascun elemento misurato.

La riga di comando della finestra di Modifica è la seguente:
COMP_TAST/ ON


Compensazione vettore polare

Visualizza Mappa Percorsi dei Menu

L'elenco a discesa Compensazione vettore polare consente di compensare sempre la misura di punti Vettore e Superficie lungo un vettore Polare. Sono disponibili le opzioni riportate di seguito.

  • OFF - I punti Vettore e Superficie si comportano normalmente.

  • XYPL - Le compensazioni vettoriali per ciascun punto Vettore e Superficie saranno 2D nel piano XY lungo un vettore compreso tra il punto e l'origine corrente.

  • YZPL - Le compensazioni vettoriali per ciascun punto Vettore e Superficie saranno 2D nel piano YZ lungo un vettore compreso tra il punto e l'origine corrente.

  • ZXPL - Le compensazioni vettoriali per ciascun punto Vettore e Superficie saranno 2D nel piano ZX lungo un vettore compreso tra il punto e l'origine corrente.

  • 3D - Implica una compensazione vettoriale lungo un vettore 3D compreso tra il punto e l'origine corrente.

Le linee di comando relative a queste opzioni sono:
COMPVETTPOLARE/ OFF
COMPVETTPOLARE/ XYPL
COMPVETTPOLARE/ YZPL
COMPVETTPOLARE/ ZXPL
COMPVETTPOLARE/ 3D


Tastatore in alloggiamento n.

Questa opzione consente di specificare il numero di alloggiamento nel cambio utensile o lo stilo attualmente in uso. Questa opzione è disponibile soltanto se è stato impostato un cambio tastatore.

Se non si utilizza un cambio tastatore o se il tastatore corrente non si trova all'interno del cambio, PC-DMIS visualizza un messaggio per informare che il tastatore o lo stilo corrente non è disponibile all'interno del cambio tastatore oppure non è attualmente utilizzato alcun cambio tastatore.

Per informazioni sull'aggiunta di tastatori o di stili a un cambio tastatore, vedere l'argomento "Asole" nella sezione "Impostazione delle opzioni del cambio utensile".


Impostazione Parametri: scheda Movimento

Scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Movimento

La scheda Movimento consente di modificare le distanze che possono essere percorse dal tastatore quando si prende un punto. Inoltre, consente di impostare la velocità utilizzata da PC-DMIS per prendere un punto e spostarsi da un punto all'altro.

Nota: Si possono impostare le caselle (Velocitá di Movimento,Velocitá di Contatto, e Velocitá di Scansione) esprimano i valori in mm/sec o come percentuale rispetto alla velocitá massima ammessa, selezionando o deselezionando al casella Visualizza Velocitá Assolute nella scheda Pezzo / Macchina della finestra Opzioni di Impostazione .

Per modificare le informazioni visualizzate nella scheda Movimento, operare come segue:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri (Modifica | Preferenze | Parametri).

  2. Fare clic sulla scheda Movimento. Verranno visualizzate diverse caselle.

  3. Evidenziare il valore che si desidera modificare.

  4. Inserire il nuovo valore.

  5. Fare click su Applica o su OK.

Per ripristinare le impostazioni originali dei valori relativi al movimento, selezionare il pulsante Richiama. Il pulsante Richiama reimposterà i valori visualizzati sui valori memorizzati nell’ Editor Impostazioni PC-DMIS Se si seleziona il pulsante Predefinito, i valori visualizzati verranno salvati nell’ Editor impostazioni di PC-DMIS.

Per informazioni sull’Editor impostazioni PC-DMIS si veda la sezione "Modifica Voci del Registro di Sistema" .

Vedere anche:

Distanza di Approccio

Distanza di Ritrazione

Distanza di Controllo

% Controllo

Velocità di movimento

Velocità di Contatto %

Valore di Blocco

Velocità di Scansione

Clear button Recall buttonDefault buttonHelp buttonApply buttonRoTableIO ChannelsProbingAccelerationClearPlaneOpt. ProbeProbe Trigger OptionsNC-100 ParametersDimensionCancel buttonOK buttonPrehit DistanceRetract DistanceCheck DistanceCheck PercentMove SpeedTouch SpeedClamping ValueScan Speed


Distanza di Approccio

Visualizza Mappa Percorsi dei Menu

La casella Distanza di Approccio permette di inserire il valore della distanza di approccio della macchian. Tale distanza si trova fuori dalla superficie ed indica dove PC-DMIS inizia la ricerca del pezzo. Se necessario, tale distanza può essere modificata automaticamente da PC-DMIS quando vengono presi i punti su un arco o su un cerchio.

La riga di comando della finestra di modifica per questa opzione è la seguente:
APPROCCIO/ nnn.nnnn


Distanza di ritrazione

Visualizza Mappa Percorsi dei Menu

La casella Distanza di ritrazione consente di inserire la distanza di ritrazione del tastatore dalla superficie, dopo aver preso un punto. Se necessario, tale distanza può essere modificata automaticamente da PC-DMIS quando vengono presi i punti su un arco o su un cerchio.

La riga di comando della finestra di modifica per questa opzione è la seguente:
RITRAZIONE/ nnn.nnnn


Distanza di Controllo

Visualizza Mappa Percorsi dei Menu

La casella Distanza di controllo consente di inserire la distanza, in pollici o millimetri, a seconda del sistema di misura utilizzato per il pezzo, distanza oltre la posizione teorica del punto in base alla quale la macchina continuerà ad effettuare la ricerca della superficie del pezzo, fino a rilevarne l'assenza.

La riga di comando della finestra di modifica per questa opzione è la seguente:
CONTR/ distanza,percentuale

Percentuale di movimento durante le operazioni di tipo Trova foro

Quando si definisce la distanza di controllo per un'operazione di tipo Trova foro, è possibile indicare a PC-DMIS di eseguire uno spostamento in base ad una determinata percentuale della distanza di controllo.

A tale scopo, operare come segue:

  1. Accedere alla finestra di modifica e attivare la modalità Comando.

  2. Fare clic sul comando CONTR nella finestra di Modifica.

  3. Premere il tasto di tabulazione per passare al secondo numero.

  4. Inserire il nuovo valore di percentuale. Il valore predefinito è 1, vale a dire il 100% della distanza di controllo. Il valore 0,1 corrisponde al 10%, 0,2 al 20%, 0,3 al 30% e così via.

Ad esempio, nel codice riportato di seguito:
CONTR/20,.3, il valore .3 rappresenta il 30% della distanza di controllo totale di venti unità.

Per ulteriori informazioni sull'opzione Trova Foro, vedere l'argomento "Casella di controllo Trova foro" nella sezione "Creazione di Elementi Automatici".


% Controllo

Il valore % Controllo determina la percentuale di movimento rispetto alla distanza totale durante l'esecuzione di un'operazione di Ricerca Foro. Il valore 1 corrisponde a una percentuale pari al 100%. Pertanto, 100% corrisponderà a 1 , 25% a 0,25 e 10% a 0,10 .


Velocità di movimento

Visualizza Mappa Percorsi dei Menu

La casella Velocità di Movimento consente di modificare la velocità di posizionamento da punto a punto della CMM. Il valore inserito indica una percentuale della velocità massima della macchina. È possibile impostare un valore compreso tra 1 e 100% della velocità totale della macchina. (Si veda l'argomento "Misura" nella voce "Definizione dei Tastatori", nella sezione "Definizione Hardware" per ulteriori informazioni sulle opzioni velocità di movimento e calibrazione del tastatore ).

La riga di comando della finestra di modifica per questa opzione è la seguente:
VEL MOVIM/ nnn.nnnn


Velocità di Contatto %

Visualizza Mappa Percorsi dei Menu

La casella Velocità di contatto consente di modificare la velocità con la quale la macchina CMM rileva i punti. Il valore inserito indica una percentuale della velocità massima della macchina e non può essere superiore al 20%.

La riga di comando della finestra di Modifica per questa opzione è la seguente:
VEL CONTATTO/ nnn.nnnn

Per comprendere gli effetti della modifica delle distanze di APPROCCIO o RITRAZIONE e della VEL MOVIM o VEL CONTATTO, è necessario comprendere come interagiscono le opzioni, durante la misurazione dell'elemento in modalità DCC. La macchina si sposta verso l'elemento in base alla VELOCITÀ DI MOVIMENTO. Quando viene raggiunta la distanza di APPROCCIO, la macchina procede a VEL CONTATTO, avvicinandosi all'elemento. Una volta preso il punto, si allontana in base alla VELOCITÀ DI CONTATTO fino a quando non raggiunge la DISTANZA DI RITRAZIONE. A questo punto, si sposterà nella posizione successiva in base alla VELOCITÀ DI MOVIMENTO.


Valore di Blocco

Visualizza Mappa Percorsi dei Menu

Il Valore di Blocco funziona solo con controller Leitz e con TTP Leitz. Il valore indica al controller quanto saldamente va tenuto il tastatore su una CMM Leitz.

A seconda del peso delle punte del tastatore, potrebbe essere necessario aumentare o diminuire il valore di blocco.

  • Per punte pesanti, può essere necessario aumentarne il valore.

  • Per punte di peso ridotto, può essere necessario diminuire il valore.


Velocità di Scansione

La casella Velocità di Scansione consente di modificare la velocità in base alla quale la macchina CMM eseguirà la scansione del pezzo. Il valore inserito indica una percentuale della velocità massima della macchina.

La riga di comando della finestra di modifica per questa opzione è la seguente:
APPROCCIO/ nnn.nnnn

Se si esegue la scansione in modalitá DEFINITO (si veda "Definito" discusso in "Area Esec. Contrrolli", nella sezione "Scansione del Pezzo" ), la Velocitá di Scansione gioca un ruolo importante nel restituire i dati secondo gli incrementi impostati dall'utente. Quando si specifica una Velocità di Scansione elevata, è possibile che la macchina CMM esegua la scansione alla velocità richiesta, ma che i dati ottenuti non siano spaziati secondo gli incrementi specificati.

Esempio:Si supponga che la macchina CMM raccolga i dati alla velocità di un punto ogni 20 millisecondi in modalità DEFINITA. Se si specifica un incremento, ovvero la distanza minima tra i punti, di 0,5 mm e una Velocità di Scansione di 75 mm/s, la macchina CMM restituisce i punti ogni 1,5 mm. Per evitare tale problema, è necessario ridurre la Velocità di Scansione a 15 mm/s o a 20 mm/s. In tal modo, alla velocità di 1 punto ogni 20 millisecondi, sarà possibile ottenere i dati in base ai valori impostati.

Se si verifica una tale situazione, viene visualizzato un messaggio di avvertenza per informare che non è possibile misurare l'incremento specificato alla velocità di scansione indicata e viene richiesto di ridurre la Velocità di Scansione o di aumentare l'incremento.

A questo punto, è possibile selezionare l'impostazione della Velocità di Scansione e modificarla in base alle proprie esigenze.


Impostazione Parametri: scheda Tavola rotante

scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Tavola rotante

La scheda Tavola rotante consente di ruotare l'angolo e il senso della tavola.

Per ruotare l'angolo e il senso della tavola nella scheda Tavola rotante, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri (Modifica | Preferenze | Parametri).

  2. Selezionare la scheda Tavola rotante.

  3. Inserire l'angolo della tavola desiderata nella casella Angolo Tavola Rotante.

  4. Selezionare la direzione di rotazione nella casella di riepilogo a discesa Senso di rotazione.

  5. Selezionare la casella di controllo Ruota tavola.

  6. Fare clic sul pulsante Applica .

La riga di comando della finestra di modifica per questa opzione è la seguente:
MOVIM/ TAV_ROT, angolo, DIREZIONE

La scheda Tavola rotante viene visualizzata quando si seleziona Tavola rotante singola o Tavola rotante doppia nella finestra di dialogo Impostazione tavola rotante. Vedere "Definizione della tavola rotante".

Inoltre, l'opzione di menu Imposta tavola rotante è disponibile solo se il blocco della porta è programmato per le tavole rotanti.

Vedere anche:

Angolo Tavola Rotante

Senso di Rotazione

Ruota Tavola

Help button Apply buttonRoTableIO ChannelsMotionAccelerationClearPlaneOpt. ProbeProbe Trigger OptionsNC-100 ParametersDimensionCancel buttonOK buttonRotary Table Angle boxRotation Direction listRotate the Table check box


Angolo Tavola Rotante

Nella casella Angolo tavola rotante è possibile inserire l'angolo di rotazione della tavola.


Senso di Rotazione

Nella casella di riepilogo a discesa Senso di rotazione è possibile selezionare il senso di rotazione della tavola. Le opzioni disponibili sono le seguenti:

Senso orario: | Consente di ruotare la tavola in senso orario fino a quando non viene raggiunto l'angolo inserito nella casella Angolo tavola rotante.
Senso antiorario: | Consente di ruotare il tavolo in senso antiorario fino a quando non viene raggiunto l'angolo inserito nel campo Angolo tavola rotante.
Più corto: | Consente di ruotare la tavola utilizzando il percorso più breve (in senso orario o antiorario) fino a quando non viene raggiunto l'angolo inserito nel campo Angolo tavola rotante.


Ruota Tavola

La casella di controllo Ruota Tavola consente di attivare la rotazione della tavola dopo aver premuto il pulsante Applica o OK.


Impostazione Parametri: Scheda accelerazione

Finestra di dialogo Impostazioni del parametro - Scheda Accelerazione

La scheda Accelerazione visualizza le funzioni di modifica aggiuntive per il movimento della CMM e della Tavola.

Per accedere alla scheda Accelerazione, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri dal menu principale (Modifica | Preferenze | Parametri).

  2. Selezionare la scheda Accelerazione.

Vedere anche:

Accelerazione CMM

Help button Apply buttonRoTableCMM Acceleration areaMotionProbingClearPlaneDimensionOpt. ProbeProbe Trigger OptionsNC-100 ParametersI/O ChannelsCancel buttonOK button


Accelerazione CMM

Visualizza Mappa Percorsi dei Menu

La sezione Accelerazione CMM della scheda Accelerazione consente di modificare l'accelerazione massima (espressa in mm/ sec2) lungo l'asse X, Y o Z della macchina CMM. Le opzioni disponibili sono le seguenti:

Accelerazione massima asse X: | Il valore visualizzato in questa casella indica l'accelerazione massima della macchina CMM lungo l'asse X.
Accelerazione massima asse Y: | Il valore visualizzato in questa casella indica l'accelerazione massima della macchina CMM lungo l'asse Y.
Accelerazione massima asse Z: | Il valore visualizzato in questa casella indica l'accelerazione massima della macchina CMM lungo l'asse Z.


Impostazione Parametri: scheda Tastatore Opzionale

scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Tastatore opzionale

Nella scheda Tastatore opzionale vengono fornite funzionalità aggiuntive per il controllo di tastatori analogici. Tali funzionalità comprendono i seguenti valori correlati ai tastatori:

  • Forza massima

  • Forza minima

  • Forza superiore

  • Forza di defless.

  • N. dati restituiti

  • Velocità di Ritorno

  • Precisione di Posizionamento

  • Precisione Sondaggio

  • Modalità Sondaggio

  • Sondaggio manuale accurato

Comprende inoltre i seguenti valori relativi alla scansione e pulsanti di uso generico:

  • Densità punti

  • Forza Offset

  • Accelerazione

  • Pulsante Predefinito

  • Pulsante Richiama

  • Pulsante Cancella

Per una descrizione dettagliata, fare clic sugli argomenti indicati di seguito.

Per accedere alla scheda Tastatore opzionale, operare come segue:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri dal menu principale (Modifica | Preferenze | Parametri).

  2. Selezionare la scheda Tastatore opzionale.

Attenzione: i valori della scheda Tastatore opzionale sono proprietá specifiche della macchina. Ad eccezione delle caselle Sondaggio manuale accurato e Densità punti, non dovrebbero essere modificati. Effettuare una verifica con il fornitore della macchina prima di fare delle modifiche.

Facendo clic su Applica o su OK nella scheda Tastatore opzionale il comando TASTAT OPZviene inserito nella finestra di modifica.

Per ulteriori informazioni sull'utilizzo del comando TASTAT OPZ con i tastatori analogici, durante la calibrazione, si veda "Note sulla Matrice di Livello Alto dell'SP600 (Calibrazione Normale):" , nella sezione "Definizione Hardware" .

Vedere anche:

Forza massima

Forza minima

Forza superiore

Forza di defless.

N. dati restituiti

Velocità di Ritorno

Precisione di Posizionamento

Precisione Sondaggio

Modalità Sondaggio

Sondaggio manuale accurato

Densità punti

Forza Offset

Accelerazione

MotionHelp buttonApply buttonRoTableIO ChannelsProbingAccelerationClearPlaneNC-100 ParametersProbe Trigger OptionsDimensionCancel buttonOK buttonReturn Speed box# Return Data boxMax Force boxProbing AccuracyTrigger Force boxPositioning Accuracy boxLow Force boxUpper Force boxProbing Mode boxManual Fine Probing check boxDefault buttonRecall buttonClear button


Forza massima

Nella casella Forza massima è possibile inserire la forza massima esercitata da un tastatore, prima che si verifichi un errore che causa l'interruzione della misurazione.

Un "newton" è un'unità di forza e rappresenta la forza necessaria per portare una massa di 1 chilogrammo ad una velocità di 1 metro al secondo quadrato.

Durante un ciclo di tastatore analogico, appena il tastatore tocca il pezzo continua a muoversi, fino a raggiungere il valore impostato nella casella Forza massima. Il senso del tastatore viene quindi invertito e il tastatore si allontana dal pezzo. Il movimento nel pezzo dopo averlo toccato viene talvolta definito forza di contatto. Tale valore è espresso in newton. In un normale ciclo di tastatore in modalità deflessione (DFL), il controllo raccoglie i dati mentre il tastatore si allontana dal pezzo.


Forza minima

Nella casella Forza minima è possibile inserire la forza minima necessaria per determinare quando la macchina entra in contatto con l'oggetto misurato.

In un normale ciclo di tastatore in modalità deflessione (DFL) si tratta della forza con cui il controllo arresta la raccolta dei dati. Tale valore è espresso in newton.


Forza superiore

Nella casella Forza Superiore viene indicato il limite superiore di una misurazione. Una volta raggiunto questo limite, la macchina si ritrae, allontanandosi dall'oggetto misurato.

In un normale ciclo di tastatore in modalità deflessione (DFL) si tratta della forza con cui il controllo inizia la raccolta dei dati. Tale valore è espresso in newton.


Forza di defless.

Nella casella Forza di defless. è possibile inserire la forza in base alla quale eseguire la misurazione.

In un normale ciclo di tastatore in modalità deflessione (DFL), tale valore rappresenta la forza con cui il valore del Punto Reale (APT) verrà calcolato e restituito a PC-DMIS. Tale valore è espresso in newton. Non tutti i tastatori analogici o controller utilizzano questo input.


N. dati restituiti

Nella casella N. dati restituiti è possibile inserire il numero di operazioni di lettura eseguite quando la macchina si allontana dall'oggetto misurato.

Questo valore definisce il numero minimo di dati da raccogliere nella finestra di tastatore definita dai valori di Forza Superiore e Forza inferiore.


Velocità di Ritorno

Nella casella Velocità di ritorno è possibile impostare il valore che determina la velocità di ritorno del tastatore dall'oggetto misurato. Tale valore viene specificato in mm/sec.


Precisione di Posizionamento

La casella Precisione posizionamento è un parametro specifico dell'interfaccia Leitz. Il valore inserito indica alla macchina CMM il grado di precisione da utilizzare per posizionarsi sul vettore di avvicinamento, durante lo spostamento del tastatore sul pezzo per la misurazione.

Se si specificano valori inferiori, la macchina avrà maggiori difficoltà ad acquisire la posizione desiderata, ma si otterrà una misurazione più precisa. Questo valore viene sempre espresso in millimetri.

In genere dovrebbe essere lasciato al valore predefinito.


Precisione Sondaggio

La casella Precisione sondaggio consente di determinare la precisione necessaria per eseguire una misurazione. Se questo valore non è applicabile, non viene eseguita alcuna misurazione e viene visualizzato un errore. Si tratta di un valore specificato in mm e in genere lasciato al valore predefinito.


Modalità Sondaggio

Consente di specificare il tipo di ciclo di rilevazione utilizzato. Il ciclo più comune è la modalità di deflessione (DFL). Alcuni tastatori/controller analogici potrebbero supportare altri cicli, quali il tastatore software (SFT). In alcuni casi il tastatore/controllo non supporta modalità multiple, in questo caso il valore viene ignorato.


Sondaggio manuale accurato

Se la casella di controllo Sondaggio manuale accurato è selezionata, quando viene preso un punto di sondaggio manuale, il controller passa automaticamente alla modalità DCC mentre si allontana dal pezzo, in modo da consentire l'uso del ciclo di tastatore normale. Ciò può comportare un rallentamento dell'operazione di sondaggio ma permette di ottenere una maggiore precisione.

Alcune macchine più recenti con sistemi di sondaggio analogici possono supportare il Sondaggio manuale accurato, ma non tutti i sistemi tastatori analogi/controllo sono in grado di supportare questa modalità di sondaggio manuale. Attualmente, questa casella di controllo non viene utilizzata in PC-DMIS. Rivolgersi al produttore del controllo della CMM, per sapere se il controllo supporta questa opzione.


Densità punti

La casella Densità punto consente di impostare il numero di operazioni di lettura per millimetro misurato, durante una scansione.

Se si imposta un incremento di scansione inferiore alla Densità punto definita nella voce del Registro nell'editor delle impostazione, PC-DMIS visualizzerà un messaggio di avvertenza per indicare che il valore di incremento minimo è inferiore alla densità di punti per la scansione e richiederà di verificare le impostazioni degli incrementi nell'apposita finestra di dialogo.

Sará possibile modificare opportunamente il valore della Densitá dei Punti.


Forza Offset

Consente di specificare il livello di forza da mantenere durante un'operazione di lettura. Tale valore è espresso in newton.


Accelerazione

Consente di specificare l'accelerazione da utilizzare durante un'operazione di lettura. Tale valore è specificato in mm/sec/sec.


Impostazione Parametri: scheda Opzioni deflessione tastatore

scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Opzioni deflessione tastatore

La scheda Opzioni Deflessione Tastatore consente di selezionare aree di tolleranza specifiche e di inserire i comandi AUTOTRIGGER, TOLLERANZA_SCATTO e PIANO_SCATTO nella finestra di modifica.

Nota:Solo le macchine CMM manuali con specifiche interfacce supportano queste opzioni di deflessione(scatto) tastatore.. Queste interfacce comprendono attualmente: BackTalk, Faro, Romer, Garda, GOM (Krypton), Axila, Leica, Polar , e SMXLaser.

Per accedere a questa scheda, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri dal menu principale (Modifica | Preferenze | Parametri).

  2. Selezionare la scheda Opzione Deflessione Tastatore.

Importante: Il comando AUTOTRIGGER funziona soltanto con Punti Misurati e Punti Vettore Automatici.

Vedere anche:

Area Scatto Automatico

Area Scatto automatico piano di campionamento

Area Tolleranza Deflessione Punto Manuale

Motion Help buttonApply buttonRoTableIO ChannelsProbingAccelerationClearPlaneNC-100 ParametersOpt. ProbeDimensionCancel buttonOK buttonAuto Trigger areaSample Plan Auto Trigger areaManual Point Trigger Tolerance area


Area Scatto Automatico

Visualizza Mappa Percorsi dei Menu

L'area Scatto Automatico consente di inserire dei comandi AUTOTRIGGER/ nella finestra di Modifica con un'area di tolleranza.

Il comando AUTOTRIGGER/ indica a PC-DMIS di prendere automaticamente un punto quando il tastatore entra in un'area di tolleranza a una distanza specificata dalla posizione originale del punto. Ad esempio, se l'area di tolleranza è impostata a 2 mm, verrà preso un punto quando il tastatore si trova entro una distanza di 2 mm dalla posizione del punto.

È possibile utilizzare questo comando con macchine manuali. Anziché premere un pulsante per prendere un punto, è possibile inserire dei comandi AUTOTRIGGER/ in qualsiasi punto standard della finestra di modifica.

Scatto automatico attivo

Selezionare la casella di controllo AutoScatto On per attivare il relativo comando. In tal modo, quando il tastatore entra nell'area di tolleranza predefinita, verrà preso automaticamente un punto per ciascun comando della finestra di modifica inserito dopo il comando AUTOTRIGGER/ e che richiede la presa di un punto.

Se la casella di controllo non è selezionata e si fa clic sul pulsante Inserisci Comando, PC-DMIS inserirà la riga di comando nella finestra di modifica, senza tuttavia attivare il comando.

Segnale acustico attivo

Quando si seleziona la casella di controllo Segnale Acustico (Beep) attivo al comando AUTOTRIGGER/ viene associato un segnale acustico. La prossimità alla destinazione è indicata da una maggiore frequenza dei segnali acustici.

Raggio autotrigger

La casella Raggio autotrigger consente di inserire un valore per l'area di tolleranza. Quando il tastatore raggiunge tale area di tolleranza, prende automaticamente un punto.

Inserisci comando

Fare clic sul pulsante Inserisci comando per inserire il comando AUTOTRIGGER/ nella finestra di Modifica del part-program corrente. La riga di comando è la seguente:

AUTOTRIGGER/ ALTER1, ALTER2, RAGGIO

ALTER1 Questo campo corrisponde alla casella di controllo Autotrigger Attivo . I valori visualizzati sono ON oppure OFF.

ALTER2 Questo campo corrisponde alla casella di controllo Beep Attivo . I valori visualizzati sono ON oppure OFF.

RAD Questo campo contiene il valore della zona di tolleranza. Tale valore corrisponde alla distanza dal punto effettivo in cui PC-DMIS prende il punto.


Area Scatto automatico piano di campionamento

Visualizza Mappa Percorsi dei Menu

L'area Scatto automatico piano di campionamento consente di inserire un comando PIANO_SCATTO/ nella finestra di Modifica.

Il comando PIANO_SCATTO/ funziona solo nel caso di Cerchi Automatici, Ellissi Automatiche, Asole Automatiche e Punti di Bordo Automatici.

Quando si inserisce un comando PIANO_SCATTO/, PC-DMIS prende automaticamente un punto quando il tastatore attraversa il piano definito dal vettore perpendicolare alla superficie di un elemento automatico al livello della quota specificata. La posizione definita viene modificata in base ad opzioni quali i punti di campionamento o gli elementi MISREL. Quando il centro del tastatore passa da un lato all'altro del piano, il tastatore scatta e il punto viene preso.

È possibile utilizzare questo comando con macchine manuali. Anziché premere un pulsante per prendere un punto, è possibile inserire dei comandi PIANO_SCATTO/ in qualsiasi punto standard della finestra di modifica.

Questo comando può essere utilizzata solo in modalità in linea. Se utilizzati congiuntamente, il comando AUTOTRIGGER/ ha la priorità rispetto al comando PIANO_SCATTO/.

Nota per le macchine Faro e Romer: come indicato in precedenza, PC-DMIS prende automaticamente un punto quando il tastatore attraversa un piano. Tuttavia, se si utilizza una macchina Faro o Romer, il tastatore non scatta nuovamente fino a quando non si preme il pulsante Accetta o Rilascia. È necessario premere questo pulsante dopo ciascun punto registrato per continuare l'operazione.

Scatto automatico piano

Selezionare la casella di controllo Usa Tolleranza Scatto per attivare il comando TOLLERANZA_SCATTO/. In tal modo, quando il centro del tastatore attraversa il piano definito dal vettore perpendicolare alla superficie e dalla quota dell'elemento, verrà preso automaticamente un punto per ciascun comando della finestra di modifica inserito dopo il comando PIANO_SCATTO/ e che richiede la presa di un punto.

Se la casella di controllo non è selezionata e si fa clic sul pulsante Inserisci Comando, PC-DMIS inserirà la riga di comando nella finestra di modifica, senza tuttavia attivare il comando. Il comando PIANO_SCATTO viene attivato quando si seleziona la relativa opzione.

Inserisci comando

Fare clic sul pulsante Inserisci comando per inserire il comando PIANO_SCATTO/ nella finestra di Modifica per il part-program corrente.

PIANO_SCATTO/ ALTER1

ALTER1 Questo campo corrisponde alla casella di controllo Piano Scatto Attivo . I valori visualizzati sono ON oppure OFF.


Area Tolleranza Deflessione Punto Manuale

L'area Tolleranza Deflessione Punto Manuale consente di inserire un comando TOLLERANZA_SCATTO/ nella finestra di modifica.

Questo comando può essere utilizzato solo con i seguenti tipi di elemento automatico punto: Punto Vettore, Punto Superficie, Punto Angolo, Punto Diagonale e Punto Misurato. Non può essere utilizzato sui singoli punti degli elementi.

Quando si inserisce un comando TOLLERANZA_SCATTO, PC-DMIS accetta soltanto un punto manuale quando il tastatore si trova all'interno dell'area di tolleranza specificata.

È possibile utilizzare questa opzione con le macchine manuali; quando PC-DMIS richiede di prendere un punto, deflettere il tastatore. Ciascuno scatto verrà analizzato per verificare se si trova all'interno dell'area di tolleranza scatto cilindrica. Se non lo è, si avrà un errore nella lista degli Errori macchina della finestra di dialogo Opzioni Modalità di Esecuzione. PC-DMIS richiede di avviare di nuovo l'operazione di presa del punto. È possibile inserire i comandi TOLLERANZA_SCATTO/ in qualsiasi punto standard all'interno della finestra di modifica.

Questa opzione può essere utilizzata solo in modalità in linea.

Usa tolleranza scatto

Selezionare la casella di controllo Usa Tolleranza Scatto per attivare il comando TOLLERANZA_SCATTO/. In tal modo, quando il tastatore entra nell'area di tolleranza predefinita, verrà accettato il punto, per ciascun comando della finestra di modifica, inserito dopo il comando TOLLERANZA_SCATTO/ e che richiede la presa di un punto.

Se la casella di controllo non è selezionata e si fa clic sul pulsante Inserisci Comando, PC-DMIS inserirà la riga di comando nella finestra di modifica, senza tuttavia attivare il comando. La funzione Tolleranza scatto viene attivata quando si seleziona l'opzione Usa tolleranza scatto.

Inserisci comando

Fare clic sul pulsante Inserisci comando per inserire il comando TOLLERANZA_SCATTO/ nella finestra di Modifica del part-program corrente.

TOLLERANZA_SCATTO/ ALTER1, RAGGIO

ALTER1 Questo campo corrisponde alla casella di controllo Usa Tolleranza Scatto. I valori visualizzati sono ON oppure OFF.

RAD Il campo del raggio contiene il valore dell'area di tolleranza. Tale valore corrisponde alla distanza dal punto effettivo in cui PC-DMIS accetta il punto.

Raggio tolleranza

La casella Raggio Tolleranza consente di inserire un valore come raggio di tolleranza. Quando il tastatore scatta, PC-DMIS verifica se si trova all'interno dell'area di tolleranza. Se l'esito della verifica è positivo, il punto viene accettato. In caso contrario, viene richiesto di rilevare un altro punto.


Impostazione Parametri: scheda Parametri NC-100

scheda Piano di Sicurezza

Finestra di dialogo Impostazioni del parametro - Scheda Parametri NC-100

La scheda Parametri NC-100 viene visualizzata nella finestra di dialogo Impostazioni parametri solo se un tastatore video NC-100 è impostato come tastatore attivo.

La scheda Parametri NC-100 consente di modificare i parametri per il tastatore video NC-100. Tali parametri permettono di controllare la luminosità, le dimensioni ed altro ancora dell'area visiva del tastatore NC-100. Se i valori presenti nella scheda NC-100-100 vengono modificati, PC-DMIS inserisce un nuovo comando IMPOSTAZVIDEO nel part-program e visualizza la posizione del cursore nella finestra di modifica. La riga di comando della finestra di modifica per il comando IMPOSTAZVIDEO è la seguente:

IMPOSTAZVIDEO/GUADAGNO = n, OFFSET = n, SUP = n, INF = n, LARGH = n, ORIGINEY = n, FINEY = n, SEGL = n, SEGX = n, SEGY = nORIGINEY = n,
FINEY = n, LSEG = n, XSEG = n, YSEG = n

Per modificare le informazioni presenti nella scheda Parametri NC-100, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri attraverso (Modifica | Preferenze | Parametri).

  2. Fare clic sulla scheda Parametri NC-100.

  3. Selezionare il valore che si desidera modificare.

  4. Inserire il nuovo valore.

  5. Fare clicksu Applica o su OK.

Le caselle presenti nella scheda Parametri NC-100 consentono di specificare le informazioni corrispondenti alle impostazioni per il sistema del computer NC-100. Per ulteriori informazioni su tali impostazioni, vedere la documentazione relativa al sistema in uso sul computer NC-100.

Vedere anche:

Guadagno

Valore di Offset

RO I Alto

ROI Sup.

Largh. ROI

Origine Y

Y Finale

Segmento lungo

Segmento X

Segmento Y

Impostazione video

Motion Help buttonApply buttonRoTableIO ChannelsProbingAccelerationClearPlaneOpt. ProbeProbe Trigger OptionsDimensionCancel buttonOK buttonY Origin boxROI Width boxGain boxLong Segment boxROI Bottom boxY End boxOffset boxROI Top boxX Segment boxY Segment boxVideo Setup button


Guadagno

Il valore delGuadagno corrisponde al relativo valore del sistema in uso sul computer NC-100 ed é l'impostazione del sensore della visione.


Valore di Offset

Il valore Offset corrisponde al relativo valore del sistema in uso sul computer NC-100 e rappresenta un'impostazione del sensore luminoso. Per ulteriori informazioni, vedere la documentazione relativa al sistema in uso sul computer NC-100.


ROI Sup.

Il valore ROI Sup. corrisponde al valoreROI alto del sistema in uso sul computer NC-100 e rappresenta la posizione superiore del ROI.


ROI Inf.

Il valore ROI Inf. corrisponde al valoreROI basso del sistema in uso sul computer NC-100 e rappresenta la posizione inferiore del ROI.


Largh. ROI

Il valore Largh. ROI corrisponde al valoreLargh. ROI del sistema in uso sul computer NC-100 e rappresenta la larghezza del ROI.


Origine Y

Il valore Y Iniziale corrisponde al valore Y Iniziale del sistema NC-100.


Y Finale

Il valore Y Finale corrisponde al valore Y Finale del sistema NC-100.


Segmento lungo

Il valore Segmento lungo corrisponde al relativo valore del sistema in uso sul computer NC-100.


Segmento X

Il valore Segmento X corrisponde al valore del Segmento X del sistema, in uso sul computer NC-100.


Segmento Y

Il valore Segmento Y corrisponde al valore del Segmento Y del sistema, in uso sul computer NC-100.


Impostazione video

Il pulsante Impostazione video consente di visualizzare i Parametri di Impostazione Video sul sistema video NC-100. Per annullare la visualizzazione dei parametri, fare nuovamente clic su questo pulsante.

Per garantire il corretto funzionamento di questa opzione, è necessario che le impostazioni di comunicazione tra il sistema del computer PC-DMIS e quello del computer NC-100 siano state precedentemente configurate. Si veda "scheda impostazione NC-100" nella finestra di dialogo Opzioni di Impostazione per ulteriori informazioni.


Impostazione Parametri: scheda Canali I/O

Scheda Piano di Sicurezza

Finestra di Dialogo Impostazione Parametri—scheda canali di I/O

Attualmente, le opzioni contenute nella scheda Canali I/O sono attive soltanto nelle macchine DEA. In futuro potrebbero essere abilitate anche su altri tipi di macchina.

La scheda Canali I/O consente di selezionare le opzioni relative all'uso dei canali I/O del controller e di inserire un comando CANALEIO/ nella finestra di modifica, per definire lo stato del controller.

I controller di alcune macchine sono dotati di canali I/O che possono essere IMPOSTATI su uno stato ON (valore 1) oppure IMPOSTATI su uno stato OFF (valore 0). Il comando CANALEIO/ indica a PC-DMIS lo stato sul quale impostare il controller.

Per inserire informazioni nella scheda Canali di I/O, occorre:

Visualizza Mappa Percorsi dei Menu

  1. Si accede alla finestra Impostazione Parametri attraverso (Modifica | Preferenze | Parametri).

  2. Fare clic sulla scheda Canali di I/O.

  3. Apportare le modifiche desiderate.

  4. Fare click su Applica o su OK.

Vedere anche:

Canale

Opzioni di Impostazione e Ripristino

Help buttonApply buttonRoTableMotionProbingAccelerationClearPlaneOpt. ProbeProbe Trigger OptionsNC-100 ParametersDimensionCancel buttonOK buttonChannel


Canale

Questa opzione consente di specificare il numero del canale che si desidera IMPOSTARE o RIPRISTINARE.


Opzioni di Impostazione e Ripristino

Opzione | Descrizione
Insieme | Questa opzione consente di inserire un comando CANALEIO/RIPRISTINA nel part-program. Quando PC-DMIS esegue questo comando, lo stato del numero del canale specificato viene impostato su 1.
Ripristina | Questa opzione consente di inserire un comando CANALEIO/RIPRISTINA nel part-program. Quando PC-DMIS esegue questo comando, lo stato del numero del canale specificato viene impostato su 0.


Impostazione Finestra di Modifica

PC-DMIS consente di definire l'aspetto della finestra di Modifica e le informazioni da visualizzare al suo interno in alcune modalità della finestra di Modifica.

Vedere anche:

Definizione Colori della Finestra di Modifica

Definizione del layout della finestra di modifica


Definizione Colori della Finestra di Modifica

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Modifica Colori Finestra

La finestra di dialogo Modifica Colori Finestra definisce soltanto i colori delle modalitá testo nella finestra di Modifica, analogamente alle modalitá Comando e DMIS.

L'opzione di menu Modifica | Preferenze | Colori Finestra di Modifica visualizza la finestra di dialogo Editor Colori . Questa opzione di menu deve essere selezionata in modalitá Comando.

La finestra di dialogo Colori Finestra di Modifica consente di definire I colori usati nel testo e nello sfondo della finestra di Modifica, in modalitá Comando o Rapporto. Si puó anche esportare lo schema colore su un altro computer, oppure effettuare l'import di uno schema esterno.

Ci sono quattro colori fondamentali che é possible configurare per tutti I comandi o per comandi singoli. Questi comandi sono elencati nelle quattro caselle dell’area Colori Testo Comandi

  • Selezionato

  • Deselezionato

  • Modalità Passo-passo

  • Errore

Colori Principali

Colore Selezionato: | Colore Selezionato rappresenta un elemento selezionato per l'esecuzione. Alcuni elementi, quali gli allineamenti, vengono sempre eseguiti e quindi visualizzati nel colore Selezionato.
Deselezionato: | Deselezionato, é l’impostazione predefinita per il colore. Se non sono indicate altre condizioni, viene utilizzato il colore predefinito.
Modalità Passo-passo: | Modalitá Passo-Passo : evidenzia la riga dalla quale inizierà l'esecuzione successiva, quando verrá eseguito un part-program utilizzando punti di interruzione (breakpoint).
Errore: | Il colore per l’Errore evidenzia I comandi errati, oppure le misurazioni che si trovano fuori tolleranza. Ad esempio, se viene richiamata una punta non definita nel database del tastatore, al testo verrà associato questo colore.

È inoltre possibile modificare i colori dello sfondo della finestra di Modifica e delle dimensioni.

Colore Sfondo: | Il Colore di Sfondo della finestra di Modifica può essere variato anche in questa finestra.
Colore sfondo dimensione | Dimensione colore sfondo imposta il colore dello sfondo per le caselle della dimensione.

Vedere anche:

Per modificare i colori utilizzati nei testi:

Per modificare i colori di sfondo utilizzati:

Per esportare uno schema colori:

Come importare ed usare uno schema colore:


Per modificare i colori utilizzati nei testi:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Modifica | Preferenze | Colori Finestra di Modifica nella barra dei menu. Viene visualizzata la finestra di dialogo Colori finestra di modifica.

  2. Selezionare la casella di controllo Anteprima automatica . Ció consente di visualizzare i cambiamenti nella finestra di Modifica, mentre si effettuano.

  3. Selezionare un commando specifico, oppure un comando padre nell’elenco dei comandi dell’area Testo del Comando. -{}-Fare clic sui simboli “+”, per espandere l’elenco e visualizzare i sotto-comandi. Ció permette di impostare I colori principali (Selezionati, Deselezionati,Modalitá Passo-passo, ed Errore) per comandi specifici o di livello piú alto(padre). Per impostare le modifiche a tutto il testo di commando, selezionare Predefinito in cima alla lista.

  4. Fare clic sul pulsante Modifica del testo: viene visualizzaya la casella di selezione Colore.

  5. Selezionare il nuovo colore o personalizzare un colore esistente, selezionando il pulsante Define Custom Colors (Definisci colori personalizzati).

  6. Fare clic sul pulsante OK. La casella di selezione Colore verrà chiusa. Selezionando un comando padre, PC-DMIS propone la possibilitá di associare allo stesso colore tutti i comandi figlio che seguono il comando padre. Selezionare Sí oppure No a fronte della richiesta.

  7. Fare clic sul pulsante Applica per visualizzare le modifiche senza chiudere la finestra di dialogo Colore.

  8. Fare clic sul pulsante OK per applicare le modifiche e chiudere la finestra di dialogo Colori finestra di modifica.

Le modifiche ai colori hanno effetto immediato.


Per modificare i colori di sfondo utilizzati:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Modifica | Preferenze | Colori Finestra di Modifica nella barra dei menu. Viene visualizzata la finestra di dialogo Colori finestra di modifica.

  2. Selezionare la casella di controllo Anteprima automatica . Ció consente di visualizzare i cambiamenti nella finestra di Modifica, mentre si effettuano.

  3. Fare clic sul pulsante Modifica del colore di sfondo o evidenziato nell'area Colore di Sfondo. Verrá visualizzata una finestra di selezione Colore .

  4. Selezionare il nuovo colore o personalizzare un colore esistente, selezionando il pulsante Define Custom Colors (Definisci colori personalizzati).

  5. Fare clic sul pulsante OK. La casella di selezione Colore verrà chiusa.

  6. Fare clic sul pulsante Applica per visualizzare le modifiche senza chiudere la finestra di dialogo Colore.

  7. Fare clic sul pulsante OK per applicare le modifiche e chiudere la finestra di dialogo Colori finestra di modifica.

Le modifiche ai colori hanno effetto immediato.


Per esportare uno schema colori:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Modifica | Preferenze | Colori Finestra di Modifica nella barra dei menu. Viene visualizzata la finestra di dialogo Colori finestra di modifica.

  2. Apportare le modifiche necessarie allo schema colore.

  3. Fare clic sul pulsante Esporta, Viene visualizzata la finestra di dialogo Salva con nome. Questa finestra di dialogo consente di memorizzare lo schema colore della finestra di Modifica come file colore ( con estensione .clr ).

Salva con nome, casella di dialogo

  4. Navigare fino a dove si vuole memorizzare questo file.

  5. Inserire un nome file per il rapporto nella casella Nome file.

  6. Fare clic su Salva.


Come importare ed usare uno schema colore:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Modifica | Preferenze | Colori Finestra di Modifica nella barra dei menu. Viene visualizzata la finestra di dialogo Colori finestra di modifica. Selezionare la casella di controllo Anteprima automatica . Ció consente di avere l’anteprima delle modifiche nella finestra di Modifica, una volta scelto lo schema colore.

  2. Fare clic sul pulsante Importa. Viene visualizzata la finestra di dialogo Apri.

  3. Navigare fino al file dello schema colore ( che ha estenzione .clr).

  4. Selezionare il file da inserire, quindi fare clic su Apri. La finestra di dialogo viene chiusa.

  5. Fare clic su Applica e poi su OK per rendere operativo lo schema colori importato.


Definizione del layout della finestra di modifica

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Preferenze | Colori Finestra di Modifica visualizza la finestra di dialogo Editor Colori. La finestra di dialogo contiene una schedaComando . Nella scheda si puossono nascondere o mostrare alcuni comandi della finestra di Modifica.

Vedere anche:

Opzioni di visualizzazione in Modalità Comando


Opzioni di visualizzazione in Modalità Comando

Finestra di dialogo Modifica Layout Finestra

Finestra di dialogo Modifica Layout Finestra - Scheda Comando

Visualizza Mappa Percorsi dei Menu

La scheda Comando consente di scegliere le opzioni di visualizzazione disponibili in modalità Comando.

Mostra elementi | Questa opzione consente di visualizzare gli elementi misurati dal part-program.
Mostra allineamenti | Questa opzione consente di visualizzare le modifiche agli allineamenti mentre vengono apportate nel corso del part-program, nonché le modifiche agli allineamenti apportate agli elenchi delle dimensioni o degli elementi.
Mostra movimenti | Questa opzione consente di visualizzare i movimenti aggiunti al part-program.
Mostra commenti | Questa opzione consente di visualizzare i commenti aggiunti al part-program. Per ulteriori informazioni, vedere "Inserimento commenti dei programmatori" nella sezione "Inserimento di comandi rapporto".
Mostra dimensioni | Questa opzione consente di visualizzare la dimensione specificata per gli elementi ispezionati da PC-DMIS. Viene visualizzata nel formato selezionato mediante il comando FORMATO descritto nell'argomento "Formato dimensione" nella sezione "Uso della finestra di modifica".
Mostra punti | Questa opzione visualizza il singolo punto.
Mostra intestazione/piè di pagina | Questa opzione visualizza l’intestazione / pié di pagina dei file LOGO.DAT, HEADER.DAT ed ELOGO.DAT . Per informazioni sulla modifica di questi file, vedere "Modifica delle intestazioni e dei piè di pagina" nella sezione "Uso della finestra di modifica".
Mostra punte | Questa opzione mostra i nomi dei file delle punte usate per ispezionare la parte.

Per ulteriori informazioni sull'uso della modalità Comando, vedere l'argomento "Uso della modalità Comando" nella sezione "Uso della finestra di modifica".


Impostazione finestra di Lettura

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Impostazioni Lettura

Si puó accedere alla finestra di dialogoImposta Lettura Tastatore facendo clic con il tasto destro del mouse sulla finestra Lettura Tastatore e poi facendo clic su Imposta.

La finestra di dialogo Imposta Lettura Tastatore (Modifica | Preferenze | Imposta Lettura tastatore) permette di scegliere il formato della finestra Lettura Tastatore. Selezionare le caselle di controllo più appropriate in base alle esigenze di lettura del tastatore. Quando si selezionerà successivamente l'opzione di menu Finestra di Lettura Tastatore sarà applicato il formato scelto.

Per informazioni sull'uso della finestra Lettura tastatore, vedere "Uso della finestra di lettura del tastatore" nella sezione "Uso di altre finestre ed altri editor".

Vedere anche:

Sistema di Coordinate Macchina(MCS)

Posizione Tastatore

Ultimo punto

Mostra Posizione Corrente Tastatore suSchermo

Distanza dalla destinazione

Distanza dalla destinazione con zoom automatico

Visualizza Errore dell'Ultimo Elemento Misurato

Usa Coordinate Polari

Insegui sempre Centro FOV

Storia del Prompt

Default button Cancel buttonOK buttonPrompt History areaUse Polar Coordination check boxDisplay Error of Last Measured Feature check boxDistance to Target check boxDistance to Target with Auto Zoom check boxShow Curret Probe Position on Screen check boxLast Hit check boxProbe Position check boxMachine Coordinate System check box


Sistema di Coordinate Macchina(MCS)

Selezionando la casella di controllo Sistema di Coordinate Macchina (MCS), PC-DMIS visualizza le informazioni nel sistema di coordinate macchina, non in coordinate pezzo. Questa casella di controllo consente di passare da un sistema di coordinate ad un altro. Se viene deselezionata, verranno visualizzate nuovamente le coordinate pezzo.


Posizione Tastatore

Selezionando la casella Posizione Tastatore , PC-DMIS visualizza la posizione corrente del tastatore. La finestra Lettura Tastatore mostrerá la posizione del tastatore nel sistema di coordinate attivo.


Ultimo punto

Selezionando la casella di crontrollo Ultimo Punto , PC-DMIS visualizza la posizione dell'ultimo punto rilevato dal tastatore. Se questa opzione non é selezioanta, PC-DMIS visualizza la posizione corrente del tastatore.


Mostra Posizione Corrente Tastatore suSchermo

La casella di controllo Mostra posizione tastatore corrente sullo schermo differisce dalla casella di controllo Posizione Tastatore, in quanto visualizza la rappresentazione grafica del tastatore in relazione alla macchina. Questa opzione risulta particolarmente utile quando si lavora online. Quando si utilizza il terminale operatore per spostare il tastatore, in PC-DMIS viene visualizzata una rappresentazione grafica del tastatore.


Distanza dalla destinazione

Quando si seleziona la casella di controllo Distanza dalla destinazione, PC-DMIS visualizza la distanza del tastatore dal punto di destinazione. La posizione del tastatore viene visualizzata nel sistema di coordinate attivo. Spostare manualmente il tastatore nella posizione specificata; una volta raggiunto il punto di destinazione, nella finestra Lettura Tastatore viene visualizzato il valore 0,0,0.


Distanza dalla destinazione con zoom automatico

Quando si selezionano le caselle di controllo Distance to Target e con zoom automatico, PC-DMIS visualizza anche la distanza del tastatore dal punto di destinazione. La posizione del tastatore viene visualizzata nel sistema di coordinate attivo. Avvicinando manualmente il tastatore alla posizione inserita da tastiera, PC-DMIS assume come destinazione il centro dello schermo effettuando uno zoom nella finestra di Visualizzazione Grafica.


Visualizza Errore dell'Ultimo Elemento Misurato

Quando si seleziona la casella di controllo Visualizza errore dell'ultimo elemento misurato, PC-DMIS visualizza tutte le deviazioni lungo le coordinate XYZ e D per elementi circolari dell'ultimo elemento misurato nella finestra di lettura tastatore. Se la deviazione è 0, viene visualizzato il valore 0.


Usa Coordinate Polari

Quando si seleziona la casella di controllo Usa coordinate polari, PC-DMIS alterna tra coordinate rettangolari e polari. Quando si utilizzano le coordinate polari, viene visualizzata anche la direzione perpendicolare del piano di lavoro.


Insegui sempre Centro FOV

Se si seleziona questa voce, PC-DMIS visualizza il centro FOV di un tastatore video non-contatto. Questa voce é presente soltanto se é definito un tastatore video non-contatto.


Storia del Prompt

Quando si seleziona la casella di controllo Mostra storia del prompt, PC-DMISmostra il nuovo tipo di commento Lettura Probe nella finestra Lettura tastatore.

  • Utilizzando la casella Visualizza linee contemporaneamente, si puó specificare quante linee PC-DMIS riserverà per questi commenti sulla finestra Lettura tastatore.

  • Utilizzando il pulsante Scegli font, è possibile specificare anche il tipo e la dimensione del carattere utilizzato per i commenti nella finestra Lettura Tastatore.

Per ulteriori informazioni sull’inserimento di commenti, vedere "Inserimento dei commenti dei programmatori" nella sezione "Inserimento di comandi rapporto".

Per informazioni sull'uso della finestra Lettura tastatore, vedere "Uso della finestra di lettura del tastatore" nella sezione "Uso di altre finestre ed altri editor".


Impostazione Bracci Multipli

Vedere la sezionee "Uso di bracci multipli" per informazioni relative alle procedure di impostazione di bracci multipli.


Definizione della Tavola Rotante

Visualizza Mappa Percorsi dei Menu

Selezione di Modifica | Preferenze | Imposta Tavola Rotante nel menu introduce la finestra di dialogo Imposta Tavola Rotante. Questa finestra di dialogo consente di definire la tavola rotante. È possibile accettare una sola opzione per categoria.

  1. Selezionare il tipo di tavola da utilizzare. Se è impostata una tavola rotante doppia, indicare se è attiva la tavola 1 o la tavola 2. Selezionando Tavola rotante doppia viene visualizzata anche la barra degli strumenti Tavola rotante attiva dopo aver fatto clic sul pulsante OK. Tale barra degli strumenti contiene due icone che consentono di selezionare la tavola rotante attiva.

    Nota relativa alle Tavole Rotanti di tipo indicizzato:
    Le tavole rotanti di tipo indicizzato presentano un numero finito e specificato di angoli di posizionamento. In genere presentano un incremento fisso (in gradi di rotazione) a partire da una posizione data fino alla successiva posizione disponibile. Il valore incrementale varia in base alla tavola specificata. Se necessario, consultare la documentazione relativa alla Tavola Rotante. Nelle tavole rotanti di tipo Infinito è possibile impostare qualsiasi posizione (in gradi).

  2. Indicare se la tavola rotante è di tipo Manuale o DCC selezionando l'opzione appropriata.

Finestra di dialogo Imposta Tavola Rotante

  3. Nell’elenco Asse per Tavola , selezionare l’asse macchina che meglio approssima l’asse di rotazione della tavola.

  4. Nella lista Direzione Positiva , selezionare se la tavola ha oppure non ha rotazione positive attorno all’asse scelto, in senso ORARIO, oppure ANTIORARIO.

  5. Se sono noti, inserire i valori relativi a XYZ, IJK.

  6. Fare clic su Calibrazione per iniziare la procedura di calibrazione.

Nota: L'opzione di menu Imposta Tavola Rotante è disponibile solo dopo aver configurato il portlock secondo tale opzione.

Vedere anche:

Calibrazione Tavola Rotante


Calibrazione Tavola Rotante

A seconda delle opzioni selezionate nella finestra Impostazione Tavola Rotante (si veda " Definizione tavola Rotante " ), verrá visualizzata una delle finestre di dialogo, quando si fa clic sul pulsanteCalibrazione .

  • Selezionando l'opzione Tavola di tipo infinito e il pulsante Calibrazione, viene visualizzata la finestra di dialogo Calibrazione tavola rotante infinita.

  • Selezionando l'opzione Tavola di tipo Indexabile e il pulsante Calibrazione, viene visualizzata la finestra di dialogo Calibrazione tavola rotante Indexabile.

Vedere anche:

C alibrazione Tavola Rotante Indexabile

Calibrazione Tavola Rotante Infinita


Calibrazione Tavola Rotante Indexabile

Calibrazione Tavola Rotante Indexabile

Nella finestra di dialogo Calibrazione tavola rotante Indexabile è possibile selezionare le opzioni utilizzate per la calibrazione della tavola selezionata. Dopo aver impostato le opzioni desiderate nella finestra di dialogo, selezionare il pulsante Calibrazione per avviare il processo di calibrazione.

Note sull'Utilizzo: la calibrazione della tavola rotante indexabile deve comprendere la posizione 0. Inoltre, è necessario calibrare anche tutti gli angoli utilizzati effettivamente in un part-program. Questa procedura di calibrazione calcola e memorizza una trasformazione per tutti gli altri angoli relativi alla posizione 0.

Note sulla calibrazione: per la corretta calibrazione della tavola rotante indexabile occorre specificare valori validi XYZ, IJK della tavola. A tale scopo, si puó procedere in due modi.

Se i valori sono noti, possono essere inseriti manualmente nella finestra di dialogo Impostazione tavola rotante. Non si tratta comunque del caso più frequente.

2) Selezionare innanzitutto l'opzione Tavola di tipo infinito e completare una calibrazione della tavola rotante infinita nel corso della quale i valori di XYZ, IJK verranno calcolati e salvati. Selezionare quindi l'opzione Tavola di tipo Indexabile ed eseguire la calibrazione della tavola rotante indexabile. Si tratta di una procedura da eseguire solo durante l'installazione o la configurazione iniziale del software oppure se la tavola rotante è stata spostata oppure se si è verificato un evento che ha modificato in modo significativo l'origine del sistema di coordinate della macchina. Una volta determinato il valore di XYZ, IJK sufficientemente vicino per consentire una corretta esecuzione della calibrazione della tavola rotante indicizzabile, non è necessario eseguire nuovamente la calibrazione della tavola infinita per la calibrazione della tavola rotante indicizzabile.

Aggiungi angoli tavola rotante

La sezione Aggiungi angoli tavola rotante consente di definire l'elenco degli angoli della tavola da includere nella calibrazione. È possibile definire un angolo alla volta oppure specificare un intervallo incrementato di angoli. Gli angoli definiti vengono quindi inseriti nell'elenco Angoli da calibrare . Quando si sceglie Calibrazione, PC-DMIS effettua la calibrazione della tavola rotante utilizzando gli angoli definiti.

Esempio:se si desidera calibrare tutti gli angoli compresi tra 5 e 95 gradi con un incremento di 10 gradi tra ciascun angolo, inserire i valori 5, 95 e 10 rispettivamente nelle caselle Angolo iniziale, Angolo finale e Incremento, quindi fare clic sul pulsante Equidistante.

Elenco Angoli da calibrare

Questo elenco contiene tutti gli angoli della tavola da calibrare. È possibile aggiungere angoli a questo elenco dalla sezione Aggiungi angoli tavola rotante. L'elenco Angoli da calibrare deve utilizzare l'angolo zero.

Altri parametri della finestra di dialogo

Questa finestra di dialogo contiene molte delle opzioni descritte già nella sezione "Definizione Hardware".

  • Per informazioni su Numero Punti, Approccio / Ritrazione, Velocitá di Movimento, Touch Speed, Manual / DCC , List of Available Tools, Add Tool, ed Elimina utensile,(Vedere l'argomento "Definizione tastatori" nella sezione "Definizione Hardware" .

  • Per informazioni sul File Tastatore Attivo e sulla punta attiva, vedere l'argomento "Definizione dei tastatori" nella sezione "Definizione dell'hardware".


Calibrazione Tavola Rotante Infinita

Finestra di Dialogo Calibrazione Tavola Rotante Infinita

La finestra di dialogo Calibrazione Tavola Rotante Infinita differisce dalla finestra Calibrazione Tavola Rotante Indexabile per le aree seguenti:

  • Invece dell'elenco Angoli da Calibrare nella finestra viene visualizzato l'elenco Angoli tavola.

  • Non è necessario utilizzare l'angolo 0,0 nell'elenco Angoli Tavola.

  • Viene visualizzato un solo utensile di calibrazione, invece di tre utensili.

Per informazioni sulle opzioni specifiche contenute in questa finestra di dialogo, si veda Calibrazione tavola rotante indexabile.


Impostazioni Opzioni del Cambio Utensile

Visualizza Mappa Percorsi dei Menu

Selezionando l'opzione di menu Modifica | Preferenze | Cambio Utensile si accede alla finestra di dialogo Opzioni Cambio Utensile.

FInestra di dialogo Cambio Utensile

Finestra di dialogo Cambio tastatore

In questa finestra di dialogo è possibile impostare varie opzioni da utilizzare con il cambio utensile. Se il cambio utensile non é ancora stato definito, questa finestra di dialogo visualizza soltanto la scheda Tipo . Le altre schede diventano disponibili una volta definito il tipo di cambio utensile.

Tipo | Questa scheda consente di selezionare il tipo di cambio tastatore.
Calibrazione | Questa scheda consente di scegliere le punte attive da calibrare.
Punto di montaggio | Questa scheda consente di modificare i valori AB del polso e di definire una posizione di sicurezza nella quale è possibile spostare la macchina CMM dopo ogni ciclo.
Alloggiamenti | Questa scheda consente di definire la configurazione del tastatore o dello stilo per gli alloggiamenti esistenti,nel rack del cambio tastatore.
COM | Questa scheda consente di utilizzare la porta seriale del computer per la connessione al cambio tastatore.

Nelle sezioni seguenti vengono descritte dettagliatamente queste opzioni.

L'argomento "Definizione Cambi Utensile" nella sezione "Definizione Hardware" fornisce la descrizione passo-passo su come impostare e calibrare un cambio utensile. Viene descritto inoltre come visualizzare un cambio utensile esistente all'interno della finestra Grafica di Visualizzazione.

Vedere anche:

Tipo

COM

Calibrazione

Punto di montaggio

Alloggiamenti


Tipo

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Cambio tastatore - Scheda Tipo

Prima di eseguire la calibrazione, è necessario scegliere il tipo di cambio utensile. Selezionare il tipo desiderato nell'elenco a discesa Cambio Utensile. Al termine di questa operazione, è necessario riavviare PC-DMIS.

È possibile modificare la velocità di aggancio per eseguire la regolazione fine del ciclo di cambio. Inserire una nuova percentuale per impostare la velocità di aggancio.

Vedere anche:

Cambio Utensile Attivo

Numero Cambi Tastatore

Tipo Cambio Utensile

Velocità di Deposito

Comm Mount PointCalibrateSlotsOk buttonCancel buttonApply buttonHelp buttonActive Probe ChangerNumber of Probe Changers boxProbe Changer Type listDocking Speed box


Cambio Utensile Attivo

A seconda del valore riportato nella casella Numero Cambi Utensile, l'elenco Cambio Utensile Attivo contiene voci numerate (Cambio Utensile, Cambio Utensile, Cambio Utensile e così via) alle quali è possibile assegnare un cambio Utensile e i valori ad esso associati.

Inizialmente nell'elenco viene visualizzata una sola voce, ovvero "Cambio tastatore1". È possibile aggiungere ulteriori voci all'elenco incrementando il valore della casella Numero cambi Utensile.

Il tipo di cambio utensile ed eventuali altri valori per la voce numerata vengono memorizzati nell'elenco Cambio Utensile Attivo.


Numero Cambi Tastatore

La casella Numero Cambi Tastatore consente di determinare il numero di cambi tastatore da utilizzare. Il numero inserito in questa casella corrisponde al numero di cambi tastatore disponibili nell'elenco Cambio tastatore attivo.


Tipo Cambio Utensile

Nell'elenco a discesa Tipo cambio utensile sono disponibili i vari tipi di cambio utensile.


Velocità di Deposito

La casella Velocità di deposito consente di determinare la velocità di aggancio del ciclo di cambio.


COM

COM Visualizza Mappa Percorsi dei Menu

FInestra di dialogo Cambio Utensile - Scheda COM

Alcuni tipi di cambi utensile prevedono una connessione seriale al computer. Questa finestra di dialogo consente di scegliere la porta di comunicazione (COM) del computer e di modificarne le impostazioni. Per ulteriori informazioni sulle impostazioni della porta COM si consulti la documentazione relativa all'hardware del computer.

Se il cambio tastatore utilizzato non prevede una connessione seriale, la scheda COM non viene visualizzata.

Help button Apply buttonCancel buttonOk buttonSlotsCalibrateMount PointType


Calibrazione

Finestra di dialogo Cambio tastatore - Scheda Calibrazione

Per poter caricare le configurazioni del tastatore nel rack, tenere presente quanto segue:

  • È necessario scegliere il tastatore o lo stilo nella scheda Tipo e calibrarlo.

  • Il rack va allineato rispetto ad uno degli assi della CMM .

  • È necessario utilizzare lo stilo PS35R fornito dalla Renishaw per eseguire la calibrazione del cambio tastatore.

  • Verificare che lo stilo sia stato calibrato prima di avviare la calibrazione. (Vedere l'argomento "Definizione tastatori" nella sezione "Definizione Hardware" .

ATTENZIONE:Il sistema di rilevazione optoelettronico a raggi infrarossi è sempre attivo. Se viene fatto scattare accidentalmente, il controller del tastatore PI200 disattiverà il dispositivo TP200.

Vedere anche:

Cambio Utensile Attivo

File Tastatore Attivo

Punta Attiva

Calibrazione Completa

Calibrazione Parziale

Calibrazione Porta Singola

Calibrazione

Help button Apply buttonCancel buttonOk buttonCalibrate buttonFull CalibrationActive TipActive Probe FileActive Probe Changer listSlotsMount PointCommType


Cambio Utensile Attivo

Nell'elenco Cambio Utensile Attivo è possibile selezionare il cambio utensile da calibrare.

Per informazioni su questo elenco, vedere Cambio Utensile Attivo nella scheda Tipo.


File Tastatore Attivo

L'elenco a discesa File tastatore attivo consente di selezionare un tastatore da utilizzare per il processo di calibrazione.


Punta Attiva

Visualizza Mappa Percorsi dei Menu

L'elenco a discesa Punta Attiva consente di scegliere la configurazione della punte, per il tastatore selezionato.


Calibrazione Completa

Scegliendo Calibrazone Completa PC-DMIS misurerá l'intero tastatore.Questo é il metodo di calibrazione piú comunemente usato e, in alcuni casi, l'unico disponibile. Si consiglia all'operatore di utilizzare il metodo di calibrazione completa.


Calibrazione Parziale

L'opzione Calibrazione parziale consente di calibrare solo una parte del cambio utensile. Nel caso di ACR1, verrá misurata soltanto la sfera datum sul cambio utensile.


Calibrazione Porta Singola

Dopo aver eseguito una calibrazione completa, alcuni cambi utensile consentono di eseguire la misurazione di un'unica stazione.

L'opzione Calibration Stazione Singola è disponibile solo per i cambi tastatore ACR2 e Zeiss.


Calibrazione

Il pulsante Calibrazione consente di avviare il processo di calibrazione visualizzando la finestra di dialogo Cambio utensile. Di seguito è riportata la procedura relativa alla calibrazione del cambio utensile.

Per calibrare il cambio utensile SRC200, operare come segue:

  1. Verificare che il cambio tastatore SCR200 sia impostato sulla modalità B.

  2. Caricare lo stilo calibrato del PS35R.

  3. Prendere un punto sulla facciata frontale del cambio utensile.

  4. Prendere un punto sulla parte superiore del cambio tastatore.

  5. Sollevare il coperchio dell'asola 1. Quando si trova in posizione verticale, farlo scorrere verso il centro fino a quando non si blocca lasciando libera l'asola. A questo punto, PC-DMIS richiederà di prendere un punto su entrambi i lati dell'asola.

  6. Prendere entrambi i punti sulla parte inferiore dell'asola del rack Fare riferimento ai grafici. Non è importante il lato dell'asola che verrà misurato per primo. Selezionare il pulsante Chiudi ad ogni rilevazione punto.

  7. Chiudere il coperchio dell'asola 1.

  8. Ripetere le operazioni descritte ai punti da 4 a 6 per l'ultima asola del rack. Verificare che il coperchio dell'asola 1 sia stato chiuso prima di aprire il coperchio dell'ultima asola. Se si aprono più coperchi contemporaneamente, il controller del tastatore PI200 disattiverà il dispositivo TP200.

Al termine del processo di calibrazione, selezionare il pulsante OK nella finestra di dialogo Cambio Utensile.


Punto di montaggio

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Cambio tastatore - Scheda Punto di montaggio

La scheda Punto di montaggio consente di modificare i valori dell'angolo AB del polso e di definire una posizione di sicurezza nella quale spostare la macchina CMM, prima di ciascun ciclo di cambio.

È possibile effettuare questa operazione per il numero di cambi tastatore definito nella scheda Tipo. Selezionare il cambio tastatore dall'elenco Cambio tastatore attivo e inserire i valori desiderati per gli angoli AB e la posizione della CMM.

Vedere anche:

Cambio Utensile Attivo

Angolo del Polso Testata Tastatore

Posizione CMM

Machine Position area Help buttonApply buttonCancel buttonOK buttonProbe Head Wrist Angle areaActive Probe Changer listSlotsCalibrateCommType


Cambio Utensile Attivo

Nell'elenco Cambio Utensile Attivo è possibile selezionare il cambio tastatore per il quale definire gli angoli polso AB e una posizione CMM.

Per informazioni su questo elenco, vedere Cambio Utensile Attivo nella scheda Tipo.


Angolo del Polso Testata Tastatore

Le caselle Angolo A e Angolo B indicano la posizione del braccio PH9 durante il posizionamento delle configurazioni del tastatore. Solitamente, l'angolo dovrebbe indicare una posizione ad angolo retto verso il basso.

Per cambiare gli angoli AB, effettuare le seguenti operazioni:

  1. Posizionare il cursore nella casellaAngolo A oppure Angolo B .

  2. Inserire l'angolo desiderato.


Posizione CMM

La sezione Posizione CMM di questa finestra di dialogo consente di indicare una posizione di sicurezza nella quale è possibile spostare la macchina CMM prima di ciascun ciclo di cambio. Solitamente, la posizione di sicurezza si trova ad una distanza di circa due pollici rispetto ad entrambe le parti superiore e anteriore del rack del cambio utensile. Tuttavia, potrebbe essere necessario spostare la macchina in un'altra posizione in base al tipo di cambio tastatore.

Per modificare i valori relativi alla posizione CMM, effettuare le seguenti operazioni:

  1. Selezionare il valore precedente della casella X, Y, o Z che si desidera cambiare.

  2. Inserire il valore corretto nelle caselle appropriate oppure selezionare il pulsante Leggi CMM per inserire la posizione corrente della macchina.


Alloggiamenti

Visualizza Mappa Percorsi dei Menu

FInestra di dialogo Cambio Utensile - Scheda Alloggiamenti

Il cambio tastatore è un rack contenente alloggiamenti per le diverse configurazioni tastatore. La scheda Alloggiamenti consente di definire la configurazione del tastatore per ciascun alloggiamento che verrà utilizzato. Il valore predefinito per ciascuna alloggiamento è "nessun tastatore". È possibile definire la configurazione del tastatore per ciascun alloggiamento del cambio tastatore selezionato.

Vedere anche:

Definizione della Configurazione Tastatore per Ciascun Alloggiamento

Modifica manuale della posizione XYZ di un alloggiamento

Ripristino del valore predefinito 'nessun tastatore' per un tastatore

Aggiunta o rimozione di alloggiamenti dalla finestra di dialogo

Come Rilasciare un Tastatore senza Prelevarne uno Nuovo

Active Probe ChangerOK buttonCancel buttonApply buttonHelp buttonSlotsCalibrateCommTypeEdit Slot DataNumber of Slots


Definizione della Configurazione Tastatore per Ciascun Alloggiamento

  1. Selezionare il cambio tastatore appropriato dall'elenco Cambio tastatore attivo.

  2. Fare clic sul segno più (+) alla sinistra del numero di alloggiamento. Si noterà che come valore predefinito viene visualizzato "nessun tastatore".

  3. Fare doppio clic o fare clic con il pulsante destro del mouse sulla voce "nessun tastatore". Viene visualizzato un elenco.

  4. Assegnare il file del tastatore appropriato a ciascun alloggiamento. Per caricare ciascuna configurazione del tastatore nel rack è necessario utilizzare l'opzione Braccio CMM e Carica tastatore Attivo . Non inserire manualmente il tastatore nel rack.


Modifica manuale della posizione XYZ di un alloggiamento

  1. Selezionare l’alloggiamento appropriato dall'elenco Cambio tastatore attivo.

  2. Fare clic sul pulsante Modifica posizione alloggiamento. Viene visualizzata la finestra di dialogo Posizione alloggiamento del Cambio Utensile. in cui si puó modificare il tipo di stazione, oppure la posizione XYZ.

    Finestra di dialogo Posizione Alloggiamento del Cambio Utensile

  3. Selezionare il tipo voluto nell’elenco Tipo Stazione, se disponibile. Questo elenco é selezionabile soltanto con FCR25 (usato con il tastatore SP25). L’elenco é utile per configurare ciascuna stazione con una delle seguenti modalitá:

    • puó essere aperto per modifica di un modulo

    • Puó avere la possibilitá di inserire e mantenere punte di un tastatore per scansione.

    • Puó avere la possibilitá di inserire e cambiare punte di un tastatore per scansione.

Le voci dell’elenco Tipo Stazione visualizza I numeri del modello Renishaw per inserimento in stazione, etc. Per informazioni dettagliate sull’uso del cambio utensile FCR25 e sulla configurazione ed uso di inserimenti nelle stazioni, si consulti la documentazione Renishaw relativa.

  4. Specificare la posizione dell’alloggiamento, indicando i valori X,Y e Z (in millimetri) nelle caselle.

  5. Fare clic sul pulsante OK. PC-DMIS chiude la finestra di dialogo e mostra i valori XYZ per l’alloggiamento nella finestra di dialogo Cambio Utensile.

  6. Volendo ripristinare il valore precedente di una stazione, occorre selezionare quella stazione, fare clic su Modifica Dati Stazione, poi fare clic sul pulsante Ripristina XYZo su Ripristina Tipo nella finestra di dialogo Dati della Stazione Cambio Utensile, se disponibile. Questi pulsanti sono disponibili solo se non si é giá fatto clic su OK o su Applica nella finestra di dialogo Cambio Utensile.

  7. Se si vogliono rendere operative le modifiche, si faccia clic su OK oppure su Applica, nella finestra di dialogo Cambio Utensile.


Ripristino del valore predefinito 'nessun tastatore' per un tastatore

  1. Selezionare il cambio tastatore appropriato dall'elenco Cambio tastatore attivo.

  2. Fare doppio clic sull'alloggiamento da modificare. Viene visualizzato un elenco.

  3. Selezionare "nessun tastatore" dall'elenco disponibile.


Aggiunta o rimozione di alloggiamenti dalla finestra di dialogo

Con alcuni tipi di cambio tastatore è possibile definire il numero di alloggiamenti.

  1. Selezionare il cambio tastatore appropriato dall'elenco Cambio tastatore attivo.

  2. Modificare il valore nella casella Numero di alloggiamenti.

  3. Fare clic sul pulsante Applica per visualizzare immediatamente le modifiche.

Se il cambio tastatore non consente di modificare il numero di alloggiamenti, la casella Numero di alloggiamenti non sarà disponibile.


Come Rilasciare un Tastatore senza Prelevarne uno Nuovo

É possibile rilasciare il tastatore attivo nel cambio utensile senza prelevarne un altro dal magazzino.

A tale scopo, operare come segue:

  1. Creare un file tastatore fittizio per un tastatore che non esiste nella finestra di dialogo Utilità tastatore. Dargli un nome tipo “scarica”. (Vedere l'argomento "Definizione tastatori" nella sezione "Definizione Hardware" .

  2. Fare clic sul pulsante Imposta. Viene visualizzata la finestra di dialogo Impostazione Tastatore.

  3. Selezionare il file del tastatore dalla lista File utensile usato con cambio utensile per forzare solo lo scarico.

  4. Fare clic su OK per chiudere la finestra di dialogo Impostazione tastatore.

  5. Accedere alla scheda Alloggiamenti nella finestra di dialogo Cambio Utensile ed accertarsi che il tastatore NON sia assegnato a nessun alloggiamento del cambio utensile.

  6. Fare clic su OK per chiudere la finestra di dialogo Impostazione tastatore.


Gestione di Cambi Utensile Multipli

Vengono descritti nel seguito i tastatori maggiormente usati (il TP2, ACR1, TP20 e TP200, e infine l'SP600). Gli argomenti "Configurazione di Magazzini Multipli" e "Sistema di cambio Utensile/Stilo SP25" forniscono in dettaglio esempi su come operare con cambi utensile multipli.

Vedere anche:

Background del TP2

Background su ACR1

Background su TP20 e TP200

Background Tastatore Analogico SP600

Configurazione Magazzini Multipli

Sistema di Cambio Utensile/Stilo SP25


Background_on_TP2

Background del TP2

Quando Renishaw sviluppó il tastatore punto-punto (TP2), lo collegó ai conteggi della CMM attraverso la testata tastatore, con una commessioneM8 sincronizzata al tastatore stesso. Tuttavia il progetto richiedeva la ricalibrazione del tastatore ad ogni sostituzione o nuovo collegamento.

Per svincolarsi dalla necessitá di ricalibrazione, Renishaw ha sviluppato un adattatore ad aggancio rapido (chiamato QuickConnect) il quale richiede ¼ di giro di chiave per collegarsi e scollegarsi dalla CMM. Il TP2 si avvita a questo adattatore. L'adattatore puó essere collegato e scollegato con buona velocitá e ripetibilitá, senza necessitá di ricalibrare


Background su ACR1

ACR1 é stato il primo cambio utensile prodotto da Renishaw. Esso conteneva fino ad otto estensioni ad innesto rapido, ciascuna con una testata tastatore TP2 separata. Dopo che la collezione dei tastatori era qualificata ed alloggiata nel magazzino (rack), ognono di essi poteva essere rilasciato o prelevato dalla CMM con semplici comandi di movimentazione sincronizzati ai meccanismi di aggancio/rilascio ad/dal rack. É poi stato sviluppato un modulo software per il controllo delle operazioni sul rack .


Background su TP20 e TP200

Nel tempo, l'evoluzione nella progettazione e gli sviluppi dell'elettronica hanno reso possibili alternative alla testata tastatore TP2. Inoltre, per alcuni clienti, acquistare fino ad otto utensili puó essere proibitivo. Sono stati progettati nuovi tastatori che consentono di sganciare e riagganciare differenti adattatori di punte che hanno sostituito le connessioni ad aggancio rapido. Ora é possibile agganciare e sganciare gruppi di utensili senza sforzo e con buona ripetibilitá.

Due tipi di tastatori Renishaw ben noti sono il TP20 ed il TP200. Ciascuno é grossolanamente equivalente al TP2, per dimensione e forma, tuttavia ci sono due differenze sostanziali:

  • I progressi nella progettazione fanno si' che essi possano sostenere pesi maggiori senza perdere in precisione o in ripetibilitá.

  • Ció consente il loro utilizzo con il loro stilo, insieme ai sistemi di cambio utensile MCR20 ed SCR200 rispettivamente.


Background Tastatore Analogico SP600

Un altro miglioramento é costituito dal tastatore analogico SP600. Questo tastatore puó effettuare scansioni analogiche(continue) ed anche misurazioni punto-punto. Mentre il progetto della testata ha dimensioni maggiori della serie TP, il porta-utensile magnetico separa l'utensile dalla testata. Analogamente esiste per l'SP600 un magazzino (rack), il cambio utensile SCR600.


Configurazione Magazzini Multipli

Anche se sono presenti sul mercato altri tipi di tastatore, i quattro sistemi piú popolari sono TP2, TP20, TP200, ed l'SP600. Ciascuno di questi ha il proprio magazzino indipendente. In alternativa é possibile usare piú di un magazzino con una CMM: il software di PC-DMIS puó passare da un magazzino ad un altro per caricare e rilasciare i tastatori e porta utensili, a seconda delle necessatá.

Importante:

  • Ad ogni tipo di magazzino corrisponde in PC-DMIS un metodo di colibrazione. I vari metodi sono indipendenti tra loro, anche se presentano parecchie similitudini.

  • Il movimento di disimpegno relativo a ciascun magazzino é relativo allo specifico magazzino, occorre comunque prestare attenzione al movimento successivo. Per questo motivo il movimento di disimpegno deve essere tale da permettere di muovere agevolmente a qualunque altro magazzino. Anche nel caso di magazzino singolo, tale movimento deve consentire lo spostamento da e verso il pezzo in esame.

  • La definizione del contenuto degli alloggiamenti, nel caso di magazzini multipli, é l'aspetto piú delicato della configurazione di piú magazzini da utilizzare simultaneamente. Ciascun alloggiamento puó contenere il riferimento a piú di un tastatore ( il suo contenuto puó essere usato per piú di un tastatore); ne consegue che ogni alloggiamento deve identificare tutti i tastatori che puó contenere.

Vedere anche:


Esempio di Referimento a Tastatori Multipli

Supponiamo di avere la configurazione seguente, dotata di tre tastatori:

TASTATORE_01 | TASTATORE_02 | TASTATORE_03
Giunto a connessione Rapida | Giunto a connessione Rapida | Giunto a connessione Rapida
TP2 | TP20 | TP20
Stilo 3mmx10mm | Stilo 2mmx10mm | Stilo 4mmx20mm

L'ACR1 commuterá tra i tastatori TP2 e TP20. L'MCR20 commuterá tra gli stili associati al(ai) sistema(i) di tastatori TP20.

Ecco un esempio di definizione degli alloggiamenti:

ACR1 |  | MCR20
Asola 1 | Asola 2 | Asola 1 | Asola 2
Tast_01 | Tast_02 | Tast_02 | Tast_03
 | Tast_03 |  |

Operativamente, si supponga che il sistema utilizzi PROBE_01 e debba passare a PROBE_02, la procedura sará la seguente:

  • Mettere in pausa il programma di misura.

  • Portarsi in posizione di sicurezza rispetto ad ACR1.

  • Ripostare il tastatore corrente nell'alloggiamento 1 di ACR1.

  • Muovere verso lo slot 2 e prelevare il corpo del TP20 per PROBE_02.

  • Utilizzare i movimenti di Sicurezza/Disimpegno per protarsi verso l'MCR20.

  • Portarsi nello slot 1 dell'MCR20 per collegare l'adattatore dello stilo allo stilo stesso.

  • Riportarsi al punto di disimpegno dell'MCR20.

  • Riprendere l'esecuzione del programma di misura.

Supponiamo che, dopo aver misurato alculi elementi, il sistema debba utilizzare PROBE_03, si opererá come segue:

  • Mettere in pausa il programma di misura.

  • Portarsi in posizione di sicurezza rispetto ad MCR20.

  • Scaricare lo stilo di TASTATORE_02 nell'asola 1.

  • Uscire dalla posizione di scarico e portarsi nell'asola 3, per caricare lo stilo occorrente a TASTATORE_03.

  • Portarsi in posizione di disimpegno.

  • Riprendere l'esecuzione del programma di misura.

Ora supponiamo sia necessario ritornare a TASTATORE_01 (il TP2 con stilo 3mmx10mm) da TASTATORE_03 ( il TP20 con stilo 4mmx20mm). Si opererá il questo modo:

  • Mettere in pausa il programma di misura.

  • Portarsi in posizione di sicurezza rispetto ad MCR20.

  • Scaricare nell'asola 2 l'insieme degli stili.

  • Riportarsi al punto di disimpegno dell'MCR20.

  • Muovere alla posizione di disimpegno di ACR1.

  • Scaricare nell'asola 2 l'insieme degli stili TP20.

  • Uscire e ritornare all'asola 1 per caricarvi l'assieme TP2 (lo stilo é giá innestato sul TP2).

  • Portarsi in posizione di sicurezza rispetto all'ACR1.

  • Riprendere l'esecuzione del programma di misura.

Si noti che nell'esempio illustrato occorre una sola testa tastatore TP20. L'MCR20 é utilizzato per commutare tra due diversi assiemi di stili del tastatore, per soddisfare esigenze di misura differenti.


Sistema di Cambio Utensile/Stilo SP25

Il rack SP25 é un'estensione delle stesse procedure usate per altri rack. La descrizione riguarda i rack ARC1 e TP20 ed aggiunge inoltre la descrizione del magazzino SP25.

Vedere anche:

D escrizione del magazziono ARC1

Descrizione di ARC1 con Cambio Stilo TP20

Descrizione del Rack SP25


Il Magazzino ACR1

Utilizzando l'ACR1, il sistema usa il connettore QuickConnect tra la testata del tastatore ed il corpo di questo. Tutte le asole dell'ACR1 sono identiche, quindi un SP600 nell'asola 1 potrà essere collegato direttamente alla testata del tastatore. Se si desidera inserire un TP2 nell'asola 2, è necessario montare un adattatore sul TP2 (come nel caso dei sistemi TP20 e TP200).

Tenendo presente questa configurazione, occorre definire soltanto un nome tastatore per ciascuna asola. Tecnicamente, l'ACR1 é un cambio utensile e ciascun tastatore ha uno stilo collegato, quando é alloggiato nel magazzino.

Supponiamo di voler assegnare al rack ACR1 i seguenti tastatori: "SP600", "TP2", "TP20", e "TP200". Le definizioni nel rack ACR1 saranno:

ASOLA1 | ASOLA2 | ASOLA3 | ASOLA4
SP600 | TP2 | TP20 | TP200


Descrizione di ARC1 con Cambio Stilo TP20

Ora, volendo compbinare l'ACR1 con un rack TP20 (cambio stilo), le cose si fanno leggermente piú complesse. L'ACR1 commuterá tra i tastatori SP600 e TP20. Una volta prelevato il TP20, andrá nel rack MCR20 per prelevare lo stilo appropriato.

Supponiamo di avere 3 stili separati da utilizzare con il TP20 e che l'SP600 venga utilizzato come tastatore singolo (senza cambio stilo).

In fase di definizione delle asole, si puó chiamare il tastatore SP600 "SP600_1"; i tastatori con i vari stili si potranno chiamare "TP20_1", "TP20_2" e "TP20_3".

Le asole del cambio utensile ACR1 saranno definiti come:

ASOLA1 | ASOLA2 | ASOLA3 | ASOLA4
SP600 | TP2 | TP20_1 | TP200
 |  | TP20_2 |
 |  | TP20_3 |

Gli slot del cambio utensile TP20 saranno definiti come:

ASOLA1 | ASOLA2 | ASOLA3 | ASOLA4
TP20_1 | TP20_2 | TP20_3 | vuoto


Descrizione del Rack SP25

La logica dei sistemi fini qui descritti si puó estendere al sistema rack SP25. Tale rack accetta due tipi diversi di componennti tastatore. Nel caso di un tipo, l'asola deve essere calibrato da vuota, nell'altro tipo invece deve essere calibrata con un inserimento.

Nel seguito si abbandonano i riferimenti all'SP600, TP2, TP20 e TP200, poiché il rack SP25 usa invece i componenti che seguono:

q SP25M

q SM25-x

q SM25-x

Ulteriori informazioni sull'SP25M ed FCR-25 si possono trovare su Internet, facendo clic sulle icone seguenti:

  • SP25M

  • FCR-25

L'SP25M si adatta a qualunque dei tre differenti moduli SM25 per stili di diversa lunghezza o perso ed un quarto modulo ai puó utilizzare con il TP20. Tutti questi moduli utilizzano il corpo tastatore SP25M.

  1. Modulo SM25-1 – Questo modulo accetta soltanto il porta-stilo SH25-1, ed é utilizzato con stili lunghi da 20 a 50mm.

  2. Modulo SM25-2 – Questo modulo accetta soltanto il porta-stilo SH25-2, ed é utilizzato con stili lunghi da 20 a 50mm.

  3. Modulo SM25-3 – Questo modulo accetta soltanto il porta-stilo SH25-3, ed é utilizzato con stili lunghi da 120 a 200mm. Questi moduli SM25-x possono rilevare punti sia mediante deflessione, sia mediante scansione.

  4. Modulo TM25-20 – Questo modulo accetta soltanto il porta stilo TP20, e viene usato per rilevazioni mediante deflessione.

Vedere anche:


Esempio di uso dell'SP25 con tastatori Multipli

Supponiamo che il magazzino SP25 disponga di sei assiemi di tastatori connessi alla testata:

P1 | P2 | P3 | P4 | P5 | P6
SP25M | SP25M | SP25M | SP25M | SP25M | SP25M
SM25-1 | SM25-1 | SM25-2 | SM25-3 | TM25-20 | TM25-20
SH25-1 | SH25-1 | SH25-2 | SH25-3 | TP20 | TP20
Stilo 2mm per 20mm | Stilo 4mm per 30mm | Stilo 6mm per 80mm | Stilo 8mm per 100mm | Stilo 2mm per 20mm | Stilo 4mm per 20mm

Si definiscono gli slot del magazzino FCR25 perché possano alloggiare i componenti delle diverse configurazioni di tastatori. La prima tabella mostra gli slot che alloggiano i componenti delle configurazioni tastatore elencate sopra.

ASOLA 1 | ASOLA 2 | ASOLA 3 | ASOLA 4 | ASOLA 5 | ASOLA 6
P1 | P1 | P2 | P3 | P4 | P5*
P2 |  |  |  |  |

Piú in dettaglio, gli slot alloggeranno questi componenti:

ASOLA 1 | ASOLA 2 | ASOLA 3 | ASOLA 4 | ASOLA 5 | ASOLA 6
SM25-1 | SH25-1 | SH25-1 | SH25-2 | SM35-3 | TM25-20
 | Stilo 2mm per 20mm | Stilo 4mm per 20 mm | Stilo 6mm per 80mm | SH25-3 | TP20*
 |  |  |  | Stilo 8mm per 100 mm | Stilo 2mm per 20mm*

L'asola 1 contiene unicamente il modulo SM25-1 e non usa inserti. Questo componente si innesta direttamente sull'SP25 e richiede l'aggiunta di un SH25-1 con stilo di 2mm che si trova nello slot 2, oppure di un SH25-1 con stilo di 4mm che si trova nell'asola 3.

L'asola 2 contiene il porta-stilo SH25-1 contenente uno stilo di 2mm per 20mm. Questo richiede a sua volta un inserto, per adattare le caratteristiche fisiche dell'asola al componente. Questo componente richiede un modulo SM25-1 che si trova nell'asola 1. Una volta caracato l'SM25-1, l'assieme tastatore é completo.

L'asola 3 contiene il porta-stilo SH25-1 contenente uno stilo di 4mm per 30mm. Questo richiede a sua volta un inserto, per adattare le caratteristiche fisiche dell'asola al componente. Questo componente richiede un modulo SM25-1 (posto nell'asola 1). Una volta caricato l'SM25-1, il complessivo tastatore é completo.

L'asola 4 contiene il porta-stilo SH25-2 con uno stilo di 6mm per 80mm. Non sono necessari inserti adattatori. Una volta caricato, l'assieme tastatore é completo.

L'asola 5 contiene il porta-stilo SH25-3 con uno stilo di 8mm per 100mm. Non sono necessari inserti adattatori. Una volta caricato, l'assieme tastatore é completo.

L'asola 6 contiene soltanto il modulo TM25-20. e non usa inserti. Questo componente si innesta direttamente all'SP25M.

* Se utilizzati con stilo singolo, il modulo e lo stilo del tastatore TP20 possono essere innestasti al modulo TM25-20 direttamente nell'asola, e non richiedono un magazzino aggiuntivo. Tuttavia, quando viene utilizzato con stili multipli (come nell'esempio) il modulo TM25-20 non ha componenti aggiuntivi quanto é caricato, ma richiede l'uso di asole aggiuntive dell'FCR25, con adattatori aggiuntivi specifici per gestire combinazioni di moduli/stili del TP20. Nel caso dell'esempio, le tre porte aggiunte saranno di questo tipo:

ASOLA 7 | ASOLA 8 | ASOLA 9
P5 | P6 | vuoto

ASOLA 7 | ASOLA 8 | ASOLA 9
TP20 | TP20 | vuoto
Stilo 2mm per 20mm | Stilo 4mm per 20mm |

Utilizzando P1, la CMM scaricherá tutti i componente esistenti, poi caricherá l'SM25-1 dall'asola 1 dell'FCR25 e proseguirá caricando l'SH25-1 dall'asola 2, dal medesimo magazzino.

Utilizzando P2, la CMM scaricherá tutti i componente esistenti, poi caricherá l'SM25-1 dall'asola 1 dell'FCR25 e proseguirá caricando l'SH25-1 dall'asola 3, dal medesimo magazzino.

Utilizzando P3, la CMM scaricherá tutti i componente esistenti, poi caricherá la combinazione SM25-2 ed SH25-2 dall'asola 4, completando la composizione del tastatore.

Utilizzando P4, la CMM scaricherá tutti i componente esistenti, poi caricherá la combinazione SM25-3 ed SH25-3 dall'asola 5, completando la composizione del tastatore.

Utilizzando P5, la CMM scaricherá tutti i componente esistenti, poi caricherá il corpo TM25-20 nell'asola 6 dell'FCR25, continuando con il caricamento della combinazione modulo/stilo del TP20 nell'asola 7 dell'FCR25.

Utilizzando P6, la CMM scaricherá tutti i componente esistenti, poi caricherá il corpo TM25-20 nell'asola 6 dell'FCR25, continuando con il caricamento della combinazione modulo/stilo del TP20 nell'asola 8 dell'FCR25.

Come nel caso di altri sistemi di cambio utensile e assiemi tastatore, i componenti vengono scaricari in ordine inverso, rispetto all'oridine di caricamento.


Caricamento del Tastatore Attivo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Preferenze | Carica tastatore attivo consente di caricare il tastatore attivo necessario al part-program. In modalità Apprendimento, utilizzare la finestra di dialogo Utilità tastatore (Inserisci | definizione Hardware | Tastatore) per modificare i file tastatore caricati. La finestra di dialogo Impostazione Cambio Utensile (Modifica | Preferenze | Cambio Utensile) permette di definire le configurazioni tastatore corrette, per ciascuno degli alloggiamenti usati nel magazzino. L'opzione Carica Tastatore Attivo essere usata di seguito, per inviare alla macchina i comandi relativi ai cambi di configurazione opportuni.


Impostazione dell'Interfaccia CMM

Visualizza Mappa Percorsi dei Menu

Questa opzione è disponibile solo in modalità Online.

L'opzione di menu Modifica | Preferenze | Imposta interfaccia CMM consente di visualizzare la finestra di dialogo Opzioni Macchina per l'interfaccia specifica della macchina in uso. Anche se il contenuto delle schede sull'interfaccia nella finestra di dialogo puó differire notevolmente da un’interfaccia all’altra, le schede normalmente contengono le seguenti informazioni:

  • Comunicazione tra Macchina e testata tastatoree

  • Offset meccanici

  • Orientazione Assi

  • Informazioni di debug

L’opzione Imposta interfaccia CMM è disponibile solo quando si lavora on-line.

Attenzione: Nella maggioranza dei casi i valori di questa finestra di dialogo non devono essere cambiati. Alcune voci in questa finestra di dialogo, come gli Offset meccanici, sovrascrivono in modo permanente i valori memorizzati sul controllo della macchina. Per domande relative a come e quando utilizzare la finestra di dialogoOpzioni CMM, contattare il servizio di assistenza tecnica.

I parametri relativi alla finestra di dialogo Opzioni CMM sono discussi per le interfacce CMM seguenti:

Axila

Backtalk (B&S)*

Bright

Dea

Elm

Embboard (B&S)*

Faro

Federal

GOM

Johansson

Leitz

LKDriver

LKRS232

Manmiti

Manmora

Metrocom/Metromec

Metrolog

Mitutoyo

Mora

MZeizz

Numerex

Omnitech

Reflex

Renishaw

Romer

Sharpe

Sheffield

Tech80

Theodole

Wenzel

Zeiss

ZssGPIB

*B&S = Brown & Sharpe

Per maggiori informazioni su installazione ed impostazioni delle varie interfacce occorre far riferimento alla documentazione sulle installazioni (Machine_Interface_Installation_Manual.doc).

Vedere anche:

Assegnazione Assi Macchina

Generazione di un File Debug

Comunicazione OIT

Comunicazione con PH9

Impostazioni Tavola Rotante

Impostazione del protocollo di Comunicazione

Impostazione Fattori di Scala Assi

Configurazione Polso


Assegnazione Assi Macchina

Finestra di dialogo Opzioni Macchina - scheda Assi

Per esmpio, la scheda Asse contiene elenchi degli assi X, Y e Z. Si puó scegliere da questi elenchi a discesa quali assi macchina associare agfli assi di PC-DMIS. AVVERTENZA: la direzione dell'asse DEVE essere definita secondo un sistema di assi cartesiani ortonormale.

Attenzione: Il cambiamento dei valori predefiniti nella scheda Asse puo' rendere non valida la compensazione volumetrica della macchina (per alcuni tipi di controllo e di compensazione volumetrica).


Generazione di un File Debug

PC-DMIS puó generare un file di testo contenente la storia della comunicazione tra PC-DMIS e il controllo della macchina, durante l’esecuzione di un part-program. Questo file si chiama file di debug ed è utilizzato dal supporto tecnico per risolvere alcuni problemi che coinvolgono la macchina.

Il file di debug elenca tutti i comandi che PC-DMIS invia alla macchina, le risposte ricevute e i messaggi di errore generati dal controllo.

Se si verifica un problema ripetibile che coinvolge il funzionamento on-line della macchina, è possibile generare un file di debug nel modo seguente:

1. Nella finestra di dialogo Opzioni Macchina (Modifica | Preferenze | Imposta Interfaccia CMM ), selezionare la scheda Debug .

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Opzioni Macchina - scheda Debug

2. Selezionare la casella di controlloLog .

3. Scegliere un nome per il file di debug nella casella vicina alla casella di controllo Log check box. Il nome predefinito per il file è default.txt. É possibile far precedere al nome del file un path completo, per specificare su quale drive e in quale directory deve essere salvato il file. Normalmente PC-DMIS scrive il file di debug nella directory di installazione.

4. Fare clic su Applica e poi su OK. La finestra di dialogo viene chiusa.

5. Eseguire il part-program e, appena si presenta l’errore, chiudere PC-DMIS.

6. Spostarsi nella directory che contiene il file di debug e rinominarlo. Se il file non viene rinominato, all’esecuzione successiva di PC-DMIS, i dati contenuti nel file verranno sovrascritti.

il file di debug, il file del part-program (.prg) il file dei probeGlossProbe(.prb) e eventuali file accessori vanno inviati al servizio tecnico locale.

Vedere anche:

Generazione di un nuovo file di debug

Impostazione Opzioni Aggiuntive per Debug


Generazione di un nuovo file di debug

Per impostare un file di debug dall’inizio e cancellare tutti i dati preesistenti, selezionare la casella di controllo Ripristino Log ad Inizio Esecuzione nella scheda Debug. PC-DMIS cancellerà i contenuti del file già esistente ad ogni inizio di esecuzione del part-program.

Deselezionando Ripristina Log ad Inizio Esecuzione, PC-DMIS appende informazioni nel file, anziché cancellarne il contenuto.


Opzioni Aggiuntive per Debug

Impostazione Opzioni Aggiuntive per Debug

É possibile controllare il tipo e la destinazione delle informazioni di debug.

  • Fare clic sulla casella di controllo Finestra e fornire un nome alla finestra, nel campo sulla destra. Le informazioni di debug verranno visualizzate e potranno essere esaminate in quella finestra.

  • Specificare Nessuno, Entrambi, Log oppure Finestra a fianco di Rapporti Posizione per produrre i rapporti posizione da PC-DMIS.

  • Specificare Nessuno, Entrambi, Log oppure Finestra a fianco di Da Macchina per produrre le informazioni di debug macchina da inviare al computer. Questa opzione non é supportata da tutti i tipi di interfaccia.

  • Specificare Nessuno, Entrambi, Log oppure Finestra a fianco di Da CPU per produrre le informazioni di debug computer da inviare alla CMM. Questa opzione non é supportata da tutti i tipi di interfaccia.


Comunicazione OIT

Finestra di dialogo Opzioni Macchina - scheda OIT

La scheda Oit permette di configurare la comunicazione seriale con il dispositivo OIT. Si puó scegliere la porta di comunicazione (porta COM) e modificarne le impostazioni di conseguenza. Per ulteriori informazioni sulle impostazioni della porta COM si consulti la documentazione relativa al controllo. I tipi disponibili di OIT sono TESA, VORNE o GE.


Comunicazione con PH9

Finestra di dialogo Opzioni Macchina - scheda PH9

La scheda PH9 permette di configurare la comunicazione seriale con il dispositivo PH9. Si puó scegliere la porta di comunicazione (porta COM) e modificarne le impostazioni di conseguenza. Per ulteriori informazioni sulle impostazioni della porta COM si consulti la documentazione relativa al controllo.


Impostazioni Tavola Rotante

Finestra di dialogo Opzioni Macchina - scheda Rotante

La scheda Rotante permette di configurare nell'interfaccia le opzioni della tavola rotante.

Accelerazione - É la massima accelerazione della tavola rotante. Normalmente questo valore viene letto nella configurazione del controllo.

Velocitá - É la massima velocitá della tavola rotante. Normalmente questo valore viene letto nel controllo.

Risoluzione - Specifica il fattore di scala della tavola rotante.

Offset - La posizione iniziale della tavola rotante può non essere la posizione zero. Se si desidera che la tavola vada nella reale posizione zero dopo la posizione iniziale, questo valore è l'angolo che si desidera ruotare dopo la posizione iniziale. La seconda casella dopo Offset è per una seconda tavola rotante.

Delta min - È la differenza minima tra la posizione della tavola corrente e la nuova posizione della tavola richiesta. Se la differenza è inferiore a questo valore, la richiesta della tavola rotante sarà ignorata.

Tavola - Selezionare questa opzione se la macchina dispone di una tavola rotante.

Tavola doppia - Selezionare questa opzione se la macchina dispone di doppia tavola rotante.

Nota: Il portlock deve essere programmato per la tavola rotante.


Impostazione del protocollo di Comunicazione

Finestra di dialogo Opzioni Macchina - scheda Controllo

La scheda Comm o Controller permette di configurare la connessione seriale con il controller dell Interfaccia. Si puó scegliere la porta di comunicazione (porta COM) e modificarne le impostazioni di conseguenza. Per ulteriori informazioni sulle impostazioni della porta COM si consulti la documentazione relativa al controllo.


Impostazione Fattori di Scala Assi

Finestra di dialogo Opzioni Macchina - scheda Risoluzione

La scheda Risoluzione permette di definire il fattore di scala di ciascuno degli assi macchina. L'uso del fattore di scala é dovuto a:

  • alcuni controlli non restituiscono i valori di scala in formato reale (es.: 637.24319876), ma intero (es.: 63724319876). Nell'esempio, il numero intero restituito deve essere diviso per il fattore di scala 1.000.000, perché sia il valore corretto.

  • Questi valori possono essere anche usati per la compensazione del volume macchina. Per esempio, con un modesto errore lineare é opportuno usare un fattore di scala di 9.998, anziché 10.000.

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Configurazione Polso

Finestra di dialogo Opzioni Macchina - scheda Polso

La scheda Polso permette di specificare il fattore di scala degli assi A & B del dispositivo polso, nelle caselle Risoluzione A & B rispettivamente. Il fattore di scala é utilizzato per convertire i valori del polso, in modo che siano coerenti con i valori di PC-DMIS.

I valori degli Offset A e B sono usati per "mettere in squadra" la posizione zero del polso continuo.

La casella Vel. Max contiene la velocitá massima consentita (in percentuale) del polso continuo.

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia Axila

L'interfacciaThe Axila é utilizzata da macchine con bracci Axila . Il software PC-DMIS deve essere installato prima di dei driver e dei dati specifici del braccio e forniti insieme alla macchina. Il driver GDS della macchina Axila é protetto da una chiave hardware (HASP) che deve essere connessa al computer. Il CD-ROM GTech/ROMER fornisce utility da utilizzare con la macchina.

Prima di avviare PC-DMIS occorre rinominare axila.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Axila:

Scheda Debug

Si veda "Come Generare un file di Debug".

scheda Impostazione GDS

Questa scheda presenta un pulsante (Imposta Avvio) che lancia il software di impostazione, installato con l'interfaccia Axila

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Backtalk - Interfaccia1

Interfaccia Backtalk

L'interfaccia Backtalk é usata sulle macchine manuale Brown & Sharpe insieme a Man 3 (Interfaccia Seriale Esterna). Se la macchina é dotata di una punta leggera, é necessario modificare le impostazioni del controller MM2 Control, nell'Editor Impostazioni. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica voci del Registry" .

Occorre agganciare un monitor al controller, allo scopo di configurare il controller Backtalk. Prima di avviare PC-DMIS occorre rinominare backtalk.dll come interfac.dll.

Nota: Con Man 3 ed un mouse con guida Z, é necessaria una penna per disabilitare il mouse.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Backtalk:

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 4800 Baud, paritá pari, 7 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . Valori predefiniti: X=1.0, Y=1.0, Z=1.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Bright

L'interfaccia Bright é usata con macchine Mitutoyo Euro C (Bright) . L'interfaccia comunica con il controller attraverso una scheda proprietaria, sviluppata da Mitutoyo. Se l'installazione fa uso di un PC nuovo, la scheda deve essere prelevata dalla macchina originaria ed inserita nella nuova. Se il cliente necessita di utilizzare il software precedente con PC-DMIS, occorre che entrambi vengano installati sulla stessa macchina.

Prima di avviare PC-DMIS occorre rinominare backtalk.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Bright:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia DEA

L'interfaccia Dea é usata con macchine DEA GAMMA e macchine DEA di tipo nuovo (con controlli delle serie Tutor P & B3P ), Mistral Manuali (con "M" nella stringa che identifica la scheda del controllo) e Swift Manuali (con controlli di tipo "White Box" (AKA CPM3) ).

Se Tutor for Windows é giá installato sul PC, PC-DMIS localizza il file WTUTOR.INI, ne estrae le informazioni riguardanti la dislocazione della mappa di compensazione, i mechanical offset, etc., inpostando le opzioni corrispondenti di PC-DMIS, all'interno del registro di configurazione. Se invece Tutor non é installato sul PC, occorre modificare i parametri del registro di configurazione in modo opportuno.

Prima di avviare PC-DMIS occorre rinominare backtalk.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Dea:

Scheda Dea

Si veda l'argomento "Utilizzo della scheda Dea" .

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 9600 Baud, paritá pari, 8 bit di dati, ed 1 bit di stop.

Scheda PH9

Si veda "Comunicazione con PH9" . I valori predefiniti sono: Comm Port 2, 4800 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Polso

Si veda l'argomento ""Configurazione Polso . I valori predefiniti sono: A: Risoluzione = 3600, B: Risoluzione = 3600, A: Offset - 0.0, B: Offset 0.0, e Velocitá Max = 100.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . I valori predefiniti sono: X=10000.0, Y=10000.0, Z=10000.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Uso della scheda DEA

Finestra di dialogo Opzioni Macchina - scheda DEA

La scheda Dea consente di definire le seguenti impostazioni specifiche dell'interfaccia DEA:

Dimens. Buffer - É il numero di movimenti che possono essere bufferizzati dal controller. Alcune macchine danno errore se i movimenti sono troppi, perció ridurre tale numero puó aiutare. D'altra parte un valore piú basso puó ridurre le prestazioni del sistema: se, per esempio, si imposta questo valore ad 1, un comando di movimento verrá inviato soltanto quando la macchina ha terminato il movimento precedente e questo fará sí che la macchina sia ferma tra un movimento e l'altro, per l'intervallo di tempo necessario ad inviare ciascun comando.

Offset meccanici XYZ - Questi valori permettono di definire i mechanical offset della macchina. Questi valori vanno modificati esclusivamente da personale specializzato.

Assegnazione Pulsanti - Il pulsante Record può essere impostato su Cancella ultimo punto oppure può essere impostato per svolgere la stessa funzione del tasto fine.

Porta di Interrogazione Controller - Se questa opzione é selezionata, PC-DMIS interroga periodicamente la porta seriale del controller, per confermare la presenza di comunicazione. Selezionare questa opzione soltanto in presenza di problemi di comunicazione.

Sganciare i Motoriduttori - Questa casella di controllo va selezionata nel caso di macchine DCC con motoriduttori che possono venire sganciati, al fine di utilizzare la macchina in modalitá manuale.

Tipo di Compensazione - Selezionare uno dei seguenti metodi Volcomp: NESSUNO, Standard DEA, DEA DLL (wcompens32), ASI, oppure Brown & Sharpe.

Tipo di Compensazione - Selezionare uno dei seguenti metodi di compensazione: Macchina Standard, Dual Drive, Braccio Orizzontale (Arm 1), o Braccio Orizzontale (Arm 2).

Usa OCX compensazione termale strutturale DEA - Selezionare questa opzione per utilizzare l'OCX per la Compensazione Termica Strutturale DEA.

Percorso OCX - Specifica il percorso per raggiungere il file OCX della Compensazione termica Strutturale.

Tipo di Macchina - Specificare il tipo di macchina: Braccio o Robot

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia Elm

L'interfaccia Elm viene utilizzata con macchine con interfaccia Elm oppure Starrett . L'interfaccia comunica con una scheda posta nel PC e prodotta da API (Automated Precision, Inc). Tutta la comunicazione con il controller avviene attraverso questa scheda. Il file di libreria di PC-DMIS interfac.dll comunica con la dll API (dccsim32.dll) che si deve trovare nella directory di PC-DMIS.

Il programma di impostazione (setup) elmsetup.exe puó configurare i parametri macchina usati da PC-DMIS. Questo file si trova nel sito ftp di Wilcox, compresso in elmsetup.zip insieme ai dati ed ai file di risorse necessary all'utility di setup stesso.

Prima di avviare PC-DMIS occorre rinominare elm.dll come interfac.dll.

Nota: Su macchine Starrett puó essere usato il file API.INI a scopo di configurazione. Occorre soltanto aggiungere il nome file opportuno alla voce INI_Filename del file di configurazione INI.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Elm:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia BSEmbed

Interfaccia Embboard

L'interfaccia Embboard viene utilizzata sulle macchine manuali Brown & Sharpe insieme alla scheda del controller incorporato interno. Si tratta di una scheda di lunghezza completa che si trova nel PC con indirizzo impostato su 300h. Assicurarsi che l'indirizzo non sia utilizzato da un'altra scheda del sistema ( ad esempio da una scheda di rete).

Prima di avviare PC-DMIS occorre rinominare embboard.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Embboard:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . Valori predefiniti: X=1.0, Y=1.0, Z=1.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Faro

L'interfacciaThe Faro é utilizzata da macchine con bracci Axila . Il software del braccio Faro é disponibile nel sito ftp relativo(ftp://ftp.wilcoxassoc.com/3rdParty/Faro/).

Prima di avviare PC-DMIS occorre rinominare faro.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Faro:

Scheda Comm

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 38400 Baud, paritá nessuna, 7 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Macchina come scheda Mouse

Si veda l'argomento "Impostazione Protocollo di Comunicazione" .

Scheda Strumenti

La scheda fornisce un pulsante per la Diagnostica ed uno per la Configurazione Hardware . Questi pulsanti lanciano i programmi di configurazione del braccio Faro

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).

Faro - Elemento Punto Forzato

Nelle CMM a braccio(i) il vettore di presa punto é la direzione dell'ultimo tratto del braccio. Il Punto forzato sovrascrive il vettore dell'ultimo tratto del braccio. Nella rilevazione dei punti puó succedere che l'ultimo tratto del braccio not rappresenti con precisione il vettore che si vuole inviare a PC-DMIS. Per prendere questo punto con il vettore necessario:

  1. Premere il pulsante del punto come sempre ma senza rilasciarlo.

  2. Spostare la punta nella direzione del vettore che si desidera inviare a PCDMIS ad una distanza almeno pari a VectDistance dal punto in cui è stato preso il punto.

  3. Rilasciare il pulsante del mouse.


Macchina come Impostazioni Mouse

Finestra di dialogo Opzioni Macchina - Scheda Macchina come Mouse

La scheda macchina come Mouse consente di configurare le funzionalitá di movimento del braccio Faro ed i clic, al fine di controllare il movimento del puntatore ed i clic sul pulsante del mouse.

Pulsante Indietro - Si puó configurare il pulsante Indietro (Back) del braccio Faro perché funzioni come: Cursore al Centro (muove il puntatore del mouse a centro schermo), Pulsante destro del mouse, o Pulsante centrale del mouse.

Macchina come Mouse - Stato - Selezionare se Macchina come Mouse é On oppure Off.

Velocitá di Tracking - Controlla la velocitá del mouse, relativamente alla velocitá del braccio Faro.

Attivazione e Disattivazione della Modalitá Mouse

  • Per abilitare la modalitá mouse, premere contemporaneamente i bottoni anteriore e posteriore.

  • Per disabilitare la modalitá mouse, quando lo schermo di PC-DMIS é massimizzato ( la finestra DEVE essere massimizzata), muovere il cursore del mouse sulla sommitá della barra del titolo ( vale a dire sulla sona sommitare dello schermo, poiché la finestra di PC-DMIS é massimizzata ), poi fare clic sul pulsante che simula il pulsante sinistro del mouse.


Interfaccia Federal

L'interfaccia Federal viene usata con macchine Federal/Renault . Questa interfaccia necessita di una porta di comunicazione RS-232.

Prima di avviare PC-DMIS occorre rinominare federal.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Federal:

Scheda Comm

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 9600 Baud, paritá pari, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia GOM

L'interfaccia GOM é usata su macchine CTR, GOM, e Krypton . Tale interfaccia comunica attraverso una porta seriale. Un parsificatore generico puó essere usato perché l'interfaccia possa operare con macchine manuali diverse, posto che si conosca il formato dei dati in ricezione. Le macchine Traconsa, Layout, e Mitutoyo Manuali possono essere utilizzate in questo modo aggiungendo alcune voci nel Registro di Configurazione (si veda MIIM).

Prima di avviare PC-DMIS occorre rinominare GOM.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia GOM:

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Johansson

L'interfaccia Johansson viene usata con macchine Johansson . Tale interfaccia richiede il software Proto, installato com parte integrante di JoWin. PC-DMIS avvia il software Proto alla partenza e lo termina quando viene chiuso. Proto si incarica di rilevare le impostazioni di comunicazione con il controllo.

Prima di avviare PC-DMIS occorre rinominare johansson.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Johansson:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Leitz

L'interfaccia Leitz funziona con qualunque controllo che utilizza il protocollo Leitz, vale a dire alcuni controlli Brown & Sharpe ( come Sharpe 32Z in modalitá Leitz ), come pure le stesse macchine Leitz ed anche i controller Brown & Sharpe con Firmware Comune. Non serve alcun file di parametri macchina preso dal sistema originale, per operare con questa interfaccia.

Alcuni tra i controller piú recenti consentono la comunicazione TCP/IP in alternativa alla porta seriale. Questa interfaccia supporta entrambi i metodi. Si utilizzano generalmente le utility di servizio della macchina per esaminare o modificare la configurazione della comunicazione del controller. Le configurazioni di PC-DMIS e del controller devono essere coerenti.

Prima di avviare PC-DMIS occorre rinominare leitz.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Leitz:

Scheda Impostazione Protocollo Leitz

Si veda l'argomento "Scheda Opzioni Leitz" .

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Polso

Si veda l'argomento ""Configurazione Polso . I valori predefiniti sono: A: Risoluzione = 3600, B: Risoluzione = 3600, A: Offset - 0.0, B: Offset 0.0, e Velocitá Max = 100.

Scheda Tavola Rotante

Si veda l'argomento "Impostazione Tavola Rotante". I valori predefiniti sono: Accelerazione = 0.0, Velocitá = 20, Risoluzione = N/A, Offset = 0.0, Delta Min = 0.5, Tavola = Unchecked, e tavola Doppia = N/A.

Scheda OIT

Si veda "Comunicazione con OIT" . Valore predefinito: Porta Comm 0, 9600 Baud, Nessuna paritá,8 bit di dati e 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione Fattore di Scala Assi" .

Scheda Parametri

Si veda l'argomento "Scheda Parametri Leitz" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Impostazione Protocollo Leitz

FInestra di dialogo Opzioni Macchina - scheda Impostazione Protocollo Leitz

La scheda Dea consente di definire le seguenti impostazioni specifiche dell'interfaccia DEA:

Leggi valori CMM predefiniti all'avvio - Quando questa casella di controllo é abilitata, PC-DMIS chiede al controllo della CMM i valori predefiniti, al successivo avvio di PC-DMIS. Avviato nuovamente, PC-DMIS sostituirà i valori, memorizzati nell’Editor impostazioni PC-DMIS, con quelli originali memorizzati sul controllo della macchina. Nota: Questa procedura non ripristina i valori predefiniti, se essi sono già stati sovrascritti sul controllo.

Si utilizzi TCPIP per pilotare la Macchina - Selezionare questa opzione se si utilizza il protocollo TCP/IP per collegarsi al controller.

Indirizzo TCPIP - Specificare l'indirizzo TCP/IP del controller della macchina

Porta TCPIP - Specificare il numero della porta su cui il controller é configurato per mettersi in ascolto. Tipicamente si tratta della porta 2001.

Pulsante del Terminale - Un clic apre la sessione di colloquio con il controllo, in base alle impostazioni TCPIP.

Sganciare i Motoriduttori - Questa casella di controllo va selezionata nel caso di macchine DCC con motoriduttori che possono venire sganciati, al fine di utilizzare la macchina in modalitá manuale.

Tipo di Compensazione - Selezionare uno dei seguenti metodi Volcomp: NESSUNO, Standard DEA, DEA DLL (wcompens32), ASI, oppure Brown & Sharpe.

Tipo di Compensazione - Selezionare uno dei seguenti metodi di compensazione: Macchina Standard, Dual Drive, Braccio Orizzontale (Arm 1), o Braccio Orizzontale (Arm 2).

Usa OCX compensazione termale strutturale DEA - Selezionare questa opzione per utilizzare l'OCX per la Compensazione Termica Strutturale DEA.

Percorso OCX - Specifica il percorso per raggiungere il file OCX della Compensazione termica Strutturale.

Tipo di Macchina - Specificare il tipo di macchina: Braccio o Robot

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Scheda parametri Leitz

Finestra di dialogo Opzioni Macchina - scheda Parametri

Velocitá Massime - Sono i valori massimi di velocitá degli assi X, Y, e Z. Di solito questi valori vengono letti nel controller.

Offset meccanici - Questi valori permettono di definire gli offset meccanici degli assi XYZ della macchina. Con questa interfaccia la compensazione volumetrica (Volcomp) viene di solito effettuata nel controllo stesso. Se per qualche motivo si richiede che la quota di riferimento del tastatore sia diversa da 0,0,0, i valori si possono inserire come offset.

Vel Max Scansione - Questo valore definisce la massima velocitá di scansione consentita. Il metodo é usato soltanto per scansioni continue, come nel caso del tastatore SP600, oppure del tastatore ottico WAB.

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia LKDriver

L'interfaccia LKDriver é usata con macchine LK dotate di controller LK3000 oLK2000 . Occorre richiedere direttamente ad LK il software relativo al driver comune, lo si deve installare e configurare, prima di installare ed utilizzare l'interfaccia di PC-DMIS che lo utilizza. Il nome della DLL del driver ha un nome che é all'incirca LKCMMDRV53.DLL e dipende dal numero che ne identifica la versione. Esistono svariate DLL fornite da LK insieme al driver, esse devono essere presenti perché il driver stesso funzioni correttamente. La prima versione di driver compatibile con PC-DMIS si chiama LKCMM21.DLL. Le versioni precedenti a questa non sono compatibili.

Prima di avviare PC-DMIS occorre rinominare lkdriver.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia LKDriver:

Scheda Driver LK

Si veda l'argomento "Scheda Opzioni Driver LK " .

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Driver LK

Finestra di dialogo Opzioni Macchina - scheda LK Driver

La scheda LK Driver permette di modificare parametri specifici di LK Driver.

Intervallo di Lettura (mSec) - Determina la frequenza di aggiornamento nella lettura della posizione, in modalitá lettura. Il valore é un intero espresso in millisecondi. Il valore predefinito é di 500 millisecondi ( cioé mezzo secondo ).

DLL LK Driver - Definisce il nome del file DLL del driver comune che viene utilizzato da PC-DMIS. Tale file puó essere sostituito da LK, quando vengono rilasciate nuove versioni del driver.

Offset meccanico XYZ- Questi valori permettono di definire i mechanical offsets degli assi XYZ della macchina. I valori possono essere modificati soltanto quando Metodo Volcomp é impostato ad ASI.

Toll. Presa Punto Manuale - Questo valore é usato per distinguere tra un'effettiva presa punto manuale ed il pulsante di stampa manuale. Se l'azione sul pulsante di stampa manuale é confuso spesso con la presa punto manuale, si puó provare ad aumentare questo valore. Se invece le prese punto manuali sono sovente confuse con la pressione sul pulsante di stampa manuale ( lo stesso che premere il tasto END ), si puó provare a diminuire questo valore. NOTA: Per poter utilizzare il pulsante di stampa manuale some tasto END, la CMM non deve essere in movimento quando si preme il pulsante. Se la macchina é in movimento l'azione sará quasi sicuramente interpretata come presa punto manuale.

Minimo Movimento tavola Rotante - Definisce il valore di taglio per il movimento della tavola rotante. Se lo spostamento angolare della tavola, a partire dalla posizione corrente, non é maggiore di questo valore, la richiesta di movimento viene ignorata.

Pulsante Stampa Manuale - Questa opzione permette di associare una funzione di PC-DMIS al tasto di Stampa Manuale posto sul jog box. Le opzioni disponibili sono DONE ( tasto end ), Movim. a Punto ( memorizzaz. movimento), oppure Elimina ( l'ultimo ) Punto.

Nota: nel caso di questa interfaccia l'associazione si applica soltanto in modalitá "presa punto". Il pulsante premuto con l'interfaccia in modalitá "lettura" viene interpretato come azione illegale, senza considerare l'impostazione del PulsanteStampaManuale.

Metodo Volcomp - Selezionare LK (via Driver) per utilizzare la Compensazione Volumetrica del driver, oppure selezionare ASI, per assegnare questi valori di compensazione nelle caselle dei Mechanical Offset XYZ .

Pulsante di Configurazione Driver Comune - Il pulsante avvia il programma di configurazione del dirver LK.

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia LKRS232

L'interfaccia LKRS232 é utilizzata con otto tipi differenti di controlli LK: Cupe Seriale, Cupe GPIB, Micron Drive, LK3000, LK2000/2002/2000+, LK4000, ACT, e AIM. LK-3000 é anteriore sia a LK-2000 che LK-4000. ACT sostituisce la linea 2000 ed AIM sostituisce 4000.

Prima di avviare PC-DMIS occorre rinominare lkrs232.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia LKRS232:

Scheda LK Direct

Si veda l'argomento "Scheda LK Direct " .

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . I valori predefiniti sono: X=10000.000000, Y=10000.000000, Z=10000.000000.

Scheda Tavola Rotante

Si veda l'argomento "Impostazione Tavola Rotante". I valori predefiniti sono: Accelerazione = 0.0, Velocitá = 0.0, Risoluzione = 10000, Offset = 0.000000, Offset 2 = 0.000000, Delta Min = 0.5, Tavola = Unchecked, e tavola Doppia = Unchecked.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda LK Direct

Finestra di dialogo Opzioni Macchina - scheda LK Direct

La scheda LK Direct fornisce impostazioni particolari per l'interfaccia LKRS232.

LK 2000 - Se il controllo é un LK2000 occorre selezionare questa opzione.

LK 3000 - Se il controllo é un LK3000 occorre selezionare questa opzione. Si puó anche scegliere LK2000 con l'opzione LK3000.

Micron Drive - Opzione da selezionare nel caso di Micron Drive. Nota: Il controller Micron drive non usa mai comunicazioni GPIB.

GPIB - Opzione da scegliere nel caso il controller usi il protocollo GPIB.

PH9 - Opzione da scegliere nel caso si usi un PH9.

SETPT - Opzione da scegliere se si verifica che la macchina non rileva punti.

Velocità di ritorno - Impostazione della velocitá di ritorno all'origine. Se la macchina va a tampone dopo aver raggiunto la posizione di origine, allora occorre decrementare questo valore, spegnere il controller e riprovare. La macchina dovrebbe andare a tampone e poi raggiungere la posizione di zero per ciascuno degli assi, se questo valore é impostato correttamente. Il valore predefinito é 1.

Velocitá di Movimento - Questo é il valore globale di velocitá di movimento. Se si ritiene che la velocitá di movimento é troppo alta anche mpostando un valore basso all'interno di PC-DMIS, allora occorre decrementare questo valore. Il valore predefinito é 1,00000.

Attesa di approccio - Questo valore va lasciato su 0.

Buffer movimento - É il numero di movimenti che possono essere bufferizzati dal controller. Alcune macchine danno errore se i movimenti sono troppi, perció ridurre tale numero puó aiutare. D'altra parte un valore piú basso puó ridurre le prestazioni del sistema: se, per esempio, si imposta questo valore ad 1, un comando di movimento verrá inviato soltanto quando la macchina ha terminato il movimento precedente e questo fará sí che la macchina sia ferma tra un movimento e l'altro, per l'intervallo di tempo necessario ad inviare ciascun comando.

Nessun pulsante di avvio - Se non esiste un Pulsante principale di Avvio sul controllo ( o sul jog box ), allora é necessario selezionare questa opzione.

Ottimizzazione velocitá in automatico - Alcuni controlli LK supportano la Auto Speed Optimization, una funzionalitá che consente di pilotare ciascun asse alla massima velocitá e in modo indipendente, per ciascun movimento. Se il controllo in uso supporta questa funzionalitá, allora si puó selezionare questa opzione.

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia Manmiti

L'interfaccia Manmiti é utilizzata con macchine Manuali Mitutoyo con controlli MAG-1, MAG-2 oppure MAG-3 che si connettono alle scale. Questa é un'interfaccia GPIB.

Prima di avviare PC-DMIS occorre rinominare manmiti.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Manmiti:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Manmora

L'interfaccia Manmora viene usata con macchine Mora . Questa macchina dispone di un contatore GEMODEK di tipo MR01, dotato di lettore XYZ con alcune opzioni di controllo/impostazione/invio. Per ulteriori informazioni sulla configurazione ed il test si veda l'MIIM.

Prima di avviare PC-DMIS occorre rinominare Manmora.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Manmora:

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . Valori predefiniti: X=1.0, Y=1.0, Z=1.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Metrocom

Interfaccia Metrocom/Metromec

L'interfaccia Metrocom viene usata con macchine Metrocom, Metromec (con Metrocom S V2 & V3), e Wenzel di versioni vecchie (Wenzel 2000 con emulatore Metromec). Per assicurare la funzionalitá di PC-DMIS occorre copiare il file di avvio originale (METROCON.DAT) dal software Metromec nella directory di PC-DMIS.

Le vecchie macchine Wenzel ( ad. es. con controller Metrocom S ) necessitano soltanto del file METROCON.DAT, per operare. Tuttavia, se si utilizza la nuova serie dei controller Wenzel WP, allora occorre copiare i seguenti file dalla directory del software MetroSoft: WPMACH.PMC, WPSW.PMC, WPDAT.PMC, e WPGO.PMC

Prima di avviare PC-DMIS occorre rinominare METROcom.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Metrocom:

Scheda Metromec

Si veda l'argomento "Scheda Metromec" .

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 38400 Baud, paritá nessuna, 7 bit di dati, ed 1 bit di stop.

Scheda PH9

Si veda "Comunicazione con PH9" . I valori predefiniti sono: Comm Port 2, 38400 Baud, paritá nessuna, 7 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Metromec

Finestra di dialogo Opzioni macchina [image] - scheda Metromec

La scheda Metromec permette di definire le seguenti impostazioni per l'interfaccia Metromec.

PH9 - Opzione da scegliere nel caso si usi un PH9.

Velocitá Max - Questa opzione definisce la velocitá massima della CMM.

Accelerazione Max - Questa opzione definisce l'Accelerazione massima della CMM.

Offset meccanico XYZ - Questi valori permettono di definire i mechanical offset della macchina. Questi valori vanno modificati esclusivamente da personale specializzato.

Dati di Compensazione - Utilizzando le compensazioni DEA, il file dei dati di compensazione ( tipicamente compens.dat ) viene specificato in questa casella. Utilizzando la nuova compensazione DEA, tre file di testo devono trovarsi nella directory di PC-DMIS: FZYFILE.TXT, RCXFILE.TXT, e RMXFILE.TXT.

Tipo di Compensazione - Selezionare uno dei seguenti metodi Volcomp: NONE, Standard DEA, o DLL DEA (wcompens32).

Modalitá di Compensazione - Selezionare tra le modalitá seguenti supportate per il tipo DLL DEA ( wcompens.dll ): Macchina Standard, Braccio Orizzontale (Arm 1), o Braccio Orizzontale (Arm 2).

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia Metrolog

L'interfaccia Metrolog viene usata con macchine Metrologic . PC-DMIS é in grado di pilotare il controller Metrologic in due modi.

  • Il primo modo si realizza attraverso il file MTDIAL.DLL, fornito da Metrologic . Questa DLL richiede l'uso di un portlock fornito esclusivamente da Metrologic. PC-DMIS chiama le funzioni di MTDIAL.DLL per pilotare la CMM. La DLL si incarica anche di gestire la compensazione volumetrica. La DLL colloquia con la CMM attraverso la porta Comm definita.

  • La seconda modalitá di pilotaggio del controllo Metrologic avviene direttamente attraverso la porta Comm, bypassando completamente MTDIAL.DLL. In questo modo non serve alcun portlock Metrologic. PC-DMIS colloquia direttamente con il controller attraverso la porta Comm definita. Volcomp viene fornito in tre formati: 1) il formato DEA Tutor, 2) il formato Wcompens.dll, 3) il formato BNS comp.dat. Le opzioni uno e due sono tipiche delle macchine con controllo DEA. L'opzione 3 é tipica delle CMM Excel. L'unica ragione per usare la prima modalitá é quella di potersi servire della compensazione volumetrica Metrologic che possa giá trovarsi su una CMM esistente.

Prima di avviare PC-DMIS occorre rinominare metrolog.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Metrolog:

Scheda Comm

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 9600 Baud, paritá pari, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Mitutoio

L'interfaccia Mitutoyo viene usata con macchine Mitutoyo . Si tratta di un;interfaccia GPIB che non richiede parametri macchina dal sistema Mitutoyo originale. Mitutoyo suppone queste macchine dotate di buona precisione, e che non necessitino quindi di compensazione software dedicata. Vengono comunque supportati diversi metodi di compensazione.

Per rilevare manualmente puntik con queste macchine occorre premere il pulsante 'MIS' sul jog box.

Nota: Per macchine con PH9 o PH10 il ciclo normale di avvio della macchina comprende l'uso del controllo manuale per posizionare appositamente la testata ( di solito a 0,0). Ció assicura che tutte le comunicazioni tra il controllo del PH9/10 e la testata stessa siano correttamente inizializzate e funzionanti. L'operazione deve essere eseguita anche se inizialmente si legge 0,0 e ci si vuole posizionare proprio a 0,0. Errori nell'inizializzazione della testata possono portarne altri quando si debba effettuare una rotazione DCC ( la testata potrebbe non ruotare o, in alcuni casi, puó produrre errori verso la fine della rotazione).

Prima di avviare PC-DMIS occorre rinominare mitutoyo.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta quattro schede per l'interfaccia Mitutoyo:

Scheda Interfaccia

Si veda l'argomento "Scheda Interfaccia Mitutoyo" .

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . I valori predefiniti sono: X=10000.0, Y=10000.0, Z=10000.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Interfaccia Mitutoyo

Finestra di dialogo Opzioni Macchina - scheda Interfaccia

La scheda Interfaccia permette di definire le seguenti impostazioni per l'interfaccia Mitutoyo.

PH9 - Opzione da scegliere nel caso si usi un PH9.

Vecchio joystick - Se il Jog box é di tipo vecchio questa opzione va impostata su 1. (Se le funzioni del jog box non si comportano come descritto nel seguito, allora si tratta di un joy stick di tipo vecchio)

BHN 706 - Selezionare questa opzione collegandosi ad una CMM BHN 706.

Velocitá Max - imposta la velocitá massima globale della macchina. Se questo valore é troppo alto, allora si avranno errori di 'overspeed' intermittenti da parte del controllo, durante i movimenti DCC. Il valore predefinito é 60.

In Tolleranza di Posizione - Questo é il valore che definisce di quanto la macchina deve avvicinarsi alla posizione impostata, per decidere di aver raggiunto tale posizione. Se la macchina pare esitare tra un movimento e l'altro per troppo tempo, allora si puó provare ad aumentare il valore di questo parametro.

Attenzione: Questi valori vanno modificati da parte di personale specializzato. Se vengono modificati possono falsare i risultati.


Interfaccia Mora

L'interfaccia Mora viene usata con macchine Mora CNC. Questa interfaccia richiede soltanto una porta di comunicazione RS232 nessun file di parametri macchina da parte del sistema originale.

Prima di avviare PC-DMIS occorre rinominare mora.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Mora:

Scheda Comm

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Mzeizz

Interfaccia MZeiss

L'interfaccia MZeiss viene usata con macchine Zeiss .

Prima di avviare PC-DMIS occorre rinominare Mzeiss.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta quattro schede per l'interfaccia MZeiss:

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 9600 Baud, paritá pari, 8 bit di dati, ed 2 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . Valori predefiniti: X=1.0, Y=1.0, Z=1.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Numerex

L'interfaccia Numerex viene usata con macchine Numerex . Ci sono due diversi tipi di interfaccia Numerex disponibili, una dotata di DRO ( Digital Readout Unit), una senza questo dispositivo. L'installazione della versione con DRO é immediata, se invece la macchina non ha DRO occorre una scheda Tech80 (per la lettura dei contatori) ed anche un kit speciale per collegare la scheda Tech80 al controller Numerex. Si veda MIIM per ulteriori informazioni riguardo a queste due interfacce.

Non serve alcun file di parametri macchina preso dal sistema originale, per operare con questa interfaccia.

Prima di avviare PC-DMIS occorre rinominare Numerex.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Numerex:

scheda Numerex

Si veda l'argomento "Scheda Interfaccia Mitutoyo" .

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . Valori predefiniti: X=1.0, Y=1.0, Z=1.0. Tale fattore di scala viene usato se l'unitá DRO é presente.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


scheda Numerex

Finestra di dialogo Opzioni Macchina - scheda Numerex

La scheda Numerex permette di definire le seguenti impostazioni per l'interfaccia Numerex.

DRO - Opzione da scegliere nel caso il controller usi il protocollo DRO.

Comm DRO - Definisce la porta COM per l'unitá DRO.

PH9 - Opzione da scegliere nel caso si usi un PH9.

4800 N 8 1 - Selezionare questa opzione se si intende utilizzare per il PH9 le impostazioni precedenti, anziché quelle predefinite, cioé: 4800 baud, NO paritá, 7 bit, 2 bit di stop (48007N2). Di solito l'opzione con 8 bit si adatta alle CMM piú recenti ( che utilizzano materiale ceramico). Con CMM di versioni precedenti occorre disabilitare questa opzione.

Comm PH9 - Definisce la porta COM per l'unitá PH9.

Comm del Controllo DCC - Definisce la porta COM per il controller DCC.

Comm della tastiera - Definisce la porta COM della tastiera.

Usa Tech 80 - Opzione da scegliere nel caso il controller usi la tavola Tech80 per leggere i contatori.

Tech 80 IRQ - Con questo valore si imposta il livello di interruzione della tavola Tech80. Assicurarsi che corrisponda la configurazione dei ponticelli, come pure l'impostazione del registro di sistema per WNS27.

Contatori Tech 80 XYZ - Queste opzioni dei Contatori XYZ permettono di definire il fattore di scala di ciascun asse, quando viene utilizzato un Tech80. Il valore normale é 200.0. Per verificare se tale valore sia corretto, si misuri la distanza tra due punti noti: se c'é differenza tra il valore vero e quello misurato, allora si puó agire sul fattore di correzione per la taratura, di solito si tratta di un valore intero, ad es. 100, 1000, 500. Una rudimentale forma di compensazione lineare puó essere ottenuta modificando leggermente questo valore.

In Tolleranza di Posizione - Questo é il valore che definisce di quanto la macchina deve avvicinarsi alla posizione impostata, per decidere di aver raggiunto tale posizione. Se la macchina pare esitare tra un movimento e l'altro per troppo tempo, allora si puó provare ad aumentare il valore di questo parametro.

Accelerazione - Questa opzione imposta l'accelerazione della CMM durante i movimenti DCC. Il valore predefinito é 1500. Se la CMM si avvia o si ferma con scosse, occorre che il valore di accelerazione sia inferiore.

Velocitá Massima - Questa opzione é semplicemente un fattore moltiplicativo della velocitá macchina e permette di controllarne il valore massimo. Occorre tararne il valore in modo che il 100% della velocitá in PC-DMIS corrisponda alla velocitá massima della macchina.

Macchin DCC - L'unico caso in cui questa opzione NON deve essere selezionata é per scopi di debug, quando si desidera effettuare il test del DRO senza la macchina DCC. Nel caso di macchina manuale si userá direttamente l'interfaccia Tech80.

Posizione Origine - Selezionare questa opzione se la macchina é dotata di posizione origine. Deve essere selezionata nel caso in cui si utilizza una mappa di compensazione.


Interfaccia Omnitech

L'interfaccia Omnitech viene usata con macchine Omnitech . Questa interfaccia comunica con il controllo attraverso l'interfaccia standard RS-232.

Prima di avviare PC-DMIS occorre rinominare Omnitech.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Omnitech:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Reflex

L'interfaccia Reflex é utilizzata da macchine con bracci Reflex . Questa interfaccia va utilizzata con la macchina manuale Gage 2000 dotata di box Reflex, in modalitá Piano Passante. Due "smart cards" sono inserite nel controllo. La scheda superiore é utilizzata per la memorizzazione dei programmi. Dopo aver attivato il Controllo Reflex, si otterranno su schermo gli elementi seguenti:

Prima di avviare PC-DMIS occorre rinominare Reflex.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Reflex:

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Renishaw

L'interfaccia Renishaw comunica con il software Renishaw installato, a partire dalla versione 4.0. É disponibile inoltre una scheda speciale di interfaccia ( o modulo USB ), utilizzato per comunicazione di tipo ottico con il controllo UCC1. Software e scheda di interfaccia devono essere richiesti a Renishaw.

Prima di avviare PC-DMIS occorre rinominare Renishaw.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Renishaw:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Romer

L'interfacciaThe Romer é utilizzata da macchine con bracci Romer . I bracci USB sono supportati da PC-DMIS, a partire dalla versione 3.7.

  • Nel caso delle versioni 3.5 MR2 o precedenti, occorre copiare il file seguente dal sito Wilcox: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer22.zip.

  • Nel caso di altre versioni (comprese le Beta), copiare il file seguente: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer22.zip.

Espandere il file zippato ed avviare il setup.

Impostazione dei parametri di ambiente, per consentire a PC-DMIS di accedere alle DLL Romer:

  • Accedere al Pannello di Controllo

  • Selezionare Sistema, fare clic sulla scheda "Avanzate", e poi sul pulsante "Variabili di Ambiente".

  • All'interno dell'elenco delle variabili di sistema, modificare la variabile Percorso. Aggiungere ";", seguito dalla directory di installazione di WinRDS. Normalmente ció vuol dire che si aggiunge ";C:\Program Files\cimcore\winrds” (senza virgolette) alla fine della stringa contenuta in Percorso.

Prima di avviare PC-DMIS occorre rinominare romer.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Romer:

Scheda Debug

Si veda "Come Generare un file di Debug".

Scheda Strumenti

Tale scheda presenta il pulsante Diagnostica . Facendo clic sul pulsante si avvia il software Romer, per configurare il Braccio Romer. Per ulteriori informazioni si rimanda alla Guida Utente WinRDS, nella directory di installazione WinRDS. Tale guida é un file PDF che viene installato al momento dell'installazione WinRDS.

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Sharpe

L'interfaccia Sharpe comprende le interfacce Sharpe, Sharpe 32, ed Excel. PC-DMIS deve includere il file originale DOWNL.OAD del pacchetto software, per poter essere avviato. Se é usata la compensazionbe software, é richiesta la presenza del file COMP.DAT. Si veda la documentazione MIIM della interfaccia Sharpe per ulteriori informazioni sulla creazione del file DOWNL.OAD

Per sistemi con doppia tavola rotante viene utilizzato un controller aggiuntivo che gestisce esclusivamente la seconda tavola. In tale situazione, PC-DMIS deve contenere un file DOWNL.OAD, configurato opportunamente per gfestire il controllo del solo asse W. Attualmente non esiste compensazione esclusiva per la tavola, perció non occorre sia presente il file COMP2.DAT.

Prima di avviare PC-DMIS occorre rinominare sharpe.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Sharpe:

Scheda Sharpe32

Si veda l'argomento "Scheda Sharpe32" .

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 4800 Baud, paritá pari, 7 bit di dati, ed 1 bit di stop.

Scheda Controller2

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 0, 4800 Baud, paritá pari, 7 bit di dati, ed 1 bit di stop.

Scheda OIT

Si veda "Comunicazione con OIT" . I valori predefiniti sono: Comm Port 2, 9600 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . Valori predefiniti: X=0.0, Y=0.0, Z=0.0.

Scheda Tavola Rotante

Si veda l'argomento "Impostazione Tavola Rotante". I valori predefiniti sono: Accelerazione = 46500,0, Velocitá = 0.0, Risoluzione = 5000,0, Offset = 0.000000, Offset 2 = 0.000000, Delta Min = 0.5, Tavola = Unchecked, e Tavola Doppia = Unchecked.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Sharpe32

Finestra di dialogo Opzioni Macchina - scheda Sharpe

La scheda Sharpe32 permette di definire le seguenti impostazioni per l'interfaccia Sharpe.

Pulsanti di Stampa - Si puossono impostare i pulsanti Record Cancella Ultimo Punto, oppure MemorizzaMovimento, perché funzionino come il tasto end/done.

Manuale - Selezionare questa opzione nel caso si usi una macchina manuale (senza opzione DCC).

Verifica PH9 - Alcuni controller non pilotano con precisione il PH9 all'angolo richiesto. Selezionando questa opzione, la posizione del PH9 verrá controllata al termine della rotazione richiesta e, se la sua posizione non é corretta, il movimento del PH9 viene ripetuto.

Messaggio EStop Singolo - Selezionando questa opzione quando E-stop é premuto, il messaggio di avvertenza verrá visualizzato soltanto una volta e non per tutto il tempo in cui permane lo stato E-stop. Questo permette all'utente di effettuare l'E-stop macchina e poi muovere manualmente il tastatore (ad es. a scopo di tracciatura), potendo al contempo accedere normalmente all'interfaccia utente di PC-DMIS.

Movimenti Circolari - Selezionare questa opzione se il controller supporta l'uso di movimenti circolari.

Porta di Interrogazione Controller - Se questa opzione é selezionata, PC-DMIS interroga periodicamente la porta seriale del controller per confermare la presenza di comunicazione. Questa é un'opzione utile quando si sospettano malfunzionamenti della porta RS232 del PC.

Disabilita Cancellazione Automatica - Alcuni tipi di errori (ad es. errori di PH9) possono essere annullati immediatamente, tuttavia sono ricorrenti. Come risultato si ha che la finestra con il messaggio di errore si ripete, lampeggiando velocemente. Se questa opzione viene selezionata si evita che il messaggio di errore venga "automaticamente cancellato" e inoltre l'operatore ha tempo di leggerne il contenuto. Si noti che, durante il posizionamento a zero della macchina, alcune finestre di dialogo vengono eliminate, qualunque sia l'impostazione.


Interfaccia Sheffield

L'interfaccia Sheffield viene usata con macchine Sheffield . Non serve alcun file di parametri macchina preso dal sistema originale, per operare con questa interfaccia. Sulle CMM Sheffield, PC-DMIS non controlla quando la CMM si trova in modalitá manuale oppure in DCC. I pulsanti per controllare ció si trovano sul jog box. Se la CMM é dotata di tavola rotante, PC-DMIS necessita di una scheda Tech80 separata, per l'encoder della tavola rotante.

Prima di avviare PC-DMIS occorre rinominare sheffield.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Sheffield:

Scheda Interfaccia

Si veda l'argomento "Scheda Interfaccia Sheffield" .

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . I valori predefiniti sono: X=10000, Y=10000, Z=10000.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Interfaccia Sheffield

Finestra di dialogo Opzioni Macchina - scheda Interfaccia

La scheda Interfaccia permette di definire le seguenti impostazioni per l'interfaccia Sheffield.

RS232 - Selezionare questa opzione se si intende utilizzare RS232 e non GPIB. Tutti i controlli Sheffield recenti, SMP3xx and SMP400, utilizzano la comunicazione seriale.

LPT2 - Opzione da scegliere nel caso il controller usi il protocollo MSI.

Tech80 - Opzione da scegliere nel caso il controller usi il protocollo Tech80.

Macchina Manuale - Opzione da selezionare nel caso di macchina manuale. Nota: Usare questa opzione soltanto a scopo di debug, se la macchina deve operare esclusivamente in modalitá manuale, allora vi si deve installare l'interfaccia Tech80.

RS50 - Selezionare questa opzione se il sistema usa RS50.

Posta Macchina - Questo valore imposta la porta comm RS232 del controller.

Tech80 IRQ - Questa opzione imposta il'indirizzo di interrupt della scheda XYZ tech80. Se se ne cambia il valore, assicurarsi che il ponticello sulla scheda tech80 sia impostato correttamente. Il valore predefinito é 5. Nota: Quanto detto sopra non vale per la scheda Tech80 della tavola rotante la quale non richiede interrupt.

Ritardo Presa Punto - É il ritardo nella lettura di una presa punto dalla scheda MSI. Il valore predefinito é 0,3. Se questo valore é trappo piccolo, la scheda verrá letta troppo velocemente e la lettura non avverrá correttamente. Se si hanno problemi di precisione si puó fare qualche prova, assegnando a questa variabile valori crescenti. Nota: Se si usa l'opzione Punti MP la modifica di questa variabile é ininfluente.

Ritardo nel Ripristino - Alcune unitá MP si bloccano nel caso i comandi siano inviati con cadenza troppo elevata. Il valore puó essere aumentato se si ritiene di avere questo problema, rischiando tuttavia che il sistema perda in prestazione. Nota: Nel caso dell'SMP400, questo valore deve essere 1.0.

PH9 - Opzione da scegliere nel caso si usi un PH9.

PH9 Handbox (PH9D) - Se é presente il portatile PH9 'pendant', occorre selezionare l'opzione relativa.

PH9 Baud - Questo valore imposta il baud rate del PH9. Sono valori validi: 300, 1200, 4800 o 9600. Il valore predefinito del protocollo é Nessun bit di Stop, 8 bit di dati e un bit di paritá (N81).

Porta PH9 - Questo valore imposta la porta comm RS232 del PH9.

Punti MP - Selezionando questa opzione PC-DMIS riceve i dati di presa punto dall'unitá Sheffield MP, anziché dalla scheda tech80. Il vantaggio di ció sta nel fatto che l'unitá MP fornisce punti compensati e quindi non é necessario creare alcuna mappa ASI di compensazione. Lo svantaggio sta nel fatto che questa opzione disabilita la funzionalitá di associazione dei tasti del JopgBox (End, Erase hit, store move, ecc.) in modalitá PresaPunto ( si veda l'opzione AbilitaDisabilitaJogBoc piú avanti). Nota:Questa opzione é inutile se si usa la scheda MSI, perché tale scheda restituisce dati compensati. Si verifichi inoltre, se si sta utilizzando una scheda Tech80, che il cavo tastatore NON sia collegato al segnale tastatore nell'unitá MP.

Vettori MP - Quando questa opzione non é selezionata, PC-DMIS tiene traccia dei vettori associati ai punti leggendo la posizione del tastatore, prima della rilevazione del punto. Selezionando questa opzione PC-DMIS riceverá tali vettori direttamente dall'unitá MP. Lo svantaggio sta nel fatto che questa opzione disabilita la funzionalitá di associazione dei tasti del JopgBox (End, Erase hit, store move, ecc.) in modalitá PresaPunto ( si veda l'opzione AbilitaDisabilitaJogBoc piú avanti). Nota: Alcuni sistemi di versioni precedenti non supportano questa funzione. Se si riceve il messaggio di errore 'Parametro 21 non valido' al mamento dell'inizializzazione, ció significa che l'opzione non é supportata. Utilizzando i punti MP si deve utilizzare questa opzione, se essa é supportata.


Interfaccia Tech80

L'interfaccia Tech80 supporta l'interfaccia manuale Tech80 e la scheda Scazon. Non serve alcun file di parametri macchina preso dal sistema originale, per operare con questa interfaccia.

Prima di avviare PC-DMIS occorre rinominare TECH80.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Tech80:

Scheda Connessione

Si veda l'argomento "scheda Connessione a Tech80" .

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Risoluzione

Si veda l'argomento "Assegnazione Fattore di Scala Assi" . I valori predefiniti sono: X=1000.0, Y=1000.0, Z=1000.0.

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda connessione Tech80

Finestra di dialogo Opzioni Macchina - scheda Connessione

La scheda Connessione permette di definire le seguenti impostazioni per l'interfaccia Tech80.

Interrupt - Questa variabile imposta il livello di interrupt della scheda Tech80, se la si modifica occorre assicurarsi che il ponticello sulla scheda corrisponda all'impostazione.

Intervallo richiesta - Questo valore regola la velocitá con cui PC-DMIS tiene traccia della posizione tastatore. Tale valore é espresso in millisecondi ( ad es. 300 significa 0.3 secondi). Un valore predefinito di 300 significa che la posizione viene aggiornata all'incirca 3 volte al secondo.

Intervallo punto - Questo valore regola il tempo che deve trascorrere da una presa punto, perché la successiva sia valida. É utile evitare una 'rilevazione ripetuta' quando il tastatore si allontana dal pezzo. Il valore é espresso in millisecondi ( ad es. 500 sta per 0.5 secondi).

Azzera contatori all'avvio - Selezionare questa opzione per azzerare i contatori quando viene avviato PC-DMIS.

Pulsante Azzera contatori - fare clic su questo pulsante per azzerare i contatori.


Interfaccia Theodole

L'interfaccia Theodole é utilizzata da macchine con bracci Theodolite .

Prima di avviare PC-DMIS occorre rinominare theodole.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Theodole:

Scheda Controller

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 1, 19200 Baud, paritá pari, 7 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Wenzel

L'interfacciaWenzel viene utilizzata con macchine Wenzel , insieme al controller Wenzel 2010 ( con Protocollo Nativo Wenzel ). Questa interfaccia richiede soltanto una porta di comunicazione RS232 nessun file di parametri macchina da parte del sistema originale.

Prima di avviare PC-DMIS occorre rinominare Wenzel.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Wenzel:

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia Zeiss

L'interfaccia Zeiss é usata con macchine Zeiss dotate di controllo "IP-based". La nuova interfaccia supporta protocolli sia di tipo TCP, sia di tipo UDP. A causa di differenze di dettaglio riscontrate il questi controlli, l'interfaccia é stata progettata per consentire la modifica del file di configurazione, senza dover sostituire interfac.dll. Inoltre anche molte opzioni di configurazione del controller sono state trasferite nel file di configurazione al fine di consentire a future utility WAI di comunicare con la macchina, senza dover avviare PC-DMIS.

I tastatori supportati comprendono il tastatore Zeiss standard, RDS, DSE e Vast. I Jogbox delle versioni precedenti sono supportati ( sia quello dotato di tastierino numerico, sia il jogbox piú grande ); i jogbox delle versioni piú recenti ( su laptop ) possono essere supportati con l'aggiunta di una utility ( basata su protocollo IP ) che permette l'uso dei pulsanti relativi alle funzioni di base.

Prima di avviare PC-DMIS occorre rinominare Zeiss.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta quattro schede per l'interfaccia Zeiss:

Scheda PH9

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 4800 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Interfaccia ZssGPIB

L'interfaccia ZssGPIB é utilizzata con macchine Zeiss e controller basati su protocollo GPIB con RS232 . Questa interfaccia supporta il controller GPIB Zeiss ( scatola grigia a base quadrata di lato due pollici ). Il PH9 viene pilotato attraverso una porta seriale RS232.

Esiste anche il supporto per connessione RS232 diretta (controller Zeiss C99) con questa interfaccia; la libreria ZSSRS232.DLL controlla invece la CMM ZEISS mediante il pacchetto software ZEISS UMESS/COMET. L'opzione RS232CMM, nella sezione ZEISS dell'Editor di Configurazione, permette di selezionare se PCDMIS comunichi con GPIB o RS232. Nel caso di RS232 diretto, l'opzione va impostata su 1. Per ulteriori informazioni su come modificare le voci del registro, vedere la sezione"Modifica delle voci del Registro di sistema" .

Prima di avviare PC-DMIS occorre rinominare zssgpib.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia ZssGPIB:

Scheda PH9

Si veda l'argomento "Impostazione Protocollo di Comunicazione" . I valori predefiniti sono: Comm Port 2, 4800 Baud, paritá nessuna, 8 bit di dati, ed 1 bit di stop.

Scheda Asse

Si veda l'argomento "Assegnazione degli Assi Macchina" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Compensazione della Temperatura

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Impostazione Temperatura

Selezionando la voce di menu Modifica | Preferenze | Imposta Compensazione Temperatura introduce la finestra di dialogo Imposta Compensazione Temperatura . Questa finestra di dialogo consente di compensare la temperatura ambientale e quella del pezzo, aumentando la precisione del processo di ispezione.

Per eseguire la compensazione della temperatura durante la calibrazione bracci multipli, vedere "Uso della compensazione della temperatura con bracci multipli " nella sezione "Uso della modalità Master/Slave".

Vedere anche:

Uso dei file STP

Parametri di Input Disponibili

Comando COMP_TEMP nella Finestra di Modifica

Supporto Controllo

Default button Cancel buttonOK buttonGet Current Temps buttonReset to Defaults buttonDelay Before Reading PartTime RemainingCompensation Method listTemperature Compensation Enabled check boxShow Temperatures in CelsiusQual Tool check boxOrigin boxesLow Threshold boxesHigh Threshold boxesRef Temp boxesPrev Temp boxesCurrent Temp boxesMaterial Coefficient boxes boxesSensor Numbers boxes


Uso dei file STP

Ogni CMM usa, per la compensazione della temperatura, parametri specifici per ogni asse, come i coefficienti termici e l’assegnazione delle sonde. Questi parametri e il codice che dice a PC-DMIS se applicare la compensazione strutturale o lineare sono memorizzati in file STP (dalla loro estensione.stp) creati dal produttore della macchina.

PC-DMIS ha bisogno di questi file per poter effettuare la compensazione della temperatura.

Prima di attivare la compensazione della temperatura, assicurarsi che i file STP siano nella posizione opportuna sul vostro drive:

  • Il metodi DEA per la compensazione strutturale della temperatura richiedono di trovare il file Serv1.stp nella directory C:\Thermal_OCX.

  • Il metodi DEA di compensazione linare della temperatura richiede di trovare il file Serv1.stp nella directory C:\Program Files\Thermal_OCX.

Vedere anche:

Compensazione lineare e strutturale della temperatura


Compensazione lineare e strutturale della temperatura

Compensazione lineare = (Coefficiente di espansione termica) X (Spostamento + variazione in temperatura di ogni asse e del pezzo)Se ci sono più sonde di temperatura su un asse, PC-DMIS esegue la media delle letture per determinare la temperatura.

La Compensazione strutturale tiene conto del fatto che i vari materiali di cui è costituita una macchina possono avere temperature diverse . Per esempio un singolo asse puo’ avere diverse temperature, il che causa torsioni e deformazioni della macchina stessa La compensazione strutturale effettua correzioni di temperatura specifiche per le diverse aree della macchina. Quando si seleziona la voce di menu Modifica | Preferenze | Compensazione temperatura , Il componente Structural Thermal_OCX richiamato da PC-DMIS, ricalcola una mappa di compensazione volumetrica temporanea.


Parametri di Input Disponibili

Visualizza Mappa Percorsi dei Menu

L'elenco che segue contiene i parametri di inpuit disponibili nella finestra didialogo Impostazione Compensazione Temperatura (Modifica| Preferenze | Compensazione Temperatura).

Vedere anche:

Caselle Numeri sensori

Caselle Coefficiente Materiale

Caselle Temperatura Corrente

Caselle Temperatura precedente

Caselle Temperatura di Riferimento

Caselle Soglia Massima

Caselle Soglia massima

Caselle Origine

Mostra Temperature in Celsius

Compensazione temperatura attivata

Metodo di Compe nsazione

Tempo Restante

Ritardo prima di leggere la Temperatura del Pezzo

Ripristina valori Predefiniti

Richiamo Temperature Correnti


Caselle Numeri sensori

Le caselle Numeri sensori contengono un elenco di uno o più numeri sensori utilizzati per l'asse o il pezzo specificato. Questi valori sono molto importanti durante la lettura delle temperature nel controller in quanto devono corrispondere alla configurazione effettiva dei sensori.

  • Ciascun sensore è rappresentato da un numero compreso tra 1 e 32.

  • Le voci dell'elenco possono essere un singolo valore o un intervallo di valori compreso tra il primo e l'ultimo

  • Sono separate da virgole o spazi a sinistra.

  • È possibile inserire fino a 32 valori per un qualsiasi asse o per il pezzo.

In modalità manuale questi numeri non sono particolarmente significativi, tuttavia occorre assegnare almeno un numero sensore per ciascun asse e per il pezzo.


Caselle Coefficiente Materiale

Le caselle Coefficiente materiale contengono valori che riflettono la proprietà dei materiali e corrispondono alla modifica frazionaria in lunghezza per ciascuna modifica unitaria della temperatura.

  • I valori differiscono, a seconda del tipo di materiale utilizzato per la creazione delle scale sugli assi della macchina e del materiale di cui è costituito il pezzo.

  • Le unità sono espresse in gradi C (Celsius) o gradi F (Fahrenheit), a seconda che sia stata o meno selezionata la casella di controllo per la visualizzazione in gradi Celsius.

  • Si tratta della stessa differenza esistente tra metri/metro/grado C e pollici/pollice/grado F, tuttavia poiché la lunghezza per numeratore e denominatore è espressa in un'unica unità di misura, è necessario operare una selezione.

Esempio: una scala con coefficiente pari a 11,5 micron/metri/gradi C diventa 0,0000115 metri/metri/gradi C oppure semplicemente 0,0000115/gradi C.

Coeff. utensile qual.

In questa casella si puó specificare il coefficiente materiale per l'utensile di qualifica tastatore, indipendentemente dal pezzo.


Caselle Temperatura Corrente

Nelle caselle Temperatura Corrente sono riportate le temperature correnti nelle unità appropriate. È possibile inserire tali temperature o leggerle dal controller a seconda del tipo di macchina disponibile e delle opzioni selezionate.


Caselle Temperatura precedente

Nelle caselle Temperatura precedente sono riportate sempre le temperature rilevate in precedenza. Se non esistono valori relativi a precedenti rilevazioni della temperatura, in queste caselle è indicato il valore zero oppure nessun valore.


Caselle Temperatura di Riferimento

Nelle caselle Temperatura di Riferimento è riportata la temperatura di riferimento in base alla quale applicare correzioni alla compensazione.

  • L'entità delle correzioni viene ottenuta moltiplicando il coefficiente del materiale per il valore relativo alla differenza tra la temperatura corrente e la temperatura di riferimento.
    Valore delle correzioni = Coefficiente del materiale x (Temperatura corrente – Temperatura di riferimento)

  • Se la temperatura corrente corrisponde alla temperatura di riferimento non verrà applicata alcuna correzione alla compensazione termica.

  • Il valore di queste caselle è quasi sempre pari a 20 gradi C o all'equivalente in gradi Fahrenheit


Caselle Soglia Massima

Nelle caselle Soglia massima è riportato un limite massimo, espresso in unità opportune, per la temperatura corrente. Se tale limite viene superato, non verrà applicata un'ulteriore compensazione termica. PC-DMIS non visualizza alcuna avvertenza o messaggio di errore.

Esempio:con una temperatura di riferimento di 20 gradi C, una temperatura corrente di 35 gradi C e un valore di soglia massima di 30 gradi C, la correzione applicata verrà basata sulla differenza (30 – 20) invece di (35 – 20) perché la temperatura corrente supera la soglia massima.


Caselle Soglia massima

Le caselle Soglia minima sono concettualmente simili a quelle della soglia massima ad eccezione del fatto che in tali caselle è possibile inserire il valore minimo sotto il quale non verrà applicata un'ulteriore compensazione termica.


Caselle Origine

Le caselle Origine vengono utilizzate per determinare la lunghezza dell'elemento a cui verrà applicata la compensazione termica.

Lunghezza = Valore posizione corrente – Valore origine

  • I valori X, Y, e Z delle caselle Origine sono zero nella maggior parte dei casi. Tuttavia, alcuni tipi di macchine non utilizzano zero come origine delle scale.

  • Il valore Pezzo sarà in genere zero, a meno che non esista un tipo speciale di vincolo per l'attrezzatura.


Mostra Temperature in Celsius

La casella di controllo Mostra temperature in Celsius influisce sia sulle temperature che sul coefficiente del materiale.

  • Se questa casella di controllo è selezionata, tutti i dati verranno visualizzati in gradi Celsius.

  • Se la casella di controllo è deselezionata, verranno utilizzati i gradi Fahrenheit.


Compensazione temperatura attivata

La casella di controllo Compensazione temperatura attivata indica a PC-DMIS di utilizzare la compensazione della temperatura.

  • Se non è selezionata, PC-DMIS non eseguirà la compensazione della temperatura e il comando COMP TEMP eventualmente presente nel part-program non avrà effetto.

  • Se è selezionata, PC-DMIS eseguirà la compensazione della temperatura in base ai parametri di input.


Metodo di Compensazione

Di seguito sono riportati i metodi di compensazione disponibili e i rispettivi processi in PC-DMIS.

Metodo

Processo

Manuale

ü La compensazione è manuale ovvero controllata dall'utente e non implica l'uso del controller della macchina.

ü PC-DMIS esegue tutti i calcoli relativi alla compensazione.

ü Durante l'esecuzione del part-program viene visualizzata la finestra di dialogo Impostazione compensazione temperatura in cui è possibile modificare le impostazioni correnti, prima di procedere con la rimanente parte del programma.

Leggi temperature da controller

ü Quando si utilizza una macchina che supporta questa opzione, PC-DMIS legge le temperature correnti dal controller in modo automatico anziché richiedere l'inserimento dei dati da parte dell'utente.

ü PC-DMIS esegue tutti i calcoli relativi alla compensazione. Il controller fornisce in questo caso solo le temperature correnti.

ü Durante l'esecuzione del part-program la finestra di dialogo Impostazione compensazione temperatura non viene visualizzata

ü L'esecuzione del part-program non viene interrotta in attesa della conferma dell'utente.

Compensazione del Controllo Solo per Assi

ü Il controllo esegue automaticamente la compensazione degli assi macchina.

ü I valori degli assi inseriti non verranno utilizzati.

ü I parametri di input del pezzo sono validi, poiché PC-DMIS esegue ancora la compensazione del pezzo.

ü Durante l'esecuzione del part-program la finestra di dialogo Impostazione compensazione temperatura non viene visualizzata

ü L'esecuzione del part-program non viene interrotta in attesa della conferma dell'utente.

Compensazione Controllo per Assi e Pezzo

ü Il controllo esegue la compensazione degli assi della macchina e del pezzo.

ü Non vengono utilizzati i valori inseriti per gli assi.

ü PC-DMIS non esegue alcun calcolo relativo alla compensazione.

ü È ancora necessario fornire i dati relativi al coefficiente del materiale, alla temperatura di riferimento e all'origine del pezzo, in quanto tali informazioni vengono passate al controllo da PC-DMIS.

ü Durante l'esecuzione del part-program la finestra di dialogo Impostazione compensazione temperatura non viene visualizzata

ü L'esecuzione del part-program non viene interrotta in attesa della conferma dell'utente.


Tempo Restante

Nella schermata Tempo restante viene visualizzato il tempo rimanente prima della lettura della temperatura. Tale valore è disponibile solo se è stato impostato un ritardo di esecuzione. Vedere "Ritardo prima di leggere la temperatura del pezzo".


Ritardo prima di leggere la Temperatura del Pezzo

La casella Ritardo prima di leggere la Temperatura Pezzo consente di specificare l'intervallo che PC-DMIS attenderà, durante l'esecuzione del part-program, prima di leggere i Sensori e ottenere le temperature correnti. Inserendo il valore zero, non viene effettuata alcuna pausa.


Ripristina valori Predefiniti

Il pulsante Ripristina valori predefiniti consente di aggiornare eventuali valori modificati con valori precedentemente salvati. Se si lavora su una macchina DEA ed è disponibile un file serv1.stp, PC-DMIS leggerà i valori da tale file.


Richiamo Temperature Correnti

Se si seleziona il metodo Leggi temperature da controllo dall'elenco Metodo di compensazione e si utilizza una macchina che supporta questa opzione, il pulsante Richiama temperature correnti consente a PC-DMIS di leggere le temperature nel controllo e di visualizzarle nella finestra di dialogo Impostazione compensazione temperatura.


Comando COMP_TEMP nella Finestra di Modifica

Quando si accettano i dati della finestra di dialogo Impostazione compensazione temperatura facendo clic sul pulsante OK, PC-DMIS inserisce un comando COMP TEMP nel part-program.

Esempio di inserimento del comando COMP TEMP

In genere, in un part-program viene utilizzato un solo comando COMP_TEMP. Tale comando deve essere inserito nella parte iniziale del programma prima di qualsiasi misurazione. Il part-program viene eseguito in base ai diversi parametri di input specificati.


Supporto Controllo

Non tutti i controlli supportano qualsiasi metodo di compensazione. Di seguito sono indicati i controlli supportati per i diversi metodi di compensazione. Vedere "Metodi di compensazione".

Metodi di Compensazione | Controlli Supportati
Manuale | Tutti. Nessun coinvolgimento del controller con questo metodo
Lettura temperature da controllo | DEA (solo con controlli della famiglia DEAC), Sharpe32z basati su protocollo Leitz
Compensazione Controllo Solo per Assi | Sharpe32z basati su protocollo Leitz
Compensazione Controllo per Assi e Pezzo | Sharpe32z basati su protocollo Leitz


Definizione delle Directory Esterne di Ricerca

Visualizza Mappa Percorsi dei Menu

finestra di dialogo Percorso di ricerca

L'opzione di menu Modifica | Preferenze | Imposta percorso di ricerca visualizza la finestra di dialogo Percorso di Ricerca . Questa finestra di dialogo consente di specificare le directories che PC-DMIS usa per:

  • Importare i file CAD

  • Esportare i file CAD

  • Caricamento File di Part program (.prg)

  • Caricamento file Rapporto (.rpt) o Etichette (.lbl) e form (.frm)

  • Caricamento File tastatore (.prb)

  • Richiamo allineamenti (.aln)

  • Chiamata di Subroutine

Per specificare una directory predefinita da utilizzare:

  1. Accesso alla finestra di dialogo Persorso di Ricerca.

  2. Selezionare una voce dall’elenco Cerca.

  3. Inserire il percorso di directory nella casella oppure selezionare il pulsante Sfoglia per selezionare una directory.

  4. Fare clic sul pulsante OK. Dopo aver applicato le modifiche, la finestra di dialogo si chiude.

Nota:selezionandoCARIC TAST, RICHIAMA, oppure SUBROUTINEnell'elenco Cerca , caselle di controllo aggiuntive si rendono disponibili ad essere selezionate. Tali valori vengono descritti più avanti.

Nella finestra di dialogo Percorso di ricerca sono disponibili le opzioni seguenti:

Vedere anche:

Cerca

Cerca nella Directory Corrente

Cerca prima nella directory corrente

Cerca nella Directory Specificata

Pulsante Sfoglia

Browse buttonApply buttonCancel buttonOK buttonSearch Specified Directory check boxSearch Current Directory First check boxSearch Current Directory check boxSearch For list


Cerca

La casella di riepilogo a discesa Cerca consente di selezionare una delle seguenti tre opzioni:

  • Directory di Export Predefinita

  • Directory di Import Predefinita

  • Directory Predefinita Part program

  • Directory di Report Predefinita

  • CARIC_TAST

  • RICHIAMA

  • SUBROUTINE

Per ciascuna di queste opzioni, è possibile definire una directory in cui PC-DMIS eseguirà la ricerca, quando il comando relativo all'opzione selezionata viene individuato nella finestra di Modifica.


Cerca nella Directory Corrente

La casella di controllo Cerca nella directory corrente consente di abilitare o disabilitare la ricerca nella directory corrente.


Cerca prima nella directory corrente

Questa casella di controllo consente di eseguire la ricerca nella directory corrente e nella directory specificata dall'utente se anche le caselle di controllo Cerca nella directory corrente e Cerca nella directory specificata sono selezionate. L'ordine in cui viene eseguita la ricerca dipende dalla selezione di questa casella:

  • Se è selezionata, PC-DMIS esegue la ricerca prima nella directory corrente e poi nella directory specificata dall'utente.

  • Se non è selezionata, la ricerca verrà eseguita nell'ordine inverso, ossia prima nella directory specificata dall'utente e poi nella directory corrente.


Cerca nella Directory Specificata

La casella di controllo Cerca nella directory specificata consente di abilitare o disabilitare la ricerca nella directory specificata. Il percorso per la directory specificata verrà inserito nella casella sotto la casella di controllo.


Pulsante Sfoglia

Il pulsante Sfoglia consente di cercare la directory specificata dall'utente. Quando si seleziona questo pulsante, viene visualizzata la struttura di directory del sistema.

Esempio di una struttura di directory nella finestra di dialogo Scelta Directory.

Nella finestra di dialogo Scelta directory sono visualizzate la struttura di directory e le cartelle disponibili. Selezionare la directory in cui PC-DMIS deve eseguire la ricerca, quindi fare clic sul pulsante OK. Viene di nuovo visualizzata la finestra di dialogo Percorso di ricerca. Nella casella Cerca nella directory specificata è ora visualizzato il percorso della directory.

Nota:La struttura delle directory nella finestra Scelta Directory varia da computer a computer. Quello illustrato è solo un esempio di una situazione possibile.


Modifica delle opzioni OpenGL

Visualizza Mappa Percorsi dei Menu

Finestra di Dialogo Opzioni OpenGL

Questa opzione di menu è disponibile solo se la finestra di visualizzazione grafica è attiva.

L'opzione di menu Modifica | Preferenze | OpenGL consente di visualizzare la finestra di dialogoOpzioni OpenGL . In questa finestra di dialogo è possibile modificare le opzioni OpenGL che influiscono sulla visualizzazione del modello in modalità vista Solido. Per modificare il pezzo nella vista Solido, vedere "Impostazione della vista dello schermo" nella sezione "Modifica della visualizzazione CAD".

Vedere anche:

Impostazioni del Desktop

Opzioni

Tassellazione

Options area Cancel buttonOK buttonTessellation areaDesktop Settings area


Impostazioni del Desktop

Sono disponibili opzioni OpenGL diverse per ciascuna impostazione di visualizzazione del desktop. La sezione Impostazioni desktop indica le impostazioni correnti del desktop.


Opzioni

La sezione Opzioni consente di controllare le caratteristiche del modello nella modalità vista Solido. Alcune combinazioni di queste opzioni possono non essere disponibili a causa delle limitazioni della scheda grafica. Inoltre, in base al modo in cui la scheda grafica supporta l'accelerazione hardware, alcune combinazioni di opzioni possono danneggiare le prestazioni grafiche. Se le prestazioni ottenibili con le impostazioni correnti non sono accettabili, viene visualizzato un messaggio di avviso nella parte inferiore della finestra di dialogo.

Color Depth list Z Buffer Depth listDouble Buffering check box


Doppio buffer

Un buffer di visualizzazione rappresenta una memoria grafica utilizzata per la memorizzazione dell'immagine visualizzata sullo schermo.

Quando si seleziona la casella di controllo Doppio buffer, sono disponibili due buffer di visualizzazione, un buffer anteriore e un buffer posteriore. Il buffer anteriore è rappresentato dai dati visualizzati sullo schermo. Quando è necessario ridisegnare lo schermo, ad esempio in caso di rotazione del modello, l'immagine deve essere cancellata dallo schermo e ridisegnata. Le operazioni di cancellazione e disegno vengono effettuate nel buffer posteriore. Non è possibile visualizzare le operazioni effettive di cancellazione e disegno dell'immagine. Una volta completato il disegno dell'immagine nel buffer posteriore, questo viene sostituito dal buffer anteriore. L'operazione è estremamente rapida, pertanto il passaggio da un buffer all'altro non è in pratica rilevabile.

Quando la casella di controllo Doppio Buffer è deselezionata, ovvero quando è presente un solo buffer di visualizzazione, si puó vedere che lo schermo é cancellato e ridisegnato, sebbene molto rapidamente. La cancellazione e il ridisegno dello schermo è accompagnato da uno sfarfallio.

Per riepilogare, il doppio buffer consente di ottenere una rappresentazione grafica più gradevole rispetto al buffer singolo.


Capacità Z-Buffer

L'elenco Capacità Z-Buffer consente di controllare la memoria grafica utilizzata per lo z-buffer. Lo z-buffer determina le parti di un modello 3D che devono essere visualizzate in primo piano rispetto ad altre parti del modello. Se il numero di bit utilizzati per lo x-buffer è insufficiente, è possibile che vengano visualizzati artefatti visivi nel modello in modalità vista Solido. Tali artefatti corrispondono ad aree del modello disegnate dinanzi ad altri pezzi che dovrebbe invece essere nascoste e non influiscono sulla precisione di PC-DMIS ma costituiscono solo imprecisioni nella rappresentazione grafica del modello.


Stringa di comando ColorDepth

L'elenco Intensità colore consente di controllare la memoria grafica utilizzata dal sistema per le informazioni relative al colore di ciascun pixel. Questo valore dipende in genere dall'intensità del colore delle impostazioni del desktop.


Tassellazione

Il valore di tassellazione è il valore predefinito utilizzato per suddividere le superfici in patch per ottenere l'ombreggiatura.

L'area Tassellazione controlla l'immagine disegnata impostando un fattore moltiplicativo della tassellazione nella casella Fattore Moltiplicativo. PC-DMIS moltiplica il valore inserito nella casella Fattore Moltiplicativo per il valore di tassellazione del dato sistema CAD. Tali valori vengono quindi utilizzati nella generazione dell'immagine ombreggiata.


Modifica della visualizzazione CAD

Modifica della Visualizzazione CAD: Introduzione

Impostazione della vista dello schermo

Modifica di layout e viste

Modifica delle dimensioni delle viste

Visualizzazione dei righelli

Visualizzazione delle linee sulle superfici

Aggiunta di una griglia 3D

Visualizzazione, creazione e modifica dei livelli

Creazione di livelli

Eliminazione di livelli

Modifica di livelli

Operativitá e Posizionanamento di Elementi su Schermo

Alternanza della modalità Curva e della modalità Superficie

Disegno delle superfici

Come evidenziare Superfici e Curve con il Mouse

Aggiornamento dello schermo

Modifica delle modalità dello schermo

Modalità Traslazione

Riduzione dell'immagine del pezzo nella finestra di visualizzazione grafica

Ingrandimento dell'immagine del pezzo nella finestra di visualizzazione grafica

Ingrandimento di una parte dell'immagine del pezzo nella finestra di visualizzazione grafica

Riposizionamento dell'immagine del pezzo nella finestra di visualizzazione grafica

Modalità Rotazione 2D

Rotazione 2D mediante trascinamento

Rotazione 2D su un elemento (Squadratura del disegno)

Rotazione 2D in base a un fattore

Modalità Rotazione 3D

Rotazione 3D mediante la finestra di dialogo Ruota

Rotazione 3D mediante trascinamento

Rotazione 3D su un elemento (Squadratura del disegno)

Modalità Programma

Modalità Casella di testo

Modifica dei colori dello schermo

Modifica di un colore

Sfondo

Evidenzia

Griglia 3D

Ridimensionamento in scala del disegno

Ridimensionamento in scala del modello per adattarlo alla vista

Ridimensionamento in scala del modello in base a un fattore

Rotazione del disegno

Modifica Rotazione ed Altre Opzioni di Movimento

Disabilita illuminazione bilaterale e scarta faccia posteriore

Disabilita materiali, superfici e trasparenze

Ignora questi oggetti

Percentuale residuo di oggetti da disegnare

Disegno di Oggetti – Come Definito

Disegno di Oggetti – Wire Frame

Disegno di oggetti – Punti

Visualizza e Nascondi Grafica

C ome operare con Assiemi di Pezzi

Mirroring del CAD

Come produrre un CAD 3D usando la finestra Crea Livelli

Come creare CAD 3D

Crea livelli – Menu File

Crea livelli – Menu Vista

Vista | Cambia vista

Vista | Adatta

Vista | Ruota

Vista | Info CAD

Vista | Colori schermo

Crea livelli – Menu Livello

Livello | Nuovo

Creazione di un nuovo livello

Livello | Seleziona

Livello | Deseleziona

Livello | Crea

Livello | Posizione

Modifica della posizione di un livello

Area Orientamento

Pulsante Posizione

Area Elementi di definizione origine

Area Elemento di definizione offset

Casella Scala

Ulteriori operazioni sui livelli

Visualizzazione delle informazioni CAD

Uso delle catture dello schermo della finestra di visualizzazione grafica

Invio delle catture dello schermo agli Appunti

Invio delle catture dello schermo al rapporto

Invio delle catture dello schermo a un file

Modifica delle catture dello schermo

Modifica di elementi CAD

Tipi di elemento

Numero selezionato

Modifica colore

Cambia nome

Cambia colore

Prioritario

Memorizzazione di un nuovo insieme di superfici

Mostra nome

Come visualizzare o nascondere i nomi di elementi specifici

Deseleziona

Casella nome per elementi CAD

Come applicare Illuminazione e Materiali alla Visualizzazione CAD

Scheda Archivio

Scheda Illuminazione

Scheda Materiale

Applicazione di Superfici al Modello CAD completo

Come Applicare Superfici ( Texture ) ad Oggetti CAD Selezionati

Rimozione dei Tasselli da Oggetti CAD Selezionati

Scheda Piani di Taglio

Definizione del Piano di Taglio

Regolazione del Piano di Taglio

Modifica di elementi

Sezione delle opzioni degli elementi

Sezione del testo delle opzioni dell'etichetta

Selezione di elementi nella finestra di visualizzazione grafica

Selezione degli elementi mediante gli ID

Selezione degli elementi mediante i meta-caratteri

Meta-carattere asterisco (*)

Meta-carattere punto interrogativo (?)

Selezione degli ultimi ID

Selezione tramite finestra degli ID

Panoramica sulla selezione tramite finestra degli ID degli elementi di lamiera

Selezione degli elementi in modalità online

Modifica dell'ID di un elemento

Modifica dei colori della dimensione

Visualizzazione e animazione delle linee del percorso

Animazione del percorso

Rigenerazione del percorso

Controllo delle collisioni

Per Abilitare la Funzionalitá di Controllo Collisioni

Come configurare la modalità OpenGL per una vista

Opzioni della Finestra Controllo Collisioni

Eliminazione di elementi CAD

Tipi di elemento

Numero selezionato

Numero eliminato

Elimina CAD

Ripristino degli elementi CAD

Deseleziona

Eliminazione di elementi

Eliminazione mediante la finestra di dialogo Elimina elementi

Elimina elementi

Ripristino degli elementi eliminati

Cancella elenco

Eliminazione mediante l'opzione di menu Elimina [Elemento]

Eliminazioni di dimensioni

Elimina dimensioni

Ripristino delle dimensioni eliminate

Cancella elenco

Trasformazione di un modello CAD

Utilizzo dei sistemi di coordinate CAD


Modifica della Visualizzazione CAD: Introduzione

PC-DMIS consente di modificare la visualizzazione CAD nella finestra di visualizzazione grafica.

Negli argomenti principali di questa sezione viene descritto come modificare la visualizzazione CAD. Le opzioni disponibili sono le seguenti:

  • Impostazione della vista dello schermo

  • Operativitá e Posizionanamento di Elementi su Schermo

  • Alternanza della modalità Curva e della modalità Superficie

  • Disegno delle superfici

  • Come evidenziare Superfici o Curve con il Mouse

  • Aggiornamento dello schermo

  • Modifica delle modalità dello schermo

  • Modifica dei colori dello schermo

  • Ridimensionamento in scala del disegno

  • Rotazione del disegno

  • Modifica Rotazione ed Altre Opzioni di Movimento

  • Visualizza e Nascondi Grafica

  • Mostra e nascondi assiemi di pezzi

  • Mirroring del CAD

  • Come produrre un CAD 3D usando la finestra Crea Livelli

  • Visualizzazione delle informazioni CAD

  • Uso delle catture dello schermo della finestra di visualizzazione grafica

  • Modifica di elementi CAD

  • Come applicare Illuminazione e Materiali alla Visualizzazione CAD

  • Modifica di elementi

  • Selezione di elementi nella finestra di visualizzazione grafica

  • Modifica dei colori della dimensione

  • Visualizzazione e animazione delle linee del percorso

  • Eliminazione di elementi CAD

  • Eliminazione di elementi

  • Eliminazioni di dimensioni

  • Trasformazione di un modello CAD

  • Utilizzo dei sistemi di coordinate CAD


Impostazione della vista dello schermo

Visualizza Mappa Percorsi dei Menu

L'opzione Modifica | Finestra di visualizzazione grafica | Imposta vista consente di aprire la finestra di dialogo Imposta vista. Questa finestra di dialogo consente di specificare il numero delle viste (massimo 4) del pezzo visualizzate da PC-DMIS nella finestra di visualizzazione grafica. Inoltre, consente di determinare l'orientamento di ciascuna vista e di stabilire se visualizzare una determinata vista come un wire-frame o un solido.

Finestra dio dialogo Impostazione Vista

Suggerimento: Per modificare rapidamente la visualizzazione del pezzo nella vista 'blue', fare clic sulle icone disponibili dalla barra degli strumenti Vista grafica .

Vedere anche:

Modifica di layout e viste

Visualizzazione delle linee sulle superfici

Visualizzazione dei righelli

Visualizzazione, creazione e modifica dei livelli

Cancel buttonOK buttonApply buttonDisplaying, Creating, and Manipulating LevelsShow Lines Over Surfaces check boxDisplaying RulersAdding a 3D GridChanging Layout and Views


Modifica di layout e viste

Per modificare il layout dello schermo e l'orientamento delle viste:

  1. Aprire la finestra di dialogo Imposta vista (Modifica | Finestra di visualizzazione grafica | Imposta vista). Menu Visualizzazione mappa dei percorsi

  2. Selezionare lo stile desiderato nella sezione Layout. Ad esempio, per visualizzare contemporaneamente due viste differenti della stessa immagine del pezzo, fare clic sul secondo o sul terzo pulsante della prima serie di pulsanti. La finestra viene suddivisa orizzontalmente o verticalmente in base al pulsante scelto.

  3. Nelle caselle di riepilogo a discesa, selezionare l'orientamento da applicare a ciascuna delle viste visualizzate. Ad esempio, per visualizzare l'immagine del pezzo nella direzione Z+, selezionare Z+ nella casella di riepilogo a discesa. Altrimenti, per visualizzare la stessa immagine lungo l'asse Y-, selezionare Y-. Le opzioni di visualizzazione incidono solo sulla modalità di visualizzazione dell'immagine del pezzo su PC-DMIS e non sui dati misurati o sui risultati delle ispezioni.

  4. Per visualizzare il pezzo nella vista selezionata in forma di solido, selezionare la casella di controllo Solid. Se tale casella di controllo non viene selezionata, la vista del pezzo viene visualizzata come un wire-frame.

  5. Fare clic sul pulsante Applica oppure sul pulsante Ok.

  6. Se si seleziona il pulsante Ok, la finestra di dialogo Imposta vista viene chiusa e le modifiche vengono applicate alla finestra di visualizzazione grafica.

  7. Se viene selezionato il pulsante Applica senza aver specificato gli orientamenti appropriati per le viste, viene visualizzato un messaggio che richiede di inserire i dati necessari. Dopo aver impostato il layout dello schermo e aver selezionato il pulsante Applica, la finestra di visualizzazione grafica verrà aggiornata in base alle impostazioni correnti.

Vedere anche:

Modifica delle dimensioni delle viste


Modifica delle dimensioni delle viste

PC-DMIS consente di ridefinire le dimensioni delle viste della finestra di visualizzazione grafica.

Per modificare le dimensioni di una vista, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse sulla linea di separazione delle finestre. Il puntatore assume la forma di una doppia freccia.

  2. Tenere premuto il pulsante sinistro del mouse.

  3. Trascinare la linea nella posizione desiderata. Le dimensioni della vista risulteranno così modificate.

È possibile effettuare questa procedura sia per le linee disposte orizzontalmente che per quelle in posizione verticale. È possibile ridimensionare in scala il disegno per adattarlo alla nuova finestra selezionando l'opzione Adatta. Vedere "Ridimensionamento in scala del disegno".

Nota: è possibile modificare le dimensioni delle viste in qualsiasi modalità.


Aggiunta di una griglia 3D

Selezionare una casella di controllo Griglia 3D per attivare la griglia 3D per la vista selezionata. A differenza dei righelli, l'origine della griglia 3D sarà sempre posizionata in corrispondenza dell'allineamento corrente del pezzo.

Fare clic sul pulsante Impost. griglia 3D per visualizzare la finestra di dialogo Impost. griglia 3D. in cui è possibile modificare la spaziatura della griglia.

Finestra di dialogo Impost. griglia 3D

Per modificare la spaziatura della griglia, digitare un valore nelle caselle Asse X, Asse Y e Asse Z, oppure selezionare le caselle di controllo Automatico se si desidera che la spaziatura venga calcolata automaticamente.

Le etichette della griglia sono posizionate intorno alla parte esterna della finestra. L'allineamento di tali linee è uguale a quello corrente definito nella finestra di modifica. Possono essere incassate in base al valore riportato nella casella Etichetta inserita. Questo valore determina la dimensione del buffer di pixel che viene posizionato tra il bordo esterno della finestra di visualizzazione grafica e le etichette della griglia 3D.

Dopo aver selezionato il pulsante OK, nella finestra di visualizzazione grafica verrà visualizzata la griglia 3D.

Esempio di griglia 3D—Griglia con Etichetta Inserita di 10 nel piano X-Y

È possibile disegnare tre possibili griglie:

X-Y

Y-Z

Z-X

In PC-DMIS è possibile disegnare una sola griglia alla volta. La griglia disegnata dipende dal piano dell'asse ruotato più vicino allo schermo e determinato dall'indicatore dell'asse. Ad esempio, il seguente indicatore della finestra di visualizzazione grafica è riferito al piano X-Y, pertanto verrà disegnata la griglia X-Y.

Indicatore dell'asse riferito al piano X-Y.

Nota: É possibile modificare il colore della griglia 3D nella finestra di dialogo Colori schermo . Vedere Modifica dei colori dello schermo.


Visualizzazione delle linee sulle superfici

Questa casella di controllo può essere utilizzata solo per la vista solidi. Selezionare questa casella di controllo per attivare la visualizzazione di punti e linee nascosti dietro superfici. Questa opzione risulta utile per visualizzare elementi misurati posizionati dietro a superfici. Si supponga ad esempio che una linea misurata del pezzo sia posizionata leggermente sotto la superficie CAD. Selezionando questa casella di controllo, la linea misurata sarà visibile.


Visualizzazione dei righelli

Selezionare la casella di controllo Righelli per attivare i righelli in tutte le viste. L'origine dei righelli sarà sempre posizionata in corrispondenza dell'origine CAD senza allineamenti locali ai pezzi.


Visualizzazione, creazione e modifica dei livelli

Un livello CAD comprende un gruppo di geometrie CAD correlate, identificate da un numero di livello. Quando si importano tali file in PC-DMIS, vengono importate anche le informazioni relative al livello. Quindi, nella finestra di dialogo Imposta vista è possibile selezionare il livello da visualizzare in ciascuna 'vista' della finestra di visualizzazione grafica (Modifica | Finestra di visualizzazione grafica | Imposta vista).

Visualizza Mappa Percorsi dei Menu

A causa della notevole complessità e delle dimensioni di molti file CAD, questa opzione risulta particolarmente utile poiché consente di visualizzare solo determinate parti del modello CAD durante l'esecuzione dei task in PC-DMIS. (Vedere "Creazione di disegni CAD 3D" per ulteriori informazioni).

Nota: questa opzione è disponibile solo se nel file di disegno IGES sono stati inseriti dei livelli.

Per visualizzare un livello nella finestra di visualizzazione grafica, effettuare le seguenti operazioni::

Selezionare la vista desiderata, ossia verde, gialla, rossa o blu.

Selezionare il livello appropriato nell'elenco.

Fare clic sul pulsante Applica .

PC-DMIS aggiornerà la finestra di visualizzazione grafica in base alle impostazioni correnti. Per salvare le modifiche, fare clic sul pulsante OK.

Il pulsante Crea� nella finestra di dialogo Imposta vista consente di accedere alla finestra di dialogo Livello.

Finestra di dialogo Livello

La finestra di dialogo Livello consente di creare, eliminare o modificare i livelli.

Vedere anche:

Creazione di livelli

Eliminazione di livelli

Modifica di livelli


Creazione di livelli

Per creare un livello, effettuare le seguenti operazioni:

  1. Nella finestra di dialogo Livello, inserire il nuovo numero di livello nella casella disponibile sotto il pulsante Crea.

  2. Scegliere gli elementi che si desidera inserire nel nuovo livello selezionando le caselle di controllo relative al tipo di elementodesiderato.

  3. Fare clic sul pulsante Fine per completare la procedura.


Eliminazione di livelli

Per eliminare un livello, effettuare le seguenti operazioni:

  1. Nella finestra di dialogo Livello, selezionare un livello esistente dall'elenco a discesa.

  2. Fare clic sul pulsante Elimina.

  3. Selezionare il pulsante Fine per completare la procedura. Tutti i tipi di elemento associati al livello eliminato verranno assegnati al livello '0'.


Modifica di livelli

Per modificare un livello, effettuare le seguenti operazioni:

  1. Nella finestra di dialogo Livello, selezionare un livello esistente dall'elenco a discesa.

  2. Fare clic sul pulsante Modifica.

  3. Selezionare il pulsante Assegna per aggiugere dati CAD al livello scelto oppure il pulsante Annulla per rimuovere i dati CAD dal livello scelto.

  4. Nelle caselle di controllo Tipo di elemento, selezionare il tipo appropriato da 'aggiungere' o 'rimuovere' dal livello visualizzato.

  5. Selezionare il pulsante Fine per completare la procedura.

Per aggiungere o modificare un livello, è necessario selezionare i dati CAD. È possibile selezionare determinati tipi di geometria utilizzando la stessa procedura seguita nelle finestre di dialogo Modifica CAD e Elimina CAD . È inoltre possibile limitare la scelta ai dati CAD di un dato colore selezionando la casella di controllo 'Colore', quindi una geometria con il colore desiderato.. Il colore selezionato verrà visualizzato accanto alla casella di controllo 'Colore'. Per cambiare il colore, deselezionare la casella di controllo 'Colore', quindi selezionare nuovamente la casella di controllo Colore scegliendo la geometria con il nuovo colore.

Per chiudere la finestra di dialogo Definizione livello fare clic su OK o su Annulla. Se si preme il pulsante Annulla non vengono salvati i risultati delle operazioni in corso.


Gestione e posizionamento di elementi su schermo

La finestra di visualizzazione grafica contiene più del semplice disegno CAD del pezzo. Possono essere visualizzati ID di elementi, etichette di definizione datum, caselle di testo di info dimensione e info punto e FCF (Feature Control Frame). Tutti questi elementi possono organizzare al meglio il rapporto, se però ne viene definito un numero eccessivo il pezzo ne verrà ricoperto ed il disegno del pezzo risulterà confuso.

Fortunatamente tutti gli elementi possono essere riposizionati per mezzo del mouse. Su di essi il puntatore del mouse si trasforma in croce. Fare clic sull'elemento e trascinarlo verso la posizione desiderata. PC-DMIS traccia una linea che congiunge l'etichetta dell'ID o il blocco di testo all'elemento corrispondente.

Le etichette ed i blocchi di testo possono anche essere riposizionati dinamicamente intorno al disegno del pezzo anche quando si modifica il grado di zoom per la visualizzazione del pezzo stesso. Selezonare la casella Posizionamento automatico etichetta nella scheda Generale della finestra di dialogo Opzioni di impostazione. Fare riferimento a "Posizionamento automatico etichetta" in "Impostazione delle preferenze".

Se l'effetto è ancora confuso, è possibile migliorare la posizione degli elementi mediante i menu di scelta rapida. Fare riferimento a "Menu di scelta rapida elementi" e "Menu di scelta rapida da finestra" in "Uso dei menu e dei tasti di scelta rapida".

Nota: il posizionamento degli elementi viene realizzato soltanto nella vista attiva. Se lo schermo è diviso e riporta altre viste del pezzo, gli ID restano immutati nelle viste che non sono attive.


Alternanza della modalità Curva e della modalità Superficie

Operazione | Finestra di visualizzazione grafica | Cambia modalità curva/superficie

Per accedere a tali modalità, è necessario installare sul sistema il pacchetto opzionale "Curves and Surfaces" (Curve e superfici).

  • L'opzione Modalità curva Menu visualizzazione mappa dei percorsi rende un modello di curve e linee wire-frame selezionabile quando si fa clic sui dati CAD nella finestra di visualizzazione grafica. È necessario importare un modello wire-frame per rendere questa opzione disponibile.

  • L'opzione Modalità superficie Menu visualizzazione mappa dei percorsi rende una superficie del modello solido selezionabile quando si fa clic sui dati CAD nella finestra di visualizzazione grafica. È necessario importare un modello solido per rendere questa opzione disponibile.

Per informazioni sull'uso di tali modalità durante le scansioni, vedere la sezione "Scansione del pezzo".


Disegno delle superfici

Visualizza Mappa Percorsi dei Menu

L'opzione Operazione | Finestra di visualizzazione grafica | Disegna superfici consente di visualizzare superfici sullo schermo. Tenere presente che è necessario selezionare in primo luogo la casella di controllo Solido nella finestra di dialogo Imposta vista. Per informazioni sulla finestra di dialogo Imposta vista, vedere l'argomento "Impostazione delle vista dello schermo".

Per disattivare la visualizzazione delle superfici, selezionare di nuovo questa opzione.


Come evidenziare Superfici e Curve con il Mouse

A partire dalla versione 3.6, PC-DMIS offer la possibilità di evidenziare con facilità e velocità le superfici CAD e gli elementi wireframe passandoci sopra con il cursore del mouse. Ció permette di ottenere una veloce panoramica delle superfici e delle curve disponibili sul modello del pezzo dato. Questo procedimento permette di Evidenziare con il Mouse (MOHL, Mouse Over HighLighting).

Esempio di come Evidenziare con il Mouse

Per utilizzare la funzionalità MOHL, premere il pulsante MAIUSC e poi muovere il mouse sul pezzo.

Se è stata selezionata la modalità Superficie, PC-DMIS evidenzia in giallo la superficie corretta sotto il mouse.

Se è stata selezionata la modalità Curva, PC-DMIS evidenzia la curva corretta o l'elemento wireframe sotto il mouse.

Se si utilizza MOHL con una bitmap di tasselli applicata alle superifici del pezzo, impostare Capacità Z-Buffer su un valore inferiore a 32. Se si imposta un valore di 32 o maggiore, è possibile che linee abbisciate permangano sull’immagine fintanto che questa non viene aggiornata nella finestra di Visualizzazione Grafica. Vedere "Modifica delle opzioni OpenGL" nella sezione "Impostazione delle preferenze" .


Aggiornamento dello schermo

Visualizza Mappa Percorsi dei Menu

Questa opzione consente di aggiornare la finestra di visualizzazione grafica ogni volta che si seleziona l'opzione Operazione | Finestra di visualizzazione grafica | Aggiorna schermo.


Modifica delle modalità dello schermo

PC-DMIS consente di passare alternatamente tra diverse modalità dello schermo. La modalità di interpretazione dei clic del mouse da parte di PC-DMIS varia in base alla modalità impostata.

Vedere anche:

Modalità Traslazione

Modalità Rotazione 2D

Modalità Rotazione 3D

Modalità Programma

Modalità Casella di testo


Modalità Traslazione

Visualizza Mappa Percorsi dei Menu

L'opzione Operazione | Finestra di visualizzazione grafica | Cambia modalità schermo | Traslata attiva in PC-DMIS la modalità di traslazione la quale consente di spostare il pezzo nella finestra di visualizzazione grafica, nonché di eseguirne lo zoom avanti o indietro. La modalità Traslazione consente di effettuare le seguenti operazioni:

  • Riduzione delle dimensioni del pezzo nella finestra di visualizzazione grafica

  • Ingrandimento delle dimensioni del pezzo nella finestra di visualizzazione grafica

  • Selezione di un'area del pezzo nella finestra di visualizzazione grafica

  • Riposizionamento del pezzo nella finestra di visualizzazione grafica

Vedere anche:

Riduzione dell'immagine del pezzo nella finestra di visualizzazione grafica

Ingrandimento dell'immagine del pezzo nella finestra di visualizzazione grafica

Ingrandimento di una parte dell'immagine del pezzo nella finestra di visualizzazione grafica

Riposizionamento dell'immagine del pezzo nella finestra di visualizzazione grafica


Riduzione dell'immagine del pezzo nella finestra di visualizzazione grafica

Per ridurre l'intera immagine del pezzo, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse su un punto sopra la linea centrale orizzontale immaginaria della finestra di visualizzazione grafica.

  2. Fare clic con il pulsante destro del mouse.

Maggiore è la distanza del cursore dalla linea centrale, maggiore sarà la riduzione del disegno.

Se si utilizza un mouse con la rotella, scorrere la rotella per ridurre il disegno.


Ingrandimento dell'immagine del pezzo nella finestra di visualizzazione grafica

Per ingrandire l'intera immagine del pezzo, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse su un punto sotto la linea centrale orizzontale immaginaria della finestra di visualizzazione grafica.

  2. Fare clic con il pulsante destro del mouse.

Maggiore è la distanza del cursore dalla linea centrale, maggiore sarà l'ingrandimento del disegno.

Se si utilizza un mouse con la rotella, scorrere la rotella per ingrandire il pezzo.


Ingrandimento di una parte dell'immagine del pezzo nella finestra di visualizzazione grafica

Per ingrandire una determinata area del pezzo visualizzato, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse in un angolo dell'area di selezione.

  2. Tenere premuti contemporaneamente i pulsanti sinistro e destro del mouse.

  3. Trascinare il puntatore a forma di freccia sulla parte della finestra di visualizzazione grafica da selezionare. PC-DMIS disegna una finestra.

  4. Quando nella finestra è racchiusa la geometria appropriata, rilasciare entrambi i pulsanti del mouse. PC-DMIS esegue l'ingrandimento dell'area selezionata.

Nota: una volta raggiunto un certo punto, l'immagine non viene ingrandita ulteriormente.


Riposizionamento dell'immagine del pezzo nella finestra di visualizzazione grafica

Per modificare la posizione dell'immagine del pezzo nella finestra di visualizzazione grafica, effettuare le seguenti operazioni::

  1. Posizionare il puntatore del mouse sull'immagine del pezzo.

  2. Tenere premuto il pulsante destro del mouse e trascinarlo in una nuova posizione.

  3. Rilasciare il pulsante del mouse.


Modalità Rotazione 2D

Visualizza Mappa Percorsi dei Menu

La rotazione di un disegno in due dimensioni incide solo sulla visualizzazione dell'elemento. L'origine o i datum effettivi del pezzo non vengono modificati.

L'opzione Operazione | Finestra di Visualizz. Grafica | Cambia modalitá schermo | Ruota 2D consente di ruotare un pezzo in due dimensioni. È possibile ruotare il pezzo di 360° o di una frazione di 360°.

Nei paragrafi seguenti si descrivono due diversi modi per ruotare un disegno in due dimensioni.

Vedere anche:

Rotazione 2D mediante trascinamento

Rotazione 2D su un elemento (Squadratura del disegno)

Rotazione 2D in base a un fattore


Rotazione 2D mediante trascinamento

PC-DMIS ridisegna l'immagine contemporaneamente allo spostamento del mouse sullo schermo.

È possibile ruotare un disegno su due dimensioni mediante il trascinamento intorno al centro immaginario della finestra di visualizzazione grafica.

Per ruotare un disegno mediante trascinamento, effettuare le seguenti operazioni:

  1. Dalla barra degli strumenti Modalità grafica, fare clic sull'icona Modalità ruota 2D.

  2. Posizionare il puntatore del mouse in un punto della finestra di visualizzazione grafica che sia diverso dal centro.

  3. Tenere premuto il pulsante destro del mouse.

  4. Portare il puntatore presso il centro immaginario della finestra di visualizzazione. PC-DMIS ridisegna l'immagine in modo dinamico, durante lo spostamento del mouse.

  5. Rilasciare il pulsante del mouse. Viene mantenuta la rotazione corrente.


Rotazione 2D su un elemento (Squadratura del disegno)

Per "squadrare" il pezzo sullo schermo, dalla barra degli strumenti Modalità grafica, selezionare l'icona Modalità ruota 2D, quindi fare clic su un elemento con il pulsante destro del mouse e rilasciare immediatamente il pulsante. PC-DMIS esegue la rotazione del disegno in modo che l'elemento selezionato risulti parallelo all'asse più vicino dello schermo (verticale o orizzontale).


Rotazione 2D in base a un fattore

Per ruotare con un preciso fattore, in modo simile all’argomento "Ridimensionamento in scala del modello in base a un fattore", procedere come segue:

  1. Selezionare l'icona Modalità ruota 2D dalla barra degli strumenti Modalità grafica.

  2. Premere SHIFT e poi fare clic col tasto destro nella finestra di visualizzazione grafica. PC-DMIS visualizzerà una piccola finestra di dialogo.

  3. Digitare l’angolo (in gradi) nella casella Angolo delle coordinate X pezzo.

  4. Fare clic sul pulsante OK. PC-DMIS chiude la casella e esegue una rotazione 2D del pezzo nella finestra di visualizzazione grafica.


Modalità Rotazione 3D

Visualizza Mappa Percorsi dei Menu

L'opzione Operazione | Finestra di Visualizz. Grafica | Cambia modalitá schermo | Ruota 3D consente di ruotare un pezzo in tre dimensioni. Ad ogni esecuzione del comando, è possibile effettuare una rotazione massima di 45°. Se si seleziona questa opzione, viene visualizzata la finestra di dialogo Ruota.

Finestra di dialogo Ruota

Negli argomenti "Rotazione 3D mediante la finestra di dialogo Ruota", "Rotazione 3D mediante trascinamento" e "Rotazione 3D su un elemento" vengono descritti i tre metodi disponibili per la rotazione di un disegno su tre dimensioni.

Vedere l'argomento "Rotazione del disegno" per informazioni aggiuntive sulla rotazione del disegno.

Vedere anche:

Rotazione 3D mediante la finestra di dialogo Ruota

Rotazione 3D mediante trascinamento

Rotazione 3D su un elemento (Squadratura del disegno)


Rotazione 3D mediante la finestra di dialogo Ruota

Per ruotare il disegno utilizzando la finestra di dialogo, effettuare le seguenti operazioni:

  1. Selezionare la vista da modificare mediante i pulsanti di opzione numerati da 1 a 4.

  2. Impostare il grado di rotazione selezionando l'opzione relativa all'Incremento in gradi (1, 5, 10 o 45).

  3. Fare clic sui pulsanti dell'asse desiderati per ruotare il disegno.

  4. Selezionare il pulsante Chiudi. Le modifiche apportate all'immagine CAD vengono visualizzate nella finestra di visualizzazione grafica.

Facendo clic sul pulsante Reimposta la rotazione del disegno nella finestra di dialogo Ruota e nella finestra di visualizzazione grafica sarà agganciata all'asse più vicino.

Se si seleziona la casella di controllo Animazione, PC-DMIS ridisegna dinamicamente il pezzo nella finestra di visualizzazione grafica, mano a mano che lo si ruota.


Rotazione 3D mediante trascinamento

È possibile ruotare il pezzo anche trascinando il mouse. A tale scopo, operare come segue:

  1. Accedere alla finestra di dialogo Ruota 3D.

  2. Tenere premuto il pulsante destro del mouse.

  3. Trascinare il mouse.

Suggerimento: Per ruotare rapidamente il pezzo con o senza la finestra di dialogo Ruota, premere CTRL + tasto destro del mouse e trascinare il mouse oppure, se il mouse ha un pulsante centrale con rotella, tenere premuto il pulsante della rotella e trascinare il mouse.

Determinazione del punto di rotazione

Sono disponibili due metodi per determinare il punto di rotazione, a seconda della posizione del mouse quando si fa clic con il pulsante destro. Il mouse puó essere posizionato sullo sfondo della finestra di visualizzazione grafica o sul pezzo.

1.) Se il mouse si trova sullo sfondo della finestra di visualizzazione grafica , il pezzo verrà ruotato intorno alla propria origine.

2.) Se il mouse si trova sul pezzo, il pezzo verrà ruotato intorno al punto su cui è posizionato il puntatore del mouse.


Rotazione 3D su un elemento (Squadratura del disegno)

Per "squadrare" il pezzo sullo schermo, dalla barra degli strumenti Modalità grafica, selezionare l'icona Modalità ruota 3D, quindi fare clic su un elemento con il pulsante destro del mouse, fare clic su un elemento con il pulsante destro del mouse. e rilasciare immediatamente il pulsante. PC-DMIS esegue la rotazione del disegno in modo che l'elemento selezionato risulti parallelo all'asse dello schermo più vicino (verticale, orizzontale o perpendicolare allo schermo).


Modalità Programma

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Modifica modalità schermo | Programma consente di apprendere e modificare i part-program utilizzando i dati CAD dei file IGES. Questa funzione è disponibile nella versione online e offline di PC-DMIS.

Per ulteriori informazioni sulla programmazione effettuata utilizzando la grafica, vedere la sezione "Uso della modalità offline" .


Modalità Casella di testo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Modifica modalità schermo | Casella di testo attiva in PC-DMIS una modalità che consente di manipolare gli ID degli elementi, gli FCF e di creare e modificare le caselle di testo Informazioni sulle dimensioni e Informazioni sul punto .

Queste caselle di testo possono essere create utilizzando i menu di scelta rapida visualizzati quando si fa clic con il pulsante destro del mouse sull’ID dell'elemento o sull'elemento. Vedere gli argomenti "Inserimento di caselle relative alle informazioni sulla dimensione" e "Inserimento di caselle Informazioni punto" nella sezione "Inserimento di comandi rapporto".

Nota: tenere presente che quando si sposta il mouse su un elemento o sull'etichetta ID di un elemento nella finestra di visualizzazione grafica, l'elemento viene evidenziato nel disegno CAD. Questa nuova opzione consente di identificare rapidamente l'elemento associato a una particolare etichetta.

Di seguito sono riportati i menu di scelta rapida disponibili in modalità Casella di testo:

  • Se si fa clic con il pulsante destro del mouse sull'elemento, sull'etichetta ID dell'elemento o sulla casella di testo, viene visualizzato un menu di scelta rapida per l'elemento. Vedere "Menu di scelta rapida dell'elemento" nella sezione "Uso dei menu e dei tasti di scelta rapida".

  • Se si fa clic con il pulsante destro del mouse su una casella Informazioni dimensione o Informazioni punto, viene visualizzato un menu di scelta rapida per tale casella di testo. Vedere "Menu di scelta rapida dell'elemento" nella sezione "Uso dei menu e dei tasti di scelta rapida".

  • Se si seleziona tramite finestra uno o più elementi per selezionarli, viene visualizzato un menu di scelta rapida. Vedere "Menu di scelta rapida nella finestra di selezione" nella sezione "Uso dei menu e dei tasti di scelta rapida".

Nota: quando il mouse non è posizionato su un elemento o su una casella di testo, PC-DMIS consente di eseguire le normali operazioni di zoom e rotazione del pezzo con il pulsante destro del mouse disponibili nella modalità traslazione. Vedere "Modalità Traslazione"

Suggerimento :Per creare rapidamente una casella INFO_DIM o INFO_PUNTO è sufficiente fare doppio clic su un elemento o sull'etichetta ID di un elemento. È possibile effettuare questa operazione indipendentemente dalla modalità attualmente attiva. Verrà creata automaticamente una casella di informazioni in base alle impostazioni correnti della finestra di dialogo Modifica info dimensione o Modifica info punto.

Esempio: si supponga di aver creato una casella INFO_DIM per un elemento. Fare doppio clic sulle successive etichette degli elementi per creare caselle INFO_DIM aggiuntive applicando le impostazioni selezionate quando è stata utilizzata per l'ultima volta la finestra di dialogo Modifica info dimensione.


Modifica dei colori dello schermo

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Colore schermo

Finestra di dialogo Colore schermo

La finestra di dialogo Colore schermo (Modifica | Finestra di visualizzazione grafica | Colore schermo) consente di determinare i colori da visualizzare nella finestra di visualizzazione grafica. Si tratta del colore dello sfondo, di un colore gradiente, dei colori di evidenziazione e di mouse su evideziazione, del colore della griglia 3D e del colore FOV del modulo Vision.

Vedere anche:

Modifica di un colore

Sfondo

Evidenzia

Evidenziare con il Mouse

Griglia 3D

FOV Vision


Modifica di un colore

Per cambiare i colori, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Colore schermo (Modifica | Finestra di visualizzazione grafica | Colore schermo). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sul pulsante Modifica per Sfondo, Gradiente, Evidenziazione, Mouse su evidenziato, Griglia 3D o FOV Vision. Viene visualizzata la finestra di dialogo Colore.

  3. Scegliere un nuovo colore per l'opzione selezionata.

  4. Fare clic sul pulsante OK. La finestra di dialogo Colore viene chiusa e viene visualizzata nuovamente la finestra di dialogo Colore schermo.

  5. Fare clic sul pulsante Applica per salvare le modifiche apportate e continuare a lavorare nella finestra di dialogo Colore schermo.

  6. Al termine, fare clic sul pulsante OK.


Sfondo

La sezione Sfondo consente di modificare il colore dello sfondo dello schermo. Seguire le istruzioni riportate in "Modifica di un colore".

La sezione Impostazioni gradiente consente di definire un colore di gradiente secondario dello sfondo. Quando si imposta il gradiente su un valore diverso da Nessuno nell'elenco, viene visualizzato un pulsante Modifica... aggiuntivo. Fare clic su tale pulsante per definire un colore di gradiente secondario. Quindi, quando si imposta lo sfondo dello schermo, PC-DMIS inizierà dalla posizione di impostazione (ad esempio, la parte inferiore) e visualizzerà il secondo colore gradiente, quindi passerà gradualmente da quel colore al colore del gradiente primario disegnando i colori verso l'altra estremità dello schermo.

Ad esempio, l'impostazione del gradiente Inferiore può essere come segue:

Esempio di colori gradiente

Le voci disponibili nell'elenco Impostazioni gradienti sono:

  • Nessuno - Nessun gradiente secondario. Lo sfondo dello schermo sarà il colore uniforme primario.

  • Inferiore - Il colore gradiente secondario inizia nella parte inferiore dello schermo e cambia gradualmente nel colore primario man mano che si avvicina alla parte superiore.

  • Destra - Il colore gradiente secondario inizia alla destra dello schermo e cambia gradualmente nel colore primario man mano che si avvicina alla sinistra dello schermo.

  • Destra inferiore - Il colore gradiente secondario inizia nella parte inferiore destra dello schermo e cambia gradualmente nel colore primario man mano che si avvicina alla parte superiore sinistra dello schermo.

  • Sinistra inferiore - Il colore gradiente secondario inizia nella parte inferiore sinistra dello schermo e cambia gradualmente nel colore primario man mano che si avvicina alla parte superiore destra dello schermo.

  • Superiore destra - Il colore gradiente secondario inizia nella parte superiore destra dello schermo e cambia gradualmente nel colore primario man mano che si avvicina alla parte inferiore sinistra dello schermo.

  • Superiore sinistra - Il colore gradiente secondario inizia nella parte superiore sinistra dello schermo e cambia gradualmente nel colore primario man mano che si avvicina alla parte inferiore destra dello schermo.


Evidenzia

L'area Evidenzia consente di modificare il colore utilizzato per l'evidenziazione nella finestra di visualizzazione grafica di PC-DMIS. Seguire le istruzioni riportate in "Modifica di un colore".


Evidenziare con il Mouse

Area Evidenziare con il Mouse

L'area Evidenziare con il Mouse consente di modificare il colore utilizzato in PC-DMIS e la forma del puntatore del mouse quando si evidenziano le superfici o le curve con il mouse utilizzando la modalità MOHL (Mouse Over Highlighting). Seguire le istruzioni riportate in "Modifica di un colore".

L'area Cursore consente di visualizzare la forma di Freccia o di Croce per il puntatore del mouse in modalità MOHL:

Puntatore del mouse a forma di freccia

Puntatore del mouse a forma di freccia

Puntatore del mouse a forma di croce

Puntatore del mouse a forma di croce

Per informazioni vedere "Come evidenziare Superfici e Curve con il Mouse".


Griglia 3D

L'area Griglia 3D consente di modificare il colore utilizzato per la griglia 3D nella finestra di visualizzazione grafica. Seguire le istruzioni riportate in "Modifica di un colore".

Per ulteriori informazioni sulla griglia 3D, vedere "Aggiunta di una griglia 3D".


FOV Vision

L'area FOV Vision consente di cambiare il colore utilizzato nel FOV (Field of View, Campo della vista) quando si utilizza il modulo PC-DMIS Vision. Seguire le istruzioni riportate in "Modifica di un colore". Vedere la documentazione di PC-DMIS Vision per informazioni sul FOV e sul modulo Vision.


Ridimensionamento in scala del disegno

È possibile ridimensionare in scala il disegno CAD, in modo adattarlo alle viste selezionate nella finestra di visualizzazione grafica. È anche possibile eseguire il ridimensionamento in scala in base a un fattore specifico.

Vedere anche:

Ridimensionamento in scala del modello per adattarlo alla vista

Ridimensionamento in scala del modello in base a un fattore


Ridimensionamento in scala del modello per adattarlo alla vista

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Adatta consente di ridisegnare l'immagine del pezzo in modo da adattarla alle dimensioni della finestra di visualizzazione grafica. Questa opzione risulta particolarmente utile se l'immagine diventa troppo piccola o troppo grande rispetto alla finestra di visualizzazione grafica. Per modificare l'immagine del pezzo in modo che tutti gli elementi e tutti gli elementi CAD siano visibili, è sufficiente selezionare l'opzione di menu Adatta.


Ridimensionamento in scala del modello in base a un fattore

Finestra di dialogo Disegno scala

L'opzione di disegno in scala è attiva soltanto quando PC-DMIS è in Modalità Traslazione. Vedere "Modifica delle modalità dello schermo".

L'opzione Disegno scala non è disponibile dalla barra dei menu. L'opzione Disegno scala consente di modificare l'immagine del pezzo nella finestra di visualizzazione grafica. Questa opzione non altera in alcun modo i dati CAD.

Per utilizzare questa opzione, effettuare le seguenti operazioni:

  1. Fare clic sull'icona della modalità Traslazione dalla finestra di dialogo Modalità grafico.

  2. Premere MAIUSC e contemporaneamente fare clic con il pulsante destro del mouse. Viene visualizzata la finestra di dialogo Disegno scala.

  3. Indicare le coordinate X, Y, Z del pezzo da visualizzare al centro della schermata.

  4. Inserire il fattore di scala desiderato.

Esempio: per ridurre del 50% le dimensioni degli elementi del disegno, inserire 0.5. Per raddoppiare la dimensione degli elementi del disegno, inserire 2.0. Il fattore di scala 1,0 non modifica le dimensioni del disegno.

Per ridimensionare l'immagine grafica nella finestra di visualizzazione grafica è anche possibile fare clic sopra o sotto una linea orizzontale immaginaria che divide la finestra di visualizzazione grafica.


Rotazione del disegno

Visualizza Mappa Percorsi dei Menu

Selezionando l'opzione di menu Operazione | Finestra di visualizzazione grafica | Ruota viene visualizzata la finestra di dialogo Ruota.

Finestra di dialogo Ruota

In tale finestra è possibile ruotare il disegno di un pezzo in tre dimensioni. Ogni vista del pezzo può essere ruotata di 45 gradi per ciascuna rotazione. Questa opzione può essere attivata anche selezionando l'icona Modalità ruota 3D nella barra degli strumenti Modalità grafica.

Per ruotare il disegno utilizzando la finestra di dialogo, effettuare le seguenti operazioni:

  1. Selezionare la vista da modificare (da 1 a 4).

  2. Impostare il grado di rotazione selezionando l'incremento in gradi (1, 5, 10 o 45).

  3. Fare clic sul pulsante relativo all'asse desiderato per ruotare il disegno nella direzione indicata.

Facendo clic sul pulsante Reimposta la rotazione del disegno nella finestra di dialogo Ruota e nella finestra di visualizzazione grafica sarà agganciata all'asse più vicino.

Se si seleziona la casella di controllo Animazione, PC-DMIS ridisegna dinamicamente il pezzo nella finestra di visualizzazione grafica, mano a mano che lo si ruota.

Per ulteriori informazioni sulla rotazione, vedere "Modalità ruota 3D".

Suggerimento: Per ruotare rapidamente il pezzo con o senza la finestra di dialogo Ruota premere CTRL + tasto destro del mouse e trascinare il mouse oppure, se il mouse ha un pulsante centrale con rotella, tenere premuto il pulsante della rotella e trascinare il mouse. Inoltre, fare doppio clic sul pulsante della rotella centrale in qualsiasi momento per attivare la stessa funzione del pulsante Reimposta nella finestra di dialogo Ruota: la rotazione viene agganciata all'asse più vicino.


Modifica Rotazione ed Altre Opzioni di Movimento

É possible modificare la visualizzazione del modello CAD durante la rotazione, tramite la voce di menu Modifica | Finestra di visualizzazione grafica | Opzioni Rotazione 2D/3D. Viene visualizzata la finestra di dialogo Opzioni Rotazione.

Visualizza Mappa Percorsi dei Menu

Icona Opzioni di Rotazione

È possibile accedere a questa finestra di dialogo anche facendo clic sull'icona Opzioni di rotazione nella barra degli strumenti Modalità grafica.

Finestra di dialogo Opzioni Rotazione

Questa finestra di dialogo controlla se alcuni elementi sono disegnati o meno, e come essi vengano disegnati nella finestra di Visualizzazione Grafica quando si ruota il modello del pezzo con il tasto destro del mouse. Le opzioni di questa finestra di dialogo possono accelerare la visualizzazione in fase di rotazione del modello.

Importante:Se si utilizza un dispositivo SpaceBall o SpaceMouse, questa finestra di dialogo si comporta esattamente come la finestra di dialogo Inquadratura, Zoom, Opzioni Rotazione, l'unica differenza è il nome. I dispositivi SpaceBall o SpaceMouse estendono le funzionalità descritte per la rotazione anche allo zoom ed all’inquadratura. Vedere l'argomento "Configurazione di un dispositivo SpaceBall o SpaceMouse" nella sezione "Come cominciare: Panoramica" . Utilizzando un mouse standard come dispositivo di puntamento, la finestra di dialogo Opzioni di grafica si applica soltanto alla rotazione.

Vedere anche:

Disabilita illuminazione bilaterale e scarta faccia posteriore

Disabilita materiali, superfici e trasparenze

Ignora questi oggetti

Percentuale residuo di oggetti da disegnare

Disegno di Oggetti – Come Definito

Disegno di oggetti – Wire Frame

Disegno di oggetti – Punti


Disabilita illuminazione bilaterale e scarta faccia posteriore

Selezionando questa casella di controllo si disabilita l’illuminazione bilaterale e si trascura la faccia posteriore durante la rotazione. Come risultato degli effetti di questa illuminazione saranno visualizzati solo metà degli elementi CAD. Per maggiori informazioni, vedere gli esempi di seguito.

Prima della Rotazione

Disabilita illuminazione bilaterale e scarta faccia posteriore

Vedere anche:

Disabilita materiali, superfici e trasparenze

Ignora questi oggetti

Percentuale residuo di oggetti da disegnare

Disegno di Oggetti – Come Definito

Disegno di Oggetti – Wire Frame

Disegno di oggetti – Punti


Disabilita materiali, superfici e trasparenze

Questa casella di controllo disabilita il rendering dei materiali applicati, delle superfici e della trasparenza, durante la rotazione. Per maggiori informazioni, vedere gli esempi di seguito.

Prima della Rotazione, con Trasparenza

Durante la Rotazione - Nessuna transparenza


Ignora questi oggetti

La selezione di questa casella di controllo disabilita la visualizzazione degli oggetti specificati. Saranno ignorati, durante la rotazione, gli oggetti del tipo di cui é stato selezionata la casella di controllo corrispondente. Si puó scegliere di ignorare tastatori, machine, cambi utensile o attrezzaggi. L’esempio che segue nasconde il tastatore durante la rotazione.

Prima della Rotazione

Durante la Rotazione – Ignora Tastatore


Percentuale residuo di oggetti da disegnare

Quest’area disegna la percentuale specificata di entità CAD, quando determina gli oggetti da mostrare nella Finestra visualizzazione grafica. Si puó scegliere il 100, il 50,il 20 oppure il 10 percento. Ad esempio, se si sceglie 10% PC-DMIS disegna soltanto il 10% delle entità CAD che formano l'intero modello. L’esempio che segue visualizza soltanto il 10% degli oggetti durante la rotazione.

Prima della Rotazione

Durante la Rotazione – Visualizza solo il 10%


Disegno di Oggetti – Come Definito

Selezionando questa opzione si disegnano gli oggetti secondo la loro definizione durante la rotazione.


Disegno di Oggetti – Wire Frame

Selezionando questa opzione si disegnano gli oggetti secondo la loro definizione, durante la rotazione. Per maggiori informazioni, vedere gli esempi di seguito.

Prima della Rotazione

Durante Rotazione - Disegna Wire Frame


Disegno di oggetti – Punti

Selezionando questa opzione, si disegnano gli oggetti per punti. L'opzione Punti fornisce una rappresentazione per punti degli oggetti. Per maggiori informazioni, vedere gli esempi di seguito.

Prima della Rotazione, con Trasparenza

Durante Rotazione – Disegna per Punti


Visualizza e Nascondi Grafica

È possibile mostrare o nascondere i vari tipi di oggetti grafici nella finestra di visualizzazione grafica selezionando l'opzione di menu Modifica | Finestra di visualizzazione grafica | Mostra e nascondi grafica. Viene visualizzata la finestra di dialogo Mostra e nascondi grafica.

Visualizza Mappa Percorsi dei Menu

Icone Categorie grafiche

È possibile accedere a questa finestra di dialogo anche selezionando l'icona Categorie grafiche dalla barra degli strumenti Modalità grafica.

Nascondi e mostra grafica

Questa finestra di dialogo contiene caselle di coantrollo che determinano se gli elementi seguenti vengano visualizzati o meno nella finestra Grafica di Visualizzazione:

  • Modelli CAD

  • Tastatore

  • Macchina

  • Cambio Utensile

  • Attrezzatura

Si vede sperimentalmente che nascondere alcuni oggetti puó facilitare l'uso della finestra Grafica di Visualizzazione.

Non sono disponibili le caselle di controllo relative a definizioni hardware non ancora incluse.


Come operare con Assiemi di Pezzi

La finestra di dialogo Assieme CAD contiene un elenco di tutti i pezzi importati e uniti o degli assiemi utilizzati nella finestra di visualizzazione grafica. Tale finestra consente di visualizzare o modificare gli assiemi di pezzi. Selezionando l'icona Assieme oppure selezionando Modifica | Finestra di visualizzazione grafica | Assieme CAD viene visualizzata la finestra di dialogo Assieme CAD.

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Assieme CAD

Sono disponibili le seguenti opzioni:

Percorso pezzo

La casella grigia nella parte superiore della finestra di dialogo visualizza la posizione nel computer in cui si trova il pezzo selezionato.

Vista ad albero assieme

Il lato sinistro della finestra di dialogo dispone di una vista ad albero della struttura dell'assieme. Questa vista ad albero mostra i singoli pezzi del componente nell'assieme.

Quando si seleziona un componente nell'assieme, PC-DMIS evidenzia tale componente nella finestra di visualizzazione grafica. Al contrario, quando si seleziona un oggetto CAD nella vista grafica, PC-DMIS seleziona il componente corrispondente nella vista ad albero dell'assieme. In tal modo, è possibile identificare semplicemente quali oggetti CAD appartengono ai singoli componenti dell'assieme.

Selezionando un pezzo vengono anche visualizzate le informazioni sul percorso per individuare il pezzo nel computer riportato nella casella grigia sopra l'elenco.

La vista ad albero contiene anche una casella di controllo accanto a ciascun componente. È possibile visualizzare o nascondere il componente nella finestra di visualizzazione grafica selezionando questa casella di controllo. La scelta viene riportata immediatamente nella finestra di grafica.

La selezione o deselezione di queste caselle di controllo ha la stessa funzione della selezione dei pulsanti Mostra o Nascondi nell'area Visibilità.

Espandi discendenti

Il pulsante Espandi discendenti espande un assieme per visualizzare un elenco di pezzi child che costituiscono l’assieme.

Area Visibilità

L'area Visibilità fornisce pulsanti validi per modificare lo stato nascosto dei gruppi di componente dell'assieme. Selezionare il pulsante Nascondi per nascondere il componente selezionato.

  • Nascondi simili - Nasconde tutti i componenti tranne quello selezionato allo stesso livello nella vista ad albero dell'assieme.

  • Mostra - Mostra il componente selezionato.

  • Nascondi - Nasconde il componente selezionato.

  • Mostra simili - Mostra tutti i componenti tranne quello selezionato allo stesso livello nella vista ad albero dell'assieme.

  • Mostra tutto - Mostra tutti i componenti della vista ad albero dell'assieme.

Area Modifica

L'area Modifica fornisce i pulsanti che consentono di apportare semplici modifiche all'assieme.

  • Elimina - Elimina il componente selezionato dall'assieme e dalla finestra di visualizzazione grafica.

  • Trasforma - Visualizza la finestra di dialogo Trasforma CAD. Questa finestra di dialogo consente di trasformare un singolo componente dell'assieme. Vedere "Trasformazione di un modello CAD" per ulteriori informazioni.

  • Sistema di coordinate - Visualizza la finestra di dialogo del Sistema di Coordinate CAD. In questa finestra di dialogo è possibile creare e gestire diversi sistemi di coordinate. Per ulteriori informazioni vedere "Come operare con Sistemi di Coordinate CAD".

Non è possibile modificare il componente del livello radice (di solito il nome del pezzo utilizzato nel part-program) o dei componenti DCI. Selezionando questi tipi di componenti i pulsanti nell'area Modifica vengono disattivati.


Mirroring del CAD

Visualizza Mappa Percorsi dei Menu

Selezionando l'opzione di menu Operazione | Finestra di visualizzazione grafica | Mirror è possible eseguire il mirroring della vista CAD di un pezzo. Ciò risulta particolarmente utile durante la misurazione di pezzi di autoveicoli, in cui le parti di destra e di sinistra sono identiche. Se sono disponibili le informazioni CAD relative al lato destro di un pezzo, è possibile eseguire il mirroring dell'asse appropriato e creare una vista CAD del lato sinistro corrispondente.

Questa opzione di menu visualizza la finestra di dialogo CAD mirror.

Finestra di dialogo CAD mirror

Quindi, selezionare l'asse desiderato di cui eseguire il mirroring. Se si desidera mantenere i dati CAD precedenti, in modo da avere a disposizione i dati CAD di entrambe le metà simmetriche dopo l'esecuzione del mirroring, fare clic sulla casella di controllo Conserva originale.

Una volta selezionato il pulsante OK, PC-DMIS esegue il mirroring del disegno CAD nell'asse specificato e visualizza l'immagine nella finestra di visualizzazione grafica.

L'opzione Mirror non consente di creare un nuovo part-program nell'immagine sottoposta a mirroring. Per eseguire il mirroring del part-program, attenersi alle istruzioni fornite nell'argomento "Mirroring" nella sezione "Uso delle opzioni di base del menu File" .


Come produrre un CAD 3D usando la finestra Crea Livelli

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Crea 3D (oppure il pulsante Crea 3D nella finestra di dialogo File Iges) consente di manipolare un disegno CAD 2D come se fosse 3D. È possibile accedere a questa opzione anche durante la fase di importazione del caricamento di un disegno CAD.

Una volta selezionata l'opzione di menu Crea 3D, PC-DMIS visualizza la finestra Crea livelli. Nella barra del titolo di questa finestra viene inizialmente visualizzato "Crea livelli-FILE PRECEDENTE".

Crea livelli

Nota: le modifiche apportate al disegno sono temporanee. Quando viene riattivata la schermata principale di PC-DMIS per Windows, le modifiche non sono più valide.

Nella finestra Crea Livelli-FILE PRECEDENTE consente di creare nuovi livelli o viste dei diversi elementi geometrici che compongono il file CAD. Le modifiche apportate ai grafici sono temporanee finché si seleziona File | Salva ed esci.

I tre menu associati a questa finestra di dialogo che consentono di creare i diversi livelli sono i seguenti:

  • File. Questo menu consente di salvare le modifiche, annullare le modifiche e alternare le finestre FILE PRECEDENTE e FILE NUOVO. Vedere "Crea livelli – Menu File" per una descrizione delle opzioni del menu File.

  • Vista. Questo menu fornisce varie opzioni per manipolare le viste dei vari livelli. Vedere "Crea livelli – Menu Vista" per una descrizione delle opzioni del menu Vista.

  • Livello. Questo menu consente di creare, selezionare o posizionare i livelli. Vedere "Crea livelli – Menu Livello" per una descrizione delle opzioni del menu Livello.

Vedere anche:

Come creare CAD 3D

Crea livelli – Menu File

Crea livelli – Menu Vista

Crea livelli – Menu Livello


Come creare CAD 3D

È possibile che l'uso di questa funzione richieda un po' di pratica, al fine di familiarizzare con le opzioni relative all'orientamento descritte nella seguente procedura.

  1. Creare un part-program (vedere "Creazione di nuovi part-program" nella sezione "Uso delle opzioni di base del menu File").

  2. Importare il modello CAD nel part-program. (Vedere "Importazione dei dati CAD" nella sezione "Uso delle opzioni avanzate del menu File").

  3. Controllare il sistema di coordinate del modello.

  4. Creare un allineamento. (Vedere la sezione "Creazione e uso degli allineamenti").

  5. Selezionare l'opzione di menu Operazione | Finestra di visualizzazione grafica | Crea 3D. Viene visualizzata la finestra Crea livelli, con il testo "FILE PRECEDENTE" riportato sulla barra del titolo. Il modello CAD importato viene visualizzato nella finestra come un modello wire-frame. Visualizza Mappa Percorsi dei Menu

  6. Trascinare il mouse mentre si tiene premuto il pulsante sinistro per disegnare una casella attorno all'intero modello. Il modello CAD selezionato viene evidenziato.

  7. Selezionare Livello | Crea. Il modello viene rigenerato da PC-DMIS.

  8. Selezionare Livello | Posizione. Viene visualizzata la finestra di dialogo Livello posizione con il numero 1 riportato nella barra del titolo ad indicare la posizione del modello utilizzata per il primo livello.

  9. Selezionare una vista da cui eseguire il riorientamento del modello dall'area Orientamento. Le altre opzioni della finestra di dialogo diventano disponibili.

  10. Selezionare le opzioni desiderate:

  • Per ruotare il modello nell'orientamento selezionato, fare clic su Posizione.

  • Per eseguire l'offset dell'orientamento del modello in base a un valore specifico in direzione orizzontale o verticale, digitare la distanza di offset nella casella Offset (orizzontale)o Offset (verticale).

  • Per spostare l'orientamento su un elemento specifico, fare clic sull'opzione Elemento 1, quindi sull'elemento CAD desiderato nella finestra Crea livelli PC-DMIS sposta l'orientamento sull'elemento specificato. Se si desidera utilizzare un secondo elemento, eseguire le stesse operazioni dopo aver selezionato l'opzione Elemento 2.

  • Per eseguire l'offset dell'orientamento da un elemento di definizione, selezionare l'opzione Elemento nell'area Elemento di definizione offsete inserire una distanza di offset nella casella Offset.

  11. Una volta apportate le modifiche desiderate, fare clic su Applica, quindi su OK. La finestra di dialogo Livello posizione viene chiusa e la finestra Crea livelli viene rigenerata da PC-DMIS in base alle modifiche apportate.

  12. Verificare le modifiche utilizzando le opzioni disponibili nel menu Vista. In particolare l'opzione Vista | Cambia consente di accedere alla finestra di dialogo Imposta vista nella quale è possibile specificare la vista della finestra Crea livelli.

  13. Selezionare File | Salva ed esci se si desidera mantenere il nuovo orientamento. Altrimenti, selezionare Annulla ed esci.


Crea livelli – Menu File

La finestra Crea livelli del menu File consente di accedere al file di origine denominato "FILE PRECEDENTE" e al file creato denominato "NUOVO FILE". Inoltre, consente di salvare tutte le modifiche apportate.

  • Il "FILE PRECEDENTE" contiene i dati inalterati del file di origine.

  • Il "NUOVO FILE" consente di accedere alla finestra di dialogo Posizione nella quale è disponibile l'opzione tridimensionale per il livello.

Non è possibile visualizzare più finestre contemporaneamente. PC-DMIS consente di passare tra le finestre aperte utilizzando il menu File. PC-DMIS passerà automaticamente alla finestra appropriata quando necessario per una determinata funzione (come la creazione di un nuovo livello).

Se, dopo aver creato o modificato i livelli, si desidera salvare le modifiche, assicurarsi che l'opzione Salva ed esci sia selezionata, PC-DMIS non salva automaticamente le modifiche nella visualizzazione CAD quando si chiude la finestra.


Crea livelli – Menu Vista

La finestra Crea livelli del menu Vista consente di modificare temporaneamente i grafici visualizzati nella finestra di dialogo. In questo modo, è possibile ruotare, adattare o cambiare la vista per accedere facilmente agli elementi CAD desiderati.

Vedere anche:

Vista | Cambia vista

Vista | Adatta

Vista | Ruota

Vista | Info CAD

Vista | Colori schermo


Vista | Cambia vista

L'opzione di menu Cambia vista consente di creare nuove viste da un file CAD. Questa funzione risulta particolarmente utile quando si utilizza un file IGES 2D contenente diverse viste di un pezzo su un piano e tali viste devono essere associate all'orientamento appropriato nella finestra di visualizzazione grafica.


Vista | Adatta

L'opzione di menu Adatta consente di ridisegnare l'immagine del pezzo in modo da adattarla alle dimensioni della finestra di visualizzazione grafica. Questa funzione risulta particolarmente utile se l'immagine diventa troppo piccola o troppo grande.


Vista | Ruota

L'opzione di menu Ruota consente di visualizzare la finestra di dialogo Ruota che consente di ruotare l'immagine del pezzo in tre dimensioni. Vedere "Ridimensionamento in scala del disegno"


Vista | Info CAD

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Info CAD consente di visualizzare la finestra di dialogo Informazioni CAD. Questa finestra di dialogo consente di visualizzare le informazioni su una determinata geometria CAD. Se la finestra di dialogo Informazioni CAD è aperta, ogni volta che si seleziona una geometria CAD vengono visualizzate le informazioni corrispondenti.

Finestra di dialogo Informazioni CAD

Inoltre, l'elemento selezionato lampeggia sullo schermo e viene visualizzato il tipo di geometria (cerchio, linea e così via), Inoltre, se la geometria CAD è stata importata utilizzando PC-DMIS versione 3.2 o successiva, durante l'importazione vengono visualizzate le informazioni relative al file CAD, quali il percorso completo del file, la data e l'ora dell'ultima modifica e la dimensione del file, espressa in byte. Inoltre, viene visualizzato il numero di sequenza assegnato all'elemento nel file IGES, XYZ o altro, se disponibile. Generalmente, vengono visualizzate le informazioni sulla geometria relative al diametro, al vettore o alla posizione. Per gli elementi complessi quali le superfici ritagliate, vengono visualizzate anche le informazioni su altri tipi di geometria (superfici di base e curve di delimitazione). Per visualizzare la geometria, è necessario selezionare il pulsante Vista. È possibile selezionare questa finestra di dialogo mediante l'opzione di menu Info CAD.


Vista | Colori schermo

L'opzione di menu Colore schermo consente di visualizzare la finestra di dialogo Colore schermo. Come la finestra Colore schermo illustrata in "Modifica dei colori dello schermo", questa finestra consente di modificare i colori visualizzati nella finestra Crea livelli.


Crea livelli – Menu Livello

La finestra Crea livelli dal menu Livello consente di selezionare gli elementi CAD desiderati e creare un numero massimo di 18 livelli diversi. I diversi livelli creati vengono visualizzati nella parte inferiore del menu a discesa e sono disponibili per la selezione.

Un livello CAD comprende un gruppo di geometrie CAD correlate, identificate da un numero di livello. I livelli predefiniti si trovano nei file CAD 'IGES' o 'XYZ'. Quando si 'importano' tali file in PC-DMIS, vengono importate anche le informazioni relative al livello. Quindi, è possibile utilizzare la finestra di dialogo Imposta vista per selezionare i livelli da visualizzare in ciascuna "vista". A causa della notevole complessità e dimensione della maggior parte dei file CAD, questa opzione risulta particolarmente utile poiché consente di visualizzare solo determinate parti del modello CAD durante l'esecuzione di PC-DMIS.

Una geometria CAD può appartenere ad un solo livello. Ad esempio, la geometria 'A' può appartenere al livello 'x' o a quello 'y' ma non ad entrambi. Comunque, ciò non impedisce di visualizzare contemporaneamente diversi livelli.

Vedere anche:

Livello | Nuovo

Livello | Seleziona

Livello | Deseleziona

Livello | Crea

Livello | Posizione

Ulteriori operazioni sui livelli


Livello | Nuovo

L'opzione menu Nuovo consente di creare un nuovo livello da aggiungere ai livelli esistenti. Non è necessario utilizzare questa opzione per creare il primo livello, poiché PC-DMIS crea automaticamente un nuovo livello quando viene aperta la finestra di dialogo Crea livelli - FILE PRECEDENTE.

Vedere anche:

Creazione di un nuovo livello


Creazione di un nuovo livello

  1. Accedere alla finestra Crea livelli.

  2. Selezionare l'opzione di menu Nuovo. È possibile che l'opzione di menu Nuovo sia stata selezionata automaticamente all'apertura della finestra di dialogo Crea livelli - FILE PRECEDENTE.

  3. Selezionare gli elementi CAD desiderati. (Gli elementi CAD possono essere selezionati nello stesso modo in cui si selezionano in PC-DMIS. Vale a dire, utilizzando il mouse o il metodo di selezione tramite finestra). Una volta selezionato, l'elemento CAD viene evidenziato utilizzando il colore di evidenziazione corrente.

  4. Selezionare Livello | Crea dal menu a discesa.

PC-DMIS crea il nuovo livello e visualizza automaticamente la finestra di dialogo Crea livelli - NUOVO FILE contenente gli elementi selezionati.

È anche possibile creare nuovi livelli utilizzando la finestra di dialogo Imposta vista. Per ulteriori informazioni su questa finestra di dialogo, vedere "Impostazione della vista dello schermo".


Livello | Seleziona

Questa opzione è disponibile solo dopo aver selezionato l'opzione di menu NUOVO.

L'opzione di menu Seleziona consente di selezionare gli elementi CAD da visualizzare nel nuovo livello. Gli elementi selezionati vengono visualizzati nel colore di evidenziazione corrente. È possibile selezionare gli elementi solo se l'opzione di menu Seleziona è selezionata.

Nota: verificare che gli elementi selezionati vengano visualizzati correttamente. Una volta selezionata l'opzione di menu Crea, non è possibile modificare gli elementi CAD. Per modificare un livello (prima di selezionare l'opzione di menu Crea), selezionare l'opzione Deseleziona. In questo modo, vengono deselezionati tutti i dati evidenziati.


Livello | Deseleziona

Questa opzione è disponibile solo dopo aver selezionato l'opzione di menu NUOVO.

L'opzione di menu Deseleziona consente di deselezionare gli elementi CAD selezionati per la visualizzazione.


Livello | Crea

L'opzione Crea consente di creare un nuovo livello in base agli elementi CAD selezionati.

Quando si sceglie questa opzione dopo aver selezionato gli elementi CAD, PC-DMIS sposta gli elementi selezionati dal "FILE PRECEDENTE" al "NUOVO FILE". Viene visualizzata automaticamente la finestra di dialogo "NUOVO FILE" contenente anche tutti i livelli precedentemente creati. Gli elementi selezionati per il nuovo livello vengono visualizzati in nero, mentre i dati dei livelli precedenti vengono visualizzati in grigio.

Per creare un altro livello, selezionare l'opzione di menu Nuovo(illustrata in "Creazione di un nuovo livello:"). Viene visualizzata automaticamente la finestra di dialogo "FILE PRECEDENTE" ed è possibile ripetere la procedura di selezione.


Livello | Posizione

Finestra di dialogo posizione

Una volta creato un livello, è possibile selezionare l'opzione di menu Posizione per visualizzare la finestra di dialogo Posizione. Tale finestra di dialogo consente di posizionare gli assi e modificare l'orientamento del livello creato.

Vedere anche:

Modifica della posizione di un livello

Area Orientamento

Pulsante Posizione

Area Elementi di definizione origine

Area Elemento di definizione offset

Casella Scala


Modifica della posizione di un livello

  1. Selezionare il livello nel menu Livello.

  2. Selezionare Livello | Posizione.

  3. Selezionare un'opzione di orientamento (superiore, inferiore, destra ecc.) dall'area Orientamento della finestra di dialogo.

  4. Fare clic sul pulsante di comando Posizione. Viene visualizzata la finestra di dialogo Orientamento vista. che consente di impostare l'orientamento del livello.

  5. Utilizzare la finestra di dialogo Orientamento vista per posizionare correttamente il livello tridimensionale in base agli altri livelli.

  6. Fare clic sul pulsante OK.

È possibile modificare la posizione dei livelli in base ad un ordine qualunque e ogni volta che lo si ritenga necessario.


Area Orientamento

Sono supportati solo gli orientamenti corrispondenti ai sei lati di un cubo. Selezionare l'orientamento corrispondente alla parte desiderata dei dati bidimensionali. Se i dati bidimensionali forniscono una vista della parte destra del pezzo, selezionare l'orientamento 'DESTRA'.

Esempio: se i dati mostrano la parte sinistra di un'automobile, selezionare l'orientamento 'SINISTRA'. È necessario che i dati mostrino la parte sinistra dell'automobile in base ad un punto di vista laterale. Se l'automobile viene visualizzata capovolta o si ottiene una vista anteriore o posteriore, selezionare l'orientamento e fare clic sul pulsante Posizione.


Pulsante Posizione

Il pulsante Posizione viene visualizzato nella finestra di dialogo Vista da orientamento.

Finestra di dialogo Vista da orientamento

Questa opzione consente di visualizzare solo i dati bidimensionali relativi al livello corrente. Inoltre, visualizza un riquadro indicante l'orientamento selezionato. Utilizzare i pulsanti di opzione Ruota e le caselle di controllo Mirror per modificare i dati in base alle proprie esigenze. È possibile effettuare tali operazioni in qualsiasi momento durante la procedura di posizionamento.


Area Elementi di definizione origine

Per spostare i dati su un piano, è possibile selezionare un'origine utilizzando l'area Elementi di definizione origine nella finestra di dialogo Vista da orientamento. A tale scopo, è possibile selezionare una o più geometrie all'interno dei dati del livello, specificare gli offset numerici o effettuare entrambe le operazioni.

  • Per selezionare una geometria, effettuare le seguenti operazioni:

  1. Selezionare l'opzione Elemento 1 .

  2. Selezionare un elemento geometrico nella finestra di dialogo Crea livelli -FILE NUOVO (ad esempio, una linea). Fare clic sul pulsante Applica per impostare l'origine su uno dei punti finali della linea.

  3. Se si desidera impostare l'origine sull'altro punto finale, selezionare la casella di controllo Punto 2.

  • Per impostare l'origine sul punto di intersezione delle due linee, effettuare le seguenti operazioni:

  1. Selezionare l'opzione Elemento 1.

  2. Selezionare una linea nella finestra di dialogo Crea livelli - FILE NUOVO.

  3. Quindi, selezionare l'opzione Elemento 2.

  4. Selezionare una linea nella finestra di dialogo Crea livelli - FILE NUOVO.

  5. Fare clic sul pulsante Applica per spostare nella nuova origine i dati del livello. È possibile selezionare un'origine utilizzando le combinazioni desiderate di linee, archi, cerchi e punti.

  • È possibile inserire gli offset numerici definiti in base all'orientamento, per spostare l'origine in direzione verticale ed orizzontale.


Area Elemento di definizione offset

Una volta selezionata un'origine, potrebbe essere necessario spostare il piano perpendicolarmente in modo che risulti posizionato correttamente rispetto agli altri livelli. A tale scopo, è possibile selezionare una geometria in un livello.

Esempio: È possibile selezionare una linea in un orientamento Superiore. I livelli di orientamento Destra verranno spostati in modo che le linee si trovino sullo stesso piano del livello di orientamento Superiore. La linea selezionata dovrebbe risultare parallela al livello di orientamento Destra.


Casella Scala

La casella Scala consente di ridimensionare in scala l'immagine del pezzo nella finestra di visualizzazione grafica in base al disegno CAD. Tale opzione è diversa rispetto alle opzioni Adatta e Disegno in scala poiché consente di applicare le modifiche anche ai dati CAD del part-program. Inserire il fattore di scala desiderato.

  • Per ridurre del 50% la dimensione degli elementi del 50%, digitare 0.5 nella casella Scala.

  • Per raddoppiare la dimensione degli elementi, digitare 2.0.

  • Per lasciare il disegno inalterato, digitare 1.0. È possibile inserire un fattore di scala per ciascun livello.

Per 'applicare' tutte le modifiche apportate, fare clic sul pulsante Applica. Il pulsante Reimposta consente di annullare tutte le modifiche apportate al livello corrente. Il pulsante Annulla consente di annullare tutte le modifiche apportate in seguito alla visualizzazione della finestra di dialogo Posizione.

Nota: è possibile effettuare tute le operazioni di posizionamento in base all'ordine desiderato. È possibile ripetere tali operazioni in base alle proprie esigenze. Generalmente, le modifiche vengono visualizzate solo dopo aver selezionato il pulsante di comando Applica.


Ulteriori operazioni sui livelli

PC-DMIS consente di utilizzare la finestra di dialogo Imposta vista, per effettuare ulteriori operazioni sui livelli, come descritto nel seguito.

  • Creazione di un nuovo livello. Vedere "Creazione di livelli".

  • Eliminazione di un livello esistente. Vedere "Eliminazione di Livelli".

  • Modifica di un livello esistente. Vedere "Modifica di livelli".

Per aggiungere e modificare un livello, è necessario selezionare i dati CAD. È possibile selezionare determinati tipi di geometria utilizzando la stessa procedura seguita nelle finestre di dialogo Modifica CAD ed Elimina CAD . Inoltre, è possibile limitare la selezione ad un livello esistente selezionato.

Si veda "Visualizzazione, Creazione, e Modifica dei Livelli" nella sezione "Modifica della Visualizzazione CAD " per ultieriori informazioni sull'uso dei livelli nella finestra di dialogo Imposta Vista .

È anche possibile creare i livelli mediante l'opzione di menu Make CAD 3D (Crea CAD 3D). Si veda "Come operare con CAD 3D".


Visualizzazione delle informazioni CAD

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Informazioni CAD

L'opzione di menu Vista | Info CAD consente di visualizzare la finestra di dialogo Informazioni CAD. nella quale è possibile visualizzare le informazioni CAD evidenziando l'elemento CAD desiderato nella finestra di visualizzazione grafica. Dopo aver selezionato l'elemento CAD, PC-DMIS visualizza tutte le informazioni CAD disponibili.

Se si fa clic sul pulsante Vista per confermare la selezione di un elemento, l'immagine grafica evidenziata nella finestra di visualizzazione grafica lampeggia.


Uso delle catture dello schermo della finestra di visualizzazione grafica

PC-DMIS consente di eseguire le catture dello schermo della finestra di visualizzazione grafica e di inserirne il contenuto nel rapporto in uso oppure negli Appunti.

Vedere anche:

Invio delle catture dello schermo agli Appunti

Invio delle catture dello schermo al rapporto

Invio delle catture dello schermo a un file

Modifica delle catture dello schermo


Invio delle catture dello schermo agli Appunti

Visualizza Mappa Percorsi dei Menu

L'immagine resta negli Appunti fino a quando non viene catturata da un altro schermo o non viene chiuso il part-program.

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Cattura schermo in | Appunti cattura la finestra di visualizzazione grafica e copia il contenuto negli Appunti.

Per visualizzare un'immagine catturata negli Appunti, "incollarla" in una qualsiasi applicazione Windows in cui sia disponibile l'opzione Incolla (ad esempio, Word per Windows).


Invio delle catture dello schermo al rapporto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Cattura schermo in | Rapporto visualizza la cattura dello schermo nel rapporto. Selezionando questa opzione di menu, un comando VISUAL/METAFILE viene inserito nella finestra di modifica. Quando questo comando viene contrassegnato ed eseguito, PC-DMIS aggiorna automaticamente la cattura dello schermo e la visualizza nel rapporto.

Per visualizzare la cattura dello schermo nella finestra Rapporto, fare clic con il pulsante destro del mouse in un punto del testo nella finestra Rapporto, selezionare Modifica e, nella finestra di dialogo Rapporto che viene visualizzata, selezionare la casella di controllo Mostra cattura schermo.

Questo comando è simile al comando VISUAL_ANALISI e al comando VISUAL/METAFILE creato nella finestra Analisi. Per ulteriori informazioni sulla finestra Analisi, vedere "Analisi" nella sezione "Inserimento di comandi rapporto" .

Nota: utilizzando Carattere True Type per il testo nella finestra di visualizzazione grafica, si otterranno i migliori risultati per la cattura delle immagini.


Invio delle catture dello schermo a un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Cattura schermo in | File cattura la finestra di visualizzazione grafica e consente di salvare la cattura dello schermo sotto forma di file di tipo bitmap.


Modifica delle catture dello schermo

In PC-DMIS non è possibile modificare o formattare l'immagine catturata. Tuttavia, è possibile utilizzare qualsiasi software di editor di immagini per modificare o formattare gli screen capture. A tale scopo, utilizzare il comando Inserire | Rapporto | Oggetto esterno e inserire un oggetto nella finestra di modifica (come un file bitmap).

Visualizza Mappa Percorsi dei Menu

Quindi, nel programma di disegno associato al file bitmap, incollare la nuova cattura dello schermo. Per apportare le modifiche è necessario sapere utilizzare le opzioni di disegno disponibili nel programma dell'oggetto esterno.

Per informazioni sull'utilizzo del comando Oggetto esterno, vedere “Inserimento di oggetti esterni” nella sezione “Aggiunta di elementi esterni” .


Modifica di elementi CAD

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Modifica CAD

Nella finestra di dialogo Modifica elementi CAD (Modifica | Finestra di visualizzazione grafica | Elementi CAD) è possibile modificare il colore del file CAD importato.

Selezionare gli elementi da modificare, spostando il puntatore del mouse sull'elemento prescelto nella finestra di visualizzazione grafica e facendo clic con il pulsante sinistro del mouse.

Per selezionare più elementi, selezionare tramite finestra gli elementi CAD desiderati. Quando il pulsante del mouse viene rilasciato, PC-DMIS evidenzia gli elementi attualmente selezionati, indicandone il numero nella casella Numero selezionato. È possibile scegliere ulteriori elementi mediante la stessa procedura. Il pulsante Deseleziona consente di annullare l'evidenziazione dagli elementi.

Dopo aver selezionato gli elementi desiderati, fare clic sul pulsante Colore e selezionare il colore appropriato. Per visualizzare il nuovo colore, selezionare il pulsante Applica nella finestra di visualizzazione grafica.

Nota: per attivare questa opzione è necessario creare i livelli CAD. Per ulteriori informazioni, vedere "Impostazione della vista dello schermo".

Vedere anche:

Tipi di elemento

Numero selezionato

Modifica colore

Cambia nome

Cambia colore

Prioritario

Mostra nome

Deseleziona

Casella nome per elementi CAD

Name box Edit ColorChange Color check boxChange Name check boxShow Name check boxSet as Priority check boxApply buttonClose buttonOK buttonDeselect buttonNumber Selected areaFeature Types area


Tipi di elemento

Questa opzione indica a PC-DMIS il tipo di elementi da modificare, tra quelli elencati di seguito:

  • Punti

  • Linee

  • Cerchi

  • Archi

  • Curve

  • Superfici

Nota:per selezionare le superfici, selezionare prima l'icona Modalità superficie. Vedere "Alternanza della modalità curva e della modalità superificie".


Numero di elementi selezionati

Nelle caselle Numero di elementi selezionati viene visualizzato il numero degli elementi da eliminare. I numeri indicati variano a seconda degli elementi selezionati nella sezione Tipi di elementi della finestra di dialogo.


Modifica colore

Il comando Colore consente di impostare il colore di un elemento CAD specificato. A tale scopo:

  1. Selezionare il pulsante del comando Colore. PC-DMIS visualizza la finestra di dialogo Colore.

    Finestra di dialogo del Colore

  2. Selezionare il colore desiderato.

  3. Fare clic sul pulsante OK. PC-DMIS aggiorna la finestra di dialogo Modifica elementi CAD, visualizzando il colore selezionato.


Cambia nome

La casella di controllo Cambia nome consente di modificare il nome degli elementi CAD selezionati. A tale scopo, operare come segue:

  1. Accedere alla finestra di dialogo Modifica elementi CAD (Modifica | Finestra di visualizzazione grafica | Elementi CAD ). Visualizza Mappa Percorsi dei Menu

  2. Selezionare la casella di controllo del tipo di elemento opportuna. Vedere "Pesi degli elementi".

  3. Fare clic sull'elementoo sugli elementi CAD desiderati nella finestra di visualizzazione grafica. PC-DMIS evidenzia la superficie selezionata.

  4. Selezionare la casella di controllo Cambia nome.

  5. Digitare il nuovo nome per gli elementi CAD selezionati nella casella Nome. Vedere "Casella nome per gli elementi CAD".

  6. Fare clic su Applica. PC-DMIS cambia il nome. Per verificare che il nome è stato modificato, utilizzare la casella di controllo Mostra nome (vedere "Mostra nome".


Cambia colore

La casella di controllo Cambia colore consente di disegnare i dati CAD selezionati utilizzando il colore visualizzato nella casella Colore nella parte inferiore della finestra di dialogo. È necessario selezionare il pulsante Applica per attivare questo processo. Per cambiare il colore corrente, selezionare il pulsante Colore.


Prioritario

È possibile selezionare e memorizzare un insieme di superfici CAD per la ricerca dei nominali utilizzando la casella di controllo Prioritario. Questa procedura consente di eseguire più rapidamente il calcolo dei valori nominali, in quanto permette a PC-DMIS di stabilire quali superfici controllare prima. Non vi sono limitazioni al numero di superfici che possono essere selezionate. L'ordine di ricerca si baserà sull'ordine di selezione delle superfici.

Quando si apre la finestra di dialogo Modifica elementi CAD e si seleziona la casella di controllo Prioritario, PC-DMIS seleziona automaticamente l'insieme di superfici precedentemente memorizzato.

Vedere anche:

Memorizzazione di un nuovo insieme di superfici


Memorizzazione di un nuovo insieme di superfici

  1. Accedere alla finestra di dialogo Modifica elementi CAD Elementi (Modifica | Finestra di visualizzazione grafica | Elementi CAD). Visualizza Mappa Percorsi dei Menu

  2. Selezionare la casella di controllo Prioritario. Se in precedenza è stato definito un insieme di superfici, PC-DMIS lo visualizzerà nella finestra di visualizzazione grafica.

  3. Con la casella di controllo Prioritario selezionata, fare clic sul pulsante Deseleziona, quindi sul pulsante Applica. In questo modo PC-DMIS elimina tutte le superfici memorizzate.

  4. Deselezionare la casella di controllo Prioritario.

  5. Selezionare il nuovo insieme di superfici da memorizzare.

  6. Selezionare la casella di controllo Prioritario.

  7. Fare clic sul pulsante Applica .

  8. Fare clic sul pulsante OK.


Mostra nome

La casella di controllo Mostra nome consente di visualizzare o nascondere gli ID associati agli elementi CAD selezionati.

Se questa casella è selezionata, vengono visualizzati i nomi degli elementi eventualmente forniti dal progettista CAD oppure la tipologia degli elementi specificati.

Se questa casella non è selezionata, i nomi degli elementi non vengono visualizzati.

Vedere anche:

Come visualizzare o nascondere i nomi di elementi specifici


Come visualizzare o nascondere i nomi di elementi specifici

Visualizza Mappa Percorsi dei Menu Visualizza Mappa Percorsi dei Menu

  1. Accedere alla finestra di dialogo Modifica elementi CAD (Modifica | Finestra di visualizzazione grafica | Elementi CAD ). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sull'elemento desiderato nella visualizzazione CAD o selezionare tramite finestra un'area relativa a più elementi. PC-DMIS evidenzierà gli elementi CAD selezionati sul modello CAD.

  3. Selezionare o deselezionare la casella di controllo Mostra nome

  4. Fare clic sul pulsante OK.


Deseleziona

Il comando Deseleziona indica a PC-DMIS di annullare tutte le modifiche apportate con il pulsante Applica prima della selezione del pulsante OK.


Casella nome per elementi CAD

La casella Nome consente di specificare un nome per gli elementi CAD selezionati. Per eseguire questa operazione, selezionare gli elementi CAD, digitare il nome nella casella e fare clic su Applica.


Come applicare Illuminazione e Materiali alla Visualizzazione CAD

Icona Illuminazione CAD della barra strumenti Vista | Barre Strumenti | Modalitá Grafiche

Selezionare l’icona Illuminazione CAD, in caso contrario la voce di menu Illuminazione, Materiali attiva la finestra di dialogo Illuminazione e Materiali.

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Illuminazione e materiali

La finestra di dialogo Illuminazione e materiali fornisce gli strumenti che consentono di manipolare ulteriormente la visualizzazione dei modelli CAD, nonché il modello del pezzo, il modello del tastatore, della macchina e di eventuali attrezzaggi, nella finestra di visualizzazione grafica.

La finestra di dialogo contiene le seguenti schede:

Archivio:Questa scheda consente di salvare e richiamare successivamente le configurazioni CAD.

Illuminazione:Questa scheda consente di definire ed abilitare le sorgenti luminose, il loro colore, la direzione, i modelli di luce ed il grado di trasparenza del CAD.

Materiale:Questa scheda consente di applicare la 'texture' alle superfici del modello CAD, e di modificare i colori e la lucentezza dei materiali che costituiscono le 'texture'.

Piano di Taglio: Questa scheda permette di definire fino a quattro Piani di Taglio che nascondano tutti gli oggetti definiti nell’area ritagliata. Questo é un metodo per nascondere oggetti che non si desidera visualizzare, o anche per sezionare il modello del pezzo per mostrarne sezioni trasversali o viste di settori interni.

Quattro bottono sono presenti nella zona inferiore della finestra di dialogo:

OK – Accetta le modifiche e chiude la finestra di dialogo.

Annulla – Annulla le modifiche e chiude la finestra di dialogo.

Salva Impostazioni Predefinite di Sistema – Le modifiche sono salvate come valori predefiniti di illuminazione e di materiale e sovrascrivono le impostazioni predefinite a seguito dell'installazione di PC-DMIS.

Ripristina Impostazioni Predefinite di Sistema – Le impostazioni originarie di illuminazione e materiale derivanti dall’installazione di PC-DMIS vengono ripristinate.

Nota:Le modifiche apportate alla finestra di dialogo Illuminazione e materiali ha effetto immediato nella finestra Grafica di Visualizzazione. Ció consente di verificare immediatamente l'effetto della modifica apportata. Tali modifiche effettuate sono tuttavia temporanee, fintanto che non si fa clic su OK.

Vedere anche:

Scheda Archivio

Scheda Illuminazione

Scheda Materiale

Scheda Piani di Taglio


Scheda Archivio

Questa scheda contiene due aree, l’area Impostazioni definite da Sistema e l’area Configurazioni definite dall’Utente.

L’area Impostazioni definite da Sistema permette la scelta tra le impostazioni definite da sistema, per illuminazione e materiale. Tali parametric sono memorizzati in un file di configurazione chiamato LightingMaterials.dat nella directory di PC-DMIS.

L’area Configurazioni definite dall’Utente permette all’utente di salvare e richiamare le proprie impostazioni di illuminazione e materiale che sono memorizzate nella sotto-directory \Models\LightingMaterials della directory di installazione di PC-DMIS.

Per salvare una configurazione personalizzata:

  1. Effettuare le modifiche volute nelle schede della finestra di dialogo Illuminazione e materiali.

  2. Fare clic all'interno della casella Salva con nome. Il pulsante Salva Ora viene visualizzato.

  3. Digitare il nome della configurazione da salvare.

  4. Fare clic sul pulsante Salva Ora.

Per richiamare una configurazione utente salvata occorre selezionarla nell’elenco Richiama.


Scheda Illuminazione

La scheda Illuminazioneconsiste di tre aree in cui si possono definire sorgenti luminose, modello di luce e trasparenze.

Sorgente di Luce:

Nell'area Sorgente di luce è possibile definire fino a quattro sorgenti luminose, specificando, per ciascuna sorgente, la direzione ed i colori della luce. É possible creare una nuova sorgente luminosa selezionando il numero appropriato e facendo clic sulla casella di controllo Abilita.

Ad eccezione della prima sorgente, che è sempre abilitata, la casella di controllo Abilita permette di accendere e spegnere la sorgente luminosa.

Direzione della Luce:

Quando si abilita una sorgente, viene abilitato il pulsante di luce attiva, contornato di rosso. Questi pulsanti definiscono l'origine della sorgente luminosa.

Il funzionamento del pulsante di direzione della luce centrale simula la provenienza della luce, come se questa si trovasse dalla parte dell'operatore ed illuminasse il modello CAD sul computer Gli altri pulsanti di direzione definiscono sorgenti luminose come provenienti da altri angoli.

Colori della Luce:

È possibile modificare la luce di Ambiente, Diffusa o Specularerelativamente alla sorgente luminosa corrente, facendo semplicemente clic sul rettangolo colorato al di sotto di ciascun tipo di luce, e scegliendo il nuovo colore nella finestra di dialogo Colore che viene visualizzata.

Nota: la sorgente di luce 1 ha il bianco come colore predefinito per Diffusa e Speculare, mentre le altre tre sorgenti di luce utilizzano il nero come colore predefinito.

L’illuminazione Ambiente è la luce dell'ambiente circostante che non ha una direzione determinabile e sembra provenire da tutte le direzioni. In una stanza retroilluminata la componente della luce di ambiente è abbondante poiché molta della luce che raggiunge gli occhi è già rimbalzata su molte superfici. Le luci per esterni presentano una piccola componente ambientale perché sono spesso direzionali; inoltre, poiché ci si trova all'esterno, la luce che colpisce altri oggetti ne viene quasi totalmente assorbita. Quando la luce ambientale colpisce una superficie, rimbalza allo stesso modo in tutte le direzioni.

La luce Diffusa proviene da una direzione, perciò è tanto più luminosa, quanto piú è perpendicolare alla superficie stessa. Quando colpisce la superficie, comunque, viene riflessa uniformemente in tutte le direzioni, dando la sensazione di luninosità uniforme, indipendentemente dal punto di vista. Qualsiasi luce proveniente da una posizione o direzione particolare, ha di solito una componente di luce diffusa.

La luce Speculare proviene da una direzione particolare ed è riflessa dalla superficie in una direzione preferenziale. Un raggio di luce laser, riflesso da uno specchio, produce quasi il 100 percento di luce riflessa. Il metallo lucidato o la plastica hanno una forte componente di luce riflessa, il gesso o la moquette praticamente zero. La luce speculare rende l’oggetto piú o meno "lucido".

Disabilitando una sorgente, i pulsanti Direzione luce e Colori luce vengono disabilitati.

Modello di Luce:

L'area Modello di luce definisce quali informazioni vanno applicate a tutto lo scenario, indipendentemente dalla sorgente luminosa.

Illuminazione bidirezionale – Questa casella di controllo determina se entrambe le facce delle superfici, anteriore e posteriore, debbano essere illuminate. È necessario selezionare questa casella di controllo per i file IGES importati e per alcuni formati CAD quando le superfici normali non sono corrette.

Scarto faccia posteriore – Questa casella di controllo determina se PC-DMIS debba o meno scartare, o nascondere, le face posteriori delle superfici. Si deve selezionare questa casella di controllo nel caso di file IGES ed alcuni altri formati CAD, in cui le superfici normali non solo corrette.

Ambiente – Questa casella definisce il colore dell'ambiente, che viene applicato all'intero campo di vista. Fare clic sulla casella, per modificarne i colori.

Trasparenza:

L'area Trasparenza consente di rendere trasparenti i seguenti oggetti, nella finestra di visualizzazione grafica:

  • Modello Pezzo

  • Tastatore

  • Macchina

Selezionando Abilita trasparenza, è possibile selezionare altre voci in questa area. Abilitando la trasparenza per un oggetto, le altre impostazioni di quest’area regolano la modalità di visualizzazione della trasparenza stessa.

Buffer a sola lettura – (Correntemente non disponibile).

Scarta faccia posteriore - Selezionando questa casella di controllo PC-DMIS non disegna le facce posteriori delle superfici dell’oggetto trasparente selezionato.

% Trans - Muovendo il cursore si regola la percentuale di traparenza dell’oggetto selezionato. Muovendo il cursore verso sinistra, l’oggetto diventa piú opaco, muovendolo verso destra, piú trasparente.


Scheda Materiale

La scheda Materialecontiene impostazioni che vengono applicate agli oggetti componenti il modello CAD del pezzo, oppure globalmente, al modello del pezzo nel suo insieme.

La prima area di questa scheda contiene due pulsanti che consentono di determinare la "selezione attiva, Intera o Oggetti CAD.

Modello intero– Selezionando questa opzione le impostazioni vengono applicate all’intero modello CAD.

Oggetti CAD– Selezionando questa opzione, le impostazioni si applicano a specifici oggetti componenti il modello CAD.

Mappatura dell’Aspetto superficie

L'area Mappatura aspetto superficie definisce quale aspetto debba essere applicato alla superficie selezionata. PC-DMIS applica automaticamente l’immagine dell’aspetto superficiale, tanto quanto é necessario, per ricoprire tutta la superficie selezionata.

La casella di controllo visualizza il nome corrente della bitmap, una volta selezionata la bitmap da usare come tassello per l’aspetto della superficie. Questa casella é selezionata quando la selezione attiva é un oggetto CAD.

L’ampia area grigia sotto la casella di controllo visualizza l'aspetto superficiale corrente.

Per applicare un aspetto superficiale ad un pezzo

  1. Fare clic nell’area grigia per selezionarla. Viene visualizzata la finestra di dialogo standard Apri.

  2. Usare la finestra di dialogo Apri per navigare e selezionare un file bitmap valido. La larghessa deve essere una potenza di 2: Ad esempio, 2 alla 50 potenza è 32 e 2 alla 40 potenza è 16. Quindi, se la bitmap è 32 X 16 pixel, è valida. Se invece si ha una bitmap di 32 X 20, PC-DMIS visualizza un messaggio di errore.

  3. PC-DMIS visualizza un’anteprima dell’aspetto selezionato nell’area grigia.

  4. Fare clic su Apri per accettare l'aspetto.

Per applicare la casella di controllo alla selezione attiva, fare clic sulla casella di controllo Abilita.

Gli altri elementi dell’area Mappa aspetto superficiedeterminano come PC-DMIS deve applicare i colori dell’aspetto e della superficie:

Decal impedisce che qualsiasi colore della superficie sia riflesso, in modo che si veda soltanto il colore dell’aspetto superficiale.

Modula e Mescola utilizzano gli algoritmi di OpenGL per determinare i colori finali della visualizzazione.

Zoom regola il fattore di "zoom" da applicare ai valori correnti dell'aspetto della superficie.Valori maggiori di 1.0 provocano lo zoom verso l'interno della superficie, ripetendo l’applicazione della bitmap di aspetto con minor frequenza. Valori inferiori a 1.0 producono lo zoom verso l'esterno, ripetendo l’applicazione della bitmap di aspetto con maggior frequenza. Per esempio, un valore pari a 2.0 raddoppia la grandezza della bitmap (e il numero totale di bitmap risulta la metá); un valore di 0.5 dimezza le bitmap e ne raddoppia il numero.

I pulsanti Inverti T, Inverti S e Sost. determinano l'orientamento dell'aspetto. L'aspetto è un'immagine a due dimensioni, l'orientamento è descritto in termini di S e T. Un aspetto con una freccia in alto aiuta a visualizzare il processo in corso:

L’aspetto originale della superficie assomiglia ad una freccia che punta a destra e che ha la metà dal vertice in rosso e l’altra metà in verde:

Facendo clic su Sost. nell'originale, cambia l'orientamento e S diventa T e T diventa S.La freccia punta in alto, ma il vettore risulta cambiato di verso:

(Esempio di sostituzione)

Facendo clic su Inverti S nell'originale, cambia la direzione di S. La freccia punta a sinistra:

(Esempio di Inverti S)

Facendo clic su Inverti T nell'originale, cambia la direzione di T. In questo caso la freccia viene invertita e la parte inferiore e posteriore vengono invertite.

(Esempio di Inverti T)

Si puó agire su questi pulsanti, ottenendo combinazioni diverse ed una varietá di orientazioni dell'aspetto superficiale del modello.

Fare clic su Applica per vedere le modifiche fatte alle orientazioni dei tasselli ed ai colori degli altri materiali.

Colore Materiali

L'area Colori materiale definisce l’informazione circa il colore, da applicare all’intero Modello CAD.

Le funzioni Ambiente, Diffusa e Speculare sono simili a quelle illustrate nell'area Colori della luce della scheda Illuminazione. Vedere "Scheda Illuminazione".

Emissione - I materiali possono avere un colore di emissione che simula la luce riflessa dall’oggetto reale. Nel modello di illuminazione di OpenGL il colore di emissione di una superficie aggiunge intensità al colore dell’oggetto, ma non viene influenzato dalle sorgenti luminose. Inoltre il colore di emissione non aggiunge luce allo scenario globale.

Luminositá della zona evidenziata - Questo cursore regola l’intensità della zona evidenziata quando si osserva una superficie curva.

Vedere anche:

Applicazione di Superfici al Modello CAD completo

Come Applicare Superfici ( Texture ) ad Oggetti CAD Selezionati

Rimozione dei Tasselli da Oggetti CAD Selezionati


Applicazione di Superfici al Modello CAD completo

  1. Selezionare l’opzione Modello Completo.

  2. Fare clic nell’area grigia per selezionarla. Viene visualizzata la finestra di dialogo Apri.

  3. Selezionare un valido file di bitmap.

  4. Fare clic su Apri. La superficie ( Texture ) compare nella finestra di dialogo.

  5. Fare clic sulla casella di controllo delle bitmap, nell’area Mappa Tasselli. L’insieme dei tasselli ricopre l’intero modello CAD.

  6. Operare ulteriori personalizzazioni dei tasselli, come richiesto con le altre opzioni della finestra di dialogo.

  7. Fare clic su OK per accettare l'aspetto scelto.


Come Applicare Superfici ( Texture ) ad Oggetti CAD Selezionati

  1. Selezionare l’opzione Oggetti CAD. Viene visualizzato una lista vuota, insieme ai pulsanti Cancella e Rimuovi.

  2. Fare clic nell’area grigia per selezionarla. Viene visualizzata la finestra di dialogo Apri.

  3. Selezionare un valido file di bitmap.

  4. Fare clic su Apri. La superficie ( Texture ) compare nella finestra di dialogo.

  5. Fare clic sulle superfici del modello CAD. PC-DMIS applica il tassello corrente alle superfici alle superfici scelte con il clic del mouse. La lista che prima era vuota, ora mostra i singoli elementi del CAD a cui si é applicato il tassello.


Rimozione dei Tasselli da Oggetti CAD Selezionati

Applicando un tassello ad un oggetto CAD, il numero che gli corrisponde compare in un elenco.

Per rimuovere i tasselli da tutti gli oggetti selezionati sul CAD, fare clic sul pulsante Cancella.

Per rimuovere i tasselli da oggetti CAD singoli, selezionare tali oggetti nell’elenco e fare clic su Rimuovi.


Scheda Piani di Taglio

Scheda Piani di Taglio

La scheda Piani di taglio consente di definire fino a Quattro piani, chiamati “piani di taglio”, che possono essere usati per nascondere oggetti visibili in uno dei semispazi creati dal piano. Gli oggetti dell’altro semipiano restano visibili. Questi piani consentono di sezionare trasversalmente il modello del pezzo.

I piani di taglio sono visualizzati simbolicamente con una curva seghettata, quando la finestra di dialogo Illuminazione e Materiali é aperta.

Esempio di un piano di taglio che seziona trasversalmente il pezzo di test Hexagon

Vedere anche:

Definizione del Piano di Taglio

Regolazione del Piano di Taglio


Definizione del Piano di Taglio

Sono necessarie due informazioni per definire il piano di taglio: Un vettore definito dal punto XYZ di applicazione, e da direzione e verso IJK. IJK punta nella direzione di ció che resta visibile.

Ci sono due modi per definire questa informazione.

  • Si puó fare clic sul modello del pezzo nella finestra Grafica di Visualizzazione, e PC-DMIS prende il punto indicato come posizione del piano di taglio. Dopo aver fatto clic sulla posizione, PC-DMIS attiva automaticamente il piano di taglio, assegnandogli una direzione predefinita. A questo punto si puó modificare la direzione secondo le necessitá.

  • È possibile fare clic sulla casella di controllo Abilita e digitare manualmente valori nella posizione XYZ e nel vettore IJK.

Nota: Nelle versioni 4.0 e successive, i valori XYZ e IJK fanno parte del sistema delle coordinate di allineamento del pezzo attivo, non del sistema di coordinate CAD come nelle versioni precedenti.

Il pulsante Inverti IJK inverte il vettore per modificarne la direzione.

Quando il piano di taglio corrisponde a quanto si deridera impostare, fare clic sul pulsante Applica per visualizzare le modifiche apportate. PC-DMIS nasconde tutti gli oggetti appartenenti al semipiano opposto, rispetto alla direzione positiva del vettore.

Deselezionando la casella di controllo Abilita il piano di taglio corrente viene disabilitato. I piani disabilitati sono di colore giallo e non é possible muoverli. I piani di taglio abilitati sono di colore rosso.

É possibile definire piani di taglio multipli selezionando il pulsante di opzione di un nuovo piano e seguendo le istruzioni dettagliate sopra.


Regolazione del Piano di Taglio

Una volta inserito il piano di taglio, lo si puó modificare:

  • Facendo clic sul pulsante Inverti IJK, per invertire IJK. Ció é utile nel caso in cui i vettori delle superfici CAD selezionate non sono corretti, problema questo, comune nel caso di file IGES.

  • Si possono modificare posizione XYZ e vettore IJK, inserendo nuovi valori.

  • Uso dell’area Muovi piano di taglio in direzione IJK.

Tale area contiene due righe di caselle e di pulsanti con frecce che puntano verso sinistra e verso destra. Le caselle definiscono incrementi di cui il piano di taglio si muove, lungo la direzione definite dal vettore, nel verso positivo o negativo, a seconda se si fa clic sul pulsante con la freccia verso sinistra o verso destra.

La prima linea permette di muovere il piano di taglio, con piccoli incrementi, in direzione IJK.

L’ultima linea permette di muovere il piano di taglio con incrementi maggiori e sempre in direzione IJK.


Selezione di elementi nella finestra di visualizzazione grafica

Gli elementi selezionati in PC-DMIS vengono evidenziati nel colore di evidenziazione attualmente selezionato.

PC-DMIS consente di selezionare gli elementi nella finestra di visualizzazione grafica per effettuare diversi tipi di operazione, ad esempio stampare, creare sistemi di coordinate, generare nuovi elementi, calcolare le dimensioni e così via. Sono disponibili 5 metodi di selezione degli elementi:

  1. Selezione degli elementi mediante gli ID

  2. Selezione degli elementi mediante i meta-caratteri

  3. Selezione degli ultimi ID

  4. Selezione tramite finestra degli ID

  5. Selezione degli elementi in modalità online

Vedere anche:

Selezione degli elementi mediante gli ID

Selezione degli elementi mediante i meta-caratteri

Selezione degli ultimi ID

Selezione tramite finestra degli ID

Selezione degli elementi in modalità online

Modifica dell'ID di un elemento


Selezione degli elementi mediante gli ID

Selezionare l'elemento desiderato utilizzando il relativo ID. Nelle varie finestre di dialogo, sono disponibili diversi metodi di selezione degli elementi dalla relativa casella di riepilogo.

  1. Inserire gli ID assegnati agli elementi nella casella Cerca ID.

  2. Fare clic sull'ID desiderato nell'elenco degli elementi. PC-DMIS assegna automaticamente a ciascun elemento un numero in base all'ordine di selezione indicato a destra dell'ID dell'elemento.

  3. Quando la finestra di visualizzazione grafica è aperta, spostare il cursore sull'elemento desiderato e fare clic con il pulsante sinistro del mouse. L'elemento selezionato nella finestra di visualizzazione grafica adesso è evidenziato (o selezionato) nella finestra dell'elemento.


Selezione degli elementi mediante i meta-caratteri

È possibile selezionare gli elementi anche mediante un metacarattere. Ovvero un carattere jolly mediante il quale sostituire altri caratteri alfanumerici. In PC-DMIS sono disponibili due meta-caratteri:

  1. Asterisco (*)

  2. Punto interrogativo (?)

Tali meta-caratteri vengono descritti in modo dettagliato nelle sessioni successive.

Vedere anche:

Meta-carattere asterisco (*)

Meta-carattere punto interrogativo (?)


Meta-carattere asterisco (*)

* Il metacarattere asterisco (*) può sostituire uno o più caratteri qualsiasi in una ricerca. Ad esempio, si supponga che nell'elenco degli elementi siano disponibili i seguenti elementi:

PNO1
LINEA1
LINEA2
CER1
CER2

Metacarattere Asterisco (*)

In tal caso, per selezionare tutti gli elementi lineari (LINEA1 e LINEA2), digitare "L*" (senza virgolette) nella casella Cerca ID e premere il tasto TAB. PC-DMIS seleziona tutti gli elementi che iniziano con "L". L'asterisco (*) indica a PC-DMIS di ricercare solo i caratteri che precedono o seguono l'asterisco. Poiché in questo caso l'asterisco si trova dopo la "L", vengono ricercati solo gli elementi che iniziano con la "L".

Per usare il meta-carattere asterisco (*) nella selezione dell’elemento:

  1. Posizionare il cursore nella casella Cerca ID.

  2. Inserire i criteri di ricerca utilizzando l'asterisco (*).

  3. Premere il tasto di tabulazione.

PC-DMIS seleziona tutti gli elementi che corrispondono ai criteri di ricerca specificati.

Nota: è possibile utilizzare il meta-carattere asterisco (*) più volte in una stessa ricerca, anche insieme al meta-carattere punto interrogativo (?).


Meta-carattere punto interrogativo (?)

? La funzione del metacarattere punto interrogativo (?) è uguale a quella dell'asterisco (*) tranne per il fatto che il metacarattere punto interrogativo può corrispondere ad 1 solo carattere alfanumerico. Ad esempio, si supponga che nell'elenco degli elementi siano disponibili i seguenti elementi:

PNO1
LINEA1
LINEA2
CER1
CER2

Metacarattere punto interrogativo (?)

Per selezionare tutti gli elementi circolari (CER1 e CER2) utilizzando il metacarattere punto interrogativo (?), è necessario digitare "CER?" nella casella Cerca ID . PC-DMIS ricerca tutti gli elementi che corrispondono ai criteri di ricerca specificati, ossia tutti gli elementi con un ID di 4 caratteri e che iniziano con i caratteri "CER".

Per selezionare gli elementi utilizzando il meta-carattere punto interrogativo (?), effettuare le seguenti operazioni:

  1. Posizionare il cursore nella casella Cerca ID.

  2. Inserire i criteri di ricerca utilizzando il punto interrogativo (?).

  3. Premere il tasto di tabulazione.

PC-DMIS seleziona tutti gli elementi che corrispondono ai criteri di ricerca specificati.

Nota: è possibile utilizzare il meta-carattere punto interrogativo (?) più volte in una stessa ricerca, anche insieme al meta-carattere punto interrogativo (?).


Selezione degli ultimi ID

Questo metodo indica a PC-DMIS di utilizzare gli ultimi "n" elementi nell'operazione corrente, dove n rappresenta il numero di elementi.

Per selezionare gli ultimi "n" elementi, effettuare le seguenti operazioni:

  1. Nella finestra didialogo, posizionare il cursore nella casella Seleziona ultimi n..

  2. Inserire il numero degli ultimi elementi da utilizzare. Ad esempio, per creare una linea utilizzando gli ultimi quattro elementi misurati, digitare 4 nella casella.

Selezione ultimo ID


Selezione tramite finestra degli ID

Un altro metodo per la selezione degli elementi consiste nel tracciare una "finestra" intorno ad essi utilizzando il pulsante sinistro del mouse. Questo metodo è definito "selezione tramite finestra". A tale scopo, operare come segue:

  1. Posizionare il puntatore del mouse in un punto, in corrispondenza della posizione nella quale si desidera tracciare un angolo della finestra e tenere premuto il pulsante sinistro del mouse.

  2. Quindi, trascinare il puntatore del mouse nell'angolo opposto della "finestra". PC-DMIS disegna il contorno della finestra sullo schermo mentre si trascina il puntatore del mouse.

  3. Una volta ottenuta la "finestra" desiderata, rilasciare il pulsante sinistro del mouse. PC-DMIS seleziona tutti gli elementi inclusi nella finestra e li inserisce nell'elenco degli elementi.

Box di selezione di CER1 e CER2

Questa opzione consente anche di modificare il contenuto della finestra in base agli elementi presenti nell'elenco. Per aggiungere o eliminare un elemento dall'insieme, è sufficiente fare clic sull'elemento nella finestra di visualizzazione grafica o nell'elenco degli elementi della finestra di dialogo.

Vedere anche:

Panoramica sulla selezione tramite finestra degli ID degli elementi di lamiera


Panoramica sulla selezione tramite finestra degli ID degli elementi di lamiera

La funzione di PC-DMIS di 'selezione tramite finestra' degli identificativi degli elementi consente di unire gli elementi automatici di due gruppi selezionati. Tale funzione facilita notevolmente la selezione di più oggetti tridimensionali. Inoltre, se si utilizza il metodo di selezione tramite finestra per un oggetto CAD e poi si sceglie un oggetto CAD senza utilizzare tale metodo, gli oggetti racchiusi nella finestra di selezione diventano selezioni permanenti, aggiunte all'elemento singolo selezionato senza tale metodo.

Per informazioni dettagliate su questa funzione, vedere "Selezione tramite finestra degli ID degli elementi automatici" nella sezione "Creazione di elementi automatici" .


Selezione degli elementi in modalità online

Nella modalità online, utilizzare la punta attiva come puntatore e far scattare il tastatore quando la punta è in prossimità dell'elemento desiderato.


Modifica dell'ID di un elemento

Per modificare l'identificativo di un elemento, fare doppio clic sull'ID desiderato nell'elenco degli elementi. PC-DMIS visualizza la finestra di dialogo Modifica ID. nella quale è possibile rinominare l'ID dell'elemento selezionato.


Modifica dei colori della dimensione

L'opzione di menu Modifica | Finestra di visualizzazione grafica | Modifica colori della dimensione consente di visualizzare la finestra di dialogo Modifica colore dimensione.

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Modifica dimensione colore

Questa finestra consente di impostare il numero delle aree di tolleranza ed i relativi colori. A tale scopo, operare come segue:

  1. Accertarsi che la finestra di dialogo sia aperta.

  2. Digitare il numero delle aree di tolleranza desiderato.

  3. Selezionare un'area di tolleranza dall'elenco a discesa Colori dimensione relativo all'elenco di aree.

  4. Premere il pulsante Modifica colore per modificare il colore dell'area di tolleranza correntemente selezionato.

Per impostare i colori, effettuare le seguenti operazioni:

  1. Con il pulsante sinistro del mouse, selezionare un colore iniziale ed un colore finale direttamente nel selettore dei colori della finestra di dialogo.

  2. Fare clic sul pulsante Applica colori.

I due colori selezionati vengono impostati per la prima e l'ultima area di tolleranza. Alle altre aree di tolleranza vengono applicati i colori disposti in modo regolare tra i colori iniziali e finali. La direzione della disposizione varia in base all'opzione selezionata:

  • L'opzione In senso orario consente di impostare il colore finale in modo che abbia la stessa luminosità di quello iniziale e di applicare alle altre aree di tolleranza i colori disposti in senso orario.

  • Allo stesso modo, l'opzione In senso antiorario consente di impostare il colore finale in modo che abbia la stessa luminosità di quello iniziale, ma applica alle altre aree di tolleranza i colori disposti in senso antiorario.

  • L'opzione Linea retta consente di disporre i colori presenti tra quello iniziale e quello finale in linea retta, indipendentemente dalla luminosità.

Per sostituire i colori di tolleranza predefiniti con questi nuovi colori, è sufficiente fare clic sul pulsante Predefinito. Per ripristinare i colori in base alle impostazioni predefinite originali, selezionare il pulsante Richiama.


Modifica di elementi

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Modifica elemento

Finestra di dialogo Modifica elemento

Selezionando l'opzione di menu Modifica | Finestra di visualizzazione grafica | Aspetto elemento viene visualizzata la finestra di dialogo Modifica aspetto elemento . In questa finestra di dialogo è possibile modificare gli identificativi dell'elemento (denominato ID elemento) in un part-program, i colori dell'elemento e le etichette dell'ID dell'elemento.

Nel seguente esempio viene visualizzata un'etichetta dell'ID dell'elemento e un elemento modificato tramite la finestra di dialogo Modifica aspetto elemento. I diversi colori indicano le diverse parti dell'etichetta. Rosso - il Colore dell'elemento. La barra colorata nella parte superiore dell'etichetta dell'ID cambia in base al colore del cerchio. Grigio - Colore dello sfondo. Verde - il Colore della linea.

Uno screen shot ingrandito dell'etichetta dell'ID dell'elemento e l'elemento con l'aspetto modificato

Un nome elemento assegnato in precedenza può essere modificato semplicemente facendo doppio clic sull'elemento desiderato nell'elenco. Viene visualizzata una finestra di dialogo Modifica ID in cui è possibile inserire un nuovo identificativo.

Finestra di dialogo Modifica ID

Gli ID degli elementi possono essere modificati anche nella finestra di modifica. È sufficiente evidenziare l'ID desiderato e immettere un nuovo identificativo.

Nella finestra di modifica, PC-DMIS non tiene traccia degli identificativi dell'elemento e non visualizza alcuna avvertenza se si assegnano ID già esistenti. Pertanto, si consiglia di prestare molta attenzione a non assegnare ID identici durante le operazioni di modifica.

In questa finestra di dialogo sono presenti due aree principali:

  • L'area Opzioni degli elementi - Utilizzata per modificiare la visualizzazione degli elementi del pezzo.

  • L'area Opzioni delle etichette del testo - Utilizzata per modificare le etichette degli ID degli elementi nella finestra di visualizzazione grafica.

Per modificare le opzioni di grafica per gli elementi o per le etichette degli ID degli elementi, selezionare le opzioni desiderate dalla finestra di dialogo e fare clic su Applica, quindi su OK.

Vedere anche:

Sezione delle opzioni degli elementi

Sezione del testo delle opzioni dell'etichetta

Clear button Feature List boxGraphic Options areaLabel Display area


Sezione delle opzioni degli elementi

Per cambiare il colore di un elemento, effettuare le seguenti operazioni:

    1. Specificare l'elemento da modificare nell'Elenco di elementi.

    2. Selezionare l'opzione Colore elemento. PC-DMIS visualizza automaticamente la finestra di dialogo Colore.

    3. Fare clic sul colore desiderato oppure definirne uno nuovo utilizzando la casella Colore personalizzato.

    4. Fare clic sul pulsante OK. PC-DMIS visualizza nuovamente la finestra di dialogo Modifica identità elemento. Il nuovo colore viene visualizzato nella casella Colore elemento.

    5. Dopo aver fatto clic sul pulsante Applica il colore dell'elemento viene cambiato automaticamente nella Finestra di visualizzazione grafica. Viene modificato anche il bordo superiore dell'etichetta dell'ID dell'elemento in base al colore dell'elemento.

Per determinare la visualizzazione degli elementi selezionati:

    1. Selezionare gli elementi da visualizzare o da nascondere.

    2. Selezionare l'opzione ON o OFF sotto l'area Visualizzazione della finestra di dialogo.

    3. Fare clic sul pulsante Applica . PC-DMIS visualizza o nasconde gli elementi.

    4. Se si è soddisfatti delle modifiche apportate, fare clic sul pulsante OK. PC-DMIS chiude la finestra di dialogo e salva le modifiche.

Per determinare la visualizzazione delle etichette ID dell'elemento selezionate:

    1. Selezionare le etichette degli elementi da visualizzare o da nascondere.

    2. Selezionare l'opzione ON o OFF sotto l'area Etichetta della finestra di dialogo.

    3. Fare clic sul pulsante Applica . PC-DMIS visualizza o nasconde le etichette degli elementi.

    4. Se si è soddisfatti delle modifiche apportate, fare clic sul pulsante OK. PC-DMIS chiude la finestra di dialogo e salva le modifiche.

Sezione delle opzioni degli elementi

Nell'area Opzioni di elementi è possibile modificare il colore degli elementi del pezzo selezionato e scegliere se visualizzare gli elementi selezionati o le etichette degli ID degli elementi nella Finestra di visualizzazione grafica. Per utilizzare le voci in questa area, è necessario selezionare prima una o più voci dall'Elenco di elementi, quindi fare clic sull'opzione Selezionato dall'elenco. In tal modo, gli altri elementi dell'area vengono abilitati.

Le caselle Cerca ID e Seleziona ultimi n. sono illustrate negli argomenti "Cerca ID" e "Seleziona ultimi n." nella sezione Spostamento all'interno dell'interfaccia utente .

L'opzione Colore elemento consente di impostare il colore dell'identificativo di un elemento specificato. Questa opzione funziona in modo analogo all'opzione Modifica colore (vedere la finestra di dialogo Modifica CAD in "Modifica di elementi CAD").

Modifica del colore di un elemento

L'area Visualizzazione contiene le opzioni ON/OFF che controllano la visualizzazione di elementi nella Finestra di visualizzazione grafica. Questa opzione è utile quando si desidera focalizzare solo una parte per volta degli elementi geometrici del pezzo.

Per determinare la visualizzazione degli elementi selezionati:

L'area Etichetta contiene le opzioni ON/OFF che consentono di controllare la visualizzazione degli ID degli elementi nella finestra di visualizzazione grafica. Questa opzione è particolarmente utile quando un porzione del disegno del pezzo viene occupata eccessivamente da molti ID dell'elemento. In questo caso è possibile disattivare determinati ID, consentendo una più agevole visualizzazione degli altri.

Per determinare la visualizzazione delle etichette ID dell'elemento selezionate:


Sezione del testo delle opzioni dell'etichetta

L'area Opzioni etichetta di testo consente di determinare se tutti gli ID degli elementi indicano il colore dello sfondo, il colore della linea e se viene visualizzata un'ombreggiatura intorno al bordo. Per utilizzare gli elementi in questa area, è necessario selezionare prima l'opzione Etichette di testo di tutti gli elementi. PC-DMIS seleziona automaticamente tutti gli elementi dall'elenco degli elementi.

Colore dello sfondo - Questo pulsante consente di visualizzare la finestra di dialogo Colore in cui è possibile scegliere il colore dello sfondo per le etichette degli ID degli elementi.

Colore dello linea - Questo pulsante consente di visualizzare la finestra di dialogo Colore in cui è possibile scegliere il colore della linea per le etichette degli ID degli elementi. Cambiando il colore della linea, cambia anche il colore del bordo inferiore e destro nell'etichetta dell'ID dell'elemento.

Facendo clic sul pulsante Predefinito tutte le etichette degli ID degli elementi creati in seguito per utilizzare le impostazioni della linea, del colore e dell'ombreggiatura vengono visualizzate quando si fa clic su Predefinito.

Suggerimento: è possibile modificare queste voci anche facendo clic con il pulsante destro del mouse sull'etichetta dell'ID dell'elemento e selezionando la voce appropriata dal menu di scelta rapida che ne risulta. Vedere "Menu di scelta rapida dell'elemento" nella sezione "Uso dei menu e dei tasti di scelta rapida".


Visualizzazione e animazione delle linee del percorso

Visualizza Mappa Percorsi dei Menu

PC-DMIS consente di generare linee colorate sul modello CAD nella finestra di visualizzazione grafica, per mostrare il percorso tracciato dal tastatore sul pezzo durante la misurazione degli elementi selezionati. Tali linee, denominate linee di percorso, consentono di visualizzare in anteprima il percorso tracciato dal tastatore, al fine di poter risolvere i problemi associati ad eventuali aree di collisione.

Mostra il percorso del tastatore disegnato nell'immagine grafica del pezzo

Nota: è possibile controllare la dimensione e il colore delle linee del percorso modificando i valori di queste voci di Registro utilizzando l'Editor delle impostazioni di PC-DMIS: DrawPathLinesRadiusInMM e PathLinesColorRGB. Per informazioni sulle voci del Registro, vedere la sezione "Modifica delle voci del registro di sistema".

Vedere anche:

Animazione del percorso

Rigenerazione del percorso

Controllo delle collisioni


Animazione del percorso

L'opzione Animazione percorso esegue esclusivamente la simulazione del movimento del tastatore, ma non consente di eseguire il part-program.

L'opzione di menu Operazione | Finestra di Visualizz. Grafica | Animazione percorso consente di animare il percorso del tastatore sul pezzo, simulandone il movimento.

Per rendere accessibile l'opzione Animazione percorso, effettuare le seguenti operazioni:

  1. Selezionare gli elementi desiderati.

  2. Selezionare il comando di menu Linee percorso. L'opzione Animazione percorso diventerà quindi selezionabile. Visualizza Mappa Percorsi dei Menu

  3. Selezionare il comando di menu Animazione percorso. PC-DMIS visualizzerà la finestra Opzioni modalità di esecuzione e avvierà automaticamente l'animazione del percorso con una punta del tastatore simulata.

L'animazione può essere interrotta in qualsiasi momento premendo il tasto ESC oppure selezionando il pulsante Interrompi nella finestra Opzioni modalità di esecuzione. Se il pulsante Interrompi è selezionato, è possibile interrompere l'animazione anche premendo il tasto INVIO.

Per avanzare all'interno del part-program, fare clic sul pulsante Continua.

Per interrompere l'animazione, fare clic sul pulsante Interrompi.

Se si fa clic sul pulsante Annulla, la finestra Opzioni modalità di esecuzione viene chiusa senza completare l'esecuzione del part-program.

Se si fa clic sulla linea del percorso usando l'icona della freccia e il pulsante sinistro del mouse, il cursore si sposta sulla corrispondente riga di comando nella finestra di modifica. Verrà indicato l'elemento successivo disponibile nella linea del percorso.


Rigenerazione del percorso

Visualizza Mappa Percorsi dei Menu

Se si inserisce un comando di movimento prima della modifica del polso PH9, la posizione del cambio del polso non viene modificata fino a quando non si seleziona l'opzione RIGENERA PERCORSO.

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Rigenera percorso consente di ridisegnare le linee del percorso del part-program. Una volta selezionate, PC-DMIS eliminerà le linee del percorso corrente dallo schermo e le traccerà di nuovo. Questa opzione risulta particolarmente utile quando si apportano modifiche ad un part-program ed è necessario confermare che le linee del percorso rappresentano effettivamente lo stato corrente del part-program.

Nota: L'opzione Rigenera percorso è accessibile solo dopo che gli elementi sono stati selezionati nella finestra di modifica e l'opzione Mostra linee percorso è stata selezionata.


Controllo delle collisioni

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Controllo delle collisioni (CD ) consente di visualizzare la finestra di dialogo Controllo delle collisioni. l modulo di controllo collisioni (CD, Collision Detection) è stato progettato per rilevare le collisioni tra tastatore e superfici CAD. Tutte le curve, le linee e i punti CAD vengono ignorati; quindi, sono adatti al controllo collisione solo i file CAD che descrivono completamente il pezzo utilizzando superfici. L'algoritmo CD non utilizza le definizioni effettive delle superfici, ma i rispettivi mosaici (o approssimazioni grafiche), che vengono anche utilizzati per il rendering di viste solide mediante il linguaggio grafico OpenGL.

Vedere anche:

Per Abilitare la Funzionalitá di Controllo Collisioni

Come configurare la modalità OpenGL per una vista

Opzioni della Finestra Controllo Collisioni


Per Abilitare la Funzionalitá di Controllo Collisioni

  1. Importazione di un modello pezzo con dati di superficie.

  2. Assicurarsi che nella finestra di visualizzazione grafica il modello del pezzo sia in modalità Superficie . La funzionalità non è disponibile se è attiva la modalità Wireframe. Vedere "Per configurare una vista secondo la modalità Opengl:".

  3. Selezionare l'opzione di menu Operazione | Finestra di visualizzazione grafica | Mostra Linee Percorso. PC-DMIS effettua questa operazione e visualizza le linee percorse dal tastatore nella finestra di visualizzazione grafica. Vedere "Visualizzazione e animazione delle linee del percorso". Visualizza Mappa Percorsi dei Menu

  4. Selezionare l'opzione di menu Operazione | Finestra di visualizzazione grafica | Controllo collisione. PC-DMIS visualizza la finestra di dialogo Controllo collisione. Vedere "Opzioni della Finestra Controllo Collisioni". Visualizza Mappa Percorsi dei Menu


Come configurare la modalità OpenGL per una vista

Per configurare una vista in modalità OpenGL, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Imposta vista per aprire la finestra di dialogo Imposta vista. Visualizza Mappa Percorsi dei Menu

  2. Selezionare la casella di controllo Solidi.

  3. Fare clic sul pulsante Applica.

  4. Fare clic sul pulsante OK.

  5. Fare clic sull'icona Modalità superficie nella barra degli strumenti Modalità grafico.


Opzioni della Finestra Controllo Collisioni

Opzioni della finestra di dialogo Controllo collisioni

Le collisioni vengono visualizzate nella finestra di dialogo Controllo collisione.

Finestra di dialogo Controllo collisione

  • È possibile selezionare la casella di controllo Arresta su collisione per fare in modo che il controllo della collisione dell'animazione del tastatore venga interrotto in caso di collisione.

  • Le altre opzioni nella finestra di dialogo sono come quelle della finestra di dialogo Opzioni modalità di esecuzione. (Vedere "Esecuzione di part-program" nella sezione "Uso delle opzioni avanzate del menu File" )

Al termine del controllo delle collisioni, le linee del percorso verranno tracciate nella finestra di visualizzazione grafica e PC-DMIS indicherà in rosso i punti in cui si sono verificate delle collisioni.

Area di visualizzazione del tastatore

Il tastatore verrà visualizzato in verde nell'area di visualizzazione del tastatore. Se si verifica una collisione, la porzione del tastatore che collide viene visualizzata in rosso. Questo stesso schema di colori viene utilizzato per tracciare il tastatore sullo schermo e nella finestra di dialogo Controllo collisione.

  • È possibile ingrandire o ridurre le dimensioni del disegno del tastatore effettuando la stessa procedura utilizzata per il pezzo nella finestra di visualizzazione grafica, ovvero facendo clic con il pulsante destro del mouse sopra o sotto una linea orizzontale immaginaria.

  • È possibile eseguire la rotazione 3D del disegno del tastatore tenendo premuto il tasto CTRL e facendo clic con il pulsante destro del mouse mentre si esegue il trascinamento.

Il pulsante Adatta consente di ingrandire o ridurre le dimensioni del tastatore in modo da adattarle alle dimensioni indicate nella finestra di dialogo Controllo collisione nell'area di visualizzazione del tastatore.


Eliminazione di elementi CAD

Finestra di dialogo Eliminazione di elementi CAD

L'opzione di menu Modifica | Elimina | Elementi CAD consente di visualizzare la finestra di dialogo Eliminazione di elementi CAD.

Visualizza Mappa Percorsi dei Menu

nella quale è possibile rimuovere definitivamente le immagini nominali degli elementi, dalla finestra di visualizzazione grafica. Questa funzione è utile quando si desidera semplificare un file CAD importato prima di generare un programma di ispezione. Ad esempio, se un file CAD contiene del testo o altre informazioni descrittive inutili per l'ispezione del pezzo, La finestra di dialogo Eliminazione di elementi CAD consente di eliminare i dati non pertinenti.

Vedere anche:

Tipi di elemento

Numero selezionato

Numero eliminato

Elimina CAD

Ripristino degli elementi CAD

Deseleziona

Cancel buttonOK buttonDeselect buttonUndo buttonDelete buttonNumber Deleted areaNumber Selected areaFeature Types area


Tipi di elemento

La sezione Tipi di elemento della finestra di dialogo contiene diverse caselle di controllo che indicano a PC-DMIS quale tipo di elementi eliminare tra quelli elencati di seguito:

  • Punti

  • Linee

  • Cerchi

  • Archi

  • Curve

  • Superfici


Numero di elementi selezionati

Questa opzione consente di visualizzare il numero di elementi che verranno modificati da PC-DMIS.


Numero di elementi eliminati

Nelle caselle Numero di elementi eliminati viene visualizzato il numero di elementi eliminati. I numeri indicati variano a seconda degli elementi selezionati nella sezione Tipi di elementi della finestra di dialogo.


Elimina CAD

Il comando Elimina indica a PC-DMIS di eliminare tutti gli elementi nominali selezionati.


Ripristino degli elementi CAD

Il comando Ripristina indica a PC-DMIS di ripristinare tutti gli elementi nominali appena eliminati.


Deseleziona

Il comando Deseleziona indica a PC-DMIS di deselezionare gli elementi precedentemente evidenziati.


Eliminazione di elementi

Visualizza Mappa Percorsi dei Menu

In PC-DMIS è possibile eliminare gli elementi esistenti mediante uno dei tre metodi riportati di seguito.

  • Selezionare gli elementi nella finestra di modifica e premere il tasto CANC sulla tastiera.

  • È possibile utilizzare la finestra di dialogo Eliminazione di elementi descritta di seguito.

  • Posizionare il cursore nella finestra di modifica e selezionare l'opzione di menu Elimina [Elemento]. descritta di seguito.

Vedere anche:

Eliminazione mediante la finestra di dialogo Elimina elementi

Eliminazione mediante l'opzione di menu Elimina [Elemento]


Eliminazione mediante la finestra di dialogo Elimina elementi

Finestra di dialogo Eliminazione di elementi

Visualizza Mappa Percorsi dei Menu

Se si seleziona l'opzione di menu Modifica | Elimina | Elementi viene visualizzata la finestra di dialogo Eliminazione di elementi. In questa finestra di dialogo è possibile rimuovere definitivamente dal part-program{POPUP} gli elementi misurati o costruiti. Questa opzione deve essere utilizzata quando è necessario rimuovere alcuni elementi inutili.

La finestra di dialogo Eliminazione di elementi consente di inserire il numero di ID, fare clic sull'elemento oppure selezionare l'ultimo elemento creato, specificando un numero. PC-DMIS consente inoltre di ripristinare gli elementi appena eliminati. Premendo il comando OK, gli elementi indicati vengono eliminati.

Nota:quando gli elementi misurati vengono rimossi dalla finestra di visualizzazione grafica, PC-DMIS rimuove automaticamente dal part-program tutte le dimensioni o datum ad essi associate.

Vedere anche:

Elimina elementi

Ripristino degli elementi eliminati

Cancella elenco

Clear List Undo Deleted FeaturesDelete buttonCancel buttonOK buttonFeature List boxSelect Last # boxSearch ID box


Elimina elementi

Il comando Elimina consente di eliminare tutti gli elementi contrassegnati per la cancellazione. Tale eliminazione non è permanente finché non viene premuto il pulsante OK.


Ripristino degli elementi eliminati

Il comando Ripristina consente di ripristinare tutti gli elementi eliminati con il pulsante Elimina. L'uso di questo pulsante non consente tuttavia di ripristinare gli elementi qualora sia stato premuto il pulsante OK.


Cancella elenco

Il comando Cancella elenco consente di cancellare dall'elenco tutti gli elementi contrassegnati per l'eliminazione.


Eliminazione mediante l'opzione di menu Elimina [Elemento]

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Elimina | Elimina [Elemento] consente anche di eliminare l'elemento in corrispondenza della posizione del cursore nella finestra di modifica. [Elemento] indica l'ID dell'elemento da eliminare, ad esempio Elimina PNT1. In genere, quando viene creato un part-program, il cursore si trova alla fine del part-program, quindi selezionando l'opzione di menu Elimina [Elemento] viene eliminato l'ultimo elemento del part-program.


Eliminazioni di dimensioni

Finestra di dialogo Eliminazione di dimensioni

Visualizza Mappa Percorsi dei Menu

La finestra di dialogo Eliminazione di dimensioni (Modifica | Elimina | Dimensioni) consente di rimuovere in modo permanente qualsiasi dimensioni dal part-program . È necessario utilizzare questa opzione per rimuovere diverse dimensioni inutili.

La finestra di dialog Eliminazione di dimensioni consente di inserire l'ID, fare clic sulla dimensione, selezionare tutte le dimensioni o selezionare un numero specifico di dimensioni più recenti inserendo un valore nella casella Seleziona ultimi n.. PC-DMIS consente inoltre di ripristinare le dimensioni eliminate selezionando il pulsante Annulla prima di selezionare OK. Quando si seleziona OK, le dimensioni indicate saranno eliminate in modo permanente.

Vedere anche:

Elimina dimensioni

Ripristino delle dimensioni eliminate

Cancella elenco

Clear List button Select All buttonUndo buttonDelete buttonCancel buttonOK buttonDimension List boxSelect Last # boxSearch ID box


Elimina dimensioni

Il comando Elimina inserisce il frammento di testo "del" (canc) dopo ogni dimensione selezionata dall'elenco quando si fa clic su Elimina. Per selezionare tutte le dimensioni presenti nell'elenco fare clic su Seleziona tutto. Tale eliminazione non è permanente finché non viene premuto il pulsante OK.


Ripristino delle dimensioni eliminate

Il comando Annulla consente di ripristinare tutte le dimensioni contrassegnate per l'eliminazione mediante il pulsante Elimina. L'uso di questo pulsante non consente tuttavia di ripristinare le dimensioni qualora sia stato premuto il pulsante OK.


Cancella elenco

Il comando Cancella elenco consente di cancellare dall'elenco tutte le dimensioni contrassegnate per l'eliminazione.


Regola della mano destra: Se si estende il pollice della propria mano destra nella direzione del vettore della linea e si piegano le altre dita nel palmo, le dita indicano la direzione della rotazione dell'angolo positiva.

È possibile selezionare la casella di controllo Specifica matrice di rotazione per digitare i valori per la matrice di rotazione manualmente. Le colonne specificano gli assi della rotazione. Si applicano le seguenti restrizioni:

  • Ciascun asse della matrice deve essere ortogonale rispetto agli altri due assi. Quindi, ciascuna coppia di assi deve formare un angolo di 90 gradi.

  • Ciascun asse deve avere una lunghezza pari ad un'unità. Vale a dire che la lunghezza dell'asse deve essere pari a 1.

Quando si applica la trasformazione, se sono soddisfatte altre restrizioni, viene visualizzato un messaggio che indica il problema e PC-DMIS corregge automaticamente la matrice di rotazione.

Trasformazione di un modello CAD

PC-DMIS 4.0 e versioni successive consentono di trasformare (traslare, scalare e ruotare) il modello CAD e, se si desidera, conservare una copia del modello CAD non modificato, nonché creare un nuovo sistema di coordinate per il modello trasformato.

Visualizza Mappa Percorsi dei Menu

Per trasformare il modello CAD, accedere alla finestra di dialogo Trasformazione CAD selezionando Operazione | Finestra di visualizzazione grafica | Trasformazione. Quando viene visualizzata la finestra di dialogo, utilizzare le voci contenute come necessario, quindi fare clic su OK o su Applica.

Finestra di dialogo Trasformazione CAD

Finestra di dialogo Trasformazione CAD

Elemento della finestra di dialogo

Descrizione

Conserva originale

Questa casella di controllo consente di conservare una copia del modello CAD originale non modificato.

Crea nuovo sistema di coordinate.

Questa casella di controllo consente di creare un nuovo sistema di coordinate dal modello CAD trasformato. Per ulteriori informazioni vedere "Come operare con Sistemi di Coordinate CAD".

Traslazione

Questa area definisce gli offset XYZ per traslare il modello.

Scala

Questa area definisce il modo in cui il modello CAD sarà scalato. Può essere utile per correggere i modelli non scalati correttamente a causa dell'identificazione non corretta delle unità. Ad esempio, se il modello è stato creato per l'unità di misura imperiale ma dovrebbe essere utilizzata l'unità di misura pollici, scalare il modello di 25.4.

La casella di controllo Uniforme scala in modo uniforme il modello. Se si desidera scalare un asse selezionato del modello, deselezionare la casella di controllo Uniforme. Lasciare il valore impostato su 1 per l'asse che non si desidera scalare e modificare l'asse che si desidera scalare. È possibile anche scalare gli assi in base a valori negativi. Questa opzione è utile se si desidera eseguire il mirroring di un asse. In questo caso, immettere -1 per l'asse.

Mirroring

In questa sezione, è possibile eseguire il mirroring del modello CAD. Il mirroring fornisce la stessa funzionalità che potrebbe essere eseguita utilizzando Scala e specificando -1 per l'asse di mirroring.

Ruota

Questa area definisce il modo in cui il modello CAD sarà ruotato. Digitare l'angolo in base al quale eseguire la rotazione del modello nella casella Angolo.

Ruota asse

In questa area viene definita la linea intorno alla quale viene ruotato il modello CAD. Il modello sarà ruotato intorno a tale linea in base all'angolo specificato. La direzione della rotazione segue la regola della mano destra.

È possibile utilizzare uno degli assi del sistema di coordinate come linea di rotazione selezionando il pulsante di opzione dell'asse X,Y o Z appropriato.

Se non si desidera ruotare intorno a uno degli assi del sistema di coordinate, è possibile ruotare intorno a una linea arbitraria selezionando il pulsante di opzione Linea. In tal caso vengono abilitate le aree Vettore linea e Punto linea. Riempire queste aree per determinare il punto e il vettore che fanno parte della linea arbitraria.

Ruota matrice

Quando si determina la nuova trasformazione del modello CAD, questa area viene automaticamente riempita con i valori da utilizzare in una matrice 3x3. La matrice 3x3 ruota il modello CAD.

Di solito, non è necessario riempire questa area perché ha solo uno scopo informativo.

Solo per utenti esperti:


Utilizzo dei sistemi di coordinate CAD

Finestra di dialogo Sistema di coordinate CAD

Finestra di dialogo Sistema di coordinate CAD

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Finestra di visualizzazione grafica | Sistema di coordinate CAD visualizza la finestra di dialogo Sistema di coordinate CAD. La finestra di dialogo Sistema di coordinate CAD consente di creare o selezionare nuovi sistemi di coordinate per il modello CAD.

L'elenco Sistema coordinate sulla sinistra della finestra di dialogo mostra tutti i sistemi di coordinate nel modello CAD. I sistemi di coordinate elencati prima sono sistemi di coordinate globali. Nell'elenco viene sempre riportato il sistema di coordinate Predefinito.

Se il modello CAD è un assieme di pezzi di componente, nei seguenti sistemi di coordinate globale verranno elencati tutti i sistemi di coordinate contenuti in quell'assieme. Quelli elencati di seguito fanno parte della struttura della vista ad albero. Per espandere la vista ad albero, fare clic sul simbolo più (+). PC-DMIS visualizza i sistemi di coordinate dell'assieme dei pezzi di componente. Sarà sempre elencato un sistema di coordinate Predefinito per ciascun componente del pezzo dell'assieme. Tale sistema di coordinate definisce il sistema di coordinate locale predefinito del pezzo.

Quando si apre per la prima volta la finestra di dialogo Sistema coordinate CAD, PC-DMIS verifica che il sistema di coordinate attivo corrisponda a un sistema di coordinate dell'elenco:

  • Se non vengono individuate corrispondenze, PC-DMIS lo seleziona dall'elenco.

  • Se non viene individuato alcun sistema di coordinate corrispondente, PC-DMIS utilizza il sistema di coordinate Predefinito nella parte superiore dell'elenco. Questo caso si verifica se il CAD è stato trasformato senza creare un sistema di coordinate (vedere la sezione sulla finestra di dialogo Trasforma CAD per ulteriori informazioni).

Per selezionare ed utilizzare i sistemi di coordinate

Per utilizzare un sistema di coordinate esistente,

  1. Selezionare il sistema di coordinate dall'elenco Sistema di Coordinate. PC-DMIS mostra quel sistema di coordinate nella finestra di visualizzazione grafica. Se si seleziona un componente dell'assieme, PC-DMIS seleziona il primo sistema di coordinate in quel componente.

  2. Fare clic su Applica o su OK. Il sistema di coordinate selezionato diventa il nuovo sistema di coordinate attivo e PC-DMIS ridisegna il CAD per riflettere questa nuova posizione.

Per creare un sistema di coordinate

Per creare un sistema di coordinate nella posizione del modello CAD corrente, fare clic sul pulsante Crea. La posizione del modello CAD può essere modificata utilizzando la finestra di dialogo Trasforma CAD. Per ulteriori informazioni sulla trasformazione del modello CAD, vedere l'argomento "Trasformazione di un modello CAD".

Per ridenominare un sistema di coordinate

Per ridenominare un sistema di coordinate, selezionare il sistema di coordinate dall'elenco e fare clic sul pulsante Rinomina. Digitare il nuovo nome.

Non è possibile ridenominare il sistema di coordinate Predefinito.

Per eliminare un sistema di coordinate

Per eliminare un sistema di coordinate, selezionare il sistema di coordinate dall'elenco e fare clic sul pulsante Elimina. PC-DMIS elimina il sistema di coordinate selezionato.

Non è possibile eliminare il sistema di coordinate Predefinito o i sistemi di coordinate dell'assieme.

Per sostituire un sistema di coordinate

Per sostituire o sovrascrivere un sistema di coordinate corrente con la posizione del modello CAD, selezionare un sistema di coordinate dall'elenco e fare clic sul pulsante Sostituisci.

Non è possibile sostituire il sistema di coordinate Predefinito o i sistemi di coordinate dell'assieme.


Modifica di un part-program

Modifica di un part-program: Introduzione

Uso dei comandi di modifica standard

Annulla

Ripristina

Taglia

Copia

Incolla

Elimina

Seleziona Tutto

Modifica di matrici di elementi

Matrice di elementi

Offset X, Y, Z

Offset angolo

Numero di offset da applicare

Inverti X, Y, Z

Incolla con matrice di elementi

Individuazione e sostituzione del testo

Trova

Uso dei caratteri jolly

Uso di set di caratteri predefiniti

Come ricercare una parola o una frase specifica

Sostituisci

Trova

Sostituisci con

Solo parole intere

Maiuscole/Minuscole

Pattern matching

Pulsante Trova successivo

Pulsante Sostituisci

Pulsante Sostituisci tutto

Modifica Campi di Dati

Passaggio ai numeri di riga specificati

Modifica dei valori nominali

Come operare con Comandi di Riferimento

Sostituzione degli elementi stimati

Sovrascrivere Ricerca Nominali

Informazioni sulla finestra di dialogo Sovrascrivi Ricerca Nominali

Colonne Superficie prioritaria, punto di foratura e punto di rilascio

Casella Tolleranza

Casella di controllo usa superficie precedente

Pulsante Sovrascrivi

Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità apprendimento

Procedura 1: Ricerca di punti nominali sulla superficie precedente

Procedura 2: Ricerca di punti nominali su superfici prioritarie

Procedura 3: Ricerca di punti nominali su tutte le superfici CAD

Procedura 4: Scegliere il punto nominale più avanti

Dopo la scelta del miglior punto nominale

Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità esecuzione

Uso della finestra di dialogo Sovrascrivi Ricerca Nominali dalla finestra di modifica.

Selezione dei comandi per l'esecuzione

Seleziona

Come deselezionare linee specifiche di un elemento

Seleziona tutto

Cancella tutto

Modalità Padre

Modalità figlio

Modalità nuovo allineamento

Creazione ed esecuzione degli insiemi selezionati

Esempio di finestra Insiemi selezionati

Come creare nuovi insieme selezionati

Come aggiungere elementi a insiemi selezionati esistenti

Come rimuovere elementi da insiemi selezionati esistenti

Come personalizzare le icone degli insiemi selezionati

Come riposizionare gli insiemi selezionati

Come eseguire gli insiemi selezionati

Come bloccare gli insiemi selezionati

Come eliminare gli insiemi selezionati

Uso dei punti di interruzione

Attiva Breakpoint

Inserisci valori predefiniti

Rimuovi valori predefiniti

Rimuovi tutto

Imposta Punti Iniziali

Uso dei segnalibri

Attiva segnalibro

Segnalibro successivo

Cancella tutti i segnalibri

Modifica dei caratteri e dei colori

Modifica di oggetti esterni


Modifica di un part-program: Introduzione

La funzione principale di PC-DMIS è quella di consentire all'utente di creare, modificare ed eseguire part-program in modo semplice. In questa sezione viene descritto come utilizzare il menu Modifica insieme ad altre opzioni per apportare modifiche ai part-program. Il menu Modifica funziona con i comandi visualizzati nella finestra di modifica, la quale non verrà tuttavia descritta nell'ambito di questa sezione. Per informazioni più dettagliate sulla finestra di modifica, vedere la sezione "Uso della finestra di modifica".

In questa sezione vengono descritti i seguenti argomenti:

  • Uso dei comandi di modifica standard

  • Modifica di matrici di elementi

  • Individuazione e sostituzione del testo

  • Modifica Campi di Dati

  • Passaggio ai numeri di riga specificati

  • Come operare con Comandi di Riferimento

  • Sostituzione degli elementi stimati

  • Sovrascrivere Ricerca Nominali

  • Selezione dei comandi per l'esecuzione

  • Creazione ed esecuzione degli insiemi selezionati

  • Uso dei segnalibri

  • Uso dei punti di interruzione

  • Modifica dei caratteri e dei colori

  • Modifica di oggetti esterni


Uso dei comandi di modifica standard

PC-DMIS, come la maggior parte delle applicazioni Windows, consente di utilizzare i comandi di modifica standard nel part-program. Sono disponibili le opzioni di menu standard riportate di seguito.

  • Annulla

  • Ripristina

  • Taglia

  • Copia

  • Incolla

  • Elimina

  • Seleziona Tutto


Annulla

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Annulla consente di annullare l'ultima modifica apportata nella finestra di modifica. È possibile selezionare più volte l'opzione Annulla per annullare in sequenza le modifiche apportate nella finestra di modifica.

Nota:Attenzione, l’attivazione di una diversa modalità rimuove completamente tutti i cambiamenti dalla memoria.


Ripristina

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Ripeti consente di ripristinare le ultime modifiche apportate mediante l'opzione di menu Annulla. Allo stesso modo dell'opzione Annulla, è possibile selezionare più volte l'opzione Ripeti per ripristinare in sequenza le modifiche apportate.

Nota:Attenzione, l’attivazione di una diversa modalità rimuove completamente tutti i cambiamenti dalla memoria.


Taglia

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Taglia consente di tagliare il testo o spostarlo da un'area all'altra utilizzando gli Appunti.

Per tagliare del testo, effettuare le seguenti operazioni:

  1. Evidenziare gli elementi da spostare.

  2. Selezionare l'opzione Taglia. Il testo verrà rimosso dalla finestra di modifica e memorizzato negli Appunti.

  3. Selezionare l'opzione Incolla per ripristinare il testo tagliato. (Vedere "Incolla").

Nota:quando si seleziona l'opzione Taglia il precedente contenuto degli Appunti viene sostituito dal testo tagliato.


Copia

Visualizza Mappa Percorsi dei Menu

Anche l'opzione di menu Modifica | Copia consente di copiare il testo e spostarlo da un'area all'altra utilizzando gli Appunti. La sola differenza tra questa opzione e l'opzione Taglia consiste nel fatto che il testo non viene rimosso dalla finestra di modifica quando viene copiato.

Per copiare una parte di testo, effettuare le seguenti operazioni:

  1. Evidenziare il testo desiderato.

  2. Selezionare il comando Copia. Il testo resterà nella posizione corrente e verrà memorizzato anche negli Appunti.

  3. Selezionare l'opzione Incolla per ripristinare il testo tagliato. (Vedere "Incolla").

Nota: quando si seleziona il comando Copia il precedente contenuto degli Appunti viene sostituito dal testo appena copiato.


Incolla

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Incolla consente di incollare il testo copiato dagli Appunti nella finestra di modifica in corrispondenza della posizione del cursore.


Elimina

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Elimina consente di eliminare dalla finestra di modifica la selezione attualmente evidenziata. Il contenuto della selezione eliminata non viene memorizzato negli Appunti.


Seleziona Tutto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Seleziona tutto consente di selezionare tutto il contenuto della finestra di modifica per poterlo modificare.


Modifica di matrici di elementi

Le matrici di elementi sono spesso presenti nei pezzi. PC-DMIS consente di creare elementi con matrice. A questo proposito, vedere le opzioni di menu riportate di seguito.

  • Matrice di elementi

  • Incolla con matrice di elementi


Matrice di elementi

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Matrice di elementi consente di visualizzare la finestra di dialogo Offset matrice di elementi.

Finestra di dialogo Offset matrice di elementi

In questa finestra di dialogo è possibile definire gli offset da utilizzare quando si seleziona l'opzione Modifica | Incolla con matrice di elementi.

Per creare una matrice di elementi, effettuare le seguenti operazioni:

  1. Aprire la finestra di dialogo Offset matrice di elementi.

  2. Inserire i valori di offset desiderati.

  3. Selezionare le opzioni di mirroring desiderate.

  4. Inserire il numero di offset nella casella Numero di offset da applicare.

  5. Fare clic sul pulsante OK.

  6. È anche possibile fare clic sul pulsante Annulla per chiudere la finestra di dialogo senza apportare alcuna modifica alle impostazioni correnti.

Vedere anche:

Offset X, Y, Z

Offset angolo

Numero di offset da applicare

Inverti X, Y, Z


Offset X, Y, Z

In questi campi è possibile impostare l'Offset X, Y o Z tra occorrenze di schemi.

Per modificare i valori degli Offset X, Y o Z Offset, effettuare le seguenti operazioni:

  1. Selezionare la casella dell'Offset X, Y o Z desiderata.

  2. Apportare le modifiche desiderate.

PC-DMIS applicherà l'offset ai dati nominali X, Y e Z dell'elemento incollato (o dell'insieme di elementi) in base a tali valori di offset.


Angolo

Offset angolo

La casella di controllo Offset angolo consente di impostare l'offset angolare tra le occorrenze della matrice di elementi.

Un offset angolare può essere utile quando si misura la posizione reale di un determinato numero di fori in una matrice di foratura in cui il datum è costituito da un foro al centro della matrice stessa. PC-DMIS ruoterà l'offset intorno all'origine.

Gli offset angolari possono essere utilizzati insieme agli offset X, Y, Z e le inversioni. L'ordine di applicazione di tali offset è il seguente: inversioni, rotazioni e infine traslazioni.

Per modificare l'offset angolare, effettuare le seguenti operazioni:

  1. Selezionare la casella Offset angolo nella finestra di dialogo.

  2. Inserire il valore desiderato.


Numero di offset da applicare

Questa opzione consente di impostare il numero di volte che PC-DMIS applicherà l'offset a una matrice di elementi. Per modificare il valore corrente, selezionare questa opzione ed inserire un nuovo valore. Il valore predefinito è uno.


Inverti X, Y, Z

Le opzioni Inverti X, Inverti Y o Inverti Z consentono di eseguire il mirroring della matrice di elementi rispettivamente intorno agli assi X, Y o Z, rispettivamente. La matrice originale viene invertita sull'asse X, Y o Z prima di qualsiasi traslazione o rotazione.


Incolla con matrice di elementi

Visualizza Mappa Percorsi dei Menu

L'opzione Modifica | Incolla con matrice di elementi incolla gli elementi o i gruppi di elementi contenuti negli Appunti nel punto della finestra di modifica in cui è posizionato il cursore. Quando si esegue questa operazione, vengono creati nuovi elementi in base a quelli copiati negli Appunti. Tuttavia, agli elementi nuovi verranno applicati gli offset di matrice definiti in precedenza. Per ulteriori informazioni, vedere "Matrice di elementi".

Per incollare gli elementi utilizzando una matrice, effettuare le seguenti operazioni:

  1. Accertarsi di aver definito gli offset appropriati utilizzando la finestra di dialogo Offset matrice di elementi (selezionare l'opzione di menu Matrice di elementi).

  2. Accertarsi che l'elemento o l'insieme di elementi a cui si desidera applicare l'offset siano stati evidenziati e copiati negli Appunti.

  3. Posizionare il cursore nel punto del part-program in cui inserire i nuovi elementi.

  4. Selezionare l'opzione di menu Modifica | Incolla con matrice di elementi.

PC-DMIS incollerà il contenuto degli Appunti il numero di volte indicato dal valore del campo Numero di offset da applicare della finestra di dialogo Offset matrice di elementi. Ogni volta che gli Appunti vengono incollati, sarà eseguito l'offset dei nuovi elementi creati in relazione agli elementi precedentemente inseriti in base agli offset della matrice di elementi definita. Gli identificatori per i nuovi elementi saranno incrementati dall’ID dell'elemento originale. PC-DMIs visualizzerà i nuovi elementi creati nella finestra di visualizzazione grafica.


Individuazione e sostituzione del testo

È possibile individuare e sostituire il testo nei campi della finestra di modifica, utilizzando le espressioni standard descritte nelle opzioni di menu riportate di seguito.

  • Trova

  • Sostituisci


Trova

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Trova consente di aprire la finestra di dialogo Trova nella quale è possibile cercare una determinata parola chiave nella finestra di modifica.

Finestra di dialogo Trova

Vedere anche:

Uso dei caratteri jolly

Uso di set di caratteri predefiniti

Come ricercare una parola o una frase specifica


Uso dei caratteri jolly

Per utilizzare i caratteri jolly, selezionare la casella di controllo Pattern match.

Questa opzione consente inoltre di ricercare il testo in base ai criteri di ricerca specificati. Tenere presente quanto indicato nella tabella seguente:

Testo da ricercare

Carattere jolly da utilizzare

Esempi

Qualsiasi carattere

.

D.M trova "DIM" o "D4M".

Stringa di caratteri

[ ]

D[MI]S trova "DIS" e "DMS", ma non "DMIS" o "DUS".

Qualsiasi carattere compreso nell'intervallo

[-]

LINEA[2-6] trova "LINEA2" e "LINEA3", ma non "LINEA1" o "LINEA7". È necessario specificare gli intervalli in ordine crescente.

Qualsiasi carattere ad eccezione dei caratteri racchiusi tra parentesi quadre

[^]

PUNTO[^32] trova "PUNTO1", "PUNTO5" e "PUNTO12", ma non "PUNTO3", "PUNTO2", "PUNTO21" o "PUNTO30".

Qualsiasi carattere ad eccezione dei caratteri compresi nell'intervallo tra parentesi quadre

[^x-z]

LINEA[^2-5] trova "LINEA6" e "LINEAH", ma non "LINEA3"

Per le stringhe di caratteri che includono il carattere "-" è necessario specificare il carattere "-" come primo o ultimo carattere dell'intervallo. Se nell'intervallo non è incluso "-", il carattere "-" deve essere il secondo carattere.

[-]

LINEA[0-9-] trova "LINEA4" e "LINEA-". LINEA[^-0-9] trova "LINEAH", ma non "LINEA-".

0 o più occorrenze del carattere precedente, a meno che:

"*" non sia il carattere iniziale di una stringa

"*" non segua un carattere "^" che costituisce il carattere iniziale di una stringa

"*" non sia il carattere iniziale di un'espressione secondaria racchiusa tra parentesi

*

lo*p trova "lp" e "looooop".

^* trova un asterisco "*" se è il carattere iniziale di una riga.

Riga che inizia con la frase o il carattere specificato. Il carattere "^" appresenta un carattere speciale solo se è presente all'inizio di una stringa.

^

^CERCHIO restituisce tutte le righe che iniziano con la parola "CERCHIO". Tenere presente che le righe rientrate nella finestra di modifica di PC-DMIS sono precedute da spazi.

Riga che termina con la frase o il carattere specificato. Il carattere "$" rappresenta un carattere speciale solo se è presente alla fine di una stringa.

$

FINE_MIS/$ trova le righe che terminano con "FINE_MIS/", ma non "MIS/"

Le parentesi nella casella Trova memorizzano il contenuto in modo da poterlo richiamare nella casella Sostituisci.

Nella casella Sostituisci una barra "\" seguita da un numero inserirebbe lo schema definito nel testo di sostituzione.

() e \

Trova:
BO(BB)Y(RAY)

Sostituisci con:
DO\1YP\2

Risulta in:
DOBBYPRAY

\1 usa il primo insieme di offset di caratteri tra parentesi, \2 il secondo insieme e così via.

Nota: Per i pattern match, non è più necessario far precedere le parentesi da una barra (\) come nelle precedenti versioni di PC-DMIS.


Uso di set di caratteri predefiniti

Per utilizzare i set di caratteri predefiniti, selezionare la casella di controllo Pattern match. Inoltre, è possibile ricercare il testo utilizzando le seguenti stringhe di caratteri speciali predefiniti:

Stringa di caratteri | Caratteri inclusi nell'insieme
[[:alnum:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789
[[:alpha:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
[[:blank:]] | (lo spazio e il carattere di tabulazione)
[[:digit:]] | 0123456789
[[:graph:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:lower:]] | Abcdefghijklmnopqrstuvwxyz
[[:print:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~-./:;<=>?@[\]^_`{|}~
[[:punct:]] | !"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:upper:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZ
[[:xdigit:]] | 0123456789ABCDEFabcdef

Esempio: per ricercare una stringa costituita da una lettera, seguita da lettere o numeri, seguiti nuovamente dalla prima lettera specificata, utilizzare un riferimento retroattivo, come indicato nell'esempio seguente: ([[:alpha:]])[[:alnum:]]\{1,\}\1.


Come ricercare una parola o una frase specifica

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Modifica | Trova dalla barra dei menu.

  2. Inserire una parola chiave o una frase da ricercare.

  3. Indicare il percorso di ricerca (verso l'alto o verso il basso).

  4. Selezionare la casella di controllo Solo parole intere se si desidera che PC-DMIS ricerchi solo le parole intere. Ad esempio, se si inserisce "CER", PC-DMIS troverà "CER", ma non "CERCHIO".

  5. Selezionare la casella di controllo Maiuscole/Minuscole se si desidera che PC-DMIS effettui la ricerca rispettando le lettere maiuscole o minuscole.

  6. Fare clic sul pulsante Trova oppure premere INVIO.


Sostituisci

Visualizza Mappa Percorsi dei Menu

La funzione dell'opzione Modifica | Sostituisci è molto simile a quella dell'opzione Trova (vedere "Trova"). Una volta trovato il testo, è possibile sostituirlo utilizzando la finestra di dialogo Sostituisci.

Finestra di dialogo Sostituisci

Nelle versioni precedenti alla 3.6, era soltanto possibile cercare e sostituire all’interno di campi modificabili della finestra di modifica. Per esempio, non si poteva sostituire

MOSTRA PUNTI = NO

con

MOSTRA PUNTI = SÍ

perché MOSTRA PUNTI= era un campo costante. Era possible sostituire soltanto la porzione modificabile, cioé NO con SÍ.

Con PC-DMIS, a partire dalla versione 3.6, è possibile cercare e sostituire qualsiasi stringa o prozione di stringa, a condizione che la parte terminale corrisponda ad un campo modificabile, e che sia l’unico campo della stringa che verrà modificato.

Esempio di Trova e Sostituisci corretto:

=AUTO/CERCHIO,MOSTRA TUTTI PARAM = NO

da sostituire con

=AUTO/CERCHIO,MOSTRA TUTTI PARAM = SÍ

Si noti che la sezione terminale della stringa corrisponde ad un campo modificabile. Soltanto l’ultimo campo modificabile puó essere cambiato nella stringa cercata.

Esempio di Trova e Sostituisci NON Corretto:

Non è possibile, ad esempio, sostituire due campi modificabili con una sola azione, così:

=AUTO/CERCHIO,MOSTRA TUTTI PARAM = NO

non si puó sostituire con

=AUTO/LINEA,MOSTRA TUTTI PARAM = SÍ

perché CERCHIO, da sostituire con LINEA, e NO, da sostituire con SÍ, sono entrambi campi modificabili.

Non é neppure consentito operare come segue

=AUTO/CERCHIO,MOSTRA TUTTI PARAM

non si puó sostituire con

=AUTO/CERCHIO,MOSTRATUTTOPERSONALE

perché la stringa che si vuole sostituire é un campo costante.

Vedere anche:

T rova

Sostituisci con

Solo parole intere

Maiuscole/ Minuscole

Corrispondenze per insiemi di elementi

Pulsante Trova successivo

Pulsante Sostituisci

Pulsante Sostituisci tutto


Trova

Questa casella consente di inserire il testo che PC-DMIS dovrà ricercare. È possibile utilizzare i caratteri jolly e i modelli di ricerca descritti nella sezione "Trova". Vedere "Trova".


Sostituisci con

Questa casella consente di indicare il testo da utilizzare per sostituire il testo trovato.


Solo parole intere

Se si seleziona questa casella di controllo, PC-DMIS ricercherà soltanto le parole intere contenenti il testo specificato. Ad esempio, se dopo aver inserito la parola "CER" nella casella Trova si seleziona questa casella di controllo, PC-DMIS troverà soltanto la parola "CER" e non la parola "CERCHIO" o "CERCARE".


Maiuscole/Minuscole

Questa casella di controllo indica a PC-DMIS di ricercare soltanto il testo in cui la combinazione di lettere maiuscole e minuscole corrisponde esattamente al testo inserito nella casella Trova. Ad esempio, se dopo aver inserito la parola "Punt" nella casella Trova si seleziona la casella di controllo Maiuscole/Minuscole, PC-DMIS troverà le parole "Punto" e "Punti", ma non "PUNT".


Corrispondenze per insiemi di elementi

Questa casella di controllo indica a PC-DMIS di cercare per specifici pattern. Deve essere selezionata per cercare insiemi di elementi utilizzando caratteri jolly o altri caratteri speciali.


Pulsante Trova successivo

Il pulsante Trova successivo indica a PC-DMIS di trovare l'occorrenza successiva del testo per il quale viene eseguita la ricerca.


Pulsante Sostituisci

Il pulsante Sostituisci consente di sostituire il testo trovato con la stringa di testo specificata nella casella Sostituisci con. In questo modo, è possibile sostituire un'occorrenza alla volta del testo trovato.


Pulsante Sostituisci tutto

Il pulsante Sostituisci tutto indica a PC-DMIS di trovare tutte le occorrenze del testo specificato nella casella Trova e di sostituirle con il testo specificato nella casella Sostituisci con.


Modifica Campi di Dati

Modifica Campo di Dati

La Guida(Wizard) alla Modifica Campi di Dati é un programma esterno che coopera con PC-DMIS permettendo di cambiare dati di un certo tipo, all'interno di campi specificati, nella finestra di Modifica. Per accedere a questa guida, selezionare l'icona DataFieldEdit dalla barra degli strumentiProcedure guidate .

Questa guida è diversa dalla finestra di dialogo Sostituzione . La guida consente di sostituire dati in qualunque modalità della finestra di modifica, mentre la finestra di dialogo Sostituzione funziona solo in modalità Comando. Inoltre, la guida consente di sostituire alcuni valori che non sono modifiicabili dalla finestra di dialogo Sostituzione.

La finestra di dialogo Modifica campi dati contiene gli elementi elencati di seguito:

Scegli Tipo Comando – Questo elenco visualizza i tipi di commando disponibili.

Scegli Tipo di Dati – Questo elenco visualizza i tipi di dati relativi al tipo di comando selezionato. Se si desidera visualizzare tutti i tipi di dati nell'elenco, selezionare Tutti i tipi di comando dall'elenco Tipi di comando.

Tipo di Indice – In questa finestra è possibile specificare esattamente il campo da modificare, indicandone l’indice numerico. Ció é utile quando si ha piú di un campo di dati dello stesso tipo e se ne vuole modificare soltanto uno. Digitando il valore dell’indice, è possibile indicare il dato da modificare. Ad esempio, il comando CLEARP dispone di due campi distanza, uno per la distanza di sicurezza e uno per la distanza di passaggio. Se si digita 1 per l'indice, si punta alla distanza di sicurezza mentre digitando 2 si indica la distanza di passaggio.

Cambia da– Questa area contiene la casella di controllo Usa e una casella che contiene un valore. Questa casella di controllo consente di specificare il valore che si intende modificare. Ció significa che PC-DMIS punterá soltanto ai campi che contengono quel valore.

Cambia con– Questa casella consente di determinare il nuovo valore del campo dati che si intende aggiornare.

Notifica Ogni Cambiamento – Selezionando questa casella di controllo, PC-DMIS visualizza un messaggio che mostra l’ID del campo da modifcare, il valore corrente e se si intende o meno sostituire il suo valore con un valore nuovo.

Cambia– Questo pulsante avvia il processo di ricerca e sostituzione dei dati.

Stato– La casella in fondo alla finestra di dialogo visualizza lo stato o i messaggi di diagnostica durante la procedura di cambio.


Passaggio ai numeri di riga specificati

In PC-DMIS il passaggio ai numeri di riga specificati è molto semplice. L'opzione di menu Modifica | Vai a consente di spostarsi alla riga specificata della finestra di modifica.

Visualizza Mappa Percorsi dei Menu

Finestra di modifica Vai a

Per spostare il cursore su un determinato numero di riga, in Modalità Comando o DMIS:

  1. Selezionare Modifica | Vai a dal menu. Verrà visualizzata la finestra di dialogo Salta a.

  2. La riga corrente sulla quale è posizionato il cursore verrà indicata nella casella Numero riga.

  3. Inserire il numero di riga desiderato.

  4. Fare clic sul pulsante OK oppure premere INVIO. PC-DMIS visualizza la riga specificata.


Come operare con Comandi di Riferimento

Nella Modalità comandi della finestra di modifica, se un comando contiene dei riferimenti ad un altro commando, è possibile saltare al comando del riferimento evidenziando l’etichetta di tale comando selezionando l’opzione Modifica | Vai a. Visualizza Mappa Percorsi dei Menu

Quando si raggiunge il comando indicato dal riferimento, è possibile tornare rapidamente all'elemento precedente selezionando l'opzione di menu Modifica | Salta indietro. Visualizza Mappa Percorsi dei Menu

Esempio: si supponga di avere in un blocco allineamento i seguenti comandi e che si desidera saltare all'elemento LIN2 a cui si fa riferimento nel blocco:

A1 =ALLINEAMENTO/AVVIO,RICHIAMA:AVVIO, ELENCO= SÍ

ALLINEAMENTO/LIVELLO,Z+PLN1

ALLINEAMENTO/ROTAZIONE,X+,A,LIN1,INFORMAZIONI,Z+

ALLINEAMENTO/TRANS,ASSEX,LIN2

ALLINEAMENTO/TRANS,ASSEY,LIN1

ALLINEAMENTO/TRANS,ASSEZ,PLN1

ALLINEAMENTO/FINE

È necessario evidenziare LIN2 e selezionare l'opzione di menu Vai a dalla barra dei menu oppure fare clic con il tasto destro del mouse e selezionarla dal menu di scelta rapida. Quindi, tornare al comando precedente selezionando Salta indietro.

É anche possible selezionare queste opzioni di menu di scelta rapida che si presenta facendo clic con il tasto destro del mouse sugli elementi della finestra di Modifica, in modalitá Comandi.


Modifica dei valori nominali e di destinazione

Il più delle volte la misurazione degli elementi viene eseguita correttamente, ma talvolta a causa di errori di costruzione un elemento non è vicino alla propria posizione teorica (nominale) ma in qualche misura spostato. Per gli elementi misurati, è necessario regolare i valori teorici per gestire questa situazione. Tuttavia, utilizzando gli elementi automatici più avanzati, è possibile modificare la destinazione. In tal modo il percorso sarà regolato di conseguenza, ma sarà ancora possibile determinare dimensioni per prendere posizioni relative ai valori teorici originali.

Modifica dei valori nominali (per gli elementi misurati e automatici)

PC-DMIS fornisce delle procedure semplici per modificare il valore nominale. È possibile modificare facilmente il campo nella modalità Comando, un modo alternativo è posizionare il cursore sull'elemento e premere F9. In tal caso viene visualizzata una finestra di dialogo con le informazioni nominali.

Modificare le informazioni nominali e fare clic su OK o Crea. La finestra di dialogo viene chiusa.

  • Se si sta modificando un elemento misurato, PC-DMIS visualizza una richiesta in cui si chiede se si desidera aggiornare anche i valori misurati. Se si seleziona Sì, i valori misurati saranno aggiornati in modo che corrispondano ai valori nominali immessi. Se si seleziona No, i valori misurati restano invariati.

  • Se si sta modificando un elemento automatico, PC-DMIS chiede se si desidera aggiornare i valori di destinazione in modo che corrispondano ai nuovi valori teorici. Se si seleziona Sì, i valori di destinazione saranno aggiornati in modo che corrispondano ai valori nominali immessi. Se si seleziona No, i valori di destinazione restano invariati.

Modifica dei valori di destinazione (solo per gli elementi automatici)

Se non si dispone di un elemento automatico, è possibile scegliere di modificare i valori di destinazione anziché i valori teorici. I valori di destinazione determinano la posizione in cui PC-DMIS proverà a misurare l'elemento automatico. In tal modo è possibile conservare i valori teorici per le dimensioni ma anche modificare la posizione in cui il software tenta la misurazione. Per modificare i valori di destinazione, utilizzare la finestra di modifica:

  • Modifica dei valori di destinazione in modalità riepilogo: Selezionare il campo, premere INVIO, digitare un nuovo valore e premere di nuovo INVIO per memorizzare la modifica.

  • Modifica dei valori di destinazione in modalità comando: Fare clic sul campo da modificare, digitare un nuovo valore e premere di nuovo il tasto di tabulazione per memorizzare la modifica.


Sostituzione degli elementi stimati

Il menu secondario Modifica | Sovrascrivi Stima consente di modificare il tipo dell'ultimo elemento misurato.

Visualizza Mappa Percorsi dei Menu

Ad esempio, se l'ultimo elemento misurato è stato un cerchio, che è stato interpretato da PC-DMIS come un piano, è possibile utilizzare questa opzione per convertire l'elemento nel tipo appropriato. Questa opzione deve essere utilizzata prima di misurare o costruire altri elementi.

Per utilizzare l'elemento corretto, effettuare le seguenti operazioni:

  1. Accedere alla finestra di Modifica.

  2. Posizionare il cursore sul tipo di elemento non corretto nella finestra di modifica.

  3. Nel menu secondario Sovrascrivi Stima selezionare il tipo di elemento corretto.

Le modifiche apportate all'elemento verranno visualizzate nella finestra di modifica.


Sovrascrivere Ricerca Nominali

Finestra di dialogo Sovrascrivi Ricerca Nominali

Visualizza Mappa Percorsi dei Menu

La finestra di dialogo Sovrascrivi Ricerca Nominali (Modifica | Sovrascrivi Ricerca Nominali) consente di scegliere il punto nominale opportuno dalle superfici CAD per punti vettore automatici, punti superficie automatici e punti singoli all’interno degli altri elementi, come le scansioni. Questa opzione sovrascrive il comportamento predefinito di Ricerca Nominali durante la modalità apprendimento e esecuzione.

Quando si prende un punto in modo manuale, nella maggior parte dei casi PC-DMIS trova un valore nominale valido (entro una tolleranza di ricerca nominali). Tuttavia ci sono situazioni eccezionali in cui PC-DMIS non riesce a trovare il punto appropriato e sceglie un punto sbagliato sulla superficie CAD. In queste situazioni, è possibile utilizzare la finestra di dialogo Sovrascrivi Ricerca Nominali per aiutare PC-DMIS a trovare il punto corretto sulla superficie CAD.

Nel seguito è descritta la finestra di dialogo e viene illustrato come utilizzare la finestra di dialogo nelle diverse modalità.

Vedere anche:

Informazioni sulla finestra di dialogo Sovrascrivi Ricerca Nominali

Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità apprendimento

Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità esecuzione

Uso della finestra di dialogo Sovrascrivi Ricerca Nominali dalla finestra di modifica.


Informazioni sulla finestra di dialogo Sovrascrivi Ricerca Nominali

Finestra di dialogo Sovrascrivi Ricerca Nominali

I seguenti argomenti descrivono questa finestra di dialogo.

Vedere anche:

Colonne Superficie prioritaria, punto di foratura e punto di rilascio

Casella Tolleranza

Casella di controllo usa superficie precedente

Pulsante Sovrascrivi


Colonne Superficie prioritaria, punto di foratura e punto di rilascio

Quest’area della finestra di dialogo contiene le seguenti tre colonne:

1.) Superficie prioritaria

2.) Punto di foratura

3.) Punto di rilascio

Il "valore T" è la distanza dei punti misurati dal punto nominale lungo il vettore nominale della superficie CAD.

che mostrano i valori nominali dei punti e i loro valori-T (il valore tra parentesi mostrato alla sinistra di X,Y e Z).

Colonna Superficie prioritaria – Questa colonna elenca le superfici memorizzate come superfici prioritarie nella finestra di dialogo Modifica elementi CAD (Modifica | Finestra di visualizzazione grafica | Elementi CAD). Visualizza Mappa Percorsi dei Menu

Visualizza il tipo di superficie e una casella di controllo. Questa casella di controllo permette di aggiungere o rimuovere la superficie dall’elenco delle superfici prioritarie note a PC-DMIS. Se la casella di controllo è selezionata, PC-DMIS aggiunge la superficie all’elenco delle superfici prioritarie. Se la casella di controllo viene deselezionata, la superficie viene rimossa dall'elenco.

Colonna Punto di Foratura – Questa colonna elenca i valori nominali del punto trovato usando l’operazione Punto di Foratura. Se nella colonna viene visualizzato il testo “OP NON RIUSCITA”, significa che l’operazione Punto di Foratura non è riuscita a trovare il punto nominale sulla superficie. Se PC-DMIS evidenzia un punto in colore verde, allora quel punto è il miglior punto nominale trovato dall’algoritmo di selezione. Questo punto può essere sovrascritto.

Colonna Punto di Rilascio – Questa colonna elenca i valori nominali del punto trovato usando l’operazione Punto di Rilascio.


Casella Tolleranza

La casella Tolleranza permette di specificare un nuovo valore di tolleranza utilizzato per trovare i punti nominali con questa finestra di dialogo.


Casella di controllo usa superficie precedente

La casella di controllo Usa superficie Precedente indica a PC-DMIS di utilizzare la superficie selezionata più di recente per trovare i punti nominali. Questa casella di controllo è disponibile solo dopo che è stato preso un punto su una superficie con questa finestra di dialogo aperta. Dopo che è stato preso un punto, PC-DMIS ha una superficie su cui lavorare per i punti successivi.


Pulsante Sovrascrivi

Il pulsante Sovrascrivi sostituisce un punto nominale non corretto trovato da PC-DMIS con i dati del punto nominale selezionato dall'elenco che contiene le colonne Superficie prioritaria, Punto di foratura e Punto rilascio.


Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità apprendimento

Per accedere a questa finestra di dialogo in modalità apprendimento, eseguire queste operazioni:

  1. Selezionare le caselle di controllo Modalità Solo punto e Trova nominali dalla scheda Generale della finestra di dialogo Opzioni di impostazione (Modifica | Preferenze | Impostazione). Visualizza Mappa Percorsi dei Menu

  2. Verificare che sia stato impostato un modello CAD solido.

  3. Selezionare l'icona Modalità superficie dalla barra degli strumenti Modalità grafica.

  4. Selezionare l'opzione di menu Sovrascrivi Ricerca nominali. Viene visualizzata la finestra di dialogo ovrascrivi Ricerca Nominali.

Quando la finestra di dialogo Sovrascrivi Ricerca Nominali è aperta e viene preso un punto manualmente, PC-DMIS adotta la sua logica normale di scegliere un punto nominale quanto più accurato possibile utilizzando le coordinate e il vettore di avvicinamento del punto misurato più recentemente.

A questo punto è possibile usare la finestra di dialogo Sovrascrivi Ricerca Nominali per effettuare le procedure aggiuntive per sovrascrivere il punto nominale trovato.

Vedere anche:

Procedura 1: Ricerca di punti nominali sulla superficie precedente

Procedura 2: Ricerca di punti nominali su superfici prioritarie

Procedura 3: Ricerca di punti nominali su tutte le superfici CAD

Procedura 4: Scegliere il punto nominale più avanti

Dopo la scelta del miglior punto nominale


Procedura 1: Ricerca di punti nominali sulla superficie precedente

Se si seleziona la casella di controllo Usa superficie precedente, la finestra di dialogo Sovrascrivi Ricerca nominali cerca di trovare il punto nominale sulla superficie usata più di recente. Se la finestra di dialogo è in grado di trovare un punto all’interno del valore di tolleranza Ricerca Nominali, il punto nominale viene selezionato e viene creato un Punto vettore automatico con i valori nominali.


Procedura 2: Ricerca di punti nominali su superfici prioritarie

Se la finestra di dialogo Sovrascrivi Override non trova un punto nominale sulla superficie più recente (vedere "Procedura 1: Ricerca di punti nominali sulla superficie precedente"), cerca un punto nominale nelle superfici prioritarie. Le superfici prioritarie sono superfici che sono state selezionate dall’operatore come un sottoinsieme delle superfici CAD su cui trovare i punti nominali. Le superfici prioritarie possono essere selezionate o deselezionate utilizzando la casella di controllo Prioritario nella finestra di dialogo Modifica elementi CAD (vedere l'argomento "Modifica CAD" nella sezione "Modifica della visualizzazione CAD"). Se PC-DMIS trova un un punto appropriato sulle superfici prioritarie, il punto nominale viene selezionato e viene creato un Punto vettore automatico con i valori nominali. Tutti i punti nominali validi all’interno della tolleranza Trova Nominali sulle superfici prioritarie vengono visualizzati nella finestra di dialogo Sovrascrivi Ricerca Nominali.


Procedura 3: Ricerca di punti nominali su tutte le superfici CAD

Se PC-DMIS non riesce ancora a trovare un punto nominale valido usando le procedure discusse in 1 e 2, (vedere la "Procedura 1: Ricerca di punti nominali sulla superficie precedente" e "Procedura 2: Ricerca di punti nominali su superfici prioritarie"), procede come segue:

  • Cerca il miglior punto nomimale su tutte le superfici CAD all'interno della tolleranza Trova Nominali.

  • Crea un Punto vettore automatico sulla base del miglior punto nominale disponibile.

  • Mostra tutte le superfici CAD su cui sono stati trovati punti nominali nella finestra di dialogo Sovrascrivi Ricerca Nominali.


Procedura 4: Scegliere il punto nominale piú avanti

Se PC-DMIS non riesce a trovare un punto nominale su nessuna superficie CAD, domanda se è possibile creare un Punto vettore automatico e scegliere il punto nominale in seguito. Se l’operatore accetta, PC-DMIS crea un Punto vettore automatico nella finestra di modifica e sono possibili le seguenti opzioni:

Opzione 1. É possibile prendere un nuovo punto e far cercare a PC-DMIS il nuovo punto nominale. In questo modo il processo ricomincia.

Opzione 2. É possibile scegliere un diverso punto nominale dalla finestra di dialogo e fare clic sul pulsante Sovrascrivi. PC-DMIS sostituirà il punto nominale scelto in precedenza con il nuovo punto selezionato per il Punto vettore automatico creato più di recente.

Normalmente si farà questo se non si vuole il punto nominale che PC-DMIS ha cercato di trovare nelle procedure qui discusse:

  • "Procedura 1: Ricerca di punti nominali sulla superficie precedente"

  • "Procedura 2: Ricerca di punti nominali su superfici prioritarie"

  • "Procedura 3: Ricerca di punti nominali su tutte le superfici CAD"

Opzione 3. É possibile selezionare una superficie CAD sullo schermo. PC-DMIS cercherà di trovare i punti nominali sulla superficie selezionata e li mostrerà nella finestra di dialogo Sovrascrivi Ricerca Nominali.

É possibile sostituire il nominale trovato in precedenza, selezionando un punto da questa nuova superficie e facendo clic su Sovrascrivi.

Nota:con questa opzione, PC-DMIS non considera la tolleranza di ricerca nominali. Quindi, la finestra di dialogo mostrerà i punti anche se la superfice CAD selezionata è fuori dalla tolleranza Trova Nominali.

Opzione 4. É possibile aumentare la tolleranza Trova Nominali cambiando il valore nella casella Tolleranza e facendo clic sul pulsante Applica. PC-DMIS riapplicherà le procedure, utilizzando la tolleranza più grande e mostrerà i punti corrispondenti.

  • "Procedura 1: Ricerca di punti nominali sulla superficie precedente"

  • "Procedura 2: Ricerca di punti nominali su superfici prioritarie"

  • "Procedura 3: Ricerca di punti nominali su tutte le superfici CAD"

É possibile poi scegliere un punto valido e fare clic su Sovrascrivi per accettare il punto nominale per il Punto vettore automatico creato più recentemente.

L’aumento della tolleranza Trova Nominali nella casella Tolleranza ha lo stesso effetto di cambiare la tolleranza Trova Nominali dalla scheda Generale della finestra di dialogo Opzioni di impostazione.


Dopo la scelta del miglior punto nominale

Dopo la scelta del miglior punto nominale, PC-DMIS ricorderà la superficie scelta per quell’elemento.

Durante l’esecuzione in modalità manuale, PC-DMIS:

  1. Utilizza il valore di tolleranza nella casella Trova nominali durante l'esecuzione disponibile nella scheda Generale della finestra di dialogo Opzioni di impostazione (Modifica | Preferenze | Impostazione). Visualizza Mappa Percorsi dei Menu

  2. È necessario selezionare la casella di controllo rova i nominali durante l'esecuzione (disponibile anche nella scheda Generale) per eseguire questa operazione.

  3. Cercherà di utilizzare la stessa superficie e la stessa operazione CAD (operazione Punto di foratura o punto di rilascio) per trovare i nuovi nominali per il punto eseguito più recentemente.

Se non riesce a trovare un punto nominale sulla superficie CAD, ripropone la finestra di dialogo Sovrascrivi Ricerca Nominali. Veder l'argomento "Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità esecuzione:" per i tempi di esecuzione.


Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità esecuzione

Come specificato nell'argomento "Dopo la scelta del miglior punto nominale", nella finestra di dialogo Sovrascrivi ricerca nominali, PC-DMIS visualizza questa finestra di dialogo in modalità esecuzione se si verificano le seguenti condizioni:

  • É necessario importare un modello solido con superfici e selezionare l’icona Modalità superficie dalla barra degli strumenti Modalità grafiche.

  • É necessario selezionare la casella di controllo Trova i nominali durante l'esecuzione dalla scheda Generale della finestra di dialogo Opzioni di impostazione.

  • Il punto vettore o il punto superficie automatico devono avere avere un punto nominale valido trovato in modalità apprendimento (vedere "Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità apprendimento:").

  • L’esecuzione deve avvenire in modalità manuale.

  • PC-DMIS deve eseguire l’elemento punto vettore o punto superficie automatico.

  • PC-DMIS deve fallire nella ricerca di un punto nominale per il punto vettore o il punto superficie automatico eseguito.

Quando la finestra di dialogo viene visualizzata, l’esecuzione si interrompe ed è possibile interagire con la finestra di dialogo nei modi già illustrati nell’argomento "Uso della finestra di dialogo Sovrascrivi Ricerca Nominali in modalità apprendimento:" .

É possibile anche scegliere di rieseguire l’elemento punto misurato più recentemente. In questo caso, PC-DMIS riesegue e cerca di nuovo di trovare i valori nominali. Se non riesce di nuovo a trovare i valori nominali per il punto, visualizza di nuovo la finestra di dialogo Sovrascrivi Ricerca Nominali.

È possibile selezionare una delle opzioni seguenti:

  • Rieseguire di nuovo.

  • Usare il pulsante Sovrascrivi come discusso nella "Procedura 4: Scegliere il punto nominale più avanti"

  • Chiudere la finestra di dialogo facendo clic sul pulsante Annulla. Se si chiude senza scegliere un nominale appropriato, PC-DMIS sostituirà i dati misurati con i valori nominali precedenti


Uso della finestra di dialogo Sovrascrivi Ricerca Nominali dalla finestra di modifica.

É possibile accedere alla finestra di dialogo Sovrascrivi Ricerca Nominali facendo clic con il pulsante destro del mouse su uno di questi elementi e selezionando Sovrascrivi Ricerca Nominali dal menu di scelta rapida:

  • Punto vettore

  • Punto superficie

  • Punto singolo

La finestra di dialogo userà i dati misurati dell’elemento (punto e vettore) per trovare un punto nominale appropriato come discusso nell’argomento "Uso della finestra di dialogo Sovrascrivi ricerca nominali in modalità apprendimento:" .


Selezione dei comandi per l'esecuzione

Per eseguire i comandi di PC-DMIS è necessario in primo luogo selezionarli. Di seguito vengono riportati i comandi e le opzioni di menu che consentono di effettuare una selezione.

Vedere anche:

Seleziona

Seleziona tutto

Cancella tutto

Modalità Padre

Modalità figlio

Modalità nuovo allineamento


Seleziona

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Contrassegni | Seleziona consente di selezionare un elemento o comando specifico per l'esecuzione. PC-DMIS seleziona automaticamente i comandi che vengono sempre eseguiti, quali i comandi relativi all'allineamento, alla punta e così via.

Esistono diversi modi per selezionare gli elementi o i comandi. PC-DMIS indicherà un elemento selezionato utilizzando il colore del testo selezionato corrente (vedere "Definizione dei colori della finestra di modifica" nella sezione "Impostazione delle preferenze") nella finestra di modifica. PC-DMIS visualizzerà inoltre un asterisco (*) accanto all'ID dell'elemento nella finestra di visualizzazione grafica. È possibile selezionare gli elementi del part-program utilizzando i metodi seguenti:

  • Selezione dell'elemento o del comando desiderato nella finestra di modifica. Posizionare il cursore sull'elemento da selezionare e premere Seleziona. Il comando selezionato viene evidenziato.

  • Selezione di una sequenza di comandi nella finestra di modifica. Selezionare i comandi da evidenziare nella finestra di modifica, quindi premere Seleziona. I comandi selezionati vengono evidenziati.

  • Selezionare l'elemento desiderato nella finestra di visualizzazione grafica. Verificare che PC-DMIS sia in modalità Traslazione. quindi fare clic sull'elemento desiderato con il pulsante sinistro del mouse, tenendo contemporaneamente premuto il tasto MAIUSC.

  • Selezione di una sequenza di elementi nella finestra di visualizzazione grafica. Verificare che PC-DMIS sia in modalità Traslazione o in modalità Casella di testo. Tenere premuto il tasto MAIUSC, utilizzando contemporaneamente la finestra di selezione per selezionare gli elementi desiderati con il metodo del trascinamento

Se l'opzione di menu Modifica | Contrassegni | Modalità Padre Menu visualizzazione mappa dei percorsi è selezionata ed è stato selezionato un elemento o una dimensione, PC-DMIS selezionerà anche tutti gli elementi correlati utilizzati nel processo di costruzione o dimensione.

Se l'opzione di menu Modifica | Contrassegni | Modalità Padre Menu visualizzazione mappa dei percorsi è selezionata e si seleziona un elemento utilizzato per costruire un elemento o creare una dimensione, vengono selezionati tutti gli elementi figlio correlati.

Nota: la deselezione degli elementi e dei comandi si esegue ripetendo una delle procedure precedenti.

Una volta selezionato un elemento, è possibile annullare la selezione di specifiche linee all'interno di alcuni elementi. Ad esempio, è possibile annullare la selezione di alcune linee all'interno di elementi e dimensioni. Una linea deselezionata non viene eseguita da PC-DMIS.

Se vengono selezionate le dimensioni, PC-DMIS invierà i risultati alla stampante, con l'appropriata configurazione, dopo l'esecuzione del programma (Vedere "Output su" nella sezione "Dimensionamento degli elementi").


Come deselezionare linee specifiche di un elemento

  1. Spostare il cursore sulla linea desiderata dell'elemento selezionato, ad esempio linea PUNTO /BASE).

  2. Selezionare nuovamente l'opzione Modifica | Contrassegni | Seleziona Menu visualizza mappa dei percorsi per deselezionare la linea indicata.


Seleziona tutto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Contrassegni | Seleziona tutto consente di selezionare tutti gli elementi o tutti i comandi della finestra di modifica. PC-DMIS evidenzierà in verde gli elementi selezionati nella finestra di modifica. PC-DMIS, inoltre, inserisce un asterisco (*) accanto a ciascun ID degli elementi selezionati per l'esecuzione nella finestra di visualizzazione grafica.

Se si sceglie Seleziona tutto, verrà richiesto se si desidera selezionare anche gli elementi dell'allineamento manuale.

  • Se si sceglie il pulsante Sì, PC-DMIS selezionerà l'intero part-program per l'esecuzione, inclusi gli elementi dell'allineamento.

  • Se si seleziona il pulsante No, PC-DMIS selezionerà l'intero programma per l'esecuzione ma non selezionerà l'elemento di allineamento.Inoltre, poiché i comandi di spostamento non funzionano in modalità manuale, non saranno selezionati.


Cancella tutto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Contrassegni | Cancella tutto consente di cancellare (o deselezionare) tutti gli elementi della finestra di modifica selezionati in precedenza per l'esecuzione.


Modalità Padre

Visualizza Mappa Percorsi dei Menu

L'opzione Modifica | Contrassegni | Modalità Padre consente di selezionare il comando padre (se questa opzione di menu è selezionata e il comando relativo è selezionato nella finestra di modifica). Il termine 'padre' indica un comando (o le informazioni relative a un comando) utilizzato in un altro comando. Ad esempio, se si seleziona una dimensione dopo aver attivato questa opzione, verrà selezionato anche l'elemento utilizzato nella dimensione. Nelle versioni di PC-DMIS precedenti alla 3.25 questa era la modalità predefinita.

Nota: se si deseleziona un comando figlio selezionato, il comando padre rimane selezionato.


Modalità figlio

Visualizza Mappa Percorsi dei Menu

L'opzione Modifica | Contrassegni | Modalità figli consente di selezionare tutti i comandi figlio a condizione che il comando padre correlato sia selezionato. Un comando 'figlio' è un comando la cui esecuzione è vincolata ad un altro comando. Ad esempio, se si seleziona un elemento con una dimensione dopo aver attivato questa opzione, PC-DMIS selezionerà anche la dimensione relativa a tale elemento.

Nota: se non si seleziona l'opzione Modalità padre o Modalità figlio, PC-DMIS selezionerà solo gli elementi evidenziati.

Nota: se si deseleziona un comando padre selezionato, il comando figlio rimane selezionato.


Modalità nuovo allineamento

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Contrassegni | Modalità nuovo allineamento consente di selezionare i dati corrispondenti dell'allineamento ogni volta che un elemento e/o una dimensione vengono selezionati per l'esecuzione.


Creazione ed esecuzione degli insiemi selezionati

PC-DMIS consente di organizzare gli elementi selezionati all'intero di gruppi denominati "insiemi". È possibile eseguire gli insiemi di elementi memorizzati mediante la finestra Insiemi selezionati.

  • Per un part-program è possibile definire un massimo di trenta (30) insiemi selezionati.

  • Non esistono limiti al numero di elementi che è possibile associare a ciascun insieme.

  • Al momento dell'esecuzione, verranno eseguiti solo gli elementi raggruppati nell'insieme selezionato attivo.

  • Ogni insieme creato all'interno di un part-program verrà visualizzato sotto forma di icona nella finestra Insiemi selezionati; ciascuna icona indica graficamente tutti gli elementi associati all'insieme da essa rappresentato.

Negli argomenti seguenti viene descritto come creare, modificare, eseguire, riposizionare, bloccare ed eliminare gli insiemi selezionati.

Vedere anche:

Esempio di finestra Insiemi selezionati


Esempio di finestra Insiemi selezionati

Visualizza Mappa Percorsi dei Menu

Finestra Insiemi selezionati contenente due insiemi selezionati creati (Insieme 1 e Insieme 2).

Nota: quando si chiude finestra Insiemi selezionati, vengono disattivati tutti gli insiemi selezionati e viene attivata la modalità di esecuzione standard del part-program.

Pulsanti disponibili

Apri – Questo pulsante consente di accedere alla finestra di dialogo standard Apri nella quale è possibile aprire i part-program ed eseguire operazioni minori su file. Vedere "Apertura di part-program esistenti" nella sezione "Uso delle opzioni di base del menu File" .

Stampa rapporto completo – Questo pulsante invia il rapporto corrente alla stampante selezionata. Vedere "Stampa dalla finestra di modifica" nella sezione "Uso delle opzioni di base del menu File"

Calibrazione punte – uesto pulsante consente di accedere alla finestra di dialogo Utilità tastatore nella quale è possibile eseguire la calibrazione delle punte. PC-DMIs disabilita questo pulsante per le interfacce Gom (Krypton), Romer e Garda. Vedere "Definizione dei tastatori" nella sezione "Definizione dell'hardware".

Vedere anche:

Come creare nuovi insieme selezionati

Come aggiungere elementi a insiemi selezionati esistenti

Come rimuovere elementi da insiemi selezionati esistenti

Come personalizzare le icone degli insiemi selezionati

Come riposizionare gli insiemi selezionati

Come eseguire gli insiemi selezionati

Come bloccare gli insiemi selezionati

Come eliminare gli insiemi selezionati


Come creare nuovi insieme selezionati

Visualizza Mappa Percorsi dei Menu

  1. Selezionare l’opzione Modifica | Contrassegni | Nuovo Insieme Selezionato oppure fare doppio clic in un punto qualsiasi della finestra Insiemi selezionati per visualizzare la finestra di dialogo Nuovo insieme selezionato in cui viene richiesto il nome del nuovo insieme selezionato.

Finestra di dialogo Nuovo insieme selezionato

  2. Digitare il nome che identifica l’insieme selezionato. Anche se non ci sono limiti nella lunghezza del nome, un nome descrittivo e sistetico migliora senz’altro la leggibilità.

  3. Fare clic sul pulsante OK. Il nuovo insieme selezionato viene memorizzato nella finestra Insiemi selezionati. A questo punto è possibile accedere alla nuova finestra Insiemi selezionati e aggiungervi gli elementi desiderati.


Come aggiungere elementi a insiemi selezionati esistenti

Visualizza Mappa Percorsi dei Menu

  1. Selezionare l'opzione Modifica | Contrassegni | Mostra insiemi selezionati. Viene visualizzata la finestra Insiemi selezionati.

  2. Accertarsi che l'insieme selezionato da modificare sia attivo. Premere il tasto di tabulazione per spostarsi da un insieme all'altro o fare semplicemente clic sull'insieme desiderato per selezionarlo.

  3. Accedere alla finestra di modifica e selezionare gli elementi che si desidera aggiungere all'insieme selezionato. Il disegno predefinito dell'icona dell'insieme viene modificato dinamicamente in base alle modifiche.

  4. Al termine, chiudere la finestra Insiemi selezionati.


Come rimuovere elementi da insiemi selezionati esistenti

Visualizza Mappa Percorsi dei Menu

  1. Selezionare l'opzione Modifica | Contrassegni | Mostra insiemi selezionati. Viene visualizzata la finestra Insiemi selezionati.

  2. Accertarsi che l'insieme selezionato da modificare sia attivo. Premere il tasto di tabulazione per spostarsi da un insieme all'altro o fare semplicemente clic sull'insieme desiderato per selezionarlo.

  3. Accedere alla finestra di modifica e deselezionare gli elementi che si desidera rimuovere dall'insieme selezionato. Il disegno predefinito dell'icona dell'insieme viene modificato dinamicamente in base alle modifiche.

  4. Al termine, chiudere la finestra Insiemi selezionati.


Come personalizzare le icone degli insiemi selezionati

Agli insiemi selezionati possono essere associate immagini bitmap definite dall'utente, al posto di quelle predefinite. Per applicare un bitmap dell'utente, effettuare le seguenti operazioni:

  1. Creare un bitmap a colori utilizzando Paint o un altro programma per la creazione e la modifica di immagini bitmap. Tale bitmap non deve superare le dimensioni di 48 x 48 pixel.

  2. Collocare il file bitmap nella stessa directory del part-program. Per poter essere riconosciuti da PC-DMIS, i nomi dei file devono rispettare le seguenti convenzioni:

MARKST00.BMP per il primo insieme selezionato

MARKST01.BMP per il secondo insieme selezionato

MARKST02.BMP per il terzo insieme selezionato

…

MARKST30.BMP per il trentesimo insieme selezionato

Esempio: se il file bitmap MARKST00.BMP viene collocato nella directory del part-program quando si crea il primo insieme selezionato, verrà visualizzata l'immagine bitmap contenuta in MARKST00.BMP. Se un insieme selezionato non dispone di alcun file bitmap, verrà utilizzata la grafica predefinita. Inoltre, non è necessario utilizzare bitmap consecutive; in altri termini, è possibile utilizzare una bitmap per gli insiemi selezionati 1 e 5 e la grafica predefinita per gli insiemi selezionati 2, 3 e 4.


Come riposizionare gli insiemi selezionati

È possibile riposizionare gli insiemi selezionati. Per riposizionare un insieme selezionato, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare l'opzione Modifica | Contrassegni | Mostra insiemi selezionati. Viene visualizzata la finestra Insiemi selezionati.

  2. Tenendo premuto il tasto MAIUSC, selezionare l'insieme desiderato con il pulsante sinistro del mouse.

  3. Trascinare l'insieme selezionato nella nuova posizione.

  4. Rilasciare il tasto MAIUSC e il pulsante sinistro del mouse. PC-DMIS aggiorna la finestra Insiemi selezionati in base alle modifiche apportate.

  5. Al termine, chiudere la finestra Insiemi selezionati.


Come eseguire gli insiemi selezionati

Visualizza Mappa Percorsi dei Menu

  1. Selezionare l'opzione Modifica | Contrassegni | Mostra insiemi selezionati. Viene visualizzata la finestra Insiemi selezionati.

  2. Fare doppio clic sull'insieme che si desidera eseguire. PC-DMIS esegue l'insieme selezionato.

  3. Al termine, chiudere la finestra Insiemi selezionati.


Come bloccare gli insiemi selezionati

Una volta definito un insieme selezionato per un part-program, è possibile bloccarlo per evitare che venga accidentalmente eliminato o modificato. Per ulteriori informazioni su questa opzione, vedere l'argomento "Blocco insiemi selezionati" nella sezione "Impostazione delle preferenze".


Come eliminare gli insiemi selezionati

È possibile eliminare con facilità tutti gli insiemi selezionati precedentemente creati. A tale scopo, operare come segue:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare l'opzione Modifica | Contrassegni | Mostra insiemi selezionati. Viene visualizzata la finestra Insiemi selezionati.

  2. Accertarsi che l'insieme selezionato da eliminare sia attivo. Premere il tasto di tabulazione per spostarsi da un insieme all'altro o fare semplicemente clic sull'insieme desiderato per selezionarlo.

  3. Premere il tasto CANC. Viene visualizzata una finestra di dialogo per la conferma dell'eliminazione dell'insieme selezionato.

  4. Fare clic sul pulsante Sì. L'insieme selezionato viene eliminato e l'icona viene rimossa dalla finestra Insiemi selezionati.

  5. Al termine, chiudere la finestra Insiemi selezionati.


Uso dei punti di interruzione

Finestra di modifica con il punto di interruzione (icona rossa)

L'opzione di menu Modifica | Punti di interruzione è utile come strumento di debug da utilizzare nella creazione, nel test e nell'esecuzione di un part-program. Di solito, i part-program vengono eseguiti sequenzialmente, riga per riga. Se si inserisce un punto di interruzione in corrispondenza di una determinata riga di un part-program, l'esecuzione si interrompe quando viene raggiunto quel punto. Se il part-program utilizza espressioni variabili e il controllo di flusso, è possibile esaminare tali variabili per accertarsi che il programma funzioni come desiderato.

Una volta interrotto il processo di esecuzione in corrispondenza di un punto di interruzione, è possibile selezionare il pulsante Passa a successiva che consente di proseguire la misurazione un passo alla volta, mettendo in pausa la macchina CMM dopo aver eseguito ciascun passo di un comando che genera il movimento della CMM. In Modalitá Debug si possono inserire punti negli elementi e nuovi elementi possono essere inseriti tra elementi o istruzioni esistenti. La modalità passo a passo può essere simulata offline.

Quando si è pronti per continuare con la normale esecuzione del programma, fare clic su Continua nella finestra di dialogo Esecuzione. Sono disponibili varie opzioni di menu e combinazioni di tasti per posizionare e rimuovere i punti di interruzione. Questi ultimi vengono salvati con il part-program e sono quindi disponibili all'apertura successiva.

Nota: se il programma utilizza punti di interruzione e la finestra di modifica è in modalità ComandoPC-DMIS continua a visualizzare la finestra di modifica durante l'esecuzione, ma evidenzia il comando in esecuzione in rosso. Se la finestra di Modifica é in Modalitá Comando, con un breakpoint, PC-DMIS mostra evidenziati in verde nella finestra di Modifica i comandi eseguiti, in giallo l'elemento che sta per essere eseguito, in blu gli elementi da eseguire, ed in arancio i comandi non eseguiti.

Vedere anche:

Attiva Breakpoint

Inserisci valori predefiniti

Rimuovi valori predefiniti

Rimuovi tutto


Attiva Breakpoint

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Punti di interruzione | Attiva Breakpoint consente di impostare o rimuovere un segnalibro. Quest'ultimo verrà impostato o rimosso dalla riga della finestra di modifica sulla quale è posizionato il cursore. Sul lato sinistro della finestra di modifica apparirà un piccolo cerchio rosso indicante che il punto di interruzione è stato impostato.


Inserisci valori predefiniti

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Punti di interruzione | Inserisci valori predefiniti consente di impostare i punti di interruzione del part-program nelle posizioni predefinite. Nella finestra di modifica tali posizioni sono definite come righe contenenti comandi che generano il movimento della macchina CMM o che causano diramazioni come risultato di un comando del controllo di flusso (ad esempio, le istruzioni IF THEN). Per ulteriori informazioni, vedere la sezione "Esecuzione della diramazione utilizzando il controllo del flusso".


Rimuovi valori predefiniti

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Punti di interruzione | Rimuovi valori predefiniti consente di rimuovere i punti di interruzione del part-program nelle posizioni predefinite. Verranno rimossi solo i punti di interruzione impostati per le posizioni predefinite (vedere "Inserisci valori predefiniti"). i punti di interruzione impostati per posizioni non predefinite non verranno rimossi.


Rimuovi tutto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Punti di interruzione | Rimuovi tutto consente di rimuovere tutti i punti di interruzione da un part-program.


Imposta Punti Iniziali

Finestra di modifica con punto iniziale (freccia rossa)

I punti iniziali possono essere impostati solo quando la finestra di modifica è in modalità comando (vedere "Uso della modalità Comando" nella sezione "Uso della finestra di modifica").

Inserendo un punto iniziale in un part-program e selezionando l’opzione di menu File | Esecuzione Parziale | Esegui da Punti Iniziali, PC-DMIS inizia l’esecuzione del part-program dal primo punto iniziale, e non dall'inizio del part program.

Attenzione: se la posizione della punta nella locazione puntata del part program non corrisponde alla posizione corrente del tastatore , PC-DMIS non cercherá di ritornare al punto in cui viene eseguito il cambiamento di assetto della punta.

I punti iniziali sono particolarmente utili se si utilizza la modalità Bracci multipli e si desidera impostare un punto iniziale diverso per ciascun braccio (vedere la sezione "Uso modalità bracci multipli").

Per inserire un punto iniziale nel part-program, nella finestra di modifica fare clic nella posizione in cui si desidera inserire il punto iniziale, quindi selezionare l’icona Imposta punto iniziale dalla barra strumenti della finestra di modifica oppure fare clic con il tasto destro del mouse in modalità Comando e selezionare Imposta punto iniziale nel menu di scelta rapida.

Per ulteriori informazioni, vedere "Impostazione punti iniziali per bracci multipli" nella sezione "Uso della modalità Bracci multipli" e "Barra strumenti della Finestra di Modifica" nella sezione "Uso barre degli strumenti".


Uso dei segnalibri

Finestra di modifica con il segnalibro (icona blu)

I segnalibri possono essere impostati solo quando la finestra di modifica è in modalità comando (vedere "Uso della modalità Comando" nella sezione "Uso della finestra di modifica" ) oppure, se abilitata, in Modalità DMIS. I segnalibri segnalano le righe a cui si accede di frequente in un part-program. Una volta impostato un segnalibro, è possibile utilizzare le opzioni dei menu o i comandi da tastiera per spostarsi sulla riga corrispondente. È possibile rimuovere un segnalibro quando non se ne ha più bisogno. I segnalibri vengono salvati tra una sessione di modifica e l'altra e quindi sono disponibili all'apertura successiva del part-program.

Importante: Attenzione, i segnalibri sono assegnati alle linee, e non ai comandi. Quindi, l’impostazione di segnalibri in una modalità e poi il passaggio a un’altra modalità può causare lo spostamento su diversi comandi anche se le linee sono le stesse.

Vedere anche:

Attiva segnalibro

Segnalibro successivo

Cancella tutti i segnalibri


Attiva segnalibro

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Segnalibro | Attiva segnalibro consente di impostare o rimuovere un segnalibro. Tale segnalibro verrà impostato o rimosso dalla riga della finestra di modifica sulla quale è posizionato il cursore. Sul lato sinistro apparirà una piccola icona azzurra per indicare che il segnalibro è stato impostato.


Segnalibro successivo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifiica | Segnalibri | Segnalibro successivo consente di spostarsi al segnalibro successivo della finestra di modifica. Se non è presente alcun segnalibro al di sotto della posizione del cursore, la ricerca riprenderà dall'inizio della finestra di modifica.


Cancella tutti i segnalibri

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Modifica | Segnalibri | Cancella tutti i segnalibri consente di rimuovere tutti i segnalibri della finestra di modifica.


Modifica dei caratteri e dei colori

È possibile modificare i caratteri e i colori utilizzati nella finestra di modifica seguendo le istruzioni descritte nell'argomento "Impostazione della finestra di modifica" della sezione "Impostazione delle preferenze".


Modifica di oggetti esterni

PC-DMIS consente di modificare gli oggetti esterni incorporati solo in modalità Comando, selezionando l'oggetto in modalitá Comandi e facendoci doppio clic sopra.

Per ulteriori informazioni sulla creazione e l'inserimento di oggetti esterni, vedere "Inserimento di oggetti esterni" nella sezione "Aggiunta di elementi esterni".


Uso della finestra di modifica

Uso della finestra di modifica: Introduzione

Informazioni di base

Spostamento all'interno della finestra di modifica

Uso della finestra di visualizzazione grafica per spostarsi su un elemento specifico

Informazioni sui colori predefiniti della finestra di modifica

Inserimento dei comandi

Modifica di valori

Selezione di comandi

Riposizionamento di comandi

Cancellazione di comandi

Accesso alle finestre di Dialogo

Modifica delle intestazioni e dei piè di pagina

Intestazione

Piè di pagina

Parole chiave per la formattazione di intestazioni e piè di pagina

Uso di Espressioni e Campi di Traccia per la Personalizzazione di Intestazioni e Pié di Pagina

Uso della modalità Riepilogo

Layout

Comandi

Gruppi

Dati

Modifica di un part-program dalla modalità Riepilogo

Selezione di comandi

Aggiunta di comandi

Rimozione di comandi

Come copiare, tagliare e incollare comandi

Selezione/deselezione di comandi per l'esecuzione

Modifica di dati di un comando

Tasti funzione della modalità Riepilogo

Uso della modalità Comando

Elementi costruiti

Dimensioni

Formato dimensione

Dimensioni disponibili

Analisi

Dati statistici

Allineamento

Comandi di allineamento

CAD equivalente a pezzo

Allineamento equivalente

Elementi misurati

Punti

Punto base

Punti elementi automatici

Aggiunta di righe relative a punti

Eliminazione di righe vuote

Comandi relativi al movimento

Modalità = MAN / DCC

Distanza di Approccio

Velocità di movimento

Velocità di Contatto

Velocità di scansione

Distanza di Ritrazione

Distanza di Controllo

Comandi di movimento

Misurazioni delle lamiere

Tastatore

Caricamento del tastatore

Compensazione tastatore

Leggi punto

Punta

Commenti

Operatore

Rapporto

Input

Documento

Sì / No

Lettura

Campi riconoscimento

Espressioni

Operazioni di Cattura-schermo

Comandi globali

Tasti funzione della modalità Comando

Uso della modalità DMIS


Uso della finestra di modifica: Introduzione

Visualizza Mappa Percorsi dei Menu

Per aprire la finestra di modifica, selezionare l'opzione di menu Vista | Finestra di modifica.

Uno degli strumenti principali per la modifica di un part-program è la finestra di modifica. Questa finestra consente al programmatore di eseguire operazioni di modifica quali tagliare, copiare e incollare, nonché aggiungere ed eseguire i comandi relativi alle misurazioni, eseguire il debug, oltre che configurare e visualizzare i risultati delle ispezioni. Gli utenti che conoscono le precedenti versioni di PC-DMIS noteranno che l'aspetto della finestra di modifica è stato modificato;

  • I menu della finestra di modifica sono stati rimossi e spostati nella nuova struttura della barra dei menu aggiornata.

  • La barra degli strumenti della finestra di modifica, che consente di accedere rapidamente a molte delle funzioni più utilizzate di tale finestra, è stata rimossa dalla finestra di modifica ed è ora accessibile dall'area delle barre degli strumenti di PC-DMIS. Per informazioni su questa barra degli strumenti, vedere l'argomento "Barra degli strumenti della finestra di modifica" della sezione "Uso delle barre degli strumenti".

  • È possibile ancorare la finestra di modifica ai lati, sulla parte superiore o sulla parte inferiore dello schermo, ovvero sulla finestra di visualizzazione grafica.

  • È inoltre possibile spostare la finestra di modifica all'interno della finestra di visualizzazione grafica. È possibile eseguire tale operazione mediante le stesse procedure utilizzate nelle precedenti versioni di PC-DMIS (versioni dalla 2.x alla 3.25). Per spostare la finestra di modifica, fare clic con il pulsante destro del mouse sulla finestra di modifica, quindi deselezionare l'opzione Vista aggancio. Viene visualizzata una nuova finestra di modifica il cui funzionamento è identico a quello della finestra di modifica precedente. Quando si opera in questa modalità è possibile utilizzare i comandi disponibili nel menu Finestra.

Tali miglioramenti rendono disponibili una serie di strumenti per la gestione del contenuto di questa finestra in modo semplice e intuitivo.

finestra di modifica

In questa sezione vengono fornite informazioni sulla finestra di modifica e sulla modalità di modifica dei part-program in genere. Per ottenere queste informazioni, vedere i seguenti argomenti:

  • Informazioni di base

  • Uso della modalità Riepilogo

  • Uso della modalità Comando

  • Uso della modalità DMIS


Informazioni di base

La finestra di modifica consente di accedere facilmente al part-program corrente. È possibile apportare modifiche al part-program utilizzando solo la finestra di modifica o le finestre di dialogo appropriate oppure utilizzando tali strumenti contemporaneamente. Nelle sezioni riportate di seguito vengono fornite informazioni di base per l'apprendimento delle modalità di utilizzo della finestra di modifica.

Vedere anche:

Spostamento all'interno della finestra di modifica

Informazioni sui colori predefiniti della finestra di modifica

Inserimento dei comandi

Modifica dei valori

Selezione di comandi

Riposizionamento di comandi

Cancellazione di comandi

Accesso alle finestre di Dialogo

Modifica delle intestazioni e dei piè di pagina


Spostamento all'interno della finestra di modifica

Nella finestra di modifica sono disponibili tutti i comandi necessari per la creazione del part-program. Ogni comando è costituito da campi modificabili e non modificabili. I valori dei campi modificabili possono essere cambiati.

È possibile aggiungere nuovi comandi o modificare quelli esistenti soltanto quando si opera nelle seguenti modalità e mediante le seguenti procedure:

  • Nella modalità Comando o modalità DMIS, premere il tasto di tabulazione per posizionare il cursore accanto al campo modificabile. Il valore nel campo modificabile viene evidenziato nel colore di evidenziazione, che per impostazione predefinita è il giallo.

  • Nella modalità Riepilogo,espandere il comando, quindi fare clic con il pulsante destro del mouse sugli elementi modificabili. Viene visualizzato un comando di modifica tramite il quale è possibile inserire un nuovo valore o selezionarne uno da un elenco di valori esistenti.


Uso della finestra di visualizzazione grafica per spostarsi su un elemento specifico

Per spostare il cursore su un determinato elemento nella finestra di modifica, fare clic su di esso nella finestra di visualizzazione grafica mentre si tiene premuto il tasto CTRL.


Informazioni sui colori predefiniti della finestra di modifica

I comandi di PC-DMIS sono elencati in uno dei colori predefiniti seguenti:

  • Blu – Comandi non selezionati. Questi comandi non verranno eseguiti.

  • Verde – Comandi Selezionati. Questi comandi verranno eseguiti.

  • Rosso – Comandi non supportati, dimensioni fuori tolleranza o errori nell’espressione. Un commando scritto in rosso viene saltato nell’esecuzione del programma.

  • Nero – Comandi di debug. Questo colore mostra la prossima linea da eseguire, nel flusso di esecuzione di part-program che fa uso di punti di interruzione.

Per modificare questi colori, vedere l'argomento "Definizione dei colori della finestra di modifica" nella sezione "Impostazione delle preferenze".


Inserimento dei comandi

In molti casi i comandi vengono inseriti automaticamente quando si eseguono misurazioni o si inseriscono informazioni mediante le finestre di dialogo. È comunque possibile aggiungere comandi direttamente dalla finestra di modifica. A seconda della modalità in cui si sta operando, si ottengono diversi risultati:

  • Nella modalità Comando, è possibile inserire nuovi comandi digitando le prime lettere del comando desiderato, qualora siano note.

  • Nella modalità Riepilogo, è possibile inserire nuovi comandi facendo clic con il pulsante destro del mouse e selezionando Aggiungi comando dal menu di scelta rapida. Viene visualizzato un elenco dei comandi che è possibile aggiungere.

  • Nella modalità DMIS, è possibile inserire nuovi comandi posizionandosi su una riga e premendo il tasto INVIO. Viene visualizzato un elenco dal quale è possibile selezionare il comando DMIS appropriato da aggiungere.


Modifica di valori

Visualizza Mappa Percorsi dei Menu
Visualizza Mappa Percorsi dei Menu

È possibile modificare rapidamente le impostazioni di un comando direttamente nella finestra di modifica.

  • Nella modalità Comando o DMIS,premere il tasto di tabulazione per passare al campo modificabile che si desidera cambiare. Inserire un nuovo valore oppure premere F7 o F8 per spostarsi avanti e indietro in un elenco di valori disponibili.

  • Nella modalità Riepilogo, espandere il comando. A questo punto fare clic con il pulsante destro del mouse sulla riga da modificare per visualizzare un elenco di valori già esistenti o una casella di modifica in cui digitare un nuovo valore.


Selezione di comandi

È possibile selezionare la maggior parte dei comandi in una qualsiasi delle modalità di PC-DMIS. Per spostare o copiare un comando è necessario prima selezionarlo.

  • Nella modalità Riepilogo, fare clic su un comando compresso per selezionare l'intero blocco di comandi. In questo modo vengono selezionati tutti gli elementi associati al comando.

  • Nelle modalità Comando o DMIS, fare clic all'inizio del comando, quindi tenere premuto il pulsante sinistro del mouse e trascinare il mouse finché l'intero comando non risulta evidenziato.

L'opzione di menu Seleziona tutto consente di selezionare l'intero rapporto per poterlo modificare.


Riposizionamento di comandi

In PC-DMIS è possibile riposizionare numerosi comandi. È possibile modificare la posizione di un comando in modo semplice, mediante le operazioni descritte di seguito.

Nella modalità Riepilogo, Comando o DMIS, è possibile riposizionare un comando selezionando l'intero blocco di comando, quindi scegliendo l'opzione di menu Modifica | Taglia per rimuovere il comando dalla posizione corrente e infine l'opzione di menu Modifica | Incolla per inserirlo nella nuova posizione. È inoltre possibile utilizzare l'opzione di menu Modifica | Copia per eseguire la copia di un comando e memorizzarlo negli Appunti in modo da poterlo incollare in un'altra posizione in un secondo momento.

Visualizza Mappa Percorsi dei Menu

Per informazioni su questi e altri comandi di modifica standard, vedere"Uso dei comandi di modifica standard" nella sezione "Modifica di un part-program".


Cancellazione di comandi

Visualizza Mappa Percorsi dei Menu

É possibile facilmente eliminare comandi dalla finestra di modifica selezionandoli e premendo CANC. I comandi eliminati possono essere ripristinati facendo clic sull’icona Annulla dalla barra degli strumenti della finestra di modifica.


Accesso alle finestre di Dialogo

Visualizza Mappa Percorsi dei Menu

Per modificare elementi o comandi, è possibile accedere alle finestre di dialogo associate al particolare elemento o comando da modificare. È possibile eseguire questa operazione in una qualsiasi delle modalità di modifica, semplicemente posizionando il cursore sull'elemento o sul blocco di comandi, quindi premendo il tasto F9. Viene visualizzata la finestra di dialogo associata all'elemento. A questo punto è possibile apportare le modifiche desiderate all'interno della finestra di dialogo stessa. Quando si fa clic su OK o Applica, la finestra di modifica viene automaticamente aggiornata in base alle modifiche apportate.

Su alcuni comandi il pulsante F9 consente l’accesso alla finestra di dialogo solo se PC-DMIS è in modalità comando.


Modifica delle intestazioni e dei piè di pagina

Esistono tre file utilizzati per formattare il testo delle intestazioni e dei piè di pagina della finestra di modifica: Tali file sono LOGO.DAT, HEADER.DAT e ELOGO.DAT. Si trovano nella directory di installazione (ad esempio, C:\Pcdmisw).

È possibile modificare l'intestazione o il piè di pagina della finestra di modifica apportando le modifiche desiderate a tali file e salvandoli con un editor di testo standard, ad esempio Blocco note.

Importante: grazie ai miglioramenti del modo in cui i rapporti di PC-DMIS vengono riportati PC-DMIS 4.0 e versioni successive, i rapporti non utilizzano più la finestra di modifica. I rapporti vengono infatti visualizzati nella finetra Rapporto. Quindi, quando si modificano i file .DAT come illustrato, saranno modificate solo le intestazioni e le note a piè di pagina nella finestra di modifica. L'output della finestra Rapporto resterà invariato.

Per modificare l'intestazione della finestra Rapporto, sarà necessario modificare il modello di etichetta utilizzato nell'intestazione. Il modello di etichetta standard utilizzato per controllare le informazioni dell'intestazione è file_header.lbl. Vedere la sezione Rapporto dei Risultati di Misura per informazioni sulla modifica dei modelli per determinare i dati visualizzati nella finestra del rapporto.

Vedere anche:

Intestazione

Piè di pagina

Parole chiave per la formattazione di intestazioni e piè di pagina

Uso di Espressioni e Campi di Traccia per la Personalizzazione di Intestazioni e Pié di Pagina


Intestazione

Per definire l’intestazione, occorre modificare due file. LOGO.DAT e HEADER.DAT .

LOGO.DAT– Questo file definisce l’intestazione della prima pagina della finestra di modifica. È possibile definire una bitmap con il logo aziendale, con la data e l’ora in formato adatto alla prima pagina.

Esempio di formattazione dell'intestazione della finestra di modifica

Di seguito viene visualizzato il file LOGO.DAT corrispondente:

Esempio del file Logo.dat nel Blocco Note

Nota:i campi NOME PEZZO, NUM REV, NUM SERIE, e CONT STAT sono campi statici che non possono essere modificati nel file LOGO.DAT.

HEADER.DAT – Viene utilizzato per formattare l’intestazione di tutte le altre pagine.


Piè di pagina

ELOGO.DAT viene utilizzato per formattare esclusivamente il pié di pagina dell’ultima pagina di un documento.

Esempio di formattazione del piè di pagina della finestra di modifica

Di seguito viene visualizzato il file ELOGO.DAT corrispondente:

Esempio di file Elogo.dat nel Blocco Note


Parole chiave per la formattazione di intestazioni e piè di pagina

Di seguito è riportato un elenco delle parole chiave per la formattazione, con le rispettive funzioni. È possibile inserire queste parole chiave nei file .DAT affinché i valori corrispondenti vengano visualizzati in un'intestazione o in un piè di pagina.

Nota: le parole chiave sono sensibili al maiuscolo e minuscolo.

#DATE | Inserisce la data corrente.
#TIME | Inserisce l'ora corrente.
#PAGE | Inserisce il numero della pagina corrente. È utile per l'uso con il file HEADER.DAT.
#TRn | Inserisce il valore del campo di tracciatura n, dove n è il numero del campo di riconoscimento.
#PARTN | Inserisce il nome del part-program.
#DRWN | Inserisce il numero di revisione.
#SERIALN | Inserisce il numero di serie.
#SEQUENCE | Inserisce il numero di sequenza.
#SHRINK | Inserisce il fattore di scala.
#NMEAS | Inserisce il numero totale di dimensioni.
#NOUT | Inserisce il numero totale di dimensioni fuori tolleranza.
#ELAPSTIM | Inserisce il tempo trascorso dall'inizio alla fine dell'esecuzione. È utile per l'uso con il file FOOTER.DAT.
#BMP=percorso_bitmap | Inserisce una bitmap con il nome specificato nella variabile del percorso della bitmap. È necessario specificare il percorso completo del file bitmap (ad esempio, D:\Files\Bmp\Pcdhead.bmp).


Uso di espressioni e campi di traccia per la personalizzazione di intestazioni e

Uso di Espressioni e Campi di Traccia per la Personalizzazione di Intestazioni e Pié di Pagina

Le parole chiave non si possono personalizzare. Per esempio la parola chiave #DATE nel file logo.dat file fornisce un mezzo per visualizzare la data nel formato— gg-mm-aaaa. Per esempio il 5 Maggio 2005 é scritto come 5-5-2005 nel rapporto.

L’esempio che segue mostra l’uso di espressioni e campi di traccia, per modificare il formato della data nel rapporto.

  1. Digitare i comandi seguenti in una sezione del part-program:

ASSEGNA/V1 = DATASISTEMA("MMM dd , yyyy")

A V1 viene assegnata la stringa "Maggio 05, 2005" (oppure la data corrente).

CAMPORICONOSCIMENTO/VISUAL,LIMITE=15 ; DATA : V1

A CAMPORICONOSCIMENTO viene assegnato il valore V1.

  2. Supponendo che questo sia il primo campo di traccia del programma, si apra il file logo.dat con un editor testuale e si modifchi il campo DATE= in modo da ottenere:

DATE=#TR1

Si noti che il campo DATE ora indica il primo campo di traccia usando #TR1.

  3. Si salvi e si chiuda il file logo.dat.

  4. Eseguire il part program.

  5. Si visualizzi il rapporto. Supponendo che il rapporto è impostato per mostrare intestazioni e pié di pagina, l’intestazione ora usa il formato di data del sistema, memorizzato nella variable V1 e successivamente nel primo campo di riconoscimento.

È possibile usare campi di riconoscimento ed espressioni, con lo scopo di ottenere maggior controllo su ció che si vede nella finestra di Modifica e nei Rapporti.

Per ulteriori informazioni sui campi di riconoscimento, vedere l'argomento "Uso dei campi di traccia" nella sezione "Come tracciare i dati statistici".

Per ulteriori informazioni sulle espressioni, vedere la sezione "Uso di espressioni e variabili".


Uso della modalità Riepilogo

Visualizza Mappa Percorsi dei Menu

Per attivare la modalità Riepilogo, selezionare Vista | Modalità Riepilogo.

La modalità Riepilogo consente di visualizzare il layout completo del part-program e i comandi del part-program in differenti livelli di dettaglio. Grazie a un'interfaccia di semplice utilizzo, in questa modalità è anche facile riordinare e modificare i comandi.

Vedere anche:

Layout

Modifica di un part-program dalla modalità Riepilogo

Tasti funzione della modalità Riepilogo


Layout

Il layout in modalità Riepilogo di PC-DMIS è sotto forma di gruppi di dati che è possibile espandere e comprimere. Il livello superiore visualizza gli oggetti comando. Questi oggetti possono essere espansi per visualizzare i relativi gruppi ed elementi facendo clic sul segno più (+) a sinistra dei comandi. Per comprimere la struttura fare clic sul segno meno (-). Si possono anche espandere o comprimere comandi o gruppi per mezzo dei tasti FRECCIA DESTRA e FRECCIA SINISTRA, rispettivamente.

Vedere anche:

Comandi

Gruppi

Dati


Comandi

Visualizzazione dei comandi in modalità Riepilogo (elementi non espansi)

La maggior parte dei comandi del part-program è visualizzata nel livello superiore. Alcuni comandi, quali Punto di base, Posizione dimensione e determinati comandi di allineamento, vengono riportati sotto il corrispondente oggetto padre. Inoltre:

  • Ciascun comando ha un'icona univoca associata che consente una rapida identificazione del comando.

  • Se il comando dispone di un ID, PC-DMIS visualizza l'ID prima della descrizione del comando.

  • I comandi selezionati per l'esecuzione appaiono in verde.

  • I comandi che non sono impostati per l'esecuzione appaiono in blu.


Gruppi

Visualizzazione di gruppi in modalità riepilogo (icone cartella)

I gruppi sono visualizzati con un'icona di cartella e sono costituiti dai dati simili di un comando. Ad esempio, l'oggetto cerchio misurato ha un gruppo di valori teorici, un gruppo di valori reali e un gruppo di impostazioni.

  • Il gruppo dei valori teorici contiene i valori per il cerchio misurato inclusi x, y, z, i, j, k e diametro teorici.

  • Il gruppo misurato contiene i corrispondenti valori misurati del cerchio.

  • Il gruppo di impostazioni contiene informazioni sul cerchio misurato, quali l'ID, il tipo di coordinata, se il cerchio è interno o esterno, il numero di punti, ecc.


Dati

Visualizzazione dei dati in modalità riepilogo (icone sfera blu)

I dati sono i parametri o impostazioni dell'oggetto comando. Alcuni dati possono essere modificati, altri hanno solo uno scopo informativo e non sono modificabili. I dati sono visualizzati con un'icona a forma di sfera blu.


Modifica di un part-program dalla modalità Riepilogo

PC-DMIS consente di modificare il part-program in modalità Riepilogo. L'interfaccia di questa modalità permette di selezionare, aggiungere, rimuovere, copiare, tagliare, incollare, selezionare, deselezionare comandi e di modificare i dati di un comando.

Vedere anche:

Selezione di comandi

Aggiunta di comandi

Rimozione di comandi

Come copiare, tagliare e incollare comandi

Selezione/deselezione di comandi per l'esecuzione

Modifica di dati di un comando


Selezione di comandi

È possibile selezionare dei comandi facendo clic su di essi oppure spostandosi su di loro utilizzando i tasti FRECCIA SU e FRECCIA GIÙ.

  • Per selezionare più comandi, fare clic sui comandi desiderati tenendo premuto CTRL.

  • Per selezionare un gruppo di elementi alla volta, selezionare il primo elemento del blocco di oggetti, premere MAIUSC e selezionare l'ultimo elemento del blocco.

Tutti gli elementi selezionati appaiono evidenziati.


Aggiunta di comandi

In modalità Riepilogo è possibile aggiungere comandi al part-program utilizzando le opzioni di menu standard di PC-DMIS oppure utilizzando uno speciale menu di scelta rapida.

  1. Per accedere al menu di scelta rapida, fare clic con il pulsante destro del mouse su un comando. Per ulteriori informazioni sugli elementi disponibili, vedere "Menu di scelta rapida dei comandi in modalità Riepilogo" nella sezione "Uso dei menu e dei tasti di scelta rapida".

  2. Scegliere Aggiungi comando dal menu di scelta rapida. Viene visualizzato un elenco a discesa di colore blu.

  3. Selezionare il comando che si desidera aggiungere. Dopo aver fatto clic sul comando desiderato, l'elenco a discesa scompare e PC-DMIS inserisce il comando nella finestra di modifica. Volendo chiudere l’elenco senza aggiungere comandi, premere ESC sulla tastiera fino a che l’elenco si chiude.

Nota: PC-DMIS inserisce in genere il nuovo comando dopo l'elemento correntemente selezionato nell'elenco espandibile/comprimibile.


Rimozione di comandi

È possibile rimuovere dei comandi dal part-program selezionando un oggetto e premendo CANC. Se il comando contiene dei sottocomandi, anche questi elementi saranno eliminati.


Come copiare, tagliare e incollare comandi

Per copiare o tagliare un comando:

  1. Selezionare il comando desiderato nella vista espandibile/comprimibile.

  2. Scegliere il comando Copia o Incolla da una delle seguenti posizioni:

  • Il menu Modifica della finestra di modifica

  • La tastiera (CTRL + C per copiare, CTRL + X per tagliare)

  • Il comando Taglia o Copia del menu di scelta rapida che compare facendo clic con il pulsante destro del mouse sul comando da copiare o tagliare.

Nota: se il comando contiene dei sottocomandi, anche questi elementi saranno tagliati o copiati.

Per incollare un comando:

  1. Selezionare il comando nella vista espandibile/comprimibile che precede il comando da incollare.

  2. Scegliere il comando Incolla da una delle seguenti posizioni:

  • Il menu Modifica della finestra di modifica.

  • La tastiera (CTRL + V)

  • Il comando Incolla del menu di scelta rapida che compare facendo clic con il pulsante destro del mouse sul comando.


Selezione/deselezione di comandi per l'esecuzione

Per contrassegnare o deselezionare un comando per l'esecuzione:

  1. Selezionare il comando nella finestra di modifica.

  2. Premere F3 (o fare clic con il pulsante destro del mouse sul comando desiderato e scegliere Seleziona dal menu di scelta rapida).


Modifica di dati di un comando

Per modificare i dati di un comando attenersi a una delle seguenti procedure:

  • Selezionare l'elemento e premere INVIO. Apportare le necessarie modifiche e premere INVIO.

  • Fare doppio clic sull'elemento. Apportare le necessarie modifiche e premere INVIO.

  • Fare clic con il pulsante destro del mouse sull'elemento e scegliere Modifica | Valore / Testo espressione. Apportare le necessarie modifiche e premere INVIO.

Se l'elemento è un campo, viene visualizzato un elenco di valori possibili dai quali scegliere quello desiderato. Premere INVIO dopo avere selezionato il valore o aver fatto doppio clic su di esso.

Se l'elemento può essere modificato ma non è un campo, viene visualizzato un piccolo campo di modifica con il valore corrente da modificare tramite tastiera. Per annullare la modifica di un elemento, premere ESC.

Per modificare un comando tramite la finestra di dialogo specifica di quel comando:

  1. Selezionare il comando nella vista espandibile/comprimibile.

  2. Premere F9 (oppure fare clic con il pulsante destro del mouse sul comando e scegliere Modifica dal menu di scelta rapida).

Verrà visualizzata la finestra di dialogo relativa al comando. Tuttavia, tenere presente che in alcuni casi è possibile modificare un comando solo in modalità comando


Tasti funzione della modalità Riepilogo

Nella tabella seguente sono riportati i vari tasti funzione disponibili in modalità Riepilogo di PC-DMIS.

Tasti | Funzione
MAIUSC Tasto di tabulazione | Sposta il cursore al precedente elemento nella vista Riepilogo
CTRL | Fare clic sull'elemento desiderato con il pulsante sinistro del mouse; PC-DMIS sposterà il cursore al corrispondente comando nella vista Riepilogo.
CTRL + A | Seleziona tutti i comandi del part-program.
CTRL + C | Copia il testo o più oggetti negli Appunti.
CTRL + FINE | Sposta il cursore alla fine del part-program.
CTRL + HOME | Sposta il cursore all'inizio del part-program.
CTRL + Q | Visualizza la finestra di dialogo Esegui ed esegue il part-program.
CTRL + V | Incolla il testo in un controllo di modifica. Se è stato tagliato o copiato un oggetto, questo oggetto viene incollato dopo quello correntemente selezionato.
CTRL + X | Taglia l'oggetto o il testo selezionato in un controllo di modifica.
CTRL + Y | Visualizza la finestra di dialogo Esegui ed esegue il part-program in una posizione specifica.
CANC | Elimina qualsiasi carattere evidenziato quando viene modificato un valore in un controllo di modifica. Se non è evidenziato alcun carattere, entrambi i tasti funzionano come in un editor standard.
doppio clic | Facendo doppio clic su una voce di comando o su un elemento di un gruppo, la voce sarà espansa. Facendo doppio clic su una voce di dati modificabile, sarà visualizzatoun controllo di modifica per la voce di dati.
FRECCIA GIÙ | Sposta il cursore di una riga verso il basso.
F2 | Visualizza il generatore di espressioni se i dati correntemente selezionati possono includere espressioni.
F3 | Seleziona un singolo elemento per l'esecuzione.
F9 | Visualizza la finestra di dialogo per il comando correntemente selezionato.
PgGiù | Sposta il cursore di una pagina verso il basso.
PgSu | Sposta il cursore di una pagina verso l'alto.
MAIUSC | Utilizzato insieme al pulsante sinistro del mouse dopo aver selezionato un oggetto iniziale, consente di effettuare la selezione di un blocco di oggetti.
Tabulazione | Sposta il cursore al successivo elemento nella vista Riepilogo.
FRECCIA SÙ | Sposta il cursore di una riga verso l'alto.
FRECCIA SINISTRA | Comprime ed espande un comando o un gruppo.
FRECCIA DESTRA | Espande un comando o un gruppo compresso.


Uso della modalità Comando

Visualizza Mappa Percorsi dei Menu

Per attivare la modalità Comando, selezionare Vista | Modalità Comando.

Se si seleziona l'icona Modalità Comando viene attivata la modalità Comando nella finestra di modifica. Questa modalità consente di inserire o modificare un'ampia gamma di comandi di PC-DMIS. Gli elementi e i comandi principali che è possibile aggiungere nella finestra di modifica includono:

  • Elementi costruiti

  • Dimensioni

  • Dati statistici

  • Allineamento

  • Elementi misurati

  • Punti

  • Comandi relativi al movimento

  • Comandi di movimento

  • Misurazioni delle lamiere

  • Tastatore

  • Commenti

  • Campi riconoscimento

  • Espressioni

  • Operazioni di Cattura-schermo

  • Comandi globali

  • Tasti funzione della modalità Comando

PC-DMIS rende disponibili alcuni tasti funzione utilizzabili nella finestra di modifica in modalità Comando. Per informazioni dettagliate, vedere "Uso dei tasti funzione della modalità comando".

È inoltre possibile impostare i comandi da visualizzare in modalità Comando. Per ulteriori informazioni, vedere "Opzioni di visualizzazione per la modalità Comando" nella sezione "Impostazione delle preferenze".


Elementi costruiti

PC-DMIS consente di creare elementi specifici da elementi esistenti. Per ulteriori informazioni che includano regole specifiche per la generazione di elementi, vedere la sezione "Costruzioe di nuovi elementi da elementi esistenti".

PC-DMIS supporta la costruzione dei seguenti elementi:

· PUNTO

· CERCHIO

· ELLISSE

· SFERA

· LINEA

· CONO

· CILINDRO

· PIANO

· ASOLA

· CURVA

· SUPERFICIE

· INSIEME ELEMENTI

· INSIEME DI FILTRI GAUSSIANI


Dimensioni

I comandi relativi alle dimensioni consentono di dimensionare gli elementi o di rilevare le relazioni tra di essi. Per ulteriori informazioni sul calcolo delle dimensioni, vedere la sezione "Dimensionamento degli elementi".

Vedere anche:

Formato dimensione

Dimensioni disponibili

Analisi


Formato dimensione

Visualizza Mappa Percorsi dei Menu

Le funzioni di stampa di PC-DMIS sono particolarmente potenti. Per ottenere risultati adatti alle proprie esigenze, è possibile calcolare una dimensione in vari modi. Tuttavia, i dati vengono visualizzati nel rapporto di ispezione solo se viene selezionata la stampa della dimensione.

Il comando FORMATO consente di creare più formati di dimensione all'interno di un part-program. Per alcune dimensioni, è possibile stampare i nominali.

Nota: non è necessario stampare il valore nominale di alcuni tipi di aree di tolleranza, in quanto risulta sempre pari a zero. Tuttavia, è possibile utilizzare i nominali per un altro tipo di dimensione, in una parte successiva del part-program, ad esempio una posizione o una posizione reale.

Il comando FORMATO predefinito consente di stampare tutte le colonne e le relative intestazioni, nonché di creare il file delle statistiche XSTATS11.TMP.

La riga di comando della finestra di Modifica è la seguente:
FORMATO/INTESTAZIONI,SIMBOLO;NOM,TOLL,MIS,MAXMIN,
DEV,TOLEST

INTESTAZIONI = Comando principale che consente di determinare se inserire le intestazioni di colonna sopra i numeri delle dimensioni che seguono il comando FORMATO.

SIMBOLO = Comando secondario che consente di determinare se stampare o meno i simboli di deviazione. Il campo può essere attivato o disattivato. Se il campo è vuoto, il comando è disattivato.

Quando il cursore è posizionato su uno dei seguenti campi, è possibile utilizzare i tasti di scelta rapida F7 e F8 per attivare o disattivare il campo corrispondente.

NOM,TOLL,MIS,MAXMIN,DEV,FUORITOLL = Questi comandi secondari consentono di determinare le colonne da stampare per le dimensioni che seguono il comando FORMATO. È possibile selezionare una qualsiasi combinazione di colonne. Per disattivare un flag, inserire uno spazio vuoto nel campo. Inoltre, è possibile visualizzare le colonne in base a un ordine qualsiasi, inserendo il comando desiderato nell'ordine di visualizzazione adatto alle proprie esigenze. Nella finestra di dialogo Parametri delle dimensioni l'ordine impostato viene visualizzato in base ad una sequenza numerica.

Per ulteriori informazioni, vedere la sezione "Dimensionamento degli elementi".


Dimensioni disponibili

Per modificare queste dimensioni, visualizzare le singole sezioni in "Dimensionamento degli elementi".


Analisi

Per modificare le informazioni relative all'analisi, vedere la sezione "Inserimento di comandi rapporto".


Dati statistici

Per aggiungere e modificare dati statistici, vedere la sezione "Registrazione dei dati statistici".


Allineamento

L'opzione Allineamento consente di richiamare o di creare un nuovo sistema di coordinate.

Vedere anche:

Comandi di allineamento

CAD equivalente a pezzo

Allineamento equivalente


Comandi di allineamento

Per ulteriori informazioni sulle modalità di utilizzo dei comandi di allineamento nella finestra di modifica, vedere i singoli argomenti nella sezione "Creazione ed uso degli allineamenti" .


CAD equivalente a pezzo

Per ulteriori informazioni sull'utilizzo del comando CAD equivalente pezzo nella finestra di modifica, vedere "Definizione dei dati CAD come equivalenti ai dati del pezzo misurati" nella sezione "Creazione e uso degli allineamenti".


Allineamento equivalente

Per ulteriori informazioni sulle modalità di utilizzo del comando Allineamento equivalente nella finestra di modifica, vedere "Definizione di un allineamento come equivalente" nella sezione "Creazione e uso degli allineamenti".


Elementi misurati

È possibile inserire comandi per la creazione dei seguenti elementi misurati:

  • Punto misurato

  • Linea misurata

  • Piano misurato

  • Sfera misurata

  • Cilindro misurato

  • Cono misurato

  • Cerchio misurato

Per ulteriori informazioni su questi elementi e sugli elementi misurati in genere, vedere la sezione "Creazione di elementi misurati".


Punti

Il comando PUNTO consente di puntare alla posizione dei punti effettivi del tastatore.

Vedere anche:

Punto base

Punti elementi automatici

Aggiunta di righe relative a punti

Eliminazione di righe vuote


Punto base

PUNTO/BASE,x,y,z,i,j,k,x,y,z,USA_TEO=SÍ/NO

Questo è il formato più semplice di un punto. Per ulteriori informazioni, vedere "Informazioni sul formato dei comandi" nella sezione "Creazione di elementi misurati".


Punti elementi automatici

PUNTO/tipo,x,y,z,i,j,k,x,y,z

tipo = VETTORE, SUPERFICIE, BORDO, ANG_TRIEDRO, ANGOLO

Sono disponibili cinque tipi di punti elementi automatici. Per rendere disponibile questa opzione, è necessario installare il pacchetto Sheet Metal (Elementi automatici). (Vedere "Misurazioni elementi automatici".)


Aggiunta di righe relative a punti

Per aggiungere una riga punto, posizionare il cursore nella posizione desiderata e premere il tasto INVIO. Quindi, digitare il comando PUNTO. Premere il tasto TAB. La posizione in cui verrà aggiunta la riga dipende dal punto in cui si trova il cursore: Se il cursore si trova all'interno di un comando, verrà creata una nuova riga sotto la riga corrente. Se il cursore non si trova all'interno delle prime quattro righe, PC-DMIS crea la nuova riga immediatamente dopo la riga misurata.


Eliminazione di righe vuote

Per eliminare una riga vuota, premere il tasto FRECCIA GIÙ o INVIO, oppure evidenziare ed eliminare la riga. (Vedere "Tasti funzione della modalità Comando").


Comandi relativi al movimento

I diversi comandi relativi al movimento consentono di controllare il movimento della macchina. Per informazioni su tutti i comandi relativi al movimento, vedere gli argomenti "Impostazioni parametri: scheda Movimento" e "Impostazioni parametri: scheda Movimento opzionale" della sezione "Impostazione delle preferenze".

Vedere anche:

Modalità - MAN / DCC

Distanza di Approccio

Velocità di movimento

Velocità di Contatto

Velocità di scansione

Distanza di Ritrazione

Distanza di Controllo


Modalità = MAN / DCC

Visualizza Mappa Percorsi dei Menu

MODAL/MAN(o DCC )

Questo comando consente di passare dalla modalità manuale alla modalità DCC.


Distanza di Approccio

APPROCCIO/nnn.nnnn

Il comando APPROCCIO consente di determinare la distanza che verrà percorsa dalla macchina alla velocità di misura, a partire dalla posizione teorica del punto.


Velocità di movimento

VEL_MOVIM/nnn.nnnn

Questo comando consente di modificare la velocità utilizzata dalla macchina CMM per spostarsi da un punto all'altro. Il valore inserito (da 1 a 100) indica una percentuale della velocità massima della macchina.


Velocità di contatto

VEL_CONTATTO/nnn.nnnn

Il comando VEL_CONTATTO modifica la velocità di presa dei punti da parte della macchina CMM. Il valore inserito indica una percentuale della velocità massima della macchina e non può essere superiore al 20%.


Velocità di scansione

VEL SCAN/nnn.nnnn

Il comando VEL_SCAN consente di modificare la velocità di scansione del pezzo da parte della macchina CMM. Il valore inserito indica una percentuale della velocità massima della macchina.


Distanza di Ritrazione

RITRAZ/nnn.nnnn

Il comando RITRAZ determina la distanza di allontanamento della macchina dalla posizione effettiva del punto prima di passare dalla "Velocità di contatto" alla "Velocità di movimento".


Distanza di Controllo

CONTR/nnn.nnnn,p.pp

Questo comando consente di determinare la distanza espressa in pollici o millimetri (a seconda del sistema di misurazione utilizzato per il part-program) e la posizione teorica del punto in base alla quale la macchina continuerà ad effettuare la ricerca della superficie del pezzo fino a quando non ne rileverà l'assenza.

nnn.nnnn:
La distanza di controllo

p.pp:
La percentuale della distanza di controllo totale che sarà coperta durante l'esecuzione di un'operazione Trova foro. Il valore predefinito è 1, vale a dire il 100% della distanza di controllo. Quindi .1=10%, .2=20%, .3=30% ecc. Questo comando funziona solo con le operazioni Trova foro.

  • Se PC-DMIS individua una superficie all'interno della distanza di controllo specificata, prende un punto.

  • Altrimenti, viene visualizzato un messaggio di errore per indicare che si è verificata una fine del movimento imprevista.

  • Esempio: se nel campo relativo alla distanza di controllo si inserisce 0,3 pollici, PC-DMIS si sposta di 0,3 pollici oltre la superficie teorica alla ricerca di una superficie su cui prendere il punto.

    Per ulteriori informazioni, vedere "Distanza di controllo" nella sezione "Impostazione delle preferenze".


Comandi di movimento

I comandi di seguito elencati consentono di modificare il movimento del tastatore tra i punti.

MOVIM/PUNTO

MOVIM/INCREMENTO

MOVIM/PIANO_SICUR

MOVIM/CIRCOLARE

MOVIM/SINC

MOVIM/SWEEP

MOVIM/TAV_ROT

MOVIM/AREA_ESCLUSIVA

Per ulteriori informazioni su questi comandi, vedere la sezione "Inserimento di comandi di movimento".


Misurazioni delle lamiere

Le misurazioni degli elementi automatici sono disponibili solo come opzione aggiuntiva al pacchetto software di misurazione geometrica PC-DMIS. Vedere la sezione "Creazione di elementi automatici". Questa opzione consente di prendere i punti seguendo procedure diverse. I diversi elementi di elementi automatici sono elencati di seguito. In alcuni casi, è possibile aggiornare i valori Numero di punti, Numero di righe, Distanziatore e Rientro. Viene indicato come valore predefinito il numero minimo richiesto.

Sono disponibili le seguenti misurazioni per elementi automatici.

  • Punto vettore automatico

  • Linea automatica

  • Auto

  • Cerchio automatico

  • Ellisse automatica

  • Asola tacca automatica

  • Asola Rotonda Automatica

  • Punto angolo automatico

  • Punto diagonale automatico

  • Punto di bordo automatico

  • Punto massimo automatico

  • Punto di superficie automatico

  • Asola quadrata automatica

  • Cilindro automatico

  • Cono automatico

  • Sfera automatica


Tastatore

I seguenti comandi consentono di accedere alle opzioni relative al tastatore, di modificare la punta attiva in un gruppo di tastatori o di modificare la posizione della testata del tastatore rotante. La compensazione del tastatore può anche essere attivata o disattivata a seconda delle necessità.

Vedere anche:

Caricamento del tastatore

Compensazione tastatore

Leggi punto

Punta


Caricamento del tastatore

CARIC TAST/nome file tastatore

Il comando CARIC_TAST è un campo che può essere modificato dall'utente e nel quale è possibile caricare un file di punte del tastatore calibrate, da utilizzare successivamente nel part-program.


Compensazione tastatore

COMP_TAST/ON (oppure OFF)

Il comando COMP TAST consente di attivare e disattivare la compensazione del tastatore. È considerato attivo se viene visualizzato nella finestra di modifica.


Leggi punto

ID_E= ELEM/ PUNTO, ALTER1
TEO/ x, y, z, i, j, k
REALE/ x, y, z, i, j, k
LEGGI PUNTO

Tale comando consente di creare un elemento punto nella posizione corrente del tastatore. Successivamente, PC-DMIS memorizzerà i valori del punto letto.

Per ulteriori informazioni, vedere "Creazione di un elemento Leggi punto dalla posizione del tastatore" nella sezione "Creazione di elementi generici".


Punta

PUNTA/T1A0B0, SHANKIJK=0, 0, 1, ANGOLO=0

· SHANKIJK è semplicemente un altro tipo di vettore che serve a specificare gli angoli A e B per la punta.

· Il valore ANGOLO specifica l'angolo di rotazione della matrice di trasformazione della punta intorno al vettore del calibro.


Commenti

Questa opzione consente di visualizzare i commenti durante l'esecuzione del part-program oppure di inviare i commenti al rapporto di ispezione. Tali commenti vengono creati utilizzando l'opzione di menu Utility | Commento. L'opzione Mostra commenti consente inoltre di aggiungere, modificare oppure eliminare le note dell'operatore e i commenti del rapporto di ispezione nella finestra di modifica. Il comando COMMENTO attiva alternatamente le opzioni OPER, RAPP, SÌNO, $$, INPUT e LETTURA.

Aprendo un part-program salvato nella versione corrente da una versione precedente, tutti i comandi che non sono supportati nella versione corrente verranno visualizzati come commenti DOC.

Vedere l'argomento "Inserimento dei commenti dei programmatori" nella sezione "Inserimento di comandi rapporto".

Vedere anche:

Operatore

Rapporto

Input

$$

Sì / No

Lettura


Operatore

Questa opzione consente di visualizzare un messaggio definito dall'utente durante l'esecuzione di un part-program. Per accedere a questa opzione, selezionare Utility | Commento nella barra di menu e attivare OPER oppure inserire il comando COMMENTO/OPER nel punto desiderato della finestra di modifica. e inserire il testo desiderato. per il quale non esistono limiti di lunghezza. Dopo aver inserito i commenti, selezionare il pulsante OK (oppure premere INVIO). Quando PC-DMIS esegue il part-program, i commenti precedentemente immessi verranno visualizzati in una finestra di messaggio. Fare clic sul pulsante OK per chiudere la finestra di messaggio.

Premendo il tasto F9 mentre il cursore è posizionato su una riga di comando COMMENTO/OPER viene visualizzata la finestra di dialogo Commenti nella quale è possibile modificare il messaggio visualizzato.

La linea di comando nella finestra di modifica:
COMMENTO/OPER, testo del commento


Rapporto

Questa opzione consente di inserire del testo nel rapporto di ispezione. Per accedere a questa opzione, selezionare Utility | Commento nella barra di menu e attivare OPER oppure inserire il comando RAPP oppure immettere il comando COMMENTO/RAPP nella posizione desiderata della finestra di modifica. e inserire il testo desiderato. per il quale non esistono limiti di lunghezza. Dopo aver inserito i commenti, selezionare il pulsante OK (oppure premere INVIO). Durante l'esecuzione del part-program in PC-DMIS, questi messaggi non vengono visualizzati ma verranno visualizzati nel relativo rapporto di ispezione.

Premendo il tasto F9 mentre il cursore è posizionato su una riga di comando COMMENTO/RAPP viene visualizzata la finestra di dialogo Commenti nella quale è possibile modificare il messaggio visualizzato.

La linea di comando nella finestra di modifica:
COMMENTO/RAPP, testo del commento


Input

Questa opzione è simile all'opzione "OPER" e consente di visualizzare del testo durante l'esecuzione di un part-program. Oltre a visualizzare un messaggio con il testo precedentemente inserito, viene visualizzata una casella di commento Consente di immettere informazioni numeriche che saranno scritte nel rapporto di ispezione. Per accedere a questa opzione, selezionare Utility | Commento dalla barra dei menu e passare a INPUT, oppure immettere il comando COMMENTO/INPUT nella posizione desiderata della finestra di modifica e inserire il testo desiderato. L'input dell'operatore viene assegnato all'ID del commento ed è accessibile mediante il riferimento all'espressione (ovvero C1.INPUT).

Se si preme F9 mentre il cursore è posizionato su una riga di comando COMMENTO/INPUT viene visualizzata la finestra di dialogo Commenti, nella quale è possibile modificare il messaggio visualizzato.

La riga di comando della finestra di Modifica è la seguente:
ID commento = COMMENTO/INPUT, testo commento


$$ (Documento)

Questa opzione consente di aggiungere del testo (commenti dei programmatori) al programma interno. Durante l'esecuzione del part-program non verrà visualizzato alcun testo. Questo comando non ha il consueto prefisso COMMENTO. Lo scopo è di garantire maggiore visibilità per un offset migliore

La riga di comando della finestra di Modifica è la seguente:
$$ NO, Modificare il testo del commento!

Per digitare un commento del documento direttamente nella finestra di modifica:

  1. Digitare COMMENTO e premere il tasto di tabulazione. PC-DMIS evidenzia il campo OPER.

  2. Digitare $$ e premere il tasto tabulatore o il tasto INVIO.

Aprendo un part-program salvato nella versione corrente da una versione precedente, tutti i comandi che non sono supportati nella versione corrente verranno visualizzati come commenti DOC. Vedere "Salva con nome" nella sezione "Uso delle opzioni di base del menu File" .


Sì / No

Questa opzione consente di visualizzare del testo durante l'esecuzione del part-program. Nella finestra di messaggio viene visualizzato il testo inserito precedentemente e i pulsanti SÌ/NO. La risposta alla domanda SÌ/NO verrà visualizzata nel part-program. Il testo 'SÌ' o 'NO' verrà associato all'ID del commento e sarà disponibile in qualsiasi espressione mediante il riferimento all'ID del commento (ovvero C1.INPUT).

La riga di comando della finestra di modifica
ID commento = COMMENTO/SÍNO, testo commento


Lettura

Questa opzione permette di visualizzare il testo nella finestra di lettura tastatore.

La riga di comando della finestra di modifica per questa opzione è la seguente:
COMMENTO/LETTURA,testo commento

Per ulteriori informazioni sull'impostazione di questa opzione, vedere "Lettura" nella sezione "Inserimento di comandi rapporto".


Campi riconoscimento

L'opzione Campo riconoscimento consente di impostare i campi riconoscimento nella finestra di modifica. Questa opzione è utile nel database delle STATISTICHE (vedere il file XSTATS11.TMP). Il nome del campo e il valore corrente possono essere modificati nella finestra di modifica, selezionando il campo da modificare ed inserendo un nuovo valore.

Per visualizzare la finestra di dialogo Campo riconoscimento, selezionare l'opzione di menu Inserisci | Comando statistiche | Campo riconoscimento .

Visualizza Mappa Percorsi dei Menu

La riga di comando nella finestra di modifica:
CAMPORICONOSCIMENTO/nome campo: valore

nome campo = stringa che rappresenta il nome del campo riconoscimento. Il limite di lunghezza per questo campo è di 15 caratteri.

valore = il valore corrente del campo riconoscimento. Il limite di lunghezza per questo valore è di 15 caratteri.


Espressioni

Visualizza Mappa Percorsi dei Menu

È possibile inserire espressioni nella maggior parte dei campi modificabili di PC-DMIS. Vedere la sezione "Uso delle espressioni e delle variabili".


Operazioni di Cattura-schermo

Visualizza Mappa Percorsi dei Menu

Il comando VISUAL / METAFILE (Operazione | Finestra di visualizzazione grafica | Cattura schermo in | Rapporto) consente di catturare la porzione di visualizzazione grafica dello schermo e di inserire un comando per visualizzarla nella finestra Rapporto.

Per visualizzare la cattura dello schermo nella finestra Rapporto, fare clic con il pulsante destro del mouse in un punto del testo nella finestra Rapporto, selezionare Modifica e, nella finestra di dialogo Rapporto che viene visualizzata, selezionare la casella di controllo Mostra cattura schermo.

Questa visualizzazione verrà aggiornata per ogni esecuzione del part-program.

La riga di comando della finestra di Modifica è la seguente:
VISUAL / METAFILE, "___"

___ = In questo campo è possibile inserire la descrizione delle immagini catturate. È possibile specificare un massimo di 255 caratteri.


Comandi globali

Nella tabella riportata di seguito viene elencato l'insieme dei comandi disponibili nella finestra di modifica. Anche se non è possibile modificare questi comandi, nella finestra di modifica è possibile selezionare i comandi secondari che seguono i comandi principali.

Per selezionare i comandi secondari, effettuare le seguenti operazioni:

  1. Posizionare il cursore su un comando secondario della finestra di modifica.

  2. Fare clic con il pulsante sinistro del mouse.

  3. Premere F7 o F8. In questo modo è possibile attivare le opzioni disponibili.

In questo elenco sono presenti tutti i comandi che è possibile aggiungere a un part-program. Le informazioni necessarie possono essere reperite in ogni sezione specifica.

Nota: nella finestra di modifica, PC-DMIS riesce a gestire un massimo di 280 caratteri per riga.

COMANDO PRINCIPALE | COMANDO SECONDARIO
ANGOLO 2D (vedere "Dimensionamento dell'angolo") | A
DISTANZA 2D (vedere "Dimensionamento della distanza") | M
ANGOLO 3D (vedere "Dimensionamento dell'angolo") | A
DISTANZA 3D (vedere "Dimensionamento della distanza") | M
ALLINEAMENTO (vedere la sezione "Creazione e uso degli allineamenti") | BF2D, BF3D, ITERAZ, LIVELLO, ROTAZ, TRASL, ROTAZ_OFFSET, OFFSET_TRASL, RICHIAMA, RECALL_EXTERNAL
ANGOLARITÀ (vedere "Dimensionamento dell'angolarità") | M
VISUAL ANALISI (vedere "Analisi") |
INDICI ARRAY (vedere "Array") |
ASSEGNA (vedere "Uso di variabili con espressioni") |
ALLEGA (vedere "ID di elementi interni a subroutine, Basic Script o programmi esterni") |
AUTO (vedere "Misurazioni degli elementi automatici") | PUNTO VETTORE, PUNTO DI SUPERFICIE, PUNTO DI BORDO, PUNTO DIAGONALE, PUNTO ANGOLO, SFERA, CERCHIO, CILINDRO, ASOLA QUADRATA, ASOLA ROTONDA, CONO, ELLISSE, TACCA, CONO
AUTOTRIGGER (vedere "Impostazioni parametri: scheda Opzioni scatto tastatore") |
CAD=PEZZO (vedere "CAD equivalente a pezzo") |
CALCOLO |
CALLSUB (vedere "Richiamo di una subroutine") |
MAIUS/MINUS (vedere "Case / End Case") |
CONTROLLO (vedere "Distanza di controllo") |
PIANO SICUR (vedere "Impostazioni parametri: scheda Piano di sicurezza") | "VALORE PIANO DI LAVORO"
BLOCCO (vedere "Valore di blocco") |
132COLONNE (vedere "Dimensioni") |
COMMENTO (vedere "Commenti") | OPER, RAPP
CONCENTRICITÀ (vedere "Dimensionamento della concentricità") | M
GENER (vedere "Elementi costruiti") | CERCHIO, CONO, CURVA CILINDRO, ELLISSE, LINEA, PIANO, PUNTO, INSIEME, SUPERFICIE, SFERA
CIRCOLARITÁ (vedere "Dimensionamento circolarità") |
CILINDRICITÁ (vedere "Dimensionamento della cilindricità") |
DEFAULT_CASE (vedere "Default Case / End Default Case") |
VISUAL (vedere "Catture dello schermo") | METAFILE
DO (vedere "Do / Until") |
ELSE (vedere "Else / End Else") |
END_ELSEIF (vedere "Else If / End Else If") |
ELSE_IF (vedere "Else If / End Else If") |
END_CASE (vedere "Case / End Case") |
END_DEFAULTCASE (vedere "Default Case / End Default Case" ) |
END_ELSE (vedere "Else / End Else") |
END_IF (vedere "If / End If"). |
END_SELECT (vedere "Select / End Select") |
END WHILE (vedere "While / End While") |
ENDSUB (vedere "Ending a Subroutine" ) |
EQUATE (vedere "Allineamento equivalente") |
COMANDO ESTERNO (vedere "Inserimento di un comando esterno"). |
FILE (vedere la sezione "Uso del file di input/output") | APRI, MOVIM, ESISTE, FINESTRA ELIM, COPIA, CHIUDI, SCRIVI CARATTERE, SCRIVI BLOCCO, SCRIVI RIGA, SALVA POS, RIAVV, RICHIAMA POS, LEGGI FINOA, LEGGI CARATTERE, LEGGI BLOCCO, LEGGI RIGA
PLANARITÀ (vedere "Dimensionamento della planarità") | M
FLY (vedere "Modalità Fly") |
FORMFEED (vedere "Inserimento di un comando di form feed"). |
FORMATO (vedere "Formato dimensione") | INTESTAZIONI,STATIST
SOLO TRAF (vedere "Dimensionamento della posizione") | ON
GENERICO (vedere "Creazione di un elemento generico") | PUNTO, PIANO, NESSUNO, LINEA, CILINDRO, CONO, CERCHIO, ASOLA QUAD, SFERA, ASOLA ROT
GO TO (vedere "Passaggio a un'etichetta") |
PUNTO (vedere "Punti") | BASE, ANGOLO, VETTORE, SUPERFICIE, BORDO, ANG TRIEDRO
IF (vedere "If / End If") |
DIGITAZ (vedere "Dimensionamento mediante operazioni eseguite tramite la tastiera") | M
ETICHETTA (vedere "Creazione di etichette") |
TASTATORELEITZ |
CARIC TAST (vedere "Caricamento tastatore") | "NOME FILE"
POSIZIONE (vedere "Dimensionamento della posizione") | A, D, M, PA, PR, R, T, X, Y, Z
LOOP (vedere "Creazione di loop generici" ) | INIZIO, FINE
MIS (vedere "Elementi misurati") | CERCHIO / CONO / CILINDRO / LINEA / PIANO / PUNTO / SFERA / CURVA / SURPERFICIE / INSIEME / ELLISSE
MODALITÁ (vedere "Barra strumenti Modalità tastatore") | DCC, MANUALE
MOVIM (vedere "Comandi di movimento") | PUNTO, TAV ROT, CIRCOLARE, PIANO SIC, INCREMENTO, PH9 (X,Y, Z)
VEL MOVIM (vedere "Velocità di movimento") | Percentuale della velocità totale della macchina
ONERROR (vedere "Esecuzione della diramazione in caso di errore CMM") | Punto non previsto,rilevazione tastatore mancata
MOVIM_OPZ (vedere "Impostazioni parametri: scheda Movimento opzionale") |
PARALLELISMO (vedere "Dimensionamento del parallelismo") | M
PD |
PERPENDICOLARITÀ (vedere "Dimensionamento della perpendicolarità") | M
APPROCCIO (vedere "Distanza di approccio") | "distanza"
COMP TAST (vedere "Compensazione tastatore") | "ON, OFF"
PROFILO (vedere "Dimensionamento del profilo di superficie o lineare" ) |
PROGRAMMA | FINE "termina il programma nella posizione del comando"
LEGGI PUNTO (vedere "Leggi punto") | "valore xyz della posizione del tastatore"
RICHIAMA (vedere "Richiamo di un allineamento esistente") | SET VISTE, ALLINEAM (INTERNO/ESTERNO)
RITRAZIONE (vedere "Distanza di ritrazione") | "distanza"
SOLO RETROLIN (vedere "Opzioni posizione") | "ON, OFF"
MISREL (vedere "Misura relativa") |
RS |
RT |
OSCILLAZIONE (vedere "Dimensionamento dell'oscillazione") | M
S |
SALVA (vedere "Salvataggio di un allineamento") | ALLINEAM
VEL SCAN (vedere "Velocità di scansione") | Percentuale della velocità totale della macchina
SCRIPT (vedere "Inserimento di BASIC Script") |
SELEZ (vedere "Select / End Select") |
STATIST (vedere la sezione "Registrazione dei dati statistici") | "ON, OFF"
RETTILINEITÀ (vedere "Dimensionamento della linearità") | M
SUBROUTINE (vedere "Esecuzione della diramazione con le subroutine") |
PUNTA (vedere "Punta") | "nome file"
COMP TEMP (vedere "Compensazione della temperatura") |
VEL CONTATTO (vedere "Velocità di contatto %") | percentuale della velocità totale della macchina
CAMPO RICERCA (vedere "Campo riconoscimento") | (nome campo: valore)
POSIZ REALE (vedere "Dimensionamento della posizione reale") | A, D, M, PA, PR, R, T, V, X, Y, Z
UNTIL (vedere "Do / Until") |
WHILE (vedere "While / End While") |
PIANO LAVORO (vedere "Elenco dei piani di lavoro") | SUPERIORE, POSTERIORE, INFERIORE, ANTERIORE, SINISTRA, DESTRA


Tasti funzione della modalità Comando

Nella tabella seguente viene fornito un elenco dei vari tasti funzione disponibili in modalità Comando all'interno della finestra di modifica.

Tasti | Funzione
ALT + F3 | Visualizza la finestra di dialogo Cerca.
MAIUSC + Tasto di tabulazione e CTRL + FRECCIA SINISTRA | Sposta il cursore indietro all'ultimo campo modificabile dall'utente.
CTRL | Fare clic sull'elemento desiderato nella finestra di visualizzazione grafica utilizzando il pulsante sinistro del mouse. PC-DMIS sposta il cursore sulla riga dell'elemento corrispondente nella finestra di modifica. CTRL + doppio clic su un elemento seleziona l'intero elemento.
CTRL + A | Seleziona ed evidenzia tutto il testo di una finestra.
CTRL + C | Copia il testo o più oggetti negli Appunti. Se viene evidenziato un singolo campo, viene copiato negli Appunti solo il testo in esso contenuto; altrimenti, se vengono evidenziati più campi, viene copiato l'intero oggetto.
CTRL + E | Esegue gli elementi selezionati (o l'elemento sul quale è posizionato il cursore).
CTRL + FINE | Sposta il cursore alla fine del part-program.
CTRL + Tasto di tabulazione | Riduce a icona o ripristina le dimensioni originali della finestra di modifica.
CTRL + HOME | Sposta il cursore all'inizio del part-program.
CTRL + PgGiù | Sposta il cursore alla fine del file.
CTRL + PgSu | Sposta il cursore all'inizio del file.
CTRL + Q | Visualizza la finestra di dialogo Esegui ed esegue il part-program.
CTRL + T | Assegna il comando corrente al braccio attivo selezionato.
CTRL + V | Incolla il contenuto degli Appunti nel punto di inserimento. Se è stato copiato solo testo, tenta di incollarlo; se negli Appunti è stato copiato un intero oggetto, tenta di incollarlo. Nell'ultimo caso, se il punto di inserimento si trova nella prima colonna della finestra di modifica, in corrispondenza della prima riga di un comando, l'oggetto contenuto negli Appunti viene inserito prima; in tutti gli altri casi, viene inserito dopo.
CTRL + X | Taglia i caratteri evidenziati.
CTRL + Y | Visualizza la finestra di dialogo Esegui e riprende un processo di esecuzione interrotto.
CANC o BACKSPACE | Elimina i caratteri evidenziati. Se non è evidenziato alcun carattere, entrambi i tasti funzionano come in un editor standard.
doppio clic | Un campo modificabile viene evidenziato se si fa doppio clic con il pulsante sinistro del mouse quando il cursore si trova al suo interno.
FRECCIA GIÙ | Sposta il cursore di una riga verso il basso.
F1 | Visualizza la spiegazione del comando nella Guida.
F2 | Inserisce un'espressione.
F3 | Seleziona un singolo elemento per l'esecuzione. È possibile selezionare più elementi contemporaneamente, evidenziandoli prima di eseguire il comando.
F4 | Stampa l'intero contenuto della finestra di modifica.
F5 | Visualizza la finestra di dialogo Opzioni di Impostazione.
F6 | Visualizza la finestra di dialogo Cambia tutti i caratteri.
F7 | Se il cursore è posizionato su un campo a valori alterni, questo comando consente di passare alla voce successiva dell'elenco in base all'ordine alfabetico. Una volta raggiunta la fine dell'elenco, torna all'inizio.
F8 | Se il cursore è posizionato su un campo a valori alterni, questo comando consente di passare alla voce precedente dell'elenco in base all'ordine alfabetico. Una volta raggiunta la fine dell'elenco, torna all'inizio.
F9 | Apre la finestra di dialogo relativa al comando su cui è posizionato il cursore.
F10 | Visualizza la finestra di dialogo Impostazioni Parametri.
F12 | Visualizza la finestra di dialogo Impostazione attrezzatura.
FRECCIA SINISTRA | Sposta il cursore di un carattere verso sinistra.
PgGiù | Sposta il cursore di una pagina verso il basso.
PgSu | Sposta il cursore di una pagina verso l'alto.
FRECCIA DESTRA | Sposta il cursore di un carattere verso destra.
MAIUSC | Se si tiene premuto il tasto MAIUSC mentre si utilizzano i tasti di direzione, mano a mano che il cursore si sposta, il testo viene evidenziato. MAIUSC + doppio clic sull'inizio e sulla fine di un blocco seleziona l'intero blocco.
MAIUSC F10 | Visualizza la finestra di dialogo Vai a.
Tasto di tabulazione + CTRL + FRECCIA DESTRA | Sposta il cursore nel campo successivo modificabile dall'utente.
FRECCIA SÙ | Sposta il cursore di una riga verso l'alto.
- (tasto “meno”) o ALT + - | Elimina l'ultimo punto nel buffer dei punti.
FINE | Inserisce l’elemento misurato nel part-program.


Uso della modalità DMIS

Visualizza Mappa Percorsi dei Menu

Per attivare la modalità DMIS, selezionare Vista | Modalità DMIS.

L'icona Modalità DMIS consente di visualizzare i comandi della finestra di modifica nel formato DMIS. Ciò consente di utilizzare la sintassi DMIS per modificare i part-program.

La maggior parte dei comandi e degli elementi che possono essere aggiunti nel part-program in modalità Comando, possono essere aggiunti anche in modalità DMIS. Per informazioni sull'inserimento o la modifica dei comandi in modalità DMIS, vedere "Informazioni di base".

  • Per informazioni sulla conversione dei comandi DMIS (formato standard dei comandi di PC-DMIS) in comandi DMIS, vedere la documentazione PC-DMIS - Documentazione di Supporto per DMIS, disponibile al seguente indirizzo: ftp://wilcoxassoc.com/docs/dmis_support.zip.

  • Per informazioni su DMIS, visitare il sito http://www.dmis.com.


Uso di altre finestre, editor e strumenti

Uso di altre finestre, editor e strumenti: Panoramica

Uso della finestra di anteprima

Opzioni della finestra di anteprima

Modifica delle dimensioni della finestra di anteprima

Uso della finestra Lettura tastatore

Uso della casella strumenti tastatore

Posizionamento e dimensionamento della casella strumenti

Come cambiare il tastatore corrente

Cambiare la punta del tastatore corrente

Modifica dei punti nell’elenco dei punti

Eliminazione di punti dal buffer dei punti

Accesso alla finestra Lettura tastatore

Blocco degli assi

Uso della finestra di stato

Uso dell'Editor Basic Script

Barra degli strumenti dell'editor Basic Script

Nuovo

Apri

Salva

Stampa

Anteprima di stampa

Trova

Taglia

Copia

Incolla

Annulla

Compila

Inizio

Menu File

Nuovo

Apri

Salva

Salva come

Stampa

Anteprima di stampa

Esci

Unicode

Menu Modifica

Annulla

Taglia

Copia

Incolla

Elimina

Seleziona tutto

Trova

Trova successivo

Sostituisci

Editor finestre di dialogo

Menu Vista

Menu Esegui

Menu ?

Guida Basic

Guida alla sintassi

File della guida alla sintassi

Uso della finestra Insiemi selezionati

Uso dell'editor di rapporti HyperView

U so della finestra Impostazioni

Modifica delle opzioni della finestra Impostazioni

Visualizzazione di un rapporto Ispezione

Uso della tastiera virtuale

Accesso ai vari tipi di tastiera virtuale

Creazione di una nuova variante di tastiera virtuale

Come modificare una varietà esistente della tastiera virtuale

Come eliminare una variante esistente della tastiera virtuale

Come affiancare o unire pulsanti in una variante di tastiera

Uso dei separatori nella tastiera virtuale per una migliore visualizzazione

Visualizzazione delle linee di percorso


Uso di altre finestre, editor e strumenti: Panoramica

PC-DMIS fornisce un vasto assortimento di finestre editor e altri strumenti che agevolano la creazione di part program, rendendola anche più produttiva. Le opzioni disponibili sono le seguenti:

  • La finestra di modifica, che è già stata descritta nella sezione “Uso della finestra Modifica”

  • Una finestra di anteprima, che permette di visualizzare le misure prima di accettarle

  • Una finestra di lettura tastatore, che mostra la posizione corrente del tastatore ed altre informazioni

  • Una casella strumenti tastatore che consente di effettuare più operazioni sui tastatori

  • Una finestra di stato che mostra lo stato corrente di un'operazione o le informazioni sull'elemento

  • Un editor di script che consente di creare script nel linguaggio di programmazione BASIC

  • Una finestra utilizzata per creare e memorizzare insiemi selezionati di elementi da utilizzare in seguito

  • Una finestra di impostazioni che consente di operare velocemente su valori usati di fraquente

  • Un editor di rapporti HyperView che consente di creare dei rapporti HyperView

  • Un editor di rapporti di ispezione che permette di visualizzare velocemente i rapporti di ispezione e fare piccoli cambiamenti.

  • Una tastiera virtuale che è possibile personalizzare ed usare al posto della tastiera fisica

In questa sezione verranno descritte le modalità di accesso e di utilizzo di questi strumenti. In questa sezione verranno trattati i seguenti argomenti:

  • Uso della finestra Lettura Tastatore

  • Uso della finestra di anteprima

  • Uso della casella strumenti tastatore

  • Uso della finestra di stato

  • Uso dell'Editor Basic Script

  • Uso della finestra Insiemi selezionati

  • Uso della finestra Impostazioni

  • Uso dell'editor di rapporti HyperView

  • Visualizzazione di un rapporto Ispezione

  • Uso della tastiera virtuale

  • Visualizzazione delle linee di percorso


Uso della finestra di anteprima

Visualizza mappa percorsi dei menu

L'opzione di menuVista | Finestra di anteprima consente di visualizzare in anteprima i risultati della misurazione di un elemento prima di applicare la misurazione. Dopo aver preso i necessari punti con il tastatore ed aver premuto il tasto FINE, oppure il tasto CHIUDI sul terminale operatore, PC-DMIS visualizza l'elemento nella finestra di visualizzazione grafica e le relative informazioni sulla dimensione nella finestra di anteprima.

Finestra di anteprima per un cerchio misurato che riporta i valori di X, Y, Z e del diametro

La finestra di anteprima utilizza lo stesso schema di colori delle dimensioni per visualizzare le deviazioni dalle tolleranze accettabili; tali colori consentono di determinare immediatamente se una determinata misurazione rientra o meno nelle tolleranze accettabili. Per ulteriori informazioni sulla modifica dei colori delle tolleranze utilizzati per le dimensioni, vedere "Modifica dei colori della dimensione" nella sezione "Modifica della visualizzazione CAD" .

Nota:per determinare il tipo di informazioni sull'elemento visualizzate nella finestra di anteprima, posizionare il cursore sulla relativa riga di comando all'interno della finestra di modifica. In genere, il cursore è posizionato in corrispondenza dell'ultimo elemento presente nella finestra di modifica.

Di seguito vengono descritte le opzioni disponibili per la finestra di anteprima.

Vedere anche:

Opzioni della finestra di anteprima

Modifica delle dimensioni della finestra di anteprima


Opzioni Finestra di anteprima

Nella finestra di anteprima vengono visualizzate le informazioni generali relative ad un elemento nonché le informazioni specifiche sulle dimensioni.

Opzione

Descrizione

ID

Questa casella consente di determinare il nome dell'etichetta per la dimensione o l'elemento misurato.

DS

Questa casella consente di determinare la Deviazione Standard dell'elemento misurato.

N. punti

La casella N. punti consente di determinare il numero di punti presi con il tastatore per misurare l'elemento.

Nascondi

Il pulsante Nascondi consente di chiudere la finestra di anteprima. Per aprire la finestra di anteprima, selezionare Vista | Finestra di anteprima.

Accetta

Il pulsante Accetta consente di accettare la misura e creare una dimensione automatica per l'elemento selezionato mediante la funzione Imposta dimensione automatica.

Visualizza

Il pulsante Visualizza consente di visualizzare la finestra Analisi per la dimensione appropriata dell'elemento misurato.Fare riferimento a " Inserimento di comandi relativi alla finestra Analisi " per ulteriori informazioni sulla finestra Analisi.

Imposta dimensione automatica

Il pulsante Imposta dimensione automatica consente di visualizzare la finestra di dialogo Dimensione automatica.

Per ulteriori informazioni su questa finestra, fare riferimento a " Imposta dimensione automatica " nella sezione " Opzioni di impostazione: scheda Dimensione " nella sezione " Impostazione delle preferenze ".

AS

L'elenco AS consente di visualizzare l'asse selezionato nella finestra di anteprima. È possibile selezionare i seguenti assi: X, Y, Z, D, R, A, T, RP, AP, M, V, L, PD, RS, RT, S, H.

È possibile visualizzare contemporaneamente le informazioni relative ad un massimo di sei assi selezionandoli dai singoli elenchi AS.

Per informazioni su questi assi, vedere "Assi predefiniti" e "Assi lamiera" nella sezione "Dimensionamento degli elementi".

Nominale

Questa casella consente di determinare i valori nominali, ovvero i valori ideali, per ciascun asse.

+TOL

Questa casella consente di determinare un valore di tolleranza superiore al valore nominale in base al quale la misurazione è ancora accettabile.

-TOL

Questa casella consente di determinare un valore di tolleranza inferiore al valore nominale in base al quale la misurazione è ancora accettabile.

MIS

Questa casella consente di determinare i valori effettivamente misurati.

MAX

Questa casella consente di determinare il valore massimo oltre il quale la misurazione eccede i limiti di tolleranza.

MIN

Questa casella consente di determinare il valore minimo oltre il quale la misurazione eccede i limiti di tolleranza.

DEV

Questa casella consente di determinare la deviazione della misurazione rispetto al valore nominale.

FUORI_TOLL

Questa casella consente di determinare il valore in base al quale la misurazione non rientra nei livelli di tolleranza.


Modifica delle dimensioni della finestra di anteprima

Come per la maggior parte delle finestre, è possibile modificare anche le dimensioni della finestra di anteprima in base alle proprie esigenze. È possibile ingrandire o ridurre tale finestra trascinando il relativo bordo con il mouse fino a raggiungere le dimensioni desiderate.

Nota: la finestra di anteprima in modalità Apprendimento differisce dalla finestra di anteprima in modalità Esecuzione ed è possible modificare la dimensione di ciascuna di esse.


Uso della finestra Lettura tastatore

Visualizza mappa percorsi dei menu

L'opzione di menu Visualizza | Lettura tastatore consente di visualizzare la posizione corrente della macchina CMM e altre informazioni utili. Quando questa opzione è selezionata, PC-DMIS visualizza la finestra Lettura tastatore.

Finestra Lettura tastatore

La finestra Lettura tastatore contiene informazioni diverse (vedere la tabella riportata di seguito), a seconda delle opzioni selezionate nella finestra di dialogoImposta lettura tastatore. Vedere "Impostazione della finestra di lettura tastatore" nella sezione "Impostazione delle preferenze".

Suggerimento: è possibile accedere alla finestra di dialogo Imposta lettura tastatore facendo clic con il tasto destro del mouse nella finestra Lettura tastatore e quindi su Imposta.

Colonna di sinistra | Descrizione
X Y Z | Posizione XYZ corrente del tastatore
LX LY LZ | Posizione XYZ dell'ultimo punto
DX DY DZ | Distanza dalla successiva posizione
EX EY EZ | Errore dell'ultimo elemento misurato
W | Angolo della tavola rotante
A B | Angoli degli assi A e B (visualizzati solo se è presente un tastatore di tipo polso (come un PHS o un CW43L).
Punti | Punti presi

Inoltre la finestra di lettura tastatore può avere delle linne di testo aggiuntive in fondo alla finestra. Questo testo è il contenuto dei commenti di tipo Lettura tastatore. Per informazioni sulla visualizzazione di questo tipo di commento nella finestra di Lettura tastatore, vedere "Inserimento dei commenti dei programmatori " nella sezione “Inserimento di comandi rapporto”.

Dimensionamento della finestra Lettura tastatore

È possibile modificare le dimensioni di questa finestra "trascinandone" il bordo fino a raggiungere le dimensioni desiderate. Se si fa clic sull'icona di ingrandimento [image] nell'angolo in alto a destra della finestra, la finestra verrà visualizzata a tutto schermo. Fare di nuovo clic sull'icona per ripristinare le dimensioni precedenti. In questo modo, è possibile visualizzare la finestra di lettura selezionata anche quando la macchina CMM si trova in una posizione defilata rispetto allo schermo. Per chiudere la finestra Lettura tastatore, fare clic sulla X nell'angolo superiore destro.

Nota: ogni volta che la posizione o la dimensione della finestra Lettura tastatore cambia, PC-DMIS ne aggiorna le impostazioni nel registro. La prossima volta che si selezionerà questa opzione, la finestra verrà visualizzata nella posizione precedente.

Sulle macchine con un DRO esterno, questa opzione non è disponibile.

Modalità multibraccio e finestra Lettura tastatore

Se il pezzo viene misurato da più di un braccio, PC-DMIS visualizzerà le informazioni riguardanti le coordinate tastatore degli altri bracci in una nuova colonna.

Esempio di finestra Lettura tastatore che presenta bracci multipli disposti su due colonne

È possibile fare clic con il tasto destro del mouse su questa finestra per visualizzare un menu di scelta rapida che consente di mostrare o nascondere informazioni riguardanti un particolare tastatore.

Se il menu mostra un segno di spunta vicino ad esso, le relative informazioni saranno presenti nella finestra Lettura tastatore.


Uso della casella strumenti tastatore

Visualizza mappa percorsi dei menu

L'opzione di menu Vista | Casella strumentitastatore visualizza la casella strumenti tastatore.

Casella strumenti tastatore

Questa casella strumenti permette di effettuare facilmente varie operazioni connesse ai tastatori. La casella presenta schede ed informazioni relative al tipo di tastatore usato normalmente. Le schede visualizzate sono differenti a seconda se, per esempio, si utilizza un tastatore ottico oppure laser; i parametri contenuti nelle schede permettono di gestire parametri specifici del tipo di tastatore. Fare riferimento alla documentazione specifica dei moduli Vision o Laser, nel caso si utilizzi uno di questi tipi di tastatore.

Le operazioni sui tastatori, nel caso di tipi di tastatore standard sono le seguenti:

  • Attivazione alternativa di tastatori e punte tastatori esistenti

  • Visualizzazione della posizione del tastatore corrente

  • Uso della finestra di lettura del tastatore

  • Eliminazione punti rilevati dal buffer dei punti

  • Visualizzazione di punti nel buffer dei punti

  • Blocco degli assi X,Y o Z della macchina

Per informazioni su questi argomenti, fare riferimento alle sezioni successive.

Nota: nelle versioni precedenti di PC-DMIS la finestra degli strumenti conteneva le icone Stima piana e Stima circolare. Poiché l'algoritmo di stima di PC-DMIS é stato migliorato, a partire dalla versione 4.0 tali icone non sono piú necessarie.

Vedere anche:

Posizionamento e dimensionamento della casella strumenti

Come cambiare il tastatore corrente

Vista Punti nel Buffer dei Punti

Rilevamento e cancellazione di punti

Accesso alla finestra Lettura tastatore

Inserimento del tastatore in modalitá Lettura e Presa punti

Blocco degli assi

Viewing Hits in the Hits Buffer Placing the Probe into Readouts and Hits ModeChanging the Current ProbeChanging the Current Probe TipViewing Hits in the Hits BufferTaking and Deleting HitsAccessing the Probe Readout WindowLocking Your Machine's Axes


Posizionamento e dimensionamento della casella strumenti

Come per la finestra di modifica e le varie barre degli strumenti disponibili, è possibile agganciare la casella strumenti tastatore ai bordi laterali oppure alla parte superiore o inferiore della finestra di visualizzazione grafica o lasciarla mobile. A tale scopo, effettuare le seguenti operazioni:

  1. Selezionare la barra del titolo della casella degli strumenti con il mouse.

  2. Trascinare la casella degli strumenti dove la si vuole posizionare.

  3. Rilasciare il pulsante del mouse. PC-DMIS posizionerà la casella degli strumenti sulla nuova posizione.

É possibile anche variare le dimensione della casella degli strumenti selezionando un bordo e trascinandolo con il mouse.


Come cambiare il tastatore corrente

Per cambiare il tastatore corrente nel part-program mediante la Casella Strumenti Tastatore:

  1. Selezionare l’elenco Tastatori.

  2. Selezionare un nuovo tastatore.

PC-DMIS inserirà un comando CARIC TAST per il tastatore selezionato nel part program.


Cambiare la punta del tastatore corrente

Per cambiare il tastatore corrente nel part-program mediante la Casella Strumenti Tastatore:

  1. Selezionare l’elenco Punte tastatore.

  2. Selezionare un nuovo tastatore.

PC-DMIS inserirà nel part program un comando CARIC TAST per il tastatore selezionato.


Visualizzazione di punti nel buffer di punti

Visualizzazione dell'ultimo punto

Nella scheda Posizione tastatore, PC-DMIS visualizza l'ultima rilevazione memorizzata nel buffer dei punti, oppure la posizione currente del tastatore. Nel caso di Vision o di Laser tali elementi sono modificabili.

Info sul punto più recente

Visualizza tutti i punti

Per visualizzare tutti i punti del buffer, fare clic sulla scheda Bersagli . PC-DMIS visualizza XYZ e IJK di ogni punto del buffer.

Casella strumenti tastatore - Scheda Bersagli

Scheda Bersagli con le rilevazioni del buffer dei punti

Premendo FINE sulla tastiera oppure DONE sul jog box per accettare l'elemento che si é finito di misurare, PC-DMIS rimuove i punti dal buffer vuotandone l'elenco.


Rilevamento e cancellazione di punti

Icona Rileva punto

Per rilevare un punto alla quota corrente del tastatore, fare clic sull'icona Rileva punto. PC-DMIS aggiunge il punto al buffer dei punti. L'icona è abilitata soltanto se si utilizza un tastatore che sia stato definito.

Icona Cancella punto

Per eliminare un punto dal buffer dei punti utilizzando la Casella strumenti Tastatore , fare clic sull'icona Cancella punto. Se la finestra Lettura tastatore è aperta, si vedrà che il punto viena cancellato dall'area Punti della finestra. Fare riferimento alla sezione "Cancellazione o eliminazione di punti" in "Come cominciare: Esercitazione" per ulteriori informazioni.


Uso della finestra di lettura Tastatore

Icona Lettura Tastatore

Per accedere alla finestra lettura tastatore dalla Casella strumenti tastatore, fare clic sull’icona Lettura tastatore. Per informazioni sulla finestra Lettura tastatore, vedere Uso della finestra di lettura del tastatore


Inserimento del tastatore in modalità Lettura e Presa punti

Alcune interfacce richiedono che si passi alternativamente dalla modalità Lettura alla modalità Presa punti, perché le due modalità si escludono a vicenda. Ció è dovuto al modo di operare di tali interfacce che possono trovarsi in ricezione (Modalitá Presa punto - in attesa di interruzione di presa punto), oppure in trasmissione (Modalitá Lettura - invio delle coordinate alla finestra Lettura tastatore). Un'interfaccia LK-RS232 costituisce un esempio di tale tipo di interfaccia.

Icona |  | Descrizione
 | Modalità di lettura | Se si dispone di un'interfaccia LK, si puó utilizzare l'icona Modalitá di lettura per impostare il tastatore in modalità lettura.
 | Modalità di presa punto | Se si dispone di un'interfaccia LK, si può utilizzare l'icona Modalità di presa punto per impostare il tastatore in tale modalitá.


Blocco degli assi

Per eviatre il movimento del tastatore in uno o più assi, selezionare la corrispondente icona di blocco asse dalla Casella strumenti tastatore .

Ad esempio, se si desidera bloccare l’asse Z del tastatore, selezionare l’icona Blocca l'asse Z. A questo punto è possibile fare clic in qualsiasi punto del CAD e il tastatore si muoverà liberamente nel piano XY, ma il movimento non avrà luogo nella direzione Z.

Tenere presente che su una macchina Vision DCC, lo spostamento del tastatore grafico sposta anche il FOV (Field of View).

Nota:Questi elementi sono in grigio (disabilitati), tranne nel caso in cui i moduli Laser o Vision sono programmati nella chiave hardware (portlock). Fare riferimento ai file della guida di PC-DMIS Laser o PC-DMIS Vision per ulteriori informazioni sull'uso della Barra Strumenti tastatore.


Uso della finestra di stato

Visualizza mappa percorsi dei menu

Finestra di stato

L’opzione di menu Vista | Finestra di sstato visualizza la finestra di stato. Questa finestra consente di visualizzare in anteprima comandi ed elementi durante la relativa creazione dalla barra degli strumenti Avvio rapido, durante l'esecuzione di un elemento e facendo semplicemente clic sull'elemento nella finestra Modifica con la finestra Stato aperta. La finestra di stato è simile alla finestra di anteprima, con le seguenti differenze:

  • Non è possibile definire in questa finestra tolleranze o valori nominali. La finestra è di sola lettura.

  • Essa fornisce inoltre un modo per visualizzare i comandi, agganciandosi alla nuova funzionalità di reporting, basata sui template.

  • L'anteprima dei comandi e dei tipi di dimensione (non soltanto di posizione) visualizzati è dinamica, a condizione che tali comandi siano correttamente assegnati all'interno del rapporto e dei template etichetta.

La finestra di stato e la barra degli strumenti Avvio rapido

La finestra di stato visualizza lo stato corrente delle misurazioni in Modalità Stima, della selezione dell'elemento e della creazione di dimensione mediante la barra degli strumenti Avvio rapido. Nell'immagine mostrata tale dimensione non é ancora stata creata e tuttavia PC-DMIS consente di visualizzarla prima di fare clic su Fine nella barra degli strumenti Avvio rapido.

La finestra di stato durante la creazione o l'esecuzione di un elemento

La finestra di stato visualizza in anteprima le informazioni sull'elemento non ancora mostrato dalla finestra Rapporto. Tale finestra utilizza la nuova funzionalità dei template di rapporto per visualizzare in anteprima i comandi in fase di esecuzione e creazione di questi. Durante la creazione di elementi viene visualizzato l'elemento soltanto se PC-DMIS è in modalità Stima.

Modifica del template della finestra Stato

Poiché la finestra Stato utilizza template di rapporti per visualizzare le informazioni, è possibile modificare il template da utilizzare nel caso in cui si desideri visualizzare informazioni differenti. È possibile visualizzare un comando qualsiasi nella finestra Stato, a condizione che al comando sia assegnata un'etichetta nel file di template rapporto (.rpt). È possibile assegnare il template del rapporto utilizzato dalla voce di registro ReportTemplate nella sezione StatusWindow dell'editor delle impostazioni di PC-DMIS. Il template predefinito utilizzato è textonly.rtp.


Uso dell'Editor Basic Script

Visualizza mappa percorsi dei menu

È possibile utilizzare l'editor Basic Script per creare e modificare script BASIC che possono essere utilizzati in oggetti durante l'esecuzione oppure dalla barra degli strumenti dell'editor Basic Script.

L'opzione di menu Visualizza | Editor Basic Script consente di aprire l'editor Basic Script e sostituisce la barra di menu principale di PC-DMIS con i seguenti menu: Trova, Modifica, Esegui e ?. Per ripristinare la barra dei menu standard di PC-DMIS, ridurre a icona oppure chiudere l'editor Basic Script.

L'editor Basic Script è costituito da:

  • Barra degli strumenti dell'editor Basic Script

  • Menu File

  • Menu Modifica

  • Menu Esegui

  • Menu ?

Questi argomenti vengono trattati successivamente.

Vedere anche:

Barra degli strumenti dell'editor Basic Script

Menu File

Menu Modifica

Menu Vista

Menu Esegui

Menu ?


Barra degli strumenti dell'editor Basic Script

Nella barra degli strumenti dell'Editor Basic Script sono disponibili le funzioni seguenti:

Vedere anche:

Nuovo

Apri

Salva

Stampa

Anteprima di stampa

Trova

Taglia

Copia

Incolla

Annulla

Compila

Inizio

Start CompilePasteUndoCopyCutFindPrint PreviewPrintSaveOpenNew


Nuovo

Questo pulsante consente di creare un nuovo script Basic nell'editor.


Apri

Questo pulsante consente di visualizzare la finestra di dialogo Apri file dalla quale è possibile aprire uno script Basic nell'editor.


Salva

Questo pulsante consente di salvare lo script Basic corrente. Se non è stato ancora assegnato un nome allo script corrente, verrà visualizzata la finestra di dialogo Salva con nome nella quale è possibile inserire il nome dello script.


Stampa

Questo pulsante consente di stampare lo script Basic corrente.


Anteprima di stampa

Questo pulsante consente di visualizzare lo script Basic corrente nella finestra Anteprima di stampa per verificare come verrà stampato.


Trova

Questo pulsante consente di ricercare del testo all'interno del Basic Script corrente.


Taglia

Questo pulsante consente di tagliare il testo selezionato e di memorizzarlo negli Appunti.


Copia

Questo pulsante consente di copiare il testo selezionato e di memorizzarlo negli Appunti.


Incolla

Questo pulsante consente di incollare nel punto di inserimento corrente nell'editor il testo disponibile negli Appunti.


Annulla

Questo pulsante consente di annullare l'ultima modifica.


Compila

L'icona Compila consente di compilare il Basic Script corrente, ovvero renderlo disponibile per l'esecuzione. È necessario compilare uno script prima di eseguirlo.


Inizio

Questo pulsante compila ed esegue il Basic Script corrente.

Nota: gli script eseguiti dall'editor utilizzando i comandi Basic di PC-DMIS possono inserire degli oggetti nel part-program corrente.


Menu File

Nel menu File dell'Editor Basic Script sono disponibili i seguenti comandi e opzioni:

Vedere anche:

Nuovo

Apri

Salva

Salva come...

Stampa

Anteprima di stampa

Esci

Unicode


Nuovo

L'opzione di menu File | Nuovo consente di aprire un nuovo Editor Basic Script da cui scrivere un nuovo script.


Apri

L'opzione di menu File | Apri consente di selezionare ed aprire uno script esistente. Nell'editor Basic Script vengono visualizzati solo i file di tipo *.bas.


Salva

L'opzione di menu File | Salva consente di salvare uno script. Quando si seleziona per la prima volta questa opzione durante la creazione di un nuovo script, viene visualizzata la finestra di dialogo Salva come che consente di assegnare un nome allo script e di scegliere la directory in cui salvarlo.


Salva come

L'opzione di menu File | Salva come consente di salvare un nuovo script o uno script esistente utilizzando un nuovo nome di file. Viene visualizzata la finestra di dialogo Salva come che consente di selezionare il nome del file e la directory nella quale verrà salvato lo script.


Stampa

L'opzione di menu File | Stampa consente di stampare lo script nell'editor Basic Script utilizzando la stampante del sistema.


Anteprima di stampa

L'opzione di menu File | Anteprima di stampa consente di visualizzare in anteprima gli elementi che verranno inviati alla stampante dopo aver selezionato l'opzione Stampa nel menu File dell'Editor Basic Script.


Esci

Salva ed esci

L'opzione di menu File | Esci consente di uscire dall'Editor Basic Script senza salvare le modifiche apportate agli script aperti. Se si sceglie File | Esci viene nuovamente visualizzata l'interfaccia utente principale. Nella barra di menu vengono visualizzate le normali funzioni di PC-DMIS.


Unicode

La voce di menu File | Unicode specifica se lo script Basic è uno script Unicode o meno. Se non lo è, l’editor Basic Script lo interpreterà come testo ASCII.

L’editor Basic Script ha bisogno di conoscere il formato dello script per visualizzarlo e interpretarlo in maniera corretta. Il formato Unicode consente all’editor di gestire caratteri più complessi (come quelli del Cinese o del Giapponese).

A meno che non si stia lavorando con un linguaggio che usa caratteri a più byte, non è necessario selezionare questa voce di menu.


Menu Modifica

Il menu Modifica dell'editor Basic Script consente di utilizzare le funzioni di modifica di base per modificare il testo visualizzato nell'editor Basic Script.

Vedere anche:

Annulla

Taglia

Copia

Incolla

Elimina

Seleziona tutto

Trova

Trova successivo

Sostituisci

Editor finestre di dialogo


Annulla

L'opzione di menu Modifica | Annulla consente di annullare l'ultima operazione effettuata nell'editor Basic Script.


Taglia

L'opzione di menu Modifica | Taglia consente di tagliare il testo selezionato nell'Editor Basic Script. Il testo tagliato viene memorizzato negli Appunti di Windows ed è disponibile per essere successivamente incollato.


Copia

L'opzione di menu Modifica | Copia consente di copiare il testo selezionato. Il testo copiato viene memorizzato negli Appunti di Windows ed è disponibile per essere successivamente incollato.


Incolla

L'opzione di menu Modifica | Incolla consente di incollare il testo memorizzato negli Appunti di Windows.


Elimina

L'opzione di menu Modifica | Elimina consente di eliminare il testo evidenziato.


Seleziona tutto

L'opzione di menu Modifica | Seleziona tutto consente di selezionare automaticamente tutto il testo presente nell'editor Basic Script. È possibile Tagliare, Copiare o Eliminare il testo selezionato.


Trova

L'opzione di menu Modifica | Trova consente di visualizzare la finestra di dialogo Trova.

Finestra di dialogo Trova

Questa finestra di dialogo consente di ricercare un termine o una stringa specificata nell'Editor Basic Script.

  • Se si seleziona la casella di controllo Solo parole intere, verranno visualizzate solo le ricorrenze che corrispondono all'intera parola.

  • Se si seleziona la casella di controllo Maiuscole/Minuscole, verranno visualizzati solo i termini corrispondenti in base al tipo di carattere (maiuscolo o minuscolo) utilizzato nella casella Trova.


Trova successivo

L'opzione Modifica | Trova successivo consente di ricercare nell'Editor Basic Script la ricorrenza successiva del termine specificato nella finestra di dialogo Trova. Fare riferimento a Modifica | Trova.


Sostituisci

L'opzione di menu Modifica | Sostituisci consente di visualizzare la finestra di dialogo Sostituisci.

Finestra di dialogo Sostituisci

La finestra di dialogo Sostituisci rappresenta un'estensione dell'opzione Modifica | Trova e consente di ricercare un termine specificato e di sostituirlo con il termine inserito nella casella Sostituisci con.

La casella Controlla solo parole intere confronta parole complete. Per esempio, se si cerca "punta" e la casella di controllo non é selezionata, il risultato puó essere "punta" e anche "puntatore".

La casella Controlla maiuscole trova l'esatta corrispondenza, maiuscole comprese, di ciò che è scritto nella casella Cerca. Scrivendo "punto", non verranno trovate le parole "Punto" e "PUNTO" a causa della differenza della prima lettera in maiuscolo/minuscolo.

Il pulsante Trova successivo consente di effettuare la ricerca nell'editor Basci Script e di visualizzare la prima ricorrenza del termine specificato nella finestra di dialogo.

Il pulsante Sostituisci consente di sostituire la stringa trovata (utilizzando il pulsante Trova successivo) con il contenuto della casella Sostituisci con.

Il pulsante Sostituisci tutto consente di sostituire tutte le ricorrenze della stringa di ricerca nell'editor Basic Script con il contenuto della casella Sostituisci con.

Il pulsante Annulla consente di chiudere la finestra di dialogo Sostituisci.


Editor finestre di dialogo

L'opzione Modifica | Editor finestre di dialogo consente di aprire una finestra contenente una griglia denominata Dialog One e la barra degli strumenti MasQ Enable Dialog Designer. In questa barra degli strumenti e nella griglia Dialog One sono disponibili gli strumenti necessari per creare le finestre di dialogo che potranno essere inserite successivamente negli script di programmazione.

Fare clic sulla "X" nell'angolo in alto a destra della barra degli strumenti MasQ Enable Dialog Designer per chiudere gli strumenti visualizzati.


Menu Vista

Il menu Vista consente di attivare e disattivare la visualizzazione della barra degli strumenti dell'Editor Basic Script e della Barra di Stato. Selezionare Vista | Barra Strumenti per visualizzare o nascondere la barra degli strumenti. Selezionare Vista | Barra di Stato per attivare e disattivare la visualizzazione della barra di stato.

È possibile utilizzare questo menu per impostare le tabulazioni. Questa opzione consente di impostare un rientro per le istruzioni in base ad un determinato numero di caratteri, al fine di migliorare la leggibilità del programma. Selezionare Vista | Imposta tabulazioni e inserire un valore numerico. PC-DMIS effettua un reintro pari al numero di caratteri indicato, ogni qual volta si preme il tasto TAB. Ad esempio, volendo una tabulazione di cinque caratteri, digitare "5" nella casella Imposta tabulazioni.


Menu Esegui

Il menu Esegui consente di selezionare l'opzione Compila o Inizia. L'opzione Compila consente di compilare lo script e di verificare che non vi siano errori di sintassi, mentre l'opzione Inizia consente di eseguire lo script.


Menu ?

Nel menu ? sono disponibili varie opzioni che consentono di semplificare l'uso dell'Editor Basic Script.

Vedere anche:

Guida Basic

Guida alla sintassi

File della guida alla sintassi


Guida Basic

L'opzione di menu Guida | Guida Basic consente di visualizzare il file della Guida in linea per il modulo Basic aggiuntivo.


Guida alla sintassi

L'opzione di menu Guida | Guida alla sintassi consente di attivare o disattivare la guida alla sintassi quando si utilizza l'editor Basic Script. Se questa opzione è selezionata, nell'editor Basic Script viene visualizzata una casella di scorrimento ogni volta che viene digitato un comando o un termine utilizzato nel linguaggio di programmazione Basic. È possibile utilizzare le frecce di direzione per selezionare il termine appropriato. Dopo aver selezionato un termine, premere il tasto di tabulazione per visualizzarlo nell'editor Basic Script. Premere la barra spaziatrice per visualizzare la sintassi da utilizzare con il comando.


File della guida alla sintassi

L'opzione di menu Guida | File della guida alla sintassi consente di selezionare il file della sintassi utilizzato nell'opzione Guida | Guida alla sintassi. Viene visualizzata la finestra di dialogo Carica file della guida alla sintassi. Passare alla directory di installazione di PC-DMIS per Windows e selezionare il file "Pcdmis.syn".


Uso della finestra Insiemi selezionati

Visualizza mappa percorsi dei menu

Selezionando l'opzione di menu Vista | Finestra Insiemi selezionati, è possibile accedere alla finestra Insiemi selezionati. È possibile utilizzare questa finestra per memorizzare un gruppo di elementi selezionati che si desidera eseguire. Fare riferimento alla sezione "Creazione ed esecuzione di insiemi selezionati" nella sezione "Modifica di un part program" .


Uso della finestra Impostazioni

Inserisce il comando RICHIAMA/ALLINEAM, richiamando l'allineamento scelto dall'elenco.

PC-DMIS inserirà un comando CARIC TAST per il tastatore selezionato nel part program.

L'impostazione inserisce il comando APPROCCIO che definisce la distanza dal punto teorico a cui PC-DMIS porterà il tastatore a velocità di contatto.

L'impostazione inserisce il comando VEL_CONTATTO il quale cambia la velocitá con cui la CMM rileva i punti. Tali valori sono compresi tra 1 e 20 percento.

L'impostazione inserisce il comando PRECIS_VISUALIZZ, seguito dal valore impostato. Gli elementi che seguono questo comando presentano il numero di cifre cecimali impostato.

Inserisce il comando RICHIAMA/ALLINEAM, richiamando l'allineamento scelto dall'elenco.

Definisce l'angolo AB utilizzato dal comando CARIC_TAST, inserendo il comando PUNTA selezionato nel part program.

L'impostazione inserisce il comando CONTR il quale imposta la distanza, oltre il punto teorico, a cui la macchina si puó spingere continuando a cercare la superficie del pezzo.

Inserisce un comando VEL_MOVIM il quale determina la velocitá di movimento della CMM tra un punto e l'altro. Tali valori sono compresi tra 1 e 20 per cento.

Inserisce il comando RAPPORTO_POSITIVO nel part program. Il comando visualizza gli elementi che stannno nella regione negativa rispetto all'origine con valori positivi. É possibile scegliere questo tipo di rapporto per tuti i dati, oppure soltanto per le deviazioni.

Viene inserito il comando MODAL/DCC oppure MODAL/MANUAL per impostare la macchina di misura in modalitá DCC oppure MANUALE.

La compensazione viene abilitata o disabilitata inserendo opportunamento il comando COMP_TAST.

Inserisce il comando RITRAZ per impostare la distanza a cui la macchina si porta dal punto effettivamente rilevato, prima di passare da Velocità di contatto a Velocità di movimento.

Inserisce il comando VEL_SCAN il quale determina la velocitá di scansione del pezzo. Tali valori sono compresi tra 1 e 100 per cento.

Questa impostazione decide se PC-DMIS deve visualizzare il rapporto positivo sull'asse X.

Il piano di lavoro corrente é modificato inserendo il comando PIANO LAVORO nel part program.

Questa opzione consente di inserire il comando IGNORAERRORIMOV/On o OFF nel part-program. Se questa impostazione é attiva (ON) PC-DMIS non si ferma in caso di collisione del tastatore.

Inserisce il comando RITRAZIONE_MAN che imposta la distanza di ritrazione a cui la CMM si porta automaticamente quando si rileva manualmente un punto.

Questa impostazione decide se PC-DMIS deve visualizzare il rapporto positivo sull'asse X.

Inserisce il comando PIANO SIC. che attiva il piano di svincolo. Digitando F9 sul comando inserito si puó cambiare il piano interessato.

Inserisce il comando TOLLERANZA_SCATTO. Questo comando impone a PC-DMIS di accettare un punto solo se questo si trova nella zona di tolleranza definita. Si puó usare questo nel caso di macchine manuali, per rilevare punti con precisione.

Questa impostazione decide se PC-DMIS deve visualizzare il rapporto positivo sull'asse Z

Permette di determinare a quale piano è associato il piano di sicurezza. Non è selezionabile fino a quando non si attiva il piano di sicurezza, oppure il cursore si trova su un comando PIANO SIC.

Questo valore definisce il raggio di tolleranza nell'impostazione Tolleranza scatto.

Inserisce il comando RAPPORTO_POSITIVO nel part program. Se questa opzione è impostata su ON (posizione dei punti del bordo di dimensionamento), gli assi del percorso sono calcolati proiettando il punto misurato sulla superficie teorica e proiettando quindi questo nuovo punto sul vettore ad approccio teorico. Qualsiasi asse della posizione viene quindi calcolato in base a questo nuovo punto.

Consente di impostare la distanza per il piano di sicurezza.

Inserisce il comando TOLLERANZA_SCATTO. Questo comando indica a PC-DMIS di prendere automaticamente un punto quando il tastatore attraversa il piano definito dal vettore perpendicolare alla superficie di un elemento automatico al livello della quota specificata. È possibile utilizzare questo comando con macchine manuali. Anziché premere un pulsante per prendere un punto, è possibile inserire dei comandi PIANO_SCATTO in qualsiasi punto standard della finestra di modifica.

Inserisce il comando RAPPORTO_POSITIVO nel part program. Se impostato su ON e si crea una dimensione per le posizioni di punti di superfici o vettori, gli assi delle posizioni sono calcolati nella seguente maniera:

Per prima cosa, viene ricercato il componente più grande del vettore perpendicolare alla superficie teorica, nella direzione x, y o z.

Poi, il punto misurato viene proiettato sul vettore del componente più grande, in modo che la proiezione sia perpendicolare al vettore perpendicolare alla superficie teorica originale.

Gli assi della posizione vengono calcolati in base a questo nuovo punto proiettato.

In questo modo viene riportato il piano su cui passerà il tastatore per arrivare al piano successivo.

Questa impostazione inserisce il comando RAPPORTO_POSITIVO nel part program. Quando PC-DMIS rileva che il tastatore viene spostato nella zona di tolleranza definita, viene definito automaticamente un punto.

Questa impostazione inserisce un comando 132COLONNE che controlla se le dimensioni delle posizioni vengono visualizzate in 132 colonne nel rapporto di ispezione. Fare riferimento a Stampa a 132 colonne.

In questo modo viene definita la distanza per il piano passante.

Questa impostazione determina se PC-DMIS utilizza o meno un segnale acustico con il comando AUTOTRIGGER. Se l'impostazione è attiva (ON), più il tastatore si avvicina alla destinazione, più frequente sarà il segnale acustico.

Il valore indica al controller quanto saldamente va tenuto il tastatore su una CMM Leitz. Esso funziona solo con controller Leitz e con TTP Leitz.

Questa impostazione definisce il raggio per la zona di tolleranza del sincronismo automatico.

Essa consente la misurazione dei punti Vettore e Superficie in modo che siano sempre compensati da un vettore Polare inserendo un comando COMPVETTPOLARE.

Questa opzione inserisce un comando FLY e lo imposta su ON o OFF. Un comando FLY funziona con un comando MOVIMPUNTO e sposta il tastatore attorno alla parte in un movimento continuo e costante.

Questa opzione imposta il parametro della distanza per il comando FLY. Essa determina la distanza dal comando MOVIMPUNTO su cui verrà spostato automaticamente il tastatore.

Utilizzo della finestra Impostazioni

Selezionando Vista | Finestra Impostazioni viene aperta la finestra Impostazioni.

Finestra Impostazioni

Questa finestra agganciabile contiene diverse schede relative alle impostazioni modificate più di frequente. Ogni scheda contiene specifiche impostazioni modificabili, definite da un colore. Le impostazioni sono collegate alla posizione corrente del cursore nel part program e verranno aggiornate in modo da corrispondere all'impostazione nel programma alla posizione del cursore. Ad esempio, se sono presenti più comandi CARIC_TAST e si seleziona ognuno di essi nella finestra di modifica, PC-DMIS aggiornerà la finestra Impostazioni in modo da visualizzare ogni singolo comando CARIC_TAST.

Modifica di un'impostazione

Per modificare un'impostazione, fare clic su sul campo alla destra dell'impostazione, selezionare un'opzione differente o immettere un nuovo valore. Quando si modifica una impostazione, PC-DMIS inserisce la modifica al parametro appropriata nel part program alla posizione del cursore.

Impostazioni disponibili

Sono disponibili le schede e le impostazioni riportate di seguito. Lo sfondo ombreggiato nelle celle della tabella riportata di seguito indica il colore predefinito associato a tali impostazioni:

TUTTO | Generale | Tastatore | Distanze | Velocità | Dimensioni
Questa scheda contiene tutte le impostazioni da tutte le schede. | Allineamento | Tastatore | Distanza di approccio | Velocità di contatto | Precisione visualizzazione
 | Insieme viste | Punta | Controllo | Velocità di movimento | Visualizzazione rapporto positivo
 | Manuale/DCC | Compensazione tastatore | Ritrazione | Velocità di scansione | Asse X rapporto positivo
 | Piano di lavoro | Ignora errori di movimento | Ritrazione manuale |  | Asse Y rapporto positivo
 | Piani di sicurezza attivi | Tolleranza scatto |  |  | Asse Z rapporto positivo
 | Piano di sicurezza | Area Toll. scatto |  |  | Solo traferro
 | Dist. piano di sicurezza | Piano scatto |  |  | Solo retrolineare
 | Piano passante | Scatto automatico |  |  | 132 colonne
 | Distanza piano passante | Segnale acustico automatico |  |  |
 | Valore di blocco | Area di tolleranza automatica |  |  |
 | Compensazione vettore polare | Modalità Fly |  |  |
 |  | Tipo di raggio Fly |  |  |

Per una breve descrizione di queste impostazioni, fare clic su un collegamento nella tabella precedente oppure, per informazioni più dettagliate, fare riferimento alle opzioni specifiche in una delle seguenti sezioni:

  • Barra degli strumenti Impostazioni

  • Barra degli strumenti Modalità tastatore

  • Selezione delle opzioni di impostazione di PC-DMIS

  • Modifica dei parametri di movimento e dei rapporti

È inoltre possibile specificare molte di queste impostazioni dal menu secondario Inserisci | Modifica parametro.

Vedere anche:

Modifica delle opzioni della finestra Impostazioni


Modifica delle Opzioni nella Finestra Impostazioni

É possibile modificare le opzioni della finestra impostazioni facendo clic con il tasto destro del mouse sulla finestra e scegliendo Opzioni nel menu di scelta rapida.

Menu di scelta rapida della finestra Impostazioni

Viene visualizzata la finestra di dialogo Opzioni della finestra Impostazioni.

Opzioni della finestra Impostazioni

Finestra di dialogo Opzioni della finestra Impostazioni

Da questa finestra di dialogo è possibile modificare i colori usati per le varie categorie e verificare inoltre quale categoria si presenta all'avvio della finestra Impostazioni.

Area Avvio

Quest'area contiene due opzioni di avvio della finestra Impostazioni:

Uso della categoria attiva - La finestra Impostazioni visualizza all'apertura l'ultima categoria usata.

Usa sempre - All'avvio la finestra Impostazioni visualizza la categoria selezionata nell'elenco a discesa.

Area colori

La casella Abilita colori per le categorie consente di abilitare/disabilitare la visualizzazione delle categorie di impostazioni in base al colore.

Le frecce a discesa sulle caselle colorate permettono la modifica della visualizzazione predefinita in base al colore per le categorie disponibili.


Uso della finestra Rapporto

Visualizza mappa percorsi dei menu

Selezionando l'opzione di menu Vista | Finestra Rapporto viene visualizzata la finestra Rapporto. Tale finestra, al termine dell'esecuzione del part program, visualizza i risultati della misura e configura automaticamente l'output in base al template definito per il rapporto stesso. Per ulteriori informazioni, fare riferimento alla sezione "Informazioni sulla finestra Rapporto" nella sezione "Rapporto dei risultati di misura" .


Visualizzazione di un rapporto Ispezione

Visualizza mappa percorsi dei menu

L'opzione di menu Vista | Rapporto Ispezione consente di selezionare il rapporto di testo da visualizzare sullo schermo. Questo rapporto viene visualizzato nel formato rtf (Rich Text Format).

Per aprire un rapporto di ispezione, effettuare le seguenti operazioni:

  1. Scegliere l'opzione di menu Rapporto ispezione. Viene visualizzata la finestra di dialogo Apri file.

    Aprire una finestra di dialogo in cui è presente un rapporto disponibile (Test001.RTF)

  2. Passare al percorso in cui sono memorizzati i rapporti.

  3. Selezionare il file di testo da visualizzare sullo schermo.

Se non si dispone di un elaboratore testi che supporta file .RTF, il rapporto di ispezione viene aperto in WordPad. I menu di WordPad consentono di:

  • Tagliare, copiare e incollare le sezioni di un rapporto.

  • Aprire un rapporto esistente.

  • Salvare un nuovo rapporto.

  • Stampare un rapporto.

  • Chiudere il rapporto aperto.


Uso della tastiera virtuale

Selezionando l'opzione di menu Visualizza | Tastiera virtuale viene visualizzata la Tastiera virtuale. La tastiera funziona come ogni normale tastiera e può essere utilizzata insieme ad un mouse o ad un monitor di tipo touch screen. Essa è inoltre utile in quegli ambienti operativi dove non conviene far uso di una tastiera fisica.

Esempio di tastiera virtuale – Tastiera di tipo 1

È possibile scegliere facilmente tipi di Tastiera virtuale differenti, oppure è possibile personalizzare varietà di tastiera già esistenti.

PC-DMIS fornisce inoltre una barra degli strumenti per accedere facilmente alla tastiera virtuale. Fare riferimento a "Barra degli strumenti Tastiera virtuale" nella sezione "Uso delle barre degli strumenti".

Vedere anche:

Accesso ai vari tipi di tastiera virtuale

Creazione di una nuova variante di tastiera virtuale

Come modificare una varietà esistente della tastiera virtuale

Come eliminare una variante esistente della tastiera virtuale

Come affiancare o unire pulsanti in una variante di tastiera

Uso dei separatori nella tastiera virtuale per una migliore visualizzazione

Visualizzazione delle linee di percorso


Come accedere ai Vari Tipi di Tastiera Virtuale

In qualunque momento è possibile fare clic con il tasto destro del mouse sulla Tastiera Virtuale per selezionare o personalizzare velocemente variazioni di tastiera o per personalizzarla in base alle proprie esigenze.

Tali voci di menu mostrano le varietà di Tastiera Virtuale predefinite disponibili. È possible ovviamente personalizzare tali varietà, oppure crearne altre a seconda delle esigenze (vedere “Come modificare una Varietá esistente di Tastiera Virtuale”).

Tastiera 1 | Tastiera 2 | Tastiera 3
Tastiera standard | Tasti funzione | Tastiera

Vedere anche:


Creazione di una nuova variante di tastiera virtuale

  1. Accedere alla Tastiera virtuale, fare clic col tasto destro del mouse su di essa e scegliere l'opzione di menu Personalizza. Viene visualizzata la finestra di dialogo Personalizza tastiera.

Finestra di dialogo Personalizza tastiera

  2. Nell’area Definizione layout inserire il nome che si desidera assegnare alla tastiera nella casella Nome layout.

  3. Inserire il numero di righe e di colonne nelle caselle Righe e Colonne. In questo modo si definisce il numero dei “tasti” (o pulsanti) che compariranno sulla tastiera.

  4. Fare clic su Crea. PC-DMIS visualizza una finestra di layout della tastiera costituita da una griglia vuota che rappresenta il numero di tasti appena creati.

Esempio di layout di una griglia vuota di dimensioni 3x3

  5. Dimensionare la matrice di tasti, a seconda delle esigenze, trascinando i bordi della finestra.

  6. Nell’area Definizione pulsanti creare una nuova definizione di pulsante selezionando Definisci tasti dall'elenco Modalità, quindi selezionare il tipo di codifica tra gli elenchi Codifica speciale, Codifica standard, Codifica di sistema. La maggior parte delle codifche sono auto-esplicative e sono sinonimi del termine anglosassone che identifica il tasto, ad eccezione dei pulsanti VK_PREVIOUS (Pag Su) e VK_NEXT (Pag Giù).

  • Se si desidera associare un’etichetta al tasto selezionato, scegliere l’opzione Etichetta ed inserire un’etichetta nell’apposita casella.

  • Se si desidera associare un simbolo al tasto selezionato, scegliere l’opzione Simbolo ed inserire un simbolo scelto dall'elenco di simboli.

  • Se si desidera rappresentare un pulsante vuoto, un semplice spazio, come su una tastiera reale, selezionare la definizione Nessun pulsante per quel pulsante.

  7. Dalla finestra di layout con la griglia di pulsanti, selezionare un pulsante non definito che avrà questa definizione, quindi fare clic sul pulsante Imposta dall'area Definizione pulsanti della finestra di dialogo Personalizza tastiera. La modifica verrà visualizzata nella finestra di layout della tastiera.

  8. Ripetere la procedura fino a completare la definizione della tastiera nel modo desiderato.

Esempio di layout di tastiera con pulsanti posticci agli angoli impostati su Nessun pulsante

  9. Una volta definiti tutti i pulsanti, il pulsante Salva sarà abilitato. Fare clic sul pulsante Salva per salvare le modifiche.

  10. Fare clic sul pulsante Nuovo per creare nuovi layout oppure fare clic su Chiudi.

Nota: per correggere l’assegnazione errata di significato ad un pulsante, è possibile selezionare l’opzione Nessun pulsante, selezionare il pulsante sulla griglia del layout e quindi fare clic su Imposta. Questa operazione annullerà tutti i significati precedentemente associati al pulsante.


Come modificare una varietà esistente della tastiera virtuale

Per modificare un layout esistente,

  1. accedere alla Tastiera virtuale, fare clic con il tasto destro del mouse su di essa e scegliere l'opzione di menu Personalizza. Viene visualizzata la finestra di dialogo Personalizza tastiera.

Finestra di dialogo Personalizza tastiera

  2. Fare clic sul pulsante Apri.

  3. Selezionare la tastiera nel menu a discesa.

  4. Usare la procedura per la definizione dei pulsanti al layout di tastiera come descritto nella sezione “Come creare un nuovo layout di tastiera vrituale personalizzato”. Potrebbe essere necessario selezionare l’opzione Nessun pulsante per annullare le definizioni precedenti prima di procedere con una nuova definizione.

  5. Fare clic su Salva per salvare le modifiche apportate.


Come eliminare una variante esistente della tastiera virtuale

Per eliminare un layout esistente,

  1. accedere alla Tastiera virtuale, fare clic con il tasto destro del mouse su di essa e scegliere l'opzione di menu Personalizza. Viene visualizzata la finestra di dialogo Personalizza tastiera.

Finestra di dialogo Personalizza tastiera

  2. Fare clic sul pulsante Elimina .

  3. Selezionare la tastiera dal menu a discesa. PC-DMIS richiederà se si desidera eliminare la tastiera.

  4. Fare clic su Sì per eliminarla.

  5. Fare clic su Chiudi.


Come affiancare o unire pulsanti in una variante di tastiera

La finestra di dialogo Personalizza tastiera consente di affiancare o unire piú di un pulsante alla volta sul layout in modo da creare pulsanti piú grandi. Ció é utile quando si vuole ottenere un pulsante di dimensioni maggiori del pulsante corrente (ad esempio, per creare un pulsante simile alla BARRA SPAZIATRICE).

  1. Creare o aprire un layout seguendo la procedura descritta nelle sezioni “Come creare una nuova tastiera virtuale “ e in “Come modificare una tastiera virtuale esistente”.

  2. Dall'elenco Modalitá della finestra di dialogo Personalizza tastiera, selezionare Affianca pulsanti. I pulsanti presenteranno a questo punto un bordo tratteggiato in rosso.

  3. Fare clic su uno dei pulsanti per impostarlo come pulsante iniziale. Un bordo rosso viene visualizzato sui lati orizzontale e verticale a partire dal pulsante iniziale. Facendo clic su un altro pulsante, questo diventerà il pulsante iniziale.

  4. Fare clic con il pulsante destro del mouse sul pulsante finale dell’unione, che deve trovarsi all'interno dell'area in rosso e a destra, oppure in basso, rispetto al pulsante iniziale. Se l’area di affiancamento non é in conflitto con altre aree di questo tipo, il bordo in rosso diventa un rettangolo verde. Ció significa che i pulsanti raggruppati verranno visualizzati come pulsante singolo.

  5. Se invece l’area di affiancamento é in conflitto con un’altra zona, PC-DMIS visualizza un messaggio per dichiarare che l’operazione non é possibile.

  6. Per eliminare una delle aree di affiancamento, fare clic con il tasto sinistro del mouse all’interno della regione contornata di verde (pulsanti affiancati).

Importante: quando si assegna una definizione di pulsante a un gruppo di pulsanti, è necessario selezionare il pulsante iniziale per il gruppo: questo é il pulsante piú a sinistra, se il gruppo é disposto orizzontalmente, o quello piú in alto, nel caso di un raggruppamento verticale. Questa operazione deve essere eseguita solo quando si assegna una definizione di pulsante; quando si utilizza Tastiera virtuale, non è necessario eseguirla.


Uso dei separatori nella tastiera virtuale per una migliore visualizzazione

È possibile modificare la disposizione di separatori e di spazi vuoti tra i pulsanti all’interno di una variante della tastiera virtuale, senza che questo modifichi la funzionalità della tastiera, ma soltanto per migliorarne l’effetto visivo e per organizzare meglio la disposizione.

  1. Creare o aprire un layout seguendo la procedura descritta nelle sezioni “Come creare una nuova tastiera virtuale “ e in “Come modificare una tastiera virtuale esistente”.

  2. Dall'elenco Modalità della finestra di dialogo Personalizza tastiera, selezionare Affianca pulsanti. I pulsanti della griglia del laytout di tastiera presenteranno a questo punto un bordino tratteggiato in blu.

  3. Fare clic con il tasto sinistro del mouse sui tratti blu, per mostrare o nascondere il separatore. Viene visualizzata una linea rossa che indica la posizione del separatore. Se si seleziona una linea orizzontale tra le file di pulsanti, il separatore sarà orizzontale e lungo quella linea. Selezionando una linea verticale tra le file di pulsanti, il separatore sarà invece verticale e lungo quella linea.

Operando in modalità Definizione tasti, come descritto nella sezione “Come Creare una nuova tastiera virtuale”, i separatori saranno linee blu.


Visualizzazione delle linee di percorso

Visualizza mappa percorsi dei menu

L'opzione di menu Vista | Linee di Percorso consente di tracciare il percorso corrente del tastatore nella Finestra di Visualizzazione Grafica. Per ulteriori informazioni, vedere "Visualizzazione e animazione delle linee del percorso" nella sezione "Modifica della visualizzazione CAD".


Utilizzo delle barre degli strumenti

Utilizzo delle barre degli strumenti: Introduzione

Barra degli strumenti Modalità grafiche

G rafica: Barra degli strumenti Visualizzazione grafica

Barra degli strumenti Impostazioni

Elenco Viste

Elenco Allineamenti

Elenco T astatori

Elenco Punte tastatore

Elenco Piani di lavoro

Elenco P iano

Barra degli strumenti Modalità Tastatore

Barra degli strumenti della finestra Modifica

Esegui programma

Seleziona elemento corrente

Seleziona tutto

Cancella selezioni

Imposta punto iniziale

Inserisci/Rimuovi punto di interruzione

Rimuovi tutti i punti di interruzione

Inserisci segnalibro

Segnalibro successivo

Cancella tutti i segnalibri

Modalità Riepilogo

Modalità Comando

Modalità DMIS

Taglia

Copia

Incolla

Incolla con pattern

Annulla

Ripristina

Stampa

Barra degli strumenti Dimensione

Barra degli strumenti Elementi costruiti

Barra degli strumenti Elementi automatici

Stima di elementi automatici

Stima per tipo di elemento

Barra degli strumenti Elementi misurati

Stima automatica del tipo di elemento

Forzatura di un determinato tipo di elemento

Operazioni file

Barra degli strumenti Riproduzione/Registrazione macro

Per registrare una macro:

Riproduzione di una macro registrata in precedenza

Barra strumenti della Tastiera Virtuale

Barra degli strumenti Modalità Touch Screen

Barra degli strumenti Procedure guidate

Codice sorgente delle procedure guidate (wizard)

Barra degli strumenti Bracci attivi

Barra degli strumenti Tavola rotante attiva

Barra degli strumenti Avvio rapido

Uso della finestra di dialogo Avvio rapido

A vvio rapido: Barra degli strumenti Misura

Avvio rapido: barra degli strumenti Costruzione

Avvio rapido: barra degli strumenti Dimensione

Avvio rapido: barra degli strumenti Allinea

Avvio rapido: barra degli strumenti Calibra / Modifica

Barra degli strumenti Layout finestra

Eliminazione dei layout utente salvati


Utilizzo delle barre degli strumenti: Introduzione

In PC-DMIS 3.2 e versioni successive sono disponibili numerose barre degli strumenti contenenti i comandi utilizzati più di frequente allo scopo di ridurre i tempi richiesti dalla programmazione del pezzo. È possibile accedere a queste barre degli strumenti in due modi.

  • Selezionare il menu secondario Visualizza | Barre degli strumenti e scegliere una barra degli strumenti dal menu visualizzato. Visualizza mappa percorsi di menu

  • Fare clic con il pulsante destro del mouse sull'area Barra degli strumenti di PC-DMIS e selezionare una barra strumenti dal menu di scelta rapida visualizzato.

Le barre degli strumenti fornite comprendono:

  • Barra degli strumenti Modalità grafiche

  • Barra degli strumenti Vista grafica

  • Barra degli strumenti Impostazioni

  • Barra degli strumenti Modalità Tastatore

  • Barra degli strumenti della finestra di modifica

  • Barra degli strumenti Dimensione

  • Barra degli strumenti Elementi costruiti

  • Barra degli strumenti Elementi automatici

  • Barra degli strumenti Elementi misurati

  • Barra degli strumenti Operazioni file

  • Barra degli strumenti Riproduzione/Registrazione macro

  • Barra degli strumenti della procedura guidata (wizard)

  • Barra degli strumenti Bracci attivi

  • Barra degli strumenti Tavola rotante attiva

  • Barra degli strumenti Avvio rapido

  • Barra degli strumenti Layout finestra

Le barre degli strumenti Modalità Stima, Lettura tastatore e Manuale/DCC ora fanno tutte parte della nuova barra degli strumenti Modalità Tastatore. Fare riferimento a "Barra degli strumenti Modalità Tastatore". Le icone Modalità Stima sono anche incluse nella casella strumenti tastatore, discussa in “Uso della casella strumenti tastatore” nella sezione “Uso di altre finestre, editor e strumenti”.


Barra degli strumenti Modalità grafiche

Visualizza mappa percorsi dei menu

La barra strumenti Modalità grafiche consente di modificare facilmente la visualizzazione del pezzo sullo schermo e di accedere alle modalità disponibili. Questa barra degli strumenti comprende le seguenti icone:

Icona |  | Descrizione
 | Imposta vista | Consente di modificare la visualizzazione del pezzo nella finestra di visualizzazione grafica. Fare riferimento a "Impostazione della vista dello schermo" nella sezione "Modifica della visualizzazione CAD".
 | Salva insieme viste | Salva la vista del pezzo come l’insieme di viste corrente che può essere richiamato in seguito. Fare riferimento a "Definizione e salvataggio di un insieme di viste" nella sezione "Inserimento di comandi rapporto".
 | Crea insieme di viste | Salva la vista del pezzo come un comando insieme di viste separato che può essere richiamato in seguito. Fare riferimento a "Definizione e salvataggio di un insieme di viste" nella sezione "Inserimento di comandi rapporto".
 | Adatta | Ingrandisce o riduce le viste dell'immagine nella finestra di visualizzazione grafica in modo da adattarle allo schermo. Vedere "Ridimensionamento in scala del disegno" nella sezione "Modifica della visualizzazione CAD".
 | Disegna superfici | Attiva/disattiva la visualizzazione di superfici CAD solide. Vedere "Ridimensionamento in scala del disegno" nella sezione "Modifica della visualizzazione CAD".
 | Aggiorna schermo | Aggiorna e ridisegna tutte le viste del pezzo. Fare riferimento a "Come ridisegnare lo schermo" nella sezione "Modifica della visualizzazione CAD".
 | Modalitá curva | Inserire PC-DMIS in modalitá Curva (per utilizzo con wire-frame). Fare riferimento a "Alternanza della modalità Curva e della modalità Superficie" nella sezione "Modifica della visualizzazione CAD".
 | Modalitá superficie | Inserire PC-DMIS in modalitá Superficie (per utilizzo con dati di superficie). Fare riferimento a "Alternanza della modalità Curva e della modalità Superficie" nella sezione "Modifica della visualizzazione CAD".
 | Modalità Traslazione | Attiva la modalità Traslazione di PC-DMIS. Fare riferimento a "Modalità Traslazione" nella sezione "Modifica della visualizzazione CAD".
 | Modalità Rotazione 2D | Ruota in due dimensioni il pezzo per la vista selezionata. Fare riferimento a "Modalità Rotazione 2D" nella sezione "Modifica della visualizzazione CAD".
 | Modalità Rotazione 3D | Ruota in tre dimensioni il pezzo per la vista selezionata. Fare riferimento a "Modalità Rotazione 3D" nella sezione "Modifica della visualizzazione CAD".
 | Modalità Programma | Utilizzare il tastatore online oppure offline per apprendere e modificare il part-program. Fare riferimento a "Modalità Programma" nella sezione "Modifica della visualizzazione CAD".
 | Modalità Casella di testo | Accede ai comandi del menu di scelta rapida delle caselle di testo Info punto ed Info dimensione e ad altri elementi dello schermo. Fare riferimento a "Modalità Casella di testo" nella sezione "Modalitá grafiche".
 | Modalitá Attrezzaggio rapido | Fornisce la possibilitá di muovere rapidamente attrezzaggio e pezzo facendo clic e trascinando entrambi con il mouse. Fare riferimento a "Inserimento di attrezzaggi rapidi" nella sezione "Definizione dell'hardware ".
 | Assieme | Visualizza una finestra che permette di visualizzare o nascondere parti all’interno di un assieme (una collezione di modelli di pezzi). Fare riferimento a "Operazioni con assiemi di pezzi" nella sezione "Modifica della visualizzazione CAD".
 | Sistema di coordinate | Visualizza la finestra di dialogo del sistema di coordinate CAD. Questa finestra di dialogo consente di creare dal nuovo un sistema di coordinate o di selezionarne uno esistente. Fare riferimento a "Operazioni con i sistemi di coordinate CAD" nella sezione "Modifica della visualizzazione CAD".
 | Illuminazione CAD | Applica illuminazione, tasselli e trasparenze a modelli CAD. Fare riferimento a "Applicazione di illuminazione e materiali alla visualizzazione CAD" nella sezione "Modifica della visualizzazione CAD" .
 | Elementi della grafica | Mostra e nasconde elementi diversi nella finestra di visualizzazione grafica. Fare riferimento a "Visualizzare e nascondere gli elementi grafici" nella sezione "Modifica della visualizzazione CAD".
 | Opzioni di rotazione | Modifica lo stile di visualizzazione nella finestra di visualizzazione grafica durante la fase di rotazione del pezzo. Fare riferimento a "Modifica della rotazione e di altre opzioni di movimento" nella sezione "Modifica della visualizzazione CAD".


Ad esempio, ripartendo lo schermo in tre viste, utilizzando l'icona della finestra di dialogo Imposta vista ...

l'icona della vista, che divide la finestra di visualizzazione grafica in tre parti o pannelli, ciascuno dei quali mostri una vista diversa

....facendo clic sulle icone della barra strumenti della Vista grafica sarà interessata soltanto la porzione in alto a sinistra (in blu) dello schermo.

Barra degli strumenti Vista grafica

Visualizza mappa percorsi dei menu

Barra degli strumenti Vista grafica

Attraverso la barra degli strumenti Vista grafica è possibile modificare in modo semplice e veloce la visualizzazione del pezzo all'interno della finestra di visualizzazione grafica. Queste icone hanno la stessa funzione delle icone presenti nella finestra di dialogo Imposta vista. Fare riferimento a "Impostazione della vista dello schermo" nella sezione "Modifica della visualizzazione CAD" per ulteriori informazioni sull'impostazione delle viste.

Se la finestra di visualizzazione grafica è stata configurata per mostrare più di una vista, le icone di questa barra degli strumenti avranno effetto solo sul pannelloblu nell'area Viste della finestra di dialogo Imposta vista .

Icona | Descrizione
 | Mostra la vista X+ del pezzo
 | Mostra la vista X- del pezzo
 | Mostra la vista Y+ del pezzo
 | Mostra la vista Y- del pezzo
 | Mostra la vista Z+ del pezzo
 | Mostra la vista Z- del pezzo
 | Mostra la vista isometrica del pezzo
 | Mostra la vista wireframe del pezzo
 | Mostra la vista superficie/solida del pezzo
 | Mostra o nasconde la Griglia 3D.


Barra degli strumenti Impostazioni

Visualizza mappa percorsi di menu
Barra degli strumenti Impostazioni

Nella barra degli strumenti Impostazioni sono disponibili diversi elenchi che consentono di passare con facilità tra le impostazioni riportate di seguito:

  • Viste salvate

  • Allineamenti predefiniti

  • Tipi di tastatore

  • Punte del tastatore predefinite

  • Piani di lavoro disponibili

  • Piani di proiezione

  • Interfacce CMM attive

Per modificare una finestra di visualizzazione, effettuare le seguenti operazioni:

  1. Selezionare l'elenco a discesa desiderato.

  2. Selezionare un elemento o un ID definito in precedenza.

Vedere anche:

Elenco delle viste

Elenco degli allineamenti

Elenco Tastatori

Elenco Punte tastatore

Elenco Piani di lavoro

Elenco dei piani

Working Plane ListProbe Tips ListAlignments ListView List


Elenco Viste

Nell'elenco Viste sono memorizzate le viste create e salvate mediante il part-program attivo.

Fare riferimento a "Impostazione della vista dello schermo" nella sezione "Modifica della visualizzazione CAD" e "Definizione e salvataggio di un insieme di viste" nella sezione "Inserimento di comandi rapporto".

Per utilizzare una vista salvata, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse sulla freccia verso il basso dell'elenco Viste.

  2. Fare clic con il pulsante sinistro del mouse.

  3. Spostare il puntatore del mouse sull'ID desiderato.

  4. Fare clic con il pulsante sinistro del mouse.

Quando PC-DMIS richiama una vista, non è possibile accedere alle altre funzioni disponibili.

La riga di comando della finestra di modifica è la seguente:
RICHIAMA/SET_VISTE, nome_insieme_viste

Nome_insieme_viste = nome dell'insieme di viste da richiamare.


Elenco degli allineamenti

Nell'elenco Allineamenti sono memorizzati gli allineamenti salvati in precedenza. Una volta selezionati, tali allineamenti possono essere inseriti nella finestra di modifica.

Per ulteriori informazioni su come creare e salvare gli allineamenti, vedere "Salvataggio di un allineamento" nella sezione "Creazione e uso degli allineamenti".

Per modificare l'allineamento, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse sulla freccia verso il basso dell'elenco Allineamenti.

  2. Fare clic con il pulsante sinistro del mouse. Viene visualizzato un elenco a discesa che consente di selezionare il nuovo allineamento.

È possibile determinare gli allineamenti visualizzati in questo elenco accedendo ad Allineamento nella finestra di modifica e modificando il valore per la parte ELENCO= del comando ALLINEAM/INIZIO. Per ulteriori informazioni, vedere "Creazione e uso degli allineamenti".


Elenco Tastatori

L'elenco Tastatori consente di selezionare i tastatori già definiti nel file del tastatore. PC-DMIS inserisce il comando CARIC TAST nella finestra di modifica.


Elenco Punte tastatore

Nell'elenco Punte tastatore vengono memorizzati gli angoli della punta del tastatore definiti in precedenza. Per ulteriori informazioni sulla modalità di creazione degli angoli della punta, vedere "Aggiungi angoli" nella sezione "Definizione dell'hardware".

Per modificare il numero di una punta, effettuare le seguenti operazioni:

  1. Scorrere l'elenco delle punte disponibili facendo clic sulla freccia rivolta verso il basso dell'elenco Punte tastatore.

  2. Fare clic con il pulsante sinistro del mouse sulla punta desiderata.


Elenco Piani di lavoro

Visualizza mappa percorsi di menu

L'elenco a discesa Piani di lavoro consente di modificare il piano di lavoro corrente. Tale finestra non consente di modificare la vista nella finestra di visualizzazione grafica, ma solo il piano di lavoro.

Di seguito è riportato un elenco dei piani di lavoro disponibili:

A=SUPERIORE | Grigio chiaro | Z+
B=DESTRO | Grigio | X+
C=POSTERIORE | Linee verticali | Y+
D=INFERIORE | Linee orizzontali | Z-
E=SINISTRO | Rosso | X-
F=FRONTALE | Cancella | Y-

Ad esempio, per impostare come piano di lavoro corrente il piano posteriore dell'immagine del pezzo, effettuare le seguenti operazioni:

  1. Posizionare il puntatore del mouse sulla freccia rivolta verso il basso dell'elenco Piani di lavoro.

  2. Selezionare Y+ dall'elenco a discesa per visualizzare il nuovo piano di lavoro.

Linee misurate e piani di lavoro

Creando una linea misurata, PC-DMIS si aspetta che i punti della linea siano rilevati secondo un vettore perpendicolare al piano di lavoro corrente.

Ad esempio, se il piano di lavoro corrente è Z+ (vettore 0,0,1) ed il pezzo ha la forma di un parallelepipedo, i punti dovranno essere rilevati su una faccia verticale del pezzo, frontale oppure laterale.

Se si desidera rilevare una linea sulla faccia superiore del parallelepipedo, sarà necessario impostare come piano di lavoro X+, X-, Y+ o Y-, a seconda della direzione della linea.

Fare riferimento alla sezione “Misurazione di una linea” per ulteriori informazioni.


Elenco dei piani

L'elenco Piano contiene un elenco degli elementi dei piani che sono stati creati nel part program. Per impostazione predefinita, PC-DMIS proietta ogni linea e cerchio misurato nell'area di lavoro corrente, pertanto la voce predefinita in questo elenco è Piano di lavoro. Tuttavia, dall'elenco è possibile selezionare un piano differente. PC-DMIS proietterà quindi la linea o il cerchio misurato nel nuovo piano selezionato.


Barra degli strumenti Modalità Tastatore

Visualizza mappa percorsi di menu

Barra degli strumenti Modalità Tastatore

La barra degli strumenti Modalità tastatore contiene le icone che consentono di selezionare le diverse modalità utilizzate dal tastatore corrente o dalla CMM. Le icone delle modalità disponibili sono descritte nella seguente tabella:

Icona |  | Descrizione
 | Modalità manuale | L’icona Modalità manuale consente di impostare PC-DMIS in modalità manuale. La modalità manuale consente di controllare manualmente i movimenti della macchina e le misure. La modalità manuale viene utilizzata su una macchina CMM manuale oppure durante la parte di allineamento manuale di un programma eseguito su una macchina CMM automatica. Selezionando questa icona viene inserito un comando MODAL/MANUALE nella finestra Modifica alla posizione corrente del cursore. I comandi della finestra di modifica successivi a questo comando sono eseguiti in modalità manuale.
 | Modalità DCC | L’icona Modalità DCC consente di porre PC-DMIS in modalità DCC. La modalità DCC fa sì che le macchine DCC eseguano automaticamente la misura del part program. Selezionando questa icona viene inserito un comando MODAL/MANUALE nella finestra Modifica, alla posizione corrente del cursore. I comandi della finestra di modifica successivi a questo comando sono eseguiti in modalità DCC.
 | Modalità di lettura | L’icona Modalità di lettura è disponibile se si utilizza una macchina LK. Essa pone il tastatore nella modalità di lettura. Fare riferimento a "Inserimento del tastatore in modalitá Lettura e Rileva punti" in "Uso di altre finestre, editor e strumenti" per ulteriori informazioni.
 | Modalità di presa punto | L’icona Modalità di presa punto è disponibile se si utilizza una macchina LK. Essa pone il tastatore nella modalità di presa punto. Fare riferimento a "Inserimento del tastatore in modalitá Lettura e Rileva punti" in "Uso di altre finestre, editor e strumenti" per ulteriori informazioni.
 | Modalità Sincronismo automatico superficiale | La modalitá di sincronismo automatico superficiale inserisce il comando AUTOTRIGGER nel part program. Fare riferimento a "Area sincronismo automatico" nella sezione "Impostazione delle preferenze" .
 | Modalità sincronismo automatico di bordo | La modalitá di sincronismo automatico di bordo inserisce il comando PIANO SCATTO nel part program. Fare riferimento a "Area sincronismo automatico su piano campione" nella sezione "Impostazione delle preferenze" .
 | Trova nominali in Modalitá CAD | L'icona Trova nominali in modalitá CAD seleziona la casella Trova nominali nella scheda Generale della finestra di dialogo Opzioni di impostazione . Fare riferimento a "Trova nominali" nella sezione "Impostazione delle preferenze" .
 | Modalità Solo punto | L'icona Modalitá Solo punto seleziona la casella Modalitá Solo punto nella scheda Generale della finestra di dialogo Opzioni di impostazione . Fare riferimento a "Modalitá Solo punto" nella sezione "Impostazione delle preferenze" .

Nota: nelle versioni precedenti di PC-DMIS erano presenti le icone di Stima piana e Stima circolare. Poiché l'algoritmo di stima di PC-DMIS é stato migliorato, a partire dalla versione 4.0 tali icone non sono piú necessarie.


Barra degli strumenti della finestra Modifica

Barra degli strumenti della finestra di modifica

Visualizza mappa percorsi dei menu

La barra degli strumenti della finestra Modifica consente di accedere in modo rapido alle funzioni più frequentemente utilizzate della finestra di modifica,

nonchè di gestire il contenuto della finestra di modifica in modo semplice e intuitivo e di accedere rapidamente ai seguenti comandi:

Vedere anche:

Esegui programma

Seleziona elemento corrente

Seleziona tutto

Cancella selezioni

Imposta punto iniziale

Inserisci/Rimuovi punto di interruzione

Rimuovi tutti i punti di interruzione

Inserisci segnalibro

Segnalibro successivo

Cancella tutti i segnalibri

Modalità Riepilogo

Modalità Comando

Modalità DMIS

Taglia

Copia

Incolla

Incolla con pattern

Annulla

Ripristina

Stampa

Execute Program Icon Mark Current Feature IconMark All IconClear MarkedInsert/Remove Breakpoint IconRemove All Breakpoints IconSet Start PointInsert Bookmark IconNext Bookmark IconClear All BookmarksSummary Mode IconCommand Mode IconDMIS Mode IconCut IconCopy IconPast IconPaste with PatternUndo IconRedo IconPrint Icon


Esegui programma

L'icona Esegui programma sulla barra strumenti consente di eseguire la misurazione degli elementi correntemente selezionati. Vedere "Esecuzione di part-program" nella sezione "Uso delle opzioni avanzate del menu File".


Seleziona elemento corrente

L'icona Seleziona elemento corrente della barra degli strumenti consente di selezionare l'elemento sul quale è posizionato il cursore per l'esecuzione. Per ulteriori informazioni, fare riferimento a "Seleziona " nella sezione "Modifica di un part program" .


Seleziona tutto

L'icona Seleziona tutto della barra degli strumenti consente di evidenziare tutti gli elementi presenti nella finestra di modifica. PC-DMIS richiederà se si desidera evidenziare anche gli elementi utilizzati per l'allineamento. Per ulteriori informazioni, fare riferimento a "Seleziona tutto" nella sezione "Modifica di un part program" .


Cancella selezioni

L'icona Cancella selezioni della barra strumenti rimuove tutte le evidenziazioni dagli elementi attualmente selezionati nella finestra di modifica. Fare riferimento a "Seleziona tutto" nella sezione "Modifica di un part program" per ulteriori informazioni.


Imposta punto iniziale

L’icona della barra strumenti Imposta punto iniziale consente di impostare il punto iniziale del braccio attivo in apprendimento. Nella finestra Modifica, fare clic sul comando che si desidera utilizzare come punto iniziale, quindi fare clic sull’icona della barra degli strumenti Punto iniziale. Il braccio corrente inizia la sua attività dal comando corrispondente al punto di inserimento. È possibile anche impostare il punto iniziale facendo clic col tasto destro del mouse su un comando e scegliendo Imposta punto iniziale dal menu. Fare riferimento alla sezione "Uso della Modalità Bracci multipli" per ulteriori informazioni.

Fare riferimento a "Impostazione di punti iniziali" nella sezione "Modifica di un part program" per ulteriori informazioni.


Inserisci/Rimuovi punto di interruzione

L'icona Inserisci punto di interruzione della barra degli strumenti consente di inserire un punto di interruzione in corrispondenza della posizione corrente del cursore nel part-program. Per ulteriori informazioni, vedere "Uso dei punti di interruzione" nella sezione "Modifica di un part-program".


Rimuovi tutti i punti di interruzione

L'icona Rimuovi tutti i punti di interruzione della barra strumenti consente di rimuovere i punti di interruzione presenti nel part-program. Per ulteriori informazioni, fare riferimento a "Rimuovi tutto" nella sezione "Modifica di un part program" .


Inserisci segnalibro

L'icona Inserisci segnalibro della barra degli strumenti consente di inserire un segnalibro nel punto in cui è posizionato il cursore nel part-program. Per ulteriori informazioni, vedere "Aziona segnalibri" nella sezione "Modifica di un part-program".


Segnalibro successivo

L'icona Segnalibro successivo della barra degli strumenti consente di spostare il cursore alla posizione successiva contenente un segnalibro nel part-program. Fare riferimento a "Segnalibro successivo" nella sezione "Modifica di un part program" per ulteriori informazioni.


Cancella tutti i segnalibri

L'icona Cancella segnalibro della barra degli strumenti consente di rimuovere i segnalibri dal part-program. Per ulteriori informazioni, vedere "Cancella tutti i segnalibri" nella sezione "Modifica di un part-program".


Modalità Riepilogo

L'icona Modalità Riepilogo della barra strumenti consente di attivare la modalità Riepilogo nella finestra Modifica. Questa modalità consente di visualizzare tutti gli elementi e i comandi nel part-program sotto forma di riepilogo che è possibile espandere o comprimere. Consente inoltre di apportare alcune piccole modifiche. Fare riferimento a "Operazioni in Modalità Riepilogo" nella sezione "Uso della finestra di modifica" .


Modalità Comando

L'icona Modalità Comando della barra degli strumenti consente di attivare la modalità Comando nella finestra di modifica. Tale modalità consente di accedere a vari comandi che permettono di modificare diversi aspetti del part-program. Vedere "Uso della modalità Comando" nella sezione "Uso della finestra di modifica".


Modalità DMIS

L'icona Modalità DMIS della barra degli strumenti consente di visualizzare i comandi della finestra di modifica in formato DMIS. Questa modalità consente di utilizzare la sintassi DMIS. Se questa icona non è presente sulla barra degli strumenti, selezionare la casella Usa pulsante DMIS nella finestra di modifica, nella finestra di dialogo Opzioni di impostazione, nella scheda Generale. Vedere "Opzioni di impostazione: scheda Generale " nella sezione "Impostazione delle preferenze" .

  • Per informazioni sulla conversione dei comandi DMIS (formato standard dei comandi di PC-DMIS) in comandi DMIS, fare riferimento al documento PC-DMIS - Documentazione di Supporto per DMIS, disponibile al seguente indirizzo: ftp://wilcoxassoc.com/docs/dmis_support.zip.

  • Per informazioni su DMIS, visitare il sito http://www.dmis.com.

Vedere "Uso della modalità Comando" nella sezione "Uso della finestra di modifica".


Taglia

L'icona Taglia della barra degli strumenti consente di tagliare testo e oggetti presenti nella finestra di modifica e di collocarli temporaneamente negli Appunti. Fare riferimento a "Taglia" nella sezione "Modifica di un part program" per ulteriori informazioni.


Copia

L'icona Copia della barra degli strumenti consente di copiare testo e oggetti contenuti nella finestra di modifica e di collocarli temporaneamente negli Appunti per incollarli in un secondo momento. Fare riferimento a "Copia" nella sezione"Modifica di un part program" per ulteriori informazioni.


Incolla

L'icona Incolla della barra degli strumenti consente di incollare le informazioni presenti negli Appunti nel punto in cui è posizionato il cursore. Per ulteriori informazioni, fare riferimento a "Incolla" nella sezione "Modifica di un part program" .


Incolla con pattern

L'icona Incolla con pattern della barra degli strumenti consente di incollare, nel punto del part-program in cui è posizionato il cursore, le matrici di elementi con i relativi offset. Per ulteriori informazioni, fare riferimento a "Modifica di matrici di elementi" nella sezione "Modifica di un part-program".


Annulla

L'icona Annulla della barra degli strumenti consente di annullare l'ultima azione eseguita nella finestra Modifica. Per ulteriori informazioni, fare riferimento a "Annulla " nella sezione "Modifica di un part program" .


Ripristina

L'icona Ripristina della barra degli strumenti ripete l'azione annullata usando Annulla. Per ulteriori informazioni, fare riferimento a "Ripristina " nella sezione "Modifica di un part program" .


Stampa

L'icona Stampa della barra degli strumenti consente di inviare immediatamente il rapporto del contenuto corrente della finestra di modifica alla stampante predefinita, senza visualizzare alcuna finestra di dialogo.


Barra degli strumenti Dimensione

Visualizza mappa percorsi dei menu

La barra degli strumenti Dimensione consente di utilizzare icone per accedere rapidamente alle opzioni disponibili nel menu Dimensione.

Icona | Descrizione
 | Posizione
 | Posizione reale
 | Distanza
 | Angolo tra
 | Concentricità
 | Coassialità
 | Circolarità
 | Cilindricità
 | Linearità
 | Planarità
 | Perpendicolarità
 | Parallelismo
 | Oscillazione totale
 | Oscillazione circolare
 | Profilo superficie
 | Profilo lineare
 | Angolarità
 | Simmetria
 | Digitazione


Barra degli strumenti Elementi costruiti

Visualizza mappa percorsi dei menu

La barra strumenti degli Elementi costruiti consente di utilizzare le icone per accedere rapidamente alle opzioni di costruzione di elementi disponibili nel menu Costruito.

Icona | Descrizione
 | Punto
 | Linea
 | Piano
 | Cerchio
 | Ellisse
 | Alloggiamento
 | Curva
 | Cilindro
 | Cono
 | Sfera
 | Superficie
 | Insieme di elementi
 | Filtro gaussiano
 | Generico

Per informazioni su questi elementi, vedere le sezioni "Costruzione di nuovi elementi da elementi esistenti" e "Creazione di elementi generici".

Per informazione sull’inserimento di comandi Leggi punti, fare riferimento alla documentazione disponibile nella sezione "Creazione di elementi generici”.


Barra degli strumenti Elementi automatici

Visualizza mappa percorsi dei menu

La barra strumenti Elementi automatici consente di accedere facilmente agli stessi elementi disponibili nelle varie schede della finestra di dialogo Elementi automatici. PC-DMIS può altresì fare una stima del tipo di elemento, sulla base dei punti rilevati.

PC-DMIS determina quali elementi automatici sono abilitati nella barra strumenti e nel menu in base al tipo di tastatore abilitato ed alle impostazioni del portlock. Se non si ha un tastatore non contatto abilitato, le icone del Punto caratteristica e quelle dell’Asola traferro non sono abilitate.

Quando si fa clic su un'icona dell'elemento automatico, nella finestra di dialogo Elementi automatici viene aperta automaticamente la scheda relativa a tale elemento.

Per creare l'elemento automatico, premere il tasto FINE oppure scegliere il pulsante Crea nella finestra di dialogo Elemento automatico. Prima di creare l'elemento è possibile rimuovere i punti dal buffer dei punti premendo la combinazione di tasti ALT + '-'.

Suggerimento:Fare clic sul pulsante Riduci a icona della finestra di dialogo Elemento automatico. Questo permette di nascondere la finestra di dialogo Elemento automatico e di creare l'elemento automatico selezionato.

Vedere anche:

Stima di elementi automatici


Stima di elementi automatici

L'icona Stima consente di velocizzare la generazione del part-program. Quando si seleziona questa icona non viene visualizzata alcuna finestra di dialogo e PC-DMIS effettuerà una stima del tipo di elemento sulla base dei punti presi. Per eseguire una stima:

  • È necessario disporre dei dati delle superfici CAD.

  • È necessario selezionare l'icona Modalità Superficie.

  • È necessario un tastatore a contatto. La stima degli elementi non è supportata con i tastatori ottici.

Nota:i dati wire-frame CAD possono risultare molto utili e velocizzare la generazione degli elementi. Ad esempio, se si utilizzano solo dati di superfici, PC-DMIS necessita di tre punti per riconoscere un cerchio. Tuttavia, se si utilizzano dati wire-frame, sarà necessario un solo punto.

Vedere anche:

Stima per tipo di elemento


Stima per tipo di elemento

Le seguente tabella definisce il numero di punti da prendere e la posizione in cui prenderli affinché PC-DMIS riconosca il tipo di elemento specificato quando si utilizza l'icona Stima.

Icona

Tipo di elemento

Numero di punti per effettuare la stima del tipo di elemento

Posizioni dei punti per effettuare la stima del tipo di elemento

Punto vettore

Uno

Punto superficie

Due

Punto di bordo

Linea e superficie: Uno

Un punto vicino al bordo.

Punto di angolo

Due

Un punto su una superficie e uno sull'altra, a una distanza non superiore a 90°.

Punti caratteristica

La modalità Stima non è disponibile per questo tipo di elemento.

Punto diagonale

Tre

Una volta su ciascuna delle tre superfici.

Solo superficie: Due

Un punto sulla superficie superiore. Un punto sulla superficie di bordo a circa 90° dalla parte superiore.

Punto massimo

Uno

Linea

La modalità Stima non è disponibile per questo tipo di elemento.

Piano

La modalità Stima non è disponibile per questo tipo di elemento.

Cerchio

Linea e superficie:
Uno

Un punto sulla superficie superiore vicino al bordo del cerchio o dell'arco.

Solo superficie:
Tre

Tre punti sulla superficie superiore vicino al bordo del cerchio o dell'arco.

Ellisse

Cinque

Cinque punti intorno all'ellisse.

Asola quadrata

Quattro

Quattro punti sulla superficie superiore vicino al bordo dell'asola.

Asola rotonda

Linea e superficie:
Due

Un punto sulla superficie superiore vicino al bordo dell'arco e uno vicino all'arco opposto.

Solo superficie:
Sei

Tre punti sulla superficie superiore vicino al bordo dell'arco e tre vicini all'arco opposto.

Tacca

Cinque

Due punti sul lato opposto all'apertura della tacca. Un punto su un lato parallelo della tacca. Un punto sull'altro lato. Un punto sul bordo aperto.

Poligono

Linea e superficie: Uno

Una rilevazione all'interno o all'esterno del lato del poligono.

Cilindro

Linea e superficie: Due

Un punto sulla superficie superiore vicino al bordo del cerchio o dell'arco e uno a lato del cilindro.

Solo superficie:
Quattro

Tre punti sulla superficie superiore vicino al bordo del cerchio o dell'arco e uno a lato del cilindro.

Cono

Filo e superficie o solo superficie:
Quattro

Tre punti sulla superficie superiore vicino al bordo del cerchio o dell'arco e uno sul lato del cono.

Se PC-DMIS rileva un angolo superiore a 2 gradi dal quarto punto al cerchio calcolato dai primi tre punti, l'elemento viene interpretato come cono; altrimenti, viene interpretato come cilindro.

Sfera

Cinque

Cinque punti sulla superficie della sfera.

Traferro e A livello

La modalità Stima non è disponibile per questo tipo di elemento.

Solo filo:
Due

Un punto vicino al primo cerchio o arco (prima estremità del cono). Un punto vicino al secondo cerchio o arco (l'altra estremità del cono). PC-DMIS controlla se i cerchi si trovano l'uno sull'altro. In questo caso, l'elemento viene interpretato come cono; altrimenti, viene interpretato come asola rotonda.

Stima

Variabile. Per informazioni su questa icona, consultare la parte iniziale di questo argomento.


Barra degli strumenti Elementi misurati

Visualizza mappa percorsi dei menu

La barra strumenti Elementi misurati consente di attivare la stima automatica e di visualizzare il tipo di elemento per il quale vengono presi i punti oppure di forzare il programma ad accettare un determinato tipo di elemento.

Vedere anche:

Stima automatica del tipo di elemento

Forzatura di un determinato tipo di elemento


Stima automatica del tipo di elemento

Se si seleziona l'icona Modalità Stima, verrà visualizzata un'icona corrispondente al tipo di elemento risultante dopo la selezione di ciascun punto. Ciò consente di visualizzare un'anteprima del tipo di elemento prima dell'effettiva creazione.

Ad esempio, quando si misura un cilindro, vengono presi due set di quattro punti a due diversi livelli lungo l'altezza del perno. Quando si prendono quattro punti su un unico livello, nella finestra di visualizzazione grafica viene visualizzata un'icona Cerchio che corrisponde al tipo di elemento. Dopo aver preso il secondo livello di punti, verrà visualizzata un'icona Cilindro.


Forzatura di un determinato tipo di elemento

Le icone del tipo di elemento su questa barra degli strumenti consentono di forzare il programma ad accettare il tipo di elemento selezionato.

Icona | Descrizione
 | Forza PC-DMIS ad accettare il tipo di elemento Punto
 | Forza PC-DMIS ad accettare il tipo di elemento Linea
 | Forza PC-DMIS ad accettare il tipo di elemento Piano
 | Forza PC-DMIS ad accettare il tipo di elemento Cerchio
 | Forza PC-DMIS ad accettare il tipo di elemento Cilindro
 | Forza PC-DMIS ad accettare il tipo di elemento Cono
 | Forza PC-DMIS ad accettare il tipo di elemento Sfera

Se si prendono punti in Modalità Stima (utilizzando l'icona Modalità Stima) e PC-DMIS visualizza il tipo di elemento errato, fare clic sull'icona dell'elemento corretto per forzare il programma ad accettarlo. L'elemento non verrà aggiunto al part-program fino a quando non viene creato premendo il tasto FINE. Per rimuovere punti, premere il tasto '-' o ALT + '-'.

Ad esempio, se si seleziona l'icona Cerchio, il programma verrà forzato ad accettare il tipo di elemento cerchio purché venga preso il numero minimo di punti.


Operazioni file

Barra degli strumenti Operazioni su file

Visualizza mappa percorsi dei menu

La barra degli strumenti Operazioni file consente di eseguire velocemente alcune delle operazioni più comuni sui file. Questa barra degli strumenti include le seguenti icone.

Icona |  | Descrizione
 | Apri | Apre un part-program esistente
 | Nuovo | Crea un nuovo part-program
 | Chiudi | Chiude il part-program attivo
 | Esci | Consente di uscire da PC-DMIS
 | Salva | Salva il part-program corrente
 | Salva come | Salva il part-program corrente con un altro nome

Per informazioni dettagliate su queste operazioni eseguite sui file, fare riferimento a "Uso delle opzioni di base del menu File" e "Uso delle opzioni avanzate del menu File".


Barra degli strumenti Riproduzione/Registrazione macro

Visualizza mappa percorsi dei menu

La barra degli strumenti Reg./Rip macro consente di registrare, riprodurre e interrompere le macro, semplicemente facendo clic su un'icona. È possibile registrare e riprodurre facilmente macro personalizzate create per eseguire attività ripetitive o di routine.

In PC-DMIS, una macro è la registrazione di una serie di tasti e di spostamenti del mouse che verranno riprodotti per eseguire automaticamente un'attività.

Suggerimento: è possibile utilizzare la casella Posizioni fisse finestra di dialogo quando si opera con le macro. Questa casella di controllo mantiene tutte le finestre di dialogo in posizioni impostate fisse. Fare riferimento a "Posizioni fisse finestra di dialogo" nella sezione "Impostazione delle preferenze".

Vedere anche:

Registrazione di una macro

Riproduzione di una macro registrata in precedenza


Per registrare una macro:

  1. selezionare l'icona Registra. Viene visualizzata la finestra di dialogo Registra in file macro.

Finestra di dialogo Registra in file macro

  2. Inserire il nome del file nella casella Nome file usando l'estensione *.mac.

  3. Fare clic sul pulsante Apri. La finestra di dialogo Registra in file macro verrà chiusa e l'icona Registra inizierà a lampeggiare. Ciò indica che PC-DMIS sta registrando tutte le operazioni eseguite mediante la tastiera o il mouse.

  4. Creare la macro desiderata registrando le operazioni eseguite mediante la tastiera o con il mouse.

  5. Fare clic sull'icona Interrompi [image] al termine dell'operazione.


Riproduzione di una macro registrata in precedenza

  1. Selezionare l'icona Riproduci [image]. Viene visualizzata la finestra di dialogo Riproduci file macro.

Finestra di dialogo Riproduci file macro

  2. Passare alla cartella nella quale sono memorizzati i file della macro.

  3. Selezionare la macro desiderata.

  4. Fare clic sul pulsante Apri.

L'icona Riproduci [image] inizierà a lampeggiare, indicando che PC-DMIS sta riproducendo la macro richiesta. Verranno eseguiti i comandi selezionati durante la registrazione della macro.


Barra degli strumenti Tastiera virtuale

Visualizza mappa percorsi di menu

La barra degli strumenti Visualizza | Barre degli strumenti | Tastiera Virtuale consente di usare e personalizzare una tastiera virtuale al posto di una tastiera fisica. La tastiera funziona come ogni normale tastiera e può essere utilizzata insieme ad un mouse o ad un monitor di tipo touch screen. Essa è inoltre utile in quegli ambienti operativi dove non conviene far uso di una tastiera fisica.

Esempio di tastiera virtuale – Tastiera di tipo 1

Le icone della barra degli strumenti Tastiera virtuale sono descritte di seguito:

Icona

Descrizione

Questa icona mostra e nasconde la Tastiera virtuale. La Tastiera virtuale si presenta automaticamente come finestra flottante sulla finestra principale di PC-DMIS. PC-DMIS visualizza inoltre una icona sulla barra delle attività di Windows:

Come tutti i programmi di Windows, la selezione di questa icona di programma selezionerà il programma Tastiera virtuale.

Questa icona mostra la finestra di dialogo Personalizza tastiera che consente di creare la versione personalizzata della Tastiera virtuale. Fare riferimento alla sezione "Creazione di una nuova variante di tastiera virtuale" per ulteriori informazioni.

La freccia a scorrimento a destra dell'icona Personalizza mostra un elenco a discesa simile al menu descritto nella sezione "Accesso ai vari tipi di tastiera virtuale".

Consultare "Uso della tastiera virtuale" nella sezione "Uso di altre finestre, editor e strumenti", per ulteriori informazioni.


Barra degli strumenti Modalità Touch Screen

Visualizza mappa percorsi di menu

La barra degli strumenti Modalità Touch Screen consente di definire come i vari modi di toccare lo schermo vengono interpretati internamente dal programma. Essa è utile in quegli ambienti operativi dove non conviene far uso di un mouse.

L’icona Modalità Clic sinistro, che è la selezione predefinita, interpreta il tocco sul monitor come clic con il tasto sinistro del mouse.

L’icona Modalitá Clic destro interpreta il tocco sul monitor come clic con il tasto destro del mouse. Appena toccato lo schermo, il sistema ritornerà automaticamente alla Modalità Clic sinistro.

Per informazioni sull'utilizzo della barra degli strumenti Modalità Touch Screen, fare riferimento alle esercitazioni fornite con la macchina Brown and Sharpe "One".


Barra degli strumenti della procedura guidata (wizard)

Visualizza mappa percorsi di menu

Le icone di questa barra strumenti sono inizialmente legate ad applicazioni esterne, installate insieme a PC-DMIS. Tali procedure hanno due finalità:

  1. semplificare l'utilizzo del prodotto per i nuovi utenti che stanno ancora imparando a utilizzare l'applicazione.

  2. Dimostrare le caratteristiche di flessibilità e personalizzazione di PC-DMIS.

Le procedure guidate disponibili sono:

Icona

Descrizione

Guida allineamento3-2-1 – Questa procedura guida l'utente attraverso la realizzazione di due semplici tipi di allineamento, ovvero un allineamento 321 e un allineamento a due cerchi.

Procedura guidata Importazione CAD – Consente di importare uno o più modelli CAD nel part program corrente. Selezionare l’icona; apparirà una finestra di dialogo. Selezionare uno o più file da importare e fare clic su Apri.

Procedura guidata Modifica dei campi dati – Questa procedura consente la sostituzione di alcuni campi della finestra Modifica che non sono modificabili nella finestra Sostituisci. Fare riferimento a "Modifica dei campi dati" nella sezione "Modifica di un part program" .

Procedura guidata Output DMIS - Consente di esportare i file di part-program come file DMIS.

Procedura guidata Allineamento iterativo – Questa procedura consente di creare un allineamento iterativo e illustra le regole relative ai dati di input.

Procedura guidata Esecuzione multipla - Consente di eseguire facilmente in loop un part-program, per un numero finito di volte, oppure indefinitamente (fino a che l'operatore annulla l'esecuzione). È anche possibile scegliere il messaggio specifico da visualizzare tra le iterazioni.

Procedura guidata PCD2Excel – Questa procedura consente di esportare i dati di un part program PC-DMIS in un file Microsoft Excel scelto dall'operatore. Per configurare le opzioni della guida, fare clic su Configura. La maggior partre delle opzioni presenti nella finestra di dialogo si spiegano da sé.

Se la casella Usa STAT/ON e STAT/OFF è selezionata, è necessario includere i comandi di dimensione (o dimensione Feature Control Frame) tra STATS/ON e STATS/OFF nel programma, altrimenti la procedura guidata non esporterà i dati nel file Excel. Deselezionando la casella di controllo, tutti i comandi di dimensione verranno esportati nel file Excel. Fare riferimento alla sezione "Registrazione dei dati statistici" .

Inoltre, selezionando la casella di controllo Ignora FCF, PC-DMIS non trasferirà i comandi di Feature Control Frame al file Excel. Fare riferimento alla sezione "Utilizzo di FCF (Feature Control Frame)" .

Procedura guidata Tastatore – Questa procedura consente la definizione di un tastatore e la calibrazione del nuovo tastatore definito.

Procedura guidata Database - Consente di creare facilmente e registrare i database ODBC. Ciò è possibile soltanto se nella chiave hardware (portlock) è stata configurata l'opzione Stat. integrate.

Vedere anche:

Codice sorgente delle procedure guidate (wizard)


Codice sorgente delle procedure guidate (wizard)

Le procedure guidate sono state sviluppate con Microsoft Visual Basic© e le funzioni di automazione di PC-DMIS. Il codice sorgente e i file di progetto utilizzati per crearle sono inclusi nella sottodirectory delle procedure guidate della directory di installazione di PC-DMIS. È possibile utilizzare tale codice se si desidera estendere le funzionalità di PC-DMIS o creare applicazioni personalizzate che si interfacciano con PC-DMIS. È anche possibile modificare le procedure guidate per eseguire altre funzioni non incluse nell'applicazione originale.


Barra degli strumenti Bracci attivi

Visualizza mappa percorsi dei menu

La barra degli strumenti Bracci attivi contiene le icone che corrispondono ai bracci multipli. L'icona Braccio 1 attivo (pulsante della barra strumenti con il numero uno) corrisponde al braccio 'Master'. L'icona Braccio 2 attivo indica il braccio 'Slave'. Soltanto un braccio alla volta può essere attivo. L'icona attiva è quella selezionata.

È possibile eseguire i comandi collegati a un braccio specifico anche facendo clic sull’icona con il segno di spunta colorato che corrisponde al braccio attivo.

Attualmente, la barra degli strumenti Bracci attivi è disponibile solo dopo aver installato sul sistema il pacchetto aggiuntivo Modalità Bracci multipli.

É anche possibile visualizzare la barra strumenti accedendo all'opzione di menu Operazione | Modalitá Multibraccio .

Per ulteriori informazioni sull'impostazione e l'utilizzo di macchine CMM a bracci multipli, vedere la sezione "Uso della modalità Bracci multipli". Fare riferimento anche all’argomento "Come associare un commando ad un braccio" nella stessa sezione, per ulteriori informazioni sull’uso della barra degli strumenti.


Barra degli strumenti Tavola rotante attiva

Visualizza mappa percorsi dei menu

La barra degli strumenti Tavola rotante attiva consente di selezionare quale delle due tavole rotanti è quella attiva. Questa barra strumenti resta disabilitata fino a quando non si selezioni una tavola rotante attraverso l'opzione di menu Modifica | Preferenze | Imposta tavola rotante . Per ulteriori informazioni, vedere "Definizione della tavola rotante" nella sezione "Impostazione delle preferenze".


Barra degli strumenti Avvio rapido

Visualizza mappa percorsi di menu

La barra degli strumenti Avvio rapido (Visualizza | Barre degli strumenti | Avvio rapido) consente la creazione rapida di un semplice part program. Ciò è possibile mediante finestre di dialogo che aiutano a definire o calibrare un tastatore, allineare il pezzo, misurare elementi, costruire elementi aggiuntivi ed a dimensionare elementi esistenti.

Per accedere ad uno qualsiasi di questi elementi, passare con il mouse sopra l'icona desiderata. Se l'icona punta a sotto-procedure, verrà visualizzata un'altra barra strumenti a lato dell'icona selezionata. Dalla nuova barra strumenti è possibile selezionare una procedura specifica.

Icone della barra degli strumenti Avvio rapido

La barra degli strumenti Avvio rapido contiene le seguenti icone:

Calibra /Modifica - Questa icona non visualizza alcuna barra degli strumenti. Essa consente invece di visualizzare la finestra di dialogo Utility tastatore. È possibile utilizzare questa finestra di dialogo per definire un tastatore e per calibrarne le punte.

Allineamenti - Questa icona visualizza la barra degli strumenti Allinea. Da questa barra degli strumenti è possibile scegliere una delle procedure di allineamento disponibili.

Misura - Questa icona visualizza la barra degli strumenti Misura di Avvio rapido. Da questa barra degli strumenti è possibile scegliere una delle procedure di misura disponibili.

Costruzione - Questa icona visualizza la barra degli strumenti Costruzione di Avvio rapido. Daquesta barra degli strumenti è possibile scegliere una delle procedure di costruzione disponibili.

Dimensione - Questa icona visualizza la barra degli strumenti Dimensione di Avvio rapido. Da questa barra strumenti è possibile scegliere una delle procedure di dimensionamento disponibili.

Ripristina - Questa icona abbandona la modalitá Avvio rapido per tornare alla modalitá stima.

Generalitá sull'interfaccia di Avvio rapido:

Nelle versioni 3.5 e 3.7 la barra degli strumenti Avvio rapido era separata dalla finestra di dialogo Avvio rapido. Nella presente versione tuttavia, per conservare gli elementi della visualizzazione, la barra degli strumenti Avvio rapido è agganciata alla relativa finestra di dialogo. Ciò significa che, ogniqualvolta si seleziona la barra degli strumenti Avvio rapido viene automaticamente visualizzata la finestra di dialogo Avvio rapido.

Barra degli strumenti e finestra di dialogo Avvio rapido

Inoltre:

  • passando con il mouse su un elemento specifico della finestra o della barra, se ne ottiene la descrizione in una stringa.

  • È possibile ancorare o sganciare la finestra di dialogo Avvio rapido dall'angolo sinistro dello schermo, facendo clic sulla barra del titolo e poi trascinandola e rilasciandola.

  • Le istruzioni delle procedure di Avvio rapido non sono più presenti nella finestra di dialogo Avvio rapido, ma sono visualizzate sulla barra di stato nella parte inferiore dello schermo. Se la stringa delle istruzioni è più lunga della barra di stato, PC-DMIS la farà scorrere da sinistra a destra. Muovendo il mouse nella finestra di dialogo Avvio rapido, lo scorrimento della stringa delle istruzioni ripartirà dall'inizio.

  • A questo punto è possibile selezionare gli elementi di input da usare nelle diverse procedure, facendo clic sull'elemento nella finestra Modifica oppure nella finestra di visualizzazione grafica.

  • PC-DMIS contiene una finestra di stato. In questa finestra è possibile visualizzare in anteprima una dimensione oppure, in Modalità Stima, l'anteprima di un elemento misurato, prima di fare clic sul pulsante Fine ed inserire nel part program la dimensione o l'elemento stesso. Fare riferimento a "Uso della finestra di stato" nella sezione "Uso di altre finestre, editor e strumenti" .

Importante: abilitando la finestra e la barra strumenti Avvio rapido alcuni comandi sono disabilitati. Ad esempio, non è possibile eliminare, copiare o selezionare elementi e non sarà possibile neanche eseguire il part program. Per effettuare queste ed altre operazioni occorre prima chiudere la barra e la finestra Avvio rapido.

Vedere anche:

Uso della finestra di dialogo Avvio rapido

Avvio rapido: barra degli strumenti Misura

Avvio rapido: barra degli strumenti Costruzione

Avvio rapido: barra degli strumenti Dimensione

Avvio rapido: barra degli strumenti Allinea

Avvio rapido: barra degli strumenti Calibra / Modifica


Uso della finestra di dialogo Avvio rapido

Molte delle icone presenti sulle barre degli strumenti richiedono l'utilizzo della finestra di dialogo Avvio rapido per l'esecuzione delle operazioni ad esse associate.

FInestra di dialogo Avvio rapido

Finestra di dialogo Avvio rapido

In questa sezione sono descritti gli elementi presenti nella finestra di dialogo e l'utilizzo di tale finestra per l'esecuzione di varie operazioni.

Elemento della finestra di dialogo

Descrizione

Rappresentazione grafica

Per ogni operazione che utilizza la finestra di dialogo Avvio rapido, PC-DMIS visualizza due icone. La procedura corrente e il passo corrente di questa a sinistra, oppure, a destra, l'elemento corrente stimato.

Nell'esempio mostrato a sinistra, l'icona con il punto interrogativo mostra che PC-DMIS sta operando in Modalità Stima. L'icona Punto, a destra, significa che con una sola rilevazione verrà creato un elemento punto. L'icona sulla destra cambierà in linea se si rileva un altro punto.

Esempio di ID elemento

ID

L'ID definisce univocamente l'elemento. Un ID viene visualizzato nella finestra quando viene selezionata la procedura appropriata.

Vedere "ID" nella sezione "Navigazione nell'interfaccia utente".

Elenco Sovrascritture elemento

Sovrascrittura elemento

Questo elenco consente di sovrascrivere la misura dell'elemento stimato, sostituendovi il tipo di elemento selezionato. Ad esempio, rilevando quattro punti, PC-DMIS ipotizza un piano, tuttavia, selezionando un Cerchio dall'elenco, verrà invece creato un cerchio.

Fare riferimento a "Sovrascrittura di un elemento misurato stimato" nella sezione "Creazione di elementi misurati".

Numero di punti rilevati / richiesti

Numero di punti presi

Questa visualizzazione riporta a destra della barra i punti necessari per misurare l'elemento e a sinistra della barra i punti correnti rilevati. È possibile rilevare un numero di punti maggiore del minimo: in tal caso il numero a sinistra della barra sarà maggiore di quello a destra.

Memorizza movimento

L'icona Memorizza movimento consente di memorizzare facilmente punti di movimento nel part program. Facendo clic su questa icona, PC-DMIS legge la quota corrente del tastatore ed inserisce il comando MOVIM/PUNTO nella finestra Modifica.

Fare riferimento a "Inserimento di un comando di movimento puntuale" nella sezione "Inserimento di comandi di movimento".

Stima

Se questa icona viene visualizzata nella finestra di dialogo, allora PC-DMIS si trova in Modalità Stima. PC-DMIS ritornerà in questa modalità operativa quando si termina la costruzione o l'allineamento di un elemento dalla finestra di dialogo Avvio rapido.

Selezionando l'iconaModalità Stima dall'Avvio rapido: la barra degli strumenti Misura riporterà PC-DMIS in Modalità Stima.

L'icona Stima consente, a seconda del numero di punti presi, di eseguire la stima del tipo di elemento corretto che si tenta di misurare e di eseguire un aggiornamento dinamico della finestra di dialogo Avvio rapido in base a tale elemento.

Ad esempio, selezionando due punti in Modalità Stima, la finestra di dialogo Avvio rapido viene aggiornata come elemento linea. Se si prendono quattro punti, la finestra viene aggiornata ad elemento cerchio, con otto punti a cilindro e così via.

Fare riferimento a "Stima di un tipo di elemento misurato" nella sezione "Creazione di elementi misurati" .

Esempio di finestra dei risultati

Risultati

La finestra Risultati mostra i risultati di tutti i passi della procedura di misurazione. Ad esempio, se un utente desidera eseguire un allineamento Piano - Linea - Linea, la casella dei risultati restituirà quanto riportato di seguito una volta selezionata o misurata la seconda linea:

Passo 1:PLN1=Piano misurato
Passo 2:LIN1=Linea misurata
Passo 2:LIN2=Linea misurata

La finestra Risultati è agganciata ai pulsanti presenti nella parte inferiore della finestra stessa. I pulsanti saranno abilitati ogniqualvolta vengono soddisfatte le richieste per un determinato passo di una procedura.

<Indietro e Avanti>

I pulsanti <Indietro e Avanti> consentono di passare da un elemento o un'immissione richiesta a un altro. Questi pulsanti sono abilitati quando le procedure utilizzate sulle barre degli strumenti richiedono la selezione o la creazione di più elementi (come le barre Dimensione e Allinea) oppure richiedono un input utente (come i valori di tolleranza inferiore e superiore per le dimensioni).

La selezione del pulsante Chiudi sul terminale operatore ha lo stesso effetto della selezione del pulsante Avanti> nella finestra di dialogo Avvio rapido.

Fine

Il pulsante Fine completa la procedura, inserisce il comando opportuno nella finestra Modifica e poi, nella maggior parte dei casi, PC-DMIS ritorna al passo iniziale della procedura corrente.

Nel caso di allineamenti o elementi costruiti, tuttavia, dopo aver fatto clic su Fine PC-DMIS ritorna alla Modalità Stima (predefinita).


Avvio rapido: barra degli strumenti Misura

Barra degli strumenti Misura con Avvio rapido

Barra degli strumenti Misura con Avvio rapido

Questa barra degli strumenti contiene le icone relative alle seguenti funzioni di misurazione:

Punto | Linea | Piano
Cerchio | Cilindro | Cono
Sfera | Modalità Stima |

Per ulteriori informazioni sulla creazione di elementi misurati, fare riferimento alla sezione "Creazione di elementi misurati" .

Scansione

L'icona Scansione consente di eseguire una scansione manuale a tempo fisso. PC-DMIS fornisce le relative istruzioni sulla barra di stato. Per ulteriori informazioni su questo tipo di scansione, fare riferimento a "Esecuzione di una scansione manuale a distanza fissa" nella sezione "Scansione del pezzo" .

Vedere anche:

Creazione di elementi misurati

Misurazione di un punto

Misurazione di una linea

Misurazione di un piano

Misurazione di un cerchio

Misurazione di un cilindro

Misurazione di un cono

Misurazione di una sfera


Creazione di elementi misurati

  1. Dalla barra degli strumenti Avvio rapido selezionare la barra degli strumenti Misura.

  2. Fare clic sull'icona dell'elemento da misurare. L'icona in alto a sinistra nella finestra di dialogo visualizza l'elemento che si prepara a misurare in questa procedura e la barra di stato riporta le istruzioni necessarie.

  3. Fare clic sull'icona Modalità Programma sulla barra degli strumenti delle modalità PC-DMIS. PC-DMIS fornisce una rappresentazione simulata del tastatore accanto al pezzo nella finestra di visualizzazione grafica.

  4. In modalitá offline, fare clic con il tasto destro del mouse per impostare la profonditá nella corsa del tastatore in modalitá online. In modalitá online, posizionare il tastatore alla profonditá necessaria.

  5. Rilevare sul pezzo il numero di punti minimo per misurare l'elemento.

  6. Fare clic su Fine o premere Chiudi sul terminale operatore una volta terminata la misurazione. La finestra di dialogo Avvio rapido resta aperta e PC-DMIS esegue la compensazione automatica del raggio del tastatore e posiziona l'elemento misurato sul pezzo nella finestra di visualizzazione grafica.

  7. Effettuare le operazioni dal punto 4 al punto 6 fino a quando non vengono creati tutti gli elementi necessari.

  8. Una volta completate le operazioni, fare clic su Chiudi. La finestra di dialogo Avvio rapido viene chiusa.


Misurazione di un punto

Visualizza mappa percorsi di menu

Utilizzando l'icona Punto è possibile misurare la posizione di un punto appartenente a un piano allineato con un piano di riferimento o un punto nello spazio.

Per creare un punto misurato è necessario prendere un punto sul pezzo.

Fare riferimento a "Formato base di misura di un punto" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Misurazione di una linea

Visualizza mappa percorsi di menu

L'icona Linea consente di misurare l'orientamento e la linearità di una linea appartenente a un piano allineato secondo un piano di riferimento o una linea nello spazio.

Per creare una linea misurata è necessario prendere due punti sul pezzo.

Linee misurate e piani di lavoro

Creando una linea misurata, PC-DMIS si aspetta che i punti della linea siano rilevati secondo un vettore perpendicolare al piano di lavoro corrente.

Ad esempio, se il piano di lavoro corrente é Z+ (vettore 0,0,1) ed il pezzo ha la forma di un parallelepipedo, i punti vanno rilevati su una faccia verticale del pezzo, frontale oppure laterale.

Se si desidera rilevare una linea sulla faccia superiore del parallelepipedo, sarà necessario impostare come piano di lavoro X+, X-, Y+ o Y-, a seconda della direzione della linea.

Fare riferimento alla sezione "Elenco dei piani di lavoro" per informazioni su come cambiare il piano di lavoro.

Fare riferimento a "Formato base di misura di una linea" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Misurazione di un piano

Visualizza mappa percorsi di menu
 | Utilizzare l'icona Piano per misurare qualsiasi superficie piana.
Per creare un piano misurato è necessario prendere un minimo di tre punti su qualsiasi superficie piana. Se si utilizzano solo tre punti, è preferibile selezionare i punti di una matrice triangolare di grandi dimensioni che coprono l'area più estesa della superficie.
Piano di esempio con 4 punti | Piano di esempio con 8 punti
Fare riferimento a "Formato base di misura di un piano" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Misurazione di un cerchio

Visualizza mappa percorsi dei menu

 | L'icona Cerchio viene utilizzata per misurare il diametro, la rotondità e la posizione del centro di un foro/perno parallelo a un piano di riferimento, ad esempio la sezione perpendicolare di un cilindro allineato con un asse di riferimento.
Per creare un perno o un foro misurato è necessario prendere un minimo di tre punti. Il piano viene automaticamente riconosciuto e impostato dal sistema durante la misurazione. I punti da prendere devono essere distribuiti in modo uniforme sulla circonferenza.
Cerchio di esempio con 4 punti | Cerchio di esempio con 8 punti
Fare riferimento a "Formato base di misura di un cerchio" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Misurazione di un cilindro

Visualizza mappa percorsi di menu

Utilizzare l'icona Cilindro per misurare il diametro, la cilindricità e l'orientamento dell'asse di un cilindro orientato nello spazio. Viene calcolata anche la posizione del baricentro dei punti presi.

Per creare un cilindro misurato è necessario prendere un minimo di sei punti sul cilindro. I punti da prendere devono essere distribuiti in modo uniforme sulla superficie. È necessario che i primi tre punti presi risiedano su un piano perpendicolare all'asse principale.

Cilindro di esempio con 8 punti

Fare riferimento a "Formato base di misura di un cilindro" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Misurazione di un cono

Visualizza mappa percorsi dei menu

Utilizzare l'icona Cono per misurare la conicità, l'angolo della punta e l'orientamento nello spazio dell'asse di un cono. Viene calcolata anche la posizione del baricentro dei punti presi.

Per creare un cono misurato è necessario prendere un minimo di sei punti. I punti da prendere devono essere distribuiti in modo uniforme sulla superficie. È necessario che i primi tre punti presi risiedano su un piano perpendicolare all'asse principale.

Cono di esempio con 8 punti

Fare riferimento a "Formato base di misura di un cono" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Misurazione di una sfera

Visualizza mappa percorsi di menu
 | Utilizzare l'icona Sfera per misurare il diametro, la sfericità e la posizione del centro di una sfera.
Per creare una sfera misurata è necessario prendere un minimo di cinque punti. I punti da prendere devono essere distribuiti in modo uniforme sulla superficie. È necessario che i primi quattro punti presi non risiedano sulla stessa circonferenza. Il primo punto deve essere preso sulla retta della coppa della sfera. Gli altri tre punti vengono presi su una circonferenza.
Sfera di esempio con 5 punti | Sfera di esempio con 9 punti
Fare riferimento a "Formato base di misura di una sfera" per informazioni sul comando associato della finestra Modifica nella sezione "Creazione di elementi misurati" .


Avvio rapido: barra degli strumenti Costruzione

Barra degli strumenti Costruzione con Avvio rapido

Barra degli strumenti Costruzione con Avvio rapido

Visualizza mappa percorsi di menu

Quando si costruiscono gli elementi, anziché elaborare i punti presi, PC-DMIS elabora i punti caratteristici degli elementi già misurati.

La gamma di elementi che è possibile costruire è identica alla gamma di elementi misurabili mediante la barra degli strumenti di Avvio rapido Misura. L'applicazione più frequente è la costruzione di un cerchio passante per i centri di una matrice circolare di fori e borchie.

In genere, gli elementi utilizzati per costruire altri elementi sono punti e cerchi (o sfere), che devono essere già stati misurati e memorizzati. Se non è già stato misurato un elemento necessario, sarà possibile misurarlo durante la procedura di costruzione.

Di seguito è riportato un elenco degli elementi che è possibile eseguire.

Elementi Punto

Elementi Linea

  • Punto di intersezione

  • Punto centrale

  • Punto proiettato

  • Linea best-fit

  • Linea di intersezione

  • Linea centrale

Elementi Piano

Elementi Cerchio

  • Piano best-fit

  • Piano centrale

  • Piano di allineamento

  • Cerchio best-fit

  • Cerchio di intersezione

  • Cerchio Altezza

  • Cerchio Diametro

Elemento Asola

Elemento Cilindro

  • Elemento Asola

  • Elemento Cilindro

Elemento Cono

  • Elemento Cono

La tabella riportata consente di fare riferimento, per i dettagli di ogni elemento, alla sezione "Costruzione di nuovi elementi a partire da elementi esistenti" della guida in linea.

Vedere anche:

Creazione di elementi costruiti


Creazione di elementi costruiti

In questa sezione vengono fornite informazioni di base sulla costruzione degli elementi. Per informazioni sulla creazione di nuovi elementi costruiti, fare riferimento alla sezione "Costruzione di nuovi elementi a partire da elementi esistenti" .

  1. Dalla barra degli strumenti Avvio Rapido selezionare la barra degli strumenti Costruzione. Visualizza Mappa Percorsi dei Menu

  2. Fare clic sull'icona dell'elemento da misurare. La finestra di dilogo Avvio Rapido mostra l'icona relativa alla procedura ed una seconda icona con il primo tipo di elemento necessario.

  3. Seguire le istruzioni nella barra a fondo pagina, completando la finestra di dialogo con i dati necessari, oppure selezionando o misurando gli elementi richiesti per la costruzione.

  4. Continuare facendo clic su Successivo e seguendo le istruzioni, fino a quando il pulsante Fine diviene abilitato.

  5. Fare Clic su Fine al termine delle operazioni. PC-DMIS posiziona il nuovo elemento costruito sul pezzo nella finestra di visualizzazione grafica e nella finestra di modifica.


Avvio rapido: barra degli strumenti Dimensione

Barra degli strumenti Dimensione con Avvio rapido

Barra degli strumenti Dimensione con Avvio rapido

La barra strumenti Dimensione consente di eseguire misure e controlli su elementi geometrici. Ad eccezione di Digitazione, questa barra strumenti contiene tutte le dimensioni della barra degli strumenti Dimensione normale di PC-DMIS. Fare riferimento a "Barra degli strumenti Dimensione" in questa sezione.

Importante: la barra degli strumenti Avvio rapido - Dimensione crea soltanto dimensioni legacy. Essa non crea le nuove dimensioni FCF (Feature Control Frame).

Informazioni sulle misure geometriche

Informazioni su controlli di tolleranza geometrica

Le misure geometriche sono utilizzate nei seguenti casi:

  • quando le dimensioni riguardano due elementi, ad esempio le distanze e gli angoli

  • quando gli elementi non sono misurabili, ad esempio gli angoli

  • quando le misurazioni delle dimensioni possono essere ottenute utilizzando procedure di calcolo geometrico (intersezioni, proiezioni e/o elementi centrali).

In ogni relazione geometrica tra due elementi viene creato un terzo elemento (punto, cerchio, linea o piano). Il formato di output predefinito dell'elemento calcolato include le dimensioni più significative.

Nota: le relazioni geometriche non vanno confuse con le tolleranze geometriche. Le tolleranze geometriche sono infatti utilizzate per controllare i requisiti funzionali di un elemento. I requisiti funzionali sono caratteristiche degli elementi che garantiscono un livello sufficiente di assemblaggio, sicurezza, aspetto, prestazioni e così via. Le relazioni geometriche utilizzate in PC-DMIS non sono sufficienti a garantire i requisiti funzionali, in quanto non utilizzano la teoria dei datum completa.

Questi controlli consentono di verificare posizione, orientazione, profilo, oscillazione oppure l'errore di forma di un elemento (elemento controllato), in relazione ad una struttura di riferimento datum (se applicabile).

Sono disponibili le opzioni riportate di seguito.

  • Controlli dell'orientamento: consentono di verificare gli errori di parallelismo, perpendicolarità e angolarità.

  • Controlli della posizione: consentono di verificare gli errori di coassialità, concentricità e posizione.

  • Controlli del profilo: consentono di verificare gli errori di forma del profilo o di profilo in relazione all'allineamento corrente.

  • Controlli dell'oscillazione: consentono di verificare gli errori di oscillazione totale di un cerchio, di un cilindro o di un piano.

PC-DMIS inserisce nella finestra di modifica la dimensione risultante dal controllo di tolleranza geometrica tra due elementi .

Icona | Descrizione | Procedura di avvio rapido
 | Crea la dimensione legacy della Posizione . | Selezionare o misurare l'elemento. Fare clic su Avanti, specificare tolleranze positiva e negativa, quindi fare clic su Fine per inserire la dimensione della posizione.
 | Crea la dimensione legacy di Posizione reale. | Fare clic su Avanti, specificare tolleranze positiva e negativa, quindi fare clic su Fine per inserire la dimensione della posizione reale.
 | Crea la dimensione legacy di Distanza. | Selezionare o misurare il primo elemento, quindi fare clic su Avanti. Selezionare o misurare il secondo elemento. Fare clic su Avanti. Specificare tolleranze positiva e negativa, immettere un valore nominale, scegliere tra 2D e 3D ed infine fare clic su Fine per inserire la dimensione della distanza.
 | Crea la dimensione legacy di Angolo. | Selezionare o misurare il primo elemento, quindi fare clic su Avanti. Selezionare o misurare il secondo elemento. Fare clic su Avanti. Specificare tolleranze positiva e negativa, digitare il valore nominale, scegliere tra 2D e 3D ed infine fare clic su Fine per inserire la dimensione Angolo.
 | Crea la dimensione legacy di Concentricitá. | Selezionare o misurare il primo elemento circolare, quindi fare clic su Avanti. Selezionare o misurare il secondo elemento circolare. Fare clic su Avanti. Specificare la tolleranza positiva. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Concentricità.
 | Crea la dimensione legacy di Circolarità. | Selezionare o misurare il primo elemento, quindi fare clic su Avanti. Selezionare o misurare il secondo elemento circolare. Fare clic su Avanti. Specificare la tolleranza positiva. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Rotondità.
 | Crea la dimensione legacy di Cilindricità. | Selezionare o misurare un cilindro, quindi fare clic su Avanti. Selezionare o misurare il secondo elemento. Fare clic su Avanti. Specificare la tolleranza positiva. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Cilindricità.
 | Crea la dimensione legacy di Linearità . | Selezionare o misurare un cono, una linea oppure un cilindro. Fare clic su Avanti. Specificare la tolleranza positiva. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Linearità.
 | Crea la dimensione legacy di Planarità. | Selezionare o misurare un piano. Fare clic su Avanti. Specificare la tolleranza positiva. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Planarità.
 | Crea la dimensione legacy di Perpendicolarità . | Selezionare o misurare il primo elemento. Fare clic su Avanti. Selezionare o misurare il secondo elemento. Specificare tolleranza positiva e la distanza rispetto alla proiezione. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Perpendicolarità.
 | Crea la dimensione legacy di Parallelismo. | Selezionare o misurare un elemento diverso dal punto. Fare clic su Avanti. Selezionare o misurare il secondo elemento diverso dal punto. Specificare tolleranza positiva e la distanza rispetto alla proiezione. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Parallelismo.
 | Crea la dimensione legacy di Oscillazione totale. | Selezionare o misurare un cono, un cilindro oppure un piano. Fare clic su Avanti. Selezionare o misurare un cono, un cilindro oppure un piano. Fare clic su Avanti. Specificare tolleranze positiva e negativa. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Oscillazione totale.
 | Crea la dimensione legacy di Oscillazione circolare. | Selezionare o misurare un cono, un cilindro, una linea oppure una sfera. Fare clic su Avanti. Selezionare o misurare un cono, un cilindro, una linea oppure una sfera. Fare clic su Avanti. Specificare tolleranze positiva e negativa. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Oscillazione circolare.
 | Crea la dimensione legacy di Profilo di superficie. | Selezionare o misurare un elemento. Fare clic su Avanti. Specificare tolleranze positiva e negativa. Scegliere tra profilo Solo di forma oppure Forma e posizione. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Profilo di superficie.
 | Crea la dimensione legacy di Profilo lineare. | Selezionare o misurare un elemento. Fare clic su Avanti. Specificare tolleranze positiva e negativa. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Profilo di superficie.
 | Crea la dimensione legacy di Angolarità. | Selezionare o misurare un elemento diverso da punto o sfera. Fare clic su Avanti. Selezionare o misurare un cono, un cilindro, una linea oppure un piano. Fare clic su Avanti. Specificare tolleranza positiva, distanza ed angolo. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Angolarità.
 | Crea la dimensione legacy di Simmetria. | Selezionare una linea o un insieme come primo elemento. Fare clic su Avanti. Selezionare il secondo elemento. Fare clic su Avanti. Selezionare il terzo elemento (datum). Fare clic su Avanti. Specificare la tolleranza positiva. Fare clic su Avanti. Fare clic su Fine per inserire la dimensione Simmetria.

Vedere anche:

Dimensionamento degli elementi mediante l'interfaccia di avvio rapido


Dimensionamento degli elementi mediante l'interfaccia di avvio rapido

Visualizza mappa percorsi dei menu

Le procedure che seguono forniscono le istruzioni principali sull'uso dell'interfaccia di avvio rapido per creare dimensioni:

  1. Dalla barra degli strumenti Avvio rapido selezionare la barra degli strumenti Dimensione. Visualizza mappa percorsi dei menu

  2. Selezionare la dimensione voluta nella barra strumenti. Viene visualizzata l'icona relativa corrispondente al calcolo dimensionale richiesto, nella finestra di dialogo Avvio rapido e le istruzioni relative compaiono nella barra di stato nella parte inferiore dello schermo.

  3. Seguire le istruzioni della barra di stato selezionando gli elementi nella finestra Modifica o nella finestra di visualizzazione grafica oppure ancora misurandoli, nel caso non esistano.

  4. Le istruzioni della barra di stato suggeriscono l'immissione dei valori nella finestra di dialogo Avvio rapido .

  5. Continuare facendo clic su Avanti fino a che viene abilitato il pulsante Fine.

  6. Fare clic su Fine. PC-DMIS inserisce la dimensione relativa alla distanza nel part-program.


Avvio rapido: barra degli strumenti Allinea

Barra degli strumenti Avvio rapido

Barra degli strumenti Avvio rapido

Visualizza mappa percorsi di menu

La barra degli strumenti Allinea consente di creare allineamenti da tipi di elementi specifici utilizzando le procedure riportate di seguito.

Icona | Descrizione | Procedura di avvio rapido
 | Piano, linea, allineamento con linea | Selezionare o misurare un piano per la quota Z, quindi fare clic su Avanti. Selezionare o misurare una linea su cui eseguire la rotazione, quindi fare clic su Avanti. Selezionare o misurare una seconda linea. L'origine verrà creata traslando la parte sulle due linee. Fare clic su Fine per inserire l'allineamento. Fare clic su Fine per inserire l'allineamento.
 | Piano, linea, allineamento con cerchio | Selezionare o misurare un piano per la quota Z, quindi fare clic su Avanti. Selezionare o misurare una linea su cui eseguire la rotazione, quindi fare clic su Avanti. Selezionare o misurare un cerchio. La proiezione del centro del cerchio sulla linea costituisce l'origine dell'allineamento. Fare clic su Fine per inserire l'allineamento.
 | Piano, cerchio, allineamento con cerchio | Selezionare o misurare un piano per la quota Z, quindi fare clic su Avanti. Selezionare o misurare il primo elemento cerchio. Fare clic su Avanti. Selezionare o misurare il secondo elemento cerchio. PC-DMIS ruota l'allineamento sulla linea congiungente i centri dei due cerchi. L'origine dell'allineamento è costituita dal centro del primo cerchio. Fare clic su Fine per inserire l'allineamento.
 | Piano, linea, allineamento con punto | Selezionare o misurare un piano per la quota Z, quindi fare clic su Avanti. Selezionare o misurare una linea su cui ruotare. Fare clic su Avanti. Selezionare o misurare un punto per il calcolo dell'origine allineamento. Fare clic su Fine per inserire l'allineamento.
 | Cilindro, linea, allineamento con punto | Selezionare o misurare un cilindro, quindi fare clic su Avanti. Selezionare o misurare una linea. Fare clic su Avanti. Selezionare o misurare un punto. PC-DMIS definisce il livello (quota Z) sulla superficie su cui è stato rilevato il punto, ruota l'allineamento sulla linea ed imposta le coordinate XY dell'origine nel centro del cilindro. Fare clic su Fine per inserire l'allineamento.

Per informazioni sugli altri metodi disponibili per la creazione di allineamenti, fare riferimento alla sezione "Creazione e uso degli allineamenti".


Avvio rapido: barra degli strumenti Calibra / Modifica

Barra degli strumenti Calibrazione con avvio rapido / Modifica

Barra degli strumenti Calibrazione con avvio rapido / Modifica

L'icona della barra degli strumenti Calibrazione con avvio rapido / Modifica consente semplicemente di accedere alla finestra di dialogo Utilità tastatore.

Finestra di dialogo Utility tastatore

Finestra di dialogo Utility tastatore

Da tale finestra è possibile creare nuovi tastatori e calibrarli secondo angoli differenti. Per ulteriori informazioni sull'uso di questa finestra di dialogo, fare riferimento a "Definizione di tastatori" nella sezione "Definizione dell'hardware" .


Barra degli strumenti Layout finestra

Visualizza mappa percorsi di menu

La barra degli strumenti Layout finestra consente di memorizzare i layout di finestre, editor e barre degli strumenti aperti e quindi di ripristinarli nel part-program in uso facendo clic su un'icona.

Importante: Si noti che I layout non memorizzano soltanto la posizione delle barre strumenti e delle finestre, ma anche le impostazioni e le opzioni ad esse associate. Se un layout ha determinate impostazioni e lo si salva, allora anche la relative impostazioni verranno salvate insieme al layout. Se successivamente si deselezionerà l’impostazione di quella finestra senza sovrascrivere il layout memorizzato, PC-DMIS ripristinerà l’impostazione salvata quando il layout verrà selezionato di nuovo.

L'icona Riduci a icona consente di ridurre le dimensioni della finestra Modifica.

L'icona Ingrandisci consente di ingrandire la finestra Modifica.

L'icona Salva consente di visualizzare la finestra di dialogo Immetti nome layout finestra, in cui è possibile salvare la posizione e le dimensioni correnti di finestre, editor o barre degli strumenti aperte con il nome di layout desiderato.

Nella casella Nome layout finestra è possibile specificare il nome del layout. In PC-DMIS questo nome viene visualizzato anche come descrizione dell'icona associata al layout. Se non si specifica alcun nome di layout, verrà utilizzato il nome predefinito "Richiama layout finestra".

Facendo clic su OK, il layout viene salvato e compare l' icona che rappresenta il layout nella barra degli strumenti con la configurazione del layout.

Non è possibile sovrascrivere un layout esistente con un nuovo layout senza assegnargli lo stesso nome. Se si desidera sovrascrivere un layout esistente, eliminare prima questo layout, quindi assegnare lo stesso nome al secondo layout.

L'icona di ripristino del layout salvato consente di ripristinare il layout salvato. Per le finestre, gli editor e le barre degli strumenti vengono ripristinate le rispettive posizioni salvate. Passare con il cursore del mouse sull'icona per visualizzare il nome del layout memorizzato.

Nota: se sono aperti più part-program ed è stato creato un layout memorizzato utilizzando uno di questi, viene data la precedenza al part-program sulla base del quale è stato creato il layout. Il part-program utilizzato per creare il layout memorizzato diventa quindi il part-program attivo e visualizza il layout della finestra memorizzato.

Vedere anche:

Eliminazione dei layout utente salvati


Eliminazione dei layout utente salvati

Per eliminare un layout utente salvato, effettuare le seguenti operazioni:

  1. Tenere premuto il tasto MAIUSC.

  2. Fare clic sull'icona e tenere premuto il pulsante del mouse. In questo modo l'icona può essere spostata.

  3. Trascinare l'icona al di fuori della barra degli strumenti.

  4. Rilasciare il pulsante del mouse.

L'icona e il layout associato verranno eliminati.


Definizione dell'hardware

Definizione dell'hardware: Introduzione

Definizione dei tastatori

Nome del file del tastatore

Casella di controllo Ordine di calibrazione definito dall'utente

Casella di controllo Usa mappa polso se disponibile

Elenco punte attive

Num ID punta

Rotazione punta

Tipo di punta

Nominale X, Y, Z

Vettore I, J, K

Diametro e spessore

Data e ora di calibrazione

Punta non calibrata

Ordine di calibrazione

Descrizione tastatore

Modifica componenti tastatore

Anteprima della configurazione del tastatore

Misura

Numero di punti

Distanza di approccio/ritrazione

Velocità di movimento

Velocità di contatto

Modalità di sistema

Area Tipo di operazione

Area Modalità di calibrazione

Area Calibrazione polso

Calibrazione gambo

N. punti gambo

Offset gambo

Area Insiemi di parametri

Strumento montato su tavola rotante

Misura

Aggiungi strumento

ID strumento

Tipo di strumento

Offset X, Y, Z

Vettore gambo I, J, K

Sovrascrittura ricerca I, J, K

Diametro / Lunghezza

Modifica strumento

Elimina strumento

Elenco di strumenti disponibili

Sfera di calibrazione e punta a sfera

Sfera di calibrazione e punta a disco

Sfera di calibrazione e punta rastremata

Sfera di calibrazione e punta cilindrica

Sfera di calibrazione e punta ottica

Modifica

ID punta

Etichetta DMIS

Centro X, Y, Z

Vettore gambo / ottico I, J, K

Diametro della punta a sfera

Spessore della punta a sfera

PrbRdv

Data e ora di calibrazione

Nickname

Per eliminare una punta dall'elenco Punte attive:

Per eliminare un angolo del polso:

Aggiungi angoli

Casella Elenco nuovi angoli

Dati angolo singolo

Dati angoli equidistanti

Uso della griglia

Note sull'opzione Aggiungi angolo

Risultati

Selezione usata

Globali usati

Formato del file

Usa dati calibrazione unità

Tipi di punte disponibili

Rullo

Disco

Ottico

A cilindro

Tolleranza di collisione

Specifica delle tolleranze di collisione

Impostazione tastatore

Stampa elenco

Stampa di esempio

Utility di calibrazione dei tastatori Faro

Opzioni disponibili della finestra di dialogo

Procedura di calibrazione Faro

Informazioni sulla calibrazione SP600

Note sulla matrice inferiore SP600:

Note sulla matrice superiore SP600 (calibrazione normale):

Note e procedura di calibrazione nel caso di punta a disco

Procedure di calibrazione per SP600

Procedura di calibrazione della matrice di livello basso

Procedura di calibrazione della matrice di livello alto

Calibrazione automatica tastatore

Come calibrare automaticamente una punta singola del tastatore

Definizione dei tastatori rigidi

Definizione di tastatori a stella

Creazione del tastatore a stella

Creazione di un tastatore a stella a 5 vie personalizzabile

Creazione di un tastatore a stella predefinito

Definizione delle macchine

Creazione di una nuova macchina per la visualizzazione

Informazioni aggiuntive sugli assi della macchina

Informazioni aggiuntive sulla zona della posizione iniziale della macchina

Informazioni aggiuntive sulla creazione di macchine a bracci multipli

Visualizzazione di macchine esistenti nella finestra di visualizzazione grafica

Creazione di una relazione tra macchina e pezzo

Eliminazione della macchina animata dalla finestra di visualizzazione grafica

Selezione dell’elemento ‘Nessuna macchina’

Cancellazione del comando CARICA MACCH

Eliminazione della macchina

Inserimento di un attrezzaggio rapido

Inserimento e rimozione di attrezzaggi rapidi

Aggiunta di elementi personalizzati

Modalità attrezzaggio rapido: comandi per mouse e tastiera

Visualizzazione di un cambio tastatore animato

Per visualizzare il cambio tastatore nella finestra di visualizzazione grafica:

Per eliminare il cambio tastatore nella finestra di visualizzazione grafica:


Definizione dell'hardware: Introduzione

In questa sezione verranno descritte tutte le opzioni associate alla definizione dell'hardware utilizzato per la misurazione dei pezzi, ad esempio quelle per la creazione e la calibrazione del tastatore con le relative punte del tastatore, la creazione e l'uso di una macchina virtuale e la creazione, la calibrazione e l'uso di fissaggi flessibili e la creazione di cambio utensili animati.

In questa sezione verranno trattati i seguenti argomenti:

  • Definizione dei tastatori

  • Definizione dei tastatori rigidi

  • Definizione di tastatori a stella

  • Definizione delle macchine

  • Inserimento di un attrezzaggio rapido

  • Visualizzazione di un cambio tastatore animato


Definizione dei tastatori

Il primo passo, nella part-programmazione di una macchina CMM consiste nel definire i tastatori da utilizzare durante il processo di ispezione. PC-DMIS supporta numerosi tipi di tastatore e utensili di calibrazione e fornisce un metodo esclusivo per la calibrazione di un polso PH9/PH10 Renishaw. Accedere alle opzioni del tastatore facendo clic su Inserisci | Definizione hardware | Tastatore dalla barra di menu. Visualizza mappa percorsi dei menu

Per poter iniziare un processo di misurazione, è necessario creare e/o caricare un file di tastatore per il nuovo part-program. Caricare sempre il tastatore prima di utilizzare un part-program.

Suggerimento: fare clic su questa icona sulla barra strumenti Procedure guidate (wizard) [image] per accedere alla procedura relativa al tastatore di PC-DMIS.

Finestra di dialogo Utility tastatore

Nella finestra Utility tastatore vengono visualizzati i dati della punta attiva di quel tastatore. Utilizzare questa finestra di dialogo per creare nuovi file di tastatore oppure per visualizzare ed eventualmente modificare i file di tastatore esistenti. Questa opzione consente inoltre di effettuare la calibrazione dei tastatori.

Vedere anche:

Nome del file del tastatore

Casella di controllo Ordine di calibrazione definito dall'utente

Casella di controllo Usa mappa polso se disponibile

Elenco punte attive

Descrizione tastatore

Misura

Aggiungi strumento

Modifica strumento

Elimina strumento

Elenco di strumenti disponibili

Modifica

Aggiungi angoli

Risultati

Selezione usata

Globali usati

Formato del file

Usa dati calibrazione unità

Tipi di punte disponibili

Tolleranza di collisione

Impostazione tastatore

Stampa elenco

Utility di calibrazione dei tastatori Faro

Informazioni sulla calibrazione SP600

Procedure di calibrazione per SP600

Calibrazione automatica tastatore

File Format Global UsedMark UsedResultsAdd New AnglesPreviewing Your Probe ConfigurationDelete buttonPrint ListProbe SetupDefine Collision ToleranceEdit the Active TipMeasure TipsCancel buttonOK buttonProbe DescriptionActive Tip ListUser Defned Calibration Order checkboxUse Wrist Map If Available checkboxProbe File list


Nome del file del tastatore

L'elenco a discesa File dei tastatori riporta il file del tastatore corrente. I file dei tastatori sono memorizzati nella directory in cui è stato installato PC-DMIS. La directory predefinita è rappresentata dal nome dell'unità e dalla directory di installazione di PC-DMIS, in genere "PCDMISW" sull'unità disco "C:\" locale. PC-DMIS ricerca il file del tastatore da caricare in questa directory, a meno che non sia stato modificato il percorso di ricerca. Per ulteriori informazioni, vedere "Definizione delle directory esterne in cui eseguire la ricerca" nella sezione "Impostazione delle preferenze ".

Per creare un nuovo file del tastatore, effettuare le seguenti operazioni:

  1. Evidenziare il nome corrente nell'elenco a discesa File dei tastatori.

  2. Immettere un nuovo nome contenente un massimo di 8 caratteri.

Se un file del tastatore con tale nome già esiste, il file precedentemente salvato verrà caricato nel part-program.


Casella di controllo Ordine di calibrazione definito dall'utente

La casella di controllo Ordine di calibrazione definito dall'utente consente di determinare l'ordine seguito da PC-DMIS per misurare le punte selezionate.

Selezionando questa casella di controllo, PC-DMIS eseguirà la misurazione delle punte in base all'ordine definito dall'utente al momento della selezione delle punte per la calibrazione nell'Elenco punte attive. (Vedere "Elenco Punte Attive") Se non viene selezionata alcuna punta, PC-DMIS usa i vettori I, J, K definiti nelle caselle Cerca I, J, K nelle finestre Modifica strumento oppure Aggiungi strumento, per determinare l'ordine piú efficiente per misurare tutte le punte.

Se non si seleziona questa casella di controllo, PC-DMIS misurerà le punte in base all'ordine che riterrà il più efficace. In questo caso, PC-DMIS ignorerà l'ordine assegnato alle punte selezionate nell'elenco Elenco punte attive e utilizzerà quindi il vettore dello strumento di calibrazione per determinare la sequenza di misura più efficace.


Casella di controllo Usa mappa polso se disponibile

La casella di controllo Usa mappa polso se disponibile determina se PC-DMIS utilizza o meno il file della mappa del polso (nota anche come mappa degli errori) per la calibrazione delle punte con angoli AB nelle configurazioni con tastatori che usano un polso indicizzabile. Se si seleziona questa casella di controllo, PC-DMIS cerca il file della mappa del polso (abcomp.dat) sul computer e, se lo trova, durante la calibrazione delle punte con angoli AB effettua la compensazione con i dati di errore del polso.

Per informazioni sulla creazione del file della mappa del polso, fare riferimento a "Calcolo della mappa degli errori” nella sezione "Uso di un dispositivo polso”.


Elenco punte attive

Elenco punte attive

PC-DMIS consente di memorizzare i dati relativi ad un'ampia gamma di punte di tastatore. È possibile memorizzare un massimo di 32767 punte, sempre che lo spazio disponibile sul disco lo permetta.

Per modificare I dati della punta è necessario:

  1. Evidenziare la punta attiva desiderata nell' elenco Punteattive.

  2. Fare clic sul pulsante Modifica .

Viene visualizzata la finestra di dialogo Modifica che consente di modificare i valori.

Nota: delle quali non è stata eseguita la calibrazione sono contrassegnate da un asterisco (*) prima del relativo ID nell'elenco Punte attive.

La descrizione del tastatore viene effettuata in base ai seguenti criteri:

Descrizione dell'elenco punte

Vedere anche:

Num ID punta

Rotazione punta

Tipo di punta

Nominale X, Y, Z

Vettore I, J, K

Diametro e spessore

Data e ora di calibrazione

Punta non calibrata

Ordine di calibrazione


Numero ID punta

Questo numero rappresenta il numero permanente assegnato da PC-DMIS ad una punta al momento del caricamento in memoria.


Rotazione punta

In questo campo viene visualizzata la rotazione verticale (A) e orizzontale (B) della punta.


Tipo di punta

In questo campo viene visualizzato il tipo di punta del tastatore: BALL (a sfera), DISK (a disco), TAPER (rastremata), SHANK (cilindrica) e OPTICAL (ottica).


Nominale X, Y, Z

Questi valori indicano la posizione della punta in relazione all'estremità inferiore della guida Z.


Vettore I, J, K

Questi valori descrivono la direzione della punta del tastatore. Questo vettore va dal centro della punta verso la guida Z.


Diametro e spessore

Questi valori indicano il diametro della punta e lo spessore dei tastatori CILINDRICO e A DISCO. PC-DMIS definisce questi valori al momento del caricamento del tastatore. (Per modificare un campo, vedere "Modifica strumento".)


Data e ora di calibrazione

Questi valori indicano la data e l'ora dell'ultima calibrazione della punta del tastatore Se viene creata una nuova punta senza eseguirne la calibrazione, PC-DMIS visualizza il valore NUOVO per la data e l'ora. Se viene caricata una punta di tastatore esistente per la quale non sono disponibili le informazioni relative alla data e all'ora, viene visualizzato il valore SCONOSCIUTO. Vengono aggiornati i valori della data e dell'ora solo delle punte di tastatore delle quali è stata eseguita la calibrazione.

Non è possibile modificare più punte contemporaneamente.


Punta non calibrata

Un asterisco (*) identifica le punte non calibrate.

La riga comandi della finestra di modifica per una punta di esempio avrà il seguente aspetto:
PUNTA/T1A0B0, SHANKIJK=0, 0, 1, ANGOLO=0

Le punte non calibrate sono evidenziate con un asterisco (*)


Ordine di calibrazione

L'ordine di calibrazione viene impostato in base all'ordine di selezione delle punte dal'elenco.

Per impostare l'ordine di calibrazione, effettuare le seguenti operazioni:

  1. Selezionare l'opzione Definita dall'utente nella finestra di dialogo Misura tastatore (fare riferimento alla sezione "Misura").

  2. Tenere premuto il tasto CTRL.

  3. Con il pulsante sinistro del mouse, selezionare le punte dall'elenco Punte attive per la calibrazione. Accanto all'ID di ciascuna punta selezionata viene visualizzato un numero corrispondente all'indice dell'ordine di misurazione della punta.

Se non viene scelta alcuna punta, verrà richiesto se si desidera procedere alla misurazione di tutte le punte.


Descrizione tastatore

Area Descrizione tastatore

L'area Descrizione tastatore (comprendente l'elenco a discesa e la casella vicina) consente di definire il tastatore, le prolunghe e le punte che verranno utilizzate nel part program. L'elenco a discesa Descrizione tastatore visualizza le opzioni disponibili per il tastatore in ordine alfabetico.

Per definire un tastatore, le prolunghe e le punte, effettuare le seguenti operazioni:

  1. Selezionare il messaggio "Nessun tastatore definito".

  2. Aprire l'elenco a discesa Descrizione tastatore.

  3. Selezionare la testata del tastatore desiderata.

  4. Una volta selezionato il tastatore, premere il tasto INVIO. Le opzioni relative all'istruzione corrente evidenziata potranno essere selezionate.

Nota: in generale, l’orientazione della testa tastatore determina l’orientazione del primo componente di un file tastatore, di solito nella stessa direzione della testata (0,0). Tuttavia, nel caso di un adattatore con attacchi multipli (come ad es. un adattatore a cinque vie) come primo componente, il numero di configurazioni possibili è maggiore di uno. In questi casi, l’orientazione della testate del tastatore diventa quella dell'adattatore con attacchi multipli. La testata tastatore può in questo caso non trovarsi esattamente allineata con gli assi della macchina e potrebbe essere necessario correggere l'angolo di rotazione relativo al collegamento mediante l'elenco Descrizione tastatore nella finestra Utility tastatore. Per far ciò, fare riferimento alla sezione “Modifica componenti tastatore”.

Selezione di una testata del tastatore

La testata selezionata viene visualizzata nella casella Descrizione tastatore e nella finestra di visualizzazione grafica sulla destra.

  1. Selezionare Connessione vuota n. 1 nell’area Descrizione tastatore.

  2. Fare clic sull'elenco a discesa.

  3. Selezionare l'elemento successivo da collegare alla testata del tastatore, ovvero una prolunga o una punta del tastatore. Le punte vengono visualizzate in base alla dimensione e alla dimensione della filettatura.

Selezione di una punta

Ad esempio, se si aggiunge una prolunga a 5 vie, PC-DMIS rende disponibili 5 connessioni vuote. È possibile utilizzare tutte le connessioni necessarie per collegare le punte del tastatore appropriate. Nella prolunga viene sempre misurata per prima la punta inferiore della prolunga (rispetto all'asse Z).

Prolunga a cinque vie

Se nella casella Descrizione tastatore viene selezionata una riga che già contiene un elemento, PC-DMIS visualizzerà un messaggio nel quale viene richiesto se si desidera inserire la punta prima dell'elemento originale o se sostituire l'elemento selezionato.

"Fare clic su Sì per inserire prima o su No per sostituire".

· Se si seleziona Sì, è possibile creare una riga aggiuntiva inserendo la nuova punta prima dell'elemento originale.

· Se invece si seleziona No, PC-DMIS eliminerà l'elemento originale e lo sostituirà con quello selezionato.

Nota: l'elemento selezionato viene inserito nella riga evidenziata della casella Descrizione tastatore. Viene visualizzato un messaggio che consente di inserire l'elemento selezionato prima della riga selezionata oppure di sostituire l'elemento evidenziato.

Vedere anche:

Modifica componenti tastatore

Anteprima della configurazione del tastatore


Modifica componenti tastatore

Facendo doppio clic su una riga all'interno dell'area Descrizione tastatore viene visualizzata la finestra Modifica componente tastatore .

Finestra di dialogo Modifica dati tastatore

Questa opzione consente di rimuovere singole parti del disegno del tastatore dalla visualizzazione corrente. Quando la geometria del pezzo è particolarmente complessa, selezionando questa opzione è possibile rimuovere temporaneamente alcuni elementi grafici, in modo da ottenere una visualizzazione migliore degli elementi.

Per rimuovere i grafici del tastatore, effettuare le seguenti operazioni:

  1. Fare doppio clic sulla descrizione dell'elemento (all'interno della casella Descrizione tastatore) che si desidera rimuovere dalla vista. PC-DMIS visualizza la finestra di dialogo Modifica componente tastatore.

  2. Deselezionare la casella di controllo Disegna questo componente.

  3. Fare clic sul pulsante OK. La finestra di dialogo Modifica componente tastatore verrà chiusa. Tenere presente che PC-DMIS disegna nuovamente i grafici del tastatore ad esclusione del componente specificato e di tutti gli altri componenti correlati nella finestra di dialogo Utility tastatore.

Questa opzione consente inoltre di modificare l'angolo di rotazione del tastatore. Per modificare l'impostazione predefinita (0), inserire l'angolo desiderato (qualsiasi angolo compreso tra +180° e -180°) nella casella Angolo rotazione predefinito intorno alla connessione.


Anteprima della configurazione del tastatore

Vista grafica di un tastatore e dei dispositivi di scorrimento

La vista grafica della finestra di dialogo Utility tastatore consente di visualizzare in anteprima i seguenti elementi:

  • I componenti del tastatore.

  • Le varie posizioni degli angoli AB nella casella Elenco punte attive.

  • Una rotazione tridimensionale completa del tastatore.

Componenti di visualizzazione: Una volta selezionato come parte del tastatore, il componente della configurazione del tastatore viene automaticamente riportato nella vista grafica della finestra di dialogo Utilità tastatore.

Vista posizioni angoli AB: selezionare una posizione degli angoli AB dall'Elenco punte attive. La vista grafica del tastatore cambia in maniera dinamica, in modo da rappresentare l'aspetto che la configurazione del tastatore corrente avrebbe se si utilizzasse l'angolo AB selezionato.

Rotazione tastatore in 3D: spostare i cursori al di sotto e alla sinistra della vista grafica del tastatore, per ruotare la vista del tastatore. Il dispositivo di scorrimento nella parte inferiore consente di ruotare il tastatore in senso orizzontale. Il dispositivo alla sinistra consente di ruotare il tastatore in senso verticale.

Dispositivo di scorrimento orizzontale: la visualizzazione viene ruotata orizzontalmente.

Dispositivo di scorrimento verticale: la visualizzazione viene ruotata verticalmente


 Number of Hits Prehit / Retract Move Speed Touch Speed Type of Operation Area Calibration Mode area Wrist Calibration area Shank Qualification Number of Shank Hits Shank Offset Parameter Sets area Tool Mounted on Rotary Table List of Available Tools Add Tool System Mode Delete Tool Edit Tool

Misura

Il pulsante Misura consente di calibrare i tastatori selezionati. Questo processo indica a PC-DMIS il percorso e il diametro della punta del tastatore.

Per avviare il processo di misurazione, effettuare le seguenti operazioni:

  1. Nella finestra di dialogo Utility tastatore, accertarsi che la punta desiderata sia disponibile nell'Elenco punte attive.

  2. Evidenziare le punte del tastatore appropriate.

  3. Fare clic sul pulsante Misura.

Nota:se l'utente dispone di un cambio del tastatore e il file del tastatore in uso non contiene la configurazione del tastatore, la configurazione attualmente caricata verrà automaticamente scartata e verrà scelta la configurazione richiesta.

Viene visualizzata la finestra di dialogo Misura tastatore. Se si utilizza un braccio Faro, viene visualizzata la finestra di dialogo Utility calibrazione tastatore invece della sezione "Utility di calibrazione dei tastatori Faro".

Finestra di dialogo Misura tastatore

Nota: PC-DMIS non tiene traccia della calibrazione dei tastatori. Pertanto, è necessario verificare che sia stata effettuata una nuova calibrazione del tastatore dopo aver apportato delle modifiche.

Prima di eseguire la calibrazione di una punta, è necessario caricarne almeno una.

È possibile qualificare una sola punta del tastatore. Se sono state evidenziate più punte nell'Elenco punte attive, un messaggio richiederà se si desidera calibrare tutte le punte evidenziate.

· Se si seleziona Sì, PC-DMIS restituirà un messaggio in cui si richiede se lo strumento di qualificazione è stato spostato. Se si seleziona di nuovo Sì, verrà visualizzata la finestra Opzioni modalità di esecuzione e verrà richiesto di prendere 1 punto in modalità Manuale prima di continuare con il processo di calibrazione. Se possibile, prendere un punto perpendicolare alla punta. Se invece si seleziona No, la finestra Opzioni modalità di esecuzione verrà comunque visualizzata. Tuttavia, il sistema verrà impostato in modalità DCC (Direct Computer Control) e non verrà richiesto di prendere alcun punto prima dell'inizio del processo di calibrazione.

· Se la risposta è No, verrà visualizzata di nuovo la finestra Tastatore e non verrà eseguita alcuna ulteriore operazione.

Nella finestra di dialogo Misura tastatore vengono visualizzate le impostazioni predefinite. Il valore predefinito del numero di punti è 5.

Per utilizzare i valori predefiniti, fare clic sul pulsante Misura. In caso contrario, inserire i valori desiderati prima di continuare.

Quando si prende un punto manualmente, è necessario eseguire la misurazione di uno strumento di calibrazione. I risultati della misurazione verranno utilizzati per determinare gli offset della punta. I risultati vengono visualizzati nella casella X, Y, Z dell'Elenco punte attive nella finestra di dialogo Utility tastatore.

Se si utilizza uno strumento di calibrazione sferico, durante la calibrazione verrà aggiornato anche il diametro della punta del tastatore.

Per iniziare un processo di calibrazione è necessario innanzi tutto definire uno strumento. Il tipo di misura da eseguire sullo strumento dipende dal tipo di strumento (sfera, cubo) e dal tipo di punta (a sfera, a disco, rastremata, cilindrica, ottica).

Vedere anche:

Numero di punti

Distanza di approccio/ritrazione

Velocità di movimento

Velocità di contatto

Modalità di sistema

Area Tipo di operazione

Area Modalità di calibrazione

Area Calibrazione polso

Calibrazione gambo

N. punti gambo

Offset gambo

Area Insiemi di parametri

Strumento montato su tavola rotante

Misura


Numero di punti

PC-DMIS utilizzerà il numero di punti indicato per misurare il tastatorein base alla modalità di calibrazione. Il numero predefinito di punti è 5.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare il valore nella casella Numero di punti.

  2. Immettere un nuovo valore.


Distanza di approccio/ritrazione

La casella Approccio / Ritrazione consente di specificare la distanza di approccio e di ritrazione per la calibrazione del tastatore.

Per modificare la distanza di approccio/ritrazione, effettuare le seguenti operazioni:

  1. Selezionare il numero utilizzando il mouse.

  2. Immettere un nuovo valore per la distanza.


Velocità di movimento

La casella Velocità di movimento consente di specificare la velocità di spostamento per la calibrazione PH9.

Per modificare la velocità di movimento, effettuare le seguenti operazioni:

  1. Selezionare la casella Velocità di movimento.

  2. Inserire un nuovo valore per la velocità di movimento. Il valore, espresso in percentuale, deve essere compreso tra 1 e 100, dove 1 rappresenta la velocità minima e 100 la velocità massima.

Per ulteriori informazioni sui metodi di modifica della velocità di movimento durante il processo di misura, vedere "Velocità di movimento - %" nella sezione "Impostazione delle preferenze".

Nota: il numero nella casella Velocità di movimento non può contenere più di quattro cifre decimali. Se viene inserito un numero superiore di cifre decimali, PC-DMIS arrotonderà il numero al quarto decimale.


Velocità di contatto

La casella Velocità di contatto consente di specificare la velocità di movimento per la calibrazione del PH9.

Per modificare la velocità di contatto, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore. Il valore, espresso in percentuale, deve essere compreso tra 1 e 100, dove 1 rappresenta la velocità minima e 100 la velocità massima.

Fare riferimento a "Velocità di contatto %" nella sezione "Impostazione delle preferenze" per ulteriori informazioni.

Nota: il numero nella casella Velocità di contatto può contenere un massimo di quattro cifre decimali. Se viene inserito un numero superiore di cifre decimali, PC-DMIS arrotonderà il numero al quarto decimale.


Modalità di sistema

Di seguito vengono elencate e descritte le modalità di sistema utilizzate per calibrare i tastatori:

  • Attivando la modalità Manuale, tutti i punti vengono presi manualmente, anche se la macchina CMM presenta la funzionalità DCC.

  • La modalità DCC viene utilizzata dalle macchine CMM che supportano la funzionalità DCC e consente di prendere tutti i punti automaticamente, a meno che l'utensile di calibrazione non sia stato spostato. In tal caso, il primo punto deve essere rilevato manualmente.

  • La modalità Man+DCC è un ibrido tra le modalità Manuale e DCC. Questa modalità consente di calibrare particolari configurazioni dei tastatori il cui modello è difficile da creare. Nella maggior parte dei casi ManDCC opera come la modalità DCC, fatta eccezione per quanto segue:

q È necessario prendere il primo punto sempre manualmente per ciascuna punta, anche se l'utensile di calibrazione non è stato spostato. I restanti punti verranno presi automaticamente nella modalità DCC.

q Poiché tutti i primi punti vengono presi manualmente, non viene eseguito alcun movimento di sicurezza premisurato.

q Quando PC-DMIS completa la misurazione della sfera per una determinata punta, a seconda del tipo di polso utilizzato, è possibile eseguire o meno i movimenti di ritrazione finali.

Se si dispone di un polso mobile come PH9, PH10, PHS e così via, PC-DMIS esegue i movimenti di ritrazione finali come se fosse attivata la modalità DCC. Tali operazioni vengono eseguite automaticamente senza richiedere all'utente di garantire che la distanza di sicurezza del tastatore sia sufficiente per consentire di spostare gli angoli AB della punta successiva e di eseguire il successivo movimento AB.

Se non si dispone di un polso mobile, PC-DMIS non esegue i movimenti di ritrazione finali, ma richiede all'utente di prendere manualmente il punto per la punta successiva.

  • La modalitá DCC+DCC opera come MAN+DCC, ma, invece di rilevare il primo punto manualmente per ciascuna punta, PC-DMIS opera un campionamento in DCC, per trovare la posizione della sfera. Questo metodo è utile nel caso si voglia automatizzare completamente la procedura di calibrazione. Si tenga presente tuttavia che la modalità MAN+DCC fornisce di solito risultati più precisi.

Per modificare la modalità di sistema, scegliere i pulsanti di opzione Manuale, DCC, Man+DCC oppure DCC+DCC.


Area Tipo di operazione

Nella sezione Tipo di operazione è possibile selezionare l'operazione che verrà eseguita quando si fa clic sul pulsante Misura nella finestra di dialogo Misura tastatore. È possibile effettuare le seguenti operazioni:

Calibrazione punte:

Questa opzione viene utilizzata per eseguire la calibrazione standard di tutte le punte selezionate.

Calibrazione unità:

L'opzione Calibrazione unità crea mappe di errore sia per i dispositivi polso infiniti che per i dispositivi polso indicizzabili. Per i dispositivi polso indicizzabili, fare riferimento alle informazioni riportate in questa sezione. Per informazioni sui dispositivi polso infiniti, fare riferimento a Calibrazione dell'unità per dispositivi polso infiniti nella sezione Uso di un dispositivo polso .

Calibrazione dell'unità (per dispositivi polso indicizzabili)

Questa opzione è usata per creare la mappa errori di un dispositivo testata o polso di un tastatore. Questa sezione descrive il processo di creazione della mappa degli errori di una testata indicizzabile, come il PH9, il PH10, oppure l’RDS Zeiss. Una configurazione tastatore speciale, con tre stili dello stesso diametro, viene posta sulla testata del tastatore e viene effettuata la misura di tutte le orientazioni della punta desiderate con questa configurazione. In generale, occorre posizionare lo stilo secondo una configurazione a ‘T’, con almeno 20 mm di altezza e 40mm di larghezza, cioé come una punta a stella con le punte a 20mm dal centro. Maggiore è la distanza tra le punte, più precisa sarà la mappa degli errori.

Una volta misurate tutte le orientazioni possibili, mediante la configurazione speciale sarà possibile cambiare le configurazioni tastatore senza calibrare tutte le punte presenti nell’elenco. Ciascun orientamento misurato nella mappa originale verrà automaticamente calibrato nella nuova configurazione. PC-DMIS supporta la calibrazione e l'uso delle testate Renishaw PHS e DEA e RDE Zeiss.

Nota: questa opzione si riferisce esclusivamente alle testate dei tastatori con posizioni del polso indicizzate ripetibili, come il PH10. Questo tipo di calibrazione richiede un tastatore a stella con 3 punte. Dopo aver eseguito la calibrazione, soltanto le posizioni indicizzate calibrate durante la calibrazione dell'unità potranno essere utilizzate nei futuri file del tastatore senza eseguire una calibrazione completa. L'opzione Calibrazione unitá non è disponibile nel caso di tastatori analogici, siano essi dotati di testata infinita o indicizzabile, dal momento che in un tastatore analogico ogni singola posizione va calibrata se si desidera ottenere i coefficienti di deflessione richiesti.

Per ulteriori informazioni sulla calibrazione di polsi, fare riferimento alla sezione "Uso di un dispositivo polso" .

Processo di 'calibrazione dell'unità' per dispositivi polso indicizzabili:

  1. Creare la configurazione del tastatore come mostrato nella figura riportata di seguito:

    Le dimensioni esatte dei componenti possono variare ma la forma deve rimanere la stessa. È preferibile scegliere i componenti più leggeri possibile. Il peso eccessivo può infatti provocare errori di misurazione.

  2. Nella finestra di dialogo Utility tastatore, fare clic sul pulsante Aggiungi angoli ed aggiungere gli orientamenti desiderati. Se viene definita una mappa completa della testata del tastatore, sarà possibile eseguire le misurazioni in base a qualsiasi orientamento.

  3. Selezionare il pulsante Misura nella finestra di dialogo Utility tastatore. Verrà visualizzata la finestra di dialogo Misura tastatore.

  4. Inserire i valori predefiniti da utilizzare.

  5. Selezionare Calibrazione unità a seconda del tipo di operazione da eseguire.

  6. All'interno della finestra di dialogo Misura tastatore, fare clic sul pulsante Misura. Verrà eseguita la misurazione di ciascuna delle tre punte in base agli orientamenti selezionati. I dati verranno utilizzati per definire Offset, Passo e Angolo di Imbardata di ciascun orientamento.

  7. Quindi, inserire la configurazione del tastatore da utilizzare per la misurazione nella testata del tastatore.

  8. Scegliere almeno tre orientamenti tra quelli inclusi nella mappa.

  9. Selezionare la casella di controllo Usa dati calibrazione unità nella finestra Utility tastatore.

  10. A questo punto, calibrare il tastatore secondo gli orientamenti scelti. A tale scopo, operare come segue:

  • Fare clic su Misura nella finestra di dialogo Utility tastatore. Verrà visualizzata la finestra di dialogo Misura tastatore.

  • Selezionare Calibrazione unità a seconda del tipo di operazione da eseguire.

  • Selezionare il pulsante Misura nella finestra di dialogo Utility tastatore. PC-DMIS calcola l’offset reale per la configurazione tastatore data e crea automaticamente le punte per ciascuna delle posizioni mappate.

Controllo di calibrazione:

Questa opzione consente di rimisurare gli orientamenti della punta specificati dall'utente e di confrontarli con i dati precedentemente misurati per tali orientamenti. Se necessario, è possibile utilizzare i dati del confronto per determinare se è necessaria una calibrazione completa.

Riporta l'unità all'origine:

Questa opzione consente di eseguire una procedura parziale di mappatura del polso sugli angoli delle punte precedentemente selezionati in modo da determinare il corretto orientamento di A = 0 e B = 0 all'interno della mappa errori del polso. PC-DMIS fornisce l'opzione Riporta l'unità all'origine se la voce RenishawWrist dell'Editor impostazioni di PC-DMIS è uguale a 1. Per informazioni sulla modifica delle voci di registro, fare riferimento alla sezione "Modifica delle voci di registro" .

Nota: per attivare il supporto polso, è necessario che l'opzione del polso sia attivata nel portlock (chiave hardware).

Calibra dispositivo NC-100:

Questa opzione viene utilizzata per calibrare uno strumento di calibrazione NC-100. Per attivarla, è necessario aver acquistato precedentemente l'opzione NC-100. Se sul blocco della porta è disponibile questa opzione, la scheda NC-100 viene attivata nella finestra di dialogo Opzioni di impostazione.

È quindi necessario impostare correttamente il dispositivo NC-100 per poter selezionare l'opzione Calibra dispositivo NC-100.


Area Modalità di calibrazione

L'area Modalità di calibrazione contiene le opzioni che consentono di passare dalle opzioni della Modalità predefinita alle opzioni Definita dall'utente e viceversa, come descritto di seguito.

Modalità predefinita

Se viene selezionata l'opzione Modalità predefinita, PC-DMIS utilizzerà il numero di punti indicato attorno allo strumento sferico a 10 o 15° dall'equatore, più un ulteriore punto perpendicolare al tastatore, a 90° dall'equatore.

Esempio di strumento sferico

Prendere i punti a 10° o a 15° evita che il gambo del tastatore urti la sfera di calibrazione quando il diametro del gambo è simile al diametro della punta del tastatore.

Se il diametro della punta è minore di 1 mm, PC-DMIS prende i punti attorno alla sfera con un angolo di 15°.

Se il diametro della punta è maggiore di 1 mm, PC-DMIS prende i punti attorno alla sfera con un angolo di 10°.

Modalità definita dall'utente

Se è seleziona l'opzione Definita dall'utente, è possibile accedere alle caselle relative ai livelli e agli angoli. La misurazione del tastatore verrà eseguita in base al numero di livelli inseriti e agli angoli iniziale e finale selezionati. La posizione del livello viene definita in base agli angoli impostati. 0Un angolo di 0° corrisponde all'equatore del tastatore. 90Un angolo di 90° indica una posizione perpendicolare al tastatore. Quando si esegue una misurazione perpendicolare rispetto al tastatore, viene preso un solo punto.

Numero di livelli

La casella Numero di livelli consente di determinare il numero di livelli da utilizzare nel processo di calibrazione. PC-DMIS dividerà il numero di punti per il numero di livelli, in modo da determinare il numero di punti da prendere per ciascun livello.

Angolo iniziale e finale

Le caselle Angolo iniziale ed Angolo finale consentono di controllare la posizione del primo e dell'ultimo livello. Eventuali livelli aggiuntivi verranno posizionati tra questi due livelli.

  • Un angolo iniziale di 0° si trova sull'equatore della sfera (relativo al tastatore).

  • Un angolo finale di 90° si trova nella parte superiore della sfera, perpendicolare al tastatore.

Angolo iniziale e finale


Area Calibrazione polso

Questa area consente di specificare le posizioni del polso in una matrice costituita da un numero massimo di nove misurazioni della sfera per la calibrazione del polso indicizzabile.

La sezione Calibrazione polso diventa disponibile per la selezione se sono state effettuate le seguenti operazioni:

  • Impostazione di un dispositivo polso continuo come Renishaw PHS o Brown & Sharpe CW43L nella finestra di dialogo Utility tastatore. Vedere l'argomento "Definizione dei tastatori" nella sezione "Definizione dell'hardware ".

  • Impostare le voci appropriate (DEAWrist o RENISHAWWrist) nella sezione Opzioni dell'Editor impostazioni su 1. Fare riferimento alla sezione “Modifica delle voci del registro”.

  • Selezionare l'opzione Calibrazione unità nell'area Tipo di operazione nella finestra di dialogo Misura tastatore.

Per informazioni più dettagliate sull'uso e sulla calibrazione dei dispositivi polso, fare riferimento alla sezione "Uso di un dispositivo polso".

Definizione delle posizioni AB del polso da calibrare

Per calibrare il polso, occorre calibrare le posizioni del polso in una matrice di almeno tre posizioni dell'angolo A per almeno tre posizioni dell'angolo B, per un totale di nove misurazioni della sfera. L'area Calibrazione polso consente di definire gli angoli di calibrazione degli assi A e B. Le caselle Inizio, Fine e Incremento consentono di specificare gli angoli iniziali e finali per la mappatura del polso e l'incremento per la mappatura di entrambi gli assi A e B.

Ad esempio, si assuma di digitare i seguenti valori nelle caselle appropriate:

Angolo A
Inizio: | -90
Fine: | 90
Incremento: | 90
Angolo B
Inizio: | -180
Fine: | 180
Incremento: | 180

PC-DMIS calibra le posizioni A-90B-180, A-90B0, A-90B180, A0B-180, A0B0, A0B180, A90B-180, A90B0 e A90B180.

Nota: è necessario scegliere gli angoli di Inizio e di Fine in base al tipo di polso effettivamente utilizzato, le caratteristiche meccaniche e le raccomandazioni del costruttore e del venditore. In alcuni casi PC-DMIS determinerà automaticamente gli angoli Iniziale e Finale sulla base delle specifiche del controller, anche se in altri casi PC-DMIS eseguirà una mappatura di soli 359.9 gradi di rotazione dell'asse B.

Sebbene la calibrazione del dispositivo polso richieda almeno nove posizioni, è possibile utilizzarne di più. In tal caso, PC-DMIS eseguirà una calibrazione leggermente più precisa.

Quando si calibra un polso, è anche possibile creare una mappa degli errori del polso per correggere gli errori angolari tra le posizioni calibrate. Per informazioni, vedere "Calcolo della mappa degli errori" nella sezione "Uso di un dispositivo polso".

Se si sta utilizzando un tastatore SP600, assicurarsi di leggere quanto scritto al proposito nell’argomento “Calibrazione del polso” nella sezione “Uso di un dispositivo polso”.

Uso delle mappe di errore del polso

I seguenti controlli consentono di creare, sostituire, visualizzare e cancellare le mappe d’errore del polso.

Controllo | Descrizione
Crea nuova mappa | Questo pulsante crea una nuova mappa di errore del polso quando si fa clic sul pulsante Misura.
Sostituisci mappa più prossima | Questo pulsante sostituisce la mappa più prossima esistente con una nuova mappa di errore del polso quando si fa clic sul pulsante Misura.
Visualizza/Cancella mappe | Questo pulsante visualizza la finestra di dialogo Mostra / Cancella mappe del polso. Questa finestra di dialogo elenca tutte le mappe degli errori del polso esistenti sul sistema; per ogni mappa mostra la lunghezza dell’estensione, il numero di angoli AB ed il valore incrementale dell’angolo. Selezionare una mappa di errore e fare clic su Elimina per rimuoverla dal sistema.


Calibrazione gambo

Selezionare la casella di controllo Calibrazione gambo se verrà utilizzata una punta a cilindro per prendere i punti sul bordo. Questa casella di controllo consente di calibrare il gambo del tastatore. Quando viene selezionata questa opzione, è possibile modificare il valore della casella N. punti shank e della casella Offset gambo .

Importante: tenere presente che se si utilizza un tastatore a cilindro, è necessario eseguire una calbrazione a gambo solo se devono essere presi punti sul bordo.


N. punti gambo

N. punti gambo

La casella N. punti gambo definisce il numero di punti da utilizzare per la misurazione del gambo o stelo cilindrico (shank).

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Posizionare il cursore nella casella N. punti gambo.

  2. Immettere un nuovo valore.


Offset gambo

Offset gambo

La casella Offset gambo determina la distanza (o la lunghezza) dalla punta del gambo che PC-DMIS utilizzerà per prendere la serie successiva di punti di calibrazione. Per modificare il valore di offset, operare come segue:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.


Area Insiemi di parametri

L'area Insiemi di parametri consente di creare, salvare ed utilizzare insiemi salvati di parametri di calibrazione dei tastatori. Queste informazioni vengono salvate come parte del file del tastatore e includono le impostazioni relative al numero di punti, alla distanza di approccio/ritrazione, alla velocità di movimento, alla velocità di contatto, alla modalità di sistema, le impostazioni relative alle modalità di calibrazione e il nome e la posizione dell'utensile di calibrazione.

Per creare insiemi di parametri denominati personalizzati, effettuare le seguenti operazioni:

  1. Consentire a PC-DMIS di aggiornare automaticamente il file del tastatore almeno alla versione formato 3.5.

  2. Accedere alla finestra di dialogo Utility tastatore.

  3. Fare clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  4. Modificare i parametri nella finestra di dialogo Misura tastatore.

  5. Nella sezione Insiemi parametri, digitare un nome per il nuovo insieme di parametri nella casella Nome e fare clic su Salva. PC-DMIS visualizza un messaggio in cui viene indicato che il nuovo insieme di parametri è stato creato. Per eliminare un insieme di parametri salvato, selezionarlo e fare clic su Elimina.

  6. Fare clic sul pulsante Misura se si desidera calibrare immediatamente le punte del tastatore. Per eseguire la calibrazione in un secondo momento, fare clic su Annulla.

  7. Nella finestra di dialogo Utility tastatore, fare clic su OK. Facendo clic su Annulla in questa finestra di dialogo, tutte le modifiche apportate al file del tastatore verranno annullate, compresa la creazione di eventuali insiemi di parametri.

Dopo aver creato un nuovo insieme di parametri, è possibile utilizzarlo nel comando CALIBRAZIONE AUTOMATICA/TASTATORE. Vedere "Calibrazione automatica tastatore".

Nota: gli insiemi di parametri sono specifici del tastatore in uso al momento della loro creazione.


Strumento montato su tavola rotante

Selezionare la casella di controllo Strumento montato su tavola rotante se lo strumento di calibrazione del tastatore è montato su una tavola rotante. Questa casella di controllo è disattivata se la macchina non dispone di una tavola rotante.


Misura

Il pulsante Misura consente di effettuare l'operazione selezionata nell'area Tipo di operazione.


Aggiungi strumento

Il pulsante Aggiungi strumento consente di aprire la finestra di dialogo Aggiungi strumento.

Finestra di dialogo Aggiungi strumento

Questa finestra di dialogo consente di memorizzare i dati relativi agli strumenti di calibrazione. A ciascun strumento è assegnato un ID progressivo. Oltre al numero di ID, PC-DMIS visualizza il tipo di strumento (SFERA, POLIEDRO), l'offset dello strumento, il vettore del calibro, il vettore di sovrascrittura, il diametro (per la SFERA) o la lunghezza (per il POLIEDRO).

Una volte definito uno strumento, questo verrà visualizzato nell' Elenco di strumenti disponibili presente nella finestra Misura tastatore.

È necessario definire almeno una punta del tastatore nell'elenco Punte attive prima di poter misurare uno strumento.

Per aggiungere un utensile all'elenco a discesa Elenco di strumenti disponibili,fare clic sul pulsante Aggiungi strumento. Viene visualizzata la finestra di dialogo Aggiungi strumento che consente di inserire le informazioni necessarie:

La finestra Aggiungi strumento consente di accedere alle stesse informazioni utilizzate per creare un nuovo strumento. È possibile modificare l'ID e il tipo di strumento, i valori di offset, il vettore gambo IJK e il diametro o la lunghezza dello strumento.

Vedere anche:

ID strumento

Tipo di strumento

Offset X, Y, Z

Vettore gambo I, J, K

Sovrascrittura ricerca I, J, K

Diametro / Lunghezza

Diameter / Length Search Override IJKShank Vector IJKOffset XYZTool TypeTool ID


ID strumento

Questa casella consente di assegnare un nome allo strumento da definire.


Tipo di strumento

Questa casella di riepilogo a discesa consente di selezionare il tipo di strumento, sfera o cubo.


Offset X, Y, Z

I valori di offset di X, Y e Z determinano la posizione dello strumento di calibrazione in base alle coordinate della macchina.

Per ricalibrare una punta selezionare la punta desiderata dall'Elenco punte attive. Avviare il processo di calibrazione utilizzando il pulsante Misura. Vedere "Anteprima della configurazione del tastatore".


Vettore gambo I, J, K

In questa casella viene visualizzato il vettore dell'asta montata sullo strumento. PC-DMIS utilizza tali valori durante la calibrazione per non entrare in contatto con il gambo.

Asta montata sulla sfera di calibrazione


Sovrascrittura ricerca I, J, K

Queste caselle consentono di specificare un vettore usato da PC-DMIS per determinare l’ordine ottimale per misurare tutte le punte quando si seleziona la casella di controllo Ordine di calibrazione definito dall’utente nella finestra di dialogo Utility tastatore. Fare riferimento a "Ordine di calibrazione".


Diametro / Lunghezza

In questa casella viene visualizzato il diametro o la lunghezza di una sfera di calibrazione.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare la casella Diametro/Lunghezza.

  2. Inserire il nuovo valore.


Modifica strumento

Il pulsante Modifica strumento consente di modificare uno strumento già disponibile nell'Elenco strumenti disponibili. Fare clic sul pulsante Modifica strumento. Verrà visualizzata la finestra di dialogo Modifica strumento.

Finestra di dialogoModifica strumento

Nella finestra di dialogo Modifica strumento sono disponibili le stesse opzioni presenti nella finestra di dialogo Aggiungi strumento.

Diameter / LengthSearch OverrideShank Vector IJKOffset XYZTool TypeTool IDCancel buttonOK button


Elimina strumento

Il pulsante Elimina strumento consente di rimuovere uno strumento non più necessario dall'elenco a discesa Elenco strumenti disponibili.

Per rimuovere uno strumento, effettuare le seguenti operazioni:

  1. Selezionare l'ID dello strumento desiderato.

  2. Fare clic sul pulsante Elimina strumento.


Elenco di strumenti disponibili

L'elenco a discesa Elenco strumenti disponibili riporta gli strumenti disponibili, consentendo all'utente di specificare lo strumento che verrà utilizzato per la calibrazione del tastatore. PC-DMIS utilizza esclusivamente strumenti sferici.

Vedere anche:

Sfera di calibrazione e punta a sfera

Sfera di calibrazione e punta a disco

Sfera di calibrazione e punta rastremata

Sfera di calibrazione e punta cilindrica

Sfera di calibrazione e punta ottica


Sfera di calibrazione e punta a sfera

PC-DMIS richiede di inserire il numero di punti da prendere sullo strumento e quindi avvia l'operazione di presa dei punti.


Sfera di calibrazione e punta a disco

Se è attiva la modalità Manuale, PC-DMIS richiede di prendere sei punti sullo strumento di calibrazione. Prendere tre punti al di sopra dell'equatore della sfera e tre punti al di sotto dello stesso.

Se è attiva la modalità DCC, è necessario che la posizione dello strumento di calibrazione sia nota.


Sfera di calibrazione e punta rastremata

PC-DMIS richiede di prendere sei punti sulla sfera con la parte rastremata del tastatore. La sfera di calibrazione viene utilizzata praticamente come tastatore per misurare una punta rastremata, come un cono. I primi tre punti devono formare un piano approssimativamente perpendicolare alla linea centrale del cono. Se si utilizza un tastatore rastremato di dimensioni ridotte, è preferibile utilizzare una sfera di calibrazione di dimensioni ridotte per effettuare questa operazione.


Sfera di calibrazione e punta cilindrica

PC-DMIS richiede di prendere quattro punti su una sezione trasversale del piano della sfera per formare un cerchio. I punti devono essere presi con la stessa parte del tastatore che verrà utilizzata per l'ispezione. Dopo aver preso i quattro punti, verrà richiesto di toccare la sfera una volta con la superficie inferiore del tastatore.


Sfera di calibrazione e punta ottica

Questa opzione è disponibile solo se la punta ottica è definita come tastatore rigido.


Modifica

Ogni punta attiva può essere aggiornata evidenziando la punta desiderata nell'Elenco punte attive e selezionando il pulsante Modifica. Viene quindi visualizzata Modifica dati del tastatore .

Finestra di dialogo Modifica dati del tastatore

È possibile modificare le informazioni indicate di seguito.

Vedere anche:

ID punta

Etichetta DMIS

Centro X, Y, Z

Vettore gambo / ottico I, J, K

Diametro della punta a sfera

Spessore della punta a sfera

PrbRdv

Data e ora di calibrazione

Nickname

Per eliminare una punta dall'elenco Punte attive:

Per eliminare un angolo del polso:

Cancel button OK buttonNicknameCalibration Date and TimePrbRdvThickness of the Ball TipDiameter of the Ball TipShank / Optical Vector IJKXYZ CenterDMIS LabelTip ID


ID punta

Questa casella contiene il numero permanente assegnato da PC-DMIS ad una punta al momento del caricamento in memoria. Non è possibile modificarlo. Esso ha soltanto uno scopo di visualizzazione; tuttavia è possibile fornire una definizione più descrittiva utilizzando la casella Nickname .


Etichetta DMIS

Questa casella visualizza l’etichetta DMIS. Quando si importano file DMIS, PC-DMIS usa questo valore per identificare le istruzioni SNSDEF nel file DMIS importato.


Centro X, Y, Z

Questi valori indicano la posizione della punta in relazione all'estremità inferiore della guida Z.


Vettore gambo / ottico I, J, K

Questi valori descrivono la direzione della punta del tastatore a cilindro. Questo vettore parte dal centro della punta del tastatore e procede in direzione della guida Z. Utilizzando un tastatore ottico, questi valori descrivono la direzione del dispositivo ottico.


Diametro della punta a sfera

Questa casella contiene il diametro della punta.


Spessore della punta a sfera

Questa casella contiene il spessore della punta. Essa definisce i valori utilizzabili e grafici di altezza e spessore della punta rubino. PC-DMIS applica questo valore durante la procedura di calibrazione del tastatore a disco per spostare il tastatore a nord o a sud dell'equatore. Nel caso di un tastatore a disco, ad esempio, potrebbe essere necessario impostare questo valore su un valore più basso in modo da consentire una migliore calibrazione del tastatore.


PrbRdv

La casella PrbRdv nella finestra Modifica dati tastatore consente di impostare una deviazione radiale per la dimensione calibrata della punta.

Quando si esegue la calibrazione del tastatore, PC-DMIS esegue una delle seguenti operazioni:

  1. Con una configurazione per PrbRdv, il processo di calibrazione imposta automaticamente la dimensione della punta secondo il valore teorico, calcola e poi salva il valore PrbRdv calcolato.

  2. Con una macchina non adatta al PrbRdv, la calibrazione imposta automaticamente il valore PrbRdv su zero, calcola e poi salva una punta di dimensioni leggermente defferenti rispetto al valore teorico.

La finestra di dialogo Modifica dati tastatore permette semplicemente di modificare la grandeza della punta e/o del PrbRdv, se per qualche ragione è utile averlo al termine della calibrazione. Se si ripete la calibrazione, i valori risultanti si ricavano dalla calibrazione, non dai dati che possono essere stati inseriti manualmente in questa finestra, prima della calibrazione.

Nota: questa casella è disponibile soltanto se si usa un tastatore analogico si determinate macchine.


Data e ora di calibrazione

Questi valori indicano la data e l'ora dell'ultima calibrazione della punta del tastatore e vengono visualizzati nella finestra di dialogo Modifica dati tastatore. Se viene creata una nuova punta senza eseguirne la calibrazione, PC-DMIS visualizza il valore NUOVO per la data e l'ora. Se viene caricata una punta di tastatore esistente per la quale non sono disponibili le informazioni relative alla data e all'ora, viene visualizzato il valore SCONOSCIUTO. Vengono aggiornati i valori della data e dell'ora solo delle punte di tastatore delle quali è stata eseguita la calibrazione.


Nickname

La casella Nickname nella finestra Modifica dati tastatore consente di assegnare un nome più descrittivo all'ID della punta del tastatore selezionata. Ad esempio, se la punta si chiama "MyTip" nella casella Nickname, PC-DMIS utilizzerà "MyTip" nell’interfaccia utente per quella punta in finestre di dialogo, nei messaggi, nei rapporti, ecc. Se si definisce un ID, PC-DMIS utilizzerà l’ID predefinito della punta.


Per eliminare una punta dall'elenco Punte attive:

Per eliminare una punta dall'Elenco punte attive, effettuare le seguenti operazioni:

  1. Selezionare l'elemento da rimuovere.

  2. Selezionare il pulsante Elimina.

Se è stata selezionata una sola punta, PC-DMIS procederà automaticamente all'eliminazione. È possibile eliminare più elementi evidenziandoli prima di selezionare il pulsante Elimina.

PC-DMIS consente inoltre di rimuovere angoli specifici della PH9 dall'Elenco punte attive.


Per eliminare un angolo del polso:

Per eliminare un angolo del polso:

  1. Selezionare l'angolo da rimuovere.

  2. Selezionare il pulsante Elimina.

Quando si elimina una punta o la testata di un tastatore, tutti gli angoli della PH9 associati vengono eliminati dal file.

Nota: questa opzione consente di eliminare la punta dell'Elenco punte attive e di cancellarlo dal file di sistema che contiene le punte


Aggiungi angoli

Selezionando il pulsante Aggiungi angoli viene visualizzata la finestra di dialogo Aggiungi angoli.

Finestra di dialogo Aggiungi nuovi angoli

Grazie alle caselle e ai pulsanti disponibili, PC-DMIS consente di creare un elenco di posizioni AB. Una volta che una posizione è stata calibrata, essa può essere richiamata in qualsiasi momento durante un qualsiasi part program. Pertanto, calibrando le posizioni utilizzate frequentemente, sarà possibile richiamarle durante l'apprendimento o l'ispezione manuale di un part-program.

Le posizioni AB vengono memorizzate nelle coordinate del pezzo. In modalità di esecuzione, PC-DMIS troverà automaticamente la posizione AB calibrata appropriata in base all'orientamento del pezzo sulla macchina. Perché le posizioni AB siano disponibili, è necessario selezionare la casella di controllo Regolazione automatica tastatore polso (vedere "Regolazione automatica tastatore polso" nella sezione "Impostazione preferenze" ). È necessario verificare che il comando di modifica del tastatore sia riportato nella finestra di modifica prima dell'esecuzione di tale funzione.

Poiché il posizionamento meccanico del tastatore è soggetto a modifiche, è consigliabile eseguire periodicamente la calibrazione del tastatore. Selezionando il pulsante Aggiungi angoli viene visualizzata la finestra di dialogo Aggiungi nuovi angoli .

Questa finestra di dialogo consente di specificare i singoli orientamenti AB. Verrà inoltre creato un elenco di orientamenti AB equidistanti che utilizzano i parametri specificati nelle caselle della sezione Dati angoli equidistanti.

Nella finestra di dialogo Aggiungi angoli sono disponibili i parametri indicati di seguito.

Vedere anche:

Casella Elenco nuovi angoli

Dati angolo singolo

Dati angoli equidistanti

Uso della Griglia

Note sull'opzione Aggiungi angolo

Cancel Button OK ButtonWorking with the Angle GridClear Selected AnglesEqually Spaced Angle DataIndividual Angle Data


Casella Elenco nuovi angoli

Nella casella Elenco nuovi angoli è riportato un elenco di angoli AB in base a quanto specificato nell'area Dati angolo singolo o nell'area Dati angoli equidistanti.


Dati angolo singolo

L'area Dati angolo singolo consentono di aggiungere posizioni AB una alla volta nella casella Elenco nuovi angoli.

Per aggiungere singoli angoli, effettuare le seguenti operazioni:

  1. Posizionare il cursore nella casella da modificare.

  2. Inserire il nuovo angolo.

  3. Fare clic sul pulsante Aggiungi angoli.

L'angolazione specificata viene visualizzata nella casella Elenco nuovi angoli.


Dati angoli equidistanti

Il pulsante Aggiungi angoli associato a queste caselle consente di selezionare automaticamente tutte le posizioni AB equidistanti richieste nell'elenco Elenco nuovi angoli. La posizione predefinita per la configurazione del tastatore viene automaticamente inclusa nell'elenco finale. Un PH9 che punta verso il basso (A=0°, B=qualsiasi°) viene definito automaticamente pertanto non è necessario ridefinirlo in questa finestra.

PC-DMIS consente di misurare le posizioni AB da 0° a 90° lungo l'asse A con incrementi di 15° e da -180° a 180° lungo l'asse B con incrementi di 45°.

Intervallo angoli asse A¾Vista frontale di CMM con B = 90°.

Intervallo angoli asse B¾vista dall'alto con A = 90°

Per aggiungere le angolazioni alla casella Elenco nuovi angoli, effettuare le seguenti operazioni:

  1. Inserire gli angoli necessari nelle caselle relative (A Iniziale , A Finale, Incremento in A, B iniziale, B finale, Incremento in B).

  2. Fare clic sul pulsante Aggiungi angoli. Nell'Elenco nuovi angoli verranno automaticamente visualizzate le configurazioni AB richieste.

Orientazioni AB, visualizzate nella finestra di dialogo Nuovi angoli


Uso della griglia

PC-DMIS consente di selezionare gli angoli disponibili per il polso definito utilizzando una griglia dalla finestra di dialogo Aggiungi nuovi angoli. Tutte le posizioni disponibili dell'angolo A vengono visualizzate in una colonna lungo uno dei bordi verticali della finestra di dialogo, mentre le posizioni relative all'angolo B vengono visualizzate lungo la parte superiore della finestra di dialogo.

Parte della finestra di dialogo Aggiungi nuovi angoli che riporta gli angoli AB (in nero) precedentemente selezionati e gli angoli AB inseriti prima della chiusura della finestra di dialogo (in rosso)

Per aggiungere nuovi angoli facendo clic sulla griglia,

  1. trovare la riga dell'angolo A che si desidera aggiungere, quindi individuare la colonna con l'angolo B appropriato.

  2. Fare clic sulla casella di intersezione degli angoli A e B desiderati. La casella selezionata diventa di colore rosso e le posizioni degli angoli AB selezionati vengono inserite nella casella Elenco nuovi angoli.

Per cancellare una posizione degli angoli AB selezionata, è sufficiente fare clic di nuovo sulle caselle rosse e PC-DMIS rimuoverà le posizioni degli angoli AB associati alla casella da Elenco nuovi angoli.

Informazioni sui colori della griglia

Esistono quattro possibili colori nelle caselle della griglia quando si opera con la griglia di angoli: grigio scuro, rosso, giallo e verde. Per le testate del tastatore per le quali la griglia è sufficiente a mostrare l'intervallo completo degli angoli, sono presenti soltanto caselle di colore grigio scuro o rosso. Se tuttavia si utilizza un polso (come il PHS o il CW43L), è possibile che vi siano angoli con incrementi che superano il numero di incrementi disponibili sulla griglia. In questi casi PC-DMIS colora sulla griglia la casella che meglio approssima l’angolo reale in verde oppure in giallo.

Colore | Descrizione
Grigio scuro | Una casella grigio scura indica che la posizione angolare AB esiste nell’elenco Punta attiva della finestra di dialogo Utility tastatore. L’angolo AB corrisponde esattamente all’angolo della casella nella griglia.
Rosso | Una casella colorata di rosso indica che è stato definito un nuovo angolo AB tramite la finestra di dialogo Aggiungi angoli, ma l’angolo non è ancora stato aggiunto all’elenco Punte attive. L’angolo AB corrisponde esattamente all’angolo della casella nella griglia.
Giallo | Una casella giallo indica che l'angolo AB esiste già nell'elenco Punte attive della finestra Utility tastatore e che PC-DMIS ha scelto la casella corrispondente alla posizione che meglio approssima quell’angolo.
Verde | Una casella colorata di verde indica che è stato specificato un nuovo angolo AB, tramite la finestra di dialogo Aggiungi angoli, ma l’angolo non è ancora stato aggiunto all’elenco delle Punte attive. PC-DMIS sceglie la casella corrispondente alla posizione che meglio approssima l’angolo.


Note sull'opzione Aggiungi angolo

  • Per eseguire la calibrazione automatica del tastatore è necessario utilizzare un tastatore sferico e una sfera di calibrazione.

  • È necessario che le coordinate X, Y e Z del centro dell'utensile utilizzato riflettano la posizione corrente dello strumento sulla tavola. In caso contrario, rispondere affermativamente quando viene richiesto se la posizione del tastatore è stata modificata.

  • Quando viene eseguita la misurazione delle posizioni AB con il controllo dell'operatore, PC-DMIS ruoterà automaticamente la testata del tastatore nella successiva posizione manuale al completamento della posizione corrente. Accertarsi che il tastatore disimpegni lo strumento prima di premere il tasto FINE.

  • Se la posizione dell'utensile di calibrazione è stata modificata o se è necessario aggiungere nuovi angoli alla fine dell'elenco delle punte, selezionare gli angoli necessari nella casella Elenco nuovi angoli. È necessario selezionare anche la posizione predefinita della punta del tastatore, perpendicolare all'asta dell'utensile. Verrà eseguito per primo l'angolo perpendicolare all'utensile, quindi tutti gli altri angoli selezionati.

  • Se la calibrazione automatica delle posizioni AB viene interrotta prima che sia stata completata la misurazione di tutte le posizioni aggiunte, verrà richiesto se si desidera conservare i dati di calibrazione parziali acquisiti prima di annullare l'operazione.


Risultati

Il pulsante Risultati consente di visualizzare i risultati dell'ultima calibrazione del tastatore nella finestra di dialogo Risultati di calibrazione.

Finestra di dialogo Risultati

Oltre a visualizzare il diametro e lo spessore del tastatore, la finestra di dialogo fornisce l'angolo reale e l'arrotondamento della sfera. I risultati della misurazione consentono di verificare la precisione della calibrazione.

A partire dalla versione 3.7, PC-DMIS visualizza i risultati con precisione fino a sei cifre decimali.


Selezione usata

Questa opzione consente di ricercare gli angoli AB nel part-program corrente in modo automatico. PC-DMIS aggiunge gli angoli AB trovati alla configurazione del tastatore corrente.

Nota: tenere presente che se si seleziona l'opzione Regolazione automatica tastatore polso (nella scheda Generale della finestra Impostazione) e si fa clic sul pulsante Selezione usata, PC-DMIS potrebbe non selezionare tutte le punte del tastatore per la calibrazione (fare riferimento alla sezione "Regolazione automatica tastatore polso" in "Impostazione delle preferenze" ).


Globali usati

Il pulsante Globali utilizzati consente di ricercare le punte utilizzate in altri part program dal file di tastatore attivo. Le punte vengono quindi aggiunte all'Elenco punte attive e vengono contrassegnate per la calibrazione.

Per impostazione predefinita, questo pulsante esegue la ricerca in tutte le sottodirectory dei part program. È possibile controllare se la ricerca viene eseguita o meno nelle sottodirectory della directory di ricerca definita utilizzando la voce di registro ProbeGlobalUsedIsRecursive descritta nella sezione "Modifica delle voci di registro" .


Formato file

Il pulsante Formato file salva il file di tastatore esistente in un formato compatibile con le versioni precedenti di PC-DMIS. Quando si fa clic sul pulsante Formato file, viene visualizzata la finestra Converti formato file tastatore.

Finestra di dialogo Converti formato file tastatore

Questa finestra di dialogo contiene i seguenti due elementi:

· Casella Versione corrente – Questa casella riporta la versione corrente di PC-DMIS.

· Elenco Versione per salvataggio – Questo elenco contiene i tipi di formato che è possibile utilizzare per salvare il file.


Usa dati calibrazione unità

La casella di controllo Usa dati calibrazione unità viene visualizzata nella finestra di dialogo soltanto se è già stata eseguita la calibrazione di un'unità. Se questa casella di controllo non è selezionata, PC-DMIS eseguirà la calibrazione standard. Selezionando questa casella di controllo, sarà possibile utilizzare i dati di calibrazione dell'unità. Per ulteriori informazioni, vedere "Calibrazione unità" nella sezione Misura.


Tipi di punte disponibili

PC-DMIS fornisce i seguenti tipi di punte nell'elenco a discesa Descrizione tastatore:

Per aggiungere una nuova punta all'elenco delle punte disponibili, contattare il rappresentante dell'assistenza software PC-DMIS. Soltanto il personale autorizzato può creare file aggiuntivi delle punte.

Vedere anche:

Rullo

Disco

Ottico

A cilindro


Rullo

Un rullo definisce un tastatore sferico. L'utente potrà modificare il diametro nominale e lo spessore del tastatore mediante il pulsante Modifica. È inoltre necessario definire la direzione del tastatore.


Disco

Un disco definisce un tastatore a disco. L'utente potrà modificare il diametro nominale e lo spessore del tastatore mediante il pulsante Modifica. È inoltre necessario definire la direzione del tastatore.


Ottico

Questa opzione è disponibile solo se la punta ottica è definita come un tastatore rigido.

Questa opzione definisce un tastatore ottico. L'utente potrà modificare il diametro nominale e lo spessore del tastatore mediante il pulsante Modifica. È inoltre necessario definire la direzione del tastatore.


A cilindro

Questa opzione definisce un tastatore a gambo o a cilindro. L'utente potrà modificare il diametro nominale e lo spessore del tastatore mediante il pulsante Modifica. È inoltre necessario definire la direzione del tastatore.


Tolleranza di collisione

È possibile utilizzare il modulo CD in Avail/NT solo se sullo schermo viene visualizzata una vista (ombreggiata) OPENGL.

Il controllo di collisione (CD, Collision Detection) in PC-DMIS é progettato per controllare le collisioni tra il tastatore e le superfici CAD.

Le tolleranze di collisione vengono specificate nella finestra di dialogo Tolleranze collisione. Per accedere a questa opzione, fare clic sul pulsante Tolleranze nella finestra di dialogo Utility tastatore.

Finestra di dialogo Tolleranze di collisione

Fare riferimento a “Rilevamento delle collisioni” nella sezione "Modifica della visualizzazione CAD" per ulteriori informazioni sull'opzione Controllo collisione.

Vedere anche:

Specifica delle tolleranze di collisione


Specifica delle tolleranze di collisione

Le tolleranze di collisione vengono specificate nella finestra di dialogo Tolleranze collisione. Questa finestra di dialogo viene visualizzata facendo clic sul pulsante Tolleranze nella finestra di dialogo Utility tastatore .

Nella caselle di modifica è possibile specificare un valore positivo o negativo per ciascun componente del tastatore selezionato dall'elenco a discesa. In tal modo, è possibile modificare efficientemente le dimensioni del componente.

  • Un numero positivo aumenta le dimensioni del componente, in modo da rilevare una collisione nel caso in cui tale componente sia compreso nella distanza dal pezzo specificata.

  • Una distanza negativa diminuisce le dimensioni della porzione di tastatore, con un effetto opposto a quello di una distanza positiva.

Inoltre, è possibile ignorare un componente del tastatore selezionando la casella di controllo Ignora. In tal modo, PC-DMIS ignorerà questo componente durante il controllo delle collisioni. Ciò può risultare utile con una punta in cui di solito si verificano collisioni durante la presa dei punti.

Quando si inizia il controllo delle collisioni, selezionando l'opzione di menu Controlli collisioni , il motore CAD interno di PC-DMIS effettua tutti i calcoli necessari. Tutte le collisioni rilevate vengono visualizzate nella finestra di dialogo Controllo collisione (CD), la quale consente di visualizzare i risultati nella finestra di visualizzazione del tastatore e di salvarli, in modo da poterli utilizzare in un momento successivo, per disegnare le linee del percorso di modifica.

Fare riferimento a “Rilevamento delle collisioni” nella sezione "Modifica della visualizzazione CAD" per ulteriori informazioni sull'opzione Controllo collisione.


Impostazioni tastatore

Il pulsante Impostazione nella finestra di dialogo Utility tastatore consente di visualizzare la finestra Impostazioni tastatore.

Finestra di dialogo Impostazioni tastatore

Questa finestra di dialogo consente di personalizzare ulteriormente le impostazioni del tastatore. Utilizzando le opzioni di questa finestra di dialogo è possibile modificare o selezionare le seguenti informazioni:

  • È possibile restituire un'avvertenza quando si utilizzano dei tastatori non calibrati da x giorni,
    dove x corrisponde al numero di giorni.

  • Restituire un'avvertenza quando si utilizzano dei tastatori non calibrati entro x ore l'uno dall'altro,
    dove x corrisponde al numero di ore.

  • Distanza di sicurezza lungo il vettore gambo dello strumento di calibrazione: x
     dove x è la distanza di sicurezza

  • Distanza di sicurezza lungo il vettore gambo dello strumento di calibrazione per i tastatori a polso continuo: x
     dove x è la distanza di sicurezza

  • Distanza di sicurezza in Z quando il gambo dello strumento di calibrazione è perpendicolare all'asse Z: x
     dove x è la distanza di sicurezza

  • Restituire un'avvertenza durante la calibrazione quando la deviazione standard della sfera è superiore a: x
     dove x é la deviazione standard

  • Restituire un'avvertenza quando l'errore del diametro per la punta del tastatore è superiore a: x.
    dove x è l'errore sul diametro

  • Non richiedere all'operatore il file del tastatore attualmente caricato quando si utilizza un cambio tastatore.
    File tastatore caricato: file
     dove file è il file del tastatore appropriato

  • Aggiungere i risultati della calibrazione al file dei risultati.

  • File tastatore usato con cambio tastatore per forzare solo lo scarico: file
     dove file è un file tastatore generico
    , utilizzato per forzare lo scaricamento del tastatore corrente senza caricare un nuovo tastatore dal cambio utensile.. Si veda l'argomento "Come rilasciare un tastatore senza prelevarne uno nuovo" nella sezione "Impostazione delle preferenze" .

Fare clic su OK per accettare le modifiche.


Stampa elenco

Il pulsante Stampa elenco consente di visualizzare la finestra di dialogo Stampa. Se si fa clic sul pulsante OK, PC-DMIS stampa un elenco di angoli della punta calibrati e non calibrati in una tabella. Questi sono gli stessi angoli della punta elencati nell’Elenco punte attive. In ciascuna riga della tabella è riportato un angolo della punta, mentre nelle colonne vengono visualizzati i valori XYZ, IJK, del diametro e dello spessore per ciascuna angolo della punta. Viene inoltre visualizzata la data e l'ora di calibrazione degli angoli della punta.

Se un angolo della punta non è stato calibrato oppure si verifica un errore relativo al diametro, alla data o all'ora, la punta viene visualizzata in rosso all'interno dell'elenco.

Vedere anche:

Stampa di esempio


Stampa di esempio

Di seguito è riportata una stampa di esempio dell'elenco delle punte attive:

Stampa di esempio delle punte attive per un tastatore PH9


Utility di calibrazione dei tastatori Faro

Se si utilizza un braccio Faro, la finestra di dialogo Utility calibrazione tastatore sostituisce la finestra Misura standard che viene visualizzata facendo clic su Misura dalla finestra didialogo Utility tastatore.

Finestra di dialogo Utility calibrazione tastatore

Vedere anche:

Opzioni disponibili della finestra di dialogo

Procedura di calibrazione Faro


Opzioni disponibili della finestra di dialogo

La tabella riportata di seguito contiene un elenco delle opzioni disponibili nella finestra di dialogo Utility calibrazione tastatore con la relativa descrizione.

Opzione

Descrizione

Metodo calibrazione

La finestra di dialogo Utility calibrazione tastatore consente l'uso di due metodi di calibrazione:

· Tecnica di calibrazione sfera da 1". Dal momento che la maggior parte dei bracci Faro dispone di una sfera di calibrazione incorporata (di solito, una sfera da 1.000"), PC-DMIS utilizza questa tecnica come metodo di calibrazione predefinito.

· Tecnica di calibrazione foro. Se si desidera, è possibile utilizzare un foro anziché una sfera per calibrare il tastatore Faro.

Area di errore ultima calibrazione

La casella Area di errore ultima calibrazione visualizza il numero volumetrico che Faro calcola dopo aver completato la routine di calibrazione. Questo numero viene generato dal controller Faro e viene utilizzato solo a scopo di visualizzazione. Non è possibile modificarlo.

Numero di punti presi

Nella casella Numero di punti presi viene visualizzato il numero di punti presi per l'area di calibrazione.

Visualizza finestre con elenco punti

Selezionando la casella di controllo Visualizza finestre con elenco punti, vengono visualizzate le posizioni XYZ e il numero di punti presi in tempo reale, durante il processo di calibrazione.

Segnale acustico al termine di un segmento di calibrazione

Selezionando la casella di controllo Segnale acustico al termine di un segmento di calibrazione, il computer emette un segnale acustico al completamento di un'area o di una sezione di calcolo. Nell'area di stato della finestra di dialogo, che si trova sotto la casella Numero di punti presi, vengono segnalati l'area di calibrazione da misurare e il numero di punti da prendere.


Procedura di calibrazione Faro

Per calibrare correttamente il tastatore utilizzando un braccio Faro, completare la seguente procedura:

  1. Accedere alla finestra di dialogo Utility calibrazione tastatore.

  2. Nell'area Metodo di calibrazione, selezionare il metodo appropriato.

  3. Selezionare le caselle di controllo necessarie.

  4. Fare clic sul pulsante Misura. A questo punto, ha inizio il processo di calibrazione. PC-DMIS mostrerà alcuni messaggi grafici per guidare il processo di calibrazione del braccio Faro.

  5. Seguire tutte le istruzioni riportate sullo schermo, comprese quelle visualizzate nell'area di stato della finestra di dialogo.

  6. Se si utilizza una sfera da un pollice, prendere i punti specificati di seguito, servendosi anche del diagramma illustrato nell'immagine e i suggerimenti proposti sullo schermo:

    Vista laterale della sfera di calibrazione e blocco e magnete Faro

  • Prendere cinque punti attorno all'equatore.

  • Invertire l'ultimo asse e prendere altri cinque punti attorno all'equatore.

  • Prendere cinque punti perpendicolari alla sfera, da est verso ovest.

  • Invertire l'ultimo asse e prendere quattro punti perpendicolari alla sfera, da ovest verso est.

  • Prendere quattro punti perpendicolari alla sfera da nord verso sud.

  • Invertire l'ultimo asse e prendere quattro punti perpendicolari alla sfera, da sud verso nord.

  7. Se si utilizza la tecnica di calibrazione foro, PC-DMIS richiederà di prendere i seguenti punti:

  • Prendere dieci punti nel foro durante la rotazione della manopola.

  • Prendere dieci punti dalla direzione opposta.

  8. Al termine della calibrazione, fare clic su OK.


Informazioni sulla calibrazione SP600

Di seguito sono riportate alcune variazioni al processo di calibrazione per i tastatori SP600 introdotte dalla versione 3.25 in poi.

Vedere anche:

Note sulla matrice inferiore SP600:

Note sulla matrice superiore SP600 (calibrazione normale):

Note e procedura di calibrazione nel caso di punta a disco


Note sulla matrice inferiore SP600:

La procedura per la matrice inferiore utilizza la metodologia AP_COMP sviluppata da Brown and Sharpe Engineering. Sono state introdotte tre nuove impostazioni, disponibili mediante l'editor delle impostazioni di PC-DMIS nel gruppo ANALOG_PROBING. Esse sono:

SP6MTXMaxForce=0.54

SP6MTXUpperForce=0.3

SP6MTXLowerForce=0.18

I valori impostati per queste impostazioni sono quelli raccomandati da Brown and Sharpe Engineering durante la procedura della matrice inferiore. Queste voci saranno create (se non esistono) la prima volta che si esegue la procedura per la matrice inferiore.

Questi valori non andrebbero cambiati a meno di nuove indicazioni fornite da Brown and Sharpe Engineering. La procedura della matrice inferiore utilizzerà queste impostazioni indipendentemente da qualsiasi comando OPTIONPROBE presente nel part-program.

Per ulteriori informazioni sull'Editor impostazioni di PC-DMIS, fare riferimento alla sezione "Modifica delle voci di registro" .

Per informazioni aggiuntive sulla procedura per la matrice inferiore, fare riferimento anche al documento SP600 Low Level Matrix reperibile sul sito web di Wilcox Associates, Inc. al seguente indirizzo:

http://www.wilcoxassoc.com/Downloads/dl_instructionalfiles.htm


Note sulla matrice superiore SP600 (calibrazione normale):

Le seguenti note si applicano alla calibrazione della matrice superiore per i tastatori di tipo analogico.

Uso di comandi TASTAT OPZ con i tipi di tastatore analogico

Un comando TASTAT OPZ viene inserito nel part program ogni volta che vengono modificati i valori nella scheda Settaggi tastatore della finestra di dialogo Impostazione parametri. Per informazioni sulla finestra di dialogo Impostazioni parametri, fare riferimento alla sezione "Impostazioni parametri: scheda Tastatore opzionale" in "Impostazione preferenze" .

Se PC-DMIS rileva un comando TASTAT OPZ nel part-program, prima del comando CARIC TAST, la calibrazione userà i valori dal comando TASTAT OPZ. Se il comando TASTAT OPZ non precede il comando CARIC TAST, PC-DMIS utilizzerà i valori predefiniti memorizzati nell’Editor impostazioni PC-DMIS.

Per le versioni 3.25, è necessario includere il comando TASTAT OPZ per essere sicuri che la calibrazione utilizzi i valori corretti. Anche se i parametri da utilizzare sono quelli normali predefiniti per la determinata macchina, è necessario specificare questi valori con il comando TASTAT OPZ perché la versione 3.25 non usa automaticamente i valori predefiniti specifici della macchina senza un comandoTASTAT OPZ.

Dalla versione 3.5 in poi non è più necessario includere i valori predefiniti in un comando TASTAT OPZ perché PC-DMIS utilizza automaticamente i valori predefiniti specifici della macchina se non trova un comando TASTAT OPZ. I parametri predefiniti sono memorizzati nella sezione ANALOG_PROBING nell’Editor impostazioni PC-DMIS.

Importante: l'utilizzo del comando TASTAT OPZ può limitare la portabilità del part-program. Poiché PC-DMIS usa i dati specifici della macchina nel comando TASTAT OPZ, è possibile che si verifichino delle imprecisioni se si esegue il part program su un computer che utilizza una CMM differente. A meno di esigenze specifiche (ad esempio per misurare un pezzo di materiale morbido), in generale è preferibile non usare il comando TASTAT OPZ in questa versione. PC-DMIS acquisisce i valori predefiniti della macchina automaticamente dall’Editor impostazioni PC-DMIS.

Modifica degli algoritmi predefiniti di calibrazione

L’algoritmo predefinito per la calibrazione 3D dell’SP600 è stato cambiato ed è quello per Trax. La voce del registro si trova in OPTION, nella voce UseTraxWithSP600.

Per impostazione predefinita, PC-DMIS imposta su 1 questa voce; ciò significa che quello della Trax sarà l'algoritmo predefinito. Naturalmente è possibile sostituire questo con qualsiasi altro algoritmo si dimostri utile.

Se si utilizza la calibrazione Trax per l'SP600, la dimensione della punta generata dalla calibrazione risulterà diversa dal valore del progetto.

Se si utilizza la calibrazione Trax per tastatori analogici di tipo non-SP600 su machine Wetzlar, viene utilizzato il valore di progetto della punta, in quanto la deviazione del valore della punta viene gestita in maniera differente.

Se si utilizza una calibrazione non Trax, come dimensione della punta verrà utilizzato il valore di progetto.

Per ulteriori informazioni sull'Editor impostazioni di PC-DMIS, fare riferimento alla sezione "Modifica delle voci di registro" .

Rilevazione di punti campione aggiuntivi

Avvertenza: la voce UseAnalogSampling dell'Editor impostazioni non è più supportata e NON deve essere utilizzata. Assicurarsi di impostare UseAnalogSampling su 0. Se il suo valore è 1, è possibile che si verifichino errori di movimento durante la procedura di calibrazione.


Note e procedura di calibrazione nel caso di punta a disco

Quando si calibra una punta a disco su un tastatore analogo con la sfera di qualifica, è necessario specificare cinque punti nella casella Numero di punti e due livelli nella casella Numero di livelli nella finestra di dialogo Misura tastatore .

Assicurarsi, quando si definisce un tastatore, di aver scelto come modello una punta a disco e non a sfera. Dopo aver fatto clic sul pulsante Misura della finestra di dialogo Misura tastatore, PC-DMIS riconosce automaticamente il tastatore analogico e la punta a disco e procede come segue:

  • Se la sfera è stata spostata o se è stata scelta la modalità Man + DCC , PC-DMIS richiederà di prendere manualmente un punto nella parte superiore della sfera di qualifica (al Pol Nord) con il centro nella parte inferiore della punta a disco. Se la configurazione del tastatore ha una punta a sfera aggiuntiva connessa al fondo della punta a disco, occorre assicurarsi di rilevare il punto esattamente con la punta a sfera.

  • Se la sfera non è stata spostata e si è scelto di non usare la modalitá Man + DCC, PC-DMIS rileva il punto sulla sommità dello strumento di qualifica in modalità DCC.

PC-DMIS porta a termine la procedura eseguendo in modalitá DCC le seguenti operazioni:

  • Rileva quattro punti sulla cima della sfera secondo uno schema circolare, sulla cima della punta a disco, poi calcola il piano passante per i punti rilevati.

  • Prende sei punti disposti su due livelli per ottenere una posizione più vicina al centro della sfera.

  • Usa il centro ed il vettore che definisce il piano calcolato, per posizionare correttamente i cinque punti presi nel seguito della procedura.

  • Prende cinque punti, di cui quattro su un cerchio all’equatore della sfera ed il quinto sul polo della sfera stessa.

PC-DMIS fornisce due voci di registro, nell’Editor di configurazione e nella sezione Calibrazione tastatore, che si possono usare per determinare la posizione dei punti al fondo della punta a disco, durante la calibrazione. Esse comprendono:

  • ProbeQualAnalogDiskBottomHitsDistanceFromEdge

  • ProbeQualAnalogDiskPlaneStartAngle

Per ulteriori informazioni su queste voci, fare riferimento alla sezione "Modifica delle voci di registro" .


Procedure di calibrazione per SP600

Le seguenti procedure descrivono la calibrazione delle matrici di livello alto e basso del tastatore SP600.

Per ottenere risultati precisi in questo processo, utilizzare uno strumento di calibrazione sferico di buona precisione, mantenendolo in perfette condizioni durante tutto il processo di calibrazione.

Vedere anche:

Procedura di calibrazione della matrice di livello basso

Procedura di calibrazione della matrice di livello alto


Procedura di calibrazione della matrice di livello basso

La matrice di livello basso contiene la posizione 3D (centrale) del dispositivo tastatore. Occorre effettuare nuovamente la calibrazione SP600 della matrice di livello basso ogni volta che:

  • Ogni volta che si rimuove la testa del tastatore

  • Ogni volta che si monta la testa del tastatore

  • Ogni volta che si aggancia un nuovo tastatore SP600

  • Ogni volta che l’SP600 viene danneggiato

  • Ad intervalli periodici, in base alle specifiche necessità.

Procedure di calibrazione:

  1. Accedere alla finestra Utilità tastatore (Inserisci | Definizione hardware | Tastatore). Visualizza mappa percorsi dei menu

  2. Verificare che gli angoli necessari esistano nell'Elenco punte attive.

  3. Nell’Elenco punte attive selezionare l’angolo usato come posizione di riferimento. In molti casi questo deve essere l'angolo usato per definire la direzione Z-. A meno che non si abbia un braccio orizzontale, tale angolo corrisponde alla posizione della punta T1A0B0.

  4. Fare clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  5. Selezionare l'opzione Matrice inferiore SP600 nell'area Tipo di operazione. Questa opzione è disponibile solo se si opera in modalità online ed il tastatore SP600 è configurato nella finestra di dialogo Utility tastatore.

  6. Se si desidera, è possibile modificare i valori delle voci Approccio / Ritrazione,Velocità di movimento oppure Velocità di contatto.

  7. Selezionare una sfera di calibrazione nell’Elenco strumenti disponibili.

  8. Fare clic sul pulsante Misura. PC-DMIS avverte con un messaggio che, pur continuando ad operare, verranno modificati i parametri macchina, relativamente alla matrice di livello basso sul controller stesso. Fare clic su Sí per proseguire con la calibrazione.

  9. PC-DMIS visualizza un altro messaggio per chiedere se il tastatore ha cambiato posizione. Fare clic su Sí oppure su No.

  10. PC-DMIS visualizza quindi un messaggio per richiedere di rilevare un punto normale allo strumento di calibrazione. Operando in direzione Z-, prendere il punto nella parte superiore dello strumento. Dopo aver preso il punto, PC-DMIS assume il controllo e termina la procedura calcolando il centro dello strumento di calibrazione, effettuando le seguenti operazioni:

  • 3 punti attorno alla sfera

  • altri 25 punti attorno alla sfera

  11. Quando PC-DMIS trova la posizione del centro dello strumento, inizia la calibrazione per la matrice di livello inferiore. Vengono rilevati automaticamente 20 punti (10 in una direzione e 10 in un’altra direzione, formando un modello a croce), sui poli X+, X-, Y+, Y- e Z+ della sfera di calibrazione, per un totale di 100 punti. Occorrono da cinque a dieci minuti per completare la procedura.

  12. Al termine, PC-DMIS visualizza nove numeri e chiede in un messaggio di verificarne la correttezza. Questi numeri formano la matrice di livello basso. Iniziando la calibrazione con il tastatore in direzione Z-, il valore ZZ (terza riga, terza colonna) deve essere compreso tra .14 e .16. Tutti gli altri valori devono essere minori o uguali a .1.

  13. Se i valori sono corretti, fare clic su OK. PC-DMIS invia alla macchina un comando di fermata di emergenza, poi sovrascrive con i nuovi valori sul controller i valori precedenti della matrice di livello basso. PC-DMIS richiede in un altro messaggio di riavviare la macchina.

  14. Premere il pulsante Avvio macchina sul jogbox.

  15. Nella finestra del messaggio fare clic su OK.

PC-DMIS visualizza una volta ancora la finestra di dialogo Utility tastatore. Notare che la punta di riferimento nell’Elenco punte attive non è calibrata. La calibrazione di livello basso in realtà non calibra gli angoli effettivi della punta. Gli angoli della punta vengono calibrati quando si esegue la procedura di calibrazione della matrice di livello alto.

Importante: se la matrice di livello basso non è corretta, si avranno problemi durante alcune procedure di scansione che la macchina potrebbe non essere in grado di portare a termine. Potrebbero anche verificarsi delle imprecisioni.


Procedura di calibrazione della matrice di livello alto

Al termine della calibrazione della matrice di livello basso, è possibile effettuare una normale calibrazione. La calibrazione di livello alto calibra le punte reali del tastatore. Essa inoltre invia al controller anche una seconda matrice di numeri che apporta piccole correzioni alla matrice di livello alto, in base alla configurazione e all'orientazione corrente del tastatore.

Per ottenere una maggiore precisione, PC-DMIS deve rilevare i punti con continuità attorno all’equatore della sfera di calibrazione. Con un buon angolo di copertura sulla sfera si ottengono buoni risultati. È possibile controllare gli angoli iniziale e finale, ai fini della continuità attorno all’equatore della sfera, attraverso le impostazioni della sezione [ProbeCal], nell’Editor impostazioni di PC-DMIS:

FullSphereAngleCheck=25.0

ProbeQualToolDiameterCutoff=18.0

ProbeQualLargeToolStartAngle1=50.0

ProbeQualLargeToolEndAngle1=310.0

ProbeQualSmallToolStartAngle1=70.0

ProbeQualSmallToolEndAngle1=290.0

Per informazioni sulla modifica di voci di registro, fare riferimento alla sezione "Modifica delle voci di registro" .

Procedura di calibrazione

Per eseguire la calibrazione della matrice di livello alto, operare come segue:

  1. Accedere alla finestra Utility tastatore (Inserisci | Definizione Hardware | Tastatore). Visualizza mappa percorsi dei menu

  2. Fare clic sul pulsante Misura.

  3. Selezionare l'opzione Calibra punte nell'area Tipo di operazione.

  4. Selezionare Definita dall’utente nell’area Modalità di calibrazione. Poiché il metodo Predefinito rileva soltanto i punti intorno al diametro e un punto nella parte superiore della sfera di calibrazione, esso non fornisce una buona valutazione 3D del centro del tastatore. Tuttavia, se si desidera calibrare con il metodo Predefinito, leggere attentamente la sezione "Note sulla modalità di calibrazione predefinita (2D) con SP600" di seguito.

  5. Digitare 3 nella casella Numero di livelli . È possibile digitare più livelli, sempre che questi non superino il numero di punti che saranno rilevati. Il minimo numero di livelli deve essere tre.

  6. Digitaree 0 nella casella Angolo iniziale .

  7. Digitare 90 nella casella Angolo finale.

  8. Digitare 25 nella casella Numero di livelli . PC-DMIS può prendere un minimo di 12 punti, ma si consiglia di rilevarne almeno 25.

  9. Fare clic sul pulsante Misura, quando si desidera iniziare.

  10. Attivando l’opzione di presa punto con il tastatore analogico, nell’Editor impostazioni, allora PC-DMIS rileverà automaticamente 5 punti attorno alla sfera di calibrazione per meglio definire il centro dello strumento di calibrazione.

  11. PC-DMIS calibra quindi la posizione AB dell’angolo e scrive automaticamente I numeri della matrice di livello alto nel controller. Questi numeri saranno automaticamente corretti se la procedura di calibrazione della matrice di livello basso è stata correttamente eseguita.

PC-DMIS visualizza una volta ancora la finestra di dialogo Utility tastatore. Le punte attive sono ora calibrate e si può programmare la misura del pezzo utilizzando il tastatore SP600 appena calibrato.

Note sulla modalità predefinita di calibrazione dell'SP600 (2D)

Se si decide di selezionare Predefinito nell’area Modalità calibrazione, PC-DMIS inserisce cinque punti nella casella Numero punti. Quando si inizia la procedura di calibrazione, PC-DMIS rileva questi punti sull’asse perpendicolare alla posizione del tastatore

Attenzione: tenere presente che in modalità di calibrazione Predefinita, la calibrazione di punte con un angolo A90 causa uno scontro del tastatore con il supporto della sfera di calibrazione, nel caso di sfere il cui supporto fuoriesce dal basso (vettore shank 0, 0, 1). Ciò accade perché il tastatore cerca di rilevare un punto in direzione –Z sulla sfera. Per ovviare a questo problema, utilizzare un supporto inclinato, evitare di calibrare punte con angoli A90 ed infine scegliere la modalità di calibrazione Definita dall'utente.


Calibrazione automatica tastatore

In PC-DMIS è disponibile un comando che consente di eseguire la calibrazione automatica del tastatore in uso durante l'esecuzione del part-program. PC-DMIS inizia la routine di calibrazione dopo l'esecuzione del comando.

Per inserire il comando, selezionare l'opzione di menu Inserisci | Calibrazione | Autocalibrazione tastatore.

Visualizza mappa percorsi dei menu

Il codice nella finestra di modifica per questo comando è il seguente:

CALIBRAZIONE AUTOMATICA/TASTATORE, INSIEME_PARAMETRI=, UTENSILE CALIBRAZIONE_SPOSTATO=S/N, MOSTRA_RIEPILOGO=S/N, SOVRASCRIVI_FILE RISULTATI=S/N

INSIEME_PARAMETRI= Questo campo riporta il nome di un insieme definito di parametri di calibrazione del tastatore. L'insieme predefinito ALL-TIPS-WITH-DEFAULTS (TUTTE-PUNTE-CON-VALORI PREDEFINITI) è sempre disponibile ed esegue la calibrazione di tutte le punte definite nel tastatore corrente, utilizzando l'insieme predefinito di parametri di calibrazione, ovvero gli ultimi utilizzati in maniera interattiva. Per creare insiemi di parametri personalizzati, vedere "Insiemi di parametri".

UTENSILE CALIBRAZIONE_SPOSTATO= In questo campo SÌ/NO viene impostata la risposta alla query del computer eseguita per sapere se l'utensile di calibrazione è stato spostato.

MOSTRA_RIEPILOGO= Questo campo SÌ/NO determina se PC-DMIS visualizza o meno il riepilogo della calibrazione.

SOVRASCRIVI_FILE RISULTATI= Questo campo SÌ/NO determina se PC-DMIS sovrascrive o aggiunge informazioni inviate al file dei risultati. Si tratta dello stesso file dei risultati a cui si fa riferimento durante il processo di calibrazione interattivo.

Premendo F9 su questo blocco di comandi, è possibile modificare il blocco di comandi utilizzando la finestra di dialogo Calibra punta o Calibra tastatore.

Inoltre, è possibile inserire un comando per calibrare automaticamente più bracci. Vedere "Esecuzione di una calibrazione automatica" nella sezione "Uso della modalità a bracci multipli" per ulteriori informazioni.

Vedere anche:

Come calibrare automaticamente una punta singola del tastatore


Come calibrare automaticamente una punta singola del tastatore

È anche possibile eseguire la calibrazione automatica della punta attiva completando la seguente procedura:

  1. Assicurarsi di disporre di almeno un elemento sfera nel proprio part-program. PC-DMIS richiede un elemento sfera per eseguire questo tipo di calibrazione.

  2. Accedere alla finestra di modifica e attivare la modalità Comando.

  3. Dalla barra degli strumenti Impostazioni, selezionare la punta da calibrare. Un nuovo comando PUNTA viene visualizzato nella finestra di modifica. Assicurarsi che il nuovo comando PUNTA venga visualizzato nella finestra di modifica dopo l'elemento sfera utilizzato con questa calibrazione.

  4. Per tutte le linee che seguono il comando PUNTA, accedere all'opzione di menu Inserisci | Calibrazione | Punta singola . Visualizza mappa percorsi dei menu

  5. PC-DMIS inserisce un blocco comandi CALIBRA PUNTA ATTIVA CON ID_ELEM nella finestra di Modifica.

  6. Fare clic su un punto qualsiasi di questo blocco di comandi e premere F9. Viene visualizzata la finestra di dialogo Calibra punta.

Finestra di dialogo Calibra punta

  7. Selezionare l'elemento sfera da utilizzare nell'elenco Elemento sfera.

  8. Selezionare l'utensile di calibrazione desiderato nell'elenco Strumento di calibrazione.

  9. Se l'utensile di calibrazione è stato spostato dall'ultima calibrazione, selezionare la casella di controllo Strumento di calibrazione spostato.

  10. Fare clic su OK per aggiornare il blocco di comandi in base alle modifiche apportate. Ad esempio, nel blocco di comandi riportato di seguito l'utensile di calibrazione si chiama MioStrumento e l'elemento sfera utilizzato è SFE1.

CALIBRA PUNTA ATTIVA CON ID_ELEM=SFE1, ID_STRUMCAL=MioStrumento, SPOSTATO=NO
ASSE | TEOR | MIS | DEV | DEV STD
X | 0.0000 | 8.0080 | 8.0080 |
Y | 0.0000 | 1.0000 | 1.0000 |
Z | 0.0000 | 0.9500 | 0.9500 |
DIAM | 2.0000 | 1.0000 | 1.0000 | 0.0000

  11. Selezionare il blocco di comandi ed eseguire il part-program. PC-DMIS calibrerà la punta attiva una volta raggiunto il blocco di comandi.


Definizione dei tastatori rigidi

PC-DMIS consente di selezionare un tastatore rigido oppure un tastatore a contatto (TTP). Se si utilizza un tastatore a contatto, ad esempio di tipo Renishaw, la macchina CMM registrerà la posizione in cui il tastatore entra in contatto con il pezzo. Un tastatore rigido non scatta automaticamente al contatto con il pezzo;

Nota: quando si utilizza un tastatore rigido, non è possibile eseguire una calibrazione DCC. Accertarsi di selezionare il tipo di tastatore appropriato.

Fare riferimento alla sezione "Operazioni con dispositivi portatili" per ulteriori informazioni sull'utilizzo di macchine portatili che utilizzano tastatori rigidi.


Definizione di tastatori a stella

PC-DMIS consente di definire, calibrare e lavorare con diverse configurazioni di tastatori a stella. Un tastatore a stella è costituito da una punta tastatore disposta verticalmente (in direzione Z-, nel caso di macchina a braccio verticale) cioé verso il pianale della CMM, e di quattro altre punte disposte su un piano orizzontale, come mostrato in figura:

Tipica configurazione di tastatore a stella

Questa sezione descrive come costruire un tastatore a stella.

Importante: esistono molti tipi di macchina e configurazioni di bracci, tuttavia le procedure e gli esempi forniti suppongono che si stia utilizzando una macchina CMM verticale standard, dove il braccio punta in direzione Z-, verso il pianale della CMM.

Vedere anche:

Creazione del tastatore a stella


Creazione del tastatore a stella

È possibile creare le seguenti configurazioni per il tastatore a stella:

Tastatore a stella a 5 vie personalizzabile con punte differenti

Tastatore a stella a 5 vie personalizzabile. Questo tipo di tastatore a stella usa un cubo con cinque fori filettati in cui si possono avvitare varie punte.

Tastatore a stella a 5 vie non personalizzabile con punte identiche

Tastatore a stella non personalizzabile. Questo tipo di tastatore non presenta una sezione centrale a 5 vie personalizzabile. Infatti esso presenta un cubo centrale senza fori filettati e le quattro punte orizzontali sono fissate ad esso in modo permanente. Le punte orizzontali hanno tutte la stessa grandezza.

Una volta costruito il tastatore, è necessario calibrarlo mediante il pulsante Misura sulla barra degli strumenti Utility tastatore. Fare riferimento alla sezione "Misura" per ulteriori informazioni sulla calibrazione di punte.

Vedere anche:

Creazione di un tastatore a stella a 5 vie personalizzabile

Creazione di un tastatore a stella predefinito


Creazione di un tastatore a stella a 5 vie personalizzabile

  1. Accedere alla finestra Utility tastatore (Inserisci | Definizione hardware | Tastatore). Visualizza mappa percorsi dei menu

  2. Inserire un nome file per il tastatore nella casella File testatore.

  3. Selezionare Nessun tastatore definito dall’area Descrizione tastatore.

  4. Selezionare il tastatore dall’elenco Descrizione tastatore. Questa documentazione fa uso del tastatore PROBETP2. L’aspetto del tastatore è all’incirca il seguente:

  5. Nascondere il tastatore dalla vista facendo doppio clic sulla connessione PROBETP2 dall’area Descrizione tastatore e deselezionando la casella di controllo Disegna questo componente.

  6. Selezionare Connessione vuota n.1 dall’area Descrizione tastatore.

  7. Selezionare l’estensione del cubo a 5 vie, EXTEN5WAY, dall’elenco Descrizione tastatore. Cinque connessioni vuote compariranno nell’area Descrizione tastatore. Il disegno del tastatore avrà il seguente aspetto:

  8. Assegnare le punte appropriate e/o le estensioni necessarie per ciascuna Connessione vuota, fino a che si ottengono cinque punte, come mostrato di seguito:

    Non é necessario completare tutte e cinque le connessioni.

La punta assegnata alla Connessione vuota n.1 fa riferimento alla stessa direzione della guida su cui è fissata. Ciò consente di impostare la direzione Z-.

La punta assegnata alla Connessione vuota n. 2 fa riferimento alla direzione X+.

La punta assegnata alla Connessione vuota n. 3 fa riferimento alla direzione Y+.

La punta assegnata alla Connessione vuota n. 4 fa riferimento alla direzione X-.

La punta assegnata alla Connessione vuota n. 5 fa riferimento alla direzione Y-.

  9. Fare clic su OK per salvare le modifiche o su Misura per calibrare il tastatore. In "Misura" sono disponibili ulteriori informazioni sulla calibrazione di punte.


Creazione di un tastatore a stella predefinito

  1. Accedere alla finestra Utility tastatore (Inserisci | Definizione hardware | Tastatore). Visualizza mappa percorsi dei menu

  2. Inserire un nome file per il tastatore nella casella File testatore.

  3. Selezionare Nessun tastatore definito dall’area Descrizione tastatore.

  4. Selezionare il tastatore dall’elenco Descrizione tastatore. Questa documentazione fa uso del tastatore PROBETP2. L’aspetto del tastatore è all’incirca il seguente:

  5. Nascondere il tastatore dalla vista facendo doppio clic sulla connessione PROBETP2 dall’area Descrizione tastatore e deselezionando la casella di controllo Disegna questo componente.

  6. Selezionare Connessione vuota n.1 dall’area Descrizione tastatore.

  7. Selezionare 2BY18MMSTAR oppure 10BY6.5STAR. La presente documentazione utilizza 2BY18MMSTAR. L’aspetto del tastatore è all’incirca il seguente:

  8. Per ognuno delle quattro Connessioni vuote nell'area Descrizione tastatore, selezionare le punte dello stesso tastatore, una volta per ogni punta orizzontale. In questo caso, è possibile selezionare sia TIPSTAR2BY30 che TIPSTAR2BY18 quattro volte. La presente documentazione fa uso del TIPSTAR2BY30.

  9. Fare clic su OK per salvare le modifiche oppure su Misura per calibrare il tastatore. Fare riferimento a "Misura" per ulteriori informazioni sulla calibrazione delle punte.


Definizione delle macchine

Finestra di dialogo Macchine

L'opzione di menu Inserisci | Definizione hardware | Macchina consente di visualizzare la finestra di dialogo Macchina.

Visualizza mappa percorsi dei menu

Questa finestra consente di selezionare o di creare una macchina CMM da visualizzare ed animare nella finestra di visualizzazione grafica insieme al tastatore in modalità programma.

L'elenco di macchine contenuto in questa finestra di dialogo viene creato utilizzando i file "machine.dat" e "usermachine.dat".

  • Il file "machine.dat" contiene le descrizioni delle macchine fornite dagli sviluppatori di PC-DMIS.

  • Il file "usermachine.dat" contiene le descrizioni delle macchine create e salvate dall'utente.

Se dall'elenco Nome macchina si seleziona una voce esistente nel file "machine.dat", la selezione viene visualizzata in anteprima nell'apposita area (schermo blu vuoto).

Se il file "machine.dat" non esiste, l'utente avrá a disposizione soltanto l'elemento Nessuna macchina, nell'elenco Nome macchina.

Vedere anche:

Creazione di una nuova macchina per la visualizzazione

Visualizzazione di macchine esistenti nella finestra di visualizzazione grafica

Eliminazione della macchina animata dalla finestra di visualizzazione grafica


Creazione di una nuova macchina per la visualizzazione

Per creare una nuova macchina, effettuare le seguenti operazioni:

  1. Immettere un nome per la macchina nell'elenco Nome macchina.

  2. Selezionare il tipo di macchina nell’elenco Tipo macchina.

  3. Determinare la dimensione della macchina, specificando lunghezza, larghezza ed altezza degli assi:

  • Specificare il 1° asse selezionando X, Y, o Z nell'elenco relativo al 1° asse. Digitare la lunghezza del basamento macchina nella casella del 1°asse.

  • Specificare il 2° asse selezionando X, Y, o Z nell'elenco relativo al 2° asse. Digitare la larghezza del basamento macchina nella casella del 2°asse.

  • Specificare il 3° asse selezionando X, Y, o Z nell'elenco relativo al 3° asse. Digitare l’altezza della macchina nella casella del 3°asse.

  4. Specificare la posizione iniziale della macchina immettendo i valori nell'area Posizione di origine.

  5. Fare clic sul pulsante Salva. PC-DMIS includerà la macchina appena creata nell’elenco Nome macchina.

Nota: Il file "usermachine.dat" non viene modificato fino a che non si fa clic su Applica o su OK. Se si fa clic su Annulla, le modifiche verranno ignorate.

Vedere anche:

Informazioni aggiuntive sugli assi della macchina

Informazioni aggiuntive sulla zona della posizione iniziale della macchina

Informazioni aggiuntive sulla creazione di macchine a bracci multipli


Informazioni aggiuntive sugli assi della macchina

Il 1° definisce la lunghezza del basamento macchina, nella direzione di movimento del ponte (per macchine a ponte), oppure la lunghezza del basamento nella direzione di movimento del carro principale (asse X, per macchine a braccio orizzontale). Di solito, si tratta dell'asse X per gran parte delle macchine con braccio orizzontale e dell'asse X o Y per gran parte delle macchine con asse verticale.

Il 2° asse definisce la larghezza della base nella direzione in cui si sposta il carro (per una macchina a ponte), oppure nella direzione di movimento del braccio (asse Y, per una macchina con braccio orizzontale). Di solito, si tratta dell'asse Z per gran parte delle macchine con braccio orizzontale e dell'asse X o Y per gran parte delle macchine con asse verticale. Esso differisce dal volume della macchina, il quale indica la distanza che può essere raggiunta dal braccio. Il volume della maggior parte delle macchine con braccio è superiore del 50% rispetto alla larghezza.

Il 3° asse definisce l'altezza calcolata a partire dalla parte superiore della base verso la parte inferiore del ponte per una macchina con ponte, oppure l'estensione dell'asse verticale, nel caso della macchina orizzontale. Si tratta dell'asse Z verticale per gran parte delle macchine con ponte e dell'asse Y per gran parte delle macchine con braccio orizzontale. Al momento, sono consentite unicamente le seguenti configurazioni degli assi:

  • Ponte generico con Y, X, Z o X, Y, Z

  • Braccio generico con X, Z, Y


Informazioni aggiuntive sulla zona della posizione iniziale della macchina

Queste caselle definiscono la posizione iniziale della macchina in base ai valori di x, y e z. Il centro della base della macchina costituisce i valori 0,0,0. Tuttavia, per molte macchine tali coordinate non vengono utilizzate per visualizzare la posizione di origine. I valori di x, y e z rappresentano l'offset dalla posizione 0,0,0 della base della macchina.

Ad esempio, se le dimensioni di una macchina sono 1000, 700 e 700 con la posizione di origine effettiva nell'angolo superiore sinistro della parte posteriore, gli offset delle macchine sono i seguenti: -350, 500, 350 per il 1°, 2° e 3° asse rispettivamente.


Informazioni aggiuntive sulla creazione di macchine a bracci multipli

È anche possibile creare e inserire un macchina a braccio doppio simulato nella finestra di visualizzazione grafica.

  1. Seguire le procedure per l’impostazione del sistema multibraccio di PC-DMIS.

  2. Attivare la modalità Bracci multipli. Viene visualizzata la barra degli strumenti Bracci attivi. In questo modo viene abilitata l’opzione Doppio braccio orizzontale nell’area Tipo macchina.

  3. Creare un part program per multibraccio.

  4. Seguire la procedura "Creazione di una nuova macchina da visualizzare" (verificare di aver selezionato il pulsante Doppio braccio orizzontale dall'area Tipo macchina).

  5. Nella finestra di visualizzazione grafica dovrebbe essere riportata una macchina a braccio doppio.


Visualizzazione di macchine esistenti nella finestra di visualizzazione grafica

Per visualizzare una macchina nella finestra di visualizzazione grafica, accedere alla finestra di dialogo Macchina delle voci del registro di sistema selezionare una macchina nell’elenco Nome macchina e poi fare clic su OK. La rappresentazione grafica della macchina selezionata compare nella finestra di visualizzazione grafica, insieme al modello CAD del pezzo.

PC-DMIS inserisce inoltre il comando CARICA MACCH/NOME nella finestra Modifica, dove NOME è il nome della macchina.

Vedere anche:

Creazione di una relazione tra macchina e pezzo


Creazione di una relazione tra macchina e pezzo

È possibile creare una relazione tra il modello della macchina e il modello CAD del pezzo mediante uno dei metodi riportati di seguito.

  1. Modalità online – Gli elementi dei pezzi devono essere misurati e occorre costruire un allineamento che esegua un'operazione CAD su pezzo (opzione di allineamento CAD equivalente a pezzo oppure un Allineamento iterativo utilizzando i nominali CAD). Per ulteriori informazioni su queste opzioni, vedere la sezione "Creazione e uso degli allineamenti".

  2. Modalitá Offline – È possibile impostare, attraverso i valori X,Y, e Z di offset e rotazione, la corretta orientazione, operando nella scheda Pezzo/Macchina della finestra di dialogo Opzioni impostazione. Vedere l'argomento "Opzioni di impostazione: scheda Pezzo / Macchina" nella sezione "Impostazione delle preferenze" .


Eliminazione della macchina animata dalla finestra di visualizzazione grafica

È possibile eliminare la visualizzazione grafica della CMM in qualunque momento con una delle seguenti procedure:

Vedere anche:

Selezione dell’elemento ‘Nessuna macchina’

Cancellazione del comando CARICA MACCH

Eliminazione della macchina


Selezione dell’elemento ‘Nessuna macchina’

Per eliminare la macchina animate dalla finestra di visualizzazione grafica selezionando l’elemento Nessuna macchina, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Macchina. Visualizza mappa percorsi dei menu

  2. Selezionare Nessuna macchina dall'elenco Nome macchina.

  3. Fare clic su Applica o su OK. PC-DMIS rimuoverà la visualizzazione della macchina.


Cancellazione del comando CARICA MACCH

Per rimuovere la macchina animata dalla finestra di visualizzazione grafica, eliminando il comando CARICA MACCH, effettuare le seguenti operazioni:

  1. Accedere alla finestra di modifica.

  2. Attivare la modalità Comando o Riepilogo.

  3. Eliminare completamente il comando CARICA MACCH/. PC-DMIS rimuove la visualizzazione della macchina.


Eliminazione della macchina

Per eliminare la macchina animate dalla finestra di Visualizzazione Grafica, selezionando l’elemento Nessuna Macchina, operare come segue:

  1. Accedere alla finestra di dialogo Macchina. Visualizza mappa percorsi dei menu

  2. Selezionare la macchina da eliminare dall'elenco Nome macchina.

  3. Fare clic sul pulsante Elimina.

  4. Fare click su Applica o su OK. PC-DMIS rimuove la macchina dall’elenco Nome macchina, eliminandone anche la visualizzazione. Ciò cancella anche la macchina dal file "usermachine.dat".

Nota: il file "usermachine.dat" non viene modificato fino a che non si fa clic su Applica o su OK. Se si fa clic su Annulla, le modifiche verranno ignorate.


Inserimento di un attrezzaggio rapido

A partire da PC-DMIS 3.6 MR1 e successivi è possibile inserire rapidamente e facilmente una selezione di attrezzaggi predefiniti (o personalizzati) nella finestra di visualizzazione grafica utilizzando la finestra QuickFix.

Per accedere a questa finestra, selezionare la voce di menu Inserisci | Definizione hardware | Attrezzaggio rapido. Visualizza mappa percorsi dei menu

Finestra di dialogo QuickFix

Questa finestra di dialogo contiene le seguenti schede:

Attrezzaggi disponibili – Questo elenco riporta gli attrezzaggi disponibili che possono essere importati nella finestra di visualizzazione grafica. Questi attrezzaggi sono memorizzati nella sottodirectory Models\QuickFix\ della directory di installazione di PC-DMIS.

Attrezzaggi visualizzati – Questo elenco riporta gli attrezzaggi correntemente presenti nella finestra di visualizzazione grafica.

Inserisci – Questo pulsante sposta l'attrezzaggio selezionato dall'elenco Attrezzaggi disponibili all'elenco Attrezzaggi visualizzati, consentendo la visualizzazione dell'elemento selezionato nella finestra di visualizzazione grafica.

Rimuovi – Questo pulsante consente di rimuovere l'attrezzaggio selezionato dall'elenco Attrezzaggi visualizzati.

Nuovo attrezzaggio – Questa area consente di aggiungere nuovi attrezzaggi dall'elenco Attrezzaggi disponibili. I nuovi attrezzaggi devono essere un file IGES. La casella Nome file riporta il percorso completo dell'attrezzaggio che si desidera aggiungere, il pulsante Sfoglia consente di selezionare il file IGES che si desidera aggiungere e il pulsante Aggiungi consente di inserire il nuovo attrezzaggio nell'elenco di attrezzaggi disponibili.

Anteprima attrezzaggio - L'area al di sotto dell'area Nuovo attrezzaggio consente di visualizzare un'anteprima dell'attrezzaggio corrente selezionato dall'elenco Attrezzaggi disponibili.

Vedere anche:

Inserimento e rimozione di attrezzaggi rapidi

Aggiunta di elementi personalizzati

Modalità attrezzaggio rapido: comandi per mouse e tastiera


Inserimento e rimozione di attrezzaggi rapidi

Per inserire un attrezzaggio rapido nella finestra di visualizzazione grafica, è necessario:

  1. Accedere alla finestra di dialogo QuickFix.

  2. Selezionare l’attrezzaggio da eliminare tra quelli disponibili nell'elenco Attrezzaggi disponibili. PC-DMIS mostra l’attrezzaggio nell’area di anteprima della finestra di dialogo

  3. Fare clic sul pulsante Inserisci, L’attrezzaggio verrà visualizzato nell’elenco Attrezzaggi visualizzati ed il modello dell’attrezzaggio verrà mostrato nella finestra di visualizzazione grafica

Per rimuovere un attrezzaggio rapido dalla finestra di visualizzazione grafica, è necessario:

  1. Accedere alla finestra di dialogo QuickFix.

  2. Selezionare l’attrezzaggio da eliminare tra quelli disponibili nell'elenco Attrezzaggi visualizzati.

  3. Fare clic sul pulsante Rimuovi . PC-DMIS rimuoverà il modello dell'attrezzaggio rapido dalla finestra di visualizzazione grafica.


Aggiunta di elementi personalizzati

Per aggiungere elementi personalizzati all’elenco Attrezzaggi disponibili, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo QuickFix.

  2. Nell’area Nuovo attrezzaggio, fare clic sul pulsante Sfoglia. Viene visualizzata la finestra di dialogo Apri.

  3. Navigare fino a raggiungere il modello dell’attrezzaggio desiderato, che puó essere di uno qualsiasi dei formati supportati. Il formato predefinito del file visualizzato da PC-DMIS é il formato IGES nell'elenco Tipo file. È comunque possibile sostituire questo formato, selezionandone un altro.

  4. Selezionare il modello, quindi fare clic su Apri. La finestra di dialogo Apri viene chiusa e PC-DMIS visualizza il percorso completo del file selezionato, nell’area Nuovo attrezzaggio.

  5. Fare clic sul pulsante Aggiungi. PC-DMIS aggiunge l’attrezzaggio all’elenco Attrezzaggi disponibili. Questo attrezzaggio verrà visualizzato nell'elenco anche per altri part program.


Modalità attrezzaggio rapido: comandi per mouse e tastiera

Per utilizzare i comandi dell'attrezzaggio rapido per mouse e tastiera, selezionare la modalità Attrezzaggio rapido facendo clic sull'icona Modalità attrezz. rapido sulla barra strumenti Modalità grafiche.

  • Trascinamento con tasto sinistro del mouse premuto - Sposta l'oggetto dell'attrezzaggio fino a che non viene rilasciato il tasto. Non viene eseguita alcuna operazione fino a che non si posiziona il mouse sull'oggetto. È possibile spostare soltanto gli oggetti dell'attrezzaggio e gli oggetti CAD.

  • Tasto CTRL + trascinamento con tasto sinistro del mouse premuto - Ruota l'oggetto in 3D al di sotto del cursore e nella direzione di trascinamento del mouse fino a che si rilascia il pulsante. È possibile ruotare soltanto gli oggetti dell'attrezzaggio e gli oggetti CAD.

  • Clic con il tasto destro del mouse - Visualizza il menu di scelta rapida relativo all'attrezzaggio rapido. Per ulteriori informazioni, fare riferimento a "Menu di scelta rapida dell'attrezzaggio rapido" nella sezione "Uso dei menu e dei tasti di scelta rapida".


Utilizzo di attrezzaggi rapidi esistenti

PC-DMIS memorizza i file degli attrezzaggi rapidi con una estensione .DRAW nella directory models\quickfix all'interno del percorso di installazione di PC-DMIS.

Inoltre, PC-DMIS memorizza una definizione di ciascun attrezzaggio rapido in un file di dati speciale (estensione .dat) situato nella directory in cui è stato installato PC-DMIS.

  • Se l'attrezzaggio rapido è stato originariamente fornito con PC-DMIS, questo sarà memorizzato nel file QuickFix.dat.

  • Se invece l'attrezzaggio rapido è stato creato dall'utente, la relativa definizione sarà memorizzata nel file UserQuickFix.dat.

Un tipico file di dati di un attrezzaggio rapido è costituito da due righe per ciascun attrezzaggio, una riga ITEM: e una riga cadgeom. In un editor di testo, questo file potrebbe avere il seguente aspetto:

Breve esempio di file QuickFix.dat

Breve esempio di file QuickFix.dat

Come utilizzare gli attrezzaggi rapidi personalizzati da una installazione precedente

  1. Chiudere PC-DMIS ed aprire Esplora risorse di Windows.

  2. Prima di creare nuovi attrezzaggi personalizzati per la propria installazione, copiare i file .DRAW dalla directory models\quickfix dell'installazione precedente e incollarli nella directory models\quickfix dell'installazione corrente di PC-DMIS.

  3. Copiare il file userquickfix.dat dalla directory dell'installazione precedente e incollarlo nella directory dell'installazione corrente di PC-DMIS.

  4. Riavviare PC-DMIS. Gli attrezzaggi rapidi personalizzati verranno quindi visualizzati nella finestra di dialogo QuickFix insieme a tutti gli attrezzaggi forniti da PC-DMIS.

Nota: i file degli attrezzaggi rapidi .DRAW non verranno visualizzati nella finestra QuickFix fino a che non verranno inserite tutte le definizioni necessarie nel file userquickfix.dat. Queste definizioni vengono aggiunte quando si importano i propri file IGES personalizzati come attrezzaggi rapidi dalla finestra QuickFix (fare riferimento alla sezione Aggiunta di elementi personalizzati).

Se si desidera utilizzare direttamente i file .DRAW creati da un altro utente ma non si desidera sovrascrivere i propri elementi semplicemente copiando l'altro file di dati, è necessario utilizzare un editor di testo per unire le righe ITEM: e cadgeom dell'altro file di dati al proprio file.


Definizione di cambi tastatore

Per iniziare a utilizzare il cambio tastatore, è necessario per prima cosa definire le posizioni delle porte del cambio mediante la procedura riportata di seguito. Mentre PC-DMIS supporta una vasta gamma di cambi tastatore, in questa sezione verrà discusso soltanto il processi di calibrazione di FCR25. Se si utilizzano tipi di cambio tastatore differenti, utilizzare questa procedura come guida, in quanto sarà sufficientemente simile per gli altri tipi supportati.

Per iniziare il processo di calibrazione, è necessario accedere alla finestra di dialogo Cambio tastatore. Selezionare Modifica | Preferenze | Cambio tastatore.

Nota sulla terminologia: Mentre nella finestra di dialogo Cambio tastatore viene utilizzato il termine "alloggiamento" invece di "porta", le richieste del processo di calibrazione ricevute utilizzeranno il termine "porta". Per questo motivo, in questa documentazione verrà utilizzato sempre il termine "porta" tranne nei casi in cui si fa riferimento agli elementi della finestra Cambio tastatore in cui verà utilizzato esplicitamente il termine "alloggiamento".

Vedere anche:

Calibrazione del cambio tastatore FCR25

Visualizzazione di un cambio tastatore animato


Calibrazione del cambio tastatore FCR25

Il processo di calibrazione per il cambio tastatore FCR25 Renishaw rappresenta le operazioni da effettuare per prepararsi all'utilizzo dei cambi tastatore supportati da PC-DMIS. Il processo qui descritto è specifico per il cambio tastatore FCR25.

Sono utilizzati due inserimenti con il rack FCR25 in modo da poter utilizzare tipi di tastatore differenti, PA25-SH e PA25-20.

Inserimenti PA25-SH e PA25-20

Inserimenti PA25-SH e PA25-20

Ad esempio, la seguente immagine di un cambio tastatore FCR25 mostra tre porte, due con inserimenti e una senza (sono visualizzati anche i tastatori). La porta di sinistra mostra un inserimento PA25-SH mentre la porta sulla destra mostra un inserimento PA25-20. La porta centrale non ha alcun inserimento.

Cambio tastatore FCR25 - Visualizzazione di inserimenti e tipi di tastatore

Importante: per una corretta calibrazione, il cambio tastatore FCR25 deve essere montato sulla tavola della macchina parallelamente all'asse X o all'asse Y. Il cambio tastatore FCR25 può essere montato sulla tavola con il rack MRS o con rack autonomi a 3 e 6 porte.

Per le istruzioni relative al montaggio, fare riferimento alla documentazione fornita con il cambio.

Per calibrare il cambio tastatore FCR25:

  • Passo 1 - Selezionare il cambio tastatore FCR25

  • Passo 2 - Definire il punto di montaggio

  • Passo 3 - Definire le porte

  • Passo 4 - Iniziare la calibrazione

  • Passo 5 - Preparare il cambio tastatore

  • Passo 6 - Misurare la porta 1 o l'inserimento PA25-SH

  • Passo 7 - Misurare la porta 3 o l'inserimento PA25-20

  • Passo 8 - Misurare la porta 2/Nessun inserimento

  • Passo 9 - Verificare i risultati della calibrazione


Passo 1 - Selezionare il cambio tastatore FCR25

Per iniziare il processo di calibrazione, selezionare Modifica | Preferenze | Cambio tastatore per aprire la finestra di dialogo Cambio tastatore.

Finestra di dialogo Cambio tastatore - Scheda Tipo

Per selezionare il cambio tastatore FCR25, effettuare le seguenti operazioni:

  1. Selezionare la scheda Tipo dalla finestra di dialogo Cambio tastatore.

  2. Selezionare FCR25 dall'elenco Tipo cambio tastatore.

  3. Fare clic su Applica per attivare questo cambio tastatore e per caricare le relative impostazioni.

  4. Specificare il numero di tipi differenti di cambi tastatori nella casella Numero cambi tastatore.

  5. Specificare la Velocità di deposito. Il valore predefinito del 5% è adatto per la maggior parte di configurazioni della macchina.

  6. Fare clic su Applica per salvare le modifiche.

Nel passo successivo verrà definita la posizione in cui verrà spostato il corpo del tastatore quando si utilizza il cambio tastatore per cambiare i componenti del tastatore.

Passo successivo...


Passo 2 - Definire il punto di montaggio

Il punto di montaggio per il cambio tastatore FCR25 è la posizione davanti al cambio in cui verrà spostata la macchina prima che selezioni o rilasci un tastatore. È necessario determinare una posizione per evitare una collisione con il cambio tastatore o con il pezzo.

Finestra di dialogo Cambio tastatore - Scheda Punto di montaggio

Per fornire un punto di montaggio per il cambio tastatore FCR25, effettuare le seguenti operazioni:

  1. Selezionare la scheda Punto di montaggio dalla finestra di dialogo Cambio tastatore.

  2. Selezionare TYPE=FCR25 dall'elenco Cambio tastatore attivo.

  3. Modificare il valore di Angolo polso testata tastatore sia per Angolo A che per Angolo B. Di solito questi valori sono 0.

  4. Mediante il terminale operatore, spostare manualmente la macchina sulla posizione del punto di montaggio desiderato.

  5. Fare clic sul pulsante Leggi macchina. In questo modo verranno inseriti i valori nei campi Posizione macchina X, Y e Z con la posizione corrente. È possibile immettere questi valori anche manualmente.

  6. Fare clic su Applica per salvare le modifiche.

Nel passo successivo verranno utilizzate le porte utilizzate dal cambio tastatore.

Passo successivo...


Passo 3 - Definire le porte

L'esempio descritto in questa sezione ha un inserimento PA25-SH nella porta 1 (sinistra), nessun inserimento nella porta 2 (centrale) e un inserimento PA25-20 nella porta 3 (destra).

Per definire le porte del cambio tastatore FCR25, effettuare le seguenti operazioni:

  1. Selezionare TYPE=FCR25 dall'elenco Cambio tastatore attivo.

  2. Nella casella Numero di slot, specificare il numero di porte (in multipli di tre) del cambio tastatore FCR25. PC-DMIS riporterà quindi il numero di porte specificato come "slot" (ad esempio, Slot 1, Slot 2, Slot 3 e così via). Fino a che non verranno definite queste porte, tali "slot" verranno visualizzati come "NON DEFINITO".

Finestra di dialogo Cambio tastatore - Scheda Slot con slot non definiti

Finestra di dialogo Cambio tastatore - Scheda Slot con slot non definiti

  3. Selezionare uno slot dall'elenco e fare clic su Modifica dati slot. Viene visualizzata la finestra di dialogo Dati alloggiamenti del cambio tastatore.

Finestra di dialogo Dati alloggiamenti del cambio tastatore

  4. Selezionare NO INSERT, PA25-SH o PA25-20 dall'elenco Tipo di slot.

  5. È possibile specificare i valori XYZ per la posizione del centro della porta oppure è possibile lasciare vuoti questi campi. In ogni caso, PC-DMIS inserirà automaticamente i valori in questi campi in seguito a una corretta calibrazione. Fare riferimento a "Passo 9 - Verificare i risultati della calibrazione".

  6. Fare clic su OK per salvare le modifiche ai dati dello slot. Ripetere i passi da 3 a 5 per tutte le porte nel cambio.

Finestra di dialogo Cambio tastatore - Scheda Slot

  7. Fare clic su Applica per salvare le modifiche.

A questo punto, è possibile iniziare il processo di calibrazione. Nel passo successivo verrà avviata la procedura di calibrazione.

Passo successivo...


Passo 4 - Iniziare la calibrazione

Prima di iniziare la calibrazione, è necessario specificare e verificare i tastatori che verranno utilizzati.

Finestra di dialogo Cambio tastatore - Scheda Calibrazione

Per specificare i tastatori utilizzati nella calibrazione del cambio tastatore FCR25, effettuare le seguenti operazioni:

  1. Selezionare la scheda Calibrazione dalla finestra di dialogo Cambio tastatore.

  2. Selezionare TYPE=FCR25 dall'elenco Cambio tastatore attivo.

  3. Determinare il tipo di calibrazione. Selezionare l'opzione Calibrazione porta singola per calibrare una porta o l'opzione Calibrazione completa per calibrare tutte le porte FCR25. Se si seleziona Calibrazione porta singola, è necessario anche selezionare la porta necessaria dall'elenco Porta cambio strumento. In questa sezione viene descritta l'opzione Calibrazione completa.

  4. Selezionare il tastatore connesso corrente che definisce la configurazione corrente dall'elenco File tastatore attivo, quindi selezionare la punta corrente dall'elenco Punta attiva.

  5. Se una porta richiede un file di tastatore secondario per selezionare un determinato tipo di stilo, selezionare il file di tastatore richiesto che definisce la configurazione del tastatore secondario dall'elenco Secondo file dei tastatori. Quindi selezionare la punta necessaria dall'elenco Seconda punta. Ad esempio, un inserimento PA25-20 richiede la specifica di SO25TP20_3 per soddisfare la dimensione dello stilo utilizzato con l'inserimento.

  6. Fare clic su Calibra una volta pronti a iniziare la calibrazione.

Nel passo successivo, verrà preparato il cambio tastatore per la calibrazione.

Passo successivo...


Passo 5 - Preparare il cambio tastatore

Passo 5 - Preparare il processo di calibrazione

Nota: il processo di calibrazione potrebbe differire leggermente in base ai tipi e alle posizioni degli inserimenti per ogni porta. Il processo qui descritto mostra come PC-DMIS gestisce la calibrazione per ogni tipo di porta.

Una volta selezionato Calibra viene visualizzato il seguente messaggio:

  1. Leggere attentamente le istruzioni del passo precedente e verificare di disporre del numero corretto di porte e di unità FCR25 (una unità è costituita da tre porte).

  2. Aprire i coperchi su ogni porta e inserire degli spessori per mantenerli aperti.

    Uno "spessore" è un pezzo di plastica rastremato che può essere inserito tra due porte per tenerne aperti i coperchi. La figura sulla destra mostra una vista ravvicinata di uno spessore tra le porte 2 e 3 che mantiene aperti i relativi coperchi. Senza uno spessore, i coperchi verranno chiusi, come mostrato per la porta 1.

    Chiusura di uno spessore che mantiene aperti i coperchi su due porte

  3. Con i coperchi aperti, rimuovere tutti i moduli e gli stilo facendoli scorrere verso l'esterno delle porte come illustrato di seguito.

  4. Fare clic su OK una volta pronti a misurare la porta 1.

Nel passo successivo, PC-DMIS misurerà la porta 1.

Passo successivo...


Passo 6 - Misurazione della porta 1

Passo 6 - Misurare la porta 1 o l'inserimento PA25-SH

Durante il processo di misurazione della porta 1 (la porta più a sinistra) verràanno visualizzati più messaggi. Seguire i prompt e prendere i punti necessari come riportato nella figura.

Punto 1 sulla superficie superiore

Mediante il terminale operatore della macchina, misurare il primo punto sulla superficie superiore della porta 1 come illustrato nell'immagine sulla destra.

Quando si fa clic su OK verrà richiesto di prendere il punto dalla finestra di dialogo Opzioni modalità di esecuzione.

Punto 2 sulla superficie anteriore

Mediante il terminale operatore della macchina, misurare il secondo punto sulla superficie anteriore della porta 1 come illustrato nell'immagine sulla destra.

Quando si fa clic su OK verrà richiesto di prendere il punto dalla finestra di dialogo Opzioni modalità di esecuzione.

Punto 3 sulla superficie interna

Mediante il terminale operatore della macchina, misurare il terzo punto sulla superficie interna della porta 1 come illustrato nell'immagine sulla destra.

Quando si fa clic su OK verrà richiesto di prendere il punto dalla finestra di dialogo Opzioni modalità di esecuzione.

Questa serie di tre punti definisce la posizione del cambio strumento. Questi punti saranno gli stessi anche nel caso in cui la porta non abbia alcun inserimento. Se è stato utilizzato un inserimento PA25-20 in questa porta, i punti verranno presi sull'inserimento in maniera simile.

A questo punto verrà richeisto di completare delle operazioni mediante la finestra di dialogo riportata di seguito.

Seguire le istruzioni riportate nel messaggio e rimuovere lo stilo specificato (in questo caso, lo stilo SH-1/2/3), quindi collegare l'SHSP come riportato nell'immagine sulla destra.

Nota: se le istruzioni indicano che è necessario spostare il tastatore in una "posizione sicura" o in una posizione "con una linea di avvicinamento libera" è necessario spostare il tastatore in una posizione frontale e leggermente in basso rispetto al rack.

Una volta completate queste operazioni, fare clic su OK e la misurazione DCC inizierà.

PC-DMIS misurerà automaticamente i tre punti con l'SHSP precedentemente preso con lo stilo SH-1/2/3. Inoltre, verrà preso un punto sulla faccia interna opposta. In questo modo, viene completata la misurazione della porta 1.

Nel passo successivo, PC-DMIS misurerà la porta 3.

Passo successivo...


Passo 7 - Misurazione della porta 3

Passo 7 - Misurare la porta 3 o l'inserimento PA25-20

Prima che PC-DMIS possa misurare la porta 3 (il tastatore più a destra), è necessario prima cambiare il tastatore sul file di tastatore precedentemente specificato per il Secondo file dei tastatori nel passo 4.

Quando richiesto, rimuovere il modulo corrente e aggiungere il modulo TM25-20 alla fine del corpo del tastatore.

L'immagine sulla destra mostra il modulo TM25-20 e lo stilo di tipo TP20 in seguito a questa modifica.

Nota: la modifica dei tastatori potrebbe non essere necessaria a seconda della configurazione del cambio tastatore FCR25. Ad esempio, se non sono presenti inserimenti nelle porte, allora questa modifica del cambio tastatore potrebbe non essere necessaria. La modifica descritta in questo passo è richiesta solo per eseguire la calibrazione della porta 3 con l'inserimento PA25-20.

Dopo aver modificato il tastatore, fare clic su OK. PC-DMIS visualizzerà quindi il seguente messaggio:

Dopo aver spostato il tastatore in una posizione sicura, fare clic su OK e PC-DMIS inizierà la misurazione automatica dell'inserimento nella porta 3. Le seguenti immagini mostrano il tastatore che esegue le misurazioni. PC-DMIS prendere automaticamente i punti per determinare la posizione dell'inserimento.

In questo modo verrà completata la misurazione della porta 3. Nel passo successivo, PC-DMIS misurerà la porta 2.

Passo successivo...


Passo 8 - Misurazione della porta 2

Passo 8 - Misurare la porta 2/Nessun inserimento

Prima di poter misurare la porta 2, verrà richiesto di rimuovere il modulo utilizzato per la misurazione della porta 3.

Una volta rimosso il modulo e spostato il tastatore in una posizione sicura, fare clic su OK per continuare il processo.

PC-DMIS sposterà il corpo del tastatore in una posizione centrata al di sopra della porta 2, come mostrato nell'immagine sulla destra. (L'immagine mostra anche il modulo che verrà aggiunto da PC-DMIS nel passo successivo.)

Nota: la procedura per la misurazione della porta 2 può essere utilizzata per tutte le porte se non è presente alcun inserimento. Le porte possono essere anche misurate in un ordine differente (ad esempio, la porta 1 per prima, poi la porta 2 e quindi la porta 3).

Seguire le istruzioni per inserire il modulo nella porta. Quindi, abbassare lentamente il corpo del tastatore verso il modulo fino a che non avviene l'aggancio magnetico. Se si ha un allineamento non perfetto, utilizzare il terminale operatore per risposizionare il corpo del tastatore e ripetere questo processo fino a che si ottiene un allineamento corretto.

Le seguenti immagini mostrano il processo appena descritto.

Abbassare lentamente il corpo del tastatore

Posizionamento del modulo per un buon allineamento

Modulo inclinato per un allineamento non corretto

Fare clic su OK una volta ottenuto un buon allineamento. Verrà visualizzato il seguente messaggio:

L'immagine sulla destra mostra il corpo del tastatore abbassato prima dell'accensione del LED.

Si noti il leggero spazio tra il corpo del tastatore e il modulo SM25-2. Da questo punto, è necessario continuare ad abbassare il corpo del tastatore e smettere quando si accende il LED. In questo modo, lo spazio non verrà colmato completamente. Fare click suOK per terminare il processo.

A questo punto, il corpo del tastatore verrà spostato automaticamente verso il basso in modo da alloggiare il modulo del tastatore e riempire lo spazio.

Viene visualizzato il seguente messaggio:

Spostare il tastatore dalla porta in una posizione frontale come illustrato in questa immagine.

Fare clic sul pulsante OK. In questo modo, viene completata la misurazione della porta 2.

Verrà quindi richiesto di impostare di nuovo la configurazione sulla configurazione originale del tastatore.

Rimuovere il modulo corrente se necessario e aggiungere i moduli e le punte che costituiscono il file di tastatore richiesto. Al termine, fare clic su OK. Verrà visualizzato il seguente messaggio:

A questo punto, è stata completata la calibrazione del cambio tastatore FCR25. Nel passo successivo verrà descritto come verificare la calibrazione.

Passo successivo...


Passo 9 - Verificare i risultati della calibrazione

Selezionare la scheda Slot nella finestra Cambio tastatore per visualizzare le informazioni sulla calibrazione per la posizione di ognuna delle porte calibrate.

Finestra di dialogo Cambio tastatore - Scheda Slot con i risultati di calibrazione

Questo processo di calibrazione comprende soltanto il processo per la preparazione delle porte per la calibrazione. Fare riferimento alla sezione “Impostazioni delle opzioni del cambio tastatore” in "Impostazione delle preferenze" per informazioni sull'aggiunta di definizioni del tastatore a ognuna delle porte.

Durante l'esecuzione del part program, le entità del tastatore che vengono aggiunte alle porte verranno automaticamente selezionate dalla posizione se PC-DMIS esegue un comando CARIC TAST per il tastatore. Il corpo del tastatore verrà spostato sul punto di montaggio, quindi sulla porta. spingendo il coperchio all'indietro. Quindi, mediante un aggancio magnetico, verrà caricato il nuovo modulo e continuerà il processo di misurazione.


Visualizzazione di un cambio tastatore animato

PC-DMIS permette di animare una rappresentazione grafica di un cambio tastatore predefinito nella finestra di visualizzazione grafica.

Nota: è possibile definire un cambio tastatore nella sezione "Impostazione delle opzioni del cambio strumento" in "Impostazione delle preferenze" .

Esempio di un cambio tastatore animato, visualizzato nella finestra di visualizzazione grafica nella vista Z+ (dall’alto) e nella vista X+ (dal basso)

È possibile utilizzare la finestra di dialogo Cambio tastatore animato per specificare la posizione e l’orientazione del cambio tastatore. Accedere a questa finestra di dialogo selezionando la voce di menu Inserisci | Definizione hardware | Cambio tastatore animato. Visualizza mappa percorsi dei menu

Finestra di dialogo Cambio tastatore animato

Gli elementi di questa finestra di dialogo vengono discussi nella procedura "Come visualizzare il cambio tastatore" riportata di seguito.

Vedere anche:

Per visualizzare il cambio tastatore nella finestra di visualizzazione grafica:

Per eliminare il cambio tastatore nella finestra di visualizzazione grafica:


Per visualizzare il cambio tastatore nella finestra di visualizzazione grafica:

  1. Accedere alla finestra Cambio tastatore animato (Inserisci | Definizione hardware | Cambio tastatore animato). Visualizza mappa percorsi dei menu

  2. Selezionare un cambio tastatore esistente nell’elenco Cambio tastatore attivo. Se nell'elenco non sono presenti cambi tastatore, è possibile definirne uno in "Impostazione delle opzioni del cambio tastatore" nella sezione "Impostazione delle preferenze".

  3. Definizire la posizione e l'orientamento del cambio tastatore. Ciò può essere effettuato utilizzando i dati di calibrazione relativi a posizione ed orientamento, oppure specificando la posizione XYZ e l'orientamento direttamente nella finestra di dialogo.

  • Per utilizzare i dati di calibrazione esistenti, selezionare la casella di controllo Usa dati di calibrazione. PC-DMIS completerà le voci relative ai valori di posizione XYZ della calibrazione.

  • Per definire direttamente posizione ed orientamento, inserire i valori nei campi X,Y e Z e selezionare un orientamento dall'elenco Orientamento.

  4. Fare clic su Applica. PC-DMIS disegna il cambio tastatore animato nella posizione e con l’orientamento specificati nella finestra di visualizzazione grafica. PC-DMIS inserisce anche un comando CARIC CAMBIO TAST nella finestra di modifica.

  5. Fare clic su OK una volta ottenuti posizione e orientamento soddisfacenti.


Per eliminare il cambio tastatore nella finestra di visualizzazione grafica:

Accedere alla finestra di modifica ed eliminare il commando CARIC CAMBIO TAST. L’operazione non elimina il cambio tastatore, ma solo la sua immagine animata nella finestra grafica.


Operazioni con tavole rotanti

I seguenti comandi per tavole rotanti sono stati sviluppati come supporto a PC-DMIS/NC (Numerical Control), per essere utilizzati su utensili di macchine CNC, tuttavia è possibile utilizzare tali comandi all'interno di part program sui normali sistemi CMM. Fare riferimento al file della guida di PC-DMIS NC per ulteriori informazioni sull'utilizzo di macchine CNC con PC-DMIS.

Ignora tavola rotante

La voce di menu Inserisci | Modifica Parametro | Tastatore | Ignora tavola rotante inserisce il comando IGNORA TAV ROT nel part program. Le due opzioni disponibili sono:

IGNORA TAV ROT/ON e IGNORA TAV ROT/OFF

Se è stata definita una tavola rotante, PC-DMIS assume che i pezzi da misurare verranno posti su di essa e che la tavola verrà effettivamente utilizzata. Non è comunque possibile ignorarne la presenza. IGNORA TAV ROT é impostato su OFF:

IGNORA TAV ROT/OFF

In questo stato PC-DMIS corregge i dati misurati che provengono dalla macchina utilizzando i dati provenienti dalla calibrazione della tavola rotante.

Inserendo il comando IGNORA TAV ROT/ON, PC-DMIS ignorerà i dati di calibrazione della tavola rotante. Per questo motivo, i dati misurati non conterranno tale correzione. I casi in cui le opzioni descritte possono essere utilizzate sono:

  • la misura di un pezzo che si desidera misurare senza l'utilizzo della tavola rotante, sebbene questa sia presente.

  • un pezzo, nel caso si voglia eseguire una nuova calibrazione della tavola ed occorra ignorare i risultati della precedente calibrazione.

Calibrazione tavola rotante

La voce di menu Inserisci | Calibrazione | Tavola rotante da elementi inserisce il comando CALIBRA TAV ROT nel part program:

CALIBRATEROTAB/PLANE=TABLE_PLN, CIRCLE=TABLE_CIR,

MEAS/XYZ=0,0,0, MEAS/IJK=0,0,0

Questo comando, all'interno di un opportuno part program, consente la calibrazione della tavola in fase di esecuzione.

Per utilizzare questo comando, effettuare le seguenti operazioni:

  1. Fissare opportunamente il calibro (una sfera) alla tavola.

  2. Effettuare la misura secondo una serie di posizioni angolari.

  3. Calcolare quindi il piano ed il cerchio passanti per i centri sfera risultanti. Una volta costruiti piano e cerchio, sarà possibile utilizzarli come input al comando.

  4. Inserire il comando CALIBRA TAV ROT.

  5. Premendo il tasto F9 verrà visualizzata la finestra di dialogo Calibrazione tavola rotante .

  6. Dall'elenco Piano costruito selezionare l'elemento desiderato. Dall'elenco Cerchio costruito selezionare l'elemento desiderato.

  7. Fare clic sul pulsante OK. PC-DMIS aggiornerà il comando in modo da utilizzare gli elementi costruiti.

  8. In fase di esecuzione del part program, PC-DMIS utilizzerà gli elementi costruiti per aggiornare i dati di calibrazione della tavola rotante. Le sezioni MIS/XYZ e MIS/IJK del blocco dei comandi visualizzeranno il centro ed il piano di rotazione della tavola.

Per ulteriori informazioni sulle impostazioni della tavola rotante, fare riferimento a "Definizione della tavola rotante" in "Impostazione delle preferenze".


Creazione di elementi automatici

Creazione di elementi automatici: Introduzione

Modalità rapide per creare elementi automatici

Creazione di elementi automatici 'con un clic'

Nota A

Nota B

Selezione da finestra per creare elementi automatici multipli

Informazioni sulla finestra di dialogo Selezione CAD

Opzioni comuni della finestra di dialogo Elemento automatico

Percorsi ed orientamento di elementi

Area Proprietà della misura

Elenco Tipi di Elemento Automatico

Casella di controllo Piano di sicurezza

Casella di controllo Misura

Elenco Tipo Elem.

Area Posizione

Caselle Punto XYZ

Caselle XYZ Iniziale / Finale

Caselle Centro XYZ

Rett./Polare

Pulsante Trova

Pulsanti Leggi Pos. / Leggi Posizione

Area Punti

Caselle Iniziale e Permanente

Casella Distanziatore

Caselle Rientro

Casella Quota

Casella Num. punti

Casella di controllo Misura larghezza

Area Proprietà

Casella di controllo Punto di aggancio

Casella di controllo Esterno

Casella Incremento

Casella Tolleranza

Casella Larghezza

Casella Lunghezza

Pulsante Modalità Finestra

Pulsante Modalità circolare

Casella N. righe

Casella Diametro

Casella Ang. iniz.

Casella Ang. fin.

casella Ang. Mis.

Casella Passo

Casella Ang. iniz. 1

Casella Angolo finale 1

Casella Ang. iniz. 2

Casella Angolo finale 2

Casella Raggio

Casella Diam. maggiore

Casella Diam. minore

Casella Angolo

Pattern Quadrato / Radiale

Tipo Limitato / Illimitato

Area Orientamento

Caselle Vettore perpendicolare IJK

Caselle Vettore angolo IJK

Caselle Punto centrale

Caselle Vettore bordo IJK

Caselle Vettore superficie IJK

Caselle Vettore linea IJK

Caselle Vett superf. 1 IJK

Caselle Vett superf. 2 IJK

Caselle Vett superf. 3 IJK

Pulsante Trova vettori

Pulsante Inverti vettore

Pulsante inversione bordo

Pulsante inverti linea

Pulsanti inverti superficie

Pulsante swap vettori

Opzioni Foro e Perno

Casella Altezza

Casella ID

Area Varie

Area Spessore

Elenco Ordine misurazione

Elenco dei calcoli

Elenco Modalità

Area Misurazione relativa

Casella di controllo Mostra tutti i parametri

Casella di controllo Mostra punti

Area Automatico

Casella di controllo PH9

Casella di controllo On Error (In caso di errore)

Casella di controllo Leggi Pos.

Casella di controllo Mov. circ.

Casella di controllo Rimisura

Casella di controllo Usa teor.

Distanza di movimento

Casella Distanza

Casella di controllo Trova foro

Area Opzioni di definizione

Caselle Vettore rapporto IJK

Caselle Vett dest IJK

Caselle Vettore aggiornamento IJK

Caselle Rapporto bordo IJK

Caselle Rapporto superf. IJK

Caselle Vettore punzonatura IJK

Caselle Vettore perno IJK

Casella di controllo Usa perno

Pulsante Ripristina

Pulsanti Avanzate / Base

Pulsante Mostra punti

Pulsante Crea per gli elementi automatici

Creazione di un punto vettore automatico

Definizioni dei campi del punto del vettore

Definizioni estese dei campi del punto del vettore

Misurazione di un punto del vettore

Uso di dati inseriti manualmente per un punto del vettore

Uso di dati della superficie con la macchina CMM per un punto del vettore

Uso di dati della superficie sullo schermo per un punto del vettore

Uso di dati wire-frame con la macchina CMM per un punto del vettore

Uso di dati wire-frame sullo schermo per un punto del vettore

Misurazione senza utilizzare i dati CAD per un punto del vettore

Creazione di una linea automatica

Definizioni di campo di linea

Misurazione di una linea

Uso di dati inseriti manualmente per una linea

Uso di dati wire-frame con la macchina CMM per una linea

Misurazione senza utilizzare i dati CAD per una linea

Creazione di un piano automatico

Defilizione campi del piano

Misurazione di un piano

Uso di dati inseriti manualmente per un piano automatico

Uso di dati wire-frame con la macchina CMM per un piano automatico

Uso di dati wire-frame sullo schermo per un piano automatico

Misurazione senza utilizzare i dati CAD per un piano automatico

Creazione di un cerchio automatico

Definizioni dei campi del cerchio

Definizioni estese dei campi del cerchio

Misurazione di un cerchio

Uso di dati inseriti manualmente per un cerchio automatico

Uso di dati della superficie con la macchina CMM per un cerchio automatico

Uso di dati della superficie sullo schermo per un cerchio automatico

Uso di dati wire-frame sullo schermo per un cerchio automatico

Misurazione senza utilizzare i dati CAD per un cerchio automatico

Creazione di un'ellisse automatica

Definizioni dei campi dell'ellisse

Misurazione di un'ellisse

Uso di dati inseriti manualmente per un'ellisse

Uso di dati della superficie con la macchina CMM per un'ellisse

Uso di dati della superficie sullo schermo per un'ellisse

Misurazione senza utilizzare i dati CAD per un'ellisse

Creazione di una tacca automatica

Definizioni dei campi della tacca

Misurazione di una tacca

Uso di dati inseriti manualmente per una tacca

Uso di dati della superficie con la macchina CMM per una tacca

Uso di dati della superficie sullo schermo per una tacca

Uso di dati wire-frame con la macchina CMM per una Tacca

Uso di dati wire-frame sullo schermo per una tacca

Misurazione senza utilizzare i dati CAD per una tacca

Creazione di un'asola rotonda automatica

Definizioni dei campi dell'asola rotonda

Definizioni estese dei campi dell'asola rotonda

Misurazione di un'asola rotonda

Uso di dati inseriti manualmente per un'asola rotonda

Uso di dati della superficie con la macchina CMM per un'asola rotonda

Uso di dati della superficie sullo schermo per un'asola rotonda

Uso di dati wire-frame con la macchina CMM per un'asola rotonda

Uso di dati wire-frame sullo schermo per un'asola rotonda

Misurazione senza utilizzare i dati CAD per un'asola rotonda

Creazione di un punto angolo automatico

Definizioni dei campi del punto angolo

Misurazione di un punto di angolo

Uso di dati inseriti manualmente per un punto di angolo

Uso di dati della superficie con una macchina CMM per un punto di angolo

Uso di dati della superficie sullo schermo per un punto di angolo

Uso di dati wire-frame con la macchina CMM per un punto di angolo

Uso di dati wire-frame sullo schermo per un punto di angolo

Misurazione senza utilizzare i dati CAD per un punto di angolo

Creazione di un punto diagonale automatico

Definizioni dei campi del punto diagonale

Misurazione di un punto diagonale

Uso di dati inseriti manualmente per un punto diagonale

Uso di dati della superficie con la macchina CMM per un punto diagonale

Uso di dati della superficie sullo schermo per un punto diagonale

Uso di dati wire-frame con la macchina CMM per un punto diagonale

Uso di dati wire-frame sullo schermo per un punto diagonale

Misurazione senza utilizzare i dati CAD per un punto diagonale

Creazione di un punto di bordo automatico

Definizioni dei campi del punto di bordo

Definizioni estese dei campi del punto di bordo

Misurazione di un punto di bordo

Uso di dati inseriti manualmente per un punto di bordo

Uso di dati della superficie con la macchina CMM per un punto di bordo

Uso di dati della superficie sullo schermo per un punto di bordo

Uso di dati wire-frame con la macchina CMM per un punto di bordo

Uso di dati wire-frame sullo schermo per un punto di bordo

Misurazione senza utilizzare i dati CAD per un punto di bordo

Creazione di un punto massimo automatico

Definizioni dei campi del punto massimo

Misurazione di un punto massimo

Esercitazione sul Punto Massimo

Altri Punti massimi, ricerca

Uso di dati inseriti manualmente per un punto massimo

Uso di dati della superficie con la macchina CMM per un punto massimo

Uso di dati della superficie sullo schermo per un punto massimo

Misurazione senza utilizzare i dati CAD per un punto massimo

Creazione di un punto di superficie automatico

Definizioni dei campi del punto della superficie

Definizioni estese dei campi del punto della superficie

Misurazione di un punto della superficie

Uso di dati inseriti manualmente per un punto della superficie

Uso di dati della superficie con la macchina CMM per un punto della superficie

Uso di dati della superficie sullo schermo per un punto della superficie

Uso di dati wire-frame con la macchina CMM per un punto della superficie

Uso di dati wire-frame sullo schermo per un punto della superficie

Misurazione senza utilizzare i dati CAD per un punto della superficie

Creazione di un'asola quadrata automatica

Definizioni dei campi dell'asola quadrata

Definizioni estese dei campi dell'asola quadrata

Misurazione di un'asola quadrata

Uso di dati inseriti manualmente per un'asola quadrata

Uso di dati della superficie con la macchina CMM per un'asola quadrata

Uso di dati di superficie sullo schermo per un'Asola Quadrata

Uso di dati wire-frame con la macchina CMM per un'asola quadrata

Uso di dati wire-frame sullo schermo per un'asola quadrata

Misurazione senza utilizzare i dati CAD per un'asola quadrata

Creazione di un cilindro automatico

Definizioni dei campi del cilindro

Misurazione di un cilindro

Uso di dati inseriti manualmente per un cilindro

Uso di dati della superficie con la macchina CMM per un cilindro

Uso di dati della superficie sullo schermo per un cilindro

Uso di dati wire-frame sullo schermo per un cilindro

Misurazione senza utilizzare i dati CAD per un cilindro

Note sulla corretta impostazione dei parametri di un cilindro

Creazione di un cono automatico

Definizioni campi del cono

Misurazione di un cono

Uso di dati inseriti manualmente per un cono

Uso di dati della superficie con la macchina CMM per un cono

Uso di dati della superficie sullo schermo per un cono

Uso di dati wire-frame sullo schermo per un cono

Misurazione senza utilizzare i dati CAD per un cono

Creazione di una sfera automatica

Definizioni dei campi della sfera

Misurazione di una sfera

Uso di dati inseriti manualmente per una sfera

Uso di dati della superficie con la macchina CMM per una sfera

Uso di dati della superficie sullo schermo per una sfera

Uso di dati wire-frame sullo schermo per una sfera

Creazione di un poligono automatico

Definizioni di campi per i poligoni

Misurazione di un poligono

Impostazione della misura relativa

Modalità assoluta

Processo matematico della modalità ASSOLUTA:

Modalità normale

Processo matematico della modalità NORMALE


Creazione di elementi automatici: Introduzione

PC-DMIS consente di accedere alle funzioni DCC (Direct Computer Control, controllo diretto del computer) quando si utilizza una macchina automatica CMM (Coordinate Measuring Machine, macchina di misura a coordinate). Queste funzioni consentono di creare un qualsiasi tipo di elemento DCC utilizzando la finestra di dialogo Elemento automatico.

PC-DMIS fornisce una libreria di funzioni che facilitano la misurazione di lamiere. Queste opzioni possono essere utilizzate come opzione aggiunta al pacchetto software PC-DMIS di base. È possibile accedere a tali opzioni selezionando la voce di menu appropriata dalla barra dei menu.

Il menu Inserisci | Elemento | Automatico consente di accedere a diverse procedure di misurazione progettate in particolare per lamiere e materiali a spessore ridotto.

Visualizza mappa percorsi dei menu

In questa sezione verranno trattati i seguenti argomenti:

  • Modalità rapide per creare elementi automatici

  • Opzioni comuni della finestra di dialogo Elemento automatico

  • Creazione di un punto vettore automatico

  • Creazione di una linea automatica

  • Creazione di un piano automatico

  • Creazione di un cerchio automatico

  • Creazione di un'ellisse automatica

  • Creazione di una tacca automatica

  • Creazione di un'asola rotonda automatica

  • Creazione di un punto angolo automatico

  • Creazione di un punto diagonale automatico

  • Creazione di un punto di bordo automatico

  • Creazione di un punto massimo automatico

  • Creazione di un punto di superficie automatico

  • Creazione di un'asola quadrata automatica

  • Creazione di un cilindro automatico

  • Creazione di un cono automatico

  • Creazione di una sfera automatica

  • Creazione di un poligono automatico

  • Impostazione della misura relativa


Modalità rapide per creare elementi automatici

Oltre alle normali routine di creazione di elementi automatici, PC-DMIS fornisce due metodi rapidi per creare gli elementi. Le opzioni disponibili sono le seguenti:

  • Selezione da finestra - Disegnare una casella attorno agli elementi CAD pe creare più elementi alla volta.

  • Con un clic - Fare clic con il mouse su un elemento supportato per creare automaticamente tale elemento.

Vedere anche:

Selezione da finestra per creare elementi automatici multipli

Creazione di elementi automatici 'con un clic'


Selezione da finestra per creare elementi automatici multipli

È possibile controllare la dimostrazione mediante la barra degli strumenti presente nella parte inferiore di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra espansa.

Esempio di pezzo ruotato leggermente

Esempio di pezzo ruotato leggermente

Selezionando la vista Z+, il vettore del cerchio è perpendicolare al piano di lavoro e perciò PC-DMIS non può generare il cerchio.

Inclinando il pezzo e poi eseguendo la selezione a finestra, PC-DMIS selezionerà questo elemento.

L'esempio utilizza il pezzo Brown and Sharpe wireframe (Bsbwire.igs) con cerchi automatici:

Selezionando il modello completo, che non è orientato completamente in Z+, si noterà che i cerchi e gli archi sulle facce superiore ed inferiore sono selezionate, perché sono oggetti visibili ed inoltre soddisfano la condizione del filtraggio cad dei cerchi automatici.

Fare clic su Crea nella finestra di dialogo Selezione CAD. Verrà visualizzato:

Si noti:

  • Cerchi/archi con lo stesso diametro e vettore sono fatti confluire in uno stesso elemento. Perciò le sezioni di testa e di fondo dei due fori centrali confluiscono in due soli elementi, CER1 e CER13, come pure tutti gli altri elementi calcolati utilizzando i cerchi/archi di testa e di fondo. Nel caso dell'elemento cono, tuttavia, poichè i diametri sono differenti, PC-DMIS crea due elementi (CER12 e CER14).

  • Viene creato il cerchio CER15 dalla sezione di fondo del foro. Ciò si verifica perché il modello è stato leggermente ruotato. Se la vista mantiene l'orientamento Z+, allora CER15 non viene creato.

Questo esempio utilizza il pezzo Brown and Sharpe wireframe (Bsbwire.igs) con cilindri automatici:

Operando come nell'Esempio 1 ma utilizzando cilindri automatici, si otterrà:

Notare che non è stato creato un cilindro per l'elemento cono, perché un cilindro deve avere una lunghezza e un diametro costante.

Questo esempio utilizza il pezzo Brown and Sharpe wireframe (Bsbwire.igs) con cerchi e cilindri automatici:

Se si esegue una selezione da finestra per creare elementi con un modello dotato soltanto di dati di superficie (senza dati wireframe), è necessario ruotare leggermente il modello nella vista in modo da rendere visibili le superfici desiderate, come riportato di seguito:

Facendo clic su Crea PC-DMIS genera gli elementi a partire dagli oggetti selezionati, ottenendo questo risultato:

Elementi cerchio

Elementi cilindro:

Si noti che, a causa dell'inclinazione, non si otterrà un cerchio/cilindro ad una estremità dell'asola e neppure il cilindro in alto a destra.

L'esempio che segue utilizza il modello Hexagon fornito con PC-DMIS (Hexblock_Wireframe_Surface.igs) con cilindri automatici.

Orientare il modello in Z+ e selezionare l'intera finestra che lo contiene.

Fare clic su Crea. Si otterrà:

Ribaltando il pezzo in Z-, inclinandolo leggermente e poi selezionando dalla finestra, si otterrà un risultato di questo tipo:

Fare clic su Crea. PC-DMIS visualizza:

Notare che PC-DMIS ha generato elementi cilindro con diametro esterno e interno per la maggior parte dei cilindri del pezzo, ad es. CIL3 e CIL10.

Selezione da finestra per creare elementi automatici multipli

È possibile disegnare una finestra su di un'immagine CAD per creare elementi automatici relativi ai seguenti tipi di elementi:

  • Cerchio automatico

  • Cilindro automatico

Selezione da finestra e creazione di elementi

Per usare il metodo di selezione tramite finestra per creare velocemente elementi automatici di tipo circolare o cilindrico, effettuare le seguenti operazioni:

  1. Importare il modello CAD che contiene gli elementi automatici da selezionare.

  2. Ruotare il pezzo e selezionare wireframe o solido, per visualizzare al meglio l'elemento che si desidera includere.

  3. Accedere alla finestra di dialogo Elemento automatico dalle opzioni di menu (Inserisci | Elemento | Automatico) Visualizza mappa percorsi dei menu per gli elementi automatici cerchio o cilindro.

  4. Tenendo aperta la finestra, fare clic e trascinare il mouse fino a formare una finestra che includa i tipi per i quali si desidera creare gli elementi automatici. Rilasciare il pulsante del mouse. PC-DMIS visualizza la finestra di dialogo Selezione CAD in cui è riportato il numero di oggetti selezionati.

  5. Fare clic su Crea. PC-DMIS genera elementi automatici multipli in base al tipo selezionato.

Fare riferimento a una breve dimostrazione sulla selezione tramite finestra e sulla creazione di elementi automatici multipli

Dettagli sulla selezione tramite finestra

  • La selezione tramite finestra funziona soltanto con oggetti visibili nella finestra di visualizzazione grafica. Ciò impedisce che vengano utilizzati oggetti non visibili nella creazione degli elementi.

  • I modelli con elementi wireframe limitati devono essere leggermente inclinati (o ruotati) nella finestra di visualizzazione grafica, in modo da rendere tali elementi e superfici ben visibili.

  • A causa del tassellato e del grado di precisione nella visualizzazione, gli spigoli delle superfici e delle curve sottostanti possono dare inaspettatamente luogo ad oggetti che vengono usati per creare gli elementi. PC-DMIS cerca di smussare gli spigoli confrontando gli oggetti selezionati tra di loro e determina il numero minimo di pixel necessari perché la selezione sia considerata valida; d'altra parte il metodo non è esente da errori e può capitare che alcuni aggetti nascosti risultino selezionati, al fine di eliminare la possibilitá di eliminare un oggetto valido.

  • Oggetti con vettori perpendicolari alla vista corrente sono di solito ignorati durante la creazione di elementi a partire da oggetti selezionati. Ad esempio: Utilizzando il Blocco Hexagon visualizzato in Z+ con tutto il modello selezionato, PC-DMIS non genera un elemento dal foro di fronte che interseca il foro centrale.

  • PC-DMIS esegue routine di filtraggio, per assicurarsi di non servirsi dello stesso oggetto CAD per creare un altro elemento nella stessa posizione.

  • PC-DMIS genera l'elemento appena si fa clic su Crea ed è possibile vedere le informazioni relative a ciascun elemento nella barra di stato.

Esempio 1: Selezione tramite finestra di cerchi automatici con dati wireframe

Esempio 2: Selezione tramite finestra di cilindri automatici con dati wireframe

Esempio 3: Selezione tramite finestra di cerchi o cilindri automatici con dati di superficie

Esempio 4: Selezione tramite finestra di cilindri automatici con dati wireframe e di superficie

Vedere anche:

Informazioni sulla finestra di dialogo Selezione CAD


Informazioni sulla finestra di dialogo Selezione CAD

Questa finestra di dialogo viene visualizzata dopo aver selezionato un modello CAD con la finestra Elementi automatici aperta. Essa visualizza il numero di elementi CAD selezionati che possono essere utilizzati per generare gli elementi del tipo selezionato.

Crea: Questo pulsante crea gli elementi automatici del tipo selezionato (al momento solo gli elementi Cerchio o Cilindro) dagli elementi CAD selezionati. La finestra di dialogo Selezione CAD viene chiusa e per ogni punto selezionato tramite finestra viene generato l'elemento punto automatico appropriato. Il vettore verrà determinato utilizzando il metodo selezionato dall'area Uso vettore.

Chiudi: Chiude questa finestra di dialogo, annullando l'operazione di selezione casella.

Mostra frecce: questa casella di controllo mostra o nasconde le frecce colorate che indicano la direzione dei vettori utilizzati dai metodi nell'area Uso vettore.

L'area Uso vettore consente di scegliere i metodi che verranno utilizzati da PC-DMIS per determinare i vettori per gli elementi automatici.

  • Piano di lavoro: questo metodo utilizza il vettore del piano di lavoro attivo come vettore per ogni singolo elemento.

  • Ultimo utilizzato: questo metodo utilizza l'ultimo vettore inserito nella finestra di dialogo per l'elemento automatico. Ciò consente di specificare un vettore da utilizzare per tutti gli elementi selezionati.

  • Da CAD: questo metodo utilizza il vettore specificato dall'elemento CAD. Esso diventa disponibile se si dispone dei dati vettoriali per ciascun elemento.

  • Trova vettore: questo metodo trova il vettore utilizzando i dati della superficie CAD più vicini all'elemento. È possibile utilizzare tale metodo solo se sono disponibili i dati della superficie.


Creazione di elementi automatici 'con un clic'

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic sulla superficie che contiene il cerchio sezione di un foro oppure sulla sezione sommitale di un perno.

  • Il bordo più vicino al clic del mouse decide se il cerchio è la sezione di un foro oppure di un perno. (Vedere Nota B).

  • Se il cerchio appartiene ad un cilindro ed ha quindi una lunghezza (profondità), allora PC-DMIS utilizza il cerchio più vicino per definirne la posizione del centro.

  • PC-DMIS completerà automaticamente la finestra di dialogo e determinerà il vettore del cerchio.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic sulla superficie che contiene il cerchio sezione oppure la sommità di un cono.

  • Il bordo più vicino al clic del mouse determina se il cono è interno oppure esterno. (Vedere Nota B).

  • Il vettore del cono punta verso l'esterno del cono stesso.

  • PC-DMIS completa automaticamente la finestra di dialogo e determina il centro. Per i coni interni si usa il raggio maggiore. Per i coni esterni si prende il raggio minore. Questa regola serve ad evitare le collisioni dello stelo, durante la misura.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic sulla superficie che contiene il cilindro oppure sulla sommità di un cilindro esterno.

  • Il bordo più vicino al clic del mouse decide se il cerchio è la sezione di un foro oppure di un perno. (Vedere Nota B).

  • PC-DMIS completerà automaticamente la finestra di dialogo e determinerà il vettore del cerchio.

  • Stesso dell'asola rotonda.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic in prossimità della zona posterione della tacca. Il clic singolo per creare un elemento tacca definisce sempre una tacca interna. PC-DMIS completa automaticamente la finestra di dialogo.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic su un elemento poligonale che contiene cinque o piú facce. PC-DMIS completa automaticamente la finestra di dialogo e prende come lato iniziale il bordo più vicino al clic del mouse.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic una volta in prossimità del bordo che contiene il punto diagonale.

  • Il bordo più vicino al clic del mouse determina il punto finale più vicino al clic del mouse. Il punto finale diviene il punto diagonale.

  • PC-DMIS completa automaticamente la finestra di dialogo.

Principio di funzionamento:

  • PC-DMIS trova bordi adiacenti rispetto al primo bordo e controlla ciascun bordo, per vedere se il suo punto finale coincide con il punto diagonale. In questo caso, allora trova un punto di quel bordo che sia prossimo al punto diagonale. Il processo continua fino a quando si trovano due bordi (e due punti) con lo stesso vettore (teoricamente perpendicolare) congiungente il primo bordo.

  • Quando PC-DMIS ha tre punti vicini al punto diagonale, tali punti sono su bordi differenti. Utilizzando i due punti distinti vicino al punto diagonale e il punto diagonale stesso, PC-DMIS calcola tre piani. Per esempio, in questa immagine, il punto diagonale GIALLO ed i punti ROSSO e BIANCO creano il piano definito dal vettore BLU. Allo stesso modo i punti GIALLO, BIANCO e BLU danno luogo al vettore ROSSO, mentre i punti GIALLO, BLU e ROSSO danno il vettore BIANCO.

Tenendo aperta la finestra di dialogo Elemento automatico, nel caso di un'asola rotonda interna fare clic una volta sulla superficie piana che contiene il bordo arrotondato. Nel caso dell'asola rotonda esterna, fare clic sul bordo arrotondato in cima all'asola e lontano dal raccordo tra la curva ed il lato piano. (Vedere Nota A).

  • Il bordo più vicino al clic del mouse determina se il cono è interno oppure esterno. (Vedere Nota B).

  • PC-DMIS completa automaticamente la finestra di dialogo e determina il vettore dell'asola e l'orientazione.

  • Tenendo aperta la finestra di dialogo Elemento automatico, nel caso di un'asola quadrata interna, fare clic una volta sulla superficie piana prossima ad un bordo qualsiasi. Nel caso di asola quadrata esterna, fare clic su uno qualsiasi dei bordi, sulla cima dell'asola. (Vedere Nota A).

    • Il bordo più vicino al clic del mouse determina se si tratta di un'asola quadrata interna oppure esterna. (Vedere Nota B).

    • PC-DMIS completa automaticamente la finestra di dialogo e determina il vettore dell'asola e l'orientamento.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic una volta sulla sfera. PC-DMIS completa automaticamente la finestra di dialogo.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic una volta su un punto qualsiasi. PC-DMIS completa automaticamente la finestra di dialogo.

Tenendo aperta la finestra di dialogo Elemento automatico, fare clic una volta su un punto qualsiasi. PC-DMIS completa automaticamente la finestra di dialogo.

  • Se si utilizza la modalità curva, PC-DMIS aggancia il punto alla linea più vicina.

  • Se invece si utilizza la modalità superficie, PC-DMIS genera il punto dove è stato fatto clic.

Creazione di elementi automatici 'con un clic'

PC-DMIS migliora continuamente la propria capacità di selezione di elementi automatici con un numero minore di clic del mouse. La tabella che segue descrive, per le modalità Curva e Superficie, gli elementi automatici che possono essere selezionati con un solo clic del mouse ed elenca inoltre il numero di clic del mouse necessari per quegli elementi che non supportano la possibilità di clic singolo.

Tipo di elemento automatico | Modalità curva | Modalità superficie
Punto di angolo | N. (2 clic) | N. (2 clic)
Cerchio | Sí | Sí
Cono | Sí | Sí
Punto diagonale | Sí | Sí
Cilindro | Sí | Sí
Ellisse | Sí | Sí
Punto di bordo | N. (2 clic) | N. (2 clic)
Punto massimo | Sí | Sí
Linea | N. (2 clic) | N. (2 clic)
Tacca | Sí | Sí
Piano | Sí | Sí
Poligono | Sí | Sí
Asola rotonda | Sí | Sí
Asola quadrata | Sí | Sí
Poligono | Sí | Sí
Sfera | Sí | Sí
Punto superficie | Sí | Sí
Punto vettore | Sí | Sí

Elementi cerchio:

Elementi cono:

Elementi cilindro:

Elementi ellisse:

Elementi tacca:

Elementi poligono:

Elementi punto diagonale:

Elementi asola rotonda:

Elementi asola quadrata:

Elementi sfera:

Elementi punto superficie:

Elementi punto vettore:

Vedere anche:

Nota A

Nota B


Nota A

In questa immagine:

  • il segno verde dovrebbe funzionare in quanto la linea/curva più vicina ai segnalibri (o il bordo, se è una superficie) è una linea/curva che si trova nel piano che definisce l'asola.

  • il segno rosso non funzionerà in quanto la linea più vicina al segnalibro (o il bordo, se è una superficie) è una linea che non si trova nel piano che definisce l'asola.

  • Il segno giallo funzionerà se la superficie è un cilindro.


Nota B

In questa immagine viene visualizzata una orientazione Z- invertita del modello Esagono:

  • I segni rossi produrranno un elemento OD.

  • I segni bianchi produrranno un elemento ID.


Opzioni comuni della finestra di dialogo Elemento automatico

Il tastatore viene considerato 'attivo' quando si accede a una delle schede degli elementi automatici disponibili nella finestra di dialogo Elemento automatico. In questo caso, PC-DMIS è in grado di determinare quando il tastatore viene deflesso. Il rilevamento della deflessione di un tastatore indica che è in corso la misurazione dell'elemento correntemente definito nella relativa finestra di dialogo. Viene visualizzata una serie di messaggi per richiedere di misurare i rimanenti punti, in modo da completare l'elemento definito. Allo stesso modo, se si fa clic sui dati CAD mentre è aperta la finestra di dialogo Elemento automatico, PC-DMIS considera che l'elemento correntemente definito è in fase di apprendimento.

Per le misurazioni degli elementi automatici sono disponibili le funzioni riportate di seguito.

Nota: alcuni degli elementi della finestra di dialogo, soprattutto quelli che si trovano nell'area Opzioni di definizione, diventano disponibili solo se vengono visualizzate le opzioni lamiera estese. Per attivare le opzioni lamiera estese è necessario selezionare la casella di controllo Mostra opzioni lamiera estese dalla finestra di dialogo Opzioni di impostazione .

Vedere anche:

Percorsi ed orientamento di elementi

Area Proprietà della misura

Area Posizione

Area Punti

Area Proprietà

Area Orientamento

Casella ID

Area Varie

Area Automatico

Area Opzioni di definizione

Pulsanti Avanzate / Base

Pulsante Mostra punti

Pulsante Crea per gli elementi automatici


Percorsi ed orientamento di elementi

A partire dalla versione 3.7 PC-DMIS aggiunge questi pulsanti alla finestra di dialogo Elemento automatico. Essi sono disattivati e non selezionabili se il part program è in modalità Manuale:

Questi pulsanti consentono di avere l’anteprima e di modificare I punti e le linee di percorso per l’elemento automatico selezionato, e di cambiare l’orientazione della vista corrente.

Mostra/nascondi percorso - Facendo clic su questo pulsante verranno visualizzate le linee di percorso e le posizioni dei punti per l'elemento corrente. Se si deseleziona il pulsante, le informazioni vengono nascoste.

Le linee del percorso appaiono Verdi sul modello CAD. La linea rossa indica il punto iniziale, la linea arancio indica il punto finale.

Si puó anche fare clic con il tasto destroy del mouse su qualsiasi linea di percorso, o su un punto, e si puó usare un menu di scelta rapida per effettuare una serie di funzioni. Fare riferimento alla sezione "Menu di scelta rapida delle linee di percorso degli elementi automatici" nel capitolo "Uso dei menu e dei tasti di scelta rapida" per ulteriori informazioni.

La tabella che segue fornisce dettagli sulla funzionalità Mostra/nascondi percorso utilizzando un cerchio automatico come esempio.

In questo esempio, gli angoli iniziale e finale, sono impostati per misurare soltanto 180 gradi del cerchio con quattro punti.

Se si modifica l'angolo iniziale o finale, anche i punti cambiano.

Per esempio, cambiando l’angolo finale da 180 a 360 gradi, PC-DMIS visualizza i punti sull'intera circonferenza.

Si puó fare clic su una linea di percorso e trascinare un punto qualsiasi su una nuova posizione.

Per fare ciò, spostare il mouse sulla linea del percorso fino a quando PC-DMIS lo evidenzia in rosso, quindi fare clic e trascinare il punto su una nuova posizione.

Si supponga che il cerchio automatico usi sempre 3 punti iniziali per pozizionare la superficie attorno al cerchio. PC-DMIS visualizza anche queste linee.

È possibile fare clic e trascinare queste linee su una nuova posizione, per aggiornare dinamicamente il valore del Distanziatore e i punti dell'elemento.

Vista normale– Facendo clic su questo pulsante CAD viene orientato in modo da visualizzare l'elemento dall'alto verso il basso. Deselezionandolo, il CAD ritorna alla vista precedente. È possibile far ciò anche facendo clic con il tasto destro del mouse sul percorso e selezionando Vista Normale dal menu a comparsa.

Vista Perpendicolare– Facendo clic su questo pulsante CAD viene orientato in modo da visualizzare l'elemento lateralmente. Ciò è utile per definire lo spessore di un elemento o per aggiungere altre righe di punti nel caso di elementi che supportino più livelli come coni o cilindri. Per impostare altre righe, fare clic con il tasto destro del mouse e selezionare Aggiungi riga dal menu a comparsa.

Esempio di Cilindro dopo Vista Perpendicolare

Deselezionando l'opzione Vista Perpendicolare il CAD ritornerà alla vista precedente. È possibile impostare la vista su perpendicolare anche facendo clic con il tasto destro del mouse sul percorso e selezionando Vista Perpendicolare dal menu a comparsa.

Con le opzioni Mostra/nascondi percorso e Vista Perpendicolareselezionate, è possibile visualizzare l'elemento perpendicolarmente e definire la quota alla quale PC-DMIS rileverà i punti.

Per modificare la quota, evidenziare la linea verde di punti inquesta vista, poi fare clic e trascinare il gruppo di punti alla nuova quota.


Area Proprietà di misura

L'area Proprietà di misura della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Nota: l'area Proprietà di misura contiene anche le aree Percorso, Proprietà e Orientazione. Fare riferimento alle sezioni "Area Posizione", "Area Proprietà" e "Area Orientamento".

Vedere anche:

Elenco Tipi di Elemento Automatico

Casella di controllo Piano di sicurezza

Casella di controllo Misura

Elenco Tipo elemento


Elenco Tipo di elemento automatico

L’elenco Tipo di elemento automatico consente di accedere alla finestra di dialogo relativa all’elemento automatico selezionato. Gli elementi automatici sono elencati di seguito:

  • Punto vettore

  • Linea

  • Piano

  • Cerchio

  • Ellisse

  • Asola tacca

  • Asola rotonda

  • Punto angolo

  • Punto diagonale

  • Punto di bordo

  • Punto massimo

  • Punto superficie

  • Asola quadrata

  • Cilindro

  • Sfera

  • Cono


Casella di controllo Piano di sicurezza

La casella di controllo Piano di sicurezza è disponibile solo in modalità DCC.

Nella casella di controllo Piano di sicurezza viene visualizzata l'impostazione corrente del piano di sicurezza. Se si seleziona questa casella di controllo, PC-DMIS inserirà un MOVIMENTO PIANO SICUR relativo al sistema di coordinate e all'origine del pezzo correnti prima di prendere il primo punto automatico. Dopo l'ultima rilevazione sull'elemento, il tastatore rimarrà ad una determinata quota fino a quando non passa all'elemento successivo. L'uso dei piani di sicurezza consente di ridurre i tempi di programmazione, in quanto viene meno la necessità di definire movimenti intermedi. Vedere "Impostazioni parametri: scheda Piano di Sicurezza " nella sezione "Impostazione delle preferenze" per ulteriori informazioni sui piani di sicurezza.

Se viene selezionata la casella di controllo Piano di sicurezza, PC-DMIS inserirà un comando MOVIM/PIANO_SICUR prima dell'elemento.

La riga di comando della finestra di modifica per questa opzione è la seguente:
MOVIM/PIANO_SICUR

Nota: i piani di sicurezza non vengono utilizzati quando si prendono dei punti di campionamento. Pertanto, durante la misurazione dei perni è importante impostare il distanziatore su un valore che consenta il movimento del tastatore attorno al perno.


Casella di controllo Misura

La casella di controllo Misura consente di avviare il processo di misurazione. Quando si seleziona questa casella, PC-DMIS misurerà il pezzo in base ai valori specificati nella finestra di dialogo dopo aver fatto clic sul pulsante Crea.


Elenco Tipo elemento

L'elenco Tipo elemento consente di determinare un tipo più specifico dell'elemento che si sta creando. Questo elenco è disponibile solo per i seguenti elementi automatici:

Per i punti vettore, è possibile selezionare dall'elenco PUNTO SINGOLO o BARICENTRO.

Per un punto di bordo, questo elenco è vuoto.

Per i cerchi, questo elenco viene utilizzato con gli elementi misurati mediante i tastatori CMT.

Per le asole quadrate, questo elenco è vuoto.


Area Posizione

L'area Posizione della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Vedere anche:

Caselle Punto XYZ

Caselle XYZ Iniziale / Finale

Caselle Centro XYZ

Rett./Polare

Pulsante Trova

Pulsanti Leggi Pos. / Leggi Posizione


Caselle Punto XYZ

Per gli elementi Punto vettore, Punto di superficie, Punto di bordo, Punto angolo e Punto diagonale nelle casellePunto XYZ viene visualizzato il nominale X, Y e Z per la posizione dell'elemento.

Una volta creato il nuovo valore, PC-DMIS visualizza il tastatore animato nella nuova posizione, ovvero nella posizione utilizzata per prendere dei punti sul pezzo.

Per un elemento Punto massimo, nelle caselle Punto XYZ viene visualizzato il nominale X, Y e Z per il punto di inizio.

Una volta creato il nuovo valore, PC-DMIS visualizza il tastatore animato nella nuova posizione, ovvero la posizione iniziale per la ricerca. Al termine dell'esecuzione, il punto massimo del piano di lavoro corrente sarà contenuto nel punto XYZ. Nelle successive esecuzioni, tuttavia, verrà utilizzato il punto iniziale originale per la ricerca.


Caselle XYZ iniziale / finale

Le caselle XYZ iniziale e XYZ finale visualizzano i punti iniziale e finale di un elemento automatico linea. È possibile fare clic sui pulsanti Leggi pos. per ottenere la posizione XYZ corrente del tastatore. Oppure è sufficiente rilevare punti sul pezzo per visualizzare il punto iniziale e il punto finale. Notare che le caselle di fine vengono visualizzate solo se si seleziona l'opzione Limitato dall'area Tipo.

Fare riferimento alla sezione "Tipo Limitato / Illimitato".


Caselle Centro XYZ

Queste caselle sono disponibili solo per i seguenti tipi di elementi automatici: Cerchio, Cilindro, Sfera, Asola quadrata, Asola rotonda, Ellisse, Tacca o Cono.

Nelle caselle Centro XYZ viene visualizzato il nominale X, Y, Z per la posizione dell'elemento.

Per modificare il nominale, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Inserire il nuovo valore.

Una volta creato il nuovo valore, PC-DMIS visualizzerà il tastatore animato nella nuova posizione, La posizione rappresenta il centro dell'elemento.

Per una tacca la posizione rappresenta il punto centrale della tacca lungo il lato non parallelo.

Nota per il cilindro: tenere presente che se si definisce un cilindro come foro, è necessario definire il punto centrale nella parte superiore del cilindro. Se si definisce il cilindro come perno, è necessario definire il punto centrale nella parte inferiore del cilindro.


Opzioni Rett./Polare

Fare clic su questi pulsanti per passare da Cartesiano a Polare. Queste opzioni consentono di selezionare il sistema di coordinate per la visualizzazione del centro o del punto dell'elemento automatico. In modalità Cartesiano, i valori vengono visualizzati in XYZ. In modalità Polare, i valori sono visualizzati in formato raggio, angolo e altezza (indicati rispettivamente come R, A e H nella finestra. L'altezza dipende dal piano di lavoro attualmente in uso. Se il piano di lavoro corrente è Z+, l'altezza è rappresentata dal valore Z.


Pulsante Trova

Il pulsante Trova consente di ricercare l'elemento CAD più vicino sul disegno CAD in base ai valori delle caselle Punto XYZ. PC-DMIS consente di inserire manualmente le informazioni necessarie oppure di selezionarle direttamente sulla superficie.

Quando viene selezionato il pulsante Trova, PC-DMIS si sposta lungo l'asse selezionato finché non rileva l'elemento CAD più vicino. Quindi, inserisce il valore dell'asse all'intersezione con l'elemento CAD nella rispettiva casella del punto, forando ciascuna superficie dei dati CAD e mantenendo il punto più vicino ai valori XYZ inseriti. I valori XYZ del punto e i valori IJK del vettore perpendicolare alla superficie vengono visualizzati nella finestra di dialogo.

Metodo di digitazione

Il metodo di digitazione consente di inserire due assi e di selezionare la casella di controllo dell'asse lungo il quale PC-DMIS cercherà l'elemento CAD più vicino.

A tale scopo, operare come segue:

  1. Digitare i valori dei tre assi.

  2. Selezionare la casella di controllo dell'asse lungo il quale ricercare l'elemento CAD più vicino.

  3. Fare clic sul pulsante Trova.

Si raccomanda di inserire un valore il più vicino possibile all'elemento CAD ricercato.

Metodo di selezione della superficie

Il metodo di selezione della superficie consente di utilizzare il mouse per selezionare una superficie CAD. Questa superficie fornisce quindi i valori necessari per le caselle Punto XYZ.

A tale scopo, operare come segue:

  1. Selezionare la superficie CAD con il pulsante sinistro del mouse. PC-DMIS inserirà automaticamente i valori XYZ nella finestra di dialogo.

  2. Modificare i valori XYZ, se necessario.

  3. Selezionare la casella di controllo relativa all'asse da cercare.

  4. Fare clic sul pulsante Trova.

Se i dati di input consentono la foratura della superficie, i valori del vettore e del punto verranno visualizzati nella finestra di dialogo.


Pulsanti Leggi pos. / Leggi posizione

Il pulsante Leggi pos. o Leggi posizione consente di leggere immediatamente la posizione del tastatore e e di inserirne i valori nei campi XYZ dell'elemento.


Area Punti

L'area Punti della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Vedere anche:

Caselle Iniziale e Permanente

Casella Distanziatore

Caselle Rientro

Casella Quota

Casella Num. punti

Casella di controllo Misura larghezza


Caselle Iniziale e Permanente

Le caselle Iniziale e Permanente consentono di definire i punti di campionamento presi per l'elemento automatico. Questi punti vengono utilizzati per misurare il piano intorno alla posizione del punto nominale.

  • I punti di campionamento iniziali vengono presi solo sulla misurazione iniziale dell'elemento durante l'esecuzione del part program.

  • I punti di campionamento permanenti sono usati per tutte le misure seguento, durante l’esecuzione del part program.

Nella seguente tabella vengono forniti un elenco di tutti gli elementi automatici che utilizzano i punti di campionamento e una descrizione dell'utilizzo di questi punti nella misurazione dell'elemento.

Elemento automatico

Descrizione dei punti di campionamento

Punto superficie

Zero e tre sono gli unici numeri accettati.

  • Se viene impostato il valore 0, PC-DMIS misurerà il punto lungo il vettore di avvicinamento nominale specificato.

  • Se è impostato il valore 3, PC-DMIS misurerà un piano attorno alla posizione del punto nominale ed utilizzerà il vettore perpendicolare alla superficie in base ai tre punti misurati per spostarsi nella posizione del punto nominale.

Punto di bordo

È possibile utilizzare un valore qualsiasi compreso tra zero e cinque, ma il numero dei punti di campionamento permanenti non deve essere superiore al numero dei punti di campionamento iniziali.

PC-DMIS misurerà il punto in base al valore specificato.

  • 0, PC-DMIS misurerà il punto in base al vettore di avvicinamento nominale e ai vettori perpendicolari specificati.

  • 1, PC-DMIS misurerà un punto sulla superficie perpendicolare. La misurazione del bordo verrà quindi proiettata sulla superficie nominale utilizzando tale punto. I valori QUOTA risulteranno non allineati rispetto al punto.

  • 2, PC-DMIS prenderà due punti di campionamento sul bordo lungo la direzione di avvicinamento nominale specificata. PC-DMIS utilizzerà quindi tali punti per calcolare un nuovo vettore di avvicinamento per la misurazione del punto reale lungo il bordo.

  • 3, PC-DMIS misurerà il punto mediante una combinazione di entrambi i metodi, utilizzando rispettivamente uno e due punti di campionamento. Questo metodo di misurazione è noto come punto di misurazione "A livello e distanza".

  • 4, PC-DMIS misurerà i tre punti di campionamento sulla superficie perpendicolare e regolerà il vettore perpendicolare alla superficie. La misurazione del bordo verrà quindi proiettata sulla superficie nominale. I valori QUOTA risulteranno non allineati rispetto al punto. Il punto verrà quindi misurato lungo il vettore di avvicinamento.

  • 5, PC-DMIS misurerà il punto prendendo tre punti sulla superficie perpendicolare e due punti sul bordo lungo la direzione di avvicinamento nominale specificata. Questo metodo di misurazione garantisce una maggiore precisione rispetto agli altri metodi.

Punti di campionamento iniziali e permanenti per i punti di bordo

Punto di angolo

Per l'elemento punto angolo è possibile prendere solo i punti di campionamento Permanenti.

I punti di campionamento saranno utilizzati su ciascuna superficie. I valori ammessi per questa opzione sono due e tre.

  • Se si seleziona il valore due, verranno presi due punti lungo una linea perpendicolare al vettore del bordo.

  • Se si seleziona il valore tre, i tre punti presi verranno utilizzati per formare un piano su ciascuna superficie indicata nell'illustrazione.

Due e tre punti permanenti presi per un punto di angolo

Cerchio, cilindro o cono

I punti di campionamento definiti saranno utilizzati per misurare la superficie perpendicolare all'elemento. Il numero di punti specificato sarà preso in posizione equidistante rispetto agli angoli iniziale e finale indicati.

PC-DMIS misurerà la superficie in base al valore specificato. Ad esempio:

  • Se il tipo di elemento è un foro e viene impostato il valore zero, PC-DMIS non prenderà alcun punto di campionamento.

  • Se il tipo di elemento è un perno e viene impostato il valore zero, PC-DMIS non prenderà alcun punto di campionamento. PC-DMIS tratta il valore di Altezza come se l’elemento fosse un FORO, anziché un PERNO.

  • Se il tipo di elemento è un foro e viene impostato il valore uno, PC-DMIS prenderà il punto all'esterno dell'elemento.

  • Se il tipo di elemento è un perno e viene impostato il valore uno, PC-DMIS misurerà il punto nella parte superiore del perno.

Nota: se il valore viene inserito nella casella Altezza e si hanno valori diversi da zero per le caselle Iniziale e Permanente , PC-DMIS considera che si sta procedendo alla misurazione di un perno e richiederà di prendere un punto nella parte superiore del perno. Tuttavia, se i valori Iniziale e Permanente sono zero allora il valore Altezza cambia significato ed opera come descritto per il TIPO=FORO. Fare riferimento alla sezione "Casella Altezza")

Nella figura precedente, STRTA = Angolo iniziale. ENDA = Angolo finale.

  • Se viene impostato il valore 3, PC-DMIS misurerà la superficie in base a tre punti equidistanti a partire dall'angolo iniziale. I punti di campionamento saranno relativi al piano misurato e i valori risulteranno non allineati rispetto a tali punti.

Nella figura precedente, STRTA = Angolo iniziale, ENDA = Angolo finale.

Nota: PC-DMIS considera che il nominale X, Y, Z del perno si trovi sulla base. Se il punto centrale si trova nella parte superiore del perno, impostare una quota negativa.

Sfera

È possibile prendere un solo punto di campionamento sia per la casella Iniziale che per la casella Permanente . Dopo aver specificato tale valore, PC-DMIS effettua la procedura descritta di seguito durante l'esecuzione del part-program.

  1. La misurazione automatica viene interrotta prima della misurazione della sfera.

  2. PC-DMIS richiede di prendere un punto perpendicolare alla direzione della sfera da misurare.

  3. Dopo aver preso il punto di campionamento, fare clic sul pulsante Continua.

  4. PC-DMIS prende altri tre punti sulla sfera all'interno dell'area determinata dal distanziatore.

PC-DMIS utilizza la posizione della sfera, calcolata mediante i quattro punti presi, per misurare la sfera in base al numero di punti, righe e angoli specificato.

Asola quadrata o asola rotonda

Sono ammessi esclusivamente i valori zero, uno e tre. Il piano misurato verrà utilizzato come vettore della linea centrale per eseguire la proiezione e la misurazione della quota.

PC-DMIS misurerà l'asola in base al valore specificato. Se il numero di punti è impostato su:

  • 0, PC-DMIS misurerà l'asola indicata. senza prendere alcun punto di campionamento.

  • 1, PC-DMIS misurerà la superficie in corrispondenza del centro dell'asola. Il punto di asola verrà preso a destra del vettore.

  • 3, misurerà la superficie in base a tre punti equidistanti a partire dall'ASOLA A. I punti presi sull'asola saranno relativi al piano misurato ed i relativi valori risulteranno non allineati rispetto a tali punti.

Tre punti iniziali e di campionamento presi su un'asola quadrata (a sinistra) e un'asola rotonda (a destra)

Nota: per prendere i punti sul lato opposto dell'asola, invertire il vettore della linea centrale.

Ellisse

Sono ammessi esclusivamente i valori zero, uno e tre. Il piano misurato verrà utilizzato come vettore della linea centrale per eseguire la proiezione e la misurazione della quota.

PC-DMIS misurerà l'ellisse in base al valore specificato. Se il numero di punti è impostato su:

  • 0, PC-DMIS misurerà l'ellisse indicata. senza prendere alcun punto di campionamento.

  • 1, PC-DMIS prenderà un unico punto di campionamento nella posizione verso la quale è rivolto il VETT ANGOLO (ad esempio, 0° + DISTANZ) e non al centro dell'ellisse. Nel caso di un foro ellissoidale, infatti, tale operazione presenterebbe enormi difficoltà.

  • 3, PC-DMIS misurerà la superficie in corrispondenza dei punti all'esterno o all'interno dell'ellisse, in base alla distanza indicata dal bordo esterno (valore di Distanziatore). Il primo punto verrà preso sull'angolo iniziale specificato. Il secondo punto verrà preso in posizione equidistante tra l'angolo iniziale e l'angolo finale. L'ultimo punto verrà preso in corrispondenza dell'angolo finale. I punti saranno relativi al piano misurato ed i relativi valori risulteranno non allineati rispetto a tali punti.

Nota: per prendere il punto sul lato opposto dell'ellisse, invertire il vettore della linea centrale.

Tacca

I punti di campionamento definiscono anche il bordo per la larghezza e il vettore dell'angolo. Sono ammessi soltanto valori compresi tra zero e cinque. Il piano misurato verrà utilizzato come vettore della linea centrale per eseguire la proiezione e la misurazione della quota.

PC-DMIS misurerà la tacca in base al valore specificato. Se il numero di punti è impostato su:

  • 0, PC-DMIS misurerà la tacca indicata. senza prendere alcun punto di campionamento.

  • 1, PC-DMIS misurerà la superficie in corrispondenza del bordo della tacca.

  • 2, PC-DMIS misurerà la superficie lungo il lato aperto della tacca. in modo da definire il vettore di angolo da utilizzare per determinare la larghezza della tacca stessa.

  • 3, PC-DMIS misurerà la superficie prendendo due punti su una delle estremità della tacca e un punto sull'estremità opposta. I punti della tacca saranno relativi al piano misurato ed i relativi valori risulteranno non allineati rispetto a tali punti.

  • 4, PC-DMIS misurerà la superficie prendendo tre punti di campionamento. Verrà inoltre preso un quarto punto sul bordo in corrispondenza del lato aperto. Tale punto verrà utilizzato per determinare la larghezza della tacca.

  • 5, PC-DMIS misurerà la superficie prendendo tre punti di campionamento. Misurerà inoltre il bordo lungo il lato aperto, nel modo utilizzato per prendere due punti di campionamento.


Casella Distanziatore

La casella Distanziatore definisce la distanza dalla posizione del punto nominale utilizzato da PC-DMIS per misurare un piano quando vengono specificati dei punti di campionamento.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Se non si inserisce alcun valore, PC-DMIS utilizza un distanza predefinita.

Elemento automatico

Descrizione Distanziatore

Punto superficie

La casella Distanziatore consente di definire il raggio del cerchio sul quale si trovano i punti nominali e di campionamento.

Punto di bordo

La casella Distanziatore consente di definire il raggio del cerchio sul quale si trovano i punti nominali e di campionamento.

Punto di angolo

Nella casella Distanziatore è possibile definire la distanza di offset tra i punti su ciascun lato della curvatura.

punto diagonale

La casella Distanziatore consente di definire la distanza tra il raggio del primo punto e gli altri punti.

Cerchio, cilindro o cono

La casella Distanziatore definisce la distanza dalla circonferenza del cerchio e i punti di campionamento.

Nota: i piani di sicurezza non vengono utilizzati quando si prendono dei punti di campionamento. Pertanto, durante la misurazione dei perni è importante impostare il distanziatore su un valore che consenta il movimento del tastatore attorno al perno.

Nota: PC-DMIS considera che il nominale X, Y, Z del perno si trovi sulla base. Se il punto centrale si trova nella parte superiore del perno, impostare una quota negativa.

Sfera

La casella Distanziatore consente di definire la distanza dall'asse{POPUP} centrale lungo il lato superiore della sfera dal punto o dai punti di campionamento. Quando vengono presi dei punti di campionamento, PC-DMIS utilizza una routine di posizione best fit per definire la posizione del centro. Questa routine di posizione consente di rilevare la posizione generale della sfera prima di procedere alla misurazione.

Asola quadrata, asola rotonda o ellisse

Nella casella Distanziatore è possibile definire la distanza tra il bordo esterno dell'elemento e i punti di campionamento.

Distanziatore per un'asola quadrata o una tacca (a sinistra) e un'asola rotonda (a destra)

Piano

La casella Distanziatore definisce la distanza tra I punti che formano il piano.


Caselle Rientro

Nella casella Rientro viene visualizzata la distanza di offset minima dalla posizione del primo punto di campionamento.

Per modificare tale distanza, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Punto di bordo

Nella casella Rientro viene visualizzata la distanza di offset minima dalla posizione del punto al primo punto su ciascun lato della curvatura (o del bordo).

Distanza di offset dal bordo

Punto di angolo

In PC-DMIS sono disponibili due caselle per il rientro, Rientro 1 e Rientro 2, nelle quali è possibile impostare le distanze di offset tra la posizione del punto e i punti di campionamento su ciascuna delle due superfici della curvatura in un punto angolo.

Rientro per un punto di angolo

  • Nella casella Rientro 1 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sulla prima superficie della curvatura.

  • Nella casella Rientro 2 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sulla seconda superficie della curvatura.

Punto diagonale

In PC-DMIS sono disponibili tre caselle per il rientro, Rientro 1, Rientro 2 e Rientro 3 nelle quali è possibile impostare le distanze di offset tra la posizione del punto e i punti di campionamento su ciascuna delle tre superfici della curvatura in un punto angolo.

  • Nella casella Rientro 1 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sul primo dei tre piani.

  • Nella casella Rientro 2 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sul secondo dei tre piani.

  • Nella casella Rientro 3 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sul terzo dei tre piani.

Rientro per un punto diagonale. Per una delle superfici 1 indica il punto di rientro, 2 e 3 sono i punti di campionamento.

Tacca

Nella casella Rientro è possibile definire la distanza di rientro dal bordo del lato aperto della tacca sul quale vengono presi i punti del lato parallelo.


Casella Quota

La quota è supportata dai seguenti tipi di elemento: Punto bordo, Cerchio, Cilindro, Cono, Asola quadrata, Asola rotonda, Ellisse e Tacca.

La casella Quota consente di definire la distanza dalla superficie utilizzata da PC-DMIS per misurare punti di campionamento e la distanza dalla superficie utilizzata per misurare l'elemento stesso.

Per modificare tale valore, effettuare le seguenti operazioni:

1. Selezionare il valore esistente.

2. Immettere un nuovo valore.

In questa tabella vengono fornite informazioni sul funzionamento della quota con questi particolari elementi automatici.

Punto di bordo

Se vengono indicati uno, due o tre punti di campionamento (vedere "Caselle Iniziale e Permanente"), allora il valore della quota verrà applicato in base al valore della superficie misurata.

Quota per un punto di bordo

Cerchio, cilindro e cono

La distanza specificata verrà applicata come valore positivo lungo il vettore della linea centrale dal punto centrale dell'elemento. Per i cilindri e i coni, questo valore viene applicato solo una volta per ogni livello di punti.

L'opzione TYPE = FORO / PERNO influenza il modo in cui verrà applicato il valore. Se si specifica un valore di quota positivo quando è attiva l'opzione FORO, il tastatore si sposterà verso il basso all'interno del foro. Se si specifica un valore di quota positivo quando è attiva l'opzione PERNO, il tastatore si sposterà verso la parte superiore del perno. Per ulteriori informazioni, fare riferimento a "Opzioni Foro e Perno".

Nota: PC-DMIS considera che il nominale X, Y, Z del perno si trovi sulla base. Se il punto centrale si trova nella parte superiore del perno, impostare la quota su un valore negativo.

Linea

La distanza é applicata come valore positive lung oil vettore perpendicolare al vettore della linea ed al vettore di bordo.

La quota della linea dipende dalla direzione dei punti e dal sistema di coordinate corrente. Per esempio, con una orientazione commune (X/destra, Y/indietro e Z/in alto), se il primo ed il secondo punto vengono rilevati da destra a sinistra sul modello, allora occorre usare un valore positive per la quota. Tuttavia, se il primo ed il secondo punto vengono rilevati da destra a sinistra sul modello, allora é necessario usare un valore negativo di quota.


Casella Num. punti

Nella casella Num. punti è possibile definire il numero di punti da utilizzare per misurare l'elemento. Il numero di punti specificato sarà preso in posizione equidistante rispetto agli angoli iniziale e finale indicati.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Cerchio o ellisse

Se gli angoli iniziale e finale sono coincidenti o differiscono di un multiplo di 360°, verrà preso un solo punto in corrispondenza del punto iniziale e finale reciproco.

Posizione dei punti

Cilindro o cono

Per questo elemento viene definito il numero di punti (per riga).

Nota: per misurare l'elemento è necessario prendere almeno sei punti, tre per ciascuno dei due livelli.

Sfera

Per misurare una sfera è necessario prendere almeno quattro punti.

Asola rotonda

Se si inserisce un numero dispari, PC-DMIS aggiungerà automaticamente un'unità al valore in modo da prendere un numero pari di punti per la misurazione dell'asola. La metà dei punti verrà presa sul semicerchio di ciascuna estremità dell'asola. È necessario prendere un minimo di sei punti.

Piano

Per misurare un piano è necessario prendere almeno tre punti. Tuttavia il numero totale di punti del piano è generato dal prodotto dei valori nelle caselle Num. punti e N. righe. Perciò, partendo da 2 nella casella Num. punti e 3 nella casella N. righe rispettivamente, verrà generato un totale di sei punti.

Linea

In questa casella è possibile immettere un qualsiasi numero di punti. In base al tipo di linea ed al valore inserito, PC-DMIS opera nel modo seguente, secondo la direzione vettoriale:

Se si sta creando una linea limitata, PC-DMIS utilizza la lunghezza calcolata della linea e vi dispone i punti a eguale distanza, in modo che il primo e l’ultimo punto siano il punto Iniziale e Finale.

Se la linea é illimitata, PC-DMIS utilizza la lunghezza digitata e dispone i punti equidistanti lungo il vettore direzione della linea.

Nota: se non viene specificato alcun valore di lunghezza (o se il valore è zero), PC-DMIS utilizzerà il diametro della punta del tastatore corrente come distanza tra i punti.


Casella di controllo Misura larghezza

Questa casella di controllo è disponibile solo per i seguenti elementi automatici: Asola quadrata

Quando viene selezionata la casella di controllo Misura larghezza è selezionata e si fa clic sul pulsante Crea, PC-DMIS effettuerà le seguenti operazioni:

  • Misurazione di due punti sul lato dell'asola.

  • Regolazione del vettore di angolo.

  • Misurazione di due punti sul lato opposto per calcolare la larghezza.

  • Regolazione della posizione dei due ultimi punti presi su ciascuna estremità per il calcolo della larghezza.


Area Proprietà

L'area Proprietà della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Vedere anche:

Casella di controllo Punto di aggancio

Casella di controllo Esterno

Casella Incremento

Casella Tolleranza

Casella Larghezza

Casella Lunghezza

Pulsante Modalità Finestra

Pulsante Modalità circolare

Casella N. righe

Casella Diametro

Casella Ang. iniz.

Casella Ang. fin.

Casella Ang. Mis.

Casella Passo

Casella Ang. iniz. 1

Casella Angolo finale 1

Casella Ang. iniz. 2

Casella Angolo finale 2

Casella Raggio

Casella Diam. maggiore

Casella Diam. minore

Casella Angolo

Pattern Quadrato / Radiale

Tipo Limitato / Illimitato


Casella di controllo Punto di aggancio

Questa casella di controllo è disponibile solo per i seguenti elementi automatici: Punto vettore e Punto superficie.

Quando si esegue la misurazione di un elemento supportato è possibile fare in modo che i valori misurati vengano "agganciati" al vettore teorico. Se si seleziona la casella di controllo Punto di aggancio, la deviazione sarà concentrata lungo il vettore del punto. lungo il vettore del punto specificato.

Esempio: si supponga di misurare una superficie piana rispetto ad un piano X Y e di prendere tre punti dall'asse Z. Anche se i valori X e Y dei punti misurati sono esterni alla superficie, la deviazione è irrilevante poiché la superficie è piana. È invece importante considerare qualsiasi offset o deviazione lungo l'asse Z. Con l'opzione Punto di aggancio, i valori per X e Y saranno punti precisi e gli errori verranno ignorati. Punto di aggancio visualizzerà solo la deviazione della superficie lungo l'asse Z.


Casella di controllo Esterno

Questa casella di controllo è disponibile solo per l'elemento automatico Punto angolo.

La casella di controllo Esterno definisce l'angolo come interno (se la casella non è selezionata) o esterno (se è selezionata). L'angolo interno di un pezzo è inferiore a 180°, mentre l'angolo esterno è superiore a 180°. Se la casella è selezionata, PC-DMIS misurerà l'angolo come esterno. Accertarsi sempre che questa opzione sia correttamente impostata in base alla sequenza di misurazione utilizzata per ciascun tipo.


Casella Incremento

Questa casella di controllo è disponibile solo per l'elemento automatico Punto massimo.

La casella Incremento consente di definire l'incremento utilizzato per la ricerca del punto massimo nell'area di ricerca. Durante l'esecuzione PC-DMIS inizia la ricerca dal punto iniziale (o punto di ricerca) in base all'incremento specificato nella casella Incremento.


Casella Tolleranza

Questa casella di controllo è disponibile solo per l'elemento automatico Punto massimo.

La casella Tolleranza consetne di definire un valore di tolleranza che indica a PC-DMIS quando terminare la ricerca di un punto massimo all'interno di una determinata area. Il valore di tolleranza deve essere sempre inferiore al valore di incremento. Durante il processo di ricerca il valore di incremento viene ridotto fino ad essere inferiore o uguale al valore di Tolleranza specificato in modo da indicare che il punto massimo del piano di lavoro corrente è stato individuato.


Casella Larghezza

Punto massimo | La casella Larghezza consente di definire la larghezza dell'area di ricerca. Se si specifica un valore nella casella Lunghezza, ma si lascia il valore di Larghezza uguale a 0, allora il valore di Larghezza corrisponderà alla lunghezza lungo l'asse maggiore del piano di lavoro corrente.
Asola quadrata, asola rotonda, ellisse o tacca | Nella casella Larghezza viene visualizzata la larghezza dell'elemento.


Casella Lunghezza

Punto massimo | La casella Lunghezzaconsente di definire la lunghezza dell'area di ricerca. Se si specifica un valore nella casella Larghezza, ma si lascia il valore di Lunghezza uguale a 0, il valore di Lunghezza corrisponderà alla lunghezza lungo l'asse minore del piano di lavoro corrente.
Asola quadrata, asola rotonda, ellisse, tacca o linea | Nella casella Lunghezza viene visualizzata la lunghezza dell'elemento.


Pulsante Modalità Finestra

Questo pulsante è disponibile solo per l'elemento Punto massimo.

Il pulsante Modalità Finestra consente di definire la modalità di ricerca utilizzata da PC-DMIS per restituire il punto massimo.

Facendo clic sul pulsante Modalità Finestra è possibile modificare la modalità di ricerca. Commuta le caselle Larghezza e Lunghezzain Raggio esterno e Raggio interno ed il pulsante Modalità Finestra diviene Modalità Circolare. Vedere "Pulsante Modalità Circolare".

Se il pulsante visualizza Modalità Finestra, l'area di ricerca per l'elemento punto massimo diventa l'area specificata dai valori di Larghezza e Lunghezza. PC-DMIS definisce il punto massimo all'interno di tale area.

Nota: il punto iniziale deve giacere all'interno della regione di ricerca definita dai parametri Larghezza e Lunghezza della Modalità Finestra. Nei casi particolari di ricerca su una linea, il punto iniziale viene automaticamente definito lungo la linea stessa.

La modalità predefinita del pulsante è Modalità Finestra.


Pulsante Modalità circolare

Questo pulsante è disponibile solo per l'elemento Punto massimo.

Il pulsante Modalità circolare consente di definire la modalità di ricerca utilizzata da PC-DMIS per restituire il punto massimo.

Facendo clic sul pulsante Modalità circolare è possibile modificare la modalità di ricerca. Tale pulsante cambia le caselle Raggio esterno e Raggio interno nelle caselle Larghezza e Lunghezza ed il pulsante Modalità circolare diviene Modalità finestra. Vedere "Pulsante Modalità finestra".

Se il pulsante visualizza Modalità circolare, l'area di ricerca per l'elemento punto massimo diventa la fascia di ricerca circolare specificata dai valori di Raggio esterno e Raggio interno.

  • Per ottenere un'area circolare completa, impostare il raggio interno su 0.

  • Per ottenere una linea di ricerca circolare, impostare i raggi interno ed esterno sullo stesso valore.

Verrà restituito il punto massimo lungo la circonferenza.

Nota: il punto iniziale deve giacere all'interno della regione di ricerca definita dai parametri Raggio interno e Raggio esterno per la Modalità circolare. Nei casi particolari di ricerca su una linea, il punto iniziale viene automaticamente definito lungo la linea stessa.


Casella N. righe

Questo elenco è disponibile solo per i seguenti elementi automatici: Cilindro, Sfera, Cono o Piano.

Nella casella N. righe è definito il numero di righe da utilizzare per la misurazione dell'elemento. È ammesso qualsiasi numero intero maggiore di uno.

Per un cilindro o un cono le righe saranno equidistanti rispetto alla quota e alla lunghezza dell'elemento.

Per una sfera le righe saranno equidistanti rispetto ai valori dell'Angolo iniziale 2 e dell'Angolo finale 2.

Nel caso di un piano, il numero di righe e di punti è usato per definire il numero totale di punti che vengono usati per generare il piano automatico.


Casella Diametro

Questa casella è disponibile solo per i seguenti elementi automatici: Cerchio, Cilindro, Sfera, Cono, Poligono.

La casella Diametro consente di definire il diametro dell'elemento. Nel caso di un perno nella casella del diametro viene visualizzato il valore nominale fornito dall'utente.

Per modificare il diametro di un elemento, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Una volta creato l'elemento, PC-DMIS aggiorna le dimensioni dell'elemento nella finestra di visualizzazione grafica.

Per un cono, questo valore rappresenta il valore nominale del diametro in corrispondenza della posizione X, Y e Z definita.

Per un poligono, il diametro è la distanza tra due lati opposti di poligoni con un numero pari di lati. Per altri poligoni, come ad esempio un triangolo equilatero, è due volte il raggio del cerchio più grande che si può iscrivere all'interno del poligono.


Casella Ang. iniz.

Questa casella è disponibile solo per i seguenti elementi automatici: Cerchio, Cilindro, Ellisse o Cono.

Nella casella Ang. iniz. viene visualizzato l'angolo di inizio sull'elemento. L'angolo è espresso in gradi decimali e viene inserito dall'utente.

Per modificare l'angolo iniziale, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Nota: l'angolo dell'asse maggiore del piano di lavoro corrente è pari a 0°. L'angolo iniziale è rivolto verso la linea centrale e si muove in senso antiorario.

Informazioni sull'offset: generando un arco mediante uno degli elementi automatici di tipo cerchio (Cerchio, Cilindro, Cono, Sfera o Asola Quadrata), PC-DMIS distanzia gli angoli iniziale e finale di due gradi. In questo modo gli archi ricavati sul CAD non vengono rilevati rispetto agli angoli iniziale e finale, perché potrebbe esservi compreso uno spigolo. Ció non é un problema nella maggior parte dei casi, a meno che si stia cercando di generare un arco di pochi gradi. Per esempio, volendo generare un arco di quattro gradi servendosi della scheda Cerchio, è necessario immettere un parametro con valore di otto gradi nelle caselle Ang. iniz. e Ang. fin., tenendo conto che PC-DMIS accorcerà l'arco di due gradi alle due estremità.


Casella Ang. fin.

Questa casella è disponibile solo per i seguenti elementi automatici: Cerchio, Cilindro, Ellisse o Cono.

Nella casella Ang. fin. viene visualizzato l'angolo finale dell'elemento. L'angolo è espresso in gradi decimali e viene inserito dall'utente.

Per modificare l'angolo finale, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Nota: quando si inseriscono l'angolo iniziale e l'angolo finale occorre tenere presente che il vettore I, J, K è sempre rivolto verso la linea centrale e che PC-DMIS misura gli elementi circolari DCC in senso antiorario.

Per i cerchi automatici, fare riferimento alla nota Informazioni sull'offset nella sezione "Casella Ang. iniz.".


Casella Ang. Mis.

Le asole quafdrate hanno due estremitá arrotondate, ciascuna con raggio pari a 180 gradi. Il valore nella casella Ang. mis. definisce l'angolo di misura. PC-DMIS prende il valore inserito, lo divide per due e misura metà per ogni lato del vettore di angolo dell’asola.

Esempio: Supponiamo di aver digitato 90 in questa casella. Quando si crea l’asola rotonda, PC-DMIS misura 45 gradi a sinistra e 45 a destra del vettore angolo (o viceversa, in base al vettore angolo).


Casella Passo

Questa casella è disponibile solo per i seguenti elementi automatici: Cerchio o Cilindro.

La casella Passo consente di ottenere una maggiore precisione nella misurazione dei fori e dei perni. Il passo, in PC-DMIS, è la distanza tra i filetti lungo l'asse dell’elemento. Se la casella Passo ha un valore diverso da zero, PC-DMIS prende i punti dell'elemento lungo l'asse teorico e li dispone attorno all'elemento in base agli angoli iniziale e finale.

Nota: il passo, all'esterno di PC-DMIS, è definito in filetti per pollice.

Cerchio

Per seguire uno schema di filettatura standard (in senso orario), è necessario invertire gli angoli iniziale e finale (ad esempio, 720 - 0); inoltre, per invertire la misurazione da un passo crescente in un passo decrescente (dall'alto verso il basso), è necessario utilizzare un valore negativo per il passo.

Esempio: se si misura un cerchio utilizzando quattro punti equidistanti attorno ad esso, il primo punto verrà definito in corrispondenza dell'angolo iniziale in base alla quota specificata. il secondo punto verrà preso in base a una rotazione di 90 gradi rispetto al primo e a una quota pari a (quota - ((num_pt-1)/punti totali * passo). Il terzo punto verrà preso in base ad una rotazione di 180 gradi rispetto al primo e ad una quota pari a (quota - ((numero di punti -1)/punti totali * passo). I rimanenti punti verranno presi seguendo la stessa procedura.

Cilindro

Esempio: se si misura un cilindro utilizzando due livelli di quattro punti equidistanti attorno al cilindro, il primo punto di ciascun livello verrà preso in corrispondenza dell'angolo iniziale in base alla quota specificata. Il secondo punto verrà preso in base a una rotazione di 90 gradi rispetto al primo e a una quota pari a (quota - ((num_pt-1)/n. di punti per riga * passo). Il terzo punto verrà preso in base ad una rotazione di 180 gradi rispetto al primo e ad una quota pari a (quota - ((numero di punti -1)/n. di punti * passo). I rimanenti punti verranno presi seguendo la stessa procedura.


Casella Ang. iniz. 1

Questa casella è disponibile solo per gli elementi automatici Sfera.

La casella Ang. iniz. 1 visualizza l'angolo di inizio sulla sfera. Questo può essere un qualsiasi angolo fornito dall'utente in gradi decimali. Esso è simile all'angolo finale di un Cerchio automatico ed è relativo al vettore angolo.

Per modificare l'angolo iniziale, effettuare le seguenti operazioni:

  1. Selezionare l'angolo esistente.

  2. Immettere un nuovo valore.

Il vettore angolo è lungo l'asse X (vedere le figure riportate di seguito). Gli angolo di inizio e di fine sono relativi al vettore angolo. Le misurazioni vengono effettuate in senso antiorario.

Asse Y

Asse X

Immagine di una sfera automatica che illustra le linee di percorso e le posizioni dei punti dall'angolo di inizio uguale a 0 (su A) e angolo di fine uguale a 90 (su B).


Casella Angolo finale 1

Questa casella è disponibile solo per gli elementi automatici Sfera.

La casella Ang. fin. 1 consente di determinare l'angolo di fine sulla sfera. Questo può essere un qualsiasi angolo espresso in gradi decimali. Esso è simile all'angolo finale di un Cerchio automatico ed è relativo al vettore angolo.

Per modificare l'angolo finale, effettuare le seguenti operazioni:

  1. Selezionare il valore nella casella Ang. fin. 1.

  2. Immettere un nuovo valore.

Il vettore angolo è lungo l'asse X (vedere le figure riportate di seguito). Gli angolo di inizio e di fine sono relativi al vettore angolo. Le misurazioni vengono effettuate in senso antiorario.

Asse Y

Asse X

Immagine di una sfera automatica che illustra le linee di percorso e le posizioni dei punti dall'angolo di inizio uguale a 0 (su A) e angolo di fine uguale a 90 (su B).


Casella Ang. iniz. 2

Questa casella è disponibile solo per gli elementi automatici Sfera.

La casella Ang. fin. 2 consente di determinare l'angolo di inizio secondario sulla sfera. Questo angolo è espresso in gradi decimali. Se l'angolo iniziale è pari a 0°, la prima riga corrisponderà ad un singolo punto nella parte superiore della sfera. Di solito, il gambo del tastatore è parallelo al vettore normale. In questo caso, questo valore deve essere compreso tra 0° e 90°. Qualsiasi valore maggiore di 90° può provocare un falso contatto del calibro del tastatore.

Per modificare l'angolo iniziale, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.


Casella Angolo finale 2

Questa casella è disponibile solo per gli elementi automatici Sfera.

La casella Ang. fin. 2 consente di determinare l'angolo di fine secondario sulla sfera. Questo angolo è espresso in gradi decimali. Se l'angolo iniziale è pari a 0°, l'ultima riga corrisponderà ad un singolo punto nella parte superiore della sfera. Di solito, il gambo del tastatore è parallelo al vettore normale. In questo caso, questo valore deve essere compreso tra 0° e 90°. Qualsiasi valore maggiore di 90° può provocare un falso contatto del calibro del tastatore.

Per modificare l'angolo finale, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Nota: quando si inserisce l'angolo iniziale e finale, tenere presente che il vettore I, J, K è sempre rivolto verso la linea centrale e che PC-DMIS misura le sfere DCC in senso antiorario.


Casella Raggio

Questa casella è disponibile solo per i seguenti tipi di elemento: Asola quadrata e Tacca.

Non tutte le tacche o le asole quadrate sono dei quadrati perfetti. Talvolta le intersezioni dei lati sono costituite da raggi anziché da angoli triedri. La casella Raggio contiene il valore del raggio.

Per un'asola quadrata, tale valore è utilizzato per determinare la posizione di ciascun punto durante la misurazione dell'asola per evitare di entrare in contatto con i raggi.

Per una tacca, i punti lungo il bordo opposto al lato aperto verranno presi all'esterno del raggio.


Casella Diam. maggiore

Questa casella è disponibile solo per l'elemento Ellisse.

Nella casella Diam. mag. viene visualizzata la lunghezza totale dell'ellisse.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.


Casella Diam. minore

Questa casella è disponibile solo per l'elemento Ellisse.

Nella casella Diam. min. viene visualizzata la larghezza dell'ellisse.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.


Casella Angolo

Questa casella è disponibile solo per l'elemento Cono.

La casella Angolo consente di definire l'angolo del cono.

Per modificare l'angolo del cono, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Una volta completata la creazione dell'elemento, la dimensione del cono verrà modificata nella finestra di visualizzazione grafica.


Schema quadrato / radiale

Per l'elemento automatico Piano, le opzioni Quadrato e Radiale consente di determinare se i punti del piano siano rilevati secondo una matrice di elementi quadrata oppure radiale.

Se si seleziona Radiale, crea i punti secondo righe che partono dal centro del piano e sono disposte secondo uno schema quadrato, oppure radialmente. PC-DMIS divide 360 gradi per il valore riportato nella casella N. Righe per determinare l'angolo che separa gli elementi delle righe. Ad esempio, se nella casella N. Righe è riportato il valore 6 e nella casella Num. punti è riportato il valore 3, PC-DMIS genera una righa di tre punti ogni 60 gradi, con un totale di 18 punti.

Selezionando Quadrato, PC-DMIS crea i punti secondo una griglia centrata sul piano. Ad esempio, se la casella N. Righe riporta il valore 3 e la casella Num. puntiriporta il valore 4, PC-DMIS rileva 12 punti, secondo una griglia, con il punto centrale del piano posizionato nel centro.


Tipo Limitato / Illimitato

Questa area è disponibile soltanto per l’elemento Linea.

L’area Tipo consente di definire se la linea automatica è Limitata da un punto finale, oppure se è Illimitata.

Selezionando Limitato, viene visualizzata qualche casella Finale nell’area Posizione con i valori XYZ del punto finale. PC-DMIS calcola automaticamente la lunghezza della linea, in base alla distanza tra i punti Iniziale e Finale e visualizza inoltre la lunghezza della linea nel campo Lunghezza.

Selezionando Illimitata, PC-DMIS si aspetta un valore che va digitato nel campo Lunghezza, quindi calcola la linea che parte dal punto iniziale, nella direzione del vettore della linea e per una lunghezza pari al valore contenuto nella casella Lunghezza.

Si veda "Caselle XYZ Inizio / Fine" e "Casella Lunghezza" per ulteriori informazioni.


Area Orientamento

L'area Orientazione della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Vedere anche:

Caselle Vettore perpendicolare IJK

Caselle Vettore angolo IJK

Caselle Punto centrale

Caselle Vettore bordo IJK

Caselle Vettore superficie IJK

Caselle Vettore linea IJK

Caselle Vett superf. 1 IJK

Caselle Vett superf. 2 IJK

Caselle Vett superf. 3 IJK

Pulsante Trova vettori

Pulsante Inverti vettore

Pulsante Inverti bordo

Pulsante Inverti linea

Pulsanti Inverti superficie

Pulsante swap vettori

Opzioni Foro e Perno

Casella Altezza


Caselle Vettore perpendicolare IJK

Il vettore perpendicolare I, J, K è definito dall'utente. I, J, K devono sempre essere orientati in direzione opposta rispetto alla superficie. Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità. Questo vettore viene utilizzato per la compensazione del tastatore.

Per il punto vettore, il punto di superficie e i punti massimi, le caselle Vettore perpendicolare IJK riportano la direzione di avvicinamento per il punto preso per creare l'elemento automatico.

Per i punti massimi, dopo l'esecuzione, nella casella del vettore perpendicolare IJK verrà visualizzato il vettore di avvicinamento per il punto massimo del piano di lavoro corrente.

Per gli elementi cerchio, cilindro, sfera e cono, le caselle Vettore perpendicolare IJK definiscono la linea di centro dell'elemento. Il vettore di un cono è molto importante e punt asempre dall'origine all'esterno. L'altezza e la quota di un cono sono sempre relative a questo vettore.

Per gli elementi asola quadrata, asola rotonda, ellisse e tacca, le caselle Vettore perpendicolare IJK definiscono il vettore perpendicolare del piano su cui si trova l'elemento (il piano parallelo all'elemento).

Per un elemento piano, le caselle Vettore perpendicolare IJK definiscono la direzione per i punti del piano.


Caselle Vettore angolo IJK

Per modificare il vettore angolo, effettuare le seguenti operazioni:

  1. Selezionare i valori da aggiornare.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.

Per gli elementi Cerchio, Cilindro, Sfera e Cono, le caselle Vett angolo definiscono la posizione di 0° relativa al vettore perpendicolare. Gli angoli iniziale e finale vengono calcolati in base a questo vettore. Se i vettori non sono perpendicolari, il vettore di angolo viene modificato in base al vettore perpendicolare.

Per gli elementi Asola quadrata, Asola rotonda ed Ellisse, le caselle Vett angolo definiscono la linea centrale dell'elemento. Il vettore perpendicolare I, J, K è definito dall'utente. Il vettore perpendicolare e la linea centrale dell'elemento devono essere perpendicolari l'uno rispetto all'altro.

Per un elemento Tacca, le caselle Vett angolo definiscono il vettore di orientamento della tacca per il lato opposto all'apertura della tacca stessa. Il vettore perpendicolare I, J, K è definito dall'utente. Il vettore di angolo e il vettore perpendicolare alla tacca devono essere perpendicolari l'uno rispetto all'altro.

Per un elemento Piano, le caselle Vett angolo definiscono la linea di centro del piano.


Caselle Punto centrale

Queste caselle sono disponibili solo per l'elemento Punto massimo.

Nella caselle Punto centrale viene visualizzata la posizione del centro dell'area di ricerca per un elemento punto massimo.


Caselle Vettore bordo IJK

Queste caselle sono disponibili per l'elemento Punto di Bordo e Linea.

Le caselle Vettore bordo IJK visualizzano la direzione di approccio alla rilevazione dei punti di bordo o dei punti di una linea automatica. Il vettore I,J,K è definito dall'utente. I, J, K devono sempre essere orientati in direzione opposta al bordo ed essere perpendicolari al bordo misurato.

Per modificare il vettore di avvicinamento, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vettore superficie IJK

Queste caselle sono disponibili solo per l'elemento Punto di bordo.

Nelle caselle Vettore superficie IJK viene visualizzato il vettore perpendicolare alla superficie sul quale verrà proiettato il punto di bordo misurato. Il vettore perpendicolare I, J, K è definito dall'utente. I, J, K devono sempre essere orientati in direzione opposta alla superficie ed essere perpendicolari al bordo misurato.

Per modificare il vettore di avvicinamento, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.

Se l'opzione è selezionata, PC-DMIS prenderà tre punti sulla superficie, due punti sul bordo ed un punto aggiuntivo sempre sul bordo.


Caselle Vettore linea IJK

Queste caselle sono disponibili per l'elemento Punto di Diagonale e la Linea.

Nelle caselle Vettore linea IJK viene visualizzato il vettore della linea sulla quale si trova il punto angolo. Il vettore perpendicolare I, J, K è definito dall'utente.

Per modificare il vettore di avvicinamento, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vett superf. 1 IJK

Queste caselle sono disponibili solo per i seguenti elementi automatici: Punto angolo o Punto diagonale.

Nelle caselle Vett superf. 1 IJK viene visualizzato il vettore perpendicolare alla superficie della prima superficie misurata. Il vettore I, J, K deve essere orientato in direzione opposta rispetto alla superficie misurata.

Per modificare un valore, effettuare le seguenti operazioni:

  1. Selezionare il valore da modificare.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vett superf. 2 IJK

Queste caselle sono disponibili solo per i seguenti elementi automatici: Punto angolo o Punto diagonale.

Nelle caselle Vett superf. 2 IJK viene visualizzato il vettore perpendicolare alla superficie della seconda superficie misurata. Il vettore I, J, K deve essere orientato in direzione opposta rispetto alla superficie misurata.

Per modificare un valore, effettuare le seguenti operazioni:

  1. Selezionare il valore da modificare.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vett superf. 3 IJK

Queste caselle sono disponibili solo per l'elemento Punto diagonale.

Nelle caselle Vett superf. 3 IJK viene visualizzato il vettore perpendicolare alla superficie del terzo piano misurato. Il vettore I, J, K deve essere orientato in direzione opposta rispetto al piano misurato.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare i valori delle caselle Vett superf. 3 da modificare.

  2. Immettere un nuovo valore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Pulsante Trova vettori

Questo pulsante è disponibile solo per i seguenti elementi automatici: Punto vettore, Punto superficie e Punto bordo.

Il pulsante Trova vettori consente di forare tutte le superfici lungo il punto XYZ e il vettore IJK per ricercare il punto più vicino. Il vettore perpendicolare alla superficie verrà visualizzato come VETTORE NOMINALE IJK ma i valori XYZ non verranno modificati.


Pulsante Inverti vettore

Il pulsante Inverti vettore consente di invertire la direzione dei vettori di superficie. Fare clic su Inverti vettore per invertire i valori visualizzati.


Pulsante Inverti bordo

Il pulsante Inverti bordo consente di invertire la direzione dei vettori di bordo. Fare clic su Inverti bordo per invertire i valori visualizzati.


Pulsante Inverti linea

Il pulsante Inverti linea consente di invertire la direzione del vettore di linea. Fare clic su Inverti linea per invertire i valori visualizzati.


Pulsanti Inverti superficie

I pulsanti di inversione superficie invertono il vettore di superficie. Fare clic sul pulsante relativo per invertire i valori visualizzati.


Pulsante Inverti vettori

Il pulsante Inverti vettori consente di scambiare il vettore corrente di bordo con quello di superfici e viceversa.


Opzioni Foro e Perno

Questi pulsanti di opzione sono disponibili solo per i seguenti elementi automatici: Cerchio, Cilindro, Sfera, Asola quadrata, Asola rotonda, Ellisse, Cono e Poligono

Le opzioni Foro e Perno consentono di definire l'elemento da misurare come cerchio interno, nel caso di un foro, oppure come cerchio esterno, nel caso di un perno. Accertarsi sempre che questa opzione sia correttamente impostata in base alla sequenza di misurazione utilizzata per ciascun tipo.


Casella Altezza

La casella Altezza consente di determinare l'altezza dell'elemento circolare esterno misurato.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare la casella Altezza.

  2. Immettere un nuovo valore.

Cerchio, asola quadrata, asola rotonda o ellisse

La casella Altezza viene utilizzata solo se l'elemento è un elemento esterno (o un perno). È possibile prendere un punto aggiuntivo sulla parte superiore in corrispondenza del centro del perno. Se si specifica un valore diverso da zero, PC-DMIS prenderà un punto aggiuntivo nella parte centrale del perno per calcolarne l'altezza.

Cilindro o cono

Se TIPO = FORO, la casella Altezza definisce la lunghezza dell'elemento. Se si immette un valore nella casella Altezza ma non si definisce una quota, PC-DMIS dividerà ugualmente il valore di Altezza per il numero di righe indicato nella casella N. righe.

Per i cilindri, il tastatore esegue la misurazione del cilindro ad incrementi fino a raggiungere il valore di altezza indicato.

Per i coni, il tastatore inizia il proprio movimento dalla parte inferiore del cono utilizzando il valore dell'altezza definito (posizione meno lunghezza) e procede seguendo la lunghezza del cono stesso. Il vettore di un cono è molto importante e punta all'esterno dall'origine e l'altezza e la quota sono relative al vettore.

Se è stato definito un valore della quota, l'elemento effettivo misurato diventa il valore risultante dalla sottrazione del valore della quota al valore dell'altezza.

Se TIPO = PERNO e le caselle Iniz. e Perm. contengono valori diversi da zero, questa opzione consente di prendere un punto aggiuntivo in corrispondenza del centro della parte superiore del perno. Se si specifica un valore diverso da zero, PC-DMIS prenderà un punto aggiuntivo nella parte centrale del perno per calcolarne l'altezza.


Casella ID

Nella casella ID viene visualizzato l'ID corrente dell'elemento automatico da creare.

Per modificare l'ID di un elemento, effettuare le seguenti operazioni:

  1. Selezionare l'ID precedente nella casella ID.

  2. Inserire un nuovo ID.


Area Varie

L'area Varie della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Vedere anche:

Area Spessore

Elenco Ordine misurazione

Elenco dei calcoli

Elenco Modalità

Area Misurazione relativa

Casella di controllo Mostra tutti i parametri

Casella di controllo Mostra punti


Area Spessore

Quando si misura il lato del pezzo creato in PC-DMIS, è necessario che il valore dello spessore del pezzo sia impostato su zero. L'opzione relativa allo spessore del pezzo deve essere utilizzata solo quando si misura il lato del pezzo per il quale non sono disponibili i dati CAD.

Il campo Spessore consente di inserire lo spessore del pezzo. Questo valore viene utilizzato principalmente per i pezzi sottili (elementi di plastica o di elementi automatici) di cui i dati CAD descrivono solo un lato e si desidera misurare l'altro.

Spesso, i tecnici CAD disegnano un solo lato dei pezzi sottili, quindi specificano lo spessore del materiale. PC-DMIS applica automaticamente tale spessore durante l'uso dei dati della superficie CAD.

È possibile utilizzare valori positivi o negativi. Lo spessore indicato verrà automaticamente applicato al vettore perpendicolare alla superficie ogni volta che vengono selezionati i dati CAD. Se l'elemento dispone di più vettori perpendicolari, ad esempio punti di angolo e della diagonale, lo spessore verrà applicato al primo vettore perpendicolare.

La riga di comando della finestra di modifica per questa opzione è la seguente:

SPESSORE_TEOR= n

oppure

SPESSORE_REALE = n

n: un valore numerico che indica lo spessore del pezzo.

Selezionare l'opzione Correzione teorica ed immettere il valore dello spessore quando i valori teorici devono essere corretti di un valore dello spessore in quanto le misurazioni sono effettuate sul lato opposto del materiale.

Selezionare l'opzione Correzione reale ed immettere il valore dello spessore quando le misurazioni vengono corrette con il valore dello spessore sulle posizioni XYZ teoriche originali. Con questa opzione sarà evidente che il valore teorico e quello misurato non hanno un offset, che invece è dato dalla destinazione. È comunque necessario modificare la destinazione in modo che PC-DMIS passi alla posizione corretta.

Selezionare l'opzione Nessuna correzione se non è necessario applicare il valore dello spessore.

Nota: quando si passa da uno spessore teorico a uno reale, la posizione di misura non cambia. Quando si usa lo spessore teorico, PC-DMIS modifica la posizione teorica, la posizione misurata e la posizione di destinazione in modo tale da includere lo spessore teorico. Quando si utilizza lo spessore reale, PC-DMIS modificherà soltanto la posizione di destinazione aggiungendo il valore dello spessore alla posizione dello spessore originale. Entrambi i metodi restituiscono la stessa posizione di misura. Questo è il modo in cui PC-DMIS riporta i valori teorici, reali e di destinazione che vengono modificati.


Elenco Ordine misurazione

Disponibile solo per l'elemento Punto bordo. | L'elenco Ordine misurazione consente di scegliere l'ordine in base al quale dovranno essere presi i punti di campionamento prima che venga preso l'ultimo punto. Nell'elenco a discesa sono disponibili le seguenti opzioni: SUPERFICIE, BORDO o ENTRAMBI.
 | SUPERFICIE | SUPERFICIE consente di misurare i tre punti, prima sulla superficie e quindi sul bordo.
 | BORDO | Se si seleziona l'opzione BORDO vengono misurati due punti sul bordo e successivamente sulla superficie.
 | ENTRAMBI | Se si seleziona l'opzione ENTRAMBI viene misurata la superficie, il bordo, quindi nuovamente la superficie.


Elenco dei calcoli

Questo elenco è disponibile solo per i seguenti elementi automatici: Cerchio e Cilindro

L'elenco Calcolo consente di specificare le modalità di calcolo dell'elemento in base ai punti misurati. Le opzioni disponibili sono le seguenti: QUAD_MIN, SEP_MIN, MAX_ISCR, MIN_CIRCOS e RAG_FISSO.

Questi tipi di calcolo sono discussi in dettaglio nell'argomento "Tipo best-fit" della sezione "Costruzione di nuovi elementi a partire da elementi esistenti".


Elenco Modalità

L'elenco Modalità nell'area Varie determina il modo in cui i nominali verranno elaborati per un determinato punto. PC-DMIS consente di selezionare tra le opzioni TROVA NOMINALI, MASTER e NOMINALI.

Se è attiva MODALITA' = NOMINALI , PC-DMIS confronterà l'elemento misurato con i dati teorici visualizzati nella finestra di dialogo ed utilizzerà i dati misurati per eseguire i calcoli.

Se è attiva MODALITA' = MASTER, allora PC-DMIS utilizzerà l'elemento misurato come nominale ma non aggiornerà i dati X, Y Z e relativi al diametro nella finestra di dialogo.

La modalitá VETTORE é disponibile solo per Punti Vettore e Punti Superficie.

Se è attivaMODALITA' = VETTORE, allora PC-DMIS utilizzerà i primi tre punti per calcolare per calcolare opportunamente il vetore da utilizzare per l’elemento. PC-DMIS non correggerà la posizione dell’elemento. Occorre rilevare i punti quando la finestra di dialogo Elementi automatici è attiva.

Nota: se il valore nominale non è noto, selezionare TROVA NOMINALI dall'elenco. Quando questa opzione è attivata, ogni volta che si seleziona un valore per modificarlo PC-DMIS chiederà di eseguire la misurazione appropriata del pezzo per ottenere i valori necessari.

Voce dell'elenco

Descrizione

Trova nominali

Quando si seleziona TROVA NOMINALI dall'elenco Modalità, PC-DMIS eseguirà la foratura del modello CAD per ricercare il punto più vicino al punto misurato su un bordo o su una superficie CAD, ed imposterà i nominali in base a tale posizione sull'elemento CAD.

Per trovare i nominali utilizzando i dati CAD, effettuare le seguenti operazioni:

  1. Verificare che sia impostata la Modalità curva o la Modalità superficie (disponibili dalla barra degli strumenti Modalità grafica ), in base al particolare part program.

  2. Fare clic sull'elemento CAD desiderato nella finestra di visualizzazione grafica. PC-DMIS eseguirà la foratura dell'elemento CAD per definire la posizione, ma non creerà alcun elemento. Dopo aver selezionato gli elementi desiderati, PC-DMIS inserirà automaticamente i valori X, Y, Z e I, J, K.

  3. Se i valori sono corretti, selezionare il pulsante Crea.

ATTENZIONE: se si seleziona la casella Misura, PC-DMIS misurerà il pezzo.

Se viene preso un punto sul pezzo mentre è attiva la modalità TROVA NOMINALI, PC-DMIS cercherà tra gli elementi CAD le informazioni relative al nominale CAD più vicino al punto misurato. Se necessario, PC-DMIS richiederà di prendere dei punti aggiuntivi sul pezzo.

Quando verrà eseguita la successiva misurazione del pezzo, PC-DMIS imposterà i dati nominali in base al valore dell'elemento CAD più vicino rilevato prima di ripristinare automaticamente la modalità NOMINALI.

Uso della modalità Trova nominali con i tastatori fissi:

I bracci Faro o Romer che utilizzano un tastatore fisso (rigido) non generano vettori di avvicinamento sufficientemente precisi. Per questo motivo, PC-DMIS non è in grado di determinare con esattezza i punti sulle superfici.

Per ottenere vettori più precisi quando si utilizzano i tastatori fissi, effettuare le seguenti operazioni:

  1. Posizionare il tastatore fisso sul pezzo.

  2. Fare clic sul pulsante Punto.

  3. Allontanare il tastatore dal pezzo lungo il vettore di superficie approssimato.

  4. Fare clic sul pulsante Fine.

PC-DMIS calcolerà ed utilizzerà il vettore compreso tra il punto e la posizione della punta del tastatore.

Inoltre, poiché il vettore predefinito da un braccio Faro utilizza l'asse del tastatore fisso, posizionando il vettore perpendicolare alla superficie si otterrà una maggior precisione nelle operazioni di ricerca dei nominali.

Master

Se si crea un punto mentre l'elenco Modalità è impostato su MASTER, quando verrà eseguita la successiva misurazione del pezzo PC-DMIS imposterà i dati nominali in base agli stessi valori dei dati misurati. L'elenco Modalità verrà quindi reimpostato su NOMINALI.

Nominali

Per attivare la modalità NOMINALI è necessario disporre dei dati nominali prima dell'inizio del processo di misurazione. PC-DMIS confronterà l'elemento misurato con i dati teorici visualizzati nella finestra di dialogo, utilizzando l'elemento misurato per eseguire i calcoli necessari.

Imposta asse nominale

L'opzione IMPOSTA ASSE NOM consente di aggiornare, ovvero di impostare la posizione del punto e la direzione di avvicinamento nominale prima di ciascuna esecuzione. Se si seleziona una delle caselle di controllo degli assi disponibili nell'area Posizione, le superifici CAD verranno forate lungo tale asse. In caso contrario, verrà utilizzato il vettore aggiornato.

L'asse o il vettore selezionato indicano l'asse o il vettore lungo il quale dovrà essere forata la superficie CAD per trovare un nuovo valore teorico e di destinazione.

Per selezionare l'opzioen IMPOSTA ASSE NOM.:

  1. Assicurarsi che la casella Mostra opzioni lamiera estese sia selezionata. Fare riferimento a "Mostra opzioni lamiera estese" nella sezione "Impostazione delle preferenze" .)

  2. Se necessario, selezionare una delle caselle di controllo degli assi disponibili nella sezione Posizione.

  3. Fare clic su IMPOSTA ASSE NOM. dall'elenco Modalità nella finestra.

  4. Dopo aver completato la definizione dei rimanenti elementi automatici, fare clic sul pulsante Crea. The TROVA ASSE NOM. viene quindi impostata in base all'asse o al vettore selezionato.

La riga di comando della finestra di modifica per questa opzione è la seguente: TROVA ASSE NOM. = ALTER

ALTER rappresenta l'asse o il vettore in base al quale viene impostata l'opzione TROVA ASSE NOM.. Sono disponibili le seguenti opzioni:
XAXIS
YAXIS
ZAXIS
VEC
NONE

Se non si seleziona alcun asse, verrà restituito il seguente risultato predefinito: Per impostazione predefinita, TROVA ASSE NOM. = VEC.

Nota: Questa opzione è disponibile solo per gli elementi automatici Punto vettore e Punto superficie.


Area Misura relativa

L'area Misura relativa consente di mantenere la posizione e l'orientamento relativi tra l'elemento automatico e l'elemento specificato.

Prima di selezionare un elemento automatico relativo, è necessario prima scegliere la modalità di misura relativa. Fare riferimento a "Impostazione della misura relativa".

Facendo clic sul pulsante Dettagli verrà visualizzata la finestra Elemento relativo:

Finestra di dialogo Elemento relativo

Nella finestra di dialogo é possibile scegliere uno di questi elementi:

  • un elemento singolo, nell’elenco a destra

  • Elementi multipli (uno per asse) nell’elenco a destra

Una volta selezionato gli elementi e dopo aver fatto clic su OK, gli elementi verranno visualizzati nell'area Misura relativa. Questa opzione supporta DMIS V3.0 RMEAS formati 1, 3 e 6.


Casella di controllo Mostra tutti i parametri

La casella di controllo Mostra tutti i parametri determina se PC-DMIS visualizza o meno questi parametri nei campi della finestra di modifica per l'elemento automatico:

  • SPESSORE_TEOR

  • RETT/POL

  • AGGANCIA

  • MOVIM AUTO

  • DISTANZA


Casella di controllo Mostra punti

Questa casella di controllo è disponibile per i seguenti elementi automatici: Cerchio, Cilindro, Sfera, Asola quadrata, Asola rotonda, Ellisse, Tacca e Cono.

Questa casella di controllo Mostra punti determina se PC-DMIS visualizza o meno i punti utilizzati per creare l'elemento automatico nella finestra di modifica.


Area Automatico

L'area Automatico della finestra di dialogo contiene tutti o alcuni degli elementi riportati di seguito, a seconda dell'elemento automatico creato.

Vedere anche:

Casella di controllo PH9

Casella di controllo On Error (In caso di errore)

Casella di controllo Leggi Pos.

Casella di controllo Mov. Circ.

Casella di controllo Rimisura

Casella di controllo Usa teor.

Distanza di movimento

Casella Distanza

Casella di controllo Trova foro


Casella di controllo PH9

La casella di controllo PH9 nell'area Automatico consente di visualizzare le impostazioni del comando AUTO PH9. Se questa opzione non viene selezionata, PC-DMIS utilizzerà la posizione PH9 corrente per tutti i punti presi. Se è selezionata l'opzione PH9, PC-DMIS sceglierà invece la posizione che più si avvicina alla direzione di avvicinamento ottimale.

  • Per gli elementi punti di angolo e di bordo, la direzione ottimale di avvicinamento è rappresentata dalla media dei due vettori della superficie.

  • Per gli elementi punti diagonali, la direzione ottimale di avvicinamento è rappresentata dalla media dei tre vettori della superficie.

  • Per gli altri tipi di elemento automatico, la direzione ottimale di avvicinamento è rappresentata dal vettore della superficie dell'elemento.

L'opzione Auto PH9 può essere anche attivata globalmente attraverso la selezione della casella di controlloRegolazione automatica tastatore polso. Fare riferimento a "Regolazione automatica tastatore polso" nella sezione "Impostazione delle preferenze" .


Casella di controllo On error (In caso di errore)

La casella In caso di errore nell'area Automatico consente di ottimizzare la gestione degli errori dovuti al rilevamento di un punto del tastatore mancanteo non previsto.

Nota: è possibile utilizzare questa opzione per la misurazione di tutti i tipi di elemento automatico ad eccezione di Punto vettore, Punto superficie, Sfera e Punto massimo.

Se si seleziona questa casella di controllo:

  • Viene automaticamente memorizzata una posizione di lettura (vedere "Leggi pos.") ogni volta che viene rilevato un punto tastatore imprevisto o mancato durante il ciclo di misurazione.

  • Viene misurato l'intero elemento in base alla posizione di lettura.

La riga di comando della finestra di modifica per questa opzione è la seguente:

ONERROR = ALTER

ALTER: questo campo consente di passare tra SI' (on) e NO (off).

Per ulteriori informazioni sulle opzioni disponibili in caso di rilevamento di punti imprevisti o mancati, vedere "Esecuzione della diramazione in caso di errore CMM" nella sezione "Come effettuare diramazioni utilizzando il controllo di flusso" .

Nota: Per impostazione predefinita, quando PC-DMIS esegue un'operazione di lettura posizione (come nel caso di Leggi pos., Trova foro o In caso di errore) vengono restituiti solo i valori X e Y. Tuttavia, due voci di registro forniscono un maggior controllo sulla restituzione del valore dell'asse Z. Esse comprendono: ReadPosUpdatesXYZ e ReadPosUpdatesXYZEvenIfRMeas.

Interfacce supportate

Tutte le interfacce DCC supportano la funzione In caso di errore. Se si verifica un problema con una determinata interfaccia, contattare il supporto tecnico.


Casella di controllo Leggi Pos.

Questa casella di controllo è disponibile per i seguenti elementi automatici: Cerchio, Cilindro, Asola rotonda, Asola quadrata, Ellisse, Tacca e Cono.

La casella di controllo Leggi pos. viene utilizzata prima di misurare un elemento. PC-DMIS si arresta al di sopra della superficie e visualizza un messaggio per richiedere se si desidera utilizzare i dati correnti.

  • Se si risponde No, verrà richiesto di spostare il tastatore nella posizione desiderata prima di continuare il processo di misurazione.

  • Se si risponde Sì, l'elemento verrà misurato utilizzando i dati correnti.

Nota: l'opzione Leggi pos. è disponibile solo il modalità DCC.

Uso dell'opzione Leggi Pos. con un cerchio automatico:

Se si risponde Sì, verrà richiesto di posizionare il tastatore in un'area cilindrica sopra il cerchio.

Posizionamento del tastatore nell'area cilindrica: È necessario semplicemente spostare il tastatore nel centro del cilindro 3D immaginario del foro. La quota e l'orientamento della misurazione verranno determinati in base a uno dei seguenti elementi:

  • Elemento MISREL: Se si fornisce un elemento MISREL, il programma effettua la misurazione del foro in base a quell'elemento. Pertanto, questo elemento verrà utilizzato per definire la perpendicolare alla superficie e la quota di misurazione, mentre Leggi posizione verrà utilizzato per determinare gli altri due assi della traslazione.

  • Trova foro: se si utilizza l'opzione Trova foro e la superficie intorno al foro viene toccata almeno una volta, PC-DMIS regolerà tutti e tre gli assi. Due assi si basano sulla posizione assunta dal tastatore dopo aver trovato il foro e il terzo asse, lungo la perpendicolare alla superficie, si basa sull'ultima superficie toccata. Trova foro non sostituisce l'elemento MISREL.

  • Punti di campionamento: quando vengono utilizzati, i punti di campionamento hanno sempre la priorità nella determinazione dell'orientamento e della quota della misurazione del foro.

  • Nessuna delle opzioni descritte: Se non si utilizza nessuna di queste opzioni, PC-DMIS eseguirà il tastatore del foro in base ai valori di destinazione e di quota specificati, modificati in base alla posizione assunta dal tastatore nell'area cilindrica.

Nota: Per impostazione predefinita, quando PC-DMIS esegue un'operazione di lettura posizione (come nel caso di Leggi pos., Trova foro o In caso di errore) vengono restituiti solo i valori X e Y. Tuttavia, due voci di registro forniscono un maggior controllo sulla restituzione del valore dell'asse Z. Esse comprendono: ReadPosUpdatesXYZ e ReadPosUpdatesXYZEvenIfRMeas.


Casella di controllo Mov. circ.

Questa casella di controllo è disponibile per i seguenti elementi automatici: Cerchio, Cilindro e Cono.

Se si seleziona la casella di controllo Mov. circ., il tastatore si sposterà lungo un arco anziché in linea retta per passare da un punto al punto successivo. Questa opzione è particolarmente utile quando si utilizzano delle scanalature ad anello.

Si veda "Inserimento di un comando di movimento circolare" nella sezione "Inserimento di movimenti" per ulteriori informazioni sull'inserimento di movimenti circolari nella finestra di modifica.


Casella di controllo Rimisura

Questa casella di controllo è disponibile per i seguenti elementi automatici: Cerchio, Cilindro, Asola quadrata, Asola rotonda e Tacca.

Selezionando la casella di controllo Rimisura, PC-DMIS consente di eseguire automaticamente una nuova misurazione dell'elemento a fronte dei valori ottenuti durante la prima misurazione.


Casella di controllo Usa teor.

Questa casella di controllo è disponibile solo per l'elemento automatico Cilindro.

La casella di controllo Usa teor. indica a PC-DMIS di utilizzare le informazioni teoriche visualizzate nella finestra durante il calcolo delle informazioni effettive dell'elemento in base ai dati misurati raccolti. Tale funzione è particolarmente utile quando si misurano i cilindri utilizzando otto punti (quattro punti massimi e quattro punti minimi). In questo modo è possibile che vengano creati tre cilindri validi misurati a 90 gradi l'uno dall'altro. L'uso delle informazioni teoriche consente di determinare quale delle tre soluzioni è quella corretta.

La casella di controllo è disponibile soltanto dopo aver costruito un allineamento valido.


Distanza di movimento

L'elenco Movimento nell'area Automatico consente di definire se PC-DMIS generi o meno un movimento automatico dal punto centrale, prima di rilevare i punti campione e dopo aver completato la misura dell‘elemento.

  • Impostando l’elenco Movimento su ENTRAMBI, PC-DMIS posizionerà il tastatore lungo il vettore alla distanza specificata nella casella Distanza prima e dopo aver rilevato i punti senza specificare un piano di sicurezza.

  • Impostando l’elenco Movimento su PRIMA, PC-DMIS posizionerà il tastatore lungo il vettore alla distanza specificata nella casella Distanza prima di rilevare i punti senza specificare un piano di sicurezza.

  • Impostando l’elenco Movimento su DOPO, PC-DMIS posizionerà il tastatore lungo il vettore alla distanza specificata nella casella Distanza dopo aver rilevato i punti senza specificare un piano di sicurezza.

  • Se si imposta l'elenco Movimento su NO, PC-DMIS rileverà i punti senza posizionare il tastatore.

La riga di comando della finestra di modifica per questa opzione è la seguente:

MOVIM AUTO = ALTER, DISTANZA = n

ALTER: questo campo commuta sui valori ENTRAMBI, PRIMA, DOPO e NO (disattivato).

n: un valore numerico che indica la distanza movimento automatico.


Casella Distanza

Quando si imposta l'elenco Movimento su SI', la casella Distanza diventa disponibile. Questa casella consente di specificare la distanza coperta dal tastatore prima di prendere i punti di campionamento e dopo aver preso i punti dell'elemento. Il tastatore si sposta lungo il vettore teorico.

La riga di comando della finestra di modifica per questa opzione è la seguente:

MOVIM AUTO = ALTER, DISTANZA = n

ALTER: questo campo consente di passare tra SI' (on) e NO (off).

n: un valore numerico che indica la distanza movimento automatico.


Casella di controllo Trova foro

Per un cerchio o un cilindro

  • Se il foro viene trovato: PC-DMIS si sposterà verso il basso verso la quota “distanza di controllo” e prenderà tre punti ad intervalli equidistanti intorno al cerchio per determinare la posizione generale del foro. In base a questa modifica generica PC-DMIS misurerà il foro utilizzando i parametri definiti dall'utente nella scheda per l'elemento, Sono compresi i punti di campionamento. Tale elemento è simile all'elemento CENTRO descritto in precedenza.

  • Se il foro non viene rilevato, PC-DMIS si allontanerà dalla superficie e avvierà uno schema di ricerca circolare eseguito a una distanza pari al valore risultante dalla sottrazione raggio dell'elemento – raggio del tastatore rispetto al centro teorico dell'elemento. La ricerca verrà eseguita sulle posizioni intorno al cerchio di ricerca in base alla formula (2 * PI * raggio dell'elemento/(raggio dell'elemento – raggio del tastatore). Se il foro non viene rilevato il raggio di ricerca viene aumentato in base al valore risultante dalla sottrazione (raggio dell'elemento – raggio del tastatore) fino ad ottenere un valore equivalente alla distanza di approccio. Se la distanza di approccio è inferiore al valore risultante dalla sottrazione (raggio dell'elemento – raggio del tastatore), verrà completato soltanto uno schema di ricerca.

  • Se il foro continua a non essere rilevato, PC-DMIS si posizionerà ad una distanza di approccio sopra il centro teorico dell'elemento e richiederà di leggere la posizione del tastatore utilizzando l'apposito comando. (Fare riferimento a "Leggi pos. / Pulsante Leggi posizione".)

  • Regolazioni eseguite lungo la perpendicolare alla superficie: Se PC-DMIS rileva una superficie anziché il foro, l'altezza della ricerca verrà continuamente aggiornata in base alle superfici individuate. Una volta individuato il foro, la quota di misurazione viene aggiornata in base all'ultima superficie rilevata. Se il foro è già stato rilevato, non viene eseguita alcuna regolazione.

  • Regolazioni eseguite con MISREL: Se si fornisce un elemento MISREL PC-DMIS utilizzerà questo elemento come riferimento per l'altezza della ricerca e la quota della misurazione del foro. Pertanto, lungo la perpendicolare alla superficie verrà eseguita unicamente la regolazione MISREL..

Per un'asola quadrata o un'asola rotonda

  • Se il foro viene trovato: PC-DMIS si sposterà verso il basso per misurare un punto su ciascuno dei quattro lati dell'asola. Regolerà il centro dei quattro punti e misurerà due punti su uno dei lati lunghi dell'asola per la rotazione dell'asola. Dopo aver calcolato una posizione e un orientamento generali, l'asola verrà misurata utilizzando i parametri definiti nella scheda per l'elemento.

  • Se il foro non viene rilevato, PC-DMIS si allontanerà dalla superficie e avvierà uno schema di ricerca circolare eseguito a una distanza pari al valore risultante dalla sottrazione raggio dell'elemento – raggio del tastatore rispetto al centro teorico dell'elemento. La ricerca verrà eseguita sulle posizioni intorno al cerchio di ricerca in base alla formula (2 * PI * raggio dell'elemento/(raggio dell'elemento – raggio del tastatore)) . Se il foro non viene rilevato il raggio di ricerca viene aumentato in base al valore risultante dalla sottrazione (raggio dell'elemento – raggio del tastatore) fino ad ottenere un valore equivalente alla distanza di approccio. Se la distanza di approccio è inferiore al valore risultante dalla sottrazione (raggio dell'elemento – raggio del tastatore), verrà completato soltanto uno schema di ricerca.

  • Se il foro continua a non essere rilevato, PC-DMIS si posizionerà ad una distanza di approccio sopra il centro teorico dell'elemento e richiederà di leggere la posizione del tastatore utilizzando l'apposito comando. (Fare riferimento a "Leggi pos. / Pulsante Leggi posizione".)

  • Regolazioni eseguite lungo la perpendicolare alla superficie: Se PC-DMIS rileva una superficie anziché il foro, l'altezza della ricerca verrà continuamente aggiornata in base alle superfici individuate. Una volta individuato il foro, la quota di misurazione viene aggiornata in base all'ultima superficie rilevata. Se il foro è già stato rilevato, non viene eseguita alcuna regolazione.

  • Regolazioni eseguite con MISREL: Se si fornisce un elemento MISREL, PC-DMIS utilizza questo elemento come riferimento per l'altezza della ricerca e la quota della misurazione del foro. Pertanto, lungo la perpendicolare alla superficie verrà eseguita unicamente la regolazione MISREL..

Per un elemento tacca

  • Se il foro viene trovato: PC-DMIS si sposterà verso il basso per misurarne la quota, quindi procederà alla misurazione del foro.

  • Se il foro non viene rilevato, PC-DMIS si ritrarrà dalla superficie ed avvierà uno schema di ricerca. Lo schema di ricerca è circolare e viene eseguito ad una distanza pari metà della larghezza dell'elemento rispetto al centro teorico dell'elemento stesso. Nelle tacche, il centro teorico corrisponde al centro del bordo interno. Verranno presi otto punti attorno all'area circolare di ricerca. Se il foro viene rilevato, il tastatore si sposterà verso il basso per misurarne la quota prima di procedere alla misurazione del foro.

  • Se il foro continua a non essere rilevato, PC-DMIS si posizionerà ad una distanza di approccio sopra il centro teorico dell'elemento e richiederà di leggere la posizione del tastatore utilizzando l'apposito comando. (Fare riferimento a "Leggi pos. / Pulsante Leggi posizione".)

Casella di controllo Trova foro

Quando la casella Trova foro è selezionata, PC-DMIS si posizionerà ad una distanza di approccio sopra il centro teorico dell'elemento, per poi spostarsi lungo la perpendicolare al vettore della superficie dell'elemento, per ricercare un foro in base alla velocità di contatto.

La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente. Vedere "Distanza di controllo" nella sezione "Uso della finestra di modifica" .

Se la ricerca del foro non riesce, è possibile impostare PC-DMIS in modo che continui ad eseguire automaticamente il part-program. Vedere "Continua automaticamente l'esecuzione se la ricerca foro non riesce" nella sezione "Impostazione delle preferenze" .

Nota: l'opzione Trova foro è disponibile solo in modalità DCC.

Selezionando la casella di controllo Trova foro i seguenti elementi verranno visualizzati nell'elenco a discesa al di sotto della casella. Questi elementi indicano il metodo usato da PC-DMIS per la ricerca di un foro.

CENTER – Questo elemento fa sì che il tastatore si sposti verso il basso a una quota “distanza di controllo” per essere certi che non incontri alcun materiale. Quindi si sposta alla quota dell'elemento o Distanza di controllo * Percentuale per ricercare all'interno del foro una stima approssimativa del centro del foro (vedere la nota). Ció é ottenuto rilevando tre punti equispaziati attorno al foro. Quando il tastatore ha una stima della posizione del centro, puó procedere a misurare il foro, usando i parametri impostati nella finestra di dialogo degli elementi automatici. A meno che non sia selezionata l'opzione NESSUN CENTRO o PUNTO SINGOLO, questa è la procedura predefinita utilizzata da PC-DMIS se viene trovato il foro.

Nota: Una nuova voce di registro Trova foro fornisce un maggior controllo sulla quota del processo di centratura. Per impostazione predefinita, il componente Z del processo di centratura è determinato dalla quota dell'elemento. Esso è spesso utilizzato insieme a un elemento Rmeas (piano). Tuttavia, a volte, quando non si utilizza un elemento Rmeas e la superficie del pezzo varia notevolmente nel valore di Z, il processo di centratura non trova il foro in quanto la superficie del pezzo si trova al di sotto della quota di ricerca. In questo caso, è possibile eseguire il processo di centratura Trova foro alla quota Distanza di controllo * Percentuale, impostando la voce di registro FHCenteringAtChkDistTimesPercentInsteadOfDepth su TRUE nell'Editor impostazioni PC-DMIS. Questa voce di trova nella sezione USER_AutoFeatures. Vedere "Impostazioni Parametri: scheda Movimento" per impostare i valori di Distanza di controllo e Percentuale.

NESSUN CENTRO – Questo elemento agisce come l'elemento CENTRO tranne per il fatto che il tastatore non rileva i tre punti per stimare il centro del foro. Esso inizia semplicemente a misurare il cerchio, usando i parametri esistenti impostati nella finestra di dialogo relativa all’elemento automatico.

PUNTO SINGOLO – Questa impostazione indica al tastatore di rilevare un solo punto. Se il tastatore colpisce la superficie senza trovare il foro, PC-DMIS considera automaticamente il caso "se il foro non viene trovato", descritto di seguito. Se il tastatore trova il foro, allora procede con l'opzione NESSUN CENTRO.

Per un cerchio o un cilindro

Per un'asola quadrata o un'asola rotonda

Per un elemento tacca

Nota: Per impostazione predefinita, quando PC-DMIS esegue un'operazione di lettura posizione (come nel caso di Leggi pos., Trova foro o In caso di errore) vengono restituiti solo i valori X e Y. Tuttavia, due voci di registro forniscono un maggior controllo sulla restituzione del valore dell'asse Z. Esse comprendono: ReadPosUpdatesXYZ e ReadPosUpdatesXYZEvenIfRMeas.

Interfacce supportate

Tutte le interfacce DCC supportano la funzione Trova foro. Se si verifica un problema con una determinata interfaccia, contattare il supporto tecnico.


Area Opzioni di definizione

PC-DMIS visualizzerà l'area Opzioni di definizione e altre voci per alcuni degli elementi automatici se si seleziona la casella di controllo Mostra opzioni lamiera estese nella scheda Generale della finestra Opzioni di impostazione. (Fare riferimento a "Mostra opzioni lamiera estese" nella sezione "Impostazione delle preferenze" ).

Tali funzioni sono comuni alla maggior parte delle misurazioni di punti automatici.

Per modificare un vettore, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Digitare un nuovo valore nelle caselle appropriate.

Vedere anche:

Caselle Vettore rapporto IJK

Caselle Vett destinazione IJK

Caselle Vettore aggiornamento IJK

Caselle Rapporto bordo IJK

Caselle Rapporto superf. IJK

Caselle Vettore punzonatura IJK

Caselle Vettore perno IJK

Casella di controllo Usa perno

Pulsante Ripristina


Caselle Vettore rapporto IJK

Queste caselle sono disponibili per i seguenti elementi automatici: Punto vettore e Punto superficie.

Le caselle Vettore rapporto viene visualizzato il vettore in base al quale viene calcolata la deviazione da inserire nel rapporto. Il vettore I,J,K è definito dall'utente. L'opzione RT della dimensione di posizione consente di visualizzare la deviazione calcolata lungo il vettore.

Dopo aver creato il nuovo valore ed aver chiuso la finestra di dialogo, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vett destinazione IJK

Queste caselle sono disponibili solo per gli elementi Punto vettore.

Nelle caselle Vett destinazione IJK viene visualizzata la direzione di avvicinamento per il punto preso. Il vettore perpendicolare I, J, K è definito dall'utente. I, J, K devono sempre essere orientati in direzione opposta rispetto alla superficie.

Dopo aver creato il nuovo valore ed aver chiuso la finestra di dialogo, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vettore aggiornamento IJK

Queste caselle sono disponibili solo per gli elementi Punto vettore.

Se l'opzione di aggiornamento del vettore è stata attivata impostando la modalità IMPOSTA ASSE NOM, nelle caselle Vettore aggiornamento IJK viene visualizzato il vettore di aggiornamento da utilizzare per la foratura della superficie CAD. Il vettore perpendicolare I, J, K è definito dall'utente. I, J, K devono sempre essere orientati in direzione opposta rispetto alla superficie.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Rapporto bordo IJK

Queste caselle sono disponibili solo per gli elementi Punto bordo.

Le caselle Rapporto bordo IJK visualizzano il vettore utilizzato per calcolare la deviazione da inserire nel rapporto. Il vettore I,J,K è definito dall'utente. Nella casella di controllo RT delle dimensioni della posizione viene visualizzata la deviazione calcolata lungo il vettore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Rapporto superf. IJK

Queste caselle sono disponibili solo per gli elementi Punto bordo.

Le caselle Rapporto superf. IJK visualizzano il vettore utilizzato per calcolare la deviazione da inserire nel rapporto. Il vettore I,J,K è definito dall'utente. Nella casella di controllo RS delle dimensioni della posizione viene utilizzata la deviazione calcolata lungo il vettore.

Una volta creato il nuovo valore, PC-DMIS normalizzerà il vettore per renderne la lunghezza pari all'unità.


Caselle Vettore punzonatura IJK

Queste caselle sono disponibili solo per gli elementi Cerchio, Asola quadrata o Asola rotonda.

Nelle caselle Vettore punzonatura IJK viene definita la direzione della punzonatura attraverso la lamiera. Il vettore è posizionato in corrispondenza del centro XYZ più una distanza pari a metà dello spessore lungo il vettore perpendicolare alla superficie.

Per l'elemento cerchio, anche il diametro dell'elemento si trova su questo vettore.


Caselle Vettore perno IJK

Queste caselle sono disponibili solo per gli elementi Cerchio, Asola quadrata o Asola rotonda.

Le caselle Vettore perno IJK definiscono la direzione del perno attraverso il foro creato dalla punzonatura.


Casella di controllo Usa perno

Queste caselle di controllo sono disponibili solo per gli elementi Cerchio, Asola quadrata o Asola rotonda.

Selezionando la casella di controllo Usa perno le caselle Vettore punzonatura e Vettore perno diventano disponibili per la modifica. Se la casella Usa perno viene deselezionata, le caselle Vettore punzonatura e Vettore perno non saranno disponibili.


Pulsante Ripristina

Il pulsante Ripristina consente di ripristinare i vettori di supporto in modo da renderli equivalenti ai valori dei vettori perpendicolari IJK. I vettori di supporto includono misura, rapporto, aggiornamento, perno e punzonatura.


Pulsanti Avanzate / Base

Il pulsante Avanzate >> consente di visualizzare le funzioni più avanzate nella finestra di dialogo Elemento automatico. Se si seleziona questo pulsante, PC-DMIS estende la finestra di dialogo e visualizza le funzioni avanzate per l'elemento automatico. Il pulsante << Base diventa disponibile.

Se si seleziona il pulsante << Base, la finestra di dialogo viene ridotta in modo da visualizzare solo le opzioni di base per l'elemento automatico.

I pulsanti Avanzate e Base differiscono dalla casella di controllo Mostra opzioni lamiera estese che si trova nella scheda Generale della finestra di dialogo Opzioni impostazione (vedere “Mostra opzioni lamiera estese” nella sezione "Impostazione delle preferenze" ).


Pulsante Mostra punti

Cerchio automatico
Cilindro automatico
Sfera automatica
Cono automatico

Il pulsante Visualizza punti consente di visualizzare la finestra Destinazioni punti elemento che consente di visualizzare, modificare o eliminare singoli punti nel caso di elementi automatici che supportino questo pulsante. Tali elementi sono il cerchio automatico, il cilindro automatico, la sfera automatica e il cono automatico. Tale pulsante funziona come il pulsante Bersagli che viene visualizzato in alcune finestre Elemento misurato.

Fare riferimento al pulsante “Bersagli” nella sezione “Creazione di elementi misurati” per informazioni su come utilizzare la finestra Destinazioni punti elemento.


Pulsante Crea per gli elementi automatici

Su determinate CMM, la selezione del tasto CHIUDI sul terminale dell'operatore equivale all'uso del pulsante di comando Crea.

Il pulsante Crea consente di creare un elemento dai dati nominali visualizzati nella finestra di dialogo.

Se viene selezionata la casella di controllo Misura e il sistema si trova in modalità DCC, PC-DMIS misurerà automaticamente l'elemento richiesto. Se il sistema si trova in modalità MANUALE, PC-DMIS richiederà di prendere i punti necessari.


Creazione di un punto vettore automatico

Finestra di dialogo Punto vettore

L'opzione di misurazione Punto vettore consente di definire la posizione del punto e la direzione di avvicinamento nominale utilizzate dalla macchina CMM per misurare il punto definito.

Per accedere all'opzione Punto vettore, accedere alla finestra Punto vettore (Inserisci | Elemento | Automatico | Punto | Vettore). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del punto del vettore

Misurazione di un punto del vettore

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and OrientationDefinition Options area


Definizioni dei campi del punto del vettore

La riga di comando della finestra di modifica per un punto vettore di campionamento è la seguente:
ID_E=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,
REALE/ X,Y, Z,I,J,K
DEST / targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER, AGGANCIA = SI/NO
MOVIM AUTO = SI/NO, DISTANZA = n

MOSTRATUTTIPARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, AGGANCIA, MOVIM AUTO e DISTANZA nella finestra di modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo visualizza alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

AGGANCIA = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà eseguire l'aggancio sul vettore di avvicinamento teorico in modo da eliminare gli errori di posizione della macchina CMM.

TEOR/ = Questo valore rappresenta il punto nominale.

REALE/ = Questo valore rappresenta il punto misurato.

DEST/ = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.

Vedere anche:

Definizioni estese dei campi del punto del vettore


Definizioni estese dei campi del punto del vettore

La riga di comando della finestra di modifica per questo elemento con le opzioni estese è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER, AGGANCIA = SI/NO
MOVIM AUTO = SI/NO, DISTANZA = n
TROVA ASSE NOM. = x, AGGIORNA VETT = I,J,K
VETT MISURA = I,J,K?VETT. RAPPORTO = I,J,K

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

TROVA ASSE NOM = Questo è un campo visualizza alternative. ASSE X,YAXIS,ASSE Z o VETT . Se l’impostazione è NONE, l’asse nominale non viene cercato.

AGGIORNA VETT = Questo campo indica il vettore aggiornato che verrà utilizzato per la foratura della superficie CAD se è attiva la modalità IMPOSTA ASSE NOM. I valori sono modificabili.

VETT MISURA = Questo campo indica la direzione di avvicinamento per il punto preso. I valori sono modificabili.

VETT RAPPORTO = Questo campo indica il vettore utilizzato per la deviazione da inserire nel rapporto. I valori sono modificabili.


Misurazione di un punto del vettore

In PC-DMIS sono disponibili diversi metodi per la misurazione di un punto vettore utilizzando l'opzione automatica, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto del vettore

  • Uso di dati della superficie con la macchina CMM per un punto del vettore

  • Uso di dati della superficie sullo schermo per un punto del vettore

  • Uso di dati wire-frame con la macchina CMM per un punto del vettore

  • Uso di dati wire-frame sullo schermo per un punto del vettore

  • Misurazione senza utilizzare i dati CAD per un punto vettore

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un punto del vettore

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il punto del vettore. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un punto del vettore

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali.

Per creare un punto vettore utilizzando i dati della superficie con la macchina CMM, prendere un punto sulla superficie desiderata del pezzo con il tastatore. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore.

  • Se il punto di contatto si trova in prossimità dei dati della superficie, la casella di controllo Misura non è selezionata e viene selezionato il pulsante Chiudi del terminale operatore, l'elemento punto verrà immediatamente creato e aggiunto alla finestra di modifica. Se il punto di contatto si trova in prossimità dei dati della superficie ma la casella Misura è selezionata, verranno utilizzati i dati della superficie ma l'elemento non verrà creato fino a quando non viene selezionato il pulsante Crea.

  • Se il punto di contatto non si trova in prossimità dei dati della superficie, il contatto verrà considerato come punto reale e verrà visualizzata la relativa posizione ed il vettore di avvicinamento.

  • Se viene preso un secondo punto prima di fare clic sul pulsante Crea, verranno utilizzati i dati della posizione del secondo punto.

  • Se viene preso un terzo punto, i tre punti verranno utilizzati per determinare un vettore di avvicinamento, mentre l'ultimo punto verrà utilizzato per determinare la posizione.

  • Se vengono presi più di tre punti, verranno utilizzati tutti i punti ad esclusione dell'ultimo per determinare il vettore di avvicinamento. L'ultimo punto viene sempre utilizzato per determinare la posizione.


Uso di dati della superficie sullo schermo per un punto del vettore

Per creare un punto vettore utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Posizionare il puntatore nella finestra di visualizzazione grafica per indicare la posizione desiderata del punto sulla superficie.

  2. Fare clic sulla superficie. PC-DMIS evidenzia la superficie selezionata.

  3. Verificare che sia selezionata la superficie corretta.

PC-DMIS esegue la foratura della superficie evidenziata e visualizza la posizione e il vettore del punto selezionato. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante "Inverti vettore" consente di modificare la direzione di avvicinamento.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.


Uso di dati wire-frame con la macchina CMM per un punto del vettore

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto vettore utilizzando i dati wire-frame, effettuare le seguenti operazioni:

  • Il primo punto preso indica il nominale X, Y, Z. PC-DMIS visualizzerà inoltre il vettore I, J, K. Questo valore indica la direzione opposta del vettore di avvicinamento della macchina CMM, ovvero la direzione opposta rispetto alla superficie. È possibile accettare questi dati oppure seguire le istruzioni visualizzate nella finestra di messaggio per prendere dei punti aggiuntivi. Se si prende un secondo punto, la posizione del punto e il vettore di avvicinamento verranno aggiornati in base al punto più recente.

  • Se si prende un terzo punto sulla superficie, il nominale X, Y, Z visualizzato verrà modificato in base alla posizione del punto corrente. PC-DMIS utilizzerà i tre punti presi per creare un piano e cercare il vettore di avvicinamento I, J, K.

  • Se si prendono altri punti, la posizione del punto verrà aggiornata in base alle informazioni più recenti. Anche il vettore di avvicinamento verrà aggiornato in base alla media dei punti precedenti per il punto vettore, ad esclusione dell'ultimo punto preso.

I dati visualizzati possono essere accettati in qualsiasi momento. Se anche il terzo punto non viene accettato, PC-DMIS ripristinerà automaticamente il sistema ed il punto successivo, il quarto, verrà considerato come il primo di una nuova serie di punti.


Uso di dati wire-frame sullo schermo per un punto del vettore

Per utilizzare i dati wire-frame CAD per creare un punto vettore, effettuare le seguenti operazioni:

  1. Selezionare due bordi (fili) della superficie sui quali definire il punto di destinazione, facendo clic sui fili desiderati con il pulsante sinistro del mouse. I fili selezionati devono trovarsi sulla stessa superficie. PC-DMIS evidenzia i fili selezionati.

  2. Verificare che siano selezionati i fili corretti. Viene visualizzata una finestra di messaggio.

  3. Selezionare il punto di destinazione sulla superficie creata. La selezione finale verrà proiettata sul piano formato dai due vettori del filo e dall'altezza del primo filo.


Misurazione senza utilizzare i dati CAD per un punto del vettore

Per creare un punto vettore senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  • Il primo punto preso indica il nominale X, Y, Z. PC-DMIS visualizzerà inoltre il vettore di avvicinamento I, J, K di tale punto. Questo valore indica la direzione opposta del vettore di avvicinamento della macchina CMM, ovvero la direzione opposta rispetto alla superficie. È possibile accettare questi dati oppure seguire le istruzioni visualizzate nella finestra di messaggio per prendere dei punti aggiuntivi.

  • Se si prende un secondo punto, la posizione del punto e il vettore di avvicinamento verranno aggiornati in base al punto più recente.

  • Se si prende un terzo punto sulla superficie, il nominale X, Y, Z visualizzato verrà modificato in base alla posizione del punto corrente. PC-DMIS utilizzerà i tre punti presi per creare un piano e cercare il vettore di avvicinamento I, J, K.

  • Se si prendono altri punti, la posizione del punto verrà aggiornata in base alle informazioni più recenti. Inoltre, il vettore di avvicinamento verrà aggiornato in base alla media dei punti precedenti per il punto vettore, ad esclusione dell'ultimo punto preso.


Creazione di una linea automatica

Finestra di dialogo Linea

L’opzione di misura Linea consente di definire una linea nominate che la CMM utilizza per misurare la linea definita.

Per accedere all'opzione Linea, aprire la finestra Linea (Inserisci | Elemento | Automatico | Linea). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni di campo di linea

Misurazione di una linea

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni di campo di linea

La riga di comando della finestra di Modifica per un'ellisse di esempio è la seguente:
F_ID=AUTO/LINEA, MOSTRA TUTTI PARAM = SI/NO MOSTRA PUNTI = SI/NO
TEOR/ TX1,TY1,TZ1,TX2,TY2,TZ2,TLUNG
REALE/ X1,Y1,Z1,X2,Y2,Z2,LUNG
DEST/ targX1,targY1,targZ1, targX2,targY2,targZ2,
SPESSORE_TEOR = n, ALTER1, ALTER2, AGGANCIA = SI/NO
MOVIM AUTO = SI/NO, DISTANZA = n, MISREL= None
NUM PUNTI = n, QUOTA = n,
VETT BORDO = I,J,K

MOSTRA TUTTI PARAM = Questo campo attiva le opzioni SI/NO per scegliere se PC-DMIS visualizza i campi SPESSORE_TEOR, RETT/POL, LIM/ILLIM, MOVIM AUTO, DISTANZA, MISREL, NUM PUNTI, QUOTA e VETT BORDO nella finestra Modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = Questo è un campo di visualizzazione alternata. Commuta da una linea limitata (LIM) ad una illimitata (ILLIM).

IN ERRORE = Questo è un campo SÍ/NO che consente di controllare le condizioni di errore inaspettate, quando PC-DMIS rileva un punto imprevisto o non ne rileva alcuno.

TEOR/ = Questo valore rappresenta il punto nominale.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

NUM PUNTI = Questo valore può essere modificato, perché rifletta il numero di punti della linea.

QUOTA = Questo valore determina la distanza dal bordo a cui PC-DMIS prenderà i punti della line.

VETT BORDO = Visualizza la direzione di approccio di un punto di bordo usato per creare la linea.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di una linea

In PC-DMIS sono disponibili diversi metodi per la misurazione di un punto vettore utilizzando l'opzione automatica, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per una linea

  • Uso di Dati Wire-frame con la macchina CMM per una Linea

  • Uso di dati Wire-frame su Schermo per una Linea

  • Uso dei Dati di superficie su Schermo per una Linea

  • Misurazione senza utilizzare i dati CAD per una Linea

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per una linea

Questo metodo consente di introdurre da tastiera i valori necessari alla creazione di una linea automatica:

Come Creare una Linea Limitata

  1. Selezionare l'opzione Limitato.

  2. Digitare il numero di punti nel campo Num. punti.

  3. Inserire il valore dell'argomento nella casella Quota.

  4. Immettere i valori X, Y, Z per i punti Inizio e Fine.

  5. Definire il vettore I, J, K .

  6. completare i campi della finestra di dialogo.

  7. Fare clic su Crea. PC-DMIS genera una linea in base ai valori inseriti nella finestra di dialogo tramite tastiera.

Come Creare una Linea Illimitata

  1. Selezionare l'opzione Illimitato.

  2. Digitare il numero di punti nel campo Num. punti.

  3. Inserire il valore dell'argomento nella casella Quota.

  4. Immettere i valori X, Y, Z per il punto Inizio.

  5. Definire il vettore I, J, K .

  6. Inserire il valore dell'argomento nella casella Lunghezza.

  7. completare i campi della finestra di dialogo.

  8. Fare clic su Crea. PC-DMIS genera una linea in base ai valori inseriti nella finestra di dialogo tramite tastiera.


Uso di dati wire-frame con la macchina CMM per una linea

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare una linea utilizzando i dati wire frame, effettuare le seguenti operazioni:

  • Il primo punto preso indica il punto di inizio nominale X, Y, Z. Un secondo punto (necessario nel caso in cui la selezione sia Limitato) genera il punto finale della linea. Dopo il secondo punto, PC-DMIS visualizza il vettore I, J, K della linea ed anche quello del bordo.

  • Tutti gli altri punti vengono disposti ad eguali distanze lungo la retta. Anche il vettore di avvicinamento verrà aggiornato in base alla media dei punti precedenti per il punto vettore, ad esclusione dell'ultimo punto preso.

I dati visualizzati possono essere accettati in qualsiasi momento.


Uso del wireframe sullo schermo per una linea

Uso di dati wire-frame su schermo per una linea

Per generare una linea su schermo, con i dati wireframe, occorre:

  1. Selezionare Limitato o Illimitato dall'area Tipo nella finestra Proprietà.

  2. Selezionare due bordi (fili) della superficie sui quali definire il punto di destinazione, facendo clic sui fili desiderati con il pulsante sinistro del mouse. I fili selezionati devono trovarsi sulla stessa superficie.

  3. PC-DMIS disegna la posizione iniziale e, se si vuole una linea limitata, anche la posizione del punto finale. disegna anche la linea ed i vettori del punto di bordo.

  4. Verificare che siano selezionati i fili corretti.

  5. Modificare le altre opzioni nella finestra di dialogo.

  6. Fare clic su Crea. PC-DMIS genera la linea.


Uso dei Dati di superficie su Schermo per una Linea

Per generare una linea automatica sulla schermata mediante i dati di superficie:

  1. Selezionare Limitato o Illimitato dall'area Tipo nella finestra Proprietà.

  2. Definire la linea automatica:

  • Se è stato selezionato Limitato, prendere due punti sulla superficie desiderata per definire i punti di inizio e di fine della linea. PC-DMIS aggancerà i punti all'intersezione più vicina con un'altra superficie, posizionando i punti lungo la linea di intersezione. PC-DMIS disegnerà la posizione del punto iniziale, la posizione del punto finale e i vettori linea e bordo.

  • Se è stato selezionato Illimitato, prendere un punto sulla superficie desiderata per definire il punto di inizio. PC-DMIS aggancerà i punti all'intersezione più vicina con un'altra superficie, posizionando il punto lungo la linea di intersezione. Quindi, definire la lunghezza della linea immettendo il valore nella casella Lunghezza. PC-DMIS disegnerà la posizione del punto iniziale, una linea che corrisponde alla lunghezza e i vettori linea e bordo.

Linea automatica limitata di esempio che mostra il punto di inizio, il punto di fine, il vettore bordo (A) e il vettore linea (B)

  3. Modificare le altre opzioni nella finestra come necessario.

Ad esempio, è possibile modificare i valori di Numero di punti e Quota:

Linea automatica simile che mostra i punti aggiuntivi, un valore di Quota pari a 3 mm e un vettore bordo pari a 0,-1,0

In alternativa, è possibile che la linea venga misurata lungo l'altra superficie. Ciò è possibile modificando il vettore bordo:

Linea automatica con un vettore bordo modificato pari a 0,0,1 e una quota di -1 mm

  3. Fare clic su Crea. PC-DMIS genera la linea automatica.


Misurazione senza utilizzare i dati CAD per una Linea

Per creare una linea senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Selezionare Limitato o Illimitato.

  2. Selezionando Limitato, occorrono due punti. Selezionando Illimitato, è necessario prendere un punto.

  3. Se necessario, selezionare altre voci nella finestra di dialogo.

  4. Fare clic su Crea.


Creazione di un piano automatico

Finestra di dialogo Piano

L'opzione dell'elemento automatico Piano consente di definire la misurazione di un piano. Per misurare un piano sono necessari almeno tre punti.

Per accedere all'opzione Piano, aprire la finestra di dialogo Piano (Inserisci | Elemento | Automatico | Piano). Visualizza mappa percorsi dei menu

Vedere anche:

Defilizione campi del piano

Misurazione di un piano

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizione campi del piano

Nella riga di comando della finestra di Modifica per uno script di esempio viene visualizzata la stringa seguente:
F_ID=AUTO/PIANO, MOSTRA TUTTI PARAM = S/N, MOSTRA PUNTI = SI/NO
THEO/ TX,TY,TZ,TI,TJ,TK,
REALE/ X,Y, Z,I,J,K,
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE = n, ALTER1, ALTER2,
MOVIM AUTO = S/N, DISTANZA = n, MISREL= none
NUM PUNTI = n, NUM RIGHE = n, DISTANZ = n, ALTER3
VETT ANGOLO = I,J,K

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, AGGANCIA, MOVIM AUTO e DISTANZA nella finestra di modifica.

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare il cerchio nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

TEOR/ = Questo valore rappresenta il punto teorico.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

SPESSORE = Questo campo consente di passare da SPESSORE_TEOR a SPESSORE_REALE e viceversa ed il valore modificabile indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = In questo campo vengono attivate alternatamente le opzioni TRIANGOLO e TRACCIA. Ció definisce lo schema dei punti come triangolare o come traccia.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

NUM PUNTI = Questo valore modificabile specifica il numero di punti che PC-DMIS prenderà su qualsiasi riga.

NUM_RIGHE = Valore intero, modificabile e maggiore di uno. Specifica quante righe di punti sono utilizzate per creare l’elemento. Con due righe e due punti, PC-DMIS genera quattro punti, due per ciascuna riga.

DISTANZ = Questi valori sono distanze modificabili.

ALTER3 = Questo campo commuta sui tipi di schemi che PC-DMIS usa quando rileva i punti del piano automatico. Puó essere utilizzato lo schema QUADRATO oppure RADIALE.

VETT ANGOLO = Questo campo indica la posizione definita come 0°, ossia l'origine, lungo il vettore perpendicolare. Questo valore è modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un piano

In PC-DMIS sono disponibili diversi metodi per la misurazione di un piano automatico ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un piano automatico

  • Uso di dati wire-frame con la macchina CMM per un piano automatico

  • Uso di dati wire-frame sullo schermo per un piano automatico

  • Misurazione senza utilizzare i dati CAD per un piano automatico

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un piano automatico

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il piano.

  1. Accedere alla finestra Piano dell'elemento automatico (Inserisci | Elemento | Automatico | Piano). Visualizza mappa percorsi dei menu

  2. Immettere i valori X, Y, Z, I, J, K e Num. punti e N. Righe.

  3. Apportare le modifiche desiderate alla finestra di dialogo.

  4. Fare clic su Crea.

PC-DMIS genera il numero opportune di punti con lo schema specificato. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati wire-frame con la macchina CMM per un piano automatico

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un piano utilizzando i dati wire frame con la macchina CMM, effettuare le seguenti operazioni:

  1. Accedere alla finestra Piano dell'elemento automatico (Inserisci | Elemento | Automatico | Piano). Visualizza mappa percorsi dei menu

  2. Rilevare un punto sulla superficie su cui si vuole creare il piano. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore. I valori X, Y, Z riflettono il centro del piano. I, J, K riflettono il vettore perpendicolare alla superficie.

  3. completare i campi della finestra di dialogo.

  4. Premere il pulsante Chiudi sul terminale operatore (oppure fare clic su Creanella finestra di dialogo).


Uso di dati wire-frame sullo schermo per un piano automatico

È possibile utilizzare i dati wire-frame CAD anche per generare un cerchio automatico.

Per creare il cerchio, effettuare le seguenti operazioni:

  1. Accedere alla finestra Piano dell'elemento automatico (Inserisci | Elemento | Automatico | Piano). Visualizza mappa percorsi dei menu

  2. Fare almeno tre volte clic con il mouse sulla superficie.

  3. Verificare che sia selezionato l'elemento corretto. La direzione di avvicinamento del tastatore è sempre perpendicolare all'elemento e al vettore della linea centrale del tastatore corrente. La finestra di dialogo visualizza i valori del centro e del vettore del piano.

  4. Apportare le modifiche desiderate alla finestra di dialogo.

  5. Fare clic su Crea.


Misurazione senza utilizzare i dati CAD per un piano automatico

Per creare il cerchio senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Accedere alla finestra Piano dell'elemento automatico (Inserisci | Elemento | Automatico | Piano). Visualizza mappa percorsi dei menu

  2. Rilevare almento tre punti su una superficie.

  3. Prendere se necessario altri punti. In tal caso, PC-DMIS utilizzerà i dati relativi a tutti i punti misurati. I valori X, Y, Z visualizzati rappresentano il centro calcolato del piano.

  4. Fare clic sul pulsante Crea.


Creazione di un cerchio automatico

Finestra di dialogo Cerchio

L'opzione automatica Cerchio consente di definire la misurazione di un cerchio. Questo tipo di misurazione è particolarmente utile quando il cerchio è posizionato su un piano specificato non parallelo agli altri piani di lavoro, oppure quando è necessario prendere dei punti equidistanti per definire dei cerchi parziali. Per misurare un cerchio sono necessari almeno tre punti. Il numero predefinito di punti da misurare su un cerchio si basa sul valore predefinito in modalità IMPOSTAZIONE.

Per accedere all'opzione Cerchio, aprire la finestra di dialogo Cerchio (Inserisci | Elemento | Automatico | Cerchio).

Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del cerchio

Misurazione di un cerchio

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi del cerchio

La riga di comando della finestra di modifica per un cerchio di esempio è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK TDIAM
REALE/ X,Y, Z,I,J,K, DIAM,
TARG/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER1, ALTER2,ALTER3, ALTER4
MOVIM AUTO = Y/N, DISTANZA = n, MISREL = none
LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N, NUM PUNTI = n, INIT = n, PERM = n
DISTANZIATORE = n, PASSO = n, ANG.INIZ. = n, ANG.FINALE = n, SPESSORE = n
VETT. ANGOLO = I,J,K

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare il cerchio nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, AGGANCIA, MOVIM AUTO e DISTANZA nella finestra di modifica.

SPESSORE = Questo valore modificabile inserito manualmente indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo è un campo che può visualizzare alternativamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = In questo campo vengono attivate alternatamente le opzioni IN e OUT. PC-DMIS determinerà il tipo di cerchio misurato in base alla posizione del tastatore al momento della presa del punto. (IN = all'interno del cerchio, OUT = all'esterno di un perno).

ALTER3 = questo campo cambia tra le opzioni CIRCOLARE e LINEARE. Indica il tipo di movimento, lineare o circolare, utilizzato da PC-DMIS durante l'esecuzione dell'elemento.

ALTER4 = In questo campo vengono attivate alternamente le opzioni QUAD_MIN, MAX_ISCR, MIN_CIRCOS, SEP_MIN e RAG_FISSO.

TEOR/ = Questo valore rappresenta il punto di destinazione. DNOM rappresenta il valore nominale del diametro.

REALE/ = Questo valore rappresenta il punto misurato. DIAM rappresenta il valore misurato del diametro.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternativamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

FIND HOLE = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente il posizionamento del tastatore ad una distanza di approccio sopra il centro teorico dell'elemento, ed il successivo spostamento lungo la perpendicolare al vettore della superficie dell'elemento per ricercare un foro, in base alla velocità di contatto. La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente.

RIMISURA = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente di rimisurare un elemento precedentemente misurato. I valori rilevati durante la prima misurazione verranno utilizzati come posizioni di destinazione per la seconda misurazione.

NUM_PUNTI = Valore intero modificabile maggiore di due.

INIZ / PERM = Questi valori rappresentano dei campi modificabili.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

PASSO = Questo valore consente di ottenere una maggiore precisione per i perni e i fori filettati.

ANG INIZ / ANG FIN = Questi valori indicano la parte dell'arco da misurare.

VETT ANGOLO = Questo campo indica la posizione definita come 0°, ossia l'origine, lungo il vettore perpendicolare. Questo valore è modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.

Vedere anche:

Definizioni estese dei campi del cerchio


Definizioni estese dei campi del cerchio

La riga di comando della finestra di modifica per questo elemento con le opzioni estese è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK, TDIAM, TLUNG
REALE/ X,Y, Z,I,J,K, DIAM, LUNG
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE = n, ALTER1, ALTER2, ALTER3, ALTER4, ALTER5
MOVIM AUTO = S/N, DISTANZA = n, MISREL = none
LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N
NUM PUNTI = n, INIZ = n, PERM = n, DISTANZ = n,
PASSO = n, ANG INIZ = n, ANG FIN = n, QUOTA = n
VETT ANGOLO = I,J,K
PUNZONATURA = I,J,K, PERNO = I,J,K

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

PUNZONATURA = Questo campo indica la direzione della punzonatura attraverso gli elementi automatici. Questo valore è modificabile.

PERNO = Questo campo indica la direzione del punto attraverso il foro formato dalla punzonatura.

Fare riferimento a "Definizioni dei campi del cerchio" per le definizioni dei campi del cerchio standard.


Misurazione di un cerchio

In PC-DMIS sono disponibili diversi metodi per la misurazione di un cerchio automatico ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un cerchio automatico

  • Uso di dati della superficie con la macchina CMM per un cerchio automatico

  • Uso di dati della superficie sullo schermo per un cerchio automatico

  • Uso di dati wire-frame sullo schermo per un cerchio automatico

  • Misurazione senza utilizzare i dati CAD per un cerchio automatico

In tutti i metodi è importante selezionare il tipo di elemento appropriato, FORO o PERNO. Per ulteriori informazioni, vedere "Foro o Perno"). Controllare che sia stata selezionata l'opzione corretta.

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un cerchio automatico

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il cerchio. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un cerchio automatico

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un cerchio utilizzando i dati della superficie con la macchina CMM, prendere un minimo di tre punti sul foro o sul perno. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore. I valori X, Y, Z riflettono la posizione del cerchio CAD più vicino, non i punti effettivamente presi. I, J, K riflettono il vettore perpendicolare alla superficie. Se non viene rilevato alcun cerchio CAD, PC-DMIS visualizzerà il punto più vicino e richiederà di prendere dei punti aggiuntivi.


Uso di dati della superficie sullo schermo per un cerchio automatico

Per creare un cerchio utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Posizionare il puntatore all'interno o all'esterno del cerchio desiderato.

  3. Fare clic su tre posizioni intorno al cerchio. Per fare in modo che PC-DMIS possa calcolare i dati X, Y, Z e I, J, K necessari, è necessario selezionare almeno tre punti.

Quando viene indicato il terzo punto i valori del punto centrale e del diametro ottenuti dai dati CAD del cerchio automatico selezionato vengono visualizzati nella finestra di dialogo.

Se vengono rilevati ulteriori clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS ricercherà il cerchio migliore in prossimità dei punti presi.


Uso di dati wire-frame sullo schermo per un cerchio automatico

È possibile utilizzare i dati wire-frame CAD anche per generare un cerchio automatico.

Per creare il cerchio, effettuare le seguenti operazioni:

  1. Fare clic accanto al filo desiderato sul cerchio. PC-DMIS evidenzia il filo selezionato.

  2. Verificare che sia selezionato l'elemento corretto. La direzione di avvicinamento del tastatore è sempre perpendicolare all'elemento e al vettore della linea centrale del tastatore corrente.

Quando viene indicato il filo, i valori del punto centrale e del diametro del cilindro selezionato vengono visualizzati nella finestra di dialogo.

Nota: se l'elemento CAD in questione non è un cerchio o un arco, potrebbe essere necessario fare clic su ulteriori punti per identificarlo. Se non viene evidenziato l'elemento corretto, fare clic su almeno altri due punti del cerchio.


Misurazione senza utilizzare i dati CAD per un cerchio automatico

Per creare il cerchio senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla superficie per individuare il piano su cui si trova il cerchio.

  2. Prendere tre ulteriori punti nel foro o sul perno. PC-DMIS calcola il cerchio automatico mediante l'uso di tutti e tre i punti.

È possibile prendere ulteriori punti. In tal caso, PC-DMIS utilizzerà i dati relativi a tutti i punti misurati finché non viene selezionato il pulsante Crea. I valori X, Y, Z visualizzati rappresentano il centro del cerchio o del perno misurato.


Creazione di un'ellisse automatica

Finestra di dialogo Ellisse

L'opzione degli elementi automatici Ellisse consente di definire un'ellisse. L'ellisse è molto simile al cerchio degli elementi automatici. Questa opzione è particolarmente utile quando l'ellisse si trova su un piano non parallelo ai piani di lavoro oppure quando è necessario prendere dei punti equidistanti per misurare delle ellissi parziali. Per misurare un'ellisse è necessario prendere almeno cinque punti.

Per accedere all'opzione Ellisse, aprire la finestra Ellisse dell'elemento automatico. Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi dell'ellisse

Misurazione di un'ellisse

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi dell'ellisse

La riga di comando della finestra di modifica per un'ellisse di esempio è la seguente:
F_ID=AUTO/ELLISSE, MOSTRA TUTTI PARAM = SÌ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TMAJOR DIAM,TMINOR DIAM, TANGI,TANGJ,TANGK
REALE/ X,Y, Z,I,J,K,TMAJOR DIAM,DIAM MINORE, ANGI,ANGJ,ANGK
DEST/destX,destY,destZ,destI,destJ,destK,destANGI,destANGJ,destANGK
SPESSORE_TEOR = n, ALTER1, ALTER2
MOVIM AUTO = S/N, DISTANZA = n, MISREL= none
NUM PUNTI = n, INIZ = n, PERM = n, DISTANZ = n,
ANG INIZ=n, ANG FIN=n, QUOTA = n

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare l'ellisse nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, LEGGI POS, NUM PUNTI, INIZ, PERM, ANG INIZ, ANG FIN e QUOTA nella finestra di modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = campo commuta tra le opzioni IN e OUT. PC-DMIS determinerà il tipo di ellisse misurata in base alla posizione del tastatore al momento della presa del punto (IN = all'interno dell'ellisse, OUT = all'esterno di un perno).

TMAJOR DIAM, DIAM MAGG = Indicano il valore teorico e misurato del diametro maggiore e minore dell’ellisse (i diametri maggiori) dell’ellisse.

TMINOR DIAM, DIAM MINORE = Indicano il valore teorico e misurato del diametro maggiore e minore dell’ellisse (i diametri minori) dell’ellisse.

TEOR/ = Questo valore rappresenta il punto teorico.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

NUM PUNTI = Valore intero modificabile maggiore di quattro.

INIZ / PERM = Questi valori possono essere modificati o attivati alternamente. Sono ammessi esclusivamente i valori zero, uno e tre.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

ANG INIZ / ANG FIN = Questi valori indicano la parte dell'arco da misurare.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un'ellisse

In PC-DMIS sono disponibili più metodi per la misurazione di un'ellisse utilizzando l'opzione per la lamiera ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un'ellisse

  • Uso di dati della superficie con la macchina CMM per un'ellisse

  • Uso di dati della superficie sullo schermo per un'ellisse

  • Misurazione senza utilizzare i dati CAD per un'ellisse

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un'ellisse

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per l'ellisse. È anche possibile inserire manualmente il diametro maggiore e il diametro minore dell'ellisse, nonché il vettore angolo I2, J2, K2. Per ulteriori informazioni sui nominali, vedere "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un'ellisse

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per eseguire la misurazione di un'ellisse utilizzando i dati della superficie con la macchina CMM, prendere almeno cinque punti sull'ellisse. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore. I valori X, Y, Z riflettono la posizione dell'ellisse CAD più vicina, non i punti effettivamente presi. I, J, K riflettono il vettore perpendicolare alla superficie. Se non viene rilevata alcuna ellisse CAD, PC-DMIS visualizzerà il punto più vicino e richiederà di prendere dei punti aggiuntivi.


Uso di dati della superficie sullo schermo per un'ellisse

Per eseguire la misurazione di un'ellisse utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Prendere cinque punti lungo l'ellisse nella finestra di visualizzazione grafica utilizzando il tastatore animato.

Affinché PC-DMIS possa calcolare i dati X, Y, Z e I, J, K richiesti, è necessario selezionare almeno cinque punti.


Misurazione senza utilizzare i dati CAD per un'ellisse

Per creare un'ellisse senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla superficie per individuare il piano su cui si trova l'ellisse.

  2. Prendere altri cinque punti sul foro o sul perno.

PC-DMIS utilizzerà i dati rilevati per calcolare l'ellisse di elementi automatici. È possibile continuare a prendere punti aggiuntivi finché non viene selezionato il pulsante Crea. I valori X, Y, Z visualizzati rappresentano il centro calcolato dell'ellisse. Vengono inoltre visualizzati il diametro maggiore e minore, nonché il vettore di orientamento.


Creazione di una tacca automatica

Finestra di dialogo Tacca

L'opzione di misurazione Tacca consente di definire la misurazione di una tacca. Una tacca è un'asola quadrata delimitata solo su tre lati. Questo tipo di misurazione è particolarmente utile quando si desidera misurare una serie di linee da utilizzare per costruire intersezioni e punti intermedi. Per misurare una tacca è necessario prendere quattro punti.

Per accedere all'opzione Tacca, aprire la finestra Tacca (Inserisci | Elemento | Automatico | Tacca). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi della tacca

Misurazione di una tacca

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi della tacca

La riga di comando della finestra di modifica per una tacca di esempio è la seguente:
F_ID=AUTO/TACCA, MOSTRATUTTIPARAM = SI/NO, MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TWIDTH,TLUNG, TI2, TJ2, TK2
REALE/ X,Y, Z,I,J,K,LARGH,LUNG,I2,J2,K2
DEST/targX,targY,targZ,targI,targJ,targK,targI2, targJ2,targK2
SPESSORE_TEOR = n, ALTER1, ALTER2
MOVIM AUTO = S/N, DISTANZA = n, MISREL= none
LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N
INIZ = n, PERM = n, DISTANZ = n,
RIENTRO = n, QUOTA = n, RAGGIO = n

MOSTRA PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare la tacca nella finestra Modifica.

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, LEGGI POS, TROVA FORO, RIMISURA, INIZ, PERM, DISTANZ, RIENTRO, QUOTA e RAGGIO nella finestra di modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = Questo è un campo di visualizzazione alternata. I valori SÌ/NO per indicare che l'opzione è attivata o disattivata.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

TROVA FORO = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente il posizionamento del tastatore ad una distanza di approccio sopra il centro teorico dell'elemento, ed il successivo spostamento lungo la perpendicolare al vettore della superficie dell'elemento per ricercare un foro, in base alla velocità di contatto. La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente.

RIMISURA = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente di rimisurare un elemento precedentemente misurato. I valori rilevati durante la prima misurazione verranno utilizzati come posizioni di destinazione per la seconda misurazione.

INIZ / PERM = Questi valori possono essere modificati o attivati alternamente. Sono ammessi esclusivamente i valori zero, uno e tre.

RIENTRO = Questo valore rappresenta una distanza modificabile.

QUOTA = Questi valori sono distanze modificabili.

RAGGIO = Questo valore rappresenta una distanza non negativa modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di una tacca

In PC-DMIS sono disponibili più metodi per la misurazione di una tacca utilizzando l'opzione per gli elementi automatici, ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per una tacca

  • Uso di dati della superficie con la macchina CMM per una tacca

  • Uso di dati della superficie sullo schermo per una tacca

  • Uso di dati wire-frame con la macchina CMM per una Tacca

  • Uso di dati wire-frame sullo schermo per una tacca

  • Misurazione senza utilizzare i dati CAD per una tacca

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per una tacca

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per la tacca. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per una tacca

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare una misurazione di tacca utilizzando i dati della superficie con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere due punti sul lato opposto all'apertura della tacca utilizzando il tastatore. In tal modo, viene definita una linea lungo il bordo.

  2. Prendere un punto su entrambi i lati paralleli della tacca in modo da definirne la lunghezza. Il punto verrà definito lungo la linea del bordo, equidistante rispetto ai lati paralleli.

  3. Prendere un punto sul bordo aperto in modo da definire la larghezza della tacca.


Uso di dati della superficie sullo schermo per una tacca

Per creare una tacca utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image].

  2. Prendere cinque punti sulla superficie CAD in base all'ordine specificato per la stessa operazione con la macchina CMM (vedere "Uso di dati della superficie con la macchina CMM per una tacca").


Uso di dati wire-frame con la macchina CMM per una Tacca

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare una misurazione di tacca utilizzando i dati wire frame con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere due punti sul lato opposto all'apertura della tacca utilizzando il tastatore in modo da definire una linea lungo il bordo.

  2. Prendere un punto su entrambi i lati paralleli della tacca in modo da definirne la lunghezza. Il punto verrà definito lungo la linea del bordo, equidistante rispetto ai lati paralleli.

  3. Prendere un punto sul lato aperto in modo da definire la larghezza della tacca.


Uso di dati wire-frame sullo schermo per una tacca

È anche possibile utilizzare i dati wire-frame CAD per creare una tacca.

Uso del tastatore animato:

  1. Prendere due punti sul lato opposto all'apertura della tacca utilizzando il tastatore in modo da definire una linea lungo il bordo.

  2. Prendere un punto su entrambi i lati paralleli della tacca in modo da definirne la lunghezza. Il punto verrà definito lungo la linea del bordo, equidistante rispetto ai lati paralleli.

  3. Prendere un punto sul lato aperto in modo da definire la larghezza della tacca.


Misurazione senza utilizzare i dati CAD per una tacca

Per creare una tacca senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Individuare la superficie superiore utilizzando tre punti.

  2. Prendere due punti sul lato opposto all'apertura della tacca utilizzando il tastatore in modo da definire una linea lungo il bordo.

  3. Prendere un punto su entrambi i lati paralleli della tacca in modo da definirne la lunghezza. Il punto verrà definito lungo la linea del bordo, equidistante rispetto ai lati paralleli.

  4. Prendere un punto sul lato aperto in modo da definire la larghezza della tacca.


Creazione di un'asola rotonda automatica

Finestra di dialogo Asola rotonda

Questa opzione consente di definire la misurazione di un'asola rotonda. Questo tipo di misurazione è particolarmente utile quando non si desidera misurare una serie di linee e di cerchi da utilizzare per costruire intersezioni e punti intermedi. Per misurare un'asola rotonda è necessario prendere almeno sei punti.

Asola rotonda misurata prendendo sei punti

Visualizza mappa percorsi dei menu

Per accedere all'opzione Asola rotonda, accedere alla finestra Asola rotonda (Inserisci | Elemento | Automatico | Asola rotonda).

Vedere anche:

Definizioni dei campi dell'asola rotonda

Misurazione di un'asola rotonda

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi dell'asola rotonda

La riga di comando della finestra di modifica per un'asola rotonda di esempio è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TLARG,TLUNG, TANGI,TANGJ,TANGK
REALE/ X,Y, Z,I,J,K,LARGH,LUNG,ANGI,ANGJ,ANGK
DEST / targX,targY,targZ,targI,targJ,targK, targANGI,targANGJ,targANGK
SPESSORE_TEOR = n, ALTER1, ALTER2
MOVIM AUTO = S/N, DISTANZA = n, MISREL = none
LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N
INIZ = n, PERM = n, DISTANZ = n
QUOTA = n, PUNTI = n

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare l'ellisse nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, LEGGI POS, TROVA FORO, RIMISURA, INIZ, PERM, DISTANZ, RIENTRO, QUOTA e PUNTI nella finestra di modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = campo commuta tra le opzioni IN e OUT. PC-DMIS determinerà il tipo di asola misurata in base alla posizione del tastatore al momento della presa del punto.

ALTER3 = In questo campo vengono attivate alternamente le opzioni NORM e STUD. per indicare il tipo di asola misurata.

TEOR/ = Questo valore rappresenta il punto teorico.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

FIND HOLE = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente il posizionamento del tastatore ad una distanza di approccio sopra il centro teorico dell'elemento, ed il successivo spostamento lungo la perpendicolare al vettore della superficie dell'elemento per ricercare un foro, in base alla velocità di contatto. La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente.

RIMISURA = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente di rimisurare un elemento precedentemente misurato. I valori rilevati durante la prima misurazione verranno utilizzati come posizioni di destinazione per la seconda misurazione.

INIZ / PERM = Questi valori possono essere modificati o attivati alternamente. I valori validi sono: zero, uno o tre.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

LARGH MINMAX = In questo campo è possibile attivare alternamente le opzioni MAXMIN e NORM. per indicare il metodo da usare per la misurazione dell'asola.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.

Vedere anche:

Definizioni estese dei campi dell'asola rotonda


Definizioni estese dei campi dell'asola rotonda

La riga di comando della finestra di modifica per questa opzione è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,TLUNG, x
REALE/ X,Y, Z,I,J,K,DIAM,LUNGHEZZA, x
DEST/targX,targY,targZ,targI,targJ,targK,targDIAM,x
SPESSORE_TEOR = n, ALTER1, ALTER2,ALTER3
MOVIM AUTO= S/N, DISTANZA = n, MISREL= none
LEGGI POS = S/N, TROVA FORO= S/N, RIMISURA= S/N
INIZ = n, PERM = n, DISTANZ = n,
QUOTA = n, PUNZONATURA = I,J,K, PERNO = I,J,K

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

PUNZONATURA = Questo campo indica la direzione della punzonatura attraverso gli elementi automatici. Questo valore è modificabile.

PERNO = Questo campo indica la direzione del punto attraverso il foro formato dalla punzonatura.

Fare riferimento a " Definizioni dei campi dell'asola rotonda" per le definizioni del campo dell'asola rotonda standard.


Misurazione di un'asola rotonda

In PC-DMIS sono disponibili più metodi per la misurazione di un'asola rotonda utilizzando l'opzione per la lamiera ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un'asola rotonda

  • Uso di dati della superficie con la macchina CMM per un'asola rotonda

  • Uso di dati della superficie sullo schermo per un'asola rotonda

  • Uso di dati wire-frame con la macchina CMM per un'asola rotonda

  • Uso di dati wire-frame sullo schermo per un'asola rotonda

  • Misurazione senza utilizzare i dati CAD per un'asola rotonda

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un'asola rotonda

Questo metodo consente di inserire i valori X, Y, Z, I, J, K oppure X, Y, Z desiderati per l'asola rotonda Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un'asola rotonda

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per eseguire la misurazione di un'asola rotonda utilizzando i dati della superficie con la macchina CMM, prendere tre punti su ciascun arco.


Uso di dati della superficie sullo schermo per un'asola rotonda

Per eseguire la misurazione di un'asola rotonda utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Prendere tre punti su ciascun arco nella finestra di visualizzazione grafica utilizzando il tastatore animato.


Uso di dati wire-frame con la macchina CMM per un'asola rotonda

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per eseguire la misurazione di un'asola rotonda utilizzando i dati wire frame con la macchina CMM, prendere tre punti su ciascun arco.

Nota: se i dati CAD che definiscono le estremità dell'asola sono dei CERCHI o degli ARCHI, ad esempio un'entità IGES 100), PC-DMIS prenderà automaticamente due punti aggiuntivi sull'arco. Se entrambe le estremità sono di questo tipo, è sufficiente prendere un punto su ciascun arco per misurare questo tipo di elemento.


Uso di dati wire-frame sullo schermo per un'asola rotonda

È anche possibile utilizzare i dati wire-frame CAD per creare un'asola rotonda. Prendere tre punti su ciascun arco nella finestra di visualizzazione grafica utilizzando il tastatore animato.

Nota: se i dati CAD che definiscono le estremità dell'asola sono dei CERCHI o degli ARCHI, ad esempio un'entità IGES 100), PC-DMIS prenderà automaticamente due punti aggiuntivi sull'arco. Se entrambe le estremità sono di questo tipo, è sufficiente prendere un punto su ciascun arco per misurare questo tipo di elemento.


Misurazione senza utilizzare i dati CAD per un'asola rotonda

Per creare un'asola rotonda senza utilizzare i dati CAD, prendere tre punti su ciascun arco per un totale di sei punti.


Creazione di un punto angolo automatico

Finestra di dialogo Punto angolo

L'opzione di misurazione Punto angolo consente di definire la misurazione di un punto che si trova all'intersezione di due linee misurate. Questo tipo di misurazione consente di misurare l'intersezione di due linee e di costruire un punto di intersezione senza misurare separatamente le linee stesse. Per misurare con precisione un punto di angolo sono necessari sei punti.

Per accedere all'opzione Punto angolo, accedere alla finestra Punto angolo (Inserisci | Elemento | Automatico | Punto | Angolo). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del punto angolo

Misurazione di un punto di angolo

Close button Create buttonAuto areaMisc AreaMeasure check boxClear Plane check boxOrientation areaProperties areaHits areaLocation areaID BoxAuto Feature Type List


Definizioni dei campi del punto angolo

La riga di comando della finestra di modifica per un punto di angolo di esempio è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, TOG1, ONERROR = SÍ/NO
MOVIM AUTO = SÍ/NO, DISTANZA = n, MISREL = None
VETTORE1 = I,J,K, VETTORE2 = I,J,K
NUM PUNTI = n, DISTANZIATORE = n, RIENTRO1= n, RIENTRO2 = n, ALTER2

MOSTRA TUTTI PARAM = Questo campo consente di attivare o disattivare le opzioni SÌ/NO per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, VETTORE1, VETTORE2, NUM PUNTI, DISTANZ, RIENTR1, RIENTR2 e INTERNO nella finestra di modifica.

SPESSORE_TEOR = Questo valore (inserito manualmente) indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER 1 = Questo campo visualizza alternativamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

TEOR/ = Questo valore rappresenta il punto di destinazione.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

ONERROR = Questo è un campo SÍ/NO che consente di controllare le condizioni di errore inaspettate, quando PC-DMIS rileva un punto imprevisto o non ne rileva alcuno.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

VETTORE1 = I tre numeri (valori IJK) rappresentano un vettore modificabile che può essere definito come perpendicolare al vettore della prima superficie.

VETTORE2 = I tre numeri (valori IJK) rappresentano un vettore modificabile che può essere definito come perpendicolare al vettore della seconda superficie.

NUM_PUNTI = Questo valore può essere modificato per attivare alternamente i valori ammessi, uno e tre.

DISTANZ = Questo numero indica la distanza di offset tra i punti su ciascun lato della curvatura.

RIENTRO1 = Questo valore modificabile rappresenta la distanza di offset tra la posizione del punto e i punti di campionamento presi sulla prima superficie della curvatura.

RIENTRO2 = Questo valore modificabile rappresenta la distanza di offset tra la posizione del punto e i punti di campionamento presi sulla seconda superficie della curvatura.

ALTER2 = Questo campo descrive il tipo di angolo misurato tra INTERNO ed ESTERNO e può essere modificato per attivare alternativamente le opzioni.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un punto di angolo

In PC-DMIS sono disponibili diversi metodi per la misurazione di un punto angolo utilizzando l'opzione automatica, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto di angolo

  • Uso di dati della superficie con una macchina CMM per un punto di angolo

  • Uso di dati della superficie sullo schermo per un punto di angolo

  • Uso di dati wire-frame con la macchina CMM per un punto di angolo

  • Uso di dati wire-frame sullo schermo per un punto di angolo

  • Misurazione senza utilizzare i dati CAD per un punto di angolo

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un punto di angolo

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il punto di angolo. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con una macchina CMM per un punto di angolo

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto di angolo utilizzando i dati della superficie con la macchina CMM, prendere un punto su ciascun lato del bordo di angolo. Se non viene rilevato alcun punto di angolo CAD, PC-DMIS visualizzerà il punto più vicino e chiederà di prendere dei punti aggiuntivi.


Uso di dati della superficie sullo schermo per un punto di angolo

Per creare un punto di angolo utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Utilizzare il tastatore animato per prendere un punto in prossimità del bordo angolato, ma non sul bordo stesso. PC-DMIS evidenzia la superficie selezionata.

  3. Verificare che sia selezionata la superficie corretta.

Una volta rilevato il punto, nella finestra di dialogo viene visualizzato il valore del vettore e del punto di angolo selezionati. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante "Inverti vettore" consente di modificare la direzione di avvicinamento.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.

Nota: Se è necessario prendere un punto aggiuntivo, fare clic sulla superficie opposta del bordo angolato.


Uso di dati wire-frame con la macchina CMM per un punto di angolo

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto di angolo utilizzando i dati della superficie con la macchina CMM, prendere un punto su ciascun lato del bordo di angolo. Se non viene rilevato alcun punto di angolo CAD, PC-DMIS visualizzerà il punto più vicino e chiederà di prendere dei punti aggiuntivi.


Uso di dati wire-frame sullo schermo per un punto di angolo

È possibile utilizzare i dati wire-frame CAD per creare un punto di angolo.

A tale scopo, effettuare le seguenti operazioni:

  1. Utilizzare il tastatore animato per prendere un punto in prossimità del bordo angolato, ma non sul bordo stesso. PC-DMIS evidenzia la superficie selezionata.

  2. Verificare che sia selezionata la superficie corretta.

Una volta rilevato il punto, nella finestra di dialogo viene visualizzato il valore del vettore e del punto di angolo selezionati. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante "Inverti vettore" consente di modificare la direzione di avvicinamento.

· Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.

· Se è necessario prendere un punto aggiuntivo, fare clic sulla superficie opposta del bordo angolato.


Misurazione senza utilizzare i dati CAD per un punto di angolo

Per creare un punto di angolo senza utilizzare i dati CAD, prendere tre punti su ciascuna superficie per rilevare i due piani. Il punto di angolo visualizzato rappresenta la posizione del primo punto.


Creazione di un punto diagonale automatico

Finestra di dialogo Punto diagonale

L'opzione di misurazione Punto diagonale consente di definire la misurazione di un punto formato dall'intersezione di tre piani misurati. Questo tipo di misurazione consente di misurare l'intersezione di tre piani e di costruire un punto di intersezione senza misurare separatamente i piani stessi. Per misurare un punto diagonale è necessario prendere nove punti, tre su ciascuno dei tre piani.

Per accedere all'opzione Punto diagonale, accedere alla finestra Punto diagonale (Inserisci | Elemento | Automatico | Punto | Diagonale). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del punto diagonale

Misurazione di un punto diagonale

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listOrientation areaFeature Paths and Orientation


Definizioni dei campi del punto diagonale

Definizioni campi del punto diagonale

La riga di comando della finestra di modifica per un punto diagonale di esempio è la seguente:
F_ID=AUTO/PUNTO DIAGONALE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, TOG1, ONERROR = SÍ/NO
MOVIM AUTO = SÍ/NO, DISTANZA = n, MISREL = None
VETT1 = I,J,K, VETTORE2 = I,J,K
NUM PUNTI = n, DISTANZIATORE = n, RIENTRO1= n, RIENTRO2 = n, ALTER2

MOSTRA TUTTI PARAM = Questo attiva o disattiva le opzioni SÌ/NO per scegliere se PC-DMIS visualizza i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, VETTORE1, VETTORE2,VETTORE3, RIENTR1, RIENTR2 e RIENTR3 nella finestra di modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo visualizza alternatamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = Questo campo commuta tra INTERNO ed ESTERNO e descrive il tipo di punto angolo misurato.

NUM_PUNTI = Questo valore può essere modificato per attivare alternamente i valori ammessi, uno e tre.

TEOR/ = Questo valore rappresenta il punto di destinazione.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternativamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

ONERROR = É un campo SÍ/NO che consente un controllo di correttezza migliorato, nei casi in cui PC-DMIS rileva la mancanza o la presenza imprevista di un punto.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

VETTORE2 = Questi valori possono essere modificati dall'utente.

VETTORE2 = Questi valori possono essere modificati dall'utente.

TOLL = Questo valore rappresenta una distanza modificabile.

RIENTRO1 = Questo valore modificabile rappresenta la distanza di offset tra la posizione del punto e i punti di campionamento presi sul primo dei tre piani.

RIENTRO2 = Questo valore modificabile rappresenta la distanza di offset tra la posizione del punto e i punti di campionamento presi sul secondo dei tre piani.

RIENTRO3 = Questo valore modificabile rappresenta la distanza di offset tra la posizione del punto e i punti di campionamento presi sul terzo dei tre piani.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un punto diagonale

In PC-DMIS sono disponibili diversi metodi per la misurazione di un punto diagonale utilizzando l'opzione automatica, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto diagonale

  • Uso di dati della superficie con la macchina CMM per un punto diagonale

  • Uso di dati della superficie sullo schermo per un punto diagonale

  • Uso di dati wire-frame con la macchina CMM per un punto diagonale

  • Uso di dati wire-frame sullo schermo per un punto diagonale

  • Misurazione senza utilizzare i dati CAD per un punto diagonale

Nota: il mouse non può essere utilizzato nella finestra di visualizzazione grafica se i dati CAD non sono disponibili.


Uso di dati inseriti manualmente per un punto diagonale

Questo metodo consente di inserire i valori X, Y, Z desiderati per il punto diagonale. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un punto diagonale

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto diagonale utilizzando i dati della superficie con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere un punto su ciascuna delle tre superfici che formano l'angolo.

  2. Fare clic sul pulsante Crea.

Se non viene rilevato alcun punto diagonale CAD, PC-DMIS visualizzerà il punto più vicino e chiederà di prendere dei punti aggiuntivi.

Nota: PC-DMIS considera le due superfici perpendicolari l'una rispetto all'altra.


Uso di dati della superficie sullo schermo per un punto diagonale

Per creare un punto diagonale utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Prendere un punto su ciascuna delle tre superfici utilizzando il tastatore animato. PC-DMIS riposiziona automaticamente il tastatore animato sul punto diagonale in cui convergono le superfici selezionate.

  3. Accertarsi di selezionare il tipo di punto diagonale appropriato. Una volta rilevato il punto, nella finestra di dialogo viene visualizzato il valore del vettore e del punto diagonale selezionati.

  4. Fare clic sul pulsante Crea.


Uso di dati wire-frame con la macchina CMM per un punto diagonale

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto diagonale utilizzando i dati wire frame con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere due punti sulla prima superficie.

  2. Prendere un punto sui bordi, in prossimità dell'angolo triedro.

Se non viene rilevato alcun punto diagonale CAD, PC-DMIS visualizzerà il punto più vicino e chiederà di prendere dei punti aggiuntivi.

Nota: PC-DMIS considera le due superfici perpendicolari l'una rispetto all'altra.


Uso di dati wire-frame sullo schermo per un punto diagonale

È anche possibile utilizzare i dati wire-frame CAD per creare un punto diagonale.

A tale scopo, effettuare le seguenti operazioni:

  1. Utilizzare il tastatore animato per prendere un punto in prossimità del bordo angolato, ma non sul bordo stesso. PC-DMIS evidenzia la superficie selezionata.

  2. Verificare che sia selezionata la superficie corretta.

Una volta rilevato il punto, nella finestra di dialogo viene visualizzato il valore del vettore e del punto diagonale selezionati. Se necessario, prendere un punto su un altro bordo sempre in prossimità dell'angolo triedro.


Misurazione senza utilizzare i dati CAD per un punto diagonale

Per creare un punto diagonale senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla prima superficie.

  2. Prendere due punti sulla seconda superficie.

  3. Prendere un punto sulla terza superficie.


Creazione di un punto di bordo automatico

Finestra di dialogo Punto di bordo

L'opzione di misurazione Punto di bordo consente di definire la misurazione di un punto eseguita sul bordo del pezzo. Questo tipo di misurazione è particolarmente utile quando il pezzo è costruito con materiale sottile ed è necessario prendere un punto estremamente preciso per la misurazione mediante una macchina CMM. Per misurare con precisione un punto di bordo, sono necessari cinque punti di campionamento.

Per accedere all'opzione Punto di bordo, accedere alla finestra Punto di bordo (Inserisci | Elemento | Automatico | Punto | Bordo). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del punto di bordo

Misurazione di un punto di bordo

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listOrientation areaFeature Paths and Orientation


Definizioni dei campi del punto di bordo

La riga di comando della finestra di modifica per un punto di bordo di esempio è la seguente:
ID_ E=AUTO/PUNTO BORDO, MOSTRA TUTTI PARAM = SÍ/NO
TEO/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ destX,destY,destZ,destI,destJ,destK
SPESSORE_TEO = n, ALTER , SPESSORE_TEOR BORDO = n, ONERROR = SÍ/NO
MOVIM AUTO=SI/NO, DISTANZA =n, MIS REL = None, ORDINE MISURA = S/E/B,
PERPEND SUPERFICIE = I,J,K
INIZ = n, PERM = n, DISTANZ = n, RIENTRO = n, QUOTA = n

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, SPESSORE_TEOR BORDO, MOVIM AUTO, DISTANZA, MISREL, ORDINE MISURA, PERPEND SUPERFICIE, INIZ, PERM, DISTANZ, RIENTRO e QUOTA nella finestra di modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore della superficie. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo visualizza alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

SPESSORE_TEOR BORDO = Valore inserito manualmente che indica lo spessore del bordo. È possibile utilizzare valori positivi o negativi.

TEOR/ = Questo valore rappresenta il punto di destinazione.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

ONERROR = é un campo SÍ/NO che consente di controllare le condizioni di errore inaspettate, quando PC-DMIS rileva un puntoGlossHit imprevisto, o manca di rilevarne.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

ORDINE MISURA = Questo campo può essere modificato per attivare alternamente una delle opzioni che consentono di visualizzare l'ordine di misurazione dei punti di campionamento. I valori disponibili sono SUPERFICIE, BORDO o ENTRAMBI.

PERPENDSUPERFICIE= Questo campo indica il vettore perpendicolare alla superficie sul quale verrà proiettato il punto di bordo una volta eseguita la misurazione. I valori sono modificabili.

INIZ / PERM = Questi campi possono essere modificati. per attivare alternamente uno dei valori validi: zero, uno, tre e cinque.

DISTANZ / RIENTRO / QUOTA = Questi valori rappresentano distanze modificabili.

In "Opzioni Comuni della finestra di dialogo Elementi Automatici" si possono trovare le linee guida sulla misurazione di elementi automatici.

Vedere anche:

Definizioni estese dei campi del punto di bordo


Definizioni estese dei campi del punto di bordo

La riga di comando della finestra di modifica per questo elemento con le opzioni estese è la seguente:
F_ID=AUTO/PUNTO BORDO, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER, SPESSORE_TEOR BORDO = n, ONERROR = SI/NO
MOVIM AUTO=SI/NO, DISTANZA =n, MIS REL = None,
ORDINE MISURA=S/E/B, PERPEND SUPERFICIE = I,J,K
RAPP_BORDO = I,J,K, RAPPORTO_SUPERFICIE = I,J,K
INIZ = n, PERM = n, DISTANZ = n, RIENTRO = n, QUOTA = n

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

RAPPORTO BORDO = Questo campo indica il vettore in base al quale viene calcolata la deviazione da inserire nel rapporto. I valori sono modificabili.

RAPPORTO SUPERFICIE = Questo campo indica il vettore utilizzato per la deviazione da inserire nel rapporto. I valori sono modificabili.

Fare riferimento a "Definizioni dei campi del punto di bordo" per le definizioni dei campi dei punti di bordo standard.


Misurazione di un punto di bordo

In PC-DMIS sono disponibili diversi metodi per la misurazione di un punto di bordo utilizzando l'opzione automatica, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto di bordo

  • Uso di dati della superficie con la macchina CMM per un punto di bordo

  • Uso di dati della superficie sullo schermo per un punto di bordo

  • Uso di dati wire-frame con la macchina CMM per un punto di bordo

  • Uso di dati wire-frame sullo schermo per un punto di bordo

  • Misurazione senza utilizzare i dati CAD per un punto di bordo

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.

Nota: PC-DMIS considera che la superficie perpendicolare e la superficie di misurazione siano perpendicolari.


Uso di dati inseriti manualmente per un punto di bordo

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il punto di bordo. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un punto di bordo

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto bordo utilizzando i dati della superficie con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere un punto in prossimità del bordo desiderato del pezzo utilizzando il tastatore.

  2. Posizionare il calibro perpendicolare (per quanto possibile) alla superficie.

PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore. I valori X, Y, Z riflettono la posizione del bordo CAD più vicino al punto, non il punto effettivamente preso. I, J, K riflettono il vettore perpendicolare alla superficie.

Se non viene rilevato alcun bordo CAD, PC-DMIS visualizzerà il punto più vicino e chiederà di prendere dei punti aggiuntivi.

Se viene preso un secondo punto sulla superficie opposta prima di fare clic sul pulsante Crea, PC-DMIS modificherà i valori della posizione in base al nuovo contatto. Tuttavia, i vettori visualizzati rimarranno costanti.


Uso di dati della superficie sullo schermo per un punto di bordo

Per creare un punto di bordo utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Posizionare il puntatore nella finestra di visualizzazione grafica per indicare la posizione desiderata del punto sulla superficie del pezzo in prossimità del bordo.

  3. Fare clic con il pulsante sinistro del mouse. PC-DMIS evidenzia la superficie selezionata.

  4. Verificare che sia selezionata la superficie corretta.

Una volta rilevato il punto, nella finestra di dialogo viene visualizzato il valore del vettore e del punto di bordo selezionato. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante "Inverti vettore" consente di modificare la direzione di avvicinamento.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.


Uso di dati wire-frame con la macchina CMM per un punto di bordo

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto bordo utilizzando i dati wire frame con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere un punto in prossimità del bordo desiderato del pezzo utilizzando il tastatore.

  2. Posizionare il calibro perpendicolare (per quanto possibile) alla superficie.

PC-DMIS eseguirà la foratura del filo CAD in prossimità del punto di contatto del tastatore. I valori X, Y, Z riflettono la posizione del bordo CAD più vicino al punto, non il punto effettivamente preso. I, J, K riflettono il vettore perpendicolare alla superficie. Se non viene rilevato alcun bordo CAD, PC-DMIS visualizzerà il punto più vicino e chiederà di prendere dei punti aggiuntivi.

Se viene preso un secondo punto sulla superficie opposta prima di fare clic sul pulsante Crea, PC-DMIS modificherà i valori della posizione in base al nuovo contatto. Tuttavia, i vettori visualizzati rimarranno costanti.


Uso di dati wire-frame sullo schermo per un punto di bordo

È possibile utilizzare i dati wire-frame CAD per creare un punto di bordo.

Per creare un punto di bordo, effettuare le seguenti operazioni:

  1. Fare clic in prossimità del filo desiderato sul lato del bordo, non entro i limiti della superficie superiore. PC-DMIS evidenzia il filo selezionato.

  2. Verificare che sia selezionato l'elemento corretto.

La direzione di avvicinamento del tastatore è sempre perpendicolare alla linea e al vettore della linea centrale del tastatore corrente. Il tastatore si avvicina dal lato del bordo selezionato con il mouse. Una volta rilevato il filo, nella finestra di dialogo viene visualizzato il valore del vettore e del punto di bordo selezionato.

Se è necessario prendere un punto aggiuntivo, fare clic sul filo opposto della superficie perpendicolare.


Misurazione senza utilizzare i dati CAD per un punto di bordo

Per generare un punto di bordo senza utilizzare i dati CAD, procedere come indicato di seguito.

  • I primi tre punti presi indicano il nominale del vettore della superficie.

  • I due punti successivi rilevano e visualizzano l'altro vettore. Questo valore indica la direzione opposta del vettore di avvicinamento della macchina CMM, ovvero la direzione opposta rispetto alla superficie.

  • Il sesto e ultimo punto indica la posizione reale del punto di bordo.


Creazione di un punto massimo automatico

Finestra di dialogo Punto massimo

L'opzione automatica Punto massimo consente di cercare il punto più alto in un'area definita dall'utente all'interno del piano di lavoro corrente. L'area viene campionata per trovare il punto massimo, ma non vengono cercati i punti esistenti nel part program.

Il risultato della ricerca è rappresentato da un unico punto definito dalle relative coordinate X, Y, Z e dal vettore di avvicinamento.

Per accedere all'opzione Punto massimo, accedere alla finestra Punto massimo (Inserisci | Elemento | Automatico | Punto | Massimo). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del punto massimo

Misurazione di un punto massimo

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi del punto massimo

La riga di comando della finestra di modifica per un punto massimo di esempio è la seguente:
F_ID=AUTO/PUNTO MASSIMO, MOSTRA TUTTI PARAM = SÍ/NO
TEOR/ TX,TY,TZ,TI,TJ,TK,
REALE/ X,Y, Z,I,J,K,
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER
MOVIM AUTO = SI/NO, DISTANZA = n, MISREL = None
INCREMENTO = n, TOLL = n, ALTER1,
LARGH/RAGGIO ESTERNO = n , LUNGH/RAGGIO INTERNO = n
CENTRO = X,Y, Z

MOSTRA TUTTI PARAM = Questo campo consente di attivare o disattivare le opzioni SÌ/NO per scegliere se PC-DMIS visualizza i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, INCREMENTO, TOLL, CASELLA, LARGH, LUNGH e CENTRO nella finestra Modifica.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo visualizza alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

TEOR/ = Questo valore rappresenta il punto teorico.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

INCREMENTO = Questi valori sono distanze modificabili.

CENTRO =Questi valori sono le coordinate X,Y, Z che indicano il centro dell'area di ricerca.

TOLL = Questo valore rappresenta una distanza modificabile.

ALTER1 = Questo valore è un campo di alternanza per la selezione della modalità di ricerca. tra le opzioni QUADR e CIRCOL.

LUNGHEZZA / RAGGIO INTERNO = Questi valori rappresentano distanze modificabili. Il valore visualizzato quando è attiva l'opzione LUNGH rappresenta la distanza lungo l'asse maggiore del piano di lavoro corrente utilizzato per l'area di ricerca. Il valore visualizzato quando è attiva l'opzione RAGGIO INTERNO rappresenta il valore del raggio interno dell'area di ricerca. PC-DMIS visualizzerà automaticamente i valori validi.

LARGH / RAGGIO ESTERNO = Questi valori rappresentano distanze modificabili. Il valore visualizzato quando è attiva l'opzione LARGH rappresenta la distanza lungo l'asse minore del piano di lavoro corrente utilizzato per l'area di ricerca. Il valore visualizzato quando è attiva l'opzione RAGGIO ESTERNO rappresenta il valore del raggio esterno dell'area di ricerca. PC-DMIS visualizzerà automaticamente i valori validi.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un punto massimo

Il punto massimo varia in base al piano di lavoro corrente. Il punto massimo è definito in base al piano di lavoro visualizzato nell'elenco Piano di lavoro.

Per trovare il punto massimo, seguire la procedura. Le immagini mostrano un esempio di processo di misura di un punto massimo:

  1. Accedere alla finestra Punto massimo dell'elemento automatico (Inserisci | Elemento | Auto | Punto | Massimo). Visualizza mappa percorsi dei menu

  2. Verificare che il piano di lavoro corretto sia visualizzato nell'elenco Piano di lavoro. Per esempio, volendo trovare il punto massimo sul piano X+, occorre scegliere X+ nella barra strumenti Impostazioni.

  3. Rilevare un punto sul pezzo. PC-DMIS mostra il vettore del punto selezionato sullo schermo e ne visualizza I dati nella finestra di dialogo. Per informazioni sui metodi disponibili per la creazione del punto centrale iniziale, vedere gli argomenti riportati seguito.

  4. Definire l'area di ricerca. Selezionare una delle modalità di ricerca (Modalità Finestra o Modalità Circolare) e definire l'area di ricerca immettendo i valori nelle caselle Larghezza e Lunghezza o Raggio interno e Raggio esterno. In Modalità Finestra PC-DMIS divide equamente i valori intorno al punto centrale.

  5. Premere il tasto di tabulazione. PC-DMIS disegnerà l'area di ricerca (sotto forma di rettangolo o di fascia circolare) sul modello del pezzo.

  6. Determinare un incremento per iniziare la ricerca digitando un valore nella casella Incremento. Questo valore corrisponde alla distanza iniziale in base alla quale viene eseguita la ricerca intornoal punto iniziale.

  7. Inserire un valore di tolleranza nella casella Tolleranza. Questo valore deve essere sempre inferiore al valore dell'incremento.

  8. Fare clic su Crea per creare il punto massimo. Il valore nella finestra di modifica non sarà il punto massimo.

  • Se la casella di controllo Misura non è selezionata nel momento in cui viene selezionato il pulsante Crea, il punto massimo viene creato e le informazioni visualizzate nella finestra di modifica rappresenteranno i parametri di ricerca iniziali. Questi valori non verranno modificati durante l'esecuzione dell'elemento.

  • Se invece la casella Misura è selezionata quando si fa clic sul pulsante Crea, PC-DMIS eseguirà la procedura di ricerca per individuare il punto massimo. Una volta completata la ricerca, il punto massimo effettivamente misurato verrà visualizzato nella finestra di modifica.

  9. Eseguire l'elemento. PC-DMIS misura il punto generato e quindi cerca il punto massimo utilizzando il seguente processo. Se viene rilevato un punto massimo sul piano di lavoro corrente, il nuovo punto diventa il punto di ricerca corrente. La ricerca continua fino a quando non vengono più trovati altri punti all'interno del valore di incremento specificato. Il valore di incremento viene automaticamente ridotto per cercare altri punti più vicini rispetto all'incremento specificato. Il valore di incremento viene ridotto fino ad essere inferiore o uguale al valore di Tolleranza fornito per indicare che il punto massimo del piano di lavoro corrente è stato individuato. In base alla velocità del computer e al tipo di impostazioni, l'individuazione del punto massimo può richiedere alcuni minuti.

  10. Accedere alla finestra di modifica e attivare la modalità Comando. Osservare il valore DEST/. Questo valore è stato aggiornato per riflettere i valori XYZIJK per il punto massimo dell'area di ricerca.

Se non si è certi dei valori da fornire per Incremento,Tolleranza, Larghezza/Lunghezza o Raggio interno/Raggio esterno, PC-DMIS fornirà automaticamente dei suggerimenti una volta definiti il punto iniziale e il punto di centro.

PC-DMIS fornisce vari metodi per definire il punto centrale dell'area di ricerca per il punto massimo utilizzando l'opzione automatica. A tali metodi corrispondono le sezioni indicate di seguito.

  • Esercitazione sul punto massimo

  • Altri Punti massimi, ricerca

  • Uso di dati inseriti manualmente per un punto massimo

  • Uso di dati della superficie con la macchina CMM per un punto massimo

  • Uso di dati della superficie sullo schermo per un punto massimo

  • Misurazione senza utilizzare i dati CAD per un punto massimo

Nota: e i dati CAD relativi alla superficie non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Esercitazione sul punto massimo

Questa esercitazione offline mostra l’uso della scheda Punto massimo per cercare il punto massimo di una zona di ricerca definita su una vista Z+ di un pezzo con un dislivello:

L’esercitazione usa il modello TAPE10A.IGS. È possibile adattarsi a qualunque modello che contenga un gradiente oppure una curva sulla superficie Z+.

Vista del dislivello(in rosso) Ruotata rispetto ad Y+

Passo 1. Selezionare il piano di lavoro che si intende utilizzare. Per questa esercitazione, assicurarsi di aver selezionato Z+ nella barra strumenti Impostazioni.

Passo 2. Assicurarsi di essere in modalità Superficie.

Passo 3. Accedere alla finestra Punto massimo dell'elemento automatico (Inserisci | Elemento | Auto | Punto | Massimo). Visualizza mappa percorsi dei menu

Passo 4. Fare clic sul piano Z+ nella finestra di visualizzazione grafica del modello CAD per creare il punto centrale iniziale dell'area di ricerca. Il vettore di questo punto é indicato da una freccia colorata.

Punto centrale per il punto massimo

Passo 5. Nella scheda Punto massimo , fare clic su Modalità Finestra. Nella casella Larghezza immettere 3. Nella casella Lunghezza, immettere 125. Premere il tasto di tabulazione. La finestra grafica visualizza una piccola area di ricerca rettangolare, di questo tipo:

Area di ricerca, vista Y+.

Area di ricerca, vista Z+.

Passo 6. PC-DMIS divide i valori di Lunghezza e Larghezzain maniera uguale attorno al centro.

Passo 7. Nella casella Incremento, immettere 2, nella casella Tolleranza, immettere .25, quindi fare clic su Crea. PC-DMIS crea il primo Punto Massimo, visualizzato come PNT1.

Passo 8. Posizionare PC-DMIS in modalità Riepilogo e fare clic sul segno più (+) per il punto massimo. Espandere le informazioni per i campi Reali e Destinazione. Verrà visualizzato:

Si noti che soltanto I dati XYZ ed IJK del centro sono visualizzati per definire l’area di ricerca. PC-DMIS non ha ancora iniziato la ricerca del punto massimo; questo verrà fatto durante l’esecuzione del programma.

Passo 9. A questo punto contrassegnare l'elemento punto massimo ed eseguire il part program.

Per impostazione predefinita, il valore del punto iniziale è lo stesso del punto centrale. È possible modificare il punto iniziale cambiando la posizione XYZ del punto massimo oppure facendo nuovamente clic sul modello CAD.

· PC-DMIS inizierà la ricerca dal punto iniziale.

· PC-DMIS rileverà quindi otto punti campione attorno al punto iniziale alla distanza specificata dal valore dell'incremento.

· Se si trova un punto massimo, questo diventa il nuovo punto iniziale e PC-DMIS rileverà altri otto campioni attorno al nuovo centro. Il processo continua fino a che non é piú possibile trovare un punto di massimo a distanza di un incremento.

· PC-DMIS continuerà a rilevare punti, riducendo il valore dell’incremento, fino al punto in cui soddisfa il valore di tolleranza, terminando la ricerca del punto massimo.

Durante l’esecuzione, il tastatore sale gradualmente lungo il gradiente, cercando il punto massimo nell'area di ricerca.

Quando la ricerca termina, PC-DMIS visualizza il nuovo punto massimo sul modello CAD, spostando l’ID di PNT1 sulla posizione del punto massimo trovato nell’area di ricerca.

Il muovo Punto massimo é stato trovato

Passo 10. Accedere alla modalità Riepilogo ed espandere i valori per i campo Punto massimo automatico. Espandere la struttura Reali per visualizzare i valori XYZ per il punto massimo trovato:

I valori reali XYZ vengono modificati in modo da riflettere il punto massimo.


Altri Punti massimi, ricerca

Si puó fare uso della procedura del Punto Massimo per eseguire altri utili tipi di ricerca. Per la descrizione, vedere le sezioni seguenti.

Ricerca del punto Minimo: | Si supponga di avere una superficie Z+, costituita da avvallamenti e protuberanze. Per trovare il punto di quota minore in un avvallamento, selezionare il valore Z- nella barra degli strumenti Impostazioni e ricercare il punto massimo sulla superficie Z+.
Cerca Linea: | In modalità Finestra, digitando un valore di larghezza della linea e zero per l’altra dimensione, PC-DMIS effettuerá la ricerca lungo un linea.
Ricerca di Area Circolare: | In modalità Cerchio, se uno dei raggi è zero, verrà ricercata un’area circolare.
Ricerca di Banda Circolare: | In modalità Cerchio, se uno dei raggi è maggiore dell’altro, verrà cercata un’area a forma di corona circolare ed il centro sarà ignorato.
Ricerca di Circonferenza | In modalitá Cerchio, se i due raggi hanno eguale valore, é ricercata esclusivamente una circonferenza.


Uso di dati inseriti manualmente per un punto massimo

Questo metodo consente di inserire il centro dell'area di ricerca, ad esempio, il punto centrale del riquadro o del cerchio, specificando i valori X, Y e Z. Inoltre, consente di definire il punto iniziale ed il vettore di avvicinamento associato inserendo i valori X, Y, Z, I, J e K.


Uso di dati della superficie con la macchina CMM per un punto massimo

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per definire l’area di ricerca del punto massimo con la macchina CMM:

  • Prendere un punto in prossimità del bordo desiderato del pezzo utilizzando il tastatore. In questo modo il centro dell'area di ricerca e il punto iniziale verranno definiti come coincidenti.

  • Per usare un altro centro dell'area di ricerca, prendere un altro punto sulla superficie desiderata utilizzando il tastatore. Verrà definito un nuovo centro per l'area di ricerca.

Se si prende un altro punto di campionamento, verrà modificata la posizione del punto iniziale e del vettore di avvicinamento. I punti di campionamento successivi consentiranno di definire alternamente il centro dell'area di ricerca e il punto iniziale. Ogni volta che il tastatore prende un punto di campionamento sul pezzo, PC-DMIS esegue la foratura della superficie CAD in prossimità del punto di contatto. Le informazioni fornite dal modello di superficie verranno utilizzate per definire il punto iniziale e il centro dell'area di ricerca.


Uso di dati della superficie sullo schermo per un punto massimo

Per definire l'area di ricerca del punto massimo utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Posizionare il puntatore nella finestra di visualizzazione grafica per indicare la posizione desiderata del punto sulla superficie.

  2. Fare clic con il pulsante sinistro del mouse. PC-DMIS evidenzia la superficie selezionata.

  3. Verificare che sia selezionata la superficie corretta.

PC-DMIS esegue la foratura della superficie evidenziata e visualizza la posizione e il vettore del punto selezionato. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante "Inverti vettore" consente di modificare la direzione di avvicinamento.

Facendo clic una volta sulla superficie, il centro dell'area di ricerca e il punto iniziale verranno definiti come coincidenti. Per modificare il centro dell'area di ricerca, posizionare il puntatore nella finestra di visualizzazione grafica per indicare la posizione desiderata del centro dell'area di ricerca e fare nuovamente clic con il pulsante sinistro del mouse. Se si continua a fare clic con il pulsante sinistro del mouse verranno definiti alternamente il centro dell'area di ricerca e il punto iniziale.


Misurazione senza utilizzare i dati CAD per un punto massimo

Se si crea l'area di ricerca del punto massimo senza utilizzare i dati CAD, il primo punto preso indicherà il nominale X, Y, Z per il punto iniziale ed il centro dell'area di ricerca. PC-DMIS visualizzerà inoltre il vettore di avvicinamento I, J, K di tale punto. Questo valore indica la direzione opposta del vettore di avvicinamento della macchina CMM, ovvero la direzione opposta rispetto alla superficie. Per definire un nuovo punto iniziale, prendere un nuovo punto di campionamento con il tastatore sul punto che si desidera definire come punto centrale. I punti di campionamento successivi consentiranno di definire alternamente il punto iniziale e il centro dell'area di ricerca.


Creazione di un punto di superficie automatico

Finestra di dialogo Punto di superficie

L'opzione di misurazione Punto di superficie consente di definire la posizione del punto e la direzione di avvicinamento nominali utilizzate dalla macchina CMM per misurare il punto definito. PC-DMIS consente di definire il numero di punti da utilizzare per misurare un piano attorno alla posizione del punto nominale, nonché la dimensione del piano stesso. Dopo aver eseguito la misurazione del piano, PC-DMIS utilizzerà il vettore perpendicolare alla superficie calcolata del piano per spostarsi nella posizione del punto nominale ed eseguirne la misurazione.

Nota: il numero consentito di punti campione necessari a misurare un punto di superficie è zero o tre.

Per accedere all'opzione Punto di superficie, accedere alla finestra Punto di superficie (Inserisci | Elemento | Automatico | Punto | Superficie). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del punto della superficie

Misurazione di un punto della superficie

Close buttonCreate buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi del punto della superficie

La riga comandi della finestra di modifica per una superficie di esempio è la seguente:
ID_E=AUTO/PUNTO SUPERFICIE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER, AGGANCIA = SI/NO
MOVIM AUTO = SI/NO, DISTANZA = n, MISREL= None
INIZ = n, PERM = n, RAGGIO = n

MOSTRATUTTIPARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, AGGANCIA, MOVIM AUTO, DISTANZA, MISREL, INIZ, PERM e RAGGIO.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo visualizza alternatamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

AGGANCIA = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà eseguire l'aggancio sul vettore di avvicinamento teorico in modo da eliminare gli errori di posizione della macchina CMM.

TEOR/ = Questo valore rappresenta il punto teorico.

REALE/ = Questo valore rappresenta il punto misurato.

DEST/ = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore teorico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

INIZ / PERM = Questi campi possono essere modificati. per attivare uno dei due valori validi, zero o tre.

RAGGIO = Questo valore rappresenta una distanza non negativa modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Definizioni estese dei campi del punto della superficie

La riga di comando della finestra di modifica per questo elemento con le opzioni estese è la seguente:
F_ID=AUTO/PUNTO SUPERFICIE,MOSTRATUTTIPARAM = SI/NO SPESSORE_TEOR = n, ALTER, AGGANCIA = SI/NO
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ targX,targY,targZ,targI,targJ,targK
MOVIM AUTO = SI/NO, DISTANZA = n, MISREL= none
INIZ = n, PERM = n, RAGGIO = n
TROVA ASSE NOM. = x, VETT RAPPORTO = I,J,K

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

VETT RAPPORTO = Questo campo indica il vettore utilizzato per la deviazione da inserire nel rapporto. I valori sono modificabili.

TROVA ASSE NOM = Questo è un campo visualizza alternative. ASSE X,YAXIS,ASSE Z o VETT . Se l’impostazione è NONE, l’asse nominale non viene cercato.

Fare riferimento a " Definizioni dei campi del punto della superficie" per le deviazioni dei campi dei punti di superficie standard.


Misurazione di un punto della superficie

In PC-DMIS sono disponibili diversi metodi per la misurazione di un punto di superficie utilizzando l'opzione automatica, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto della superficie

  • Uso di dati della superficie con la macchina CMM per un punto della superficie

  • Uso di dati della superficie sullo schermo per un punto della superficie

  • Uso di dati wire-frame con la macchina CMM per un punto della superficie

  • Uso di dati wire-frame sullo schermo per un punto della superficie

  • Misurazione senza utilizzare i dati CAD per un punto della superficie

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un punto della superficie

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il punto della superficie. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un punto della superficie

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali.

Per creare un punto della superficie utilizzando i dati della superficie con la macchina CMM, prendere un punto sulla superficie desiderata del pezzo con il tastatore. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore.

  • Se il punto di contatto si trova in prossimità dei dati della superficie e la casella di controllo Misura non è selezionata, l'elemento punto verrà immediatamente creato ed aggiunto alla finestra di modifica.

  • Se il punto di contatto si trova in prossimità dei dati della superficie ma la casella Misura è selezionata, verranno utilizzati i dati della superficie ma l'elemento non verrà creato fino a quando non viene selezionato il pulsante Crea.

  • Se il punto di contatto non si trova in prossimità dei dati della superficie, il contatto verrà considerato come punto reale e verrà visualizzata la relativa posizione ed il vettore di avvicinamento.

  • Se viene preso un secondo punto prima di fare clic sul pulsante Crea, verranno utilizzati i dati della posizione del secondo punto.

  • Se viene preso un terzo punto, i tre punti verranno utilizzati per determinare un vettore di avvicinamento, mentre l'ultimo punto verrà utilizzato per determinare la posizione.

  • Se vengono presi più di tre punti, verranno utilizzati tutti i punti ad esclusione dell'ultimo per determinare il vettore di avvicinamento. L'ultimo punto viene sempre utilizzato per determinare la posizione.

Nota: per poter utilizzare questo metodo di misurazione è necessario selezionare l'opzione Trova nominali. Fare riferimento a "Elenco Modalità" in questa sezione per ulteriori informazioni sull'opzione Trova nominali.


Uso di dati della superficie sullo schermo per un punto della superficie

Per creare un punto della superficie utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Posizionare il puntatore nella finestra di visualizzazione grafica per indicare la posizione desiderata del punto sulla superficie.

  3. Fare clic con il pulsante sinistro del mouse. PC-DMIS evidenzia la superficie selezionata.

  4. Verificare che sia selezionata la superficie corretta.

PC-DMIS esegue la foratura della superficie evidenziata e visualizza la posizione e il vettore del punto selezionato. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante "Inverti vettore" consente di modificare la direzione di avvicinamento.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.


Uso di dati wire-frame con la macchina CMM per un punto della superficie

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare un punto della superficie utilizzando i dati wire-frame CAD, effettuare le seguenti operazioni:

  • Il primo punto preso indica il nominale X, Y, Z. PC-DMIS visualizzerà inoltre il vettore I, J, K. Questo valore indica la direzione opposta del vettore di avvicinamento della macchina CMM, ovvero la direzione opposta rispetto alla superficie. È possibile accettare questi dati oppure seguire le istruzioni visualizzate nella finestra di messaggio per prendere dei punti aggiuntivi. Se si prende un secondo punto, la posizione del punto e il vettore di avvicinamento verranno aggiornati in base al punto più recente.

  • Se si prende un terzo punto sulla superficie, il nominale X, Y, Z visualizzato verrà modificato in base alla posizione del punto corrente. PC-DMIS utilizzerà i tre punti presi per creare un piano e cercare il vettore di avvicinamento I, J, K.

  • Se si prendono altri punti, la posizione del punto verrà aggiornata in base alle informazioni più recenti. Anche il vettore di avvicinamento verrà aggiornato in base alla media dei punti precedenti per il punto della superficie, ad esclusione dell'ultimo punto preso.

I dati visualizzati possono essere accettati in qualsiasi momento. Se anche il terzo punto non viene accettato, PC-DMIS ripristinerà automaticamente il sistema ed il punto successivo, il quarto, verrà considerato come il primo di una nuova serie di punti.


Uso di dati wire-frame sullo schermo per un punto della superficie

Per creare un punto della superficie utilizzando i dati wire-frame CAD, effettuare le seguenti operazioni:

  1. Selezionare due bordi (fili) della superficie sui quali definire il punto di destinazione, facendo clic sui fili desiderati con il pulsante sinistro del mouse. I fili selezionati devono trovarsi sulla stessa superficie. PC-DMIS evidenzia i fili selezionati.

  2. Verificare che siano selezionati i fili corretti. Viene visualizzata una finestra di messaggio.

  3. Selezionare il punto di destinazione sulla superficie creata. La selezione finale verrà proiettata sul piano formato dai due vettori del filo e dall'altezza del primo filo.


Misurazione senza utilizzare i dati CAD per un punto della superficie

Per generare un punto della superficie senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  • Il primo punto preso indica il nominale X, Y, Z. PC-DMIS visualizzerà inoltre il vettore I, J, K. Questo valore indica la direzione opposta del vettore di avvicinamento della macchina CMM, ovvero la direzione opposta rispetto alla superficie. È possibile accettare questi dati oppure seguire le istruzioni visualizzate nella finestra di messaggio per prendere dei punti aggiuntivi.

  • Se si prende un secondo punto, la posizione del punto e il vettore di avvicinamento verranno aggiornati in base al punto più recente.

  • Se si prende un terzo punto sulla superficie, il nominale X, Y, Z visualizzato verrà modificato in base alla posizione del punto corrente. PC-DMIS utilizzerà i tre punti presi per creare un piano e cercare il vettore di avvicinamento I, J, K.

  • Se si prendono altri punti, la posizione del punto verrà aggiornata in base alle informazioni più recenti. Anche il vettore di avvicinamento verrà aggiornato in base alla media dei punti precedenti per il punto della superficie, ad esclusione dell'ultimo punto preso.


Creazione di un'asola quadrata automatica

Finestra di dialogo Asola quadrata

Questa opzione consente di definire la misurazione di un'asola quadrata. Questo tipo di misurazione è particolarmente utile quando non si desidera misurare una serie di linee da utilizzare per costruire intersezioni e punti intermedi. Le asole quadrate devono essere misurate con cinque punti (o sei se si seleziona la casella di controllo Misura larghezza).

Asola quadrata misurata in base a cinque punti

Asola quadrata misurata in base a sei punti

Per accedere all'opzione Asola quadrata, accedere alla finestra Asola quadrata (Inserisci | Elemento | Automatico | Asola quadrata). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi dell'asola quadrata

Misurazione di un'asola quadrata

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi dell'asola quadrata

La riga di comando della finestra di modifica per un'asola quadrata di esempio è la seguente:
F_ID=AUTO/ASOLA QUAD, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,TLUNG,TALTEZZA, TANGI,TANGJ,TANGK
REALE/ X,Y, Z,I,J,K,DIAM,LUNG,ALTEZZA, ANGI,ANGJ,ANGK
DEST/ targX,targY,targZ,targI,targJ,targK, targANGI,targANGJ,targANGK
SPESSORE_TEOR = n, ALTER1, ALTER2
MOVIM AUTO = S/N, DISTANZA = n, MISREL = none, LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N
INIZ = n, PERM = n, DISTANZ = n, QUOTA = n
LARGH MINMAX = NORM, RAGGIO = n

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare l'ellisse nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "LARGH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, MISREL, LEGGI POS, TROVA FORO, RIMISURA, INIZ, PERM, DISTANZ, RIENTRO, QUOTA e RAGGIO nella finestra di modifica.

SPESSORE_TEOR = Questo valore modificabile indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = campo commuta tra le opzioni IN e OUT. PC-DMIS determinerà il tipo di asola misurata in base alla posizione del tastatore al momento della presa del punto.

ALTER3 = In questo campo vengono attivate alternamente le opzioni NORM e STUD. per indicare il tipo di asola misurata.

TEOR/ = Questo valore rappresenta il punto teorico.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

TROVA FORO = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente il posizionamento del tastatore ad una distanza di approccio sopra il centro teorico dell'elemento, ed il successivo spostamento lungo la perpendicolare al vettore della superficie dell'elemento per ricercare un foro, in base alla velocità di contatto. La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente.

RIMISURA = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente di rimisurare un elemento precedentemente misurato. I valori rilevati durante la prima misurazione verranno utilizzati come posizioni di destinazione per la seconda misurazione.

INIZ / PERM = Questi valori possono essere modificati o attivati alternamente. I valori validi sono: zero, uno o tre.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

LARGH MINMAX = In questo campo è possibile attivare alternamente le opzioni MAXMIN e NORM. per indicare il metodo da usare per la misurazione dell'asola.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.

Vedere anche:

Definizioni estese dei campi dell'asola quadrata


Definizioni estese dei campi dell'asola quadrata

La riga di comando della finestra di modifica per questa opzione con le opzioni estese selezionate è la seguente:
F_ID=AUTO/ASOLA QUAD, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,TLUNG,TALTEZZA,x
REALE/ X,Y, Z,I,J,DIAM,LUNG,ALTEZZA,x
DEST/ targX,targY,targZ,targI,targJ,targK,x
SPESSORE_TEOR=n,ALTER1,ALTER2,ALTER3
MOVIM AUTO = S/N, DISTANZA = n, MISREL= none
LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N
INIZ = n, PERM = n, DISTANZ = n, QUOTA = n
WIDTH MINMAX = NORM, RAGGIO = n
PUNZONATURA = I,J,K, PERNO = I,J,K

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

PUNZONATURA = Questo campo indica la direzione della punzonatura attraverso gli elementi automatici. Questo valore è modificabile.

PERNO = Questo campo indica la direzione del punto attraverso il foro formato dalla punzonatura.

Fare riferimento a "Definizioni dei campi dell'asola quadrata" per le definizioni del campo dell'asola quadrata standard.


Misurazione di un'asola quadrata

In PC-DMIS sono disponibili più metodi per la misurazione di un'asola quadrata utilizzando l'opzione per la lamiera ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un'asola quadrata

  • Uso di dati della superficie con la macchina CMM per un'asola quadrata

  • Uso di dati di superficie sullo schermo per un'Asola Quadrata

  • Uso di dati wire-frame con la macchina CMM per un'asola quadrata

  • Uso di dati wire-frame sullo schermo per un'asola quadrata

  • Misurazione senza utilizzare i dati CAD per un'asola quadrata

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un'asola quadrata

Questo metodo consente di inserire i valori X, Y, Z, I, J, K oppure X, Y, Z desiderati per l'asola quadrata Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un'asola quadrata

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare una misurazione di asola quadrata utilizzando i dati della superficie con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere due punti sul lato lungo dell'asola utilizzando il tastatore.

  2. Prendere un punto sul pezzo lungo il lato corto dell'asola.

  3. Prendere un secondo punto sul successivo lato lungo dell'asola.

  4. Prendere un punto sul rimanente lato corto.

Nota: i punti dovranno essere presi lungo una matrice circolare, in senso orario o antiorario.


Uso di dati di superficie sullo schermo per un'Asola Quadrata

Per creare un'asola quadrata utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Prendere due punti sul lato lungo dell'asola utilizzando il tastatore animato. PC-DMIS evidenzia la linea selezionata.

  3. Verificare che sia selezionato il lato corretto.

  4. Prendere un punto sull'immagine lungo uno dei lati corti dell'asola.

  5. Prendere un secondo punto sul successivo lato lungo dell'asola.

  6. Prendere un punto sul rimanente lato corto.

Nota: i punti dovranno essere presi lungo una matrice circolare, in senso orario o antiorario.


Uso di dati wire-frame con la macchina CMM per un'asola quadrata

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per creare una misurazione di asola quadrata utilizzando i dati wire frame con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere due punti sul lato lungo dell'asola utilizzando il tastatore.

  2. Prendere un punto sul pezzo lungo il lato corto dell'asola.

  3. Prendere un secondo punto sul successivo lato lungo dell'asola.

  4. Prendere un punto sul rimanente lato corto.

Nota: i punti dovranno essere presi lungo una matrice circolare, in senso orario o antiorario.


Uso di dati wire-frame sullo schermo per un'asola quadrata

Per creare un'asola quadrata utilizzando i dati wire-frame CAD, effettuare le seguenti operazioni:

  1. Fare clic due volte in prossimità del filo desiderato sul lato lungo dell'asola. PC-DMIS evidenzia il filo selezionato.

  2. Verificare che sia selezionato l'elemento corretto.

  3. Prendere un punto sull'immagine lungo il lato corto dell'asola.

  4. Prendere un secondo punto sul successivo lato lungo dell'asola.

  5. Prendere un punto sul rimanente lato corto.

Nota: i punti dovranno essere presi lungo una matrice circolare, in senso orario o antiorario.


Misurazione senza utilizzare i dati CAD per un'asola quadrata

Per creare l'asola quadrata senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Individuare la superficie superiore utilizzando tre punti.

  2. Prendere due punti su uno dei lati lunghi dell'asola.

  3. Prendere un punto su ciascuno dei tre lati rimanenti dell'asola in senso orario. In totale dovranno essere presi otto punti.

Nota: i punti dovranno essere presi lungo una matrice circolare, in senso orario o antiorario.


Creazione di un cilindro automatico

Finestra di dialogo Cilindro

L'opzione di misurazione Cilindro consente di definire la misurazione di un cilindro. Questo tipo di misurazione è particolarmente utile quando è necessario prendere dei punti equidistanti per dei cilindri parziali. Per misurare un cilindro automatico è necessario prendere almeno sei punti.

Per accedere all'opzione Cilindro, aprire la finestra Cilindro (Inserisci | Elemento | Automatico | Cilindro). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi del cilindro

Misurazione di un cilindro

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi del cilindro

La riga di comando della finestra di modifica per un cilindro di esempio è la seguente:
F_ID=AUTO/CILINDRO, MOSTRATUTTIPARAM = SI/NO, MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK, TDIAM, TLUNG
REALE/ X,Y, Z,I,J,K, DIAM, LUNGH
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER1, ALTER2, ALTER3, ALTER4
MOVIM AUTO = S/N, DISTANZA = n, MISREL = none
LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N, NUM PUNTI =n, NUM RIGHE =n, INIZ =n PERM =n, DISTANZ =n, PASSO =n,
ANG INIZ = n, ANG FINE = n, QUOTA = n
VETT ANGOLO = I,J,K

Nota:TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

MOSTRA PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare il cilindro nella finestra Modifica.

MOSTRA TUTTI PARAM = Questo campo consente di attivare o disattivare le opzioni SÌ/NO per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, IN/OUT, DIRITTO, QUAD MIN, MOVIM AUTO, DISTANZA, MISREL, LEGGI POS, FIND HOLE, RIMISURA, USA TEOR, NUM PUNTI, NUM RIGHE, INIZ, PERM, DISTANZ, PASSO, ANG INIZ, ANG FIN, QUOTA e VETT ANGOLO nella finestra di modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo è un campo che può visualizzare alternativamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = campo commuta tra le opzioni IN e OUT. PC-DMIS determinerà il tipo di cilindro misurato in base alla posizione del tastatore al momento della presa del punto. (IN = all'interno del cilindro, OUT = all'esterno di un perno).

ALTER3 = In questo campo vengono attivate alternamente le opzioni CIRCOLARE e DIRITTO.

ALTER4 = In questo campo vengono attivate alternamente le opzioni QUAD_MIN, MAX_ISCR, MIN_CIRCOS, SEP_MIN e RAG_FISSO.

TEOR/ = Questo valore rappresenta il punto teorico. DNOM rappresenta il valore nominale del diametro. TLUNG é la lunghezza nominale del cilindro.

REALE/ = Questo valore rappresenta i punti misurati. DIAM rappresenta il valore misurato del diametro. TLUNG é la lunghezza misurata del cilindro.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternativamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

FIND HOLE = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente il posizionamento del tastatore ad una distanza di approccio sopra il centro teorico dell'elemento, ed il successivo spostamento lungo la perpendicolare al vettore della superficie dell'elemento per ricercare un foro, in base alla velocità di contatto. La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente.

RIMISURA = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente di rimisurare un elemento precedentemente misurato. I valori rilevati durante la prima misurazione verranno utilizzati come posizioni di destinazione per la seconda misurazione.

NUM PUNTI = Valore intero modificabile maggiore di cinque.

NUM RIGHE = Valore intero modificabile maggiore di uno.

INIZ / PERM = Questi valori rappresentano dei campi modificabili.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

PASSO = Questo valore consente di ottenere una maggiore precisione per i perni e i fori filettati.

ANG INIZ / ANG FIN = Questi valori indicano la parte dell'arco da misurare.

VETT ANGOLO = Questo campo indica la posizione definita come 0°, ossia l'origine, lungo il vettore perpendicolare. Questo valore è modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un cilindro

In PC-DMIS sono disponibili più metodi per la misurazione di un cilindro ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un cilindro

  • Uso di dati della superficie con la macchina CMM per un cilindro

  • Uso di dati della superficie sullo schermo per un cilindro

  • Uso di dati wire-frame sullo schermo per un cilindro

  • Misurazione senza utilizzare i dati CAD per un cilindro

In tutti i metodi, è importante che sia stato selezionato il tipo di elemento appropriato, FORO o PERNO. Vedere "Opzioni Foro e Perno". Controllare che sia stata selezionata l'opzione corretta.

Nota: tenere presente che alcune matrici di punti (ad esempio, due righe costituite da tre punti equidistanti oppure due righe costituite da quattro punti equidistanti) consentono di generare o misurare un cilindro perfetto in diversi modi. L'algoritmo Best Fit di PC-DMIS potrebbe quindi utilizzare una qualsiasi delle soluzioni disponibili per la misurazione del cilindro. Per ottenere risultati ottimali, si consiglia di utilizzare una matrice di punti univoca per i cilindri misurati.

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.

Vedere anche:

Note sulla corretta impostazione dei parametri di un cilindro


Uso di dati inseriti manualmente per un cilindro

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il cilindro. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un cilindro

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per generare un cilindro utilizzando i dati della superficie con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere tre punti sul foro osul perno.

  2. Spostare il tastatore a un'altra quota.

  3. Prendere tre punti aggiuntivi. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore.

I valori X, Y, Z riflettono la posizione del cilindro CAD più vicino, non i punti effettivamente presi. I, J, K riflettono il vettore perpendicolare alla superficie. Se non viene rilevato alcun cilindro CAD, PC-DMIS visualizzerà il punto più vicino e richiederà di prendere dei punti aggiuntivi.


Uso di dati della superficie sullo schermo per un cilindro

Per creare un cilindro utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Posizionare il puntatore all'interno o all'esterno del cilindro desiderato.

  3. Fare clic su tre posizioni intorno al cilindro. PC-DMIS evidenzia il cilindro selezionato. Quando viene indicato il sesto punto, i valori del punto centrale e del diametro ottenuti dai dati CAD del cilindro di elementi automatici selezionato vengono visualizzati nella finestra di dialogo.

  4. Impostare la lunghezza del cilindro digitando un valore nella casella Altezza.

  5. Fare clic sul pulsante Crea.


Uso di dati wire-frame sullo schermo per un cilindro

È anche possibile utilizzare i dati wire-frame CAD per creare un cilindro.

Per creare un cilindro utilizzando i dati wire-frame CAD, effettuare le seguenti operazioni:

  1. Fare clic accanto al filo desiderato sul cilindro. PC-DMIS evidenzia il filo selezionato.

  2. Verificare che sia selezionato l'elemento corretto.

La direzione di avvicinamento del tastatore è sempre perpendicolare all'elemento e al vettore della linea centrale del tastatore corrente. Quando viene indicato il filo, i valori del punto centrale e del diametro del cilindro selezionato vengono visualizzati nella finestra di dialogo.

Nota: se l'elemento CAD in questione non è un cilindro, un cerchio o un arco, potrebbe essere necessario fare clic su ulteriori punti per identificarlo. Se non viene evidenziato l'elemento corretto, fare clic su almeno altri due punti del cilindro.


Misurazione senza utilizzare i dati CAD per un cilindro

Per creare il cilindro senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla superficie per individuare il piano su cui si trova il cilindro.

  2. Prendere tre punti sul foro o sul perno.

  3. Prendere altri tre punti su un altro livello.

PC-DMIS calcola il cilindro di elementi automatici utilizzando tutti e sei i punti presi. Quando PC-DMIS non riesce ad identificare il tipo di elemento, è possibile prendere un punto tra due livelli. In tal caso, PC-DMIS utilizzerà i dati relativi a tutti i punti misurati finché non viene selezionato il pulsante Crea. I valori X, Y, Z visualizzati rappresentano il centro del cilindro o del perno misurato.


Note sulla corretta impostazione dei parametri di un cilindro

Assicurarsi di impostare i parametri Cilindro automatico quando si misura il perno, alrimenti il tastatore potrebbe passare sul pezzo o nello spazio. Quando si misura un perno o un foro, PC-DMIS assume che il perno si sollevi dal piano iniziale e quindi i valori positivi per Quota e Altezza rappresentano uno spostamento verso l'alto sul piano iniziale che viene misurato.

Misurazione di perni con la parte superiore del perno come superficie iniziale – Per questo esempio si assume che vengono rilevati tre punti sulla parte superiore del perno per definire il piano iniziale.

In questo caso, è necessario assegnare al cilindro un valore di Quota negativo in modo che il tastatore si sposti verso il basso lungo il perno, prendendo la prima riga di quattro punti sul perno stesso. Se viene fornito un valore positivo per Quota, PC-DMIS proverà a trovare il perno al di sopra del piano iniziale e sarà possibile spostare il tastatore nello spazio vuoto al di sopra del perno. Pertanto, in questo esempio, se la quota è stata impostata su -0.141, verranno presi i primi quattro punti per il cilindro -0.141 centimetri al di sotto del piano iniziale.

Inoltre, è necessario fornire il valore corretto per Altezza per il perno. Questa è la distanza dal piano iniziale su cui verrà presa la seconda riga di quattro punti. Poiché il piano iniziale si trova al di sopra del perno, il valore di Altezza deve essere un numero negativo. Se si desidera che PC-DMIS rilevi la seconda riga di punti un centimetro al di sotto del piano iniziale, allora è necessario specificare il valore –1.

Per il valore Spazio, se vengono presi tre punti sulla parte superiore del perno per il piano iniziale e quindi altri tre punti attorno al perno, sarà necessario impostare il valore di Distanziatore su un valore negativo in quanto il piano misurato si trova "all'interno" del perno sulla superficie superiore. In questo caso, uno spaziatore di -0.1 indica a PC-DMIS di prendere il punto iniziale 0.1 centimetri all'interno del limite del perno sul piano iniziale (sulla parte superiore del perno).

Misurazione di perni con la parte superiore della tabella come superficie iniziale – Per questo esempio si assume che vengono rilevati tre punti sulla superficie della tabella della macchina per definire il piano iniziale.

Poiché PC-DMIS assume che i perni si sollevino dal piano iniziale, i valori per Quota, Altezza e Spaziatore in questo caso saranno positivi. Con il valore di Quota impostato su 0.25 cm, PC-DMIS prenderà la riga iniziale di 4 punti 0.25 centimentri al di sopra del piano iniziale. Inoltre, con il valore Altezza del perno impostato su 1.25 cm, PC-DMIS prenderà la seconda riga di quattro punti 1.25 al di sopra del piano iniziale.

Misurazione di fori – Tenere presente che quando si misurano cilindri interni (o fori), PC-DMIS assume che i fori siano all'interno della superficie iniziale. Ciò significa valori positivi per la quota o l'altezza nel pezzo, al di sotto della superficie iniziale.


Creazione di un cono automatico

Finestra di dialogo Cono

L'opzione di misurazione Cono consente di definire la misurazione di un cono. Questo tipo di misurazione è particolarmente utile quando è necessario prendere dei punti equidistanti per dei coni parziali. Per misurare un cono automatico è necessario prendere almeno sei punti.

Per accedere all'opzione Cono, aprire la finestra Cono (Inserisci | Elemento | Automatico | Cono). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni campi del cono

Misurazione di un cono

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni campi del cono

La riga di comando della finestra di modifica per un cono di esempio è la seguente:
F_ID=AUTO/PUNTO VETTORE, MOSTRA TUTTI PARAM = SÍ/NO MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,TANG,TK
REALE/ X,Y, Z,I,J,K,DIAM,ANGOLO,ALTEZZA
DEST/destX,destY,destZ,destI,destJ,destK
SPESSORE_TEOR = n, ALTER1, ALTER2, ALTER3, ALTER4, ALTER5
ONERROR = S/N
MOVIM AUTO = S/N, DISTANZA = n, LEGGIMIS = S/N, LEGGI POS = S/N
NUMPUNTI =n, NUMRIGHE =n, INIZ =n PERM =n, DIST =n,
ANG INIZ = n, ANG FIN = n, QUOTA = n
VETT ANG = I,J,K

Nota: TEOR/ rappresenta la posizione teorica del punto. REALE/ rappresenta l’effettiva posizione del punto misurato.

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare il cerchio nella finestra di Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

MOSTRA TUTTI PARAM = Questo campo consente di attivare o disattivare le opzioni SÌ/NO per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, IN/OUT, DIRITTO, QUAD MIN, MOVIM AUTO, DISTANZA, MISREL, LEGGI POS, FIND HOLE, RIMISURA, USA TEOR, NUM PUNTI, NUM RIGHE, INIZ, PERM, DISTANZ, PASSO, ANG INIZ, ANG FIN, QUOTA e VETT ANGOLO nella finestra di modifica.

ANGOLO = Questo valore indica l'angolo del cono.

ALTEZZA = Questo valore indica l'altezza teorica del cono.

ALTEZZA= Questo valore indica l'altezza teorica del cono.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo è un campo che può visualizzare alternativamente X,Y, Z,I,J,K che verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = campo commuta tra le opzioni IN e OUT. PC-DMIS determinerà il tipo di cono misurato in base alla posizione del tastatore al momento della presa del punto. (IN = all'interno del cono, OUT = all'esterno di un perno).

ALTER3 = In questo campo vengono attivate alternamente le opzioni CIRCOLARE e DIRITTO.

ALTER4= Questo campo consente di attivare alternamente i valori SÌ e NO d ell'opzione ONERROR. Si veda "On Error" per ulteriori informazioni.

TEOR/ = Questo valore rappresenta il punto di destinazione. DNOM rappresenta il valore nominale del diametro.

REALE/ = Questo valore rappresenta i punti misurati. DIAM rappresenta il valore misurato del diametro.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternativamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

NUM_PUNTI = Valore intero, modificabile e maggiore di cinque.

NUM_RIGHE = Valore intero, modificabile e maggiore di uno.

INIZ / PERM = Questi valori rappresentano dei campi modificabili.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

ANG INIZ / ANG FIN = Questi valori indicano la parte dell'arco da misurare.

VETT ANGOLO = Questo campo indica la posizione definita come 0°, ossia l'origine, lungo il vettore perpendicolare. Questo valore è modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un cono

In PC-DMIS sono disponibili più metodi per la misurazione di un cono, ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un cono

  • Uso di dati della superficie con la macchina CMM per un cono

  • Uso di dati della superficie sullo schermo per un cono

  • Uso di dati wire-frame sullo schermo per un cono

  • Misurazione senza utilizzare i dati CAD per un cono

In tutti i metodi, è importante che sia stato selezionato il tipo di elemento appropriato, FORO o PERNO. Vedere "Opzioni Foro e Perno". Controllare che sia stata selezionata l'opzione corretta.

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un cono

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il cono. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per un cono

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per generare un cono utilizzando i dati della superficie con la macchina CMM, effettuare le seguenti operazioni:

  1. Prendere tre punti sul foro osul perno.

  2. Spostare il tastatore a un'altra quota.

  3. Prendere tre punti aggiuntivi. PC-DMIS eseguirà la foratura della superficie CAD in prossimità del punto di contatto del tastatore.

I valori X, Y, Z riflettono la posizione del cono CAD più vicino, non i punti effettivamente presi. I, J, K riflettono il vettore perpendicolare alla superficie. Se non viene rilevato alcun cono CAD, PC-DMIS visualizzerà il punto più vicino e richiederà di prendere dei punti aggiuntivi.


Uso di dati della superficie sullo schermo per un cono

Per creare un cono utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Posizionare il puntatore all'interno o all'esterno del cono desiderato.

  3. Fare clic su tre posizioni attorno al bordo principale del cono. PC-DMIS evidenzia il cono selezionato.

  4. Fare clic sulla superficie vicino al bordo opposto del cono per prendere altri tre punti.

Affinché PC-DMIS possa calcolare i dati X, Y, Z e I, J, K richiesti, è necessario selezionare almeno sei punti. Quando viene indicato il sesto punto, i valori del punto centrale e del diametro ottenuti dai dati CAD del cono su lamiera selezionato vengono visualizzati nella finestra di dialogo.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS calcolerà la media di tutti i punti.


Uso di dati wire-frame sullo schermo per un cono

È anche possibile utilizzare i dati wire-frame CAD per creare un cono.

Per generare un cono utilizzando i dati wire-frame CAD, effettuare le seguenti operazioni:

  1. Fare clic accanto al filo desiderato sul cono. PC-DMIS evidenzia il filo selezionato. In questo modo si ottengono il centro del cono, il vettore della superficie e il diametro.

  2. Fare clic su un altro filo che rappresenta l'estremo opposto del cono per calcolare l'angolo.

La direzione di avvicinamento del tastatore è sempre perpendicolare all'elemento e al vettore della linea centrale del tastatore corrente. Quando viene indicato il filo, i valori del punto centrale e del diametro del cono selezionato vengono visualizzati nella finestra di dialogo.

Nota: se l'elemento CAD in questione non è un cono, un cerchio o un arco, potrebbe essere necessario fare clic su ulteriori punti per identificarlo. Se non viene evidenziato l'elemento corretto, fare clic su almeno altri due punti del cono.


Misurazione senza utilizzare i dati CAD per un cono

Per generare un cono senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla superficie per individuare il piano su cui si trova il cono.

  2. Prendere tre punti sul foro o sul perno allo stesso livello.

  3. Prendere almeno 1 punto ad un livello inferiore o superiore rispetto ai primi tre punti (prendere un massimo di tre punti per ottenere una più precisa definizione del cono).


Creazione di una sfera automatica

Finestra di dialogo Sfera

L'opzione degli elementi automatici Sfera consente di definire la misurazione di una sfera. Questo tipo di misurazione è particolarmente utile quando la sfera si trova su un piano non parallelo ai piani di lavoro. Per misurare una sfera automatica è necessario prendere almeno quattro punti.

Per accedere all'opzione Sfera, aprire la finestra Sfera (Inserisci | Elemento | Automatico | Sfera). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni dei campi della sfera

Misurazione di una sfera

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni dei campi della sfera

La riga di comando della finestra di modifica per una sfera di esempio è la seguente:
F_ID=AUTO/SFERA, MOSTRA TUTTI I PARAM= S/N,
MOSTRA PUNTI = NO
TEOR/ TX,TY,TZ,TI,TJ,TK TDIAM
REALE/ X,Y, Z,I,J,K, DIAM
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE = n, ALTER1, ALTER2
MOVIM AUTO = S/N, DISTANZA = n
NUM PUNTI =n, NUM RIGHE =n, INIZ =n, PERM =n, DISTANZ=n
ANG INIZ1 = n, ANG FIN1 = n
ANG INIZ2 = n, ANG FIN2 = n
VETT ANGOLO = I,J,K

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare la sfera nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

MOSTRATUTTIPARAM = Questo campo consente di attivare alternativamente le opzioni SI/NO per scegliere se PC-DMIS visualizza i campi SPESSORE_TEOR, RETT/POL, MOVIM AUTO, DISTANZA, NUM PUNTI, NUM RIGHE, INIZ, PERM, DISTANZ, ANG INIZ1, ANG INIZ2, ANG FIN1, ANG FIN2 e VETT ANGOLO nella finestra di modifica.

SPESSORE = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = campo commuta tra le opzioni IN e OUT. PC-DMIS determinerà il tipo di sfera misurata in base alla posizione del tastatore al momento in cui viene preso il punto.

TEOR/ = Questo valore rappresenta il punto teorico. DNOM rappresenta il valore nominale del diametro.

REALE/ = Questo valore rappresenta il punto misurato. DIAM rappresenta il valore misurato del diametro.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

NUM_PUNTI = Valore intero modificabile maggiore di tre.

NUM RIGHE = Valore intero modificabile maggiore di uno.

INIZ / PERM = Questi valori rappresentano dei campi modificabili.

TOLL = Questo valore rappresenta una distanza modificabile.

ANG INIZ1 / ANG FIN1 = Questi valori modificabili rappresentano l'angolo iniziale e finale della sfera.

ANG INIZ2 / ANG FIN2 = Questi valori modificabili indicano la parte dell'arco da misurare.

VETT ANGOLO = Questo campo indica la posizione definita come 0°, ossia l'origine, lungo il vettore perpendicolare. Questo valore è modificabile.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di una sfera

In PC-DMIS sono disponibili più metodi per la misurazione di una sfera utilizzando l'opzione per gli elementi automatici, ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per una sfera

  • Uso di dati della superficie con la macchina CMM per una sfera

  • Uso di dati della superficie sullo schermo per una sfera

  • Uso di dati wire-frame sullo schermo per una sfera

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per una sfera

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per la sfera. Fare riferimento a "Elenco Modalità" per ulteriori informazioni sui nominali.


Uso di dati della superficie con la macchina CMM per una sfera

Per questo metodo di misurazione è necessario attivare l'opzione Trova nominali. Per ulteriori informazioni sull'opzione Trova nominali, fare riferimento alla sezione "Elenco Modalità".

Per generare una sfera usando dati di superficie con la CMM, toccare la sfera in quattro posizioni con il tastatore.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS individuerà la sfera migliore accanto ai punti misurati.


Uso di dati della superficie sullo schermo per una sfera

Per creare una sfera utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Posizionare il puntatore nella finestra di visualizzazione grafica per indicare la sfera desiderata.

  3. Fare clic con il pulsante sinistro del mouse.

  4. Prendere almeno altri due punti sulla sfera.

Una volta rilevati i punti, nella finestra di dialogo viene visualizzato il valore del vettore e della sfera selezionata.


Uso di dati wire-frame sullo schermo per una sfera

Per creare una sfera utilizzando i dati wire-frame CAD, effettuare le seguenti operazioni:

  1. Selezionare la sfera da misurare. PC-DMIS evidenzierà la sfera selezionata, se disponibile. Se viene selezionato un diverso elemento, prendere altri due punti.

  2. Verificare che sia selezionato l'elemento corretto.

Una volta rilevata la sfera, nella finestra di dialogo viene visualizzato il valore del vettore e della sfera DCC selezionata.


Creazione di un poligono automatico

Finestra di dialogo Poligono

La finestra di dialogo Poligono consente di definire e inserire un elemento automatico Poligono nel part-program. Un poligono è un qualsiasi elemento costituito da tre o più lati di uguale distanza. Ad esempio, gli esagoni o gli ottagoni sono poligoni. Questo elemento automatico è utilizzato principalmente per misurare gli elementi principali.

Per definire e inserire l'opzione Poligono, accedere alla finestra di dialogo Poligono dell'elemento automatico (Inserisci | Elemento | Automatico | Poligono). Visualizza mappa percorsi dei menu

Vedere anche:

Definizioni di campi per i poligoni

Misurazione di un poligono

Close button Create buttonAuto areaAdvanced / Basic buttonsMisc areaID boxCenter Location areaAuto Feature Type listProperties areaOrientation areaFeature Paths and Orientation


Definizioni di campi per i poligoni

La riga di comando della finestra di modifica per un poligono di esempio è la seguente:

POL1 =AUTO/POLIGONO, MOSTRATUTTIPARAM = S/N, MOSTRA PUNTI = S/N

TEOR/TX,TY,TZ,TI,TJ,TK,TDIAM,TALTEZZA,TANGI,TANGJ,TANGK

REALE/X,Y, Z,I,J,K,DIAM,TALTEZZA,ANGI,ANGJ,ANGK

DEST/targX,targY,targZ,targI,targJ,targK,targAngleI,targAngleJ,targAngleK

SPESSORE_TEOR= nALTER1,ALTER2,ALTER3,ONERROR=S/N,$

MOVIM AUTO = S/N, DISTANZA = n, ,MISREL= None,None,None,$

LEGGI POS = S/N, TROVA FORO = S/N, RIMISURA = S/N,$

NUM PUNTI = n, NUMFACCE = n, RAGGIO = n, INIZ = n, PERM = n, DISTANZ = n,$

MIS/POLIGONO

FINE_MIS/

MOSTRA_TUTTI_PARAM = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i campi SPESSORE_TEOR, RETT/POL, AGGANCIA, MOVIM AUTO e DISTANZA nella finestra di modifica.

MOSTRA_PUNTI = Questo campo consente di attivare alternamente le opzioni SÌ/NO, per scegliere se PC-DMIS dovrà visualizzare i punti utilizzati per creare il cerchio nella finestra Modifica.

Se si ricevono i dati di punto da DMIS o si modifica manualmente almeno uno dei valori X, Y, Z, I, J o K del punto, PC-DMIS non genera nuovamente i punti sulla base del valore teorico dell'elemento quando esegue il part-program. Al contrario, utilizza i dati di punto forniti per tutte le misurazioni. Tuttavia, se si modifica uno dei parametri dell'elemento riportati di seguito, i dati di punto forniti verranno ignorati e i punti verranno rigenerati in base al parametro modificato. I parametri sono: "NUM_PUNTI", "VETT ANGOLO", "DIAMETRO", "LUNGH", "LARGH", "ALTEZZA", "IN OUT", "ANGOLO INIZIALE", "ANGOLO FINALE", "PASSO", "ANGOLO", "WIDTH MINMAX", "MAJOR DIAM", "MINOR DIAM" e "NUM RIGHE".

TEOR/ = Questo valore rappresenta il centro teorico e i dati del vettore per l'elemento. DNOM rappresenta il valore nominale del diametro. Per poligoni comuni con un numero di facce pari, il diametro è dato dalla distanza tra due lati opposti. Per altri poligoni, come ad esempio un triangolo equilatero, è due volte il raggio del cerchio più grande che si può iscrivere all'interno del poligono.

REALE/ = Questo valore rappresenta il centro misurato e i dati del vettore per l'elemento. DIAM rappresenta il valore misurato del diametro.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

SPESSORE = Questo valore modificabile inserito manualmente indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

ALTER1 = Questo campo può visualizzare alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

ALTER2 = In questo campo vengono attivate alternatamente le opzioni IN e OUT. PC-DMIS determinerà il tipo di cerchio misurato in base alla posizione del tastatore al momento della presa del punto. (IN = all'interno del cerchio, OUT = all'esterno di un perno).

ALTER3 = questo campo cambia tra le opzioni CIRCOLARE e LINEARE. Indica il tipo di movimento, lineare o circolare, utilizzato da PC-DMIS durante l'esecuzione dell'elemento.

ON ERROR = Questo è un campo SÍ/NO che consente di controllare le condizioni di errore inaspettate, quando PC-DMIS rileva un punto imprevisto o non ne rileva alcuno.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

MISREL = Questo valore indica la posizione e l'orientamento relativi tra un elemento specificato e l'elemento automatico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

FIND HOLE = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente il posizionamento del tastatore ad una distanza di approccio sopra il centro teorico dell'elemento, ed il successivo spostamento lungo la perpendicolare al vettore della superficie dell'elemento per ricercare un foro, in base alla velocità di contatto. La ricerca continua finché non viene preso il primo punto sulla superficie, per indicare che non è presente alcun foro, oppure finché non viene raggiunta la distanza di controllo, per indicare che il foro è presente.

RIMISURA = In questo campo viene attivata alternamente l'opzione SÌ/NO che consente di rimisurare un elemento precedentemente misurato. I valori rilevati durante la prima misurazione verranno utilizzati come posizioni di destinazione per la seconda misurazione.

NUM PUNTI = Questo valore modificabile deve essere un intero maggiore o uguale a 1. Esso definisce quanti punti vengono rilevati per faccia. Notare, tuttavia, che PC-DMIS prende sempre due o più punti sulla prima faccia per determinare il vettore angolo dell'elemento.

NUM FACCE = Questo valore modificabile deve essere un numero intero maggiore o uguale a tre. Esso definisce il numero di facce del poligono.

RAGGIO = Questo valore modificabile definisce un raggio per ogni angolo del poligono. Quando prende i punti, PC-DMIS si sposta lungo la faccia di questa quantità. Ciò evita di prendere i punti direttamente negli angoli.

INIZ / PERM = Questi valori sono campi modificabili che definiscono punti di campionamento iniziali e permanenti.

DISTANZ / QUOTA = Questi valori rappresentano distanze modificabili.

Fare riferimento a "Opzioni della finestra di dialogo Elemento automatico" per le linee guida sulla misurazione di elementi automatici.


Misurazione di un poligono

Creazione di un poligono automatico mediante il modello CAD

  1. Accedere alla finestra Poligono (Inserisci | Elemento | Automatico | Poligono). Visualizza mappa percorsi dei menu

  2. Nella casella Num. facce, definire il numero di facce del poligono.

  3. Fare clic sul poligono desiderato nella finestra di visualizzazione grafica. PC-DMIS immetterà le informazioni del punto centrale per il poligono e disegnerà alcune linee di percorso preliminari. Quando si apportano delle modifiche, PC-DMIS aggiornerà dinamicamente il percorso.

  4. Nella casella Numero di punti, definire il numero di punti che si desidera vengano presi da PC-DMIS durante la misurazione di ciascuna faccia. PC-DMIS prenderà sempre almeno due punti sulla prima faccia dell'elemento per determinare il vettore angolo dell'elemento stesso.

  5. Nell'area Orientazione, determinare se il poligono è interno o esterno selezionando Foro o Perno rispettivamente.

  6. Nella casella Raggio angolo, definire un raggio dell'angolo. Tale raggio determina la distanza dagli angoli dei punti presi da PC-DMIS sulle facce del poligono. Ciò evita di prendere i punti direttamente negli angoli.

  7. Nella casella Diametro, verificare di aver specificato il diametro corretto per il poligono. Per poligoni comuni con un numero di facce pari, il diametro è dato dalla distanza tra due lati opposti. Per altri poligoni, come ad esempio un triangolo equilatero, è due volte il raggio del cerchio più grande che si può iscrivere all'interno del poligono. PC-DMIS fornisce automaticamente questo valore quando si fa clic sul poligono.

  8. Se necessario, selezionare altre opzioni.

  9. Fare clic su Crea. PC-DMIS inserisce l'elemento automatico Poligono nel part program.

Per creare un poligono automatico immettendo i dati:

se si conoscono i dati teorici per il poligono, è possibile creare un poligono immettendo semplicemente tali dati nei campi appropriati. Dalla finestra Poligono, specificare le informazioni sul centro XYZ e sul vettore IJK. Definire il numero di facce, il numero di punti, il diametro e il raggio angolo. Una volta terminato, fare clic su Crea.

Per creare un poligono automatico mediante il CMM:

È possibile ottenere la posizione del poligono automatico senza utilizzare i dati CAD prendendo i punti sul pezzo mediante il tastatore della macchina. Completare i campi nella finestra con le informazioni necessarie, con la finestra Poligono ancora aperta, quindi prendere un punto su una delle facce del poligono. Dopo il primo punto, la barra di stato nella parte inferiore della finestra riporterà delle altre istruzioni. Seguire i prompt visualizzati sulla barra di stato per completare il processo di creazione del poligono. Una volta terminato, fare clic su Crea.


Impostazione della misura relativa

Visualizza mappa percorsi dei menu

L'opzione di menu Inserisci | Cambio parametri | Misura relativa automatica consente di impostare la modalità di misurazione relativa per gli elementi automatici. Quando si seleziona questa opzione, PC-DMIS inserisce un comando MISREL nella finestra di modifica e imposta una delle seguenti modalità:

  • Modalità Normale (utilizza il vettore dell'elemento MISREL)

  • Modalità Assoluta (non utilizza il vettore dell'elemento MISREL)

È necessario inserire il comando MISREL nel part program prima di utilizzare l'area Misura relativa nella finestra di dialogo Elemento automatico. Per ulteriori informazioni, fare riferimento a "Area Misurazione relativa".

Vedere anche:

Modalità assoluta

Modalità normale


Modalità assoluta

Quando ad un elemento automatico viene associato un elemento di misura relativa (vedere "Area Misura relativa"), PC-DMIS misura l'elemento automatico utilizzando una posizione che viene definita sul piano dell'elemento MISREL.

Esempio: si assuma di misurare un piano (PIANO) e che un cerchio automatico (CIR1) faccia riferimento al piano come elemento MISREL ad esso associato. Quando si misura CIR1, PC-DMIS esegue la misurazione nel piano di riferimento (PIANO). Vedere "Processo matematico della modalità ASSOLUTA:".

La riga di comando della finestra di modifica per questa opzione è la seguente:

MISREL/ASSOLUTA

Vedere anche:

Processo matematico della modalità ASSOLUTA:


Processo matematico della modalità ASSOLUTA:

Utilizzando i valori numerici presi dagli elementi di esempio inclusi nella tabella di seguito, effettuare le seguenti operazioni per comprendere il funzionamento dell'opzione MISREL quando è impostato in modalità ASSOLUTA.

  1. Creare un sistema di coordinate (matrice di conversione) utilizzando i valori XYZ IJK dell'elemento MISREL reale.

  2. Spostare i valori nominali dell'elemento automatico XYZ nel sistema di coordinate MISREL.

  3. Azzerare il valore Z e riportare i valori XYZ nel sistema di coordinate PEZZO.

  4. Se l'elemento MISREL è riducibile ad un piano, copiare i valori IJK dell'elemento MISREL nell'elemento automatico.

Elemento di esempio | XYZ | IJK
Elemento MISREL reale (piano): | 2,2,1 | 0,0,1
Elemento automatico nominale (cerchio): | 0,0,0 | 0, 0,7071, 0,7071
Nuovo elemento automatico nominale: | 0,0,1 | 0,0,1


Modalità normale

La modalità Normale prende in considerazione l'orientamento dell'elemento di riferimento. Questo metodo deve essere utilizzato nel 99% dei casi.

Si prenda ad esempio il caso di un cerchio automatico creato prendendo tre punti di campionamento. PC-DMIS prende prima tre punti di campionamento sulla superficie esterna al cerchio, quindi misura il cerchio in base alla posizione del piano e all'orientamento del vettore perpendicolare alla superficie. Se il piano è inclinato a 45 gradi, PC-DMIS misurerà anche il cerchio automatico in base allo stesso angolo.

Allo stesso modo, se l'elemento in base al quale è stata eseguita la misurazione relativa è ruotato rispetto all'orientamento originale, l'elemento associato verrà misurato utilizzando lo stesso offset di rotazione.

La modalità Normale presenta inoltre alcuni vantaggi rispetto alla modalità Assoluta poiché l'offset dell'elemento principale viene eseguito esclusivamente lungo gli assi validi per il tipo di elemento di riferimento. Ad esempio, l'offset di un piano verrà eseguito esclusivamente lungo il relativo vettore della perpendicolare.

La riga di comando della finestra di modifica per questa opzione è la seguente:

MISREL/NORMALE

Vedere anche:

Processo matematico della modalità NORMALE


Processo matematico della modalità NORMALE

Utilizzando i valori numerici presi dagli elementi di esempio inclusi nella tabella di seguito, effettuare le seguenti operazioni per comprendere il funzionamento dell'opzione MISREL quando è impostato in modalità NORMALE.

  1. Creare un sistema di coordinate (matrice di conversione) in base ai valori XYZ IJK dell'elemento MISREL nominale.

  2. Spostare i valori nominali dell'elemento automatico XYZ e IJK nel sistema di coordinate MISREL.

  3. Creare un nuovo sistema di coordinate in base ai valori XYZ IJK dell'elemento MISREL reale.

  4. A questo punto, riportare i valori XYZ e IJK convertiti dell'elemento automatico nel sistema di coordinate del PEZZO utilizzando il sistema di coordinate MISREL.

  5. Utilizzare i nuovi valori nominali XYZ e IJK per misurare l'elemento automatico.

Elemento di esempio | XYZ | IJK
Elemento MISREL nominale (cerchio): | 0,0,2 | 0,0,1
Elemento automatico nominale (cerchio): | 2,1,0 | .7071,0,.7071
Elemento MISREL reale: | -1,0,1 | -.7071,0,.7071
Nuovo elemento automatico nominale: | 1.8284,1,-1 | 0,0,1


Creazione di elementi misurati

Creazione di elementi misurati: Introduzione

Informazioni sul Formato dei Comandi

Formato base di misura di un cerchio

Formato base di misura di un cono

Formato base di misura di un cilindro

Formato base di misura di una linea

Formato base di misura di un piano

Formato base di misura di un punto

Formato base di misura di una sfera

Inserimento di un Elemento Misurato

Stima di un Tipo di Elemento Misurato

Come forzare l'inserimento di un determinato Tipo di Elemento Misurato

Modifica di un Elemento Misurato

Descrizione della finestra di dialogo Elemento Misurato

Nome Elemento

Numero di punti

Tipo di Riferimento

Tipo di matematica per best-fit

Rigenerazione Rilevazione Bersagli

Copia su misurati

Sistema di coordinate

Formato di definizione angolare

Tipo di elemento circolare

Formato di Definizione Linea

Dati teorici elemento

Rilevazione Bersagli

Descrizione della finestra di dialogo Punti Misurati

Modifica rilevazioni di base per mezzo del Tastatore

Sovrascrivi il Misurato di un Elemento Stimato

Creazione di insiemi di elementi misurati


Creazione di elementi misurati: Introduzione

Ogni volta che si prendono punti su un pezzo, PC-DMIS interpreta questi punti come elementi differenti, a seconda del numero, dei vettori e così via. Da questi punti, PC-DMIS crea elementi misurati. PC-DMIS supporta i seguenti elementi misurati:

  • Punto misurato

  • Linea misurata

  • Piano misurato

  • Sfera misurata

  • Cilindro misurato

  • Cono misurato

  • Cerchio misurato

Questi elementi verranno descritti dettagliatamente in "Informazioni sul formato dei comandi".

In questa sezione verranno trattati i seguenti argomenti:

  • Informazioni sul Formato dei Comandi

  • Inserimento di un Elemento Misurato

  • Modifica di un Elemento Misurato

  • Sovrascrivi il Misurato di un Elemento Stimato

  • Creazione di insiemi di elementi misurati

Nota: è anche possibile inserire elementi misurati nel proprio part program utilizzando la barra degli strumenti Avvio rapido. Per informazioni, vedere l'argomento "Avvio Rapido: barra degli strumenti Misura" della sezione "Uso delle barre degli strumenti" .


Informazioni sul formato dei comandi

Gli Elementi Misurati sono visualizzati con il formato seguente, in modalitá Comandi nella Finestra di Modifica, con variazioni che verranno spiegate piú in dettaglio nei paragrafi che seguono. Il contenuto effettivo del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Ad esempio:

nome_elemento=ELEM/TIPO_ELEMENTO,ALTER1,ALTER4
TEOR/TX,TY,TZ,TI,TJ,TK,TD,TL
REALE/X,Y, Z,I,J,K,D,L
MIS/ALTER2,ALTER3,
PUNTO/ALTER5,TX,TY,YZ,TI,TJ,TK,X,Y, Z,USA_TEOR=ALTER6
FINE MIS/

nome_elemento: Visualizza il nome dell'elemento. Questo campo può essere modificato.

TIPO_ELEMENTO:Indica il tipo di elemento ed è uguale a ALTER2, ma non può essere modificato, attivato o disattivato.

Indica che il testo che segue è specifico per ogni elemento.

ALTER1: Questo campo è presente in tutti gli elementi e può essere impostato su RETT / POL. Se nel campo è stato impostato il valore RETT, tutti i punti vengono rappresentati nel sistema cartesiano (x, y, z); se è stato impostato il valore POL, tutti i punti vengono visualizzati nel sistema polare (se è stato impostato il valore POL, tutti i punti vengono visualizzati nel sistema). I vettori non vengono modificati.

ALTER2: Questo campo è presente in tutti gli elementi misurati e può essere impostato su:
CERCHIO / CONO / CURVA / CILINDRO / LINEA / PIANO / PUNTO / INSIEME / ASOLA / SFERA

PUNTO è il tipo di elemento predefinito quando si apre per la prima volta la riga di comando di misurazione in un part-program. Il tipo predefinito di elemento diviene il tipo dell'ultimo elemento misurato.

ALTER3:Questo campo rappresenta il numero di punti che verranno presi, in base al tipo di elemento visualizzato in ALTER2. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 1 punto = 1 riga PUNTO/BASE, 3 punti = 3 righe PUNTO/BASE. Viene indicato come valore predefinito il numero minimo richiesto.

ALTER4: Questo campo contiene valori specifici determinati in base al tipo di elemento rappresentato in ALTER2. È possibile attivare alternatamente LIM/ILLIM per gli elementi lineari, IN/OUT per gli elementi circolari e LUNGH/ANGOLO per gli elementi angolari.

ALTER5:Questo campo rappresenta il tipo di punto da prendere:
BASE.

ALTER6:Questo campo permette di decidere se usare o meno il vettore teorico come vettore di approccio al punto. Il valore predefinito é Sí. Se si imposta NO, PC-DMIS calcola il vettore di approccio sottraendo il punto teorico(X,Y, Z) dalla posizione corrente del tastatore.

TX,TY,TZ,TI,TJ,TK: Questi numeri (TX,TY,TZ) rappresentano i valori teorici del vettore di destinazione e del vettore di approccio (TI,TJ,TK) e sono modificabili da parte dell’operatore.

TD, Nel caso di elementi circolari questo numero è il diametro teorico.

X,Y, Z,I,J,K: Questi valori non sono modificabili e rappresentano il punto misurato ed il vettore di approccio misurato.

D: Nel caso di elementi circolari questo numero é il diametro misurato.

TL: É la lunghezza teorico degli elementi dotati di lunghezza.

L: É la lunghezza misurata degli elementi dotati di lunghezza.

Vedere anche:

Formato base di misura di un cerchio

Formato base di misura di un cono

Formato base di misura di un cilindro

Formato base di misura di una linea

Formato base di misura di un piano

Formato base di misura di un punto

Formato base di misura di una sfera


Formato base di misura di un cerchio

Visualizza mappa percorsi dei menu

Un cerchio richiede almeno tre punti.

Nome_elemento=ELEM/CERCHIO,ALTER1,ALTER4,ALTER6
TEOR/TX,TY,TZ,TI,TJ,TK,TD
REALE/X,Y, Z,I,J,K,D
MIS/CERCHIO,ALTER3,ALTER7
...
FINE_MIS/

ALTER1= Questo campo puó commutare in RETT / POL.

ALTER3= Questo valore può essere modificato ed è determinato dall'elemento misurato. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 3 punti = 3 righe PUNTO/BASE, 5 punti = 5 righe PUNTO/BASE.

ALTER4= In questo campo è possibile attivare alternatamente IN o OUT.

ALTER6= In questo campo è possibile attivare alternatamente i vari tipi best fit. Le opzioni disponibili sono le seguenti: QUAD_MIN, SEP_MIN, MAX_ISCR, MIN_CIRCOS e RAG_FISSO.

ALTER7= In questo campo è possibile attivare alternatamente i vari tipi di riferimenti. I riferimenti disponibili sono i seguenti: ELEMENTO, 3D, PIANO LAVORO, X+, Y+, Z+, X-, Y-, Z-.

...= Al posto dei puntini vengono inseriti tutti i punti necessari.


Formato base di misura di un cono

Visualizza mappa percorsi dei menu

Un cono richiede almeno sei punti.

Nome_elemento=ELEM/CONO,ALTER1,ALTER4,ALTER5
TEOR/TX,TY,TZ,TI,TJ,TK,TL,TD1,TD2
REALE/X,Y, Z,I,J,K,L,D1,D2
MIS/CONO,ALTER3
...
FINE_MIS/

ALTER1= Questo campo puó commutare in RETT / POL.

ALTER3= Questo valore può essere modificato ed è determinato dall'elemento misurato. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 6 punti = 6 righe PUNTO/BASE, 11 punti = 11 righe PUNTO/BASE.

ALTER4= In questo campo è possibile attivare alternatamente IN o OUT.

ALTER5= In questo campo è possibile attivare alternatamente LUNGH o ANGOLO.

...= Al posto dei puntini vengono inseriti tutti i punti necessari.

TD1,TD2= sono I due diametri teorici del cono.

D1,D2= Sono i due dieametri misurati reali del cono


Formato base di misura di un cilindro

Visualizza mappa percorsi dei menu

Un cilindro richiede almeno sei punti.

Nome_elemento=ELEM/CILINDRO,ALTER1,ALTER4,ALTER6
TEOR/TX,TY,TZ,TI,TJ,TK,TD,TL
REALE/X,Y, Z,I,J,K,D,L
MIS/CILINDRO,ALTER3
...
FINE_MIS/

ALTER1= Questo campo può commutare in RETT / POL.

ALTER3= Questo valore può essere modificato ed è determinato dall'elemento misurato. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 6 punti = 6 righe PUNTO/BASE, 11 punti = 11 righe PUNTO/BASE.

ALTER4= In questo campo è possibile attivare alternatamente IN o OUT.

ALTER6= In questo campo è possibile attivare alternatamente i vari tipi best fit. Le opzioni disponibili sono le seguenti: QUAD_MIN, SEP_MIN, MAX_ISCR, MIN_CIRCOS e RAG_FISSO.

...= Al posto dei puntini vengono inseriti tutti i punti necessari.

Nota: Se si crea un cilindro misurato con piú di due righe, ed in seguito si modifica il Numero di Punti nella finestra di dialogo Cilindro Misurato , PC-DMIS manterrá invariato il numero di righe.


Formato base di misura di una linea

Visualizza mappa percorsi dei menu

Una linea richiede almeno due punti.

Nome_elemento=ELEM/LINEA,ALTER1,ALTER4
TEOR/TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
MIS/LINEA,ALTER3,ALTER7
...
FINE_MIS/

ALTER1= Questo campo può commutare in RETT / POL.

ALTER3= Questo valore può essere modificato ed è determinato dall'elemento misurato. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 2 punti = 2 righe PUNTO/BASE, 3 punti = 3 righe PUNTO/BASE.

ALTER4= Questo campo può essere LIM / ILLIM.Se impostato su LIM, i campi TEOR e REALE non visualizzano più le informazioni sul vettore ma mostrano i valori XYZ per il secondo punto insieme al primo. Fare riferimento alla sezione "Formato di definizione linea".

ALTER7= In questo campo è possibile attivare alternatamente i vari tipi di riferimenti. I riferimenti disponibili sono i seguenti: ELEMENTO, 3D, PIANO LAVORO, X+, Y+, Z+, X-, Y-, Z-.

...= Al posto dei puntini vengono inseriti tutti i punti necessari.

Linee |Misurate e Piani di Lavoro

Creando una linea misurata, PC-DMIS si aspetta che i punti della linea siano rilevati secondo un vettore perpendicolare al piano di lavoro corrente.

Per esempio, se il piano di lavoro corrente é Z+(vettore 0,0,1) ed il pezzo ha la forma di un parallelepipedo, i punti vanno rilevati su una faccia verticale del pezzo, frontale oppure laterale.

Se si vuole rilevare una linea sulla faccia superiore del parallelepipedo, si dovrá impostare come piano di lavoro X+, X-, Y+ o Y-, a seconda della direzione della linea.

Si veda l’argomento "Lista Piani di Lavoro" per informazioni su come cambiare il piano di lavoro.


Formato base di misura di un piano

Visualizza mappa percorsi dei menu

Un piano richiede almeno tre punti.

Nome_elemento=ELEM/PIANO,ALTER1
TEOR/TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
MIS/PIANO,ALTER3
...
FINE_MIS/

ALTER1= Questo campo può commutare in RETT / POL.

ALTER3= Questo valore può essere modificato ed è determinato dall'elemento misurato. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 3 punti = 3 righe PUNTO/BASE, 8 punti = 8 righe PUNTO/BASE.

...= Al posto dei puntini vengono inseriti tutti i punti necessari.


Formato base di misura di un punto

Visualizza mappa percorsi dei menu

Un elemento punto richiede un solo punto.

Nome_elemento=ELEM/PUNTO,ALTER1
TEOR/TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
MIS/PUNTO,ALTER3
PUNTO/�
FINE MIS/

ALTER1= Questo campo può commutare in RETT / POL.

ALTER3=Elenca il numero di punti che devono essere rilevati, per misurare questo elemento. Poiché l’elemento punto contiene un punto solo, il campo numero punti in questo caso non é modificabile.

...= Al posto dei puntini viene inserito un unico punto.


Formato base di misura di una sfera

Visualizza mappa percorsi dei menu

Una sfera richiede almeno quattro punti.

Nome_elemento=ELEM/SFERA,ALTER1,ALTER4
TEOR/TX,TY,TZ,TI,TJ,TK,TD
REALE/X,Y, Z,I,J,K,D
MIS/SFERA,ALTER3
...
FINE_MIS/

ALTER1= Questo campo può commutare in RETT / POL.

ALTER3= Questo valore può essere modificato ed è determinato dall'elemento misurato. La riga PUNTO varia in base al numero di punti impostati dall'utente. Ad esempio, 4 punti = 4 righe PUNTO/BASE, 7 punti = 7 righe PUNTO/BASE.

ALTER4= In questo campo è possibile attivare alternatamente IN o OUT.

...= Al posto dei puntini vengono inseriti tutti i punti necessari.


Inserimento di un elemento misurato

PC-DMIS consente di inserire elementi misurati nel proprio part-program interpretando i punti del tastatore ed eseguendo una stima del tipo di elemento appropriato. Se PC-DMIS esegue una stima errata, è possibile forzare il programma a scegliere il tipo di elemento corretto, purché si disponga di una quantità minima di punti dell'elemento desiderato.

Queste procedure fanno l'ipotesi che si stia lavorando in modalitá offline.

Le procedure illustrate di seguito presuppongono che l'utente operi in modalità offline.

Vedere anche:

Stima di un tipo di elemento misurato

Come forzare l'inserimento di un determinato tipo di elemento misurato


Stima di un tipo di elemento misurato

  1. Accedere alla finestra di modifica e attivare la modalità Comando o Riepilogo.

  2. Impostare PC-DMIS in modalità Programma ed impostare la quota tastatore opportuna.

  3. Accedere alla barra degli strumenti Elementi Misurati e fare clic sull'icona Modalità Stima.

  4. Fare clic sul modello del pezzo nel punto in cui si desidera inserire l'elemento.

  • Se si utilizza un modello CAD wire-frame importato, PC-DMIS automaticamente utilizzerà il filo più vicino come base per l'elemento selezionato.

  • Se si utilizza un modello CAD solido importato, ogni clic del mouse viene considerato come un singolo punto.

  5. Premere il tasto FINE. PC-DMIS interpreta i punti e inserisce l'elemento stimato nella finestra di modifica.

Per ulteriori informazioni sull'icona Modalità di stima e sulla barra degli strumenti Elementi misurati, fare riferimento a "Barra strumenti degli elementi misurati" nella sezione "Uso delle barre degli strumenti" .


Come forzare l'inserimento di un determinato tipo di elemento misurato

Se PC-DMIS esegue una stima errata del tipo di elemento misurato, è possibile fare in modo che inserisca il tipo desiderato selezionando l'elemento misurato corretto dalla barra degli strumenti Elementi misurati oppure dal menu secondario prima di premere il tasto FINE. Quando viene premuto il tasto FINE, PC-DMIS inserisce il tipo di elemento selezionato nella finestra di modifica.


Modifica di un elemento misurato

PC-DMIS consente di selezionare l'elemento misurato desiderato nella finestra di modifica e di apportare le correzioni direttamente in tale finestra. L'operazione di immissione delle modifiche è molto più semplice nella finestra di dialogo Elemento Misurato che non nella finestra di modifica.

Per aprire la finestra di dialogo Elemento misurato, effettuare le seguenti operazioni:

  1. Posizionare il cursore all'interno delle prime quattro righe dell'elemento misurato desiderato.

  2. Premere il tasto F9.

Esempio di Cerchio Misurato - finestra di dialogo

Nota:In genere, viene visualizzata una finestra di dialogo Elemento misurato , specifica del tipo di elemento. Tuttavia, se il cursore si trova su un punto elencato (ossia PUNTO/BASE) all'interno dell'elemento misurato e si preme il tasto F9, PC-DMIS visualizza la finestra di dialogo Punti misurati per il punto selezionato.

Vedere anche:

Descrizione della finestra di dialogo Elemento misurato

Descrizione della finestra di dialogo Punti misurati


Descrizione della finestra di dialogo Elemento misurato

La finestra di dialogo Elemento Misurato consente di modificare l'elemento misurato selezionato. Nei seguenti argomenti viene fornita una descrizione della finestra di dialogo Elemento misurato.

Vedere anche:

Nome elemento

Numero di punti

Tipo di Riferimento

Tipo di matematica per best-fit

Rigenerazione Rilevazione Bersagli

Copia su misurati

Sistema di coordinate

Formato di definizione angolare

Tipo di elemento circolare

Formato di definizione linea

Dati teorici elemento

Bersagli


Nome elemento

La casella Nome elemento consente di modificare il nome dell'elemento visualizzato. Evidenziare direttamente l'ID dell'elemento nella finestra di modifica, digitare un nuovo ID e premere INVIO. Poiché PC-DMIS consente di duplicare gli ID degli elementi, per evitare di crearne di identici è necessario prestare molta attenzione durante le operazioni di modifica.


Numero di punti

La casella Numero di Punti consente di modificare il numero di punti per l'elemento specificato.

Ad esempio: si supponga che la casella di modifica contenga quattro punti. Se si elimina un punto, viene eliminato l'ultimo punto (n. 4) dell'elenco di elementi. Se si eliminano due punti, vengono eliminati gli ultimi due punti (n. 4 e n. 3). PC-DMIS rinumererà i restanti punti in base all'assegnazione del numero corrente.

Se si aggiunge un punto, PC-DMIS inserirà una voce nell'elenco Destinazione Punto e visualizzerà un altro punto alla fine nell'elenco. Tale punto non indicherà alcun valore x, y, z, i, j e k fino a quando non verrà eseguito il programma, ossia quando PC-DMIS richiederà all'operatore di prendere l'altro punto. PC-DMIS richiederà se i punti devono essere equidistanti.

  • Se si risponde Sì, PC-DMIS prenderà i punti a intervalli equidistanti; Nel caso di cono, sfera o cilindro, PC-DMIS visualizza la finestra di dialogo Livelli. Si puó impiegare questa finestra di dialogo per specificare il numero di livelli da usare per equispaziare i punti. Il valore predefinito è due.

  • se si risponde No, PC-DMIS visualizzerà i valori dei punti con 0, 0, 0, 0, 0, 1. A questo punto, i valori dei punti dovranno essere inseriti manualmente.


Tipo di riferimento

L'elenco Tipo di Riferimento consente di controllare se l'elemento misurato è tridimensionale, se è stato proiettato sul piano di lavoro corrente o su un piano specificato oppure se è stato proiettato su un altro elemento. Questi dati influiscono da un punto di vista matematico sul modo in cui ricavare le caratteristiche finali dell'elemento.


Tipo di matematica per best-fit

L'elenco Tipo di matematica per best-fit indica il tipo di algoritmo matematico che verrà utilizzato per misurare l'elemento. QUAD MIN è il metodo Best-fit standard. Fare riferimento a "Elenco dei calcoli" nella sezione "Creazione di elementi automatici" per maggiori informazioni su questi tipi.


Rigenera punti

La casella di controllo Rigenera punti rigenera i comandi PUNTO/BASEdell'elemento in modo che vengano aggiornati con i dati modificati dall'area Dati teorici elemento.


Copia su misurati

La casella di controlloCopia su misurati consente di copiare tutte le modifiche apportate nell'area Teorici elementi della finestra di dialogo e di applicare le stesse modifiche ai dati effettivamente misurati.


Sistema di coordinate

La sezione Sistema di coordinate consente di scegliere tra le coordinate del rettangolo e le coordinate polari. Se si seleziona l'opzione Rett, tutti i punti verranno rappresentati nel sistema Cartesiano (x, y, z). Se si seleziona Polare, tutti i punti verranno visualizzati nel sistema polare (raggio_x, angolo_y, altezza_z). I vettori non vengono modificati.


Formato di definizione angolare

Se è visualizzato un elemento angolare, PC-DMIS consente di scegliere tra LUNGH e ANGOLO.

. L'opzione lunghezzaconsente di visualizzare i diametri di due cerchi, nonché la lunghezza che separa i due cerchi.

. L'opzione angolo consente di visualizzare il valore nominale (x, y, z) e il vettore (i, j, k) del punto, nonché il valore angolare.


Tipo di elemento circolare

Se viene visualizzato un elemento circolare, PC-DMIS consente di scegliere tra IN e OUT.


Formato di definizione linea

Se viene visualizzato un elemento lineare, PC-DMIS consente di scegliere tra le opzione Limitato e Illimitato nell'area Formato di definizione lineare.

Selezionando Limitato, PC-DMIS visualizzerà i due punti di fine che costituiscono la linea nell'area Dati teorici elemento, come riportato di seguito:

X, Y, Z

e

X2 Nom, Y2 Nom, e Z2

Per le linee limitate, il valore di Lunghezza non è disponibile per la modifica.

Selezionando Illimitato, PC-DMIS visualizzerà le informazioni sul nominale della linea nell'area Dati teorici elemento, come riportato di seguito:

X, Y, Z e lunghezza

e

I Nom, J Nom, e K


Dati teorici elemento

Questa area contiene i dati teorici relativi all'elemento. È possibile aggiornare questi dati apportando le modifiche desiderate e facendo clic su OK. Questa operazione consente di aggiornare i soli dati teorici. Se si desidera aggiornare anche i punti e i dati misurati reali, selezionare le caselle di controllo Rigenera punti e Copia su misurati.


Bersagli

Elementi supportati:
Cerchio Misurato
Cilindro Misurato
Punto Misurato
Piano Misurato
Sfera Misurata
Linea Misurata
Cono Misurato

Per gli elementi misurati supportati, il pulsante Bersagli consente di visualizzare e modificare I dati rilevati dell’elemento.

Facendo clic sul pulsante Rilevazione Bersagli si apre la finestra di dialogo Rilevazione Bersagli Elemento.

Finestra di dialogo Rilevazione bersagli Elemento

In questa finestra i dati del punto vengono elencati per righe. I numeri a sinistra delle righe indica l'ordine dei punti. È possibile modificare i dati di punto facendo doppio clic su una riga e modificandone i valori nella finestra di dialogo Punti misurati visualizzata.

La finestra di dialogo Rilevazione Bersagli Elemento consente anche di visualizzare e modificare i dati di punto utilizzando la Finestra di Visualizzazione Grafica. Purché la finestra di dialogo Rilevazione Bersagli Elemento resti aperta, occorre operare come segue:

. Visualizzare i singoli punti con frecce di colore rosso. Fare clic su una delle righe con i dati di punto presenti nella finestra di dialogo Rilevazione Bersagli Elemento: la freccia associata nell'area Visualizzazione grafica diventa di colore rosso.

· Fare clic e trascinare i singoli punti su una nuova posizione. È possibile spostare un punto selezionando la freccia di colore rosso nell'area Visualizzazione Grafica e trascinandola in una nuova posizione. Il punto viene inserito in corrispondenza della posizione in cui viene rilasciato il mouse; viene quindi eseguito il calcolo dei dati e viene aggiornata la finestra di dialogo Rilevazione bersagli Elemento.

· Inserire nuovi punti. È anche possibile inserire nuovi punti in un elemento esistente. Selezionare una posizione all'interno dell'elenco dei punti, quindi prendere i punti desiderati. Quando viene premuto il tasto FINE, PC-DMIS richiede se si desidera inserire i punti nella posizione corrente. Se si seleziona Sí, PC-DMIS inserirà i nuovi punti nella posizione dell'elemento corrente. Se si seleziona No, PC-DMIS sposterà il cursore accanto alla successiva posizione valida nel part program (generalmente, immediatamente al di sotto dell'elemento corrente nella finestra di modifica) e creerà un nuovo elemento.

Nota: i dati contenuti nella finestra di dialogoPunti elemento e nella finestra di modifica non vengono aggiornati dinamicamente, quando si apportano modifiche utilizzando uno di questi metodi. Occorre, innanzitutto, chiudere la finestra di dialogo, quindi riaprirla per visualizzare i dati di punto modificati.

Pulsante Elimina Punto

Il punsante Elimina Punto della finestra Rilevazione Bersagli Elemento diventa abilitata soltanto se si modificano I punti di elementi automatici che supportano questa funzionalitá. Per eliminare un punto esistente, selzionare il punto e fare clic su Elimina Punto. PC-DMIS elimina il punto dalla finestra di dialogo e dal part program. Fare riferimento a "Pulsante Mostra punti" nella sezione "Creazione di elementi automatici" .


Descrizione della finestra di dialogo Punti misurati

Finestra di dialogo Punti di Campionamento Misurati

La finestra di dialogo Punti Misurati consente di modificare i singoli punti di un elemento misurato. È possibile modificare i seguenti elementi:

  • Tipo di punto

  • Posizione X, Y e Z

  • Vettori vari

  • Distanziatore

  • Rientro

  • Quota

  • Punti per superficie

Alcuni elementi sono disponibili solo se si seleziona un tipo di punto specifico. Per aggiornare i dati di punto per l'elemento misurato selezionato, modificare i valori in questa finestra di dialogo e fare clic su OK.

Vedere anche:

Modifica rilevazioni di base per mezzo del tastatore


Modifica rilevazioni di base per mezzo del tastatore

È possibile aggiornare i punti base effettuando rilevazoni sul pezzo in modalità online oppure facendo clic sul CAD in modalità offline, mantenendo aperta la finestra di dialogo Punti misurati. La finestra verrá aggiornata automaticamente con i nuovi risultati.

Per punti base, vengono visualizzate le finestre seguenti:

Usa Vettore Teorico come Vettore di Approccio | Questa finestra consente di specificare se il vettore teorico verrá o meno usato come vettore di approccio. Se deselezionata, PC-DMIS calcola il vettore di approccio sottraendo il punto teorico (X,Y, Z) dalla posizione corrente del tastatore.
Apprendimento Durante Esecuzione | Questa casella di controllo consente di specificare se il punto base deve o non deve essere ri-appreso, durante l’esecuzione del part program.


Sovrascrittura di un elemento misurato stimato

Il menu secondario Sovrascrivi (Cambio elemento come�) consente di modificare il tipo dell'ultimo elemento costruito. Ad esempio, se l'ultimo elemento che si è tentato di costruire è il cerchio, che è stato interpretato da PC-DMIS come un piano, è possibile utilizzare questa opzione per convertire l'elemento nel tipo appropriato. Volendo sovrascrivere un elemento stimato, occorre farlo prima di creare qualsiasi altro elemento.

Per utilizzare l'elemento corretto, effettuare le seguenti operazioni:

  1. Accedere alla finestra di modifica.

  2. Posizionare il cursore sul tipo di elemento non corretto nella finestra di modifica.

  3. Accedere al menu di secondo livello Modifica | Sovrascrivi Stima per dare inizio alla procedura. Visualizza mappa percorsi dei menu

  4. Selezionare il tipo di elemento corretto.

Le modifiche apportate all'elemento verranno visualizzate nella finestra di modifica.


Creazione di Insiemi di Elementi Misurati

La voce di menu Inserisci | Elemento | Misurato | Insieme inserisce il comando ELEM/ INSIEME nella finestra di Modifica. Il comando crea una scansione composta di un solo punto che viene misurato un numero di volte definito, con lo scopo di ottenere una valutazione media (e possibilmente piú accurata) della misura del punto stesso.

Gli insiemi di punti sono spesso l'input nelle operazioni di allineamento Leapfrog, quando si utilizza un braccio manuale. Fare riferimento a "Operatività con Leapfrog" nella sezione "Creazione e uso degli allineamenti" per ultieriori informazioni.

In modalitá Comandi, l'Insieme di Elementi Misurati ha la forma seguente:

INSIEME1 =ELEM/INSIEME,RETT

TEOR/0,0,0,0,0,1,1

REALE/0,0,0,0,0,1,1

MIS/XYZ,0

FINE_MIS/

Premendo F9 con il cursore sopra questo comando si visualizza la finestra di dialogo Insieme misurato:

Insieme misurato, finestra di dialogo

Insieme misurato, finestra di dialogo

Per ulteriori informazioni si rimanda all'argomento "Modifica di un Elemento Misurato" , dove viene descritta la maggior parte degli argomenti riguardanti la presente finestra di dialogo.

Per Creare un Insieme Misurato(Punto), occorre:

  1. Digitare F9 con il sursore sul comando inserito

  2. All'interno della finestra di dialogo, digitare le coordinare teoriche XYZ ed il vettore IJK del punto

  3. Specificare il numero di rilevazioni desiderato, nella casella relativa al numero di punti. Maggiore é questo numero, migliore sará la media restituita

  4. Selezionare opportunamente le restanti opzioni nella finestra.

  5. Fare clic sul pulsante OK. PC-DMIS aggiorna il comando nella finestra di modifica.

Per esempio, la scansione di un insieme di punti con 5 iterazioni avrá questa forma:

INSIEME1 =ELEM/INSIEME,RETT

THEO/107,11,21,0,0,1

REALE/0,0,0,0,0,1,1

MIS/XYZ,5

PUNTO/BASE,NORMALE,107,11,21,0,0,1,0,0,0,USA TEOR = SÍ

PUNTO/BASE,NORMALE,107,11,21,0,0,1,0,0,0,USA TEOR = SÍ

PUNTO/BASE,NORMALE,107,11,21,0,0,1,0,0,0,USA TEOR = SÍ

PUNTO/BASE,NORMALE,107,11,21,0,0,1,0,0,0,USA TEOR = SÍ

PUNTO/BASE,NORMALE,107,11,21,0,0,1,0,0,0,USA TEOR = SÍ

FINE_MIS/


Costruzione di nuovi elementi da esistenti

Costruzione di Nuovi Elementi a partire da Elementi Esistenti

Costruzione di nuovi elementi da esistenti: Introduzione

Costruzione di un elemento nella finestra di modifica

Costruzione di un elemento utilizzando le finestre di dialogo di costruzione

Informazioni sul formato generale dei comandi

Accesso alla finestra di dialogo

Convenzioni sulle posizioni decimali

Costruzione di un elemento punto

Costruzione di un punto convertito

Costruzione di un punto diagonale

Costruzione di un punto di rilascio

Costruzione di un punto di intersezione

Costruzione di un punto centrale

Costruzione di un punto di offset

Offset XYZ

Costruzione di un punto sull'origine

Costruzione di un punto di foratura

Costruzione di un punto proiettato

Costruzione automatica di un punto

Costruzione di un elemento cerchio

Cerchio interno o esterno

Costruzione automatica di un cerchio

Costruzione di un cerchio best-fit o di ricompensazione best-fit

Tipo di best fit

Rimuovi punti dispersi / Fattore moltiplicativo della deviazione standard

Applica filtro gaussiano / Frequenza di taglio

Costruzione di un cerchio di intersezione

Costruzione di un cerchio convertito

Costruzione di un cerchio proiettato

Modifica della direzione di un cerchio

Costruzione di un arco da una parte di scansione

Determinazione dei dati utilizzati per costruire l'arco

Costruzione di un cerchio da un cono

Costruzione di un elemento ellisse

Ellisse interna o esterna

Costruzione di un'ellisse best-fit o di ricompensazione best-fit

Costruzione di un'ellisse convertita

Costruzione di un'ellisse proiettata

Modifica della direzione di un'ellisse

Costruzione automatica di un'ellisse

Costruzione di un elemento sfera

Sfera interna o esterna

Costruzione di una sfera best-fit o di ricompensazione best-fit

Costruzione di una sfera convertita

Costruzione di una sfera proiettata

Modifica della direzione di una sfera

Costruzione automatica di una sfera

Costruzione di un elemento linea

Variazioni

Costruzione automatica di una linea

Costruzione di una linea di allineamento

Costruzione di una linea best-fit o di ricompensazione best-fit

Rimuovi punti dispersi / Fattore moltiplicativo della deviazione standard

Applica filtro gaussiano / frequenza di taglio

Costruzione di una linea convertita

Costruzione di una linea di intersezione

Costruzione di una linea centrale

Costruzione di una linea parallela

Costruzione di una linea perpendicolare

Costruzione di una linea proiettata

Modifica della direzione di una linea

Costruzione di una linea da una parte di scansione

Determinazione dei dati utilizzati per costruire la linea

Costruzione di una linea di offset

Modifica diretta dei valori di offset per calcolare i valori nominali

Esempio di calcolo dei valori nominali

Modifica diretta dei valori nominali per calcolare i valori di offset

Esempio di calcolo dei valori di offset

Costruzione di un elemento cono

Cono interno o esterno

Variazioni

Costruzione di un cono best-fit o di ricompensazione best-fit

Costruzione di un cono convertito

Costruzione di un cono proiettato

Modifica della direzione di un cono

Costruzione automatica di un cono

Costruzione di un elemento cilindro

Cilindro interno o esterno

Costruzione di un cilindro best-fit o di ricompensazione best-fit

Tipo di best fit

Costruzione di un cilindro convertito

Costruzione di un cilindro proiettato

Modifica della direzione di un cilindro

Costruzione automatica di un cilindro

Costruzione di un elemento piano

Costruzione di un piano di allineamento

Costruzione di un piano best-fit o di ricompensazione best-fit

Rimuovi punti dispersi / Fattore moltiplicativo della deviazione standard

Applica filtro gaussiano / frequenza di taglio

Costruzione di un piano convertito

Costruzione di un piano punto massimo

Costruzione di un piano centrale

Costruzione di un piano di offset

Modifica diretta dei valori di offset per calcolare i valori nominali

Esempio di calcolo dei valori nominali

Modifica diretta dei valori nominali per calcolare i valori di offset

Esempio di calcolo dei valori di offset

Costruzione di un piano parallelo

Costruzione di un piano perpendicolare

Modifica della direzione di un piano

Costruzione automatica di un piano

Costruzione di un elemento asola

Asola interna o esterna

Costruzione di una curva

Costruzione di una curva dipendente o indipendente

Tolleranza curva

Modifica punto di controllo

Elenco punti di controllo

Costruzione di una superficie

Costruzione di una superficie dipendente o indipendente

Tolleranza asse U

Tolleranza asse V

Densità griglia superficie

Ottimizza superficie

Applica fattore di tensione

Crea angoli triedri

Uniforma dati errati

Costruzione di un insieme di elementi

Errore del profilo di un insieme

Valori medi di un insieme

Utilizzo come input di rilevazioni contenute in un intervallo di scansione

Costruzione di un insieme di filtri

Opzione lineare

Opzione polare

Lista tipi di filtri

Gaussiano

Spline

Uniforme

Triangolare

Cilindrico

Casella ampiezza del filtro

Casella lunghezza d’onda di taglio

Casella frequenza di taglio

Casella parametro di smorzamento

Casella di controllo Rimuovi punti isolati

Casella multipli della deviazione standard

Costruzione di un filtro modificato


Costruzione di nuovi elementi da elementi esistenti: Introduzione

Costruzione di nuovi elementi da esistenti: Introduzione

Il menu secondario Inserisci | Elemento | Costruito è utilizzato quando l'analisi su un elemento richiesto non è possibile (ad esempio, per il punto di intersezione di due bordi). Visualizza Mappa Percorsi dei Menu

Le voci di questo menu consentono di creare elementi (punti, linee, cerchi e così via) da elementi esistenti già sondati o costruiti. Nella sezione "Spostamento all'interno dell'interfaccia utente" vengono descritti i diversi modi per specificare gli elementi di input. Per una descrizione dei vari modi in cui è possibile specificare gli elementi di input, vedere l'argomento "Selezione di elementi nella finestra di visualizzazione grafica" nella sezione "Modifica della visualizzazione CAD" .

Gli elementi possono essere costruiti selezionando gli elementi nelle finestre di dialogo o nella finestra di modifica (vedere "Costruzione di un elemento nella finestra di modifica" e "Costruzione di un elemento utilizzando le finestre di dialogo di costruzione"). Le regole specifiche per la costruzione di un elemento da altri elementi sono descritte nei paragrafi appropriati e si riferiscono ad entrambi i metodi di costruzione. Il metodo predefinito per la costruzione di un elemento è Automatico. In questo caso, PC-DMIS determina automaticamente il tipo di costruzione più appropriato in base all'elemento o agli elementi di input. Generalmente, se non diversamente specificato, l'ordine di selezione degli elementi non è rilevante; è necessario solo scegliere il tipo di elemento corretto. Ad esempio, per costruire un punto di intersezione tra una linea e un'asola, è sufficiente selezionare la linea e l'asola necessarie e PC-DMIS creerà tra di esse il punto di intersezione.

Le convenzioni descritte consentono di acquisire familiarità con le regole relative alla finestra di modifica. Il contenuto effettivo del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il seguente è un esempio della riga di comando contenente un punto costruito nella finestra di modifica:

GENERA/PUNTO, INTERS, line_id, slot_id
o GENERA/PUNTO, INTERS, slot_id, line_id.

In questa sezione verranno trattati i seguenti argomenti:

  • Informazioni sul formato generale dei comandi

  • Costruzione di un elemento punto

  • Costruzione di un elemento cerchio

  • Costruzione di un elemento ellisse

  • Costruzione di un elemento sfera

  • Costruzione di un elemento linea

  • Costruzione di un elemento cono

  • Costruzione di un elemento cilindro

  • Costruzione di un elemento piano

  • Costruzione di un elemento asola

  • Costruzione di una curva

  • Costruzione di una superficie

  • Costruzione di un insieme di elementi

  • Costruzione di un insieme di filtri

  • Costruzione di un filtro modificato


Costruzione di un elemento nella finestra di modifica

  1. Accedere alla finestra di modifica (Visualizza | Finestra di modifica). Visualizza Mappa Percorsi dei Menu

  2. Posizionare il cursore nel punto in cui si desidera costruire l'elemento nella finestra di modifica.

  3. Immettere il comando GENERA/...seguito dal testo appropriato. Vedere l'esempio della riga di comando per la costruzione di un punto, riportato sopra.


Costruzione di un elemento utilizzando le finestre di dialogo di costruzione

  1. Selezionare il sottomenu Inserisci | Elemento | Costruito. Visualizza Mappa Percorsi dei Menu

  2. Selezionare il tipo di elemento da costruire. Le opzioni disponibili sono le seguenti:

  • Punto

  • Cerchio

  • Ellisse

  • Sfera

  • Linea

  • Cono

  • Cilindro

  • Piano

  • Alloggiamento

  • Curva

  • Superficie

  • Insieme di elementi

  • Insieme di filtri

Nota: dopo aver selezionato gli elementi di input all'interno della finestra di dialogo, selezionare il pulsante Crea. PC-DMIS genererà l'elemento e lo visualizzerà sullo schermo; PC-DMIS visualizzerà inoltre il punto centrale dell'elemento nella finestra di modifica. PC-DMIS costruirà l'elemento richiesto lasciando aperta la finestra di dialogo. quindi aggiungerà quell'elemento alla finestra stessa. In questo modo, è possibile costruire più elementi in base ad elementi appena costruiti.


Informazioni sul formato generale dei comandi

Nella finestra di modifica tutti gli elementi costruiti sono visualizzati nel formato riportato di seguito. Si avranno delle piccole variazioni descritte dettagliatamente nelle seguenti sezioni.

Il contenuto effettivo del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Ad esempio:

Nome_elemento=ELEM/TIPO DI ELEMENTO,ALTER1,.....
TEOR/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,......
REALE/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,......
GENERA/ALTER2,ALTER3,......

nome_elemento: il nome dell'elemento. Questo campo può essere modificato.

TIPO DI ELEMENTO: questo campo indica il tipo di elemento. Il tipo di elemento corrisponde ad ALTER2, ma non è possibile modificarlo né attivarlo o disattivarlo.

...... : Indica che quanto riportato di seguito è univoco per ogni funzione. Una spiegazione più completa è disponibile nelle sezioni specifiche file della guida.

ALTER1: Questo campo è presente in tutti gli elementi e può essere impostato su RETT / POL. Se nel campo è stato impostato il valore RETT, tutti i punti vengono rappresentati nel sistema cartesiano (x, y, z); Se il campo è impostato su POL, tutti i punti vengono visualizzati nel sistema polare (raggio_x, angolo_y, altezza_z). I vettori non vengono modificati.

ALTER2: Questo campo è presente in tutti gli elementi e può essere impostato sui seguenti valori:

CERCHIO / CONO / CILINDRO / LINEA / PIANO / PUNTO / SFERA / CURVA / SUPERFICIE / INSIEME /

PUNTO è il tipo di elemento predefinito quando si apre per la prima volta la riga di comando di costruzione in un part-program. Successivamente, il tipo di elemento predefinito diventa l'ultimo tipo di elemento costruito.

ALTER3: Anche questo campo è presente in tutti gli elementi, ma contiene valori univoci in base al tipo di elemento. Per ulteriori informazioni, vedere il tipo di elemento specifico.

Vedere anche:

Accesso alla finestra di dialogo

Convenzioni sulle posizioni decimali


Accesso alla finestra di dialogo

Per accedere alla finestra di dialogo di costruzione utilizzata per la creazione dell'elemento visualizzato nella finestra di modifica, effettuare le seguenti operazioni:

  1. Controllare che la finestra di modifica sia aperta.

  2. Nella finestra di modifica, selezionare il nome dell'elemento.

  3. Premere F9. Viene visualizzata una finestra di dialogo di costruzione.

Mediante questa finestra di dialogo è possibile apportare le modifiche desiderate e facendo clic sul pulsante Crea le modifiche verranno applicate nella finestra di modifica.


Convenzioni sulle posizioni decimali

Tenere presenti le seguenti informazioni relative alle convenzioni sul separatore decimale per gli elementi costruiti:

  • Tutti i vettori (vett_i, vett_j, vett_k) vengono rappresentati da un massimo di 5 posizioni decimali.

  • Tutte le lunghezze e le distanze (coord_x, coord_y, coord_z, diam, altezza, lunghezza, ecc.) vengono rappresentate da un massimo di 5 posizioni decimali.

  • Tutte le angolazioni vengono rappresentate da un massimo di 5 posizioni decimali.

  • Se il valore decimale è zero, il numero viene rappresentato come numero intero.

Nota: è possibile modificare le posizioni decimali nella scheda Dimensione (F5) nella finestra di dialogo Impostazione. Se si imposta il limite di posizioni decimali, nella finestra di modifica viene inserito un comando MOSTRAPRECISIONE nellaEdit window. A tutti gli elementi inclusi in questo comando verrà applicato il numero di posizioni decimali indicato.


Costruzione di un elemento punto

Finestra di dialogo Costruzione punto

In PC-DMIS sono disponibili vari metodi per la costruzione di un punto. Nella tabella seguente sono riportati i vari tipi di punti costruiti ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri sono necessari almeno tre elementi. Nella seguente tabella, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | ELEM. 3: | COMMENTI
Punto convertito | CONV | 1 | Qualsiasi | - | - | Il punto viene costruito in corrispondenza del baricentro dell'elemento di input.
Punto Diagonale | ANG_TRIEDRO | 3 | Piano | Piano | Piano | Il punto viene costruito in corrispondenza dell'intersezione dei 3 piani
Punto di rilascio | RILASCIO | 2 | Qualsiasi | Cono, Cilindro, Linea, Asola | - | Il primo elemento viene rilasciato sul secondo elemento linea.
Punto di intersezione | INTERS | 2 | Cerchio, Cono, Cilindro, Linea, Asola | Cerchio, Cono, Cilindro, Linea, Asola | - | Il punto viene costruito in corrispondenza dell'intersezione dell'attributo lineare di 2 elementi.
Punto centrale | CENTR | 2 | Qualsiasi | Qualsiasi | - | Il punto centrale viene costruito tra i baricentri degli elementi di input
Punto offset | OFFSET | 1 | Qualsiasi | - | - | È necessario specificare 3 offset corrispondenti a X, Y e Z
Punto di origine | ORIGINE | 0 | - | - | - | Il punto viene costruito sull'origine dell'allineamento.
Punto di foratura | FORAT | 2 | Cono, Cilindro, Linea, Asola, Cerchio, Ellisse | Cono, Cilindro, Piano, Sfera, Cerchio, Ellisse | - | Il punto viene costruito in corrispondenza del punto in cui l'elemento_1 fora la superficie dell'elemento_2. L'ordine di selezione è importante. Se il primo elemento è una linea, la direzione è importante.
Punto di proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | - | Se si utilizza un elemento di input, il punto verrà proiettato sul piano di lavoro.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un punto, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Inserire gli elementi desiderati.

  3. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Punto convertito

  • Punto Diagonale

  • Punto di rilascio

  • Punto di intersezione

  • Punto centrale

  • Punto offset

  • Punto di origine

  • Punto di foratura

  • Punto di proiezione

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la costruzione di un punto di esempio è la seguente:
Nome_elemento=ELEM/PUNTO,ALETR1
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
GENERA/ALTER2,ALTER3,......\

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

ALTER1= POL o RETT

ALTER2 = PUNTO

ALTER3 = CONV / ANG_TRIEDRO / RILASCIO / INTERS / CENT / OFFSET / ORIGINE / FORAT / PROIEZ

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutti i punti costruiti. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di punto posizionando il cursore su ALTER3 e premendo F7 o F8. (Vedere "Tasti funzione della modalità Comando" nella sezione "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Il metodo di costruzione predefinito è AUTO. Questa opzione determina automaticamente il metodo migliore per costruire un punto utilizzando uno o più elementi di input. Vedere "Costruzione automatica di un punto"

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di un punto.

Vedere anche:

Costruzione di un punto convertito

Costruzione di un punto diagonale

Costruzione di un punto di rilascio

Costruzione di un punto di intersezione

Costruzione di un punto centrale

Costruzione di un punto di offset

Costruzione di un punto sull'origine

Costruzione di un punto di foratura

Costruzione di un punto proiettato

Costruzione automatica di un punto

Constructing a Pierce Point Constructing a Corner PointConstructing a Mid PointConstructing a Drop PointConstructing a Point at the OriginConstructing an Intersect PointConstructing a Projected PointIDSearch IDSelect Last #Feature List boxConstructing an Auto CircleConstructing an Offset PointClear buttonCreate buttonClose buttonConstructing a Cast Point


Costruzione di un punto convertito

È possibile costruire un punto tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà il punto in corrispondenza del baricentro dell'elemento di input.

Per costruire un punto convertito, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito dallelenco di opzioni.

  3. Selezionare un elemento qualsiasi.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/PUNTO,CONV,elem_1

Costruzione di un punto convertito da un cerchio


Costruzione di un punto diagonale

È possibile generare un punto utilizzando tre piani. PC-DMIS crea un punto all'intersezione.Il vettore del punto diagonale costruito è il prodotto del secondo vettore di input nel terzo vettore di input.

Per generare un punto di angolo triedro, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzioe Punto diagonale dall'elenco di opzioni.

  3. Selezionare tre piani diversi.

  4. Fare clic sul pulsante Crea.

La riga comandi per la finestra di modifica per questa opzione sarebbe:GENERA/PUNTO,ANG TRIEDRO,elem_1,elem_2,elem_3

Costruzione di un punto diagonale da tre piani


Costruzione di un punto di rilascio

È possibile costruire un punto utilizzando un elemento e una linea (cono, cilindro o asola). PC-DMIS rilascerà il baricentro del primo elemento sul secondo elemento. Il punto verrà rilasciato su una linea perpendicolare alla linea, linea centrale o piano. Se si selezionano due elementi lineari, PC-DMIS rilascerà il baricentro del primo elemento lineare sul secondo.

Nota: per questo metodo di costruzione è necessario selezionare i tipi di elemento nell'ordine corretto.

Per costruire un punto di rilascio, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Punto diagonale dall'elenco di opzioni.

  3. Selezionare il primo elemento. È possibile scegliere uno qualsiasi dei tipi disponibili.

  4. Selezionare il secondo elemento. È necessario scegliere un cono, un cilindro, una linea o un'asola.

  5. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:
GENERA/PUNTO,RILASCIO,elem_1,elem_2

Costruzione di un punto di rilascio da un cerchio e una linea

Nota: se si seleziona un'asola come elemento di input, durante la costruzione di questo punto PC-DMIS utilizzerà il vettore della linea centrale dell'asola anziché il vettore perpendicolare (utilizzato in PC-DMIS 3.2 e nelle versioni precedenti). Per utilizzare il precedente vettore perpendicolare dell'asola è necessario modificare il valore della voce UseLegacySlotVector nell’Impostazione configurazione di PC-DMIS. Per informazioni su questa operazione, fare riferimento alla sezione "Modifica voci del registry" .


Costruzione di un punto di intersezione

È possibile costruire un punto tra due linee (cerchio, cono, cilindro o asola). Il punto viene creato in corrispondenza dell'intersezione delle linee (linee centrali) dei due elementi.

Costruzione di un punto di intersezione da due linee

Se si desidera intersecare o forare un cerchio con una linea, vedere "Costruzione di un punto di foratura".

Per costruire un punto di intersezione, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto) Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Intersezione dall'elenco di opzioni.

  3. Selezionare due elementi di questo tipo: cerchio, cono, cilindro, linea o asola.

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:
GENERA/PUNTO,INTERS,elem_1,elem_2

Se i due elementi non sono intersecanti, il punto viene costruito in corrispondenza del punto centrale dell'intersezione apparente dei due elementi. In altre parole, il punto di intersezione corrisponde al punto centrale della linea più breve che collega i due elementi di input.

Costruzione di un punto di intersezione da due linee non intersecanti

É possibile intersecare due elementi cerchio e inoltre, se essi hanno lo stesso vettore (o vettori molto simili) del piano di giacitura, PC-DMIS genera un punto costruito in corrispondenza di una delle intersezioni. Cambiando l’ordine degli elementi di input selezionati nella finestra di dialogo Modalità punto costruito, PC-DMIS costruisce un punto sulla seconda intersezione.

Nota: se si seleziona un'asola come elemento di input, durante la costruzione di questo punto PC-DMIS utilizzerà il vettore della linea centrale dell'asola anziché il vettore perpendicolare (utilizzato in PC-DMIS 3.2 e nelle versioni precedenti). Per utilizzare il precedente vettore perpendicolare dell'asola è necessario modificare il valore della voce UseLegacySlotVector nell’Impostazione configurazione di PC-DMIS. Per informazioni su questa operazione, fare riferimento alla sezione "Modifica voci del registry" .


Costruzione di un punto centrale

È possibile costruire un punto utilizzando due elementi qualsiasi senza indicare una direzione. PC-DMIS crea un punto centrale tra i baricentri dei due elementi di input.

Per costruire un punto centrale, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Punto centrale dall'elenco di opzioni.

  3. Selezionare due elementi qualsiasi.

  4. Fare clic sul pulsante Crea.

La riga comandi per la finestra di modifica per questa opzione sarebbe :
GENERA/PUNTO,CENTR,elem_1,elem_2

Costruzione di un punto centrale da due cerchi


Costruzione di un punto di offset

È possibile costruire un punto ad una distanza specifica da qualsiasi elemento di input.

Per costruire un punto di offset, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto) Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Punto offset dall'elenco di opzioni.

  3. Selezionare un elemento dal quale creare il punto di offset.

  4. Fare clic sul pulsante Crea.

Per creare un punto di offset dall'origine, selezionare l'opzione Sull'origine. Per creare un punto di offset relativo ad un determinato elemento, selezionare l'elemento desiderato e digitare un valore nei campi OFFSET X, OFFSET Y e OFFSET Z.


Offset XYZ

Questi campi consentono di inserire le distanze di offset per gli assi X, Y e Z. Queste opzioni sono disponibili solo se è stata selezionata l'opzione Offset.

La riga comandi per la finestra di modifica per questa opzione sarebbe :
GENERA/PUNTO,OFFSET,elem_1,dx,dy,dz


Costruzione di un punto sull'origine

È possibile costruire un punto sull'origine dell'allineamento corrente.

Per costruire un punto sull'origine, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Sull'origine.

  3. Non selezionare alcun elemento di input.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/PUNTO,ORIG

Costruzione di un punto sull'origine


Costruzione di un punto di foratura

È possibile costruire un punto utilizzando una linea (cerchio, cono, ellisse, asola o cilindro) e un cerchio, un'ellisse o un piano (cono, cilindro o sfera). PC-DMIS crea il punto in corrispondenza del punto in cui l'elemento_1 fora la superficie dell'elemento_2.

Nota: per questo metodo di costruzione è necessario selezionare i tipi di elemento nell'ordine corretto.

  • Se l'elemento forato è un cerchio o un'ellisse, PC-DMIS crea una circonferenza cilindrica intorno alla linea centrale, quindi costruisce il punto di foratura. Se si selezionano due elementi simili, ad esempio due cilindri, PC-DMIS forerà il secondo elemento utilizzando il primo elemento.

  • Se l'elemento forato è una sfera, un cerchio, un cono o un cilindro, il punto di foratura viene costruito in corrispondenza del punto in cui l'elemento di foratura di input interseca per la prima volta la superficie dell'elemento forato. Il primo punto di intersezione è determinato dalla direzione della linea. È fondamentale conoscere la direzione definita per la linea. Se il punto costruito non è corretto, creare una nuova linea invertendone la direzione (vedere "Modifica della direzione di una linea") e utilizzarla per costruire il punto.

Per costruire un punto di foratura, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Foratura dall'elenco di opzioni.

  3. Selezionare il primo elemento. È necessario scegliere un cono, un cilindro, una linea, un'asola, un cerchio o un'ellisse.

  4. Selezionare il secondo elemento. È necessario scegliere un'ellisse, un cerchio, un cono, un cilindro, un piano o una sfera.

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:

COSTR/PUNTO,FORAT,elem_1,elem_2

Costruzione di un punto di foratura da una linea e una sfera


Costruzione di un punto proiettato

È possibile costruire un punto utilizzando un elemento qualsiasi e un piano. PC-DMIS proietterà il punto in corrispondenza dell'intersezione tra il piano e il punto. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro.

Per costruire un punto di proiezione, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Punto) Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione dall'elenco di opzioni.

  3. Selezionare un elemento dal quale creare il punto di proiezione.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/PUNTO,PROIEZ,elem_1,(elem_2)

Costruzione di un punto proiettatoda un punto e un piano


Costruzione automatica di un punto

Nella tabella seguente viene indicato il tipo di punto che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione punto.

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Elementi di input | Costruzione
1 elemento qualsiasi = | Punto convertito
Cerchio + Cerchio = | Punto centrale
Cerchio + Cono = | Punto di rilascio
Cerchio + Cilindro = | Punto di rilascio
Cerchio + Ellisse | Punto centrale
Cerchio + Linea = | Punto di foratura
Cerchio + Piano = | Punto di proiezione
Cerchio + Insieme = | Punto centrale
Cerchio + Asola = | Punto centrale
Cerchio + Sfera = | Punto centrale
Cono + Cono = | Punto di intersezione
Cono + Cilindro = | Punto di intersezione
Cono + Ellisse | Punto di rilascio
Cono + Piano = | Punto di foratura
Cono + Insieme = | Punto di rilascio
Cono + Asola = | Punto di intersezione
Cilindro + Ellisse | Punto di rilascio
Cilindro + Piano = | Punto di foratura
Cilindro + Insieme = | Punto di rilascio
Cilindro + Asola = | Punto di intersezione
Ellisse + Ellisse | Punto centrale
Linea + Cono = | Punto di intersezione
Linea + Cilindro = | Punto di intersezione
Linea + Ellisse | Punto di rilascio
Linea + Linea = | Punto di intersezione
Linea + Piano = | Punto di foratura
Linea + Insieme = | Punto di rilascio
Linea + Asola = | Punto di intersezione
Linea + Sfera = | Punto di rilascio
Piano + Ellisse | Punto di proiezione
Piano + Piano = | Punto di proiezione
Piano + Insieme = | Punto di proiezione
3 punti = | Punto Diagonale
Punto + Cerchio = | Punto centrale
Punto + Cono = | Punto di rilascio
Punto + Cilindro = | Punto di rilascio
Punto + Ellisse = | Punto centrale
Punto + Linea = | Punto di rilascio
Punto + Piano = | Punto di proiezione
Punto + Punto = | Punto centrale
Punto + Insieme = | Punto centrale
Punto + Asola = | Punto centrale
Punto + Sfera = | Punto centrale
Insieme + Ellisse | Punto centrale
Insieme + Insieme = | Punto centrale
Asola + Ellisse | Punto centrale
Asola + Piano = | Punto di proiezione
Asola + Insieme = | Punto centrale
Asola + Asola = | Punto di intersezione
Sfera + Cono = | Punto di rilascio
Sfera + Cilindro = | Punto di rilascio
Sfera + Ellisse | Punto centrale
Sfera + Piano = | Punto di proiezione
Sfera + Insieme = | Punto centrale
Sfera + Asola = | Punto centrale
Sfera + Sfera = | Punto centrale


Costruzione di un elemento cerchio

Finestra di dialogo Costruzione cerchio

In PC-DMIS sono disponibili vari metodi per la costruzione di un cerchio. Nella tabella seguente sono riportati i vari tipi di cerchi costruiti ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri sono necessari almeno tre elementi. Nella tabella, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Cerchio best-fit | BF | Sono necessari almeno 3 elementi di input. | - | - | Il cerchio best-fit viene costruito utilizzando gli elementi di input specificati.
Best fit con cerchio di ricompensazione | BFRE | Sono necessari almeno 3 elementi di input. Un elemento deve essere un punto. | - | - | Il cerchio best-fit viene costruito utilizzando gli elementi di input specificati.
Cerchio convertito | CONV | 1 | Qualsiasi | - | Il cerchio viene costruito in corrispondenza del baricentro dell'elemento di input.
Cerchio da cono (denominato anche diametro Gage) | CONO | 1 | Cono | - | Il cerchio viene costruito in corrispondenza dell'altezza del cono o del diametro specificato
Cerchio di intersezione | INTERS | 2 | Cerchio, Sfera, Cono o Cilindro. | Piano | Il cerchio viene costruito in corrispondenza dell'intersezione tra un elemento circolare e un piano, un cono o un cilindro
 |  |  | Piano | Cerchio, Sfera, Cono o Cilindro.
 |  |  | Cono | Cono o Cilindro
 |  |  | Cilindro | Cono
Cerchio di proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | Se si utilizza un elemento di input, il cerchio verrà proiettato sul piano di lavoro.
Cerchio inverso | INV | 1 | Cerchio | - | Il cerchio viene costruito con un vettore inverso
Scansione Cerchio segmento | SCANS_SEGMENTO | 1 | Scansione | - | L'arco viene costruito da una parte di una scansione lineare aperta o di una scansione lineare chiusa.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un cerchio, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Inserire gli elementi desiderati.

  3. Selezionare l'opzione In o Out.

  4. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Cerchio automatico

  • Cerchio Best-fit o Ricompensazione best-fit

  • Cerchio di intersezione

  • Cerchio convertito

  • Proiezione

  • Inverti

  • Scansione segmento

  • Cerchio

  5. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la costruzione di un cerchio di esempio è la seguente:
nome_elemento=ELEM/CERCHIO,ALTER1,ALTER4,ALTER5
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
GENERA/ALTER2,ALTER3

Se ALTER2= CERCHIO e ALTER3 = BF o BFRE allora il comando ha il seguente formato:
Nome_elemento=ELEM/CERCHIO,ALTER1,ALTER4,ALTER5
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
GENERA/CERCHIO,ALTER3
RIMOZ_PUNTI_ISOLATI/ALTER6, stdDevMultiplier
FILTRO/ALTER6, UPR =cutoffFrequency

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il metodo di costruzione predefinito è AUTO. Vedere " Costruzione automatica di un cerchio".

ALTER1= POL o RETT

ALTER2 = CERCHIO

ALTER3 = BF / BFRE / CAST / CONE / INTOF / PROJ / REV / SCAN_SEGMENT

ALTER4 = IN / OUT

ALTER5 = LEAST_SQR / MAX_INSC / MIN_CIRCSC / MIN_SEP / FIXED_RAD (solo per cerchi BF e BFRE misurati)

ALTER6 = ON/OFF

stdDevMultiplier = questo fattore moltiplicativo determina se un punto misurato é un punto disperso. Se il punto del cerchio si trova ad una distanza maggiore della deviazione standard moltiplicata per questo fattore, allora si tratta di un punto disperse che verrá eliminato, se é stata selezionata l’opzione Rimuovi punti dispersi.

cutoffWavelength = Valore che regola lo smorzamento dei dati. Maggiore è la lunghezza d’onda, maggiore è lo smorzamento.

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutti i cerchi costruiti. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di cerchio posizionando il cursore su TOG3 e premendo F7 o F8. (Vedere "Tasti funzione della modalità Comando" nella sezione "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di un cerchio.

Vedere anche:

Cerchio interno o esterno

Costruzione automatica di un cerchio

Costruzione di un cerchio best-fit o di ricompensazione best-fit

Costruzione di un cerchio di intersezione

Costruzione di un cerchio convertito

Costruzione di un cerchio proiettato

Modifica della direzione di un cerchio

Costruzione di un Arco da una Parte di Scansione

Costruzione di un cerchio a un punto minimo della scansione

Costruzione di un cerchio da un cono


Cerchio interno o esterno

Le opzioni In e Out indicano a PC-DMIS se il cerchio deve essere costruito come cerchio interno o esterno.

  • Se si seleziona l'opzione In, PC-DMIS costruirà il cerchio come cerchio interno.

  • Se invece si seleziona l'opzione Out, PC-DMIS costruirà il cerchio come cerchio esterno o perno.


Costruzione automatica di un cerchio

Nella tabella seguente viene indicato il tipo di cerchio che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Elementi di input | Costruzione
1 insieme qualsiasi = | Cerchio best-fit
1 cerchio qualsiasi = | Cerchio inverso
1 cono = (w/ diametro) | Cerchio da un cono
1 elemento qualsiasi (ad eccezione di cerchio, cono, insieme) = | Cerchio convertito
Cono + Cono = | Cerchio di intersezione
Cono + Cilindro = | Cerchio di intersezione
Cono + Piano = | Cerchio di intersezione
Cono + Sfera = | Cerchio di intersezione
Cilindro + Sfera = | Cerchio di intersezione
Piano + Cerchio = | Cerchio di proiezione
Piano + Ellisse = | Cerchio di proiezione
Piano + Linea = | Cerchio di proiezione
Piano + Piano = | Cerchio di proiezione
Piano + Punto = | Cerchio di proiezione
Piano + Insieme = | Cerchio di proiezione
Piano + Asola = | Cerchio di proiezione
Piano + Sfera = | Cerchio di intersezione


Costruzione di un cerchio best-fit o di ricompensazione best-fit

È possibile costruire un cerchio "best-fit" utilizzando tre o più elementi. Il vettore del cerchio costruito è perpendicolare al piano di lavoro corrente. Il metodo di costruzione best-fit utilizza i punti effettivamente misurati anziché il centro della punta a sfera, come nel caso del metodo di ricompensazione best-fit.

Per costruire un cerchio best-fit o di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Best fit o Ricompensazione best fit (riportate come Best fit e BF ricomp.).

  3. Selezionare il tipo di costruzione best fit dall'elenco Tipo best-fit.

  4. Selezionare almeno tre elementi.

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CERCHIO, BF, elem_1, elem_2, �
RIMOZ_PUNTI_ISOLATI/ (OFF | ON), stdDevMultiple
FILTRO/(OFF | ON), UPR =cutoffFrequency

La rimozione dei punti dispersi ed il filtraggio vengono descritti nel seguito.

Vedere anche:

Tipo di best fit

Rimuovi punti dispersi / fattore moltiplicativo della deviazione standard

Applica filtro gaussiano / frequenza di taglio


Tipo di best fit

Questo elenco diventa disponibile se si seleziona l'opzione Best fit o BF ricomp. durante la costruzione del cerchio. Consente di definire il tipo di costruzione Best Fit utilizzata. tra quelli elencati di seguito:

  • QUAD_MIN

  • MAX_ISCR

  • MIN_CIRCOS

  • SEP_MIN

  • RAG_FISSO

Questi operandi sono illustrati dettagliatamente nella tabella che segue:.

Voce dell'elenco | Descrizione
QUAD_MIN | Minimi quadrati – Questo tipo di calcolo permette di minimizzare la distanza quadratica media dei punti dati dal cerchio calcolato. La radice quadrata di questo valore é lo Scarto Quadratico Medio. Poiché lo scarto quadratico medio si basa su una media, alcuni punto possono essere piú distanti di questo valore, dal cerchio calcolato.
SEP_MIN | Separazione Minima – Questo tipo di calcolo genera un cerchio a metá della corona circolare contenente tutti i punti dati e la differenza dei loro raggi é la minima possibile. La matematica min/max usata nel calcolo SEP_MIN, minimizza l’errore massimo, o deviazione, dei dati di input dal cerchio. L’errore Min/Max è metà della separazione minima. Nessun punto o elemento di input giace più lontano dell’errore Min/Max dal cerchio Min/Max. Questo calcolo decide se tutti i dati (o gli elementi) di input si trovino o meno all’interno della tolleranza data.
MAX_ISCR | Massimo circoscritto – Questo tipo di calcolo genera un cerchio vuoto con il più grande diametro possibile all'interno dei dati. PC-DMIS calcola dapprima il Minimo Cerchio Circoscritto e richiede che il centro del Massimo Cerchio Inscritto sia interno ad esso. È possibile utilizzare questa opzione quando si esegue la misurazione di un elemento circolare che richiede un perno accoppiato. per esempio, se il dato in input rappresenta un foro, questo calcolo restituisce un cerchio con il diametro del perno piú grande che puó inserirsi nel foro.
MIN_CIRCOS | Minimo Circoscritto – Il calcolo genera un cerchio con il minimo diametro che contenga i dati ( o gli elementi ) di input. È possibile utilizzare questa opzione quando si misura un perno inscritto in un elemento circolare accoppiato. L’elemento risultante è il foro minimo in cui può inserirsi il perno.
RAG_FISSO | Raggio Fisso – Questo tipo di calcolo crea un cerchio di diametro dato, posto in modo che la distanza massima dei punti dati dal cerchio sia minima. É simile al calcolo Max/Min usato in MIN_SEP, ma, dal momento che il diametro é noto, il raggio non puó variare. Soltanto la variazione della posizione é ammessa.


Rimuovi punti dispersi / Fattore moltiplicativo della deviazione standard

Nel caso di una linea best fit (BF) o di ricompensazione best fit (BFRE) è possibile scegliere di rimuovere i punti dispersi in base alla distanza dall’elemento best fit. Ció consente la rimozione delle anomalie del processo di misurazione.

PC-DMIS adatta dapprima un cerchio ai dati, poi determina i punti dispersi in base al fattore moltiplicativo della deviazione standard. La procedura prosegue con:

  • Ricalcolo del cerchio best fit dopo la rimozione dei punti dispersi

  • Controllo ulteriore dei punti dispersi

  • Ricalcolo del cerchio best fit

  • Il processo viene ripetuto fino alla completa eliminazione dei punti dispersi, oppure fino a che PC-DMIS non può più calcolare il cerchio (se ci sono cioé meno di tre punti dati).


Applica filtro gaussiano / frequenza di taglio

I cerchi costruiti Best Fit (BF) e Best Fit Recompensate (BFRE) consentono di filtrare le deviazioni dei punti di dati misurati dal cerchio best fit calcolato dai dati misurati. La casella di controllo Applica filtro gaussiano è un filtro Gaussiano con un input di frequenza di taglio come ondulazioni per rivoluzione (undulations per revolution, UPR). In generale, una frequanza di taglio minore produce un filtraggio smorzato dei dati. Se è stata selezionata la casella di controllo Rimuovi punti isolati e si filtrano i dati, allora i dati dei punti isolati verranno rimossi prima dell'applicazione del filtro.


Costruzione di un cerchio di intersezione

È possibile costruire un cerchio tra un cono (cerchio, cilindro e sfera) e un piano. Inoltre, è possibile crearlo mediante due coni concentrici o una combinazione di un cono e un cilindro concentrici.

PC-DMIS crea un cerchio in corrispondenza dell'intersezione dell'elemento circolare e del piano oppure mediante una combinazione di due coni o di un cono e di un cilindro.

  • Nel caso di un'intersezione tra un elemento circolare e un piano, PC-DMIS costruisce sempre un cerchio (e non un'ellisse) anche se l'elemento circolare non è esattamente perpendicolare al piano. Il punto centrale del nuovo cerchio corrisponde al punto in cui la linea centrale dell'elemento circolare fora il piano. Il vettore del cerchio è il vettore dell'elemento circolare di foratura.

  • Nel caso di una combinazione di due coni o di un cono e un cilindro, viene creato un cerchio anche se gli elementi intersecanti non costituiscono un cerchio effettivo.

Per costruire un cerchio di intersezione, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Intersezione.

  3. Selezionare il primo elemento. È necessario scegliere un cerchio, un cono, un cilindro o una sfera.

  4. Selezionare il secondo elemento. L'elemento selezionato deve essere un piano.

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/CURVA,INTERS,elem_1,elem_2

Costruzione di un cerchio da un cono e un piano


Costruzione di un cerchio convertito

È possibile costruire un cerchio tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà il punto in corrispondenza del baricentro dell'elemento di input. Se viene utilizzato un punto di lamiera, il diametro corrisponderà al diametro del tastatore. Per alcuni elementi di lamiera (ad esempio, asole e tacche), come diametro del cerchio viene utilizzata la larghezza. Per gli elementi non circolari (ad esempio, linee, punti e così via), viene utilizzato un valore pari a quattro volte il diametro del tastatore.

Si puó modificare il diametro del cerchio; ció trasforma il cerchio da DIPENDENTE in INDIPENDENTE. Quando il cerchio viene esguito, il diametro non varierá in base all’elemento in input, ma sará intipendente dall’elemento stesso, mentre la posizione ed il vettore restano dipendenti dall’elemento in input. Ciò permette di controllare il diametro nei casi in cui l’elemento in input non presenti alcun diametro, come nel caso di un punto. Il campo DIPENDENTE/INDIPENDENTE é un campo che si puó abilitare/disabilitare.

Per tutti i calcoli verrà utilizzato questo valore anziché il valore predefinito, come descritto in precedenza.

Per costruire un cerchio convertito, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Selezionare almeno un elemento di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CURVA,CAST,elem_1, (DIPENDENTE | INDIPENDENTE)


Costruzione di un cerchio proiettato

È possibile costruire un cerchio utilizzando un elemento qualsiasi e un piano. PC-DMIS creerà il cerchio proiettando il baricentro di un determinato elemento sul piano. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro corrente. Il diametro del cerchio proiettato sarà quattro volte il diametro del tastatore.

Per costruire un cerchio proiettato, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione.

  3. Selezionare un elemento di qualsiasi tipo.

Nota: è possibile selezionare un secondo elemento. L'elemento selezionato deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CURVA,PROIEZ,elem_1,(elem_2)

Costruzione di un cerchio da un cerchio e un piano


Modifica della direzione di un cerchio

È possibile costruire un cerchio con un vettore inverso.

Per modificare la direzione di un cerchio, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. L'elemento selezionato deve essere un cerchio.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/CURVA,ROV,elem_1


Costruzione di un arco da una parte di scansione

È possibile costruire un cerchio da un segmento di una scansione lineare aperta, di una scansione lineare chiusa o di una scansione circolare di base. PC-DMIS creerà un arco da una parte della scansione. Le informazioni dettagliate sulla costruzione sono riportate più avanti.

Per costruire un cerchio scansione segmento, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Scansione segmento.

  3. Selezionare una scansione lineare aperta, lineare chiusa o un cerchio base creato in precedenza.

  4. Fare clic sul pulsante Dati segmento. Verrà visualizzata la finestra di dialogo Scansione segmento.

Finestra di dialogo Scansione segmento

  5. Selezionare l'opzione Best Fit o BF Ricomp..

  6. Selezionare la parte della scansione utilizzata nella costruzione in questa finestra di dialogo.

  7. Specificare il numero di punti che è possibile annullare inserendo i valori nelle caselle Scarto massimo iniziale e Scarto massimo finale.

  8. Specificare la distanza dal cerchio best-fit nella casella Tolleranza scarto. Si tratta di una tolleranza della forma, che consente di controllare i punti finali accettati come parte dell'arco. Se la distanza dal punto di scansione all'arco best-fit è superiore a questo valore di tolleranza, ilpunto finale verrà scartato.

  9. Specificare i valori di Approssima punto iniziale e Approssima punto finale della scansione selezionando la casella di controllo Seleziona punti, quindi fare clic nella finestra di visualizzazione grafica per completare i campi X, Y, Z. È possibile fare clic in un punto qualsiasi della finestra di visualizzazione grafica; tuttavia, PC-DMIS inserirà il punto sulla scansione in corrispondenza della posizione più vicina a quella selezionata. È possibile modificare i valori del punto anche utilizzando la tastiera.

  10. Fare clic su OK per accettare i dati e chiudere la finestra di dialogo Scansione segmento.

  11. Fare clic su Crea per costruire l'arco dalla scansione.

La riga di comando della finestra di modifica per questa opzione è la seguente:

COSTR/CURVA,SCANS_SEGMENTO,tipo_adat,elem_1,inizio_x,inizio_y,inizio_z,fine_x,fine_y,fine_z,scarto_iniziale,scarto_finale,tolleranza

Se si desiderano ottenere più archi o linee da una determinata scansione, è necessario aggiungere un altro comando per una sezione differente della scansione.

Vedere anche:

Determinazione dei dati utilizzati per costruire l'arco


Determinazione dei dati utilizzati per costruire l'arco

I dati utilizzati per costruire l'arco vengono determinati nel seguente modo:

  • Innanzitutto, viene determinato un segmento della scansione utilizzando un punto iniziale e un punto finale all'interno della scansione. Il punto iniziale e quello finale vengono scelti rispettivamente come punto della scansione più vicino [start_x, start_y, start_z] e punto più vicino [end_x, end_y, end_z].

  • I punti vengono quindi annullati dai punti iniziale e finale della scansione. Il numero dei punti scartati dai punti iniziali e finali corrisponde rispettivamente a scarto_iniziale e a scarto_finale. Viene quindi adattato un arco a questo insieme di punti.

  • Infine, il punto iniziale e quello finale vengono aggiunti di nuovo se si trovano all'interno dell'area di tolleranza specificata. L'arco viene quindi riadattato al nuovo insieme di punti.

Il valore di tipo_adat può essere BF (Best Fit ) o BFRE (Best Fit Recompensate). Tale valore determina se per il calcolo dell'arco viene utilizzato il metodo best-fit o best-fit con ricompensazione. Per una descrizione delle opzioni best-fit e ricompensazione best-fit, vedere "Costruzione di un cerchio best fit o di ricompensazione best fit".


Costruzione di un cerchio a un punto minimo della scansione

Questa funzione consente di costruire un cerchio a 2D con un determinato raggio su un punto minimo lungo una scansione lineare. PC-DMIS trova il punto minimo utilizzando un punto di partenza e un vettore con direzione verso il basso (come riportato nella figura 1 di seguito).

PC-DMIS proietta quindi la scansione sul piano di lavoro corrente e il cerchio si troverà in un piano parallelo al piano di lavoro. La scansione sarà interpretata come una linea tra punti consecutivi (lineare discontinua). Pertanto, il cerchio inserito sul punto minimo lungo la scansione non sarà compreso tra due punti di scansione consecutivi, ma sarà limitato a toccare una linea che connette i due punti.

Tipi di input validi

L'input per questa costruzione deve essere una scansione di tipo lineare. Ciò esclude tutte le scansioni progettate per la scansione di una superficie: Patch, UV, Griglia, Multisezione, Laser manuale e Cilindro.

Procedura di costruzione

Per avviare questa costruzione:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Scansione min..

  3. Selezionare una scansione lineare dall'elenco di elementi. Non è possibile utilizzare una scansione di superficie.

  4. Fare clic sul pulsante Imposta ricerca.

  5. Verrà visualizzata la finestra di dialogo Imposta ricerca cerchio minimo:

  6. Definire il punto di partenza del cerchio, la direzione e il diametro.

  7. Fare click su OK per creare il cerchio. PC-DMIS crea il cerchio e inserisce il comando di costruzione nella finestra Modifica.

Vedere anche:

Regole per la costruzione

Nessun minimo locale

Comando della finestra Modifica

Ulteriori esempi


Regole per la costruzione

Un punto di partenza e un vattore valido seguiranno due regole:

Per prima cosa, un cerchio con un determinato diametro e un punto di partenza non deve intersecare la scansione. La figura 2 mostra una violazione di questa regola.

Secondo, il cerchio proiettato dal punto di inizio lungo il vettore deve intersecare la scansione. La figura 3 mostra una violazione di questa regola.


Nessun minimo locale

Se la scansione non ha un minimo locale o una posizione naturale per il cerchio, allora il cerchio seguirà la scansione sul punto minimo restando in contatto con la scansione (vedere la figura 4).


Comando della finestra Modifica

Comando della finestra di modifica per un cerchio di scansione minimo costruito

CER1 =ELEM/CERCHIO,RETT,OUT

TEOR/tx,ty,tz,ti,tj,tk,td

REALE/mx,my,mz,mi,mj,mk,md

COSTR/CURVA,SCAN_MINIMUM,ID scansione

INIZIO/xSP, xSP, xSP

GIÙ/iDV, iDV, iDV

Dove:

tx,ty,tz | è la posizione teorica del cerchio
ti,tj,tk | è la posizione teorica del vettore
td | è il diametro teorico del cerchio
mx,my,mz | è la posizione misurata del cerchio
mi,mj,mk | è il vettore misurato del cerchio
md | è il diametro misurato del cerchio
ID scansione | è l'ID della scansione da utilizzare
xSP, xSP, xSP | è il punto di partenza per trovare il minimo.
iDV, iDV, iDV | è il vettore diretto verso il basso.


Ulteriori esempi


Costruzione di un cerchio da un cono

È possibile costruire un cerchio da un cono in base al diametro specificato per il cono oppure in base all'altezza del piano di allineamento corrente. Un elemento cerchio da cono con un determinato diametro è noto anche come diamentro gage.

Informazioni sul valore dell'altezza

Se si costruisce un cerchio a una determinata altezza, PC-DMIS calcola il cerchio in questo modo. Viene creato un piano dal punto di riferimento e il vettore di riferimento. Viene quindi creato un offset parallelo da questo piano in base al valore dell'altezza. Questo piano parallelo si interseca con l'asse del cono e l'intersezione crea la posizione dell'elemento cerchio risultante. Il diametro del cerchio è il diamentro del cono al punto di intersezione.

Opzioni per il punto di riferimento disponibili (PUNTO_RIF):

  • VERTICE_CONO

  • INIZIO_CONO

  • FINE_CONO

  • ORIGINE

Opzioni per il vettore di riferimento disponibili (VETTORE_RIF):

VETTORE_CONO

PIANO DI LAVORO

Z+

Z-

X+

X-

Y+

Y-

Ad esempio, se si utilizza l'origine come punto di riferimento e ZPLUS come vettore di riferimento, PC-DMIS crea un piano tra il punto di origine e il vettore ZPLUS. Viene quindi creato un piano parallelo al valore dell'altezza e al punto di intersezione con il cono, viene creato l'elemento cerchio. Il codice della finestra di Modifica può avere il seguente aspetto:

CER2 =ELEM/CERCHIO,RETT,OUT

TEOR/-67.295,2.595,-7.152,0.0310723,-0.0214397,-0.9992872,29.411

CORRENTE/-67.295,2.595,-7.152,0.0310723,-0.0214397,-0.9992872,29.411

COSTR/CURVA,CONO,CON2,ALTEZZA,5,PUNTO_RIF = ORIGINE,RIF_VETT= ZPLUS

Per costruire un cerchio da un cono, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cerchio (Inserisci | Elemento | Costruito | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Cono.

  3. Selezionare un elemento. L'elemento selezionato deve essere un cono.

  4. Selezionare DIAMETRO o ALTEZZA dall'elenco a discesa Tipo.

  5. Inserire un valore per il diametro o per l'altezza nella casella Valore.

  6. Se è stata selezionata l'opzione Altezza:

    • Selezionare un punto di riferimento dall'elenco Punto.

    • Selezionare un vettore di riferimento dall'elenco Vettore.

  7. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:

COSTR/CURVA,CONO,DIAMETRO,elem_1

Oppure

COSTR/CURVA,CONO,ALTEZZA,valore,PUNTO_RIF=punto,RIF_VETT=vettore,elem_1


Costruzione di un elemento ellisse

Finestra di dialogo Costruzione ellisse

In PC-DMIS sono disponibili vari metodi per la costruzione di un'ellisse. Nella tabella seguente sono riportati i vari tipi di ellisse costruiti e i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri sono necessari almeno tre elementi. Nella tabella, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Ellisse best-fit | BF | Sono necessari almeno 3 elementi di input. | - | - | L'ellisse best-fit viene costruita utilizzando gli elementi di input specificati
Ellisse best-fit con ricompensazione | BFRE | Sono necessari almeno 3 elementi di input. Un elemento deve essere un punto. | - | - | L'ellisse best-fit viene costruita utilizzando gli elementi di input specificati
Ellisse convertita | CONV | 1 | Qualsiasi | - | L'ellisse viene costruita in corrispondenza del baricentro dell'elemento di input
Ellisse proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | Se si utilizza 1 elemento di input, l'ellisse verrà proiettata sul piano di lavoro
Cerchio inverso | INV | 1 | Cerchio | - | Il cerchio viene costruito con un vettore inverso

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un'ellisse, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione ellisse (Inserisci | Elemento | Costruito | Ellisse). Visualizza Mappa Percorsi dei Menu

  2. Inserire gli elementi desiderati.

  3. Selezionare l'opzione In o Out.

  4. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Cerchio automatico

  • Ellisse best-fit o ricompensazione best-fit

  • Ellisse convertita

  • Projection Ellipse (Ellisse proiezione)

  • Reverse direction Ellipse (Inverti)

  5. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la costruzione di un'ellisse di esempio è la seguente:
nome_elemento=ELEM/Ellisse,ALTER1,ALTER4
TEOR/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,major diam,minor diam,vett angolo i, vett angolo j, vett angolo k
REALE/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,major diam,minor diam,vett angolo i,vett angolo j,vett angolo k
GENERA/ALTER2,ALTER3

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il metodo di costruzione predefinito è AUTO. Vedere "Costruzione automatica di un cerchio".

ALTER1= POL o RETT

ALTER2 = ELLISSE

ALTER3 = BF / BFRE / CONV / PROIEZ / INV

ALTER4 = IN / OUT

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutte gli elementi ellisse costruiti. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di ellisse posizionando il cursore su ALTER3 e premendo F7 e F8. (Vedere "Tasti funzione della modalità Comando" nella finestra "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di un'ellisse.

Vedere anche:

Ellisse interna o esterna

Costruzione di un'ellisse convertita

Costruzione di un'ellisse proiettata

Modifica della direzione di un'ellisse

Costruzione automatica di un'ellisse

Constructing a Cast Ellipse Changing the Direction of an EllipseConstructing a BF or BFRE Recompensate EllipseClose buttonCreate buttonClear buttonFeature List boxSelect Last #Search IDIDIn / Out EllipseAuto Ellipse Construction


Ellisse interna o esterna

Le opzioni In e Out indicano a PC-DMIS se l'ellisse deve essere costruita come ellisse interna o esterna.

· Se si seleziona l'opzione In, PC-DMIS costruirà l'ellisse come ellisse interna.

· Se invece si seleziona l'opzione Out, PC-DMIS costruirà l'ellisse come ellisse esterna, o come perno.


Costruzione di un'ellisse best-fit o di ricompensazione best-fit

È possibile costruire un’ellisse "best-fit" utilizzando tre o più elementi. L'ellisse si trova nel piano di lavoro corrente. Il metodo di costruzione best-fit utilizza i punti effettivamente misurati anziché il centro della punta a sfera, come nel caso del metodo di ricompensazione best-fit. In entrambi i casi, PC-DMIS calcola una ellisse con i minimi quadrati, una per cui PC-DMIS riduce la distanza quadrata media dai punti di dati all'ellisse.

Per costruire un'ellisse best-fit o un'ellisse di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione ellisse (Inserisci | Elemento | Costruito | Ellisse). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Best fit o Ricompensazione best fit (riportate come Best fit e BF ricomp.).

  3. Selezionare almeno tre elementi.

  4. Fare clic sul pulsante Crea.

La riga comandi per la finestra di modifica per questa opzione sarebbe:COSTR/ELLISSE,BF,elem_1,elem_2,elem_3...
(utilizza i punti misurati reali per la costruzione)
o
COSTR/ELLISSE,BFRE,elem_1,elem_2,elem_3...
(utilizza il centro del tastatore per la misurazione).


Costruzione di un'ellisse convertita

È possibile costruire un'ellisse modificando un elemento qualsiasi. PC-DMIS genererà l'ellisse in corrispondenza del baricentro dell'elemento di input. Se viene utilizzato un punto di lamiera, il diametro corrisponderà al diametro del tastatore. Per alcuni elementi di lamiera (ad esempio, asole e tacche), come diametro maggiore verrà utilizzata la larghezza. Per gli elementi che non hanno una larghezza (linee, punti e così via), verrà utilizzato un valore pari a quattro volte il diametro del tastatore. Il diametro minore corrisponderà alla lunghezza dell'elemento di input. Per gli elementi che non hanno una lunghezza (punti, cerchi e così via) verrà utilizzata una lunghezza predefinita pari a 1.

Si può modificare il diametro maggiore e quello minore dell’ellisse; ciò trasforma l’ellisse da DIPENDENTE in INDIPENDENTE. Quando l’ellisse viene eseguita, i diametri non variano in base all’elemento in input, ma saranno indipendenti dall’elemento stesso, mentre la posizione ed il vettore resteranno dipendenti dall’elemento in input. Ciò permette di controllare i diametri nei casi in cui l’elemento in input non presenti alcun diametro, come nel caso di un punto. Il campo DIPENDENTE/INDIPENDENTE é un campo che si puó abilitare/disabilitare.

Per tutti i calcoli verranno utilizzati questi valori anziché i valori predefiniti, come descritto in precedenza.

Per costruire un'ellisse convertita, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione ellisse (Inserisci | Elemento | Costruito | Ellisse). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Selezionare almeno un elemento di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/ELLISSE,CAST,elem_1, (DIPENDENTE | INDIPENDENTE)


Costruzione di un'ellisse proiettata

È possibile proiettare un'ellisse su un piano. PC-DMIS crea l'ellisse proiettando sul piano il baricentro dell'elemento specificato. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro corrente. Il diametro maggiore dell'ellisse proiettata corrisponderà alla larghezza dell'elemento proiettato o al diametro del tastatore (per gli elementi senza una larghezza definita). Il diametro minore corrisponderà alla lunghezza dell'elemento di input o all'unità 1 (per gli elementi senza una lunghezza definita).

Per costruire un'ellisse proiettata, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione ellisse (Inserisci | Elemento | Costruito | Ellisse). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione.

  3. Selezionare un elemento di qualsiasi tipo.

Nota: è possibile selezionare un secondo elemento. L'elemento selezionato deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/ELLISSE,PROIEZ,elem_1,(elem_2)


Modifica della direzione di un'ellisse

È possibile costruire un'ellisse con un vettore inverso.

Per modificare la direzione di un'ellisse, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione ellisse (Inserisci | Elemento | Costruito | Ellisse). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. È necessario selezionare un'ellisse.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/ELLISSE,ROV,elem_1


Costruzione automatica di un'ellisse

Nella tabella seguente viene indicato il tipo di ellisse che viene costruito quando si selezionano gli elementi di input specificati e si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione ellisse (Inserisci | Elemento | Costruito | Ellisse). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Elementi di input | Costruzione
1 insieme qualsiasi = | Best-fit
1 ellisse qualsiasi = | Ellisse inversa
1 elemento qualsiasi = (ad eccezione di ellisse e insieme) | Ellisse convertita
Piano + un elemento qualsiasi | Proiezione
Insieme + Insieme | Best-fit
3 o più elementi | Best-fit


Costruzione di un elemento sfera

Finestra di dialogo Costruzione sfera

In PC-DMIS sono disponibili vari metodi per la costruzione di una sfera. Nella tabella seguente sono riportati i vari tipi di sfere costruiti ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri sono necessari almeno cinque elementi. Nella tabella, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Sfera best-fit | BF | Sono necessari almeno 5 elementi di input. | - | - | La sfera best-fit viene costruita utilizzando gli elementi di input specificati.
Sfera best-fit con ricompensazione | BFRE | Sono necessari almeno 5 elementi di input. Un elemento deve essere un punto. | - | - | La sfera best-fit viene costruita utilizzando gli elementi di input specificati.
Sfera convertita | CONV | 1 | Qualsiasi | - | La sfera viene costruita in corrispondenza del baricentro dell'elemento di input.
Sfera di proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | Se si utilizza un elemento di input, la sfera verrà proiettata sul piano di lavoro.
Sfera inversa | INV | 1 | Sfera | - | La sfera viene costruita utilizzando un vettore inverso.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire una sfera, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione sfera (Inserisci | Elemento | Costruito | Sfera). Visualizza Mappa Percorsi dei Menu

  2. Inserire gli elementi desiderati.

  3. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Sfera Best-fit o Ricomp. BF

  • Sfera convertita

  • Proiezione

  • Inverti

  • Sfera automatica

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la costruzione di una sfera di esempio è la seguente:
nome_elemento=ELEM/SFERA,ALTER1,ALTER4
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
GENERA/ALTER2,ALTER3

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il metodo di costruzione predefinito è AUTO. Questa opzione determina automaticamente il metodo migliore per costruire una sfera utilizzando uno o più elementi di input. Vedere "Costruzione automatica di una sfera".

ALTER1=POL o RETT

ALTER2= SFERA

ALTER3= BF / BFRE / CONV / PROIEZ / INV

ALTER4= IN / OUT

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutte le sfere costruite. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di sfera posizionando il cursore su ALTER3 e premendo F7 o F8. (Vedere "Tasti funzione della modalità Comando" nella finestra "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di una sfera.

Vedere anche:

Sfera interna o esterna

Costruzione di una sfera convertita

Costruzione di una sfera proiettata

Modifica della direzione di una sfera

Costruzione automatica di una sfera

Constructing a Projected Sphere IDSearch IDSelect Last #Feature List boxIn / Out SphereCreating an Auto SphereConstructing a Best Fit or Best Fit Recompensate SphereClear buttonCreate buttonClose buttonConstructing a Cast SphereConstructing a Reverse Sphere


Sfera interna o esterna

Le opzioni In e Out indicano a PC-DMIS se la sfera deve essere costruita come sfera interna o esterna.

  • Se si seleziona l'opzione In, PC-DMIS costruirà la sfera come sfera interna.

  • Se invece si seleziona l'opzione Out, PC-DMIS costruirà la sfera come sfera esterna.


Costruzione di una sfera best-fit o di ricompensazione best-fit

È possibile costruire una sfera "best-fit" utilizzando cinque o più elementi. Il metodo di costruzione best-fit utilizza i punti effettivamente misurati anziché il centro della punta a sfera, come nel caso del metodo di ricompensazione best-fit. In entrambi i casi PC-DMIS calcola una sfera secondo i minimi quadrati, per cui PC-DMIS minimizza la distanza quadratica media dai punti di dati alla sfera.

Per costruire una sfera best-fit o di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione sfera (Inserisci | Elemento | Costruito | Sfera). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Best fit o Ricompensazione best fit (riportate come Best fit e BF ricomp.).

  3. Selezionare almeno cinque elementi.

Nota: se si sceglie il metodo di ricompensazione best-fit, uno dei cinque elementi deve essere un punto.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/SFERA,BF,feat_1,feat_2,feat_3,feat_4,feat_5...
(utilizza i punti misurati reali per la costruzione)
o
COSTR/SFERA,BFRE,elem_1,elem_2,elem_3,elem_4,elem_5...
(utilizza il centro del tastatore per la misurazione).

Costruzione di una sfera da cinque o più punti


Costruzione di una sfera convertita

È possibile costruire una sfera tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà il punto in corrispondenza del baricentro dell'elemento di input. Se viene utilizzato un punto di lamiera, il diametro corrisponderà al diametro del tastatore. Per alcuni elementi di lamiera (ad esempio, asole e tacche), come diametro del cerchio viene utilizzata la larghezza. Per gli elementi non circolari (ad esempio, linee, punti e così via), viene utilizzato un valore pari a quattro volte il diametro del tastatore.

Si puó modificare il diametro del cerchio; ció trasforma il cerchio da DIPENDENTE in INDIPENDENTE. Quando la sfera viene eseguita, il diametro non varierà in base all’elemento in input, ma sarà indipendente dall’elemento stesso, mentre la posizione ed il vettore restano dipendenti dall’elemento in input. Ciò permette di controllare il diametro nei casi in cui l’elemento in input non presenti alcun diametro, come nel caso di un punto. Il campo DIPENDENTE/INDIPENDENTE é un campo che si puó abilitare/disabilitare.

Per tutti i calcoli verrà utilizzato questo valore anziché il valore predefinito, come descritto in precedenza.

Per costruire una sfera convertita, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione sfera (Inserisci | Elemento | Costruito | Sfera). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Selezionare un elemento di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/SFERA,CONV,elem_1, (DIPENDENTE | INDIPENDENTE)


Costruzione di una sfera proiettata

È possibile costruire una sfera proiettando un elemento qualsiasi sul piano di lavoro corrente. PC-DMIS proietterà il punto in corrispondenza dell'intersezione tra il piano e il punto. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro. Quando si proietta un elemento su un piano di lavoro, si consiglia di specificare il diametro desiderato, altrimenti verrà utilizzato automaticamente il diametro del tastatore.

Per costruire una sfera proiettata, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione sfera (Inserisci | Elemento | Costruito | Sfera). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione.

  3. Selezionareuno o due elementi. Il primo elemento può essere di qualsiasi tipo, mentre il secondo elemento deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/SFERA,PROIEZ,elem_1,(elem_2)


Modifica della direzione di una sfera

È possibile costruire una sfera con un vettore inverso.

Per costruire una sfera inversa, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione sfera (Inserisci | Elemento | Costruito | Sfera). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. L'elemento selezionato deve essere una sfera.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/SFERA,ROV,elem_1


Costruzione automatica di una sfera

Nella tabella seguente viene indicato il tipo di sfera che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione sfera (Inserisci | Elemento | Costruito | Sfera). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Elementi di input | Costruzione
4 o più elementi = | Sfera best-fit
1 qualsiasi elemento = (tranne sfera/insieme) | Sfera convertita
1 insieme qualsiasi = | Sfera best-fit
Piano + 1 elemento qualsiasi = | Sfera di proiezione
Sfera = | Sfera inversa


Costruzione di un elemento linea

Finestra di dialogo Construct Line (Modalità di costruzione linea)

In PC-DMIS sono disponibili vari metodi per la costruzione di una linea. Nella tabella seguente sono riportati i vari tipi di linee costruite ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri sono necessari almeno tre elementi. Nella tabella seguente, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Linea di allineamento | ALLIN | 0 | - | - | Viene costruita una linea passante per l'origine dell'allineamento.
Linea best-fit | BF | Sono necessari almeno 2 elementi di input. | - | - | La linea best-fit viene costruita utilizzando gli elementi di input.
Linea best-fit con ricompensazione | BFRE | Sono necessari almeno 2 elementi di input. Un elemento deve essere un punto. | - | - | La linea best-fit viene costruita utilizzando gli elementi di input.
Linea convertita | CONV | 1 | Qualsiasi | - | La linea viene costruita in corrispondenza del baricentro dell'elemento di input.
Linea di intersezione | INTERS | 2 | Piano | Piano | La linea viene costruita in corrispondenza dell'intersezione dei due piani.
Linea centrale | CENTR | 2 | Linea, Cono, Cilindro, Asola, Piano | Linea, Cono, Cilindro, Asola, Piano | Viene costruita una linea centrale tra gli elementi di input.
Linea di offset | OFFSET | Sono necessari almeno 2 elementi di input. | Qualsiasi | Qualsiasi | Viene costruita una linea passante per il primo elemento e viene definito un offset dal secondo elemento in base al valore specificato.
Parallelo | PAR_A | 2 | Qualsiasi | Qualsiasi | Viene costruita una linea parallela al primo elemento e passante per il secondo elemento.
Perpendicolare | PERP_A | 2 | Qualsiasi | Qualsiasi | Viene costruita una linea perpendicolare al primo elemento e passante per il secondo elemento.
Linea di proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | Se si utilizza un elemento di input, la linea verrà proiettata sul piano di lavoro.
Linea inversa | INV | 1 | Linea | - | Viene costruita una linea passante per l'elemento di input con vettore inverso.
Linea scansione segmento | SCANS_SEGMENTO | 1 | Scansione | - | La linea viene costruita da una parte di una scansione lineare aperta o di una scansione lineare chiusa.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire una linea, effettuare le seguenti operazioni:

  1. Selezionare Costruzione dalla barra dei menu (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Accedere alla finestra di dialogo Costruzione linea.

  3. Inserire gli elementi desiderati.

  4. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Linea automatica

  • Linea di allineamento

  • Linea best-fit o Ricompensazione best-fit.

  • Linea convertita

  • Linea di intersezione

  • Linea centrale

  • Linea di offset

  • Parallelo

  • Perpendicolare

  • Linea di proiezione

  • Linea in direzione rovesciata

  • Linea scansione segmento

  • Linea di offset

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
nome_elemento=ELEM/LINEA,ALTER1,ALTER4
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,length
GENERA/ALTER2,ALTER3,...

Se ALTER2 = LINEA e ALTER3 = BF o BFRE allora il comando avrà il seguente formato:
nome_elemento=ELEM/LINEA,ALTER1,ALTER4
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam
GENERA/CERCHIO,ALTER3
RIMOZ_PUNTI_ISOLATI/ALTER6, stdDevMultiplier
FILTRO/ALTER6, UPR =cutoffFrequency

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

ALTER1 = POLAR o RETT

ALTER2 = LINEA

ALTER3 = ALIGN / BF / BFRE / CAST / INTOF / MID / OFFSET / PLTO / PROJ / PRTO / REV / SCAN_SEGMENT

ALTER4 = BND / UNBND

ALTER5 = OFF / ON

Lunghezza = Questo valore rappresenta la lunghezza teorica o reale della linea.

stdDevMultiplier = questo fattore moltiplicativo determina se un punto misurato é un punto disperso. Se il punto della linea si trova ad una distanza maggiore della deviazione standard moltiplicata per questo fattore, allora si tratta di un punto disperse che verrà eliminato, se è stata selezionata l’opzione Rimuovi punti dispersi.

cutoffWavelength = Valore che regola lo smorzamento dei dati. Maggiore è la lunghezza d’onda, maggiore è lo smorzamento.

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutte le linee costruite. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di linea posizionando il cursore su ALTER3 e premendo F7 o F8. (Vedere "Tasti funzione della modalità Comando" nella finestra "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Il metodo di costruzione predefinito è AUTO. Vedere "Costruzione automatica di una linea"

Le seguenti sezioni descrivono le opzioni disponibili per la costruzione di una linea:

Vedere anche:

Variazioni

Costruzione automatica di una linea

Costruzione di una linea di allineamento

Costruzione di una linea best-fit o di ricompensazione best-fit

Costruzione di una linea convertita

Costruzione di una linea di intersezione

Costruzione di una linea centrale

Costruzione di una linea parallela

Costruzione di una linea perpendicolare

Costruzione di una linea proiettata

Modifica della direzione di una linea

Costruzione Linea da una Parte di Scansione

Costruzione di una linea di offset


Variazioni

Il primo esempio indicato di seguito si riferisce alla finestra di modifica quando si imposta il comando ALTER4 su LIM. La prima serie di valori x, y e z indica il punto iniziale della linea. La seconda serie di valori x, y e z indica il punto finale della linea. L'ultimo valore rappresenta la lunghezza teorica o reale della linea.

Il formato della linea illimitata viene mostrato nel secondo esempio.

nome_elemento=ELEM/LINEA,ALTER1,LIM
TEOR/coord_x,coord_y,coord_z,coord_x,coord_y,coord_z,lungh
REALE/coord_x,coord_y,coord_z,coord_x,coord_y,coord_z,lungh
GENERA/ALTER2,ALTER3,...,lunghezza

Nome_elemento=ELEM/LINEA,ALTER1,ILLIM
TEOR/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k
REALE/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k
GENERA/ALTER2,ALTER3,...


Costruzione automatica di una linea

Nella tabella seguente viene indicato il tipo di linea che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Elementi di input | Costruzione
3 o più elementi = | Linea best-fit
1 elemento qualsiasi (ad eccezione di linea e insieme) = | Linea convertita
1 insieme qualsiasi = | Linea best-fit
2 elementi qualsiasi + Valore di offset = | Linea di offset
Cerchio + Cerchio = | Linea best-fit
Cerchio + Ellisse | Linea best-fit
Cerchio + Punto | Linea best-fit
Cerchio + Insieme = | Linea best-fit
Cerchio + Asola = | Linea best-fit
Cerchio + Sfera = | Linea best-fit
Cono + Cerchio | Linea parallela
Cono + Cono = | Linea centrale
Cono + Cilindro = | Linea centrale
Cono + Ellisse | Linea parallela
Cono + Punto = | Linea parallela
Cono + Insieme = | Linea parallela
Cono + Sfera = | Linea parallela
Cilindro + Cerchio = | Linea parallela
Cilindro + Cilindro = | Linea centrale
Cilindro + Ellisse | Linea parallela
Cilindro + Punto = | Linea parallela
Cilindro + Insieme = | Linea parallela
Cilindro + Sfera = | Linea parallela
Ellisse + Ellisse |  | Linea best-fit
Ellisse + Insieme | Linea best-fit
Ellisse + Sfera | Linea best-fit
Linea = | Linea inversa
Linea + Cerchio = | Linea parallela
Linea + Cono = | Linea centrale
Linea + Cilindro = | Linea centrale
Linea + Ellisse | Linea parallela
Linea + Linea = | Linea centrale
Linea + Punto = | Linea parallela
Linea + Insieme = | Linea parallela
Linea + Asola = | Linea centrale
Linea + Sfera = | Linea parallela
Punto + Ellisse | Linea best-fit
Punto + Punto | Linea best-fit
Punto + Sfera | Linea best-fit
Punto + Asola | Linea best-fit
Punto + Insieme | Linea best-fit
Piano + 1 elemento qualsiasi (ad eccezione di un piano) = | Linea di proiezione
Piano + Piano = | Linea di intersezione
Asola + Cono = | Linea centrale
Asola + Cilindro = | Linea centrale
Asola + Ellisse | Linea parallela
Asola + Asola = | Linea best-fit


Costruzione di una linea di allineamento

È possibile costruire una linea passante per l'origine corrente e perpendicolare al piano di lavoro corrente. Non è necessario specificare alcun elemento di input.

Per costruire una linea di allineamento, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Allineamento.

  3. Non inserire alcun elemento.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/LINEA,ALLIN,lunghezza

Costruzione di una linea normale al piano di lavoro


Costruzione di una linea best-fit o di ricompensazione best-fit

Il metodo di ricompensazione best-fit risulta preciso solo quando si costruisce una linea utilizzando dei punti.

È possibile costruire una linea best-fit 2D o 3D utilizzando due o più elementi. Il metodo di costruzione best fit prende i punti misurati reali mentre il metodo di ricompensazione best fit utilizza il centro della sfera. In entrambi i casi, l'errore quadrato medio viene ridotto con il metodo dei minimi quadrati e l'errore massimo viene ridotto con il metodo minmax. È inoltre possibile decidere di rimuovere i punti isolati o applicare un filtro gaussiano alla linea costruita.

Per costruire una linea best-fit o di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare Best fit o BF ricomp..

  3. Inserire almeno due elementi.

  4. Selezionare l'opzione Linea 2D o Linea 3D.

Nota: per una ricompensazione best fit, un elemento deve essere un punto.

  5. Se si desidera, selezionare la casella di controllo Rimuovi punti isolati e specificare un valore nella casella Multipli di deviazione standard.

  6. Se si desira, selezionare la casella di controllo Applica filtro gaussiano e specificare un valore nella casella Frequenza di taglio.

  7. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:

COSTR/LINEA,BF,elem_1,elem_2, �
RIMOZ_PUNTI_ISOLATI/(ON | OFF), stdDevMultiple
FILTRO/(ON | OFF),FREQUENZA=ctfoffWavelength

(utilizza i punti misurati reali per la costruzione)
o

COSTR/LINEA,BFRE,elem_1,elem_2, �
RIMOZ_PUNTI_ISOLATI/(ON | OFF), stdDevMultiple
FILTRO/(ON | OFF),FREQUENZA=cutoffWavelength

(utilizza il centro del tastatore per la misurazione, eseguendo una ricompensazione dopo la misurazione dell'elemento).

Costruzione di una linea da due o più elementi

Vedere anche:

Rimuovi punti dispersi / fattore moltiplicativo della deviazione standard

Applica filtro gaussiano / frequenza di taglio


Rimuovi punti dispersi / Fattore moltiplicativo della deviazione standard

Nel caso di una linea best fit (BF) o di ricompensazione best fit (BFRE) è possible scegliere di rimuovere i punti dispersi in base alla distanza dall’elemento best fit. Ció consente la rimozione delle anomalie del processo di misurazione.

PC-DMIS adatta una linea per i dati, quindi determina i punti isolati in base al valore nella casella Multipli di deviazione standard. La procedura prosegue con:

  • Ricalcolo della linea best fit dopo la rimozione dei punti dispersi

  • Controllo ulteriore dei punti dispersi

  • Ricalcolo della linea best fit

  • Il processo viene ripetuto fino alla completa eliminazione dei punti dispersi, oppure fino a che PC-DMIS non puó piú calcolare la linea (se sono dati cioé meno di tre punti).

Per le linee 2D, la deviazione viene calcolata in un piano parallelo al piano di lavoro.

Per le linee 3D, la deviazione viene calcolata come la distanza dal punto misurato al punto più vicino lungo la linea.


Applica filtro gaussiano / frequenza di taglio

Le linee costruite Best Fit (BF) e Best Fit Recompensate (BFRE) consentono di filtrare le deviazioni dei punti di dati misurati dalla linea best fit calcolata dai dati misurati. La casella di controllo Applica filtro gaussiano è un filtro gaussiano controllato dalla frequenza di taglio. In generale, una frequanza di taglio minore produce un filtraggio smorzato dei dati. Se è stata selezionata la casella di controllo Rimuovi punti isolati e si filtrano i dati, allora i dati dei punti isolati verranno rimossi prima dell'applicazione del filtro.

Per linee 2D, PC-DMIS filtra le deviazioni in un piano parallelo al piano di lavoro.

Per linee 3D, PC-DMIS filtra le deviazioni in due piani perpendicolari tra loro, entrambi contenenti la linea. PC-DMIS filtra queste deviazioni in 3D.


Costruzione di una linea convertita

È possibile costruire una linea tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà la linea in corrispondenza del baricentro dell'elemento di input.

Si puó modificare il diametro della linea; ció trasforma il cerchio da DIPENDENTE in INDIPENDENTE. Quando la linea viene eseguita, il diametro non varierà in base all’elemento in input, ma sarà indipendente dall’elemento stesso, mentre la posizione ed il vettore restano dipendenti dall’elemento in input. Ciò permette di controllare il diametro nei casi in cui l’elemento in input non presenti alcun diametro, come nel caso di un punto. Il campo DIPENDENTE/INDIPENDENTE è un campo che si può abilitare/disabilitare.

Per modificare la lunghezza di una linea:

  1. Aprire la finestra di Modifica.

  2. Fare clic sull'elemento lineare.

  3. Premere il tasto di tabulazione fino a quando non viene selezionato il campo relativo alla lunghezza.

  4. Inserire una nuova lunghezza.

  5. Premere il tasto di tabulazione. La lunghezza verrà aggiornata automaticamente.

Per tutti i calcoli verrà utilizzato questo valore anziché la lunghezza predefinita.

Per costruire una linea convertita, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Inserire un elemento di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:
COSTR/LINEA,CAST,elem_1, lunghezza,(DIPENDENTE | INDIPENDENTE)

Costruzione di una linea da un cilindro


Costruzione di una linea di intersezione

È possibile costruire una linea in corrispondenza dell'intersezione di due piani.

Per costruire una linea di intersezione, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Intersezione.

  3. Inserire il primo elemento. L'elemento selezionato deve essere un piano.

  4. Inserire il secondo elemento. L'elemento selezionato deve essere un piano.

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica per questa opzione sarebbe:GENERA/LINEA,INTERS,elem_1,elem_2,lunghezza

Costruzione di una linea da due piani


Costruzione di una linea centrale

È possibile costruire una linea centrale tra due linee (cono, asola o cilindro). PC-DMIS crea una linea centrale equidistante dalle linee specificate. Questa opzione può essere utilizzata per le linee parallele o per le linee che formano un angolo. La linea centrale viene costruita su un piano centrale tra i due elementi di input e forma una bisettrice dell'angolo incluso di ampiezza minore creato dai due elementi di input.

Per costruire una linea centrale, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Centrale.

  3. Inserire il primo elemento. L'elemento inserito deve essere una linea, un cono, un cilindro o un'asola.

  4. Inserire il secondo elemento. L'elemento inserito deve essere una linea, un cono, un cilindro o un'asola.

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/LINEA,CENTR,elem_1,elem_2,lunghezza

Costruzione di una linea centrale da due linee


Costruzione di una linea parallela

È possibile costruire una linea parallela a due elementi qualsiasi. PC-DMIS crea una linea parallela al primo elemento di input e passante per il centro del secondo elemento di input.

Per costruire una linea parallela, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Parallelo.

  3. Selezionare due elementi di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

  5. La riga comandi della finestra di modifica sarebbe:
    COSTR/LINEA,PAR A,elem_1,elem_2,
    lunghezza

Costruzione di una linea parallela


Costruzione di una linea perpendicolare

È possibile creare una linea perpendicolare al primo elemento di input e passante per il baricentro del secondo elemento.

Per costruire una linea perpendicolare, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Perpendicolare.

  3. Selezionare due elementi di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/LINEA,PERP A,elem_1,elem_2,lunghezza

Costruzione di una linea perpendicolare


Costruzione di una linea proiettata

È possibile costruire una linea utilizzando un elemento qualsiasi e un piano. PC-DMIS proietterà la linea in corrispondenza dell'intersezione tra il piano e la linea. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro.

Per costruire una linea proiettata, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione.

  3. Selezionare uno o due elementi. Il primo elemento può essere di qualsiasi tipo. Se vengono selezionati due elementi, il secondo elemento deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di Modifica è la seguente:
COSTR/LINEA,PROIEZ,elem_1,(elem_2),
lunghezza

Costruzione di una linea da una linea e un piano


Modifica della direzione di una linea

È possibile costruire una linea con un vettore inverso.

Per costruire una linea inversa, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. È necessario che sia una linea.

  4. Fare clic sul pulsante Crea. PC-DMIS inverte il vettore della linea, come pure i punti iniziale e finale.

La riga comandi della finestra di modifica per questa opzione sarebbe:COSTR/LINEA,ROV,elem_1,lunghezza


Costruzione di una linea da una parte di scansione

È possibile costruire una linea da un segmento di una scansione lineare aperta o di una scansione lineare chiusa. PC-DMIS creerà una linea da una parte della scansione. Informazioni dettagliate sulla costruzione vengono riportate più avanti.

Per costruire una linea scansione segmento, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento| Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Scansione segmento.

  3. Selezionare una scansione lineare aperta o lineare chiusa creata in precedenza.

  4. Fare clic sul pulsanteDati segmento. Verrà visualizzata la finestra di dialogo Scansione segmento.

  5. Selezionare l'opzione Best Fit o BF Ricomp..

  6. Selezionare la parte della scansione utilizzata nella costruzione in questa finestra di dialogo.

  7. Specificare il numero di punti che è possibile annullare inserendo i valori nelle caselle Scarto massimo iniziale e Scarto massimo finale.

  8. Specificare la distanza dalla linea best-fit nella casella Tolleranza scarto. Si tratta di una tolleranza della forma, che consente di controllare i punti finali accettati come parte della linea. Se la distanza dal punto di scansione all'arco best-fit è superiore a questo valore di tolleranza, il punto finale verrà scartato.

  9. Specificare i valori di Approssima punto iniziale e Approssima punto finale della scansione selezionando la casella di controllo Seleziona punti, quindi fare clic nella finestra di visualizzazione grafica per completare i campi X, Y, Z. È possibile fare clic in un punto qualsiasi della finestra di visualizzazione grafica; tuttavia, PC-DMIS inserirà il punto sulla scansione in corrispondenza della posizione più vicina a quella selezionata. È possibile modificare i valori del punto anche utilizzando la tastiera.

  10. Fare clic su OK per accettare i dati e chiudere la finestra di dialogo Scansione segmento.

  11. Fare clic su Crea per costruire la linea dalla scansione.

La riga di comando della finestra di modifica per questa opzione è la seguente:

COSTR/LINEA,SCANS_SEGMENTO,tipo_adat,elem_1,inizio_x,inizio_y,inizio_z,fine_x,fine_y,fine_z,scarto_iniziale,scarto_finale,tolleranza

Se si desiderano ottenere più archi o linee da una determinata scansione, è necessario aggiungere un altro comando per una sezione differente della scansione.

Vedere anche:

Determinazione dei dati utilizzati per costruire la linea


Determinazione dei dati utilizzati per costruire la linea

I dati utilizzati per costruire la linea vengono determinati nel seguente modo:

  • Innanzitutto, viene determinato un segmento della scansione utilizzando un punto iniziale e un punto finale all'interno della scansione. Il punto iniziale e quello finale vengono scelti rispettivamente come punto della scansione più vicino [start_x, start_y, start_z] e punto più vicino [end_x, end_y, end_z].

  • I punti vengono quindi annullati dai punti iniziale e finale della scansione. Il numero dei punti scartati dai punti iniziali e finali corrisponde rispettivamente a scarto_iniziale e a scarto_finale. Viene quindi adattata una linea a questo insieme di punti.

  • Infine, il punto iniziale e quello finale vengono aggiunti di nuovo, se si trovano all'interno dell'area di tolleranza specificata. La linea viene quindi riadattata al nuovo insieme di punti.

Il valore di tipo_adat può essere BF (Best Fit ) o BFRE (Best Fit Recompensate). Tale valore determina se per il calcolo della linea viene utilizzato il metodo best-fit o best-fit con ricompensazione. Per una descrizione delle opzioni best-fit e ricompensazione best-fit, vedere "Costruzione di una linea best fit o di ricompensazione best fit".


Costruzione di una linea di offset

È possibile costruire una linea ad una distanza specifica dagli elementi di input.

Per costruire una linea di offset, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione linea (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Offset.

  3. Selezionare almeno due elementi da cui creare la linea di offset. È possibile scegliere qualsiasi tipo di elemento.

  4. Fare clic sul pulsante Offset. Verrà visualizzata la finestra di dialogo Offset linea.

Finestra di dialogo Offset linea

  5. Fare clic sull'opzione Calcola nominali e inserire i valori di offset per gli elementi desiderati nel campo corrispondente oppure fare clic sull'opzione Calcola offset e modificare i valori nominali in base alla procedura riportata di seguito.

  6. Fare clic sul pulsante OK. La finestra Offset linea verrà chiusa.

  7. Fare clic sul pulsante Crea.

PC-DMIS esegue l'iterazione e costruisce una linea in modo che la distanza più breve tra ciascun elemento di input e la linea rappresenti il valore di offset corrispondente. Tutti gli offset saranno perpendicolari alla direzione perpendicolare della superficie indicata. I valori di offset negativi vengono applicati nella stessa direzione generale lungo la quale è stata eseguita la misurazione dei punti. I valori di offset positivi vengono applicati nella direzione opposta a quella utilizzata per il tastatore. Se non esiste una direzione per il tastatore (cioè, se i punti di input sono stati costruiti), PC-DMIS utilizza il piano di lavoro corrente per determinare la direzione generale per l'applicazione degli offset. I valori di offset positivi vengono applicati nella direzione positiva del terzo asse del piano di lavoro corrente. I valori di offset negativi vengono applicati nella direzione negativa del terzo asse del piano di lavoro corrente.

Nota: il segno (positivo o negativo) del valore di offset determina il lato degli elementi di input lungo il quale verrà costruita la linea. Se la direzione della linea è opposta a quella prevista, annullare l'elemento e ricostruirlo, invertendo il segno dei valori di offset indicati. Ad esempio, se i valori di offset sono 1,0 2,5 e 3,5 modificarli in -1,0 -2,5 e -3,5.

La riga di comando della finestra di modifica per questa opzione avrà il seguente formato:
GENERA/LINEA,OFFSET
PERPEND SUPERFICIE = i_vec, j_vec, k_vec, ALTER1
ID = id1, id2, �
OFFSET = val1, val2, �

Nota:ALTER1 = può essere MULTI PUNTO e DUE PUNTI. L'algoritmo TWO POINT è disponibile solo per i pezzi creati utilizzando PC-DMIS versione 2.1 o precedenti.

È possibile calcolare il valore di offset in due modi:

  • Modificare l'offset direttamente per l'elemento scelto, quindi fare clic sul pulsante Calcola per aggiornare i valori nominali.

  • Modificare i valori nominali per l'elemento selezionato, quindi fare clic sul pulsante Calcola per aggiornare i valori di offset.

Tali valori vengono descritti più avanti.

Vedere anche:

Modifica diretta dei valori di offset per calcolare i valori nominali

Esempio di calcolo dei valori nominali

Modifica diretta dei valori nominali per calcolare i valori di offset

Esempio di calcolo dei valori di offset


Modifica diretta dei valori di offset per calcolare i valori nominali

Per inserire nuovi valori di offset, effettuare le seguenti operazioni:

  1. Aprire la finestra Offset linea selezionando il pulsante Offset dalla finestra Costruzione linea (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Calcola nominali. La parte della finestra di dialogo contenente i valori di offset diventa modificabile.

  3. Nella colonna Offset, selezionare il valore "0.000000" (o il valore corrente) per selezionarlo.

  4. Fare di nuovo clic sul pulsante Offset.

  5. Inserire il nuovo valore.

  6. Premere INVIO.

  7. Fare clic su Calcola per aggiornare i valori nominali basati sugli offset scelti.

  8. Fare clic su OK per salvare l'offset.


Esempio di calcolo dei valori nominali

Il pulsante Calcola nominali calcola i valori nominali X, Y e Z dai nuovi offset immessi.

Ad esempio, si supponga di voler costruire una linea di offset tra due cerchi (CER1 e CER2). Dopo aver selezionato gli elementi ed aver fatto clic sul pulsante Offset, vengono visualizzati i nominali X, Y e Z di:

X = 4,5040

Y = 3

Z = 0,1582

Se si incrementano di 2 unità i valori di offset per ciascun cerchio e si fa clic sul pulsante Calcola nominali, i valori X, Y e Z vengono aggiornati come segue:

X = 4,5040

Y = 5

Z = 0,1582

A questo punto, se si fa clic su OK e si costruisce la linea di offset, il valore dell'asse della nuova linea costruita è superiore di 2 unità.

Viene modificato soltanto il valore di offset all'asse Y.


Modifica diretta dei valori nominali per calcolare i valori di offset

Per inserire nuovi valori di offset, effettuare le seguenti operazioni:

1. Aprire la finestra di dialogo Offset linea selezionando il pulsante Offset dalla finestra Costruzione linea (Inserisci | Elemento | Costruito | Linea). Visualizza Mappa Percorsi dei Menu

2. Selezionare l'opzione Calcola offset. La parte della finestra di dialogo contenente i valori nominali diventa modificabile.

3. Modificare i valori XYZ, IJK o IJK di superficie.

4. Fare clic su Calcola per aggiornare i valori di offset in base ai nominali modificati.

5. Fare clic su OK per salvare l'offset.


Esempio di calcolo dei valori di offset

Il pulsante Calcola offset consente di calcolare i valori di offset visualizzati nella colonna Offset quando si modifica il valore nominale.

Ad esempio, si supponga di voler costruire una linea di offset tra due cerchi (CER1 e CER2). Dopo aver selezionato gli elementi ed aver fatto clic sul pulsante Offset, vengono visualizzati i nominali X, Y e Z di:

X = 4,5040

Y = 3

Z = 0,1582

Se si modificano i valori nominali X, Y e Z in:

X = 4,5040

Y = 4,5

Z = 0,1582

e si fa clic sul pulsante Calcola offset, i valori di offset vengono aggiornati come segue:

1,500000 CIR1

1,500000 CIR2

A questo punto, se si fa clic su OK e si costruisce la linea di offset, il valore dell'asse Y della linea è superiore di 1,5 unità.


Costruzione di un elemento cono

Finestra di dialogo Costruzione cono

In PC-DMIS sono disponibili vari metodi per la costruzione di un cono. Nella tabella seguente sono riportati i vari tipi di cono costruiti ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri ne sono necessari almeno sei. Nella tabella seguente, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Cono best-fit | BF | Sono necessari almeno 6 elementi di input. | - | - | Il cono best-fit viene costruito utilizzando gli elementi di input specificati.
Cono best-fit con ricompensazione | BFRE | Sono necessari almeno 6 elementi di input. Un elemento deve essere un punto. | - | - | Il cono best-fit viene costruito utilizzando gli elementi di input specificati.
Cono convertito | CONV | 1 | Qualsiasi | - | Il cono viene costruito in corrispondenza del baricentro dell'elemento di input.
Cono di proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | Se si utilizza un elemento di input, il cono verrà proiettato sul piano di lavoro.
Cono inverso | INV | 1 | Cono | - | Il cono viene costruito con un vettore inverso per l'asse.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un cono, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cono (Inserisci | Elemento | Costruzione | Cono). Visualizza Mappa Percorsi dei Menu

  2. Inserire gli elementi desiderati.

  3. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Best Fit or Best Fit Recompensate Cone (Best-fit o Ricomp. BF)

  • Cono convertito

  • Proiezione

  • Inverti

  • Cono automatico

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:

Nome_elemento=ELEM/CONO,ALTER1,ALTER4,ANG
TEOR /x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,ang
CORRENTE /x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,ang
GENERA/ALTER2,ALTER3,......

Nome_elemento=ELEM/CONO,ALTER1,ALTER4,LUNGH
TEOR/x_cord,y_cord,z_cor,i_vec,j_vec,k_vec,leng,diam_1,diam_2
CORRENTE/x_cord,y_cord,z_cor,i_vec,j_vec,k_vec,leng,diam_1,diam_2
GENERA/ALTER2,ALTER3,......

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

ALTER1=POL o RETT

ALTER2 = CONO

ALTER3 = BF / BFRE / CAST / PROJ / REV

ALTER4= IN / OUT

ALTER5 = ANG / LUNG

Le prime tre righe visualizzate nella finestra di modifica sono simili per tutti i coni costruiti. Se l'elemento è limitato o illimitato, i valori teorici e reali visualizzati possono variare. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile attivare i diversi tipi di cono posizionando il cursore su ALTER e facendo clic con il pulsante sinistro del mouse. Questa operazione può essere eseguita anche con la tastiera. (Vedere "Tasti funzione della modalità Comando" nella finestra "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Il metodo di costruzione predefinito è AUTO. Questa opzione determina automaticamente il metodo migliore per costruire un cono utilizzando uno o più elementi di input. Vedere "Costruzione automatica di un cono"

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di un cono.

Vedere anche:

Cono interno o esterno

Variazioni

Costruzione di un cono best-fit o di ricompensazione best-fit

Costruzione di un cono convertito

Costruzione di un cono proiettato

Modifica della direzione di un cono

Costruzione automatica di un cono

Constructing a Projected Cone IDSearch IDSelect Last #Feature List boxIn / Out ConeCreating An Auto CircleConstructing a Best Fit or Best Fit Recompensate ConeClear buttonCreate buttonClose buttonConstructing a Cast ConeConstructing a Reverse Cone


Cono interno o esterno

Le opzioni In e Out indicano a PC-DMIS se il cono deve essere costruito come cono interno o esterno.

  • Se si seleziona l'opzione In, PC-DMIS costruirà il cono come cono interno.

  • Se invece si seleziona l'opzione Out, PC-DMIS costruirà il cono come cono esterno.


Variazioni

Il primo esempio indicato di seguito si riferisce alla finestra di modifica quando si imposta ALTER5 su ANG. In questo primo esempio viene visualizzato il formato per un cono non limitato. Il secondo esempio indica la stringa di comando visualizzata quando ALTER5 è impostato su LUNG. Diam_1 viene definito come il diametro calcolato in base all'altezza dei primi tre punti. Diam_2 è il diametro calcolato in base al punto più distante rispetto al primo diametro. La lunghezza è la distanza tra i due diametri.

Il formato della linea illimitata viene mostrato nel secondo esempio.
nome_elemento=ELEM/CONO,ALTER1,ALTER4,ANG
TEOR/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,ang
REALE/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,ang
GENERA/ALTER2,ALTER3,......

Nome_elemento=ELEM/CONO,ALTER1,ALTER4,LUNG
TEOR/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,lunghezza,diam_1,diam_2
REALE/coord_x,coord_y,coord_z,vett_i,vett_j,vett_k,lunghezza,diam_1,diam_2
GENERA/ALTER2,ALTER3,......


Costruzione di un cono best-fit o di ricompensazione best-fit

Un cono best fit può essere costruito mediante sei o più elementi. I primi tre input devono trovarsi aprossimativamente su una sezione trasversale del piano del cono perpendicolare alla linea centrale. gli altri punti devono essere posizionati sopra o sotto il piano definito dai primi tre punti, e non su entrambi i lati del piano. Questo metodo di misurazione consente di ottenere i risultati migliori. Il metodo di costruzione best-fit utilizza i punti effettivamente misurati anziché il centro della punta a sfera, come nel caso del metodo di ricompensazione best-fit. In entrambi i casi PC-DMIS calcola un cono con i minimi quadrati, uno per cui PC-DMIS riduce la distranza quadrata media dai punti di dati al cono.

Per costruire un cono best-fit o di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cono (Inserisci | Elemento | Costruzione | Cono). Visualizza Mappa Percorsi dei Menu

  2. Selezionare Best fit o BF ricomp..

  3. Inserire almeno sei elementi.

Nota: se si seleziona Ricompensazione best fit almeno un elemento deve essere un punto.

  4. Fare clic sul pulsante Crea.

La riga comando della finestra di modifica per questa opzione sarebbe:COSTR/CONO,BF,elem_1,elem_2,elem_3,elem_4,elem_5,elem_6
(utilizza i punti misurati reali per la costruzione)
o
COSTR/CONO,BFRE,elem_1,elem_2,elem_3,elem_4,elem_5,elem_6
(utilizza il centro del tastatore per la misurazione).

Costruzione di un cono da 6 o più punti


Costruzione di un cono convertito

È possibile costruire un cono tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà il cono in corrispondenza del baricentro dell'elemento di input. Se l'elemento di input non è un cono, verrà utilizzato un valore predefinito per l'angolo compreso. Se l'elemento di input non è un elemento lineare (linea, cilindro o asola), per la lunghezza dell'asse verrà utilizzato un valore predefinito.

Si puó modificare il diametro del cono; ció trasforma il cono da DIPENDENTE in INDIPENDENTE. Quando l’elemento viene eseguito, la dimensione non varia in base all’elemento in input, ma sarà indipendente dall’elemento stesso, mentre la posizione ed il vettore restano dipendenti dall’elemento in input. Ciò permette di controllare la dimensione del cono nei casi in cui l’elemento in input sia adimensionale, come nel caso del punto. Il campo DIPENDENTE/INDIPENDENTE è un campo che si può abilitare/disabilitare.

Per tutti i calcoli verranno utilizzati i nuovi attributi (ad esempio, se è stato modificato il semiangolo) anziché i valori predefiniti, come descritto in precedenza.

Per costruire un cono convertito, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cono (Inserisci | Elemento | Costruzione | Cono). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Selezionare un elemento di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CONO,CAST,elem_1, (DIPENDENTE | INDIPENDENTE)


Costruzione di un cono proiettato

È possibile costruire un cono proiettando un elemento qualsiasi su un piano. Se l'elemento di input proiettato non è un cono, PC-DMIS utilizzerà i valori predefiniti per l'angolo compreso e due lunghezze per l'asse. La prima lunghezza è la distanza tra il vertice e il primo cerchio; la seconda lunghezza è la distanza tra i due cerchi. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro corrente.

Per costruire un cono proiettato, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cono (Inserisci | Elemento | Costruzione | Cono). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione.

  3. Selezionare uno o due elementi. Se si seleziona un solo elemento, è possibile scegliere un tipo qualsiasi; se si selezionano due elementi, è possibile scegliere un tipo qualsiasi per il primo elemento, Il secondo elemento deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CONO,PROIEZ,elem_1,(elem_2)


Modifica della direzione di un cono

È possibile costruire un cono con un vettore inverso.

Per costruire un cono inverso, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cono (Inserisci | Elemento | Costruzione | Cono). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. È necessario che sia un cono.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CONO,ROV,elem_1


Costruzione automatica di un cono

Nella tabella seguente viene indicato il tipo di cono che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione cono (Inserisci | Elemento | Costruito | Cono). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Elementi di input | Costruzione
6 o più elementi = | Cono best-fit
Piano + 1 elemento qualsiasi = | Cono di proiezione
Cono = | Cono inverso
1 elemento = (diverso da Cono/Set) | Cono convertito
1 insieme qualsiasi = | Cono best-fit


Costruzione di un elemento cilindro

Finestra di dialogo Cilindro

In PC-DMIS sono disponibili vari metodi per la costruzione di un cilindro. Nella tabella seguente sono riportati i vari tipi di cilindri costruiti ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri ne sono necessari almeno sei. Nella seguente tabella, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Cilindro best-fit | BF | Sono necessari almeno 6 elementi di input. Vedere la Nota riportata di seguito. | - | - | Il cilindro best-fit viene costruito utilizzando gli elementi di input specificati.
Cilindro best-fit con ricompensazione | BFRE | Sono necessari almeno 6 elementi di input. Un elemento deve essere un punto. Vedere la Nota riportata di seguito. | - | - | Il cilindro best-fit viene costruito utilizzando gli elementi di input specificati.
Cilindro convertito | CONV | 1 | Qualsiasi | - | Il cilindro viene costruito in corrispondenza del baricentro dell'elemento di input.
Cilindro di proiezione | PROIEZ | 1 o 2 | Qualsiasi | Piano | Se si utilizza un elemento di input, il cilindro verrà proiettato sul piano di lavoro.
Cilindro inverso | INV | 1 | Cilindro,?cono,?linea,?asola | - | Viene costruito un cilindro con un vettore inverso.

Nota: a questo punto, è possibile costruire cilindri best-fit o di ricompensazione best-fit da due cerchi. I cerchi di input devono essere costruiti best-fit (BF), di ricompensazione best-fit (BFRE) o cerchi misurati. Il numero totale di punti presi in ciascun cerchio non deve essere inferiore a 3.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un cilindro, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione cilindro (Inserisci | Elemento | Costruito | Cilindro) . Visualizza Mappa Percorsi dei Menu

  2. Inserire gli elementi desiderati.

  3. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Best-fit o Ricomp. BF

  • Cilindro convertito

  • Proiezione

  • Inverti

  • Cilindro automatico

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la Costruzione di un cilindro di esempio è la seguente:
nome_elemento=ELEM/CILINDRO,ALTER1,ALTER4,ALTER5
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam,length
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,diam,length
GENERA/ALTER2,ALTER3,......

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il metodo di costruzione predefinito è AUTO. Questa opzione determina automaticamente il metodo migliore per costruire un cilindro utilizzando uno o più elementi di input. Vedere "Costruzione automatica di un cilindro"

Di seguito è indicato il formato di base per i cilindri.

ALTER1=POL o RETT

ALTER2 = CILINDRO

ALTER3 = BF / BFRE / CAST / PROJ / REV

ALTER4= IN / OUT

ALTER5 = LEAST_SQR / MAX_INSC / MIN_CIRCSC / MIN_SEP / FIXED_RAD (solo per cerchi BF e BFRE misurati)

lunghezza = la distanza tra il primo cerchio misurato (primi tre punti presi) e il punto più distante dai primi tre punti presi.

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutti i cilindri costruiti. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di cilindro posizionando il cursore su ALTER3 e premendo F7 o F8. (Vedere "Tasti funzione della modalità Comando" nella finestra "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di un cilindro.

Vedere anche:

Cilindro interno o esterno

Costruzione di un cilindro best-fit o di ricompensazione best-fit

Costruzione di un cilindro convertito

Costruzione di un cilindro proiettato

Modifica della direzione di un cilindro

Costruzione automatica di un cilindro

ID Search IDSelect Last #Feature List boxIn / Out CylinderConstructing an Auto CylinderClear buttonCreate buttonClose buttonConstructing a BF or BFRE CylinderConstructing a Projected CylinderConstructing a Cast CylinderConstructing a Reverse Cylinder


Cilindro interno o esterno

Le opzioni In e Out indicano a PC-DMIS se il cilindro deve essere costruito come cilindro interno o esterno.

  • Se si seleziona In, PC-DMIS costruirà il cilindro come cilindro interno.

  • Se invece si seleziona l'opzione Out, PC-DMIS costruirà il cilindro come cilindro esterno.


Costruzione di un cilindro best-fit o di ricompensazione best-fit

Un cilindro best fit può essere costruito da sei o più punti. I primi tre punti devono trovarsi approssimativamente su una sezione trasversale al piano del cilindro perpendicolare alla linea di centro. Il metodo di costruzione best-fit utilizza i punti effettivamente misurati anziché il centro della punta a sfera, come nel caso del metodo di ricompensazione best-fit. In entrambi i casi, PC-DMIS calcola un cilindro con i minimi quadrati, uno per cui PC-DMIS riduce la distanza quadrata media dai punti di dati al cilindro.

Nota: tenere presente che determinati modelli di punti (ad esempio, due righe di tre punti equidistanti o due righe di quattro punti equidistanti) forniscono più modi per creare o misurare un cilindro perfetto e l'algoritmo Best Fit di PC-DMIS è in grado creare o misurare il cilindro mediante una soluzione non prevista. Per ottenere risultati ottimali, si consiglia di utilizzare una matrice di punti univoca per i cilindri misurati o costruiti.

Per costruire un cilindro best-fit o di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione cilindro (Inserisci | Elemento | Costruito | Cilindro). Visualizza Mappa Percorsi dei Menu

  2. Selezionare Best fit o BF ricomp..

  3. Inserire gli elementi di input scegliendo opportunamente due elementi cerchio, oppure sei elementi ti tipo qualsiasi.

Per elementi a due cerchi, questi devono essere Best Fit (BF) / Best Fit Recompensate (BFRE) costruiti oppure devono essere cerchi misurati. Il numero totale di punti presi in ciascun cerchio non deve essere inferiore a 3.

Per sei elementi, essi possono essere di un qualsiasi tipo. Tuttavia, se è stato selezionato BF ricomp., almeno un elemento deve essere un punto.

4. Fare clic sul pulsante Crea.

Nota: l'istruzione math utilizzata da PC-DMIS per ottenere i punti dagli elementi di input funziona differentemente a seconda del tipo di elemento. Elementi costruiti, diversi dagli opportuni cerchi di input descritti sopra, restituiscono un punto singolo. Cerchi BF costruiti, cerchi BFRE costruiti, oppure i cerchi misurati descritti, restituiscono i loro punti di input.

La riga comandi della finestra di modifica sarebbe:
COSTR/CILINDRO,BF,elem_1,elem_2,elem_3,elem_4,elem_5,elem_6
(utilizza i punti misurati reali per la costruzione)
o
COSTR/CILINDRO,BFRE,elem_1,elem_2,elem_3,elem_4,elem_5,...
(utilizza il centro del tastatore per la misurazione).

Costruzione di un cilindro da 6 o più punti

Vedere anche:

Tipo di best fit


Tipo di best fit

L'elenco diventa disponibile se si seleziona l'opzione Best fit o BF ricomp.quando si costruisce il cilindro. Consente di definire il tipo di costruzione Best Fit utilizzata. tra quelli elencati di seguito:

  • QUAD_MIN

  • MAX_ISCR

  • MIN_CIRCOS

  • SEP_MIN

  • RAG_FISSO

Questi tipi di calcoli sono già stati trattati nella sezione "Tipo best-fit".


Costruzione di un cilindro convertito

È possibile costruire un cilindro tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà il cilindro in corrispondenza del baricentro dell'elemento di input. Se viene utilizzato un punto di lamiera, il diametro corrisponderà al diametro del tastatore. Per alcuni elementi di lamiera (ad esempio, asole e tacche), come diametro del cerchio viene utilizzata la larghezza. Per gli elementi non circolari (ad esempio, linee, punti e così via), viene utilizzato un valore pari a quattro volte il diametro del tastatore.

Si puó modificare il diametro del cilindro, trasformandolo da DIPENDENTE in INDIPENDENTE. Ciò significa che quando il cilindro viene eseguito, la lunghezza e il diametro non verranno modificati in base all'elemento di input ma saranno indipendenti, mentre la posizione e il vettore rimarranno dipendenti dall'elemento di input. In questo modo si ha il controllo sulla dimensione del cilindro nei casi in cui l'elemento di input non ha un valore per lunghezza e diamentro, come un punto. Il campo DIPENDENTE/INDIPENDENTE è un campo che si può abilitare/disabilitare.

Per tutti i calcoli verranno utilizzati i nuovi attributi (ad esempio, se è stato modificato il diametro) anziché i valori predefiniti, come descritto in precedenza.

Per costruire un cilindro convertito, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione cilindro (Inserisci | Elemento | Costruito | Cilindro) . Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Selezionare un elemento. di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CILINDRO,CAST,elem_1, (DIPENDENTE | INDIPENDENTE)


Costruzione di un cilindro proiettato

È possibile costruire un cilindro utilizzando un elemento qualsiasi e un piano. Il diametro del cilindro proiettato corrisponderà al diametro del primo elemento di input, se l'elemento è circolare, oppure sarà due volte il diametro del tastatore, se l'elemento non è circolare. È necessario inserire la lunghezza e il diametro per le misurazioni limitate. Se esiste un solo elemento di input, la proiezione verrà eseguita sul piano di lavoro.

Per costruire un cilindro proiettato, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione cilindro (Inserisci | Elemento | Costruito | Cilindro) . Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Proiezione.

  3. Selezionare uno o due elementi. Se si seleziona un solo elemento, è possibile scegliere un tipo qualsiasi; se si selezionano due elementi, è possibile scegliere un tipo qualsiasi per il primo elemento, Il secondo elemento deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CILINDRO,PROIEZ,elem_1,(elem_2)


Modifica della direzione di un cilindro

È possibile costruire un cilindro con un vettore inverso.

Per costruire un cilindro inverso, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione cilindro (Inserisci | Elemento | Costruito | Cilindro) . Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. È necessario che sia un cilindro.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/CILINDRO,ROV,elem_1


Costruzione automatica di un cilindro

Nella tabella seguente viene indicato il tipo di cilindro che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Elementi di input | Costruzione
5 o più elementi = | Cilindro best-fit
1 elemento = (diverso da Cinlindro/Set) | Cilindro convertito
1 insieme qualsiasi = | Cilindro best-fit
Cilindro = | Cilindro inverso
Piano + 1 elemento qualsiasi = | Cilindro di proiezione

Nota: tenere presente che determinati modelli di punti (ad esempio, due righe di tre punti equidistanti o due righe di quattro punti equidistanti) forniscono più modi per creare o misurare un cilindro perfetto e l'algoritmo Best Fit di PC-DMIS è in grado creare o misurare il cilindro mediante una soluzione non prevista. Per ottenere risultati ottimali, si consiglia di utilizzare una matrice di punti univoca per i cilindri misurati o costruiti.

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione cilindro (Inserisci | Elemento | Costruito | Cilindro). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.


Costruzione di un elemento piano

Finestra di dialogo Costruzione piano

In PC-DMIS sono disponibili vari metodi per la costruzione di un piano. Nella tabella seguente sono riportati i vari tipi di piani costruiti ed i relativi elementi di input necessari. Per alcuni elementi non è necessario specificare alcun elemento di input, mentre per altri ne sono necessari almeno tre. Nella seguente tabella, il termine 'Qualsiasi' indica che può essere utilizzato qualsiasi tipo di elemento come input per la costruzione. È possibile selezionare gli elementi in qualsiasi ordine.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | ELEM. 3: | COMMENTI
Allineamento | ALLIN | 0 | - | - | - | Il piano viene costruito in corrispondenza dell'origine dell'allineamento.
Piano best-fit | BF | Sono necessari almeno 3 elementi di input. | - | - | - | Il piano best-fit viene costruito utilizzando gli elementi di input.
Piano best-fit con ricompensazione | BFRE | Sono necessari almeno 3 elementi di input. Un elemento deve essere un punto. | - | - | - | Il piano best-fit viene costruito utilizzando gli elementi di input.
Piano convertito | CONV | 1 | Qualsiasi | - | - | Il piano viene costruito in corrispondenza del baricentro dell'elemento di input.
Punto massimo | PTMAX | Un insieme (utilizzando almeno tre elementi) o una scansione | Se l'input è un insieme, utilizzare un elemento qualsiasi; se l'input è una scansione, utilizzare una scansione patch. |  |  | Il piano viene costruito utilizzando i punti massimi disponibili.
Piano centrale | CENTR | 2 | Qualsiasi | Qualsiasi | - | Il piano centrale viene costruito tra i baricentri degli elementi di input.
Offset | OFFSET | Sono necessari almeno 3 elementi di input. | Qualsiasi | Qualsiasi | Qualsiasi | Il piano viene costruito in base all'offset da ciascuno degli elementi di input.
Parallelo | PAR_A | 2 | Qualsiasi | Qualsiasi | - | Viene costruito un piano parallelo al primo elemento e passante per il secondo elemento.
Perpendicolare | PERP_A | 2 | Qualsiasi | Qualsiasi | - | Viene costruito un piano perpendicolare al primo elemento e passante per il secondo elemento.
Piano inverso | INV | 1 | Piano | - | - | Viene costruito un piano passante per l'elemento di input, con vettore inverso.

Per costruire un piano, effettuare le seguenti operazioni:

  1. Selezionare Costruzione dalla barra dei menu (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare Piano. Viene visualizzata la finestra di dialogo Costruzione piano.

  3. Inserire gli elementi desiderati.

  4. Selezionare il metodo di costruzione. Le opzioni disponibili sono le seguenti:

  • Allineamento

  • Best-fit o Ricomp. BF

  • Piano convertito

  • Punto massimo

  • Piano centrale

  • Offset

  • Parallelo

  • Perpendicolare

  • Inverti

  • Auto

  5. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la Costruzione di un piano di esempio è la seguente:
nome_elemento=ELEM/PIANO,ALTER1
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
GENERA/ALTER2,ALTER3,......

Se ALTER2 = PIANO e ALTER3 = BF o BFRE allora il comando avrà il seguente formato:
nome_elemento=ELEM/PIANO,ALTER1
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec
GENERA/PIANO,ALTER3
RIMOZ_PUNTI_ISOLATI/ALTER5,stdDevMultiplier
FILTRO/ALTER5,FREQUENZA= cutoffWavelength

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il metodo di costruzione predefinito è AUTO. Questa opzione determina automaticamente il metodo migliore per costruire un piano utilizzando uno o più elementi di input. Vedere "Costruzione automatica di un piano"

ALTER1=POL o RETT

ALTER2 = PIANO

ALTER3 = ALIGN / BF / BFRE / CAST / HIPNT / MID / OFFSET / PLTO / PROJ / PRTO / REV

ALTER5 = ON/OFF

stdDevMultiplier = questo fattore moltiplicativo determina se un punto misurato é un punto disperso. Se il punto del piano si trova ad una distanza maggiore della deviazione standard moltiplicata per questo fattore, allora si tratta di un punto disperse che verrá eliminato, se é stata selezionata l’opzione Rimuovi punti dispersi.

cutoffWavelength = Valore che regola lo smorzamento dei dati. Maggiore è la lunghezza d’onda, maggiore è lo smorzamento.

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutti i piani costruiti. La quarta riga, invece, risulterà leggermente diversa, in base al tipo di elemento da costruire. È possibile passare tra i diversi tipi di piani posizionando il cursore su TOG3 e premendo F7 o F8. (Vedere "Tasti funzione della modalità Comando" nella finestra "Uso della finestra di modifica" .)

Quando si richiamano due o più elementi, viene determinato automaticamente l'ordine corretto degli elementi di input, in modo da rendere più preciso il processo di misurazione.

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di un piano.

Vedere anche:

Costruzione di un piano di allineamento

Costruzione di un piano best-fit o di ricompensazione best-fit

Costruzione di un piano convertito

Costruzione di un piano punto massimo

Costruzione di un piano centrale

Costruzione di un piano di offset

Costruzione di un piano parallelo

Costruzione di un piano perpendicolare

Modifica della direzione di un piano

Costruzione automatica di un piano

Clear button Create buttonClose buttonChanging the Direction of a PlaneConstructing a Perpendicular PlaneConstructing a Cast PlaneConstructing a Mid PlaneIDSearch IDSelect Last #Auto Plane ConstructionConstructing a Plane from an AlignmentFeature List boxConstructing a High Point PlaneConstructing a Parallel Plane


Costruzione di un piano di allineamento

È possibile costruire un piano passante per l'origine corrente e parallelo al piano di lavoro corrente. Non è necessario specificare alcun elemento di input.

Per costruire un piano di allineamento, effettuare le seguenti operazioni:

1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

2. Selezionare l'opzione Allineamento.

3. Non selezionare alcun elemento.

4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:GENERA/PIANO,ALLIN

Costruzione di un piano di allineamento


Costruzione di un piano best-fit o di ricompensazione best-fit

È possibile costruire un piano best-fit passante per tre o più elementi. Il metodo di costruzione best-fit utilizza i punti effettivamente misurati anziché il centro della punta a sfera, come nel caso del metodo di ricompensazione best-fit. In entrambi i casi, PC-DMIS calcola un piano con i minimi quadrati, uno per cui PC-DMIS riduce la distanza perpendicolare al quadrato media dai punti dei dati al piano.

Per costruire un piano best-fit o di ricompensazione best-fit, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare Best fit o BF ricomp..

  3. Selezionare almeno tre elementi.

Nota: se si seleziona Ricompensazione best fit almeno un elemento deve essere un punto.

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:

COSTR/PIANO,BF,elem_1,elem_2, �

RIMOZ_PUNTI_ISOLATI/(ON | OFF), stdDevMultiple

FILTER/(ON | OFF), WAVELENGTH=ctfoffWavelength

(utilizza i punti misurati reali per la costruzione.)

oppure

COSTR/PIANO,BFRE,elem_1,elem_2, �

RIMOZ_PUNTI_ISOLATI/(ON | OFF), stdDevMultiple

FILTER/(ON | OFF), WAVELENGTH=ctfoffWavelength

(utilizza il centro del tastatore a scopo di misurazione).

Costruzione di un piano da 3 o più punti

Vedere anche:

Rimuovi punti dispersi / fattore moltiplicativo della deviazione standard

Applica filtro gaussiano / frequenza di taglio


Rimuovi punti dispersi / Fattore moltiplicativo della deviazione standard

Nel caso di un piano best fit (BF) o di ricompensazione best fit (BFRE) è possibile scegliere di rimuovere i punti dispersi in base alla distanza dall’elemento best fit. Ció consente la rimozione delle anomalie del processo di misurazione.

PC-DMIS adatta dapprima un piano ai dati, poi determina i punti dispersi in base al fattore moltiplicativo della deviazione standard. La procedura prosegue con:

  1. Ricalcolo del piano best fit dopo la rimozione dei punti dispersi

  2. Controllo ulteriore dei punti dispersi

  3. Ricalcolo del piano best fit

  4. Il processo viene ripetuto fino alla completa eliminazione dei punti dispersi, oppure fino a che PC-DMIS non può più calcolare il piano (se ci sono cioé meno di tre punti dati).


Applica filtro gaussiano / frequenza di taglio

I piani costruiti Best Fit (BF) e Best Fit Recompensate (BFRE) consentono di filtrare le deviazioni dei punti di dati misurati dal piano best fit calcolato dai dati misurati. La casella di controllo Applica filtro gaussiano consente di applicare un filtro gaussiano con una frequenza di taglio. Di solito, un valore elevato per la frequenza di taglio produce dati meno filtrati. Se è stata selezionata la casella di controllo Rimuovi punti isolati e si filtrano i dati, allora i dati dei punti isolati verranno rimossi prima dell'applicazione del filtro. Per ulteriori informazioni sul filtro gaussiano, fare riferimento alla sezione "Gaussiano" in "Costruzione di un insieme di filtri".


Costruzione di un piano convertito

È possibile costruire un piano tramite la trasformazione di un elemento qualsiasi. PC-DMIS genererà il piano in corrispondenza del baricentro dell'elemento di input.

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Convertito.

  3. Selezionare un elemento di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/PIANO,CONV,elem_1


Costruzione di un piano punto massimo

PC-DMIS è in grado di costruire un piano di punti massimi in base ad un insieme di elementi. È necessario che l'insieme contenga almeno tre elementi.

È possibile costruire un piano punto massimo utilizzando gli elementi che formano un insieme o una scansione patch.

Per costruire un piano punto massimo, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Punto massimo.

  3. Selezionare tre o piú elementi (puó essere usato un tipo qualsiasi). Puó anche essere usato un insieme che usi almeno tre elementi, oppure una scansione patch. Vedere "Costruzione di un insieme di elementi" o "Esecuzione di una scansione patch avanzata" nella sezione "Scansione del pezzo" .

  4. Fare clic sul pulsante Crea.

  5. PC-DMIS crea un piano best-fit utilizzando gli elementi di input. Quindi, eseguirà la rotazione sul piano best-fit. Infine, utilizzerà i tre punti più alti individuati su questo piano (dagli elementi selezionati) per creare il piano punto massimo.

Il centro di gravità è definito dal baricentro degli elementi di input utilizzati per costruire il piano punto massimo. Se il primo piano punto massimo non include il centro di gravità, viene creato automaticamente un secondo piano.

La riga comandi della finestra di modifica sarebbe:
GENERA/PIANO, PTMAX,elem_1, elem_2, elem_3, . . .

Costruzione di un piano punto massimo


Costruzione di un piano centrale

È possibile costruire un piano da due elementi qualsiasi. Il piano risultante (piano centrale) è equidistante dal baricentro dei due elementi di input specificati.

Per costruire un piano centrale, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Piano centrale.

  3. Selezionare due elementi di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi per la finestra di modifica per questa opzione sarebbe:COSTR/PIANO,CENTR,elem_1,elem_2

Costruzione di un piano da due piani

Il piano costruito ed il suo vettore dipendono dagli elementi in input:

· se i due elementi di input sono entrambi piani,, il piano centrale è posizionato in corrispondenza della bisettrice dell'angolo compreso di ampiezza minore, creato dai due piani di input.

· se per gli elementi di input non si seleziona un piano, allora il piano centrale costruito passa attraverso il punto medio tra i baricentri dei due elementi di input. Il vettore del piano costruito viene eseguito dal baricentro del primo elemento di input al baricentro del secondo elemento di input.


Costruzione di un piano di offset

È possibile costruire un piano ad una distanza specificata dagli elementi di input.

Per costruire un piano di offset, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Offset.

  3. Selezionare almeno tre elementi di qualsiasi tipo.

  4. Selezionare il pulsante Offset. Verrà visualizzata la finestra Offset piano.

Finestra di dialogo Offset piano

  5. Fare clic sull'opzione Calcola nominali e inserire i valori di offset per gli elementi desiderati nel campo corrispondente oppure fare clic sull'opzione Calcola offset e modificare i valori nominali in base alla procedura riportata di seguito.

  6. Fare clic su Calcola per calcolare i valori nominali o i valori di offset.

  7. Fare clic sul pulsante OK. La finestra di dialogo Offset piano verrà chiusa.

  8. Fare clic sul pulsante Crea.

PC-DMIS esegue l'iterazione e costruisce un piano in modo che la distanza più breve tra ciascun elemento di input e il piano rappresenti il valore di offset corrispondente. I valori di offset negativi vengono applicati nella stessa direzione generale lungo la quale è stata eseguita la misurazione dei punti. I valori di offset positivi vengono applicati nella direzione opposta a quella utilizzata per il tastatore. Se non esiste una direzione per il tastatore (cioè, se i punti di input sono stati costruiti), PC-DMIS utilizza il piano di lavoro corrente per determinare la direzione generale per l'applicazione degli offset. I valori di offset positivi vengono applicati nella direzione positiva del terzo asse del piano di lavoro corrente. I valori di offset negativi vengono applicati nella direzione negativa del terzo asse del piano di lavoro corrente.

Nota: il segno (positivo o negativo) del valore di offset determina il lato degli elementi di input lungo il quale verrà costruito il piano. Se la direzione del piano è opposta a quella prevista, ANNULLARE l'elemento e ricostruirlo, invertendo il segno dei valori di offset inseriti. Ad esempio, se i valori di offset sono 1,0 2,5 e 3,5 modificarli in -1,0 -2,5 e -3,5.

La riga di comando della finestra di modifica per questa opzione è la seguente:

GENERA/PIANO,OFFSET
ID=id1, id2, id3, �
OFFSET=val1, val2, val3, �

Altro:

Modifica diretta dei valori di offset per calcolare i valori nominali

Esempio di calcolo dei valori nominali

Modifica diretta dei valori nominali per calcolare i valori di offset

Esempio di calcolo dei valori di offset


Modifica diretta dei valori di offset per calcolare i valori nominali

Per inserire nuovi valori di offset, effettuare le seguenti operazioni:

  1. Aprire la finestra di dialogo Offset piano selezionando il pulsante Offset dalla finestra di dialogo Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Nella colonna Offset, fare clic sul valore "0.000000" (o il valore corrente) per selezionarlo.

  3. Fare di nuovo clic sul pulsante Offset.

  4. Inserire il nuovo valore.

  5. Premere INVIO.

  6. Fare clic su Calcola per aggiornare i valori nominali basati sugli offset scelti.

  7. Fare clic su OK per salvare l'offset.


Esempio di calcolo dei valori nominali

Il pulsante Calcola nominali calcola i valori nominali X, Y e Z dai nuovi offset immessi.

Ad esempio, si supponga di voler costruire un piano di offset tra tre cerchi (CER1, CER2 e CER3). Dopo aver selezionato gli elementi ed aver fatto clic sul pulsante Offset, vengono visualizzati i nominali X, Y e Z di:

X = 6

Y = 2

Z = 0,95

Se si incrementano di 3 unità i valori di offset per ciascun cerchio e si fa clic sul pulsante Calcola nominali, i valori X, Y e Z vengono aggiornati come segue:

X = 6

Y = 2

Z = 3,95

A questo punto, se si fa clic su OK e si costruisce la linea di offset, il valore dell'asse della nuova linea costruita è superiore di 3 unità.

I valori di offset del piano vengono applicati soltanto all'asse Z.


Modifica diretta dei valori nominali per calcolare i valori di offset

Per inserire nuovi valori di offset, effettuare le seguenti operazioni:

  1. Aprire la finestra di dialogo Offset piano selezionando il pulsante Offset dalla finestra di dialogo Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Calcola offset. La parte della finestra di dialogo contenente i valori nominali diventa modificabile.

  3. Modificare i valori XYZ o IJK.

  4. Fare clic su Calcola per aggiornare i valori di offset in base ai nominali modificati.

  5. Fare clic su OK per salvare l'offset.


Esempio di calcolo dei valori di offset

Il pulsante Calcola offset consente di calcolare i valori di offset visualizzati nella colonna Offset quando si modifica il valore nominale.

Ad esempio, si supponga di voler costruire un piano di offset tra tre cerchi (CER1, CER2 e CER3). Dopo aver selezionato gli elementi ed aver fatto clic sul pulsante Offset, vengono visualizzati i nominali X, Y e Z di:

X = 6

Y = 2

Z = 0,95

Se si modificano i valori nominali X, Y e Z in:

X = 6

Y = 2

Z = 3,95

e si fa clic sul pulsante Calcola offset, i valori di offset per i tre cerchi vengono aggiornati come segue:

3.000000 CIR1

3.000000 CIR2

3.000000 CIR3

A questo punto, se si fa clic su OK e si costruisce la linea di offset, il valore dell'asse Z del piano è superiore di 3 unità.


Costruzione di un piano parallelo

È possibile costruire un piano parallelo a due elementi qualsiasi. PC-DMIS crea un piano parallelo al primo elemento di input e passante per il centro del secondo elemento di input.

Per costruire un piano parallelo, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Parallelo.

  3. Selezionare due elementi di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/PIANO,PAR A,elem_1,elem_2

Costruzione di un piano parallelo utilizzando due piani

Costruzione di un piano parallelo utilizzando due linee


Costruzione di un piano perpendicolare

È possibile costruire un piano tra due elementi qualsiasi. PC-DMIS crea un piano parallelo al primo elemento di input e passante per il centro del secondo elemento di input.

Per costruire un piano perpendicolare, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Perpendicolare.

  3. Selezionare due elementi di qualsiasi tipo.

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per questa opzione è la seguente:
COSTR/PIANO,PAR A,elem_1,elem_2

Costruzione di un piano perpendicolare


Modifica della direzione di un piano

È possibile costruire un piano con un vettore inverso.

Per costruire un piano inverso, effettuare le seguenti operazioni:

  1. Accedere alla finestra Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rovescia.

  3. Selezionare un elemento. L'elemento selezionato deve essere un piano.

  4. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
COSTR/PIANO,ROV,elem_1


Costruzione automatica di un piano

Per determinare automaticamente il metodo di costruzione più appropriato:

  1. Accedere alla finestra di dialogo Costruzione piano (Inserisci | Elemento | Costruito | Piano). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Automatico dall'elenco di opzioni.

  3. Selezionare gli elementi desiderati in base a quanto indicato nella tabella seguente.

  4. Fare clic sul pulsante Crea.

Nella tabella seguente viene indicato il tipo di piano che verrà costruito in base agli elementi di input specificati quando si sceglie l'opzione AUTO. L'ordine di selezione degli elementi non è rilevante. Se vengono selezionati elementi di input non corretti, PC-DMIS visualizza un messaggio di errore e non costruirà automaticamente il tipo di elemento indicato.

Elementi di input | Costruzione
3 o piú Elementi che non siano tutti punti misurati = | Piano best-fit
1 piano = | Piano inverso
1 qualsiasi elemento = (tranne piano/insieme) | Piano convertito
1 insieme qualsiasi = | Piano best-fit
Tutti punti misurati = | Piano best-fit Ricompensato


Costruzione di un elemento asola

Finestra di dialogo Costruzione asola

Esistono due tipi di asole in PC-DMIS: un'asola creata da due cerchi (opzione Cerchi) e un'asola creata da quattro o più input (opzione Best Fit o BF Ricomp.). Nella tabella seguente vengono indicati gli elementi di input per l'asola e le definizioni dell'editor.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI ELEMENTI DI INPUT | ELEM. 1: | ELEM. 2: | COMMENTI
Alloggiamento | ASOLA ROT | 2 | Cerchio | Cerchio | Viene costruita un'asola sul piano del primo cerchio unendo i centri dei due cerchi.
Alloggiamento | BF | 4 o più |  |  | Costruisce un'asola best fit utilizzando gli input specificati
Alloggiamento | BFRE | 4 o più |  |  | Costruisce un'asola di ricompensazione best fit utilizzando gli input specificati

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un'asola, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione asola (Inserisci | Elemento | Costruito | Asola). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione In o Out per definire l'asola costruita come un foro o un perno rispettivamente.

  3. Selezionare uno dei seguenti metodi di costruzione: Cerchi, Best Fit o BF Ricomp..

  4. Selezionare gli input in base al tipo di asola che verrà creato.

  5. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la costruzione di un'asola di esempio è la seguente:

nome_elemento=ELEM/ASOLA,ALTER1,ALTER2
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,width,length
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,width,length
GENERA/ALTER3,ALTER4,elem_1,elem_2, ï¿½

Nota: il contenuto del rapporto verrà visualizzato in LETTERE MAIUSCOLE.

ALTER1 = POL o RETT

ALTER2 = OUT o IN

ALTER3 = ASOLA

ALTER4 = CERCHI o BF o BFRE

Vedere anche:

Asola interna o esterna

Costruzione di un'asola best-fit o di ricompensazione best-fit

Costruzione di un'asola da cerchio

IDSearch IDSelect Last #Feature List boxClear buttonCreate buttonClose button


Asola interna o esterna

Le opzioni In e Out indicano a PC-DMIS se l'asola deve essere costruita come asola interna o esterna.

· Se si seleziona l'opzione In, PC-DMIS costruirà l'asola come asola interna.

· Se invece si seleziona l'opzione Out, PC-DMIS costruirà l'asola come asola esterna.


Costruzione di un'asola da cerchio

L'asola costruita da due cerchi viene definita principalmente dal primo cerchio selezionato. L'asola viene costruita sullo stesso piano del primo cerchio. Inoltre, la larghezza dell'asola è determinata dal diametro del primo cerchio. Il secondo centro viene utilizzato solo per determinare la lunghezza dell'asola. La lunghezza è la distanza dal centro del primo cerchio al centro del secondo cerchio, più il diametro del primo cerchio.

Se i due cerchi di input non sono coplanari, il centro del secondo cerchio viene proiettato sul piano del primo cerchio. La distanza viene calcolata dal centro del primo cerchio al centro proiettato del secondo cerchio.

Per costruire un'asola rotonda dai cerchi:

  1. Accedere alla finestra di dialogo Costruzione asola (Inserisci | Elemento | Costruito | Asola). Visualizza mappa percorsi dei menu

  2. Selezionare In o Out.

  3. Selezionare l'opzione Cerchi.

  4. Selezionare due elementi cerchio per gli input.

  5. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per l'asola rotonda è la seguente:

COSTR/ASOLA,CERCHI,elem_1,elem_2


Costruzione di un alloggiamento best-fit o di ricompensazione best-fit

Costruzione di un'asola best-fit o di ricompensazione best-fit

Il Best Fit (BF) e il Best Fit Recompensate (BFRE) sono costituiti da 4 o più elementi. Il vettore delle asole costruito è normale (perpendicolare) al piano di lavoro. La costruzione BFRE utilizza il centro della sfera combinato con il raggio del tastatore per elaborare l'asola. La compensazione è parte integrale dell'adattamento. La costruzione BF compensa i punti misurati prima dell'adattamento.

L'altezza dell'asola dal piano di lavoro è la media di tutti gli elementi di input.

Per creare un'asole BF o BFRE:

  1. Accedere alla finestra di dialogo Costruzione asola (Inserisci | Elemento | Costruito | Asola). Visualizza mappa percorsi dei menu

  2. Selezionare In o Out.

  3. Selezionare l'opzione BF o BFRE.

  4. Selezionare almeno quattro elementi. È possibile scegliere qualsiasi tipo di elemento.

  5. Fare clic sul pulsante Crea.

La riga comandi della finestra Modifica per l'asola di ricompensazione Best Fit o Best Fit Recompensate riporterà:

COSTR/ASOLA,BF (o BFRE),feat_1,feat_2, �


Costruzione di una curva

Finestra di dialogo Costruzione curva

Finestra di dialogo Costruzione curva

In PC-DMIS sono disponibili due tipi di curve costruite: le curve indipendenti e le curve dipendenti. Nella tabella seguente vengono indicate le due curve ed i relativi elementi di input necessari. Come elemento di input per tutte le curve è necessario indicare un insieme, che può essere un insieme misurato, un insieme costruito o una scansione. L'insieme di input deve contenere almeno quattro elementi (o punti di input, nel caso di una scansione).

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI INSIEMI DI INPUT | INPUT 1: | COMMENTI
Curva dipendente | DIPENDENTE | 1 | Insieme contenente almeno 4 input | La curva verrà aggiornata in seguito alla modifica dell'elemento di input. Nota: quando si modifica una curva dipendente, la curva viene automaticamente trasformata in una curva indipendente.
Curva indipendente | INDIPENDENTE | 1 | Insieme contenente almeno 4 input | L'elemento di input viene utilizzato solo per la costruzione. È possibile modificare i punti di controllo della curva.

La riga di comando della finestra di modifica per la costruzione di una curva di esempio utilizzando un tipo di curva dipendente:

nome_elemento

=ELEM/CURVA, DIPENDENTE, num_punti_controllo, num_elem_input, parametro_curva

GENERA/CURVA,TIPO_INPUT, id_input

La riga di comando della finestra di modifica per un tipo di curva indipendente è la seguente:

nome_elemento

=ELEM/CURVA, INDIPENDENTE, num_punti_controllo, num_elem_input, parametro_curva

GENERA/CURVA,

num_punti_controllo= Il numero di punti di controllo che definiscono la curva. Se si specifica un numero elevato di punti di controllo si ottiene un'intersezione più precisa della curva con gli elementi; tuttavia, ciò potrebbe determinare un comportamento imprevisto

num_elem_input = Il numero di elementi intersecati dalla curva.

Nota: questi due parametri non sono modificabili nella finestra di modifica.

id_input = L'ID dell'insieme contenente gli elementi intersecati dalla curva.

parametro_curva = Questo parametro è descritto nella sezione "Parametri di assottigliamento" riportata di seguito.

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE

Vedere anche:

Costruzione di una curva dipendente o indipendente

Parametri di assottigliamento

ID Search IDSelect Last #Thinning ToleranceEdit Control PointFeature List boxClear buttonCreate buttonClose button


Costruzione di una curva dipendente o indipendente

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire una curva, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione curva (Inserisci | Elemento | Costruito | Curva). Visualizza Mappa Percorsi dei Menu

  2. Inserire l'insieme desiderato.

  3. Impostare il valore nella casella Tolleranza curva.

  4. Modificare i punti di controllo, se necessario.

  5. Fare clic sul pulsante Crea.

Tutte le curve costruite sono definite inizialmente come curve DIPENDENTI e devono essere create da un singolo elemento di input, ovvero da un insieme. L'insieme può essere di uno dei tre tipi seguenti:

  • Insieme misurato

  • Insieme costruito

  • Scansione contenente una sola riga di punti. (Vedere "Costruzione di un insieme di punti".)

L'insieme di input deve contenere almeno quattro elementi (o punti, nel caso di una scansione).

Nota: la curva risultante dipende dall'ordine in cui sono stati aggiunti gli elementi all'insieme (dal primo all'ultimo).

È anche possibile costruire una curva selezionando più punti dalla relativa casella di riepilogo anziché selezionare un insieme costruito. In questo caso, il campo TIPO_INPUT della riga di comando non contiene alcun valore quando si visualizza il comando stesso nella finestra di modifica.

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di una curva.

Vedere anche:

Tolleranza curva

Modifica punto di controllo

Elenco punti di controllo


Parametri di assottigliamento

È possibile utilizzare due tipi di parametri di assottigliamento, la Tolleranza di assottigliamento e il Fattore di assottigliamento. La casella di controllo Tolleranza utente nelle finestre di dialogo Costruzione superficie e Costruzione curva consente di passare tra la tolleranza e il fattore:

  • La tolleranza di assottigliamento controlla la solidità (o esatteza) dell'adattamento della curva o della superificie. I valori validi per la tolleranza sono compresi tra 0,0 e 5,0. Il valore predefinito è 0,01. Minore è la tolleranza di assottigliamento, più vicino al baricentro degli elementi inclusi nell'insieme di elementi passa la curva. Se la tolleranza di assottigliamento è 0,0, la curva o la superficie passerà attraverso tutti i baricentri. Una toleranza di assottigliamento elevata restituisce una curva o una superficie con un numero inferiore di fluttuazioni (a spese di una maggiore lontananza dagli elementi dell'insieme di elementi). Per verificare ciò, costruire una curva o una superficie e modificare la tolleranza di input, quindi esaminare il modo in cui cambia la forma.

  • Il fattore di tolleranza, in alternativa, può essere utilizzato per controllare la qualità dell'adattamento. L'intervallo di fattori di assottigliamento valido è compreso tra 0,0 e 1,0 e il valore predefinito è 0,33. Il fattore di assottigliamento determina il numero di gradi di libertà disponibili nell'adattamento della curva o della superficie ai baricentri. All'estremità inferiore di 0 l'algoritmo proverà ad adattare una linea retta o un piano ai baricentri. Sul punto 1, verrà calcolato un adattamento che passa su tutti i baricentri.

Per trasformare una curva DIPENDENTE in una curva INDIPENDENTE, in modo che non sia più associata all'insieme di input, effettuare le seguenti operazioni:

1. Aprire la finestra di modifica.

2. Selezionare l'elemento curva costruito.

3. Passare al campo DIPENDENTEdell'elemento.

4. Premere F7. Viene impostata la modalità INDIPENDENTE.

È possibile cambiare la forma della curva modificandone i punti di controllo.


Modifica punto di controllo

Se si seleziona una curva esistente, nell'elenco Punti di controllo della finestra di dialogo sarà disponibile un elenco dei punti di controllo. Dopo aver selezionato uno dei punti di controllo, PC-DMIS posizionerà i valori corrispondenti nelle caselle X, Y e Z in modo che possano essere modificati.

Per modificare questi punti di controllo, effettuare le seguenti operazioni:

  1. Verificare che sia disponibile un elemento curva.

  2. Aprire la finestra di Modifica.

  3. Selezionare la curva nella finestra di modifica.

  4. Premere F9 per attivare la finestra di dialogo Curva.

  5. Selezionare il punto di controllo da modificare nell'elenco Punto di controllo.

  6. Modificare i singoli componenti X, Y, Z del punto.

  7. Fare clic sul pulsante OK.

La curva verrà aggiornata per riflettere le modifiche.

Nota: se si modificano i punti di controllo su una curva dipendenti, la curva verrà trasformata automaticamente in una curva indipendente poichè non è più associata all'insieme di input.


Elenco punti di controllo

L'elenco Punti di controllo viene visualizzato solo se una curva esistente è associata alla finestra di dialogo. Se si desidera modificare i punti di controllo di una curva esistente, nell'elenco Punti di controllo verranno visualizzati tutti i punti di controllo di tale curva.


Costruzione di una superficie

Finestra di dialogo Costruzione superficie

Finestra di dialogo Costruzione superficie

In PC-DMIS sono disponibili due tipi di superfici costruite: le superfici indipendenti e le superfici dipendenti. Nella tabella seguente vengono indicate le due superfici ed i relativi elementi di input necessari. L'unico elemento di input per la superficie è una scansione patch. Tale elemento deve contenere almeno due righe di quattro punti ciascuna.

Nota: in un release successivo sarà possibile utilizzare nuvole di punti per la costruzione di una superficie.

TIPO DI ELEMENTO DA GENERARE | SIMBOLO NELLA FINESTRA DI MODIFICA | NUMERO DI INSIEMI DI INPUT | INPUT 1: | COMMENTI
Superficie dipendente | DIPENDENTE | 1 | Scansione patch contenente almeno 2 righe di 4 punti ciascuna | La superficie verrà aggiornata in seguito alla modifica dell'elemento di input.
Superficie indipendente | INDIPENDENTE | 1 | Scansione patch contenente almeno 2 righe di 4 punti ciascuna | L'elemento di input viene utilizzato solo per la costruzione.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire una superficie, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione superficie (Inserisci | Elemento | Costruito | Superficie). Visualizza Mappa Percorsi dei Menu

  2. Inserire la scansione patch desiderata.

  3. Selezionare le opzioni di costruzione desiderate.

  4. Fare clic sul pulsante Crea.

La riga di comando della finestra di modifica per la costruzione di una superficie di esempio è la seguente:
nome_elemento=ELEM/SUPERFICIE,ALTER1,PUNTI DI CONTROLLO U,
PUNTI DI CONTROLLO V, NUM PUNTI ADAT,ALTER2
PARAMETRO ASSOTTIGLIAMENTO U, PARAMETRO ASSOTTIGLIAMENTO V
GENERA/SUPERFICIE, TIPO INPUT, ID INPUT

Nota: il contenuto del rapporto di modifica verrà visualizzato in LETTERE MAIUSCOLE.

Il metodo di costruzione predefinito è DIPENDENTE.

ALTER1=Dipendente o Indipendente.

ALTER2=Tolleranza o Proporzione

Nei paragrafi seguenti vengono descritte le opzioni disponibili per la costruzione di una superficie:

Vedere anche:

Costruzione di una superficie dipendente o indipendente

Parametri di assottigliamento

Optimize Surface Apply Tension FactorIDSearch IDSelect Last #Feature List boxThinning Tol UClear buttonCreate buttonClose buttonCreate CornersSmooth Bad DataSurface Grid Destiny


Costruzione di una superficie dipendente o indipendente

Tutte le superfici costruite sono definite inizialmente come superfici dipendenti e devono essere create da un unico elemento di input, ovvero una scansione patch, che deve contenere almeno due righe di quattro punti ciascuna. Le tolleranze vengono utilizzate per controllare la precisione della misura della superficie.

  • Tolleranze ridotte: se le tolleranze sono ridotte, l'algoritmo tenterà di creare una superficie passante per tutti i punti all'interno della scansione.

  • Tolleranze ampie: se le tolleranze sono ampie, la superficie sarà piuttosto un'approssimazione della scansione. Il metodo migliore per verificare l'effetto di una tolleranza più ampia sulla forma della superficie consiste nella costruzione di una superficie e nella modifica del valore di tolleranza.

Nota: quanto minore è la tolleranza, tanto maggiore sarà il tempo impiegato per la creazione della superficie. Tenere presente che valori di tolleranza ridotti (da 0,01 a 0,05) aumentano notevolmente il tempo impiegato (1 ora) per la creazione della superficie, se l'elemento di input (scansione) è esteso o irregolare. I valori validi per la tolleranza sono compresi tra 0,01 e 5,0. Il valore predefinito è 0,5.

È possibile controllare l'aspetto della superficie in base ai valori di densità della griglia di superficie: La superficie verrà visualizzata come una rete di polilinee NxM con un valore predefinito pari a 5x5 e un valore minimo di 2x2. Per trasformare una superficie dipendente in una superficie indipendente, in modo che non sia più associata alla scansione di input, modificare il campo DIPENDENTE nella finestra di modifica.

Nota: non è possibile modificare la forma della superficie.

Per costruire una superficie dipendente o una superficie indipendente, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Costruzione punto (Inserisci | Elemento | Costruito | Superficie). Visualizza Mappa Percorsi dei Menu

  2. Impostare il valore per la casella Tolleranza asse U:

  3. Impostare il valore per la casella Tolleranza asse V: . Viene applicato un valore di tolleranza all'asse V.

  4. Impostare i valori per il campo Densità griglia superficie.

  5. Selezionare le opzioni di costruzione desiderate. Le opzioni disponibili sono le seguenti:

  • Ottimizza superficie

  • Applica fattore di tensione

  • Crea angoli triedri

  • Uniforma dati errati

  6. Selezionare un insieme di elementi di tipo scansione patch contenenti almeno 2 riga di 4 punti ciascuna.

  7. Fare clic sul pulsante Crea.

Vedere anche:

Tolleranza curva

Tolleranza asse U

Tolleranza asse V

Densità griglia superficie

Ottimizza superficie

Applica fattore di tensione

Crea angoli triedri

Uniforma dati errati


Parametro di assottigliamento U

Questa casella consente di impostare un valore del parametro di assottigliamento da applicare all'asse U della superficie.


Parametro di assottigliamento V

Questa casella consente di impostare un valore del parametro di assottigliamento da applicare all'asse V della superficie.


Densità griglia superficie

Questa casella consente di impostare la densità di una scansione superficiale. Più alti sono i valori, maggiore sarà il numero di spline disponibili.


Ottimizza superficie

I punti di controllo rappresentano i punti iniziale e finale delle spline in una griglia di superficie.

Questa casella di controllo consente di ottimizzare i nodi e i punti di controllodelle spline iniziali dalle quali verrà costruita la superficie.

Superficie a Griglia con Punti di Controllo,Nodi e Spline.


Applica fattore di tensione

Le superfici create selezionando la casella di controllo Applica fattore di tensione risulteranno più compatte, ma non corrisponderanno esattamente ai dati in base ai quali sono state create.


Crea angoli triedri

Questa casella di controllo consente di aggiungere degli angoli triedri alla superficie, nei punti in cui vengono riscontrate brusche variazioni nella direzione dei dati.


Uniforma dati errati

Questa casella di controllo consente di uniformare i dati errati. I dati errati vengono valutati come dati con una brusca variazione nella direzione. Questa opzione consente di eseguire un'operazione inversa rispetto all'opzione Crea angoli triedri.


Costruzione di un insieme di elementi

Finestra di dialogo Costruzione insieme di elementi

La voce di menu Imposta consente di costruire un insieme di elementi. Questa operazione viene eseguita selezionando o inserendo tutti gli elementi da utilizzare nell'insieme. Quando si fa clic sul pulsante Crea, PC-DMIS calcola la media di tutti i baricentri degli elementi di input e visualizza un indicatore ed il nuovo ID dell'insieme.

Nota: se si selezionano tipi di elemento non corretti, nella barra di stato di PC-DMIS viene visualizzato il messaggio "Impossibile costruire [elemento]. Combinazione di elementi di input non supportata".

Per costruire un insieme di elementi:

  1. Accedere alla finestra di dialogo Costruzione sfera (Inserisci | Elemento | Costruito | Insieme). Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da includere nell'insieme.

  3. Fare clic sul pulsante Crea. Al nuovo insieme di elementi viene assegnato un ID di elemento e tale insieme viene inserito nella finestra di visualizzazione grafica.

La riga comandi della finestra di modifica per una costruzione di superficie di esempio avrà il seguente aspetto:
nome_elemento=ELEM/INSIEME,ALTER1,
TEOR/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,
REALE/x_cord,y_cord,z_cord,i_vec,j_vec,k_vec,
GENERA/ALTER2,feat_1, feat_2, feat_3...

ALTER1=POL o RETT

ALTER2 = INSIEME

Le prime tre righe visualizzate nella finestra di modifica saranno uguali per tutti gli insiemi costruiti. La quarta riga, invece, risulterà leggermente diversa, in base al numero di elementi utilizzati nell'insieme.

In PC-DMIS per Windows è possibile utilizzare gli insiemi in due modi diversi.

Vedere anche:

Errore del profilo di un insieme

Valori medi di un insieme

Utilizzo come input di rilevazioni contenute in un intervallo di scansione

ID Search IDSelect Last #Feature List boxClear buttonCreate buttonClose button


Errore del profilo di un insieme

Se si utilizzano dati CAD, è possibile costruire un insieme utilizzando i punti misurati su una superficie. Quando viene richiesto il PROFILO dell'insieme di elementi, PC-DMIS mostra la zona tra l'errore minimo perpendicolare alla superficie e l'errore massimo perpendicolare alla superficie. (Vedere "Dimensionamento del profilo di superficie o lineare" nella sezione "Dimensionamento degli elementi" per ulteriori informazioni.)


Valori medi di un insieme

Quando un insieme viene costruito utilizzando elementi di input, PC-DMIS calcola i valori medi X, Y e Z degli elementi di input. Ad esempio, è possibile utilizzare l'insieme per richiamare il valore medio Z di una serie di punti misurati.


Utilizzo come input di rilevazioni contenute in un intervallo di scansione

A partire dalla versione 3.6 è possibile usare un insieme di punti da una scansione esistente per gli input dell'insieme di elementi anzichè i singoli elementi.

A tale scopo, operare come segue:

1. Accedere alla finestra di dialogo Costruzione insieme di elementi.

2. Selezionare una scanzione da utilizzare come input.

3. Fare clic su OK. Selezionare la posizione desiderata nella finestra di Modifica.

4. Attivare la fienstra di modifica in modalità Comando.

5. Selezionare l'elemento o il comando desiderato nella finestra di modifica.

6. Selezionare l'ID di scansione sulla riga di comando GENERA/INSIEME.

7. Modificare l'ID di scansione per rilevare i punti in un intervallo, con una sintassi del tipo:

<ID>.HIT<STARTHIT>..<ENDHIT>

<ID> - Specifica l'ID della scansione.

<STARTHIT> - Il numero che specifica il primo punto dell'intervallo di punti.

<ENDHIT> - Il numero che specifica l'ultimo punto dell'intervalo di punti.

Per esempio, il codice che segue mostra un insieme costruito utilizzando i punti da 1 a 10 di una scansione chiamata SCN1, come elementi di input.

INSIEME1 =ELEM/INSIEME,RETT
TEOR /2.2953,3.7467,0.95,0,0,1
REALE /2.2953,3.7467,0.95,0,0,1
GENERA/INSIEME,BASE,SCN1.HIT[1..10],,

È possibile usare una espressione reale (simile al codice di input) per assegnare I valori X dei primi cinque elementi dell’insieme costruito in una array. Per esempio, il codice che segue si limita ad assegnare i valori X dei primi cinque punti alla variabile ed a visualizzarne i valori in una finestra di commento operatore.

ASSEGNA/V2 = SET1.HIT[1..5].X
COMMENT/OPER,SÍ,V2 è:
,V2

Per informazioni sull’uso di espressioni per restituire un intervallo di punti come un'array, fare riferimento alla sezione "Array di punti" in "Uso di espressioni e di variabili" .


Costruzione di un insieme di filtri

Finestra di dialogo Costruzione elemento filtro

Il comando consente di costruire un insieme di filtri, partendo da una scansione, da alcuni elementi costruiti, oppure da un altro insieme di filtri. Ció viene fatto selezionando (o inserendo da tastiera) l’elemento di input, il tipo di filtro desiderato, ed i parametri che devono essere utilizzati con quel filtro. Quando si fa clic sul pulsante Crea, PC-DMIS applica la routine di filtraggio ai dati dell'elemento di input e visualizza un indicatore e il nuovo ID dell'insieme.

Questo comando viene solitamente utilizzato per uniformare i dati della punta sfera risultanti da una scansione. PC-DMIS applica un filtro Gaussiano o un altro filtro passa-basso per uniformare i dati.

Nota: selezionando tipi di elementi non corretti, si ottiene un messaggio di errore con cui PC-DMIS notifica di non poter costruire l’elemento.

Per costruire un insieme di filtri gaussiani, operare come segue:

  1. Accedere alla finestra di dialogo Costruzione elemento filtro (Inserisci | Elemento | Costruito | Filtro). Visualizza Mappa Percorsi dei Menu

  2. Selezionare un input per l'insieme del filtro.

  3. Selezionare l'opzione Polare o Lineare per uniformare cerchi oppure dati lineari.

  4. Selezionare il tipo di macchina nell’elenco Tipo filtro.

  5. Inserire i valori di ognuno dei parametri del filtro.

  6. Se si desidera rimuovere punti dispersi prima del filtraggio, selezionare la casella di controllo Rimuovi punti dispersi e la casella di controllo Moltiplicatore deviazione standard.

  7. Fare clic sul pulsante Crea.

La riga comandi della finestra di modifica sarebbe:
GENERA/INSIEME/FILTRO,ALTER1,ALTER2,elem_1,
VAL1,VAL2,RIMOZ_PUNTI_ISOLATI/ALTER3,VAL3

Ad esempio:

COSTR/INSIEME,FILTRO,GAUSSIANO,POLARE,SCAN1,
LARGH=3,UPR =50,RIMOZ_PUNTI_ISOLATI/ON,3

ALTER1 = Gaussiano / Spline / Uniforme / Triangolare / Cilindrico

ALTER2 = Polare / Lineare

Elem_1 = Questo è l'elemento di input per questo filtro.

VAL1 = Larghezza filtro.

VAL2 = Frequenza di taglio espressa in forme d’onda per rivoluzione (UPR).

ALTER3 = In questo campo vengono attivate alternamente le opzioni ON o OFF. Determina se i punti dispersi vadano rimossi prima del filtraggio.

VAL3 = Fattore moltiplicativo della deviazione standard. Se ALTER3 è ON allora verranno rimossi prima del filtraggio tutti i punti con numero di deviazioni standard maggiore della deviazione , moltiplicata per il fattore moltiplicativo,rispetto all’elemento teorico (ad es. un cerchio o una linea).

Le opzioni della finestra di dialogo sono discusse di seguito.

Vedere anche:

Opzione lineare

Opzione polare

Lista tipi di filtri

Casella ampiezza del filtro

Casella lunghezza d’onda di taglio

Casella frequenza di taglio

Casella parametro di smorzamento

Casella di controllo Rimuovi punti isolati

Casella multipli della deviazione standard

ID Search IDSelect Last #Feature List boxLinear optionRemove Outliers check boxClear buttonCreate buttonClose buttonConstructing a BF or BFRE CylinderFilter Width boxCuttoff Frequency boxPolar optionSmoothing Parameter boxCutoff Wavelength boxStandard Deviation Multiple box


Opzione lineare

L'opzione Lineare consente di filtrare i dati in un elemento che non sia una scansione circolare. Le deviazioni implicate in questo caso sono quelle perpendicolari al piano di lavoro.

Nota: per quanto riguarda i filtri lineari, il numero di punti dell’insieme di filtri puó essere minore del numero di punti in input. PC-DMIS rimuove, alle due estremitá, quei punti per i quali non ci sono dati a sufficienza. Per calcolare un punto di output valido, fare riferimento a "Casella Ampiezza filtro".


Opzione polare

L'opzionePolare consente di applicare un filtro ai dati in una scansione circolare. PC-DMIS suppone i dati periodici ( vale a dire, sono disposti su una circonferenza ). Le deviazioni in gioco, in questo caso, sono di tipo radiale.


Elenco Tipo di filtro

L'elenco Tipo di filtro consente di selezionare uno dei seguenti tipi di filtri:

  • GAUSSIANO,

  • SPLINE

  • UNIFORME,

  • TRIANGOLARE

  • CILINDRICO.

Selezionando GAUSSIANO, UNIFORME o TRIANGOLARE il piano di lavoro è un fattore critico. Per questi tre tipi di filtro, valgono le regole seguenti:

Se si seleziona l'opzione Lineare, il filtro è normale (perpendicolare) al piano di lavoro.

Se si seleziona l'opzione Polare allora il filtraggio viene applicato in direzione radiale all'interno del piano del lavoro.

Vedere anche:

Gaussiano

Spline

Uniforme

Triangolare

Cilindrico


Gaussiano

L’opzione Filtro gaussiano è l’opzione di filtro utilizzata più di frequente.

L'opzione di filtro Gaussiano consente di smorzare i dati applicando un filtro passa-basso gaussiano lineare o polare in base allo standard ISO 11562. Lo smorzamento è controllato dai valori di Lunghezza d'onda di taglio, Frequenza di taglio o Ampiezza filtro .

Per il filtro polare Gaussiano, i dati devono essere una scansione circolare completa, con le deviazioni dal raggio. Una scansione circolare parziale non funzionerà correttamente con questo filtro. Il filtro più appropriato per una scansione circolare parziale è il filtro cilindrico.

Per il filtro Gaussiano lineare, i dati devono trovarsi normalmente in un piano con deviazioni perpendicolari. Per questo filtro, la lunghezza d'onda di taglio è in unità di lunghezza. I seguenti paragrafi descrive il funzionamento di funzioni di filtro Gaussiano lineare:

  • Esso valuta il delta di spaziatura tra i punti come la distanza media tra le coordinate X,Y dei punti in 3D. Tali coordinate devono essere anche equispaziate e coplanari. Inoltre, le coordinate Z saranno uniformate.

  • Se il parametro di uniformità è
    m = ampiezza filtro     (ad esempio, il valore uniformato si trova al centro di 2m+1 punti utilizzati in una media pesata, a cominciare dal punto m), allora il valore lambda della lunghezza d'onda di taglio viene calcolata come:

lambda = m * delta / cost,(dove cost è una costante numerica)

  • Se il parametro di input è lambda = lunghezza d'onda di taglio, allora il valore m dell'ampiezza di filtro viene calcolato come:

m = lambda * cost / delta (ovvero, il massimo valore intero successivo).

In questo modo, la lunghezza d'onda di taglio ha le stesse unità della spaziatura tra i punti, ma l'ampiezza del filtro è un numero puro.


Spline

L'opzione di filtraggio Spline consente di uniformare i dati adattando una spline di uniformità. Il valore Parametro di smorzamento controlla l'uniformità. Tuttavia, volendo usare il valore “ottimale”, calcolato con la tecnica Generalized Cross-Validation (GCV), è necessario impostare questo valore su 0. L'opzione di filtraggio Spline è un'opzione di filtraggio 3D che coinvolge tutte le direzioni perpendicolari alla linea.

Modalità di funzionamento: il filtro spline adatta una approssimazione spline ai dati e la ricampiona. In questo modo i dati vengono uniformati in tutte le direzioni, non soltanto radialmente o perpendicolarmente al piano di lavoro. La spline adattata è una spline di uniformità naturale. e presenta un parametro che media tra l’interpolazione dei dati-cercando di passare per tutti i punti, il che permette di mantenere le oscillazioni – e l’approssimazione successiva dei dati con una spline piú uniforme, con il risultato di appiattire le oscillazioni. I due casi limite, rispetto al parametro di uniformità, sono l’interpolazione (con tutte le oscillazioni originarie) da un lato ed una retta all'estremo opposto. Se il filtro spline ha valore zero, la spline risultante minimizza (asintoticamente) l’errore quadratico medio tra questa e la curva incognita sottostante. Di solito conviene usare il valore zero, poiché ció rimuove il rumore, conservando intatto l'andamento della funzione.

Informazioni sulla matematica: Poiché il valore del parametro lambda di uniformità è piccolo, la finestra di dialogo Elemento di Costruzione Filtro accetta

-log10(lambda).

Pertanto, invece di 1-e-6, è possibile immettere soltanto 6. Si ottiene maggiore uniformità per valori più piccolo del parametro di uniformità. Ad esempio, se il filtro spline ha valore 5, l'uniformità è maggiore che con un valore 6.


Uniforme

L'opzione di filtraggio Uniforme filtra i dati, mediando tutti i punti secondo una finestra mobile. La larghezza della finestra può essere specificata mediante i valori di Parametro di smorzamento o Ampiezza filtro .

Se il valore di Ampiezza filtro è m, allora la finestra è 2m * delta larga, dove delta è la spaziatura tra punti.


Triangolare

L'opzione di filtraggio Triangolare filtra i dati mediando tutti i punti secondo una finestra mobile. I pesi sono determinati da una funzione triangolare con il vertice nel centro della finestra. La larghezza della finestra può essere specificata mediante i valori Parametro di smorzamento o Ampiezza filtro.

Se il valore di Ampiezza filtro è m allora la finestra sarà 2m·* delta larga, dove delta è la spaziatura tra punti.


Cilindrico

L'opzione di filtro Cilindrico filtra i dati secondo una scansione a spirale, oppure secondo una scansione che copre piú o meno un cerchio completo. Le deviazioni in gioco, in questo caso, sono di tipo radiale. Poiché PC-DMIS non considera i dati come periodici (intendendo come periodici i dati che formano una circonferenza chiusa), un numero di punti pari alla larghezza del filtro saranno assenti dall’insieme di filtraggio, all’inizio ed alla fine della scansione.


Casella Ampiezza del filtro

Il valore di Larghezza filtro è un parametro di uniformità facoltativo per tutti i tipi di filtro, tranne il filtro Spline. Il valore in questa finestra definisce il numero di punti dati, interessati al filtragio, alla sinistra e alla destra di ciascun punto dato. Ad esempio, se il valore Ampiezza filtro è m allora la finestra è larga 2m * delta, dove delta è la spaziatura tra i punti. Il valore predefinito di questo parametro é 3.

Il valore inserito può essere zero o qualsiasi valore positivo.

  • se non è definito alcun valore (o se il valore è zero), allora verrà utilizzato il valore di Frequenza di taglio o di Lunghezza d'onda di taglio per impostare la quantità di smorzamento.

  • Se il valore di Frequenza di taglio o di Lunghezza d'onda di taglio è un qualsiasi valore positivo diverso da zero, allora verrà visualizzata la larghezza del filtro corrispondente alla frequenza di taglio.

  • Se i campi Ampiezza filtro e Frequenza di taglio o Lunghezza d'onda di taglio non contengono un valore (o se i valori sono zero), PC-DMIS non filtrerà i dati.

Il valore di Ampiezza filtro determina anche il numero di punti non presenti nell'insieme di filtri quando viene eseguito un filtraggio lineare. PC-DMIS rimuove quei punti che non hanno dati a sufficienza a destra o a sinistra, per completare la finestra.

Nota: Un filtro passa-basso, che filtra i rumori a frequenza elevata ma trasmette la forma della frequenza inferiore, funziona sostituendo il valore sul punto di dati da una media pesata dei valori sulla sequenza dei valori precedenti e successivi. Per un filtro Gaussiano, ad esempio, Ampiezza filtro specifica il numero di ponti alla sinistra e alla destra del piunto inclusi nella media pesata. I pesi (che sono positivi e incrementati di 1) sono valori di una funzione di distribuzione Gaussiana (nota anche come curva di Bell). Se Ampiezza filtro è uguale a m, allora il punto smorzato si troverà al centro di 2m+1 punti utilizzati nella media pesata. Se i dati sono periodici, allora i punti vengono concatenati ed esiste sempre un numero sufficiente di punti alla sinistra e alla destra di un punto per calcolare questa media. Questo è il caso di un filtro polare. Per un filtro lineare, i primi e gli ultimi m punti non hanno un numero sufficiente di punti vicini per calcolare la media pesata, pertanto tali dati sono lasciati fuori dall'insieme di dati filtrati.


Casella Lunghezza d’onda di taglio

Il valore di Frequenza di taglio determina il passo delle oscillazioni dei dati, al di sotto del quale l’ampiezza delle oscillazioni verrá ridotta, quando si applica un filtro lineare Gaussiano.


Casella Frequenza di taglio

Il valore di Frequenza di taglio determina il numero di "ondulazioni per rivoluzione" (o UPR) dei dati del cerchio, al di sopra di cui le ampiezze delle oscillazioni dei dati sano ridotte quando si applica un filtro polare Gaussiano o un filtro cilindrico.


Casella Parametro di smorzamento

Il valore di Parametro di smorzamento determina il grado di smorzamento applicato dai dati per i filtri spline, uniformi e triangolari.

Per il filtro spline, si consiglia di impostare questo valore su 0 per indicare che deve essere utilizzato il valore calcolato via GCV. Il valore calcolato sostituisce lo 0 nella finestra di modifica.

Per filtri uniformi e triangolari, il parametro di smorzamento rappresenta un mezzo dell'ampiezza della finestra utilizzata nella media di spostamento (pesata).


Casella di controllo Rimuovi punti isolati

Se si seleziona la casella di controllo Rimuovi punti dispersi, PC-DMIS proverà a rimuovere tutti i punti fino a un determinato numero di deviazioni standard dall'elemento di sostituzione (di solito un cerchio o una linea). Occorre specificare il numero di deviazioni standard nella finestra Multipli di deviazione standard. Vedere "Casella Multipli di deviazione standard".

La rimozione dei punti dispersi si comporta in modo simile al filtraggio:

Se si seleziona l'opzione Lineare, la rimozione dei punti disperse si basa sulla distanza 3D del punto dalla linea (linea best fit che approssima i dati).

Se si seleziona l'opzione Polare, la rimozione dei punti dispersi avviene radialmente e parallelamente al piano di lavoro.


Casella multipli della deviazione standard

Il valore di Multipli di deviazione standard determina il numero di deviazioni standard dall'elemento di sostituzione (minimi quadrati) oltre il quale u punti vengono definiti come dispersi. Il valore predefinito è 3.


Costruzione di un filtro modificato

Il tipo di costruzione Regola filtro consente di regolare i dati della scansione che sono stati raccolti durante la scansione relativa alle seguenti figure geometriche:

  • Sfera

  • Cono

  • Cilindro

Di solito, tali scansioni vengono eseguite mediante un tastatore analogico, come un SP600. Se si esegue una scansione sul quarto superiore di una sfera, ad esempio, si ottengono punti che giacciono in un piano che taglia la sfera, come il seguente:

Tuttavia, in realtà, poiché il tastatore esegue la scansione attorno alla sfera, è praticamente impossibile per tutti gli altri punti rimanere all'interno del piano di taglio a causa di uno spostamento naturale del CMM.

La costruzione Regola filtro può utilizzare i punti di scansione preesistenti e, grazie alle proprietà matematiche note dell'elemento, può compensare al meglio i punti raccolti durante il processo di misurazione, sistemandoli all'interno del piano di taglio. La finestra Regola filtro consente di effettuare questa operazione. Per accedere a questa finestra di dialogo, selezionare Inserisci | Elemento | Costruito | Regola filtro dalla barra dei menu.

Finestra di dialogo Regola filtro

Finestra di dialogo Regola filtro

Elemento della finestra di dialogo | Descrizione
Tipo di Elemento | Ciò definisce la primitiva di cui viene eseguita la scansione. È possibile selezionare solo Sfera, Cono o Cilindro.
Tipo di filtro | Definisce il tipo di filtro da utilizzare. È possibile selezionare Assiale o Radiale (utilizzato per le primitive Cono e Cilindro).
Informazioni sull'elemento | Consente di definire le informazioni sulla primitiva. XYZ – La posizione nominale dell'elemento. IJK – Il vettore normale dell'elemento. Raggio/Angolo – Imposta il raggio della sfera o del cilindro o l'angolo del cono.
Informazioni sul piano di taglio | Questa area definisce la posizione e il vettore del piano di taglio. XYZ – La posizione del piano di taglio IJK – Il vettore del piano di taglio

Per regolare i dati della scansione:

Per regolare correttamente i dati nella scansione, è necessario fornire informazioni sufficienti per definire matematicamente la primitiva.

  1. Selezionare un elemento di scansione preesistente dall'elenco di elementi. Di solito, l'elemento di cui è stata eseguita la scansione sarà una scansione chiusa lineare preesistente. La scansione deve essere una sfera, un cono o un cilindro.

  2. Scegliere il tipo di elemento di cui è stata eseguita la scansione con la scansione selezionata dall'elenco Tipo di elemento.

  3. Dall'elenco Tipo di filtro, scegliere il tipo di filtro corretto per un elemento Cono o Cilindro. Il filtro indica la modalità di compensazione dei dati.

    • Se si esegue una scansione perpendicolare all'asse del cilindro o del cono, scegliere il filtro Radiale. In questo modo verrà definito il cerchio che verrà utilizzato per regolare i punti.

    • Se si esegue una scansione parallela all'asse dell'elemento, scegliere invece il filtro Assiale. In questo modo verrà definita la linea che verrà utilizzata per regolare i punti.

  4. Definire la posizione XYZ nominale della primitiva immettendo i valori nelle caselle XYZ.

  5. Definire il vettore normale della primitiva immettendo i valori nelle caselle IJK.

  6. Definire la dimensione della primitiva immettendo un valore nella casella Raggio o Angolo.

  7. Nell'area Info piano di taglio, definire il piano di taglio della scansione. Una volta specificate tutte le informazioni nominali per l'elemento della scansione, sarà possibile creare la costruzione.

  7. Fare clic su Crea. Tutti i punti saranno proiettati nel piano di taglio insieme alla definizione teorica degli elementi (considerando la geometria nota) invece che insieme al vettore normale degli elementi.


Creazione di elementi generici

Creazione di Elementi Generici: Introduzione

Descrizione degli elementi generici

Funzione degli elementi generici

Formato dei comandi degli elementi generici

Creazione di un elemento generico

Come aggiungere un elemento generico

Descrizione della finestra di dialogo Costruisci elemento generico

Tipo di elemento

Tipo di dati

Caselle XYZ

Caselle IJK

Elemento generico dipendente dall'allineamento

Elemento generico indipendente dall'allineamento

Rett./Polare

Nome elemento

Raggio/Diametro

Angolo

Distanza

Creazione di un elemento LeggiPunto dalla posizione tastatore


Creazione di Elementi Generici: Introduzione

In questa sezione viene descritto come aggiungere elementi generici al part program e comecreare elementi punto sulla posizione corrente del tastatore.

In questa sezione vengono descritti i seguenti argomenti:

  • Formato dei comandi degli elementi generici

  • Creazione di un elemento generico

  • Creazione di un elemento LeggiPunto dalla posizione tastatore


Descrizione degli elementi generici

Generalmente, quando si misurano gli elementi di un pezzo PC-DMIS esegue la stima del tipo di elemento corretto in base al numero di punti presi e al tipo di elemento disponibile nel modello CAD importato.

PC-DMIS non è in grado di eseguire la stima degli elementi generici, i quali vengono inseriti e creati dall'utente.


Funzione degli elementi generici

Gli elementi generici consentono di mantenere e trasformare i valori, i quali possono essere utilizzati per creare nuovi elementi costruiti o per modificare gli elementi esistenti mediante il comando CALCULATION.

Per informazioni sulla creazione di nuovi elementi costruiti, vedere la sezione "Costruzione di Nuovi Elementi a partire da Elementi Esistenti" .


Formato dei comandi degli elementi generici

I valori XYZ e IJK sono contenuti in tutti gli elementi generici, mentre la presenza dei valori ANGOLO, DIAMETRO/RAGGIO o DISTANZA dipende dal tipo assegnato all'elemento.

Il pulsante Valori Nominali/Misurati consente di indicare i valori utilizzati nell'elemento generico.

La riga di comando della finestra di modifica è la seguente (viene visualizzato un cono):

nome_elemento=GENERICO/ALTER1,ALTER2, ALTER3, ALTER4
NOM/XYZ,coord_x,coord_y,coord_z
MIS/XYZ,coord_x,coord_y,coord_z
NOM/IJK,coord_i,coord_j,coord_k
MIS/IJK,coord_i,coord_j,coord_k
[RAGGIO/raggio] | [DIAMETRO/diametro]
[ANGOLO/ang]
[DISTANZA/dist]

ALTER1 = PUNTO, PIANO, LINEA, CERCHIO, SFERA, CILINDRO, CONO, ASOLA o NESSUNO

ALTER2 = Indica se l'elemento generico è dipendente o meno dall'allineamento.

ALTER3= indica se l'elemento utilizza le coordinate polari o rettangolari

ALTER4 = Indica se l'elemento è un elemento IN (foro) od OUT (perno).

[ ] = Le opzioni tra parentesi sono facoltative e sono disponibili in base al tipo assegnato mediante ALTER1. RAGGIO e DIAMETRO sono rappresentazioni, a mutua esclusione, del valore rappresentato come raggio o diametro.


Creazione di un elemento generico

Sebbene sia possibile creare un elemento generico digitando la parola GENERICO e premendo TAB in modalità Comando della finestra di modifica, in PC-DMIS è disponibile un metodo molto più semplice per creare nuovi elementi generici. La finestra di dialogo Costruzione Elemento Generico Inserisci | Elemento | Genericofornisce un metodo molto più intuitivo per creare nuovi elementi generici. Visualizza mappa percorsi dei menu

Vedere anche:

Come aggiungere un elemento generico

Descrizione della finestra di dialogo Costruisci elemento generico


Come aggiungere un elemento generico

Per aggiungere un elemento generico, effettuare le seguenti operazioni:

  1. Posizionare il cursore su una nuova riga della finestra di modifica.

  2. Accedere alla finestra di dialogo Costruzione Elemento Generico in uno dei seguenti modi:

  • Selezionare la voce di menu Inserisci | Elemento | Generico . Visualizza mappa percorsi dei menu

  • Digitare GENERICO in modalità Comando della finestra di modifica.

  • Selezionare Elemento generico dall'elenco visualizzato in modalità Riepilogo dopo aver selezionato Aggiungi Comando.

  3. Apportare le modifiche desiderate.

  4. Fare clic sul pulsante OK per creare l'elemento. PC-DMIS salva l'elemento generico e aggiorna le relative informazioni nella finestra di modifica e nella finestra di visualizzazione grafica.


Descrizione della finestra di dialogo Costruisci elemento generico

Finestra di dialogo Costruisci Elemento Generico

Utilizzare questa finestra di dialogo per creare nuovi elementi. È possibile accedere a questa finestra selezionando l'opzione di menu Inserisci | Elemento | Generico. Nei seguenti argomenti vengono descritte le opzioni disponibili in questa finestra di dialogo. Visualizza mappa percorsi dei menu

Vedere anche:

Tipo di elemento

Tipo di dati

Caselle XYZ

Caselle IJK

Elemento generico dipendente dall'allineamento

Elemento generico indipendente dall'allineamento

Rett./Polare

Nome elemento

Raggio/Diametro

Angolo

Distanza


Tipo di elemento

Quest'area consente di creare i seguenti tipi di elemento generico:

  • Punto

  • Piano

  • Linea

  • Cerchio

  • Sfera

  • Cilindro

  • Asola rotonda

  • Asola quadrata

  • Cono

  • Nessuno

A seconda del tipo di elemento selezionato, altre aree di questa finestra di dialogo sono attivate o disattivate per la selezione.


Tipo di dati

L'area Tipo di dati consente di determinare quali valori dell'elemento generico sono influenzati dalle modifiche apportate nella finestra di dialogo. Le opzioni disponibili includono Valori misurati o Valori nominali.


Caselle XYZ

Le caselle X, Y, e Zconsentono di determinare la posizione X, Y e Z dell'elemento generico.


Caselle IJK

Le caselle I, J, e Kconsentono di determinare il vettore dell'elemento generico.


Elemento generico dipendente dall'allineamento

Questo tipo di elementi contengono dei valori che dipendono dall'allineamento utilizzato come riferimento e rimangono sempre relativi all'allineamento anche in caso di modifica. La posizione di tali valori è costante nello spazio tridimensionale.

Esempio nello spazio bidimensionale: Si supponga che l'origine della macchina sia 0,0. Viene impostato un allineamento che posiziona l'origine a 5,5. A questo punto, viene definito un elemento dipendente dall'allineamento con i valori x=2 e y=2. I valori relativi all'allineamento sono x=2 e y=2, mentre i valori relativi all'origine sono x=7 e y=7. Indipendentemente dall'allineamento utilizzato come riferimento, il punto si troverà sempre nella posizione 7,7 rispetto all'origine reale.


Elemento generico indipendente dall'allineamento

Questo tipo di elementi contengono dei valori che rimangono costanti indipendentemente dall'allineamento utilizzato come riferimento. Per questo motivo, gli elementi vengono considerati indipendenti. La posizione di tali valori nello spazio tridimensionale varia in base all'allineamento.

Esempio nello spazio bidimensionale:si prenda in considerazione l'esempio riportato nella sezione esempio di dipendenza dall'allineamento per un elemento generico dipendente dall'allineamento. Se si ricercano i valori relativi all'allineamento di x e di y, per l'oggetto verrà restituito il valore 2,2. Lo stesso valore verrà restituito anche se si ricercano i valori relativi all'origine. Il valore 2,2 relativo all'allineamento corrisponde al valore 7,7 rispetto all'origine reale. Il valore relativo all'origine corrisponde a Pertanto, si ha l'impressione che il punto si sposti nello spazio bidimensionale.

Nota: l'opzione indipendente è stata aggiunta in modo che un elemento generico denominato XAXIS, ad esempio, potesse sempre essere utilizzato come elemento di input per una costruzione o un datum per una dimensione avendo i valori 1,0,0 indipendenti dall'allineamento corrente.


Rett./Polare

Questo elenco consente di selezionare il tipo di sistema di coordinate utilizzato nell'elemento generico. È possibile selezionare POLARE o RETT.


Nome elemento

Questa casella consente di assegnare un nome all'elemento. Questo è l'ID che viene visualizzato sull'etichetta ID elemento e nella finestra di modifica.


Raggio/Diametro

Questa opzione consente di definire un raggio o un diametro per un elemento circolare. Selezionare l'opzione Raggio oppure l'opzione Diametro, quindi digitare un valore nella casella visualizzata.


Angolo

La casella Angolo consente di definire l'angolo di un Cono. Questa casella è disponibile anche se si seleziona Nessuno nell'area Tipo di elemento.


Distanza

La casella Distanza consente di definire l'altezza o la lunghezza degli elementi generici che hanno una lunghezza o un'altezza.


Creazione di un elemento LeggiPunto dalla posizione tastatore

Visualizza mappa percorsi dei menu

L'opzione di menu Leggi punto indica a PC-DMIS di leggere la posizione corrente del tastatore e di inserire un punto nella finestra di Modifica, in corrispondenza della posizione di lettura.

La sintassi di questo comando nella finestra di modifica è la seguente:

ID_E= ELEM/ PUNTO, ALTER1

TEOR/ x, y, z, i, j, k

REALE/ x, y, z, i, j, k

LEGGI_PUNTO

ID_E = Indica l'ID dell'elemento.

ALTER1 = Questo campo consente di passare dai sistemi di coordinate POL a quelli RETT e viceversa

X,Y, Z indica la posizione X, Y, Z del punto costruito.

I,J,K Indica il vettore I, J, K di approccio del tastatore.

LEGGI_PUNTO Identifica l'elemento come punto di lettura creato dalla posizione del tastatore.

Di seguito è riportato un esempio di un elemento LeggiPunto:

F7 =ELEM/PUNTO,RETT
TEOR/7.4982,2.0111,0.95,0,0,1
REALE/7.4982,2.0111,0.95,0,0,1
LEGGI_PUNTO/


Creazione e uso degli Allineamenti

Creazione e uso degli allineamenti: Introduzione

Formato dei comandi di allineamento

Comando di allineamento Inizio

Comando di allineamento Fine

Aggiunta di righe

Eliminazione di righe

Convenzioni

Descrizione della finestra di dialogo Utility di allineamento

Accesso alla finestra di dialogo

ID allineamento

Elenco allineamenti attivi

Elenchi a discesa degli assi

Livello

Ruota

Rotazione in base ad un offset

Rotazione su una linea tra due cerchi

Impostazione della distanza di offset dell'origine

Origine

Spostamento di un elemento

Spostamento in base ad un offset

Richiama

Iterativo

Best-fit

Allineamento automatico

CAD equivalente a pezzo

Creazione di un allineamento 3-2-1

Passo 1: Misurazione degli elementi dell'allineamento

Passo 2: Livellamento, rotazione e traslazione in base agli elementi

Passo 3: Completamento dell'allineamento

Creazione di un allineamento best-fit

Informazioni sugli allineamenti best-fit

Formato della riga di comando per l'allineamento best-fit 2D

Formato della riga di comando per l'allineamento best-fit 3D

Allineamenti best-fit 2D o 3D

Tipi best-fit disponibili

Vincoli per gli allineamenti best-fit 3D

Pesi degli elementi

Uso di insiemi di elementi come input per l'allineamento best-fit

Uso di scansioni come elementi di input per l'allineamento best-fit

Aggiunta di etichette agli elementi di un insieme o di una scansione

Centro di rotazione per l'allineamento 3D

Adattamento di un punto

Come creare un allineamento best-fit

Descrizione della finestra di dialogo Allineamento best-fit

Elenco degli elementi di input

Modifica peso

Crea peso

Ruota intorno a

Nuovo valore

INVIO

Teorico

Misurato

3D

2D

Piano Attivo

Minimi quadrati

Vettore

Min/Max

Rotazione e traslazione

Solo rotazione

Solo traslazione

Creazione di un allineamento iterativo

Informazioni sugli allineamenti iterativi

Formato dei comandi di allineamento iterativo

Regole per l'allineamento iterativo

Come creare un allineamento iterativo

Descrizione della finestra di dialogo Allineamento iterativo

Livello

Ruota

Origine

selezione

Misura tutto una volta

Misura tutto sempre

Raggio di destinazione punto

Tolleranza dell'attrezzatura

Max Iterazioni

Etichetta iniziale

Etichetta errore

Salvataggio di un allineamento

Come salvare un allineamento

Modifica del comando Salva/Allineamento

Descrizione della finestra di dialogo Salva allineamento

Nome file

Directory

Tipo file

Unità

Nome allineamento

Unità

Richiamo di un allineamento esistente

Come richiamare un allineamento

Formato della riga di comando Richiama allineamento

Uso dell’allineamento all’interno di un loop

Definizione di un allineamento come equivalente

Come modificare la posizione e l'orientamento di un pezzo

Come eseguire il recupero dopo lo spostamento accidentale di un pezzo

Descrizione della finestra di dialogo Allineamento equivalente

Allineamento Originale Equivalente

Con allineamento

Definizione dei dati CAD come equivalenti ai dati del pezzo misurati

Esecuzione di un'operazione di progressione a salti

Opzioni di misurazione

Numero Punti

File di programma datum

Elenchi Disponibili e Utilizzati

Misura selezionati

Misura tutti

Area dei risultati

Ripristina

OK

Modifica dei valori nominali dell’allineamento

E secuzione di un'operazione di progressione a salti

Opzioni di misurazione

Numero Punti

File di programma datum

Elenchi Disponibili e Utilizzati

Misura selezionati

Misura tutti

Area dei risultati

Ripristina

OK


Creazione e uso degli allineamenti: Introduzione

Dopo avere attivato una punta e misurato gli elementi, è possibile creare un sistema di coordinate (o allineamento). In PC-DMIS sono disponibili vari strumenti per la creazione e la gestione dei sistemi di coordinate. Per accedere agli strumenti che consentono di utilizzare gli allineamenti, selezionare le opzioni di menu desiderate disponibili dal menu secondario Inserisci | Allineamenti. Visualizza Mappa Percorsi dei Menu

Negli argomenti principali contenuti in questa sezione viene descritto come utilizzare questi strumenti in modo efficace per creare e gestire gli allineamenti nel part program. Tali argomenti includono:

  • Formato dei comandi di allineamento

  • Descrizione della finestra di dialogo Utility di allineamento

  • Creazione di un allineamento 3-2-1

  • Creazione di un allineamento best-fit

  • Creazione di un allineamento iterativo

  • Salvataggio di un allineamento

  • Richiamo di un allineamento esistente

  • Uso dell’allineamento all’interno di un loop

  • Definizione di un allineamento come equivalente

  • Definizione dei dati CAD come equivalenti ai dati del pezzo misurati

  • Esecuzione di un'operazione di progressione a salti

  • Modifica dei valori nominali dell’allineamento


Formato dei comandi di allineamento

Tutti gli allineamenti vengono visualizzati con il seguente formato in modalità Comandi nella finestra di modifica, con variazioni che verranno spiegate piú in dettaglio nei paragrafi che seguono.

Ad esempio:

A1=ALLINEAMENTO/INIZIO, RICHIAMO:,ELENCO=SÍ/NO
ALLINEAMENTO/LIVELLO,' nome_elemento'
ALLINEAMENTO/RUOTA,XPLUS,A,nome_elem,ABOUT,Z+
ALLINEAMENTO/TRANS,ASSEX,nome_elemento
ALLINEAMENTO/TRANS,ASSEY,nome_elemento
ALLINEAMENTO/TRANS,ASSEZ,nome_elemento
ALLINEAMENTO/FINE

Per le regole relative ai campi, vedere "Convenzioni".

Per le descrizioni dei comandi di allineamento, vedere le seguenti sezioni:

  • Per il comando Inizio, vedere "Comando di allineamento Inizio".

  • Per il comando Fine, vedere "Comando di allineamento Fine".

  • Per il comando Richiama, vedere "Richiama".

  • Per il comando Livello, vedere "Livello".

  • Per il comando Rotaz, vedere "Rotazione".

  • Per il comando Trans, vedere "Origine".

Vedere anche:

Comando di allineamento Inizio

Comando di allineamento Fine

Aggiunta di righe

Eliminazione di righe

Convenzioni


Comando di allineamento Inizio

La riga che avvia l'allineamento è la seguente:

ID_ALLIN=ALLIN/INIZIO,RICHIAMA:ID, ELENCO=SÌ/NO

Campi modificabili:
"ID_Allineamento"
Si tratta dell'ID assegnato all'allineamento memorizzato. Tale ID viene assegnato dall'operatore. Se non viene specificato alcun ID, viene assegnato un nome predefinito. Esempio: A1.

"ID"
ID del precedente allineamento interno richiamato per iniziare un nuovo allineamento. Notare che, a partire dalla versione 3.6, é possibile usare la parola chiave USE_ACTIVE_ALIGNMENT in questo campo affinché PC-DMIS utilizzi l'allineamento attivo e non richiami un allineamento memorizzato. È una funzione utile se si usano allineamenti con loop e diramazioni condizionali. Vedere l'argomento "Utilizzo dell'allineamento all'interno di un loop".

"ELENCO"
Impostando questo campo su SÍ o su NO è possibile determinare se PC-DMIS deve visualizzare l'ID dell'allineamento nell'elenco Allineamenti nella barra degli strumenti Impostazioni per il successivo inserimento nel part program . L'impostazione predefinita è SÍ. L'impostazione di questo campo su NO è utile se si dispone di molti allineamenti temporanei e non si desidera che vengano riportati tutti nell'elenco Allineamenti della barra degli strumenti Impostazioni (vedere "Elenco allineamenti attivi").


Comando di allineamento Fine

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALLINEAMENTO/FINE

Non esistono campi modificabili per questo comando. È necessario utilizzare questo comando ogni volta che viene utilizzato il comando ALLINEAMENTO/INIZIO.


Aggiunta di righe

Per aggiungere una riga, posizionare il cursore nella posizione desiderata e premere il tasto INVIO. Quindi, digitare la parola ALLINEAMENTO Premere il tasto TAB. La posizione in cui verrà aggiunta la riga dipende dal punto in cui si trova il cursore: Se il cursore si trova all'interno di un comando, verrà creata una nuova riga sotto la riga corrente. Se il cursore si trova all'inizio di una riga di comando, la nuova riga verrà inserita sopra la posizione corrente del cursore.

Nella prima riga creata viene sempre visualizzato il comando secondario LIVELLO. Inserire un nuovo comando per modificare il comando precedente. Nelle righe aggiuntive create dopo la riga iniziale viene visualizzato l'ultimo comando creato.


Eliminazione di righe

Per eliminare una riga vuota, premere il tasto FRECCIA GIÙ o INVIO, oppure evidenziare ed eliminare la riga. (Vedere "Tasti funzione della modalità Comando" nella sezione "Uso della finestra di modifica" .)


Convenzioni

  • Tutti i comandi di testo relativi all'allineamento sono in formato macro, con un comando iniziale e un comando finale.

  • Il comando ALLINEAMENTO/INIZIO è posizionato sempre sulla prima riga, mentre il comando ALLINEAMENTO/FINE è l'ultima riga dell'istruzione di allineamento.

  • Tutte le funzioni di allineamento devono essere comprese tra il comando iniziale (INIZIO) e quello finale (FINE). L'unica eccezione è rappresentata dal comando "ALLINEAMENTO/RICHIAMA" nel quale il comando iniziale e quello finale sono eseguiti contemporaneamente.

  • In ognuno dei comandi (eccetto "Start," "End" e "Recall") il secondo campo consente di passare da un'opzione all'altra. Tutti gli altri campi dipendenti da operatori verranno modificati in base al campo attivo.


Descrizione della finestra di dialogo Utility di allineamento

Finestra di dialogo Utility di allineamento

Quando si crea un nuovo part program, viene visualizzato il comando STARTUP la prima volta che viene aperta la finestra di dialogo Utilità di allineamento (Inserisci | Allineamento | Nuovo). Visualizza Mappa Percorsi dei Menu

Se il cursore è posizionato sull'ultima riga della finestra di modifica, l'ID dell'allineamento indicherà il nuovo identificativo e l'allineamento corrente.

Ad esempio, in modalità Comando, nella finestra di modifica verrà visualizzato quanto segue:

ID allineamento=A5
Richiama ID allineamento=A4

È possibile richiamare qualsiasi allineamento tra quelli disponibili nella casella a discesa Richiama. Saranno disponibili solo gli allineamenti creati prima della posizione corrente del cursore.

La riga di comando della finestra di modifica per questa opzione è la seguente:

ALLINEAMENTO/INIZIO
ALLINEAMENTO/BF2D,'id_elemento'
ALLINEAMENTO/FINE

Nota: Un allineamento viene considerato completato solo quando viene selezionato il pulsante OK e PC-DMIS aggiorna la casella Elenco allineamenti attivi.

Dopo aver completato la procedura di allineamento, nell'angolo sinistro della finestra di visualizzazione grafica verrà indicata la rotazione dell'allineamento. Poiché l'immagine grafica del pezzo viene adattata alle dimensioni dello schermo, l'offset di allineamento diventa più preciso, una volta che il riferimento degli assi non viene più visualizzato nell'angolo della finestra.

Se alcuni assi non sono vincolati all'allineamento creato, PC-DMIS avverte l'utente spostando continuamente il simbolo rosso dell'origine Z e XY (o triedro) tra questi assi nella finestra di visualizzazione grafica. Una volta vincolato completamente l'allineamento, in PC-DMIS viene visualizzato il triedro in una posizione fissa per rappresentare la posizione dell'allineamento:

Triedro dell'allineamento

Vedere anche:

Accesso alla finestra di dialogo

ID allineamento

Elenco allineamenti attivi

Elenchi a discesa degli assi

Livello

Ruota

Impostazione della distanza di offset dell'origine

Origine

Richiama

Iterativo

Best-fit

Allineamento automatico

CAD equivalente a pezzo

CAD Equals Part button Auto Align buttonOrigin buttonSet Origin Offset DistanceRotate by an OffsetRotate buttonDrop Down AxesLevel buttonActive Alignment ListBest Fit buttonIterative buttonDelete buttonRecall buttonIDCancel buttonOK buttonClear buttonFeature List boxSelect Last #Search ID


Accesso alla finestra di dialogo

PC-DMIS consente di accedere alla finestra di dialogo Allineamento dalla finestra di modifica. A tale scopo, operare come segue:

  1. Aprire la finestra di modifica (Visualizza | Finestra di modifica). Visualizza mappa percorsi dei menu

  2. Nella finestra di modifica passare al blocco di allineamento.

  3. Posizionare il cursore sulla prima riga.

  4. Premere il tasto di scelta rapida F9. Viene visualizzata la finestra di dialogo associata al blocco di allineamento.

Nella finestra di dialogo verrà visualizzato l'allineamento dell'elemento corrente, in modo che sia possibile apportare eventuali modifiche.


ID allineamento

In questa casella viene visualizzato l'ID dell'allineamento corrente.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Evidenziare il valore precedente.

  2. Inserire un nuovo ID.

  3. Premere il tasto di tabulazione.


Elenco allineamenti attivi

Durante la creazione dell'allineamento oppure in qualsiasi momento si desideri visualizzare o modificare un allineamento, in questa casella di riepilogo vengono visualizzati i vari componenti dell'allineamento corrente, quali l'ID dell'allineamento, i richiami di allineamenti utilizzati, il tipo di allineamento e gli elementi utilizzati dagli assi dell'allineamento per eseguire la rotazione o la traslazione.

Modifica di un allineamento

È possibile non solo modificare gli allineamenti già creati in modalità Riepilogo o Comando dalla finestra di modifica ma anche modificare gli allineamenti esistenti facendo clic su un elemento in questo elenco e apportando le modifiche necessarie. Una volta selezionato un elemento, l'area appropriata della finestra di dialogo Utility di allineamento diventa disponibile per la modifica. Una volta apportate le modifiche, fare clic su OK per modificare l'allineamento.

Ad esempio, per modificare l'elemento corrispondente al livello dell'allineamento, selezionare la riga relativa al livello dall'elenco. Come mostrato nella seguente figura, in PC-DMIS sarà visualizzato l'elemento corrente utilizzato per la scelta del livello dell'allineamento, quindi verranno resi disponibili il pulsante Livello e un elenco di assi.

Esempio di un elenco di allineamenti attivi utilizzato per modificare un allineamento esistente

Esempio di un elenco di allineamenti attivi utilizzato per modificare un allineamento esistente

Selezionare un nuovo elemento e gli assi, fare clic su Livello e in PC-DMIS l'elenco Allineamenti attivi viene aggiornato con le modifiche apportate. Fare clic su OK per salvare le modifiche.


Elenchi a discesa degli assi

Questi elenchi a discesa consentono di selezionare gli assi utilizzati durante il processo di creazione di un nuovo allineamento. Sono disponibili i seguenti assi:

  • X+

  • X-

  • Y+

  • Y-

  • Z+

  • Z-


Livello

Il pulsante Livello consente di definire l'orientamento dell'asse normale del piano di lavoro corrente.

Per definire l'elemento a cui applicare l'orientamento:

  1. Specificare l'elemento da utilizzare nella casella Elenco elementi.

  2. Fare clic sull'opzione Livello.

È possibile specificare l'asse da utilizzare per stabilire l'orientamento selezionandolo nella casella di riepilogo a discesa.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALIGNMENT/LEVEL,Z+'id_elem'

Campi modificabili:
"Z+"
Questo campo consente di selezionare i campi Z+, X+, Y+, Z-, X- e Y- dalla finestra di modifica e rappresenta la direzione dell'asse specificato lungo il quale viene eseguito l'orientamento dell'elemento.

"id_elemento"
L'elemento al quale viene applicato l'allineamento.
Esempio: PIANO1.


Ruota

Il pulsante Ruota consente di ruotare l'asse specificato del piano di lavoro in direzione o parallelamente all'elemento. PC-DMIS eseguirà la rotazione dell'asse specificato intorno al baricentro utilizzato come origine. È possibile definire l'asse da ruotare e l'asse attorno al quale eseguire la rotazione.

Per scegliere un elemento in base al quale eseguire la rotazione, effettuare le seguenti operazioni:

  1. Selezionare l'elemento di riferimento appropriato nella casella Elenco elementi.

  2. Fare clic sul pulsante Ruota.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALIGNMENT/ROTATE,X+,a,'id_elem',attorno,Z+

Campi modificabili:
"X+","Z+"
Questo campo consente di attivare o disattivare i seguenti campi della finestra di modifica:

Z+

X+

Y+

Z-

X-

Y-

L'asse verrà impostato parallelamente all'elemento di input specificato e verrà ruotato attorno al secondo asse.

"id_elemento"
L'elemento parallelamente al quale viene eseguita la rotazione dell'allineamento. Esempio: LINEA1.

Vedere anche:

Rotazione in base ad un offset

Rotazione su una linea tra due cerchi


Rotazione in base ad un offset

Per eseguire una rotazione in base ad un offset, selezionare l'opzione OFFSET inserendo l'angolo desiderato nella casella Angolo offset. Il nuovo valore di offset della rotazione sostituirà il valore precedente.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALLINEAMENTO/OFFSET_ROTAZIONE,'valore_numerico'

Campi modificabili: "valore_numerico"
È il valore in base al quale verrà ruotato l'allineamento, espresso in gradi angolari (ad esempio, -14.36). La rotazione viene eseguita lungo l'asse, perpendicolarmente al piano di lavoro attivo. Se l'angolo è negativo, la rotazione viene eseguita in senso orario; se l'angolo è positivo, la rotazione viene eseguita in senso antiorario.


Rotazione su una linea tra due cerchi

Per eseguire la rotazione su una linea tra due cerchi, selezionare due cerchi nella casella Elenco elementie fare clic sul pulsante Ruota. Come per gli altri tipi di rotazione, selezionare l'asse da ruotare, l'asse attorno al quale eseguire la rotazione ed eventualmente inserire il valore di offset.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALLINEAMENTO/ROTAZ_CERCHIO,ID , ID

Campi modificabili: "ID"

Rappresenta uno dei due ID sul quale eseguire la rotazione.


Impostazione della distanza di offset dell'origine

La casella Distanza offset consente di impostare l'origine in base ad una specifica distanza offset.

Per impostare la distanza di offset, effettuare le seguenti operazioni:

  1. Fare clic sulla casella Distanza offset.

  2. Inserire il valore desiderato per la distanza di offset.

  3. Premere il tasto di tabulazione.

  4. Fare clic sul pulsante Origine.


Origine

Il pulsante Origine consente di spostare l'origine di un pezzo in una posizione specificata o in base all'offset specificato.

Per spostare l'origine del pezzo, effettuare le seguenti operazioni:

  1. Scegliere l'origine da spostare selezionando la casella di controllo appropriata (X, Y, Zo AUTO).

  2. Fare clic sul pulsante Origine. Se si seleziona AUTO, gli assi da spostare verranno scelti in base al tipo di elemento, all'orientamento dell'elemento e al piano di lavoro.

Vedere anche:

Spostamento di un elemento

Spostamento in base ad un offset


Spostamento di un elemento

Per spostare un elemento, è sufficiente selezionarlo.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALLINEAMENTO/TRANS,ASSEZ,'id_elem'

Campi modificabili:
"ASSEZ"
Questo campo della finestra di modifica consente di selezionare il campo ASSEZ, ASSEX o ASSEY. Questo campo rappresenta l'asse lungo il quale verrà spostata l'origine in base all''id_elemento' corrispondente.

"id_elemento"
Rappresenta l'elemento indicato come origine dell'allineamento lungo l'asse specificato. Esempio: CERCHIO1


Spostamento in base ad un offset

Per eseguire lo spostamento in base ad un offset, selezionare l'opzione OFFSET specificando un nuovo valore di offset.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ALLINEAMENTO/OFFSET_TRASL,ASSEZ,'valore_numerico'

Campi modificabili:
"ASSEZ"
Questo campo della finestra di modifica consente di selezionare il campo ASSEZ, ASSEX o ASSEY. Questi campi rappresentano l'asse lungo il quale viene spostata l'origine in base al 'valore_numerico' di input.

"valore_numerico"
Rappresenta il valore in base al quale verrà eseguito l'offset dell'allineamento (ad esempio: 5.12). I valori positivi vengono spostati nella direzione positiva mentre i valori negativi vengono spostati nella direzione negativa.


Richiama

Il pulsante Richiama consente di richiamare gli allineamenti salvati e di utilizzarli nel part-program corrente. Vedere "Richiamo di un allineamento esistente".


Iterativo

Il pulsante Iterativo consente di accedere alla finestra di dialogo Allineamento iterativo. Utilizzare questa finestra di dialogo per creare allineamenti iterativi. Vedere "Creazione di un allineamento iterativo".


Best-fit

Il pulsante Best-fit consente di accedere alla finestra di dialogo Best-fit . Utilizzare questa finestra di dialogo per creare allineamenti best-fit. Vedere "Creazione di un allineamento Best-fit".


Allineamento automatico

Il pulsante Allineamento automatico consente di selezionare tre elementi in base ai quali PC-DMIS creerà automaticamente un allineamento. L'ordine in cui i tre elementi vengono selezionati è estremamente importante.

  • Il primo dei tre elementi verrà utilizzato per determinare l'orientamento dell'asse normale rispetto al piano di lavoro corrente.

  • Il piano di lavoro corrente verrà ruotato sul secondo elemento.

  • Infine, verrà impostata l'origine del pezzo in base al terzo tipo di elemento.

Ad esempio, se si seleziona

un piano, una linea e un punto con un piano di lavoro Z+:
Il piano determinerà l'orientamento Z+ del pezzo. La linea misurata diventa l'asse principale X+. L'origine dell'asse Z viene impostata in modo che coincida con l'origine del piano. L'origine di Y coincide con quella della linea e l'origine di X con quella del punto.

Un piano, una linea e un cerchio misurato con un piano di lavoro Y-:
Il piano determinerà l'orientamento Y- del pezzo. La linea misurata diventa l'asse principale Z-. L'origine dell'asse Y viene impostata in modo che coincida con l'origine del piano. L'origine degli assi X e Z coincide con il centro del cerchio.

Se non è possibile creare un nuovo allineamento in base ai tre elementi selezionati, verrà visualizzato un messaggio di errore.

Importante: In un Allineamento automatico l'origine dell'allineamento si basa sul terzo elemento utilizzato.

¨ Se è un punto, PC-DMIS imposta l'origine degli assi. In caso contrario, PC-DMIS sceglie gli assi predefiniti dell'elemento.

¨ Se si tratta di una linea automatica, PC-DMIS restituisce X, Y e Z e imposta l'origine su X, Y e Z.

¨ Se è una linea misurata, PC-DMIS determina quale asse il vettore di approccio segue più da vicino e annulla gli altri due.

¨ Se si tratta di un cerchio automatico, PC-DMIS imposta tutti e tre gli assi.

¨ Se è un cerchio misurato, PC-DMIS valuta il piano di lavoro e imposta solo due assi.


CAD equivalente a pezzo

Il pulsante CAD equivalente a pezzo è utile quando si utilizzano i dati CAD in modalità online.

Per impostare il CAD equivalente al pezzo, effettuare le seguenti operazioni:

  1. Misurare gli elementi sul particolare o sull'attrezzatura.

  2. Utilizzare le opzioni di allineamento (LIVELLO, RUOTA e ORIGINE) per creare un allineamento.

  3. Fare clic sul pulsante CAD equivalente a pezzo.

PC-DMIS creerà un collegamento tra i dati CAD e i dati misurati, in modo che i dati misurati vengano visualizzati sopra i dati CAD. I dati CAD verranno inoltre utilizzati per l'ispezione del pezzo. ed è disponibile soltanto dopo che un allineamento creato ha posizionato l'origine o l'orientamento del pezzo in corrispondenza dell'origine o dell'orientamento CAD.

Quando il pulsante CAD equivalente a pezzo è selezionato per un pezzo, sarà selezionata la voce di menu corrispondente.


Creazione di un allineamento 3-2-1

Di seguito vengono descritte le fasi necessarie per la creazione di un allineamento 3-2-1 standard.

Suggerimento: Fare clic su questa icona nella barra della Guida Operatore: per accedere alla Guida Allineamento 3-2-1 di PC-DMIS.

Vedere anche:

Passo 1: Misurazione degli elementi dell'allineamento

Passo 2: Livellamento, rotazione e traslazione in base agli elementi

Passo 3: Completamento dell'allineamento


Passo 1: misurazione degli elementi dell'allineamento

È innanzitutto necessario misurare gli elementi utilizzati per creare l'allineamento 3-2-1. Per la creazione di un allineamento 3-2-1 vengono utilizzati tre tipi di elementi standard. I numeri 3, 2 e 1 fanno riferimento al numero minimo di punti che è necessario prendere per misurare questi elementi.

  • Misurazione di un piano. Il primo elemento è livellamento e deve essere un piano costituito da tre punti. PC-DMIS eseguirà il livellamento del pezzo in base a questo elemento. Vengono definite l'origine e la direzione del primo asse, generalmente l'asse Z.

  • Misurazione di una linea. Il secondo elemento è rotazione e deve essere una riga costituita da due punti. PC-DMIS ruoterà il pezzo in base a questo elemento, orientando il secondo asse. È necessario che il secondo punto di questo elemento si trovi nella direzione positiva dell'asse, in relazione al primo punto. Questo elemento definisce la direzione del secondo asse (generalmente l'asse X) e l'origine del terzo asse (generalmente l'asse Y).

  • Misurazione di un punto. Il terzo e ultimo elemento è origine ed è costituito da un solo punto. Poiché l'origine per questo asse viene creata a partire dai primi due elementi, il terzo punto stabilisce semplicemente l'origine dell'intero allineamento. PC-DMIS eseguirà la traslazione del pezzo in base a questo elemento, impostando la posizione X=0, Y=0 e Z=0.

Dopo aver misurato gli elementi necessari, è possibile creare l'allineamento.

Passare alla fase successiva.


Passo 2: livellamento, rotazione e traslazione in base agli elementi

In questa fase viene utilizzata la finestra di dialogo Utility di allineamento per livellare, ruotare e traslare il pezzo in base agli elementi misurati nella fase precedente.

In qualsiasi momento, fare clic su questo collegamento per accedere alle informazioni sulla finestra di dialogo Utility di allineamento.

  1. Visualizza Mappa percorsi dei menu Accedere alla finestra di dialogo Utility di allineamento (Inserisci | Allineamento | Nuovo). L'elenco Elemento contiene tutti gli elementi che è possibile utilizzare per livellare, ruotare o traslare il pezzo.

  2. Nell'elenco Elemento, fare clic sull'elemento piano creato nella fase precedente. Dopo la selezione dell'elemento da parte di PC-DMIS, selezionare l'asse in base al quale deve essere livellato il pezzo, quindi fare clic sul pulsante Livello. Nella finestra di dialogo Utility di allineamento verrà visualizzata una riga di testo che indica l'elemento e l'asse da utilizzare per il processo di livellamento.

  3. Nell'elenco Elemento, fare clic sull'elemento riga creato nella fase precedente. Dopo la selezione dell'elemento da parte di PC-DMIS, selezionare l'asse in base al quale eseguire la rotazione e l'asse intorno al quale eseguire la rotazione, quindi fare clic sul pulsante Ruota. Anche in questo caso vengono visualizzati l'elemento e l'asse da utilizzare per il processo di rotazione.

  4. Nell'elenco Elemento, fare clic sull'elemento punto creato nella fase precedente. Dopo la selezione dell'elemento da parte di PC-DMIS, selezionare la casella di controllo dell'asse appropriata per determinare l'asse o gli assi che si desidera spostare su questo elemento di origine, quindi fare clic sul pulsante Origine.

Nota:in alternativa, è possibile selezionare tutti e tre gli elementi dall'elenco Elemento e fare clic sul pulsante Allineamento automatico per fare in modo che PC-DMIS esegua automaticamente il livellamento in base al primo elemento selezionato, la rotazione in base al secondo elemento selezionato e la traslazione degli assi in base al terzo elemento selezionato.

A questo punto è possibile completare il processo di creazione dell'allineamento.

Passare alla fase successiva.


Passo 3: completamento dell'allineamento

Per completare l'allineamento, effettuare le seguenti operazioni:

  1. Verificare che le informazioni visualizzate nella finestra di dialogo siano corrette.

  2. Quindi, fare clic sul pulsante OK. PC-DMIS chiude la finestra di dialogo, inserisce il codice per l'allineamento nella finestra di modifica e fornisce una visualizzazione grafica dell'allineamento nel modello CAD all'interno della finestra di visualizzazione grafica.

  3. È possibile modificare il codice per l'allineamento in qualsiasi momento utilizzando le tecniche descritte nella sezione "Uso della finestra di modifica" .


Creazione di un allineamento best-fit

Finestra di dialogo Allineamento best-fit

Selezionando il pulsante Best-fit dalla finestra di dialogo Utility di allineamento, Visualizzazione Mappa dei Percorsi
in PC-DMIS viene visualizzata la finestra di dialogo Best-fit . Questa finestra di dialogo consente di creare un allineamento di tipo best-fit dei dati misurati in base ai punti nominali o alle superfici, se disponibili. Per poter utilizzare questa tecnica, è necessario disporre di almeno tre elementi da misurare.

Vedere anche:

Informazioni sugli allineamenti best-fit

Come creare un allineamento best-fit

Descrizione della finestra di dialogo Allineamento best-fit

Translate OnlyRotate OnlyRotate and TranslateMin Max optionCancel buttonOK buttonVector optionLeast Squares optionActive Plane2D option button3d option buttonMeasuredTheoreticalEnter buttonNew Value boxRotate AboutCreate WeightsEdit WeightsInput ListFeature List Box


Informazioni sugli allineamenti best-fit

Per creare correttamente un allineamento best-fit, si considerino le informazioni presentate di seguito.

Quando confronta due insiemi di elementi, PC-DMIS misura le differenze tra le posizioni reali dell'elemento e le corrispondenti posizioni nominali. Quando confronta un insieme di punti con l'elemento calcolato a partire da tale insieme, PC-DMIS misura le differenze tra i punti e la loro proiezione ortogonale sull’elemento stesso. Il best fit ricerca il minimo globale del metodo usato per determinare la "distanza" tra i punti e l'elemento.

Questi argomenti saranno di aiuto per la comprensione degli aspetti salienti degli allineamenti Best Fit.

Vedere anche:

Formato della riga di comando per l'allineamento best-fit 2D

Formato della riga di comando per l'allineamento best-fit 3D

Allineamenti best-fit 2D o 3D

Tipi best-fit disponibili

Vincoli per gli allineamenti best-fit 3D

Pesi degli elementi

Uso di insiemi di elementi come input per l'allineamento best-fit

Uso di scansioni come elementi di input per l'allineamento best-fit

Aggiunta di etichette agli elementi di un insieme o di una scansione

Centro di rotazione per l'allineamento 3D

Adattamento di un punto


Formato della riga di comando per l'allineamento best-fit 2D

La riga di comando della finestra di modifica per l'opzione di allineamento best-fit 2D è la seguente:

ALLINEAMNETO/BF2D,ALTER1,ALTER2,CREA PESI=SÍ,ALTER3,0,0,0,0

MOSTRA TUTTI INPUT=SÍ,MOSTRA TUTTI PARAM=SÍ

ID =

Campi disponibili:

"ALTER1" Questo campo consente di attivare i piani di lavoro disponibili. Viene visualizzato il piano di lavoro corrente.

"ALTER2" Questo campo consente di attivare uno dei tipi di allineamento best-fit disponibili: QUADMIN, VETTFIT, MINMAX. Per maggiori informazioni, vedere "Tipi best-fit disponibili".

CREA PESI= Questa opzione consente di determinare se PC-DMIS crea o meno i peso per gli elementi utilizzati nell'allineamento best fit. Le opzioni disponibili sono SÍ o NO. Vedere "Pesi degli elementi".

"ALTER3" Questo campo determina i gradi di libertà per l'allineamento 2D. Le opzioni disponibili sono le seguenti: SOLOROT (solo rotazione) , ROTETRASL (rotazione e traslazione), SOLOTRASL (Solo traslazione).

MOSTRA TUTTI INPUT=Questa opzione consente di determinare se il blocco di codice di allineamento visualizza gli input di elementi utilizzati per creare l'allineamento. Le opzioni disponibili solo SÍ o NO.

MOSTRA TUTTI PARAM=Questa opzione consente di determinare se il blocco del codice di allineamento visualizza tutti i parametri per gli input degli elementi. Le opzioni disponibili sono SÍ o NO.

Se impostato su SÍ, allora PC-DMIS visualizzerà queste informazioni per ogni elemento di input: ID elemento, Tipo di elemento, ID dimensione, Peso elemento, Uso elemento.

Ad esempio, potrebbe avere il seguente aspetto.

ID = CER2,Cerchi,LOC12,2.000000,SÍ

Se impostato su NO, allora PC-DMIS visualizzerà solo l'ID dell'elemento di input

ID = CER2

ID= Ogni linea che inizia con "ID=" rappresenta un elemento di input utilizzato nell'allineamento.


Formato della riga di comando per l'allineamento best-fit 3D

La riga di comando della finestra di modifica per l'opzione di allineamento best-fit 3D è la seguente:

ALLINEAMENTO/BF3D,ALTER1,CREA PESI=SÍ,ALTER2,0,0,0,0,0,0

CENTRO DI ROTAZIONE,MIS_X,MIS_Y,MIS_Z,TEOR_X,TEOR_Y,TEOR_Z

MOSTRA TUTTI INPUT=SÍ,MOSTRA TUTTI PARAM=SÍ

ID =

Campi disponibili:

"ALTER1" Questo campo consente di attivare uno dei tipi di allineamento best-fit disponibili.

"ALTER2" Questo campo consente di attivare uno dei tipi di vincoli di allineamento 3D disponibili. Le opzioni disponibili sono le seguenti: SOLOROT (solo rotazione) , ROTETRASL (rotazione e traslazione), SOLOTRASL (Solo traslazione).

CENTRO DI ROTAZIONEQuesto campo e i valori XYZ misurati e teorici associati, rappresentano il centro della rotazione. Vengono visualizzati solo se viene utilizzato SOLOROT o ROTETRAS per il campo ALTER2.

MOSTRA TUTTI INPUT=Questa opzione consente di determinare se il blocco di codice di allineamento visualizza gli input di elementi utilizzati per creare l'allineamento. Le opzioni disponibili solo SÍ o NO.

MOSTRA TUTTI PARAM=Questa opzione consente di determinare se il blocco del codice di allineamento visualizza tutti i parametri per gli input degli elementi. Le opzioni disponibili solo SÍ o NO.

Se impostato su SÍ, allora PC-DMIS visualizzerà queste informazioni per ogni elemento di input: ID elemento, Tipo di elemento, ID dimensione, Peso elemento, Uso elemento.

Ad esempio, potrebbe avere il seguente aspetto.

ID = CER2,Cerchi,LOC12,2.000000,SÍ

Se impostato su NO, allora PC-DMIS visualizzerà solo l'ID dell'elemento di input

D = CIR2

ID= Ogni linea che inizia con "ID=" rappresenta un elemento di input utilizzato nell'allineamento.


Allineamenti best-fit 2D o 3D

Gli allineamenti best-fit possono essere bidimensionali o tridimensionali. Questi due tipi di allineamento presentano notevoli differenze tra di loro.

  • Per eseguire un allineamento best-fit 2D è necessario disporre di un allineamento iniziale. L'allineamento viene creato nel piano di lavoro specificato in base all'allineamento corrente.

  • L'allineamento best-fit 3D utilizza i dati macchina e li associa ai relativi valori teorici. Viene creato un nuovo allineamento SENZA utilizzare alcun allineamento esistente.


Tipi best-fit disponibili

Sono disponibili molte opzioni durante la creazione di un allineamento best-fit. Esistono tre diversi tipi di opzioni best-fit:

  1. Minimi quadrati(impostazione predefinita) – riduce al minimo l'errore quadrato medio dell'adattamento tra tutti gli elementi inclusi nel best-fit. Questo é il tipo di posizionatore piú comune. L’errore é la somma delle distanze quadratiche. I punti dispersi non influiscono negativamente e la direzione dell'errore non svolge alcun ruolo in questo adattamento.

  2. Vettore (conosciuta anche come Minimi Quadrati Proiettati) – minimizza l’errore quadratico medio degli elementi sottoposti a best-fit; tuttavia aggancia (o proietta) preventivamente i punti sui vettori nominali dell'elemento. In questo modo tutti gli errori vengono ridistribuiti lungo i vettori nominali. L’errore é la somma delle distanze quadratiche proiettate. Questo tipo di fit é usato tipicamente quando un insieme di punti deve adattarsi a curve o superfici. Con questo tipo di adattamento, PC-DMIS consente di far ‘scivolare’ i punti lungo la superficie ma ne scoraggia lo scostamento dalla stessa superficie.
    Esempio:     Se il punto nominale è: 1,1,1 con il vettore 0,0,1 ed i valori di misurazione 4,2,0,95, i dati misurati verranno adeguati a 1,1,0,95 e agganciati sul vettore di 0,0,1.

  3. Min/Max – minimizza l’errore massimo (la massima distanza) tra gli elementi coinvolti nel best-fit. Misure errate possono influenzare pesantemente il calcolo di questo errore. É possibile usare questo metodo per determinare se esiste un allineamento tale che tutti gli elementi coinvolti stiano nelle tolleranze date. Questo tipo di best fit é specificato dalla Y14.5.

Nota: L'opzione Min/Max è disponibile solo per allineamenti best-fit bidimensionali.


Vincoli per gli allineamenti best-fit 3D

Alcuni vincoli possono anche essere applicati agli allineamenti best-fit tridimensionali. Sono disponibili le seguenti opzioni di vincolo:

  1. Rotazione e traslazione (impostazione predefinita) – Questa opzione consente la massima flessibilità di allineamento durante il confronto tra i dati macchina e i valori teorici.

  2. Solo rotazione– Questa opzione consente di applicare l'allineamento soltanto alle funzioni di rotazione ma non a quelle di traslazione.

  3. Solo traslazione – Questa opzione consente di applicare l'allineamento soltanto alle funzioni di traslazione ma non a quelle di rotazione.


Pesi degli elementi

A ciascun elemento di input è associato un peso. Il valore predefinito è 1. I valori dei pesi influenzano l'allineamento risultante. Un maggior peso dell'elemento significa una maggiore corrispondenza tra il valore teorico ed il valore misurato dell'elemento stesso durante l'allineamento. Ció consente di assegnare, nell'allineamento, una priorità all'elemento. Se i pesi degli elementi in input sono eguali, gli elementi vengono considerati sullo stesso piano indipendentemente dal valore del peso.

I pesi vengono automaticamente assegnati a ciascun elemento in base alla dimensione associata. Se non è associata alcuna dimensione, sarà assegnata una tolleranza predefinita. I pesi vengono assegnati facendo clic sul pulsante Crea pesi. È possibile modificare qualsiasi peso selezionando il relativo elemento nell'elenco degli elementi di input e facendo clic sul pulsante Modifica peso. Il nuovo peso verrà assegnato all'elemento ed utilizzato durante i calcoli.


Uso di insiemi di elementi come input per l'allineamento best-fit

Quando si utilizzano insiemi di elementi (scansioni o insiemi costruiti) come elementi di input per l'allineamento best-fit, nella casella dell'elenco degli elementi di input accanto all'ID dell'elemento viene visualizzato un segno più (+). Facendo clic una volta sul segno più (+) vengono visualizzati gli elementi che determinano l'insieme. Inizialmente, il peso di ciascun elemento sarà uguale all'elemento padre (l'insieme originale). È possibile modificare il peso di ciascun elemento figlio appartenente all'insieme seguendo la procedura descritta in precedenza. Per modificare il peso di tutti gli elementi appartenenti ad un insieme, è sufficiente modificare il peso dell'insieme di elementi. Il nuovo peso verrà esteso a tutti gli elementi figli dell'insieme.


Uso di scansioni come elementi di input per l'allineamento best-fit

Quando si utilizza una scansione, è disponibile un componente aggiuntivo rispetto all'utilizzo di un insieme di elementi. Le scansioni sono formate da più scansioni base, ciascuna delle quali è formata da singoli punti. Facendo clic sul segno più (+) accanto ad una scansione, verranno visualizzate tutte le scansioni base associate. Accanto a ciascuna scansione base viene visualizzato un segno più (+). Facendo clic sul segno più (+) accanto ad una scansione base, verranno visualizzati tutti i singoli punti associati. È possibile modificare il peso di ciascun punto, il peso della scansione base e di tutti i punti associati o il peso della scansione stessa.


Aggiunta di etichette agli elementi di un insieme o di una scansione

È possibile inoltre contrassegnare con le etichette gli elementi inclusi in un insieme, in modo da impedirne l'uso. Per aggiungere un'etichetta a un elemento di un insieme per impedirne l'uso nell'allineamento best-fit, fare doppio clic su di esso nella casella dell'elenco degli elementi di input. Il valore presente nella colonna Uso della casella dell'elenco degli elementi di input viene modificato da "SÍ" a "NO". Facendo doppio clic su una scansione base, verrà aggiunta l'etichetta "NO" alla scansione e a tutti i punti associati in modo che non saranno utilizzati nei calcoli.


Centro di rotazione per l'allineamento 3D

Per alcuni allineamenti Best Fit, si puó specificare il centro di rotazione. A tale scopo, è possibile utilizzare uno dei due metodi descritti di seguito.

  1. Selezionare una funzione dalla casella Elenco degli elementi di input. Quindi, fare clic sul pulsante Ruota. I valori teorici e misurati verranno automaticamente inseriti nelle caselle appropriate della sezione Ruota intorno a .

  2. Se si desidera definire una specifica coordinata, inserirne i valori X, Y e Z nei campi Teorico e Misurato. Per essere valido, il valore deve essere in formato delimitato da virgole. Ad esempio Xteor, Yteor e Zteor.


Adattamento di un punto

Per impostazione predefinita, PC-DMIS adatta i punti nell'allineamento best-fit in base alla nuvola di punti nominale. Tuttavia, è possibile fare in modo che l'allineamento best-fit adatti i punti in base alla superficie o alle curve. Per attivare questa nuova funzione, è necessario accedere all'Editor impostazioni PC-DMIS e impostare la voce di registro IterateAndRePierceCadOnBestFitAlignments su TRUE. Per impostazione predefinita, la voce è impostata su FALSE.

Quando si aprono i part-program esistenti, i calcoli non vengono eseguiti di nuovo. Sarà necessario forzare un nuovo calcolo modificando il tipo nella sezione Metodo best-fit da Vettore a Min Max. In genere, sarà opportuno utilizzare Min Max per i calcoli del profilo. Inoltre, potrà essere necessario calcolare nuovamente le dimensioni. A tale scopo, digitare nuovamente il nome della scansione nella finestra di modifica. Viene riportato un errore di profilo molto inferiore.

Esistono due impostazioni correlate aggiuntive.

IterateAndRePierceCadOnBestFitAlignmentsToleranceInMM - Questa opzione consente di impostare la tolleranza di ricerca nominale utilizzata durante l'adattamento. È necessario assicurarsi che questa opzione sia maggiore del raggio del tastatore. Quasi sempre il valore predefinito di 20 millimetri sarà sufficiente.

IterateAndRePierceCadOnBestFitAlignmentsMaxLoops - Questa opzione consente di impostare un numero di loop nel caso in cui PC-DMIS non trovi una soluzione. L'impostazione predefinita è 100, che in molti casi è sufficiente.

Per informazioni sulla modifica delle voci di registro, vedere la sezione dell'appendice "Modifica Voci del Registry" .


Come creare un allineamento best-fit

Come creare un allineamento best-fit:

  1. Accedere alla finestra di dialogo Utility di allineamento (Inserisci | Allineamento | Nuovo). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sul pulsante Best-fit. Viene visualizzata la finestra di dialogo Allineamento best-fit che consente di creare l'allineamento best-fit. Vedere "Descrizione della finestra di dialogo Best-fit" per ulteriori informazioni sulla finestra di dialogo.

  3. Selezionare gli elementi da utilizzare nella casella Elenco elementi. Gli elementi verranno visualizzati nella casella dell'elenco degli elementi di input.

  4. Scegliere l'orientamento dell'allineamento selezionando le opzioni 2D o 3D nell'area Orientamento. Per gli allineamenti bidimensionali, selezionare anche il piano attivo corretto dall'elenco a discesa Piano attivo.

  5. Selezionare il tipo best-fit scegliendo le opzioni appropriate nella sezione Metodo best-fit. Nel caso di un allineamento tridimensionale, scegliere anche il vincolo appropriato nella sezione Metodo best-fit.

  6. Per modificare il peso degli elementi, selezionare il pulsante Crea peso. Selezionare l'elemento del quale si desidera modificare il peso. Fare clic sul pulsante Modifica peso. Inserire il nuovo peso nella casella Nuovo valore nella sezione Editor peso e fare clic sul pulsante Invio.

  7. Per impostare il punto di rotazione intorno ad un determinato elemento, selezionare l'elemento nell'elenco degli elementi di input e fare clic sul pulsante Ruota intorno a. In alternativa, è possibile inserire un valore nelle caselle Teorico e Misurato nella sezione Ruota intorno a della finestra di dialogo.

  8. Fare clic sul pulsante OK.


Descrizione della finestra di dialogo Allineamento best-fit

Nei seguenti argomenti vengono descritti gli elementi che costituiscono la finestra di dialogo Allineamento best-fit.

Vedere anche:

Elenco degli elementi di input

Modifica peso

Crea peso

Ruota intorno a

Nuovo valore

INVIO

Teorico

Misurato

3D

2D

Piano Attivo

Minimi quadrati

Vettore

Min/Max

Rotazione e traslazione

Solo rotazione

Solo traslazione


Elenco degli elementi di input

Nella casella dell'elenco degli elementi di input sono contenuti gli elementi che saranno utilizzati durante la creazione dell'allineamento best-fit. È anche possibile utilizzare questo elenco per modificare gli elementi prima della creazione dell'allineamento.


Modifica peso

Il pulsante Modifica peso consente di inserire il valore del peso corrente dell'elemento selezionato nella casella Nuovo valore dall'area Editor peso e modificarlo.


Crea peso

Il pulsante Crea pesi consente di creare automaticamente i pesi per ciascun elemento presente nella casella degli elementi di input.


Ruota intorno a

Il pulsante Ruota intorno aconsente di copiare i valori teorici e misurati dell'elemento selezionato nella casella dall'elenco degli elementi di input e di inserirli nelle caselle Teorico e Misurato nella sezione Ruota intorno a. Questo valore viene utilizzato come centro di rotazione durante il calcolo dell'allineamento best-fit


Nuovo valore

Nella casella Nuovo valore viene inserito il nuovo peso.


INVIO

Se si seleziona il pulsante Invio, il valore nella casella Nuovo valore viene accettato e il peso dell'elemento selezionato nella casella dell'elenco degli elementi di input viene modificato di conseguenza.


Teorico

In questa casella viene visualizzato il centro di rotazione teorico per gli allineamenti best-fit tridimensionali.


Misurato

In questa casella viene visualizzato il centro di rotazione misurato per gli allineamenti best-fit tridimensionali.


3D

Se l'opzione 3D è selezionata, verrà eseguito l'allineamento 3D.


2D

Se si seleziona l'opzione 2D, l'allineamento risultante sarà 2D


Piano Attivo

L'elenco a discesa Piano attivo consente di definire il piano sul quale verrà calcolato un allineamento bidimensionale.


Minimi quadrati

Selezionando l’opzione Minimi quadrati, l'errore quadrato medio per gli elementi di input sarà ridotto al minimo nell'allineamento.


Vettore

Se l'opzione Vettore è selezionata, gli errori negli elementi di input vengono agganciati sui vettori teorici prima di ridurre al minimo l’errore quadrato medio.


Min/Max

Selezionando l’opzione Min/Max, l'allineamento prova ad orientare il pezzo in modo da minimizzare l'errore massimo in tutti gli elementi di input.

Nota: questa opzione è disponibile solo per gli allineamenti best-fit bidimensionali.


Rotazione e traslazione

L'opzione Rotazione e Traslazione consente la massima flessibilità nel calcolo dell'allineamento, consentendone sia la rotazione che la traslazione.


Solo rotazione

L'opzione Solo rotazione consente di eseguire solo la rotazione durante il calcolo dell'allineamento.


Solo traslazione

L'opzione Solo traslazione consente di eseguire solo la traslazione durante il calcolo dell'allineamento.


Creazione di un allineamento iterativo

Finestra di dialogo Allineamento iterativo

In termini automobilistici, un allineamento iterativo fornisce le coordinate del "corpo".

Selezionando il pulsante Iterativo dalla finestra di dialogo Utility di allineamento (Inserisci | Allineamento | Nuovo) Visualizzazione Mappa dei Percorsi
, in PC-DMIS viene visualizzata la finestra di dialogo Allineamento iterativo. Questa finestra di dialogo consente di creare un allineamento best-fit tridimensionale dei dati misurati in base ai punti nominali (o alle superfici, se disponibili). Per poter utilizzare questa tecnica, è necessario disporre di almeno tre elementi da misurare. Per alcuni tipi di elementi, quali i punti e le linee, le posizioni tridimensionali risultano insufficienti. Se si seleziona uno di questi tipi, è necessario aggiungere ulteriori elementi per fornire dati misurati maggiormente precisi.

  • Il primo insieme di elementi determina l'orientamento dell'asse normale del piano di lavoro corrente, costruendo un piano passante per i baricentri degli elementi. In questa sezione è necessario utilizzare almeno tre elementi (LIVELLO - 3 +).

  • L'insieme successivo di elementi consente di ruotare l'asse del piano di lavoro specificato sugli elementi, creando una linea passante per gli elementi stessi. In questa sezione è necessario utilizzare almeno due elementi (ROTAZIONE - 2 + ).
    se non è stato selezionato alcun elemento, vengono utilizzati il secondo e il terzo elemento a partire dall'ultimo elemento della sezione LIVELLO.

  • L'ultimo insieme consente di traslare l'origine del pezzo in una posizione specifica (ORIGINE - 1 ).
    se non è stato selezionato alcun elemento, verrà utilizzato l'ultimo elemento della sezione LIVELLO per creare un allineamento.

Vedere anche:

Informazioni sugli allineamenti iterativi

Come creare un allineamento iterativo

Descrizione della finestra di dialogo Allineamento iterativo

Error Label Fixture TolerancePoint Target RadiusStart LabelMax IterationsMeasure All AlwaysMeasure All OnceLevelCancel buttonOK buttonClear buttonFeature List boxSelect Last #Search IDRotateOriginSelect button


Informazioni sugli allineamenti iterativi

Per creare correttamente l'allineamento iterativo, leggere in primo luogo le informazioni fornite di seguito. Questi argomenti consentono di comprendere aspetti importanti degli allineamenti iterativi.

Vedere anche:

Formato dei comandi di allineamento iterativo

Regole per l'allineamento iterativo


Formato dei comandi di allineamento iterativo

Il testo della riga di comando nella finestra di modifica per questa opzione è il seguente:
ALLINEAMENTO/ITERAZ,'id_elemento'
, RAGGIO DEST PUNTO=n, ETICHETTA INIZIALE=etichetta, TOLL. FISSAGGIO = n, ETICHETTA ERRORE=etichetta
MIS TUTTI GLI ELEM=NO/SEMPRE/UNA_VOLTA,
MAX ITERAZIONI = n
LIVELLO ASSE=axis, RUOTA ASSE=axis, ORIGINE ASSE=axis
LIVELLO = id , id, id,…
ROTAZ = id, id,…
ORIGIN = id,…

Campi modificabili: "id_elemento"
Sono gli elementi utilizzati per eseguire l'allineamento iterativo. Per eseguire la calibrazione è necessario selezionare almeno tre elementi diversi. Gli elementi che consentono di determinare un asse del datum in più direzioni, ad esempio un cerchio o un'asola, possono essere definiti per più assi del datum. Ad esempio, è possibile utilizzare un cerchio per determinare l'asse del livello e l'asse di rotazione. In genere, è possibile utilizzare i punti misurati (inclusi i punti vettore e superficie) per determinare un solo asse del datum.

RAGGIO DEST PUNTO = Questa opzione consente di definire il valore del raggio di destinazione per gli elementi punto misurati utilizzati nell'allineamento. Vedere "Raggio destinazione punto" per ulteriori informazioni.

ETICHETTA INIZIALE = PC-DMIS inizia la nuova misurazione degli elementi di allineamento a partire dall'etichetta specificata in questo campo. Per garantire la corretta esecuzione di tale operazione, è necessario impostare il comando MIS TUTTI GLI ELEM su SEMPRE. Vedere "Etichetta iniziale" per ulteriori informazioni.

TOLL. FISSAGGIO = Indica la tolleranza utilizzata da PC-DMIS per confrontare gli elementi di allineamento misurati con i relativi valori teorici. Vedere "Tolleranza dell'attrezzatura" per ulteriori informazioni.

ETICHETTA ERRORE = Quando il livello della tolleranza dell'attrezzatura viene superato, PC-DMIS legge l'etichetta specificata in questo campo. Se non è stata definita alcuna etichetta, PC-DMIS genera un messaggio di errore per indicare il livello di errore in ciascun elemento di input. Vedere "Etichetta errore" per ulteriori informazioni.

ASSE LIVELLO= PC-DMIS utilizza gli elementi di input di tipo LIVELLO per definire l'orientamento e l'origine dell'asse specificato in questo campo. Vedere "Livello" per ulteriori informazioni.

RUOTA ASSE = PC-DMIS utilizza gli elementi di input di tipo ROTAZIONE per impostare la rotazione dell'asse specificato in questo campo rispetto all'asse di livello. Inoltre, PC-DMIS imposta anche l'origine dell'asse specificato in questo campo utilizzando gli elementi di input di tipo ROTAZIONE. Vedere "Rotazione" per ulteriori informazioni.

ASSE ORIGINE = PC-DMIS utilizza gli elementi di input di tipo ORIGINE per impostare l'origine dell'asse specificato in questo campo. Vedere "Origine" per ulteriori informazioni.

MIS TUTTI GLI ELEM = Questa opzione consente di determinare se PC-DMIS deve rimisurare gli elementi di input oppure eseguire di nuovo automaticamente una parte del part-program in modalità DCC. Per questa opzione sono disponibili tre impostazioni, che sono:

· NO. Vedere "Raggio destinazione punto" per ulteriori informazioni.

· UNA_VOLTA. Vedere "Misura tutto una volta" per ulteriori informazioni.

· SEMPRE. Vedere "Misura tutto sempre" per ulteriori informazioni.

MAX ITERAZIONI = Questa opzione definisce il massimo numero di iterazioni che verranno eseguite per questo allineamento iterativo.


Regole per l'allineamento iterativo

Sono previste alcune regole generali per l'esecuzione di un allineamento iterativo:

PC-DMIS utilizza sia i valori misurati che i valori teorici per ciascun elemento incluso nell'insieme. I vettori perpendicolari del primo insieme di elementi devono essere approssimativamente paralleli tra loro. L'unica eccezione a questa regola è ammessa quando si utilizzano solo tre elementi nell'insieme.

Se si utilizzano i punti misurati (VETTORE, BORDO o SUPERFICIE), sono necessari tutti e tre gli insiemi di elementi (tre elementi per il livello, due elementi per la rotazione e un elemento per l'origine) per definire l'allineamento. È possibile utilizzare qualsiasi tipo di elemento. Tuttavia, gli elementi tridimensionali sono definiti in modo più accurato e consentono di ottenere una maggiore precisione di allineamento. È possibile utilizzare elementi tridimensionali quali cerchi di elementi automatici, asole, cilindri, sfere o un punto diagonale.

Nota: per i cerchi di elementi automatici, le asole e i cilindri sono necessari almeno tre punti di campionamento.

La difficoltà nell'uso dei punti misurati è rappresentata dal fatto che non è possibile sapere in quale punto verrà effettuata la misurazione fino a quando non viene eseguito l'allineamento. Tuttavia, è necessario misurare i punti prima di eseguire l'allineamento. Gli elementi tridimensionali sono, per definizione relativa a questo uso, elementi che possono essere misurati con precisione la prima volta

Inoltre, se si utilizzano i punti misurati (VETTORI, BORDO o SUPERFICIE), i vettori perpendicolari degli elementi dell'insieme ROTAZIONE devono essere perpendicolari ai vettori degli elementi dell'insieme LIVELLO. Gli elementi dell'insieme ORIGINE devono avere un vettore perpendicolare ad entrambi i vettori degli insiemi LIVELLO e ROTAZIONE.

Se l'insieme comprende dei punti misurati (VETTORI, BORDO o SUPERFICIE) che sono stati presi non sufficientemente vicini alla posizione nominale, potrebbe essere necessario procedere ad una nuova misurazione. PC-DMIS eseguirà l'allineamento best-fit dei dati misurati ai dati nominali. Quindi, verrà verificata la posizione di ciascun punto misurato. Se la distanza è maggiore rispetto al valore specificato nella casella Raggio di destinazione punto, verrà richiesto di eseguire una nuova misurazione del punto. PC-DMIS definisce un'area di tolleranza cilindrica attorno alla posizione teorica di ciascun punto di bordo, vettore o superficie. Il raggio dell'area di tolleranza è rappresentato dalla tolleranza del punto specificata nella relativa finestra di dialogo. PC-DMIS continuerà a misurare i punti fino a quando tutti i punti misurati non rientreranno nella tolleranza specificata. L'area di tolleranza incide solo sui punti misurati.

PC-DMIS dispone inoltre di una speciale funzione che consente di spostare il punto centrale di un'asola lungo un asse. Per questo motivo, non è possibile che un allineamento iterativo sia convergente quando si utilizza un'asola per formare un insieme ORIGINE. È possibile utilizzare un'asola come componente dell'insieme ORIGINE generando un punto a partire dall'asola ed utilizzando tale punto per formare l'insieme ORIGINE.

Si consiglia tuttavia di non utilizzare un'asola in un insieme ORIGINE di un allineamento iterativo.

Tipo di elemento utilizzato | N. minimo di elementi necessari:
Cerchio | 3 cerchi: | Questo metodo utilizza 3 cerchi DCC per l'allineamento.
Linea | Si consiglia di non utilizzare questo tipo di elemento.
Punto | 6 punti: | I punti vengono utilizzati per un allineamento di tipo 3-2-1.
Alloggiamento | Si consiglia di non utilizzare questo tipo di elemento in un insieme ORIGINE.
Sfera | 3 sfere: | Questo metodo utilizza 3 sfere per l'allineamento.


Come creare un allineamento iterativo

Suggerimento: Fare clic su questa icona nella barra degli strumenti della Guida Operatore (Wizards) per accedere alla Creazione guidata allineamento iterativo di PC-DMIS.

Per creare un allineamento iterativo, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Utility di allineamento (Inserisci | Allineamento | Nuovo). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sul pulsante Iterativo. Viene visualizzata la finestra di dialogo Allineamento iterativo che consente di creare l'allineamento best-fit. Vedere "Descrizione della finestra di dialogo Allineamento iterativo" per ulteriori informazioni sulla finestra di dialogo.

  3. Nella casella Elenco elementi, selezionare il primo insieme di elementi (almeno tre elementi) da utilizzare per definire l'orientamento delle assi normali nel piano di lavoro corrente.

  4. Verificare che l'opzione Livello sia selezionata.

  5. Fare clic sul pulsante Seleziona.

  6. Selezionare con il mouse il secondo insieme di elementi (almeno due elementi) da utilizzare nel processo di rotazione.

  7. Verificare che l'opzione Ruota sia selezionata.

  8. Fare clic sul pulsante Seleziona.

  9. Selezionare l'ultimo insieme di elementi (almeno un elemento) che indica la posizione desiderata dell'origine del pezzo. È possibile utilizzare gli stessi elementi in più processi.

  10. Verificare che l'opzione Origine sia selezionata.

  11. Fare clic sul pulsante Seleziona.

  12. Fare clic sul pulsante OK. La finestra di dialogo Allineamento iterativo viene chiusa.

  13. Fare clic sul pulsante OK nella finestra di dialogo Utility di allineamento per completare l'allineamento.

Nota: se si selezionano le opzioni Livello, Rotazione o Originedopo averle già associate ad uno o più elementi, verranno visualizzati gli elementi di input indicati per tale opzione.

Una volta completato questo processo, verrà creato un allineamento best-fit tridimensionale dei dati misurati. Il nuovo allineamento verrà visualizzato nella finestra di visualizzazione grafica e nella finestra di modifica. Vedere "Formato dei comandi di allineamento iterativo".


Descrizione della finestra di dialogo Allineamento iterativo

Di seguito vengono descritti gli elementi inclusi nella finestra di dialogo Allineamento iterativo.

Vedere anche:

Livello

Ruota

Origine

selezione

Misura tutto una volta

Misura tutto sempre

Raggio di destinazione punto

Tolleranza dell'attrezzatura

Max Iterazioni

Etichetta iniziale

Etichetta errore


Livello

È possibile utilizzare l'opzione Livello - 3 dopo aver selezionato almeno tre elementi nella casella Elenco elementi. Questo insieme di elementi consente di definire l'orientamento dell'asse normale del piano di lavoro corrente creando un piano passante per i baricentri degli elementi.

Per definire un livello è necessario utilizzare almeno tre elementi.


Ruota

È possibile utilizzare l'opzione Ruota - 2 dopo aver selezionato almeno due elementi nella casella Elenco elementi. Questo insieme di elementi consente di ruotare l'asse definito del piano di lavoro sugli elementi, creando una linea passante per gli elementi stessi.

Per eseguire una rotazione è necessario utilizzare almeno due elementi.

Nota: Se non è stato selezionato alcun elemento, l'allineamento utilizzerà gli elementi dalla sezione LIVELLO. (Vengono utilizzati il secondo e il terzo elemento a partire dall'ultimo elemento della sezione LIVELLO).


Origine

È possibile selezionare l'opzione Origine - 1 dopo aver selezionato un elemento nella casella Elenco elementi. Questo insieme di elementi consente di traslare, ossia spostare, l'origine del pezzo in una posizione specificata.

È necessario utilizzare un elemento per impostare l'origine.

Nota: se non è stato selezionato alcun elemento, verrà utilizzato l'ultimo elemento della sezione LIVELLO per creare un allineamento.


selezione

Il pulsante Selezionaconsente di utilizzare gli elementi selezionati nella casella Elenco elementi per eseguire il livellamento, la rotazione e la traslazione (o spostamento) all'origine di un allineamento iterativo.


Misura tutto una volta

Se si seleziona la casella di controllo Misura tutto una volta,

  • PC-DMIS misurerà nuovamente tutti gli elementi di input almeno una volta in modalità DCC.

  • Gli elementi verranno misurati in base all'ordine specificato mediante il comando di allineamento iterativo nella finestra di modifica.

  • Verrà visualizzata una finestra di messaggio per indicare il successivo elemento sottoposto a misurazione.

  • Prima di accettare lo spostamento, accertarsi che il tastatore sia in grado di raggiungere gli elementi indicati senza entrare in collisione con il pezzo.

  • Gli spostamenti memorizzati rilevati prima o dopo ciascun elemento non saranno eseguiti.

  • Dopo aver eseguito almeno una misurazione di tutti gli elementi, verranno nuovamente misurati i tipi di elemento punto misurati e i punti esterni al Raggio di destinazione punto (vedere "Raggio di destinazione punto").

Nota:se è attiva questa modalità, i cerchi verranno misurati solo una volta in quanto la loro posizione non cambia mai.


Misura tutto sempre

Se si seleziona la casella di controllo Misura tutto sempre, PC-DMIS eseguirà nuovamente una parte del part-program corrente almeno una volta in modalità DCC. La parte di part-program eseguita di nuovo dipende dall'Etichetta iniziale (vedere "Etichetta iniziale")

Se è stata specificata un'etichetta iniziale,

  • il part-program verrà nuovamente eseguito a partire dall'etichetta definita fino al comando ALLINEAMENTO/INIZIO contenente il comando di allineamento iterativo attualmente in esecuzione.

Se non è stata specificata alcuna etichetta iniziale,

  • il part-program verrà nuovamente eseguito a partire dal primo elemento misurato nel programma utilizzato dal comando di allineamento iterativo.

  • Se il primo elemento è preceduto da movimenti puntuali memorizzati, PC-DMIS eseguirà anche questi elementi puntuali.

  • L'esecuzione del part-program verrà terminata una volta raggiunto l'ultimo elemento misurato utilizzato dal comando di allineamento iterativo.

  • Gli eventuali movimenti memorizzati dopo questo comando non verranno eseguiti.

Al termine della seconda esecuzione, PC-DMIS ricalcolerà l'allineamento e verificherà che tutti i punti di input misurati siano compresi nel raggio di tolleranza specificato in base al valore del Raggio di tolleranza punto.

  • Se l'esito della verifica è positivo, l'esecuzione verrà interrotta e PC-DMIS considererà completato il comando di allineamento iterativo.

  • Se vengono rilevati dei punti esterni all'area di destinazione, verrà nuovamente eseguita la parte del part-program appropriata, come descritto in precedenza.


Raggio di destinazione punto

La casella Raggio di destinazione punto consente di specificare la tolleranza del raggio di destinazione per gli elementi punto misurati utilizzati come input nell'allineamento. Sono disponibili i seguenti punti di input misurati:

  • MIS/PUNTO

  • AUTO/VETTORE

  • AUTO/BORDO

  • AUTO/SUPERFICIE

  • AUTO/ANGOLO

Benché sia possibile individuare facilmente il punto in cui eseguire la misurazione di un cerchio su un pezzo, la determinazione della posizione esatta per la misurazione di un punto sulla superficie è un'operazione particolarmente complessa. In assenza di indicatori visivi che evidenziano la posizione esatta in cui misurare il punto, è molto difficile individuare il punto esatto in cui eseguire la misurazione. Il Raggio di destinazione punto consente di specificare un'area di tolleranza immaginaria, o area di destinazione, tracciata attorno a ciascun punto in base alla dimensione del raggio. In questo modo è possibile effettuare il contatto in qualsiasi punto all'interno della tolleranza specificata. Se il punto misurato non si trova all'interno dell'area, PC-DMIS procederà ad una nuova misurazione in modalità DCC.

PC-DMIS tenterà di misurare nuovamente gli elementi di input in base alle caselle di controllo selezionate nella finestra di dialogo Allineamento iterativo (Vedere "Misura tutto una volta" e "Misura tutto sempre").

Se le due caselle di controllo Misura tutto sempreo Misura tutto una volta non sono selezionate (oppure se è stata manualmente impostata l'opzione MIS TUTTI GLI ELEM=NO nella finestra di modifica),

  • PC-DMIS adatterà i datum e verificherà se uno o più punti di input misurati si trovano all'esterno dell'area di destinazione indicata. In questo caso, verranno misurati nuovamente solo gli elementi interessati in modalità DCC.

  • Verrà visualizzata una finestra di dialogo per indicare il successivo elemento sottoposto a misurazione. In questo modo, è possibile accertarsi che il tastatore sia in grado di raggiungere l'elemento desiderato senza entrare in collisione con il pezzo.

  • PC-DMIS considererà completato il comando di allineamento iterativo soltanto dopo aver verificato che tutti gli elementi punto si trovano all'interno dell'area di destinazione.

  • Se vengono rilevati degli elementi punto all'esterno delle rispettive aree di destinazione, PC-DMIS continuerà ad eseguirne la misurazione fino a quando l'esito della verifica non sarà completamente positivo.

Nota: non impostare un valore eccessivamente basso per il vettore Raggio di destinazione punto (ad esempio, 50 micron). Molte macchine CMM non sono in grado di posizionare il tastatore con sufficiente precisione da toccare ciascun punto misurato in un'area di destinazione di dimensioni estremamente ridotte. È preferibile definire una tolleranza maggiore, ad esempio 0,5 millimetri. Se la misurazione continua ad essere eseguita ciclicamente, è necessario incrementare tale valore.


Tolleranza dell'attrezzatura

La casella Tolleranza dell'attrezzatura consente di specificare un valore per la tolleranza di adattamento utilizzato da PC-DMIS per confrontare gli elementi dell'allineamento iterativo con i relativi valori teorici.

Se, dopo aver adeguato i valori di misurazione ai valori teorici, uno o più elementi di input presentano un livello di errore lungo l'asse del datum associato superiore al valore di tolleranza specificato, PC-DMIS legge automaticamente l'etichetta errore, se disponibile. Vedere "Etichetta errore".

Se non è stata specificata alcuna etichetta errore, PC-DMIS visualizza un messaggio per indicare gli errori lungo ciascun datum. A questo punto, è possibile accettare il datum senza ulteriori modifiche e continuare l'esecuzione della parte rimanente del part program oppure annullare l'esecuzione del part program.

PC-DMIS può utilizzare la tolleranza dell'attrezzatura solo se per creare l’elemento è stato utilizzato un numero di punti maggiore del numero minimo richiesto. Per esempio, se si misura un piano, il numero minimo di punti necessari é di solito tre. Tuttavia, volendo usare il valore di tolleranza, occorrono al minimo quattro punti. Con soli tre punti esiste una sola soluzione, quindi non sono possibili iterazioni o correzioni.


Max Iterazioni

Ciò determina il massimo numero di ripetizioni che PC-DMIS esegue durante la creazione di un allineamento iterativo.


Etichetta iniziale

La casella Etichetta iniziale consente di definire un'etichetta che verrà letta da PC-DMIS durante l'esecuzione di una nuova misurazione degli elementi dell'allineamento iterativo, a condizione che sia stata selezionata la casella di controllo Misura tutto sempre.

  • La nuova misurazione verrà eseguita in modalità DCC, a partire dall'etichetta specificata fino al comando ALLINEAMENTO/INIZIO (che precede il comando ALLINEAMENTO/ITERAZ.). Si consiglia di utilizzare sempre questa procedura per ottimizzare le prestazioni del prodotto.

Se non è stata definita alcuna etichetta iniziale,

  • PC-DMIS inizia la misurazione DCC dall'elemento iniziale dell'allineamento iterativo, inclusi tutti i movimenti che precedono tale elemento.

  • I comandi del part program verranno nuovamente eseguiti fino a raggiungere l'ultimo elemento dell'allineamento iterativo. Gli eventuali movimenti successivi all'elemento finale non verranno eseguiti.

Per creare un'etichetta, vedere "Creazione di etichette" nella sezione "Esecuzione della diramazione" .


Etichetta errore

La casella Etichetta errore consente di definire un'etichetta che verrà letta da PC-DMIS quando il livello di errore relativo al datum per ciascun elemento di input supera il livello di tolleranza dell'attrezzatura definito nella casella Tolleranza attrezzatura.

Nota: se si specifica un numero minimo di input per ciascun asse del datum (tre per il datum livello, due per il datum Rotazione e uno per il datum origine), PC-DMIS è in grado di adeguare il valore di misurazione degli elementi di input ai relativi valori teorici senza errori. In questo caso non è necessario utilizzare la tolleranza dell'attrezzatura. Se si specifica un numero di input superiore al valore minimo per ciascun datum definito, potrebbero verificarsi errori del pezzo o dell'attrezzatura tali da rendere impossibile l'adeguamento dei valori di misurazione ai valori teorici con un livello di errore inferiore alla tolleranza dell'attrezzatura indicata.

Se non è stata definita alcuna etichetta errore, PC-DMIS genera un messaggio di errore per indicare il livello di errore in ciascun elemento datum. A questo punto, è possibile accettare il datum senza ulteriori modifiche e continuare l'esecuzione oppure annullare l'operazione.

Per creare un'etichetta, vedere "Creazione di etichette" nella sezione "Esecuzione della diramazione" .


Salvataggio di un allineamento

Finestra di dialogo Salva allineamento

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Allineamento | Salva consente di salvare l'allineamento corrente in un file esterno che può essere richiamato da un altro part program. Negli argomenti riportati di seguito viene descritta la finestra di dialogo Salva allineamento e vengono fornite informazioni su come salvare l'allineamento per consentirne l'utilizzo in altri part program.

Vedere anche:

Come salvare un allineamento

Descrizione della finestra di dialogo Salva allineamento

UnitsAlignment NameDirectoriesDrivesList Files of TypeFile Name


Come salvare un allineamento

È necessario salvare l'allineamento, utilizzando la seguente procedura, solo se l'allineamento sarà richiamato in un part-program diverso. Tutti gli allineamenti vengono automaticamente salvati quando vengono utilizzati in un part-program.

Per salvare un allineamento, effettuare le seguenti operazioni:

  1. Selezionare Inserisci | Allineamento | Salva . Viene visualizzata la finestra di dialogo Salva allineamento. Visualizza Mappa Percorsi dei Menu

  2. Digitare il nome di un allineamento composto da un massimo di 10 caratteri nella casella Nome file.

  3. Selezionare l'opzione Pollici o Millimetri per salvare l'allineamento nella relativa unità di misura. Viene automaticamente impostata come unità di misura predefinita la stessa unità di misura utilizzata dal part-program per il quale è stato creato l'allineamento. Per utilizzare un allineamento in un part-program differente, non è necessario che l'unità di misura dell'allineamento sia stata salvata con lo stesso tipo di unità di misura del nuovo part-program. L'allineamento viene automaticamente convertito nella stessa unità di misura del nuovo part-program. Vedere "Richiama").

  4. Fare clic sul pulsante OK.

Se non si specifica un nome per l'ID dell'allineamento, PC-DMIS duplicherà automaticamente il nome del file per consentirne il salvataggio in un'altra directory. L'allineamento può essere salvato in qualsiasi directory. Tuttavia, affinché sia possibile visualizzarlo, è necessario salvarlo nella stessa directory del part-program.

La riga di comando della finestra di modifica per questa opzione è la seguente:
SALVA /ALLINEAMENTO,nome_allineamento,nome_file, ALTER1

ALTER1
Questo campo consente di passare da ENTRAMBI e MACCH_A_PEZZI. Selezionare ENTRAMBI per memorizzare le matrici di trasformazione dalla macchina ai pezzi e da CAD ai pezzi. Selezionare MACCH_A_PEZZI per memorizzare soltanto la trasformazione dalla macchina ai pezzi.


Modifica del comando Salva/Allineamento

È possibile modificare la riga di comando in una diversa finestra di dialogo Salva allineamento posizionando il mouse nel comando SALVA/ALLINEAMENTO e premendo il tasto F9.

Finestra di dialogo Salva allineamento

La finestra di dialogo Salva allineamento consente di creare nuovi nomi file per l'allineamento salvato. È sufficiente selezionare l'allineamento dall'elenco, modificare il nome file nella casella Nome file e fare clic su OK. PC-DMIS crea un nuovo nome file in base al precedente nome file modificato e apporta la modifica nel comando SALVA/ALLINEAMENTO della finestra di modifica.

Le caselle di controllo Mostra directory radicee Mostra directory di lavoro non possono essere modificate in questa finestra di dialogo in quanto riflettono semplicemente le impostazioni nella finestra di dialogo Percorso di ricerca per il caricamento degli allineamenti. È possibile modificare queste caselle di controllo effettuando le operazioni descritte in "Definizione delle directory esterne in cui eseguire la ricerca" nella sezione "Impostazione delle preferenze" .

Se si seleziona la casella di controllo Mostra directory di lavoro nell'elenco degli allineamenti verranno visualizzati tutti i file .aln nella directory di lavoro come riportato di seguito:

WORK\nomefile1.aln

WORK\nomefile2.aln

WORK\nomefile3.aln

Se si seleziona Mostra directory radice, verranno visualizzati tutti i file .aln nella directory radice come riportato di seguito:

ROOT\nomefile1.aln

ROOT\nomefile2.aln

ROOT\nomefile3.aln


Descrizione della finestra di dialogo Salva allineamento

Nei seguenti argomenti vengono descritti gli elementi utilizzati nella finestra di dialogo Salva allineamento.

Vedere anche:

Nome file

Directory

Tipo file

Unità

Nome allineamento

Unità


Nome file

La casella Nome file consente di assegnare un nome al file all'allineamento da salvare.


Directory

La struttura delle directory consente di accedere alla directory nella quale si desidera salvare l'allineamento.


Tipo file

Nell'elenco a discesa Tipo file vengono visualizzati tutti i file presenti nella directory corrente in base a un determinato tipo di file. Il tipo di file predefinito è *.aln. In base a questa impostazione, solo i file di allineamento (ovvero, i file con estensione *.aln) vengono visualizzati nell'elenco.


Unità

L'elenco a discesa Unità consente di definire l'unità disco rigido o floppy sulla quale viene salvato l'allineamento.


Nome allineamento

Nella casella Nome Allineamento viene visualizzato l'ID di allineamento da salvare.

Se l'ID dell'allineamento non viene specificato, PC-DMIS duplicherà automaticamente il nome del file per consentirne il salvataggio in un'altra directory. L'ID dell'allineamento può essere salvato in qualsiasi directory. Tuttavia, affinché sia possibile visualizzarlo, è necessario salvarlo nella stessa directory del part-program.

Utilizzare questa opzione solo se l'allineamento verrà richiamato in un part-program differente. Tutti gli allineamenti vengono automaticamente salvati quando vengono utilizzati in un part-program.


Unità

Le opzioni Pollici o Millimetri nell'area Unità consentono di determinare l'unità di misura da utilizzare per il salvataggio dell'allineamento: pollici o millimetri.


Richiamo di un allineamento esistente

Il blocco di allineamento rappresenta le stringhe di testo che definiscono l'allineamento nella finestra di modifica. Il blocco inizia con il comando ALLINEAMENTO/INIZIAe termina con il comando ALLINEAMENTO/FINE.

L'opzione di menu Inserisci | Allineamento | Richiama consente di richiamare un allineamento precedentemente creato nel programma corrente (allineamento interno) o salvato da un altro programma (allineamento esterno).

Visualizza Mappa Percorsi dei Menu

Questo comando può essere inserito soltanto all'esterno di un blocco di allineamento.

Nota: Il pulsante Richiama della finestra di dialogo Utility di allineamento consente anche di richiamare un allineamento esistente ma permette di richiamare solo allineamenti precedentemente creati in quel part program (allineamenti interni).

Affinché sia possibile richiamare un allineamento in un altro part program, è necessario che l'allineamento sia stato precedentemente salvato utilizzando l'opzione di menu Inserisci | Allineamento | Salva . Vedere "Salvataggio di un allineamento" Visualizza Mappa Percorsi dei Menu

Se l'allineamento richiamato è stato salvato utilizzando delle unità di misura diverse rispetto a quelle utilizzate per il part-program corrente, esse verranno convertite automaticamente nelle unità di misura del part-program corrente.

Vedere anche:

Come richiamare un allineamento


Come richiamare un allineamento

Per richiamare un allineamento, effettuare le seguenti operazioni:

  1. Accedere all'opzione di menu Inserisci | Allineamento | Richiama (oppure aprire la finestra di dialogo Utility di allineamento e fare clic sul pulsante Richiama). Viene visualizzata la finestra Seleziona allineamento. Visualizza Mappa Percorsi dei Menu

  2. Inserire l'ID dell'allineamento salvato di almeno 15 caratteri oppure utilizzare l'elenco a discesa per selezionare l'allineamento desiderato.

  3. Fare clic sul pulsante OK. PC-DMIS inserisce il comando RICHIAMA/ALLINEAMENTO nella finestra di modifica.

Vedere anche:

Formato della riga di comando Richiama allineamento


Formato della riga di comando Richiama allineamento

La riga di comando della finestra di modifica per questa opzione è la seguente:

RICHIAMA/ALLINEAMENTO, INTERNO, 'id_allineamento'

RICHIAMA/ALLINEAMENTO, ESTERNO, 'id_allineamento',

NOME_FILE:'id_allineamento'

Codice utilizzato per richiamare un allineamento interno…

RICHIAMA/ALLINEAMENTO, INTERNO, 'id_allineamento'

id_allineamento
Rappresenta l'allineamento interno che verrà richiamato dal part-program corrente. PC-DMIS dovrà richiamare l'ID dell'allineamento specificato prima di eseguire gli altri comandi di allineamento. Per questo comando non è necessario specificare i comandi della finestra di modifica ALLINEAMENTO/INIZIA o ALLINEAMENTO/FINE.

Codice utilizzato per richiamare un allineamento esterno…

RICHIAMA/ALLINEAMENTO, ESTERNO, 'id_allineamento',NOME_FILE:'id_allin'

id_allineamento
Rappresenta l'allineamento esterno che verrà richiamato da un part-program diverso da quello corrente. PC-DMIS dovrà richiamare l'ID dell'allineamento specificato prima di eseguire gli altri comandi di allineamento. Per questo comando non è necessario specificare i comandi della finestra di modifica ALLINEAMENTO/INIZIA o ALLINEAMENTO/FINE.

NOME_FILE:
É il nome del file .aln usato per l’allineamento esterno salvato.


Uso dell’allineamento all’interno di un loop

PC-DMIS 3.6 e versioni successive facilitano la modifica dell'allineamento in un part-program in cui viene utilizzato il loop o la diramazione condizionale tramite la parola chiave USE_ACTIVE_ALIGNMENT.

Se si osserva la linea di comando ALIGNMENT/START in modalità Comando, si vedrà che il campo immediatamente successivo al testo RICHIAMA indica al programma di utilizzare prima un allineamento iniziale memorizzato. Nell'esempio che segue, l’allineamento D_1 inizia con l’allineamento D_0, quindi esegue una rotazione di 45 gradi intorno a Z+:

D_1 =ALLINEAMENTO/INIZIO,RICHIAMA:D_0, ELENCO= SÍ
ALLINEAMENTO/ROTAZ_OFFSET,45.0,INTORNO A,Z+
ALLINEAMENTO/FINE

Tuttavia, se si utilizza la parola chiave USE_ACTIVE_ALIGNMENT, è possibile che PC-DMIS ruoti di 45 gradi dall'allineamento attivo:

D_1 =ALLINEAMENTO/INIZIO,RICHIAMA:USE_ACTIVE_ALIGNMENT, ELENCO=SÍ
ALLINEAMENTO/ROTAZ_OFFSET,45.0,INTORNO A,Z+
ALLINEAMENTO/FINE

Quando si utilizza questa parola chiave per eseguire l'allineamento in un loop:

  • Alla prima esecuzione del loop l'allineamento attivo sarà l'ultimo allineamento eseguito prima del loop.

  • Nelle esecuzioni successive del loop, l’allineamento attivo sará uguale a se stesso e ruoterá ogni volta di 45 gradi rispetto al loop precedente.

Quando si utilizza la parola chiave USE_ACTIVE_ALIGNMENT, è opportuno deselezionare la casella di controllo Ripristina impostazioni globali in fase di diramazione e selezionare la casella di controllo Tratta i valori Teorici come memorizzati in coordinate pezzo dalla finestra di dialogo Opzioni di impostazione, scheda Generale. Visualizzazione Mappa dei Percorsi
Vedere la sezione "Impostazione delle preferenze" per informazioni sulla scelta delle preferenze.

Per informazioni sui loop, vedere l'argomento "Creazione di Loop Generici" nella sezione " Diramazione con uso del Controllo del Flusso" .


Definizione di un allineamento come equivalente

Finestra di dialogo Allineamento equivalente

Visualizza Mappa Percorsi dei Menu

L'opzione Inserisci | Allineamento | Equivalente consente di rendere equivalenti due allineamenti. Questa operazione consente di effettuare le seguenti operazioni:

  • Modificare la posizione o l'orientamento di un pezzo mantenendo le precedenti informazioni relative alla dimensione.

  • Eseguire un nuovo allineamento del pezzo e salvare i dati precedentemente misurati se il pezzo viene accidentalmente spostato durante il processo di ispezione.

Nota: Per eseguire correttamente la funzione Allineamento equivalente, gli elementi a cui si fa riferimento nel nuovo allineamento devono essere misurati dopo lo spostamento del pezzo. Inoltre, è necessario creare il riferimento per tutti gli elementi nel nuovo allineamento in un solo blocco di allineamento.

Vedere anche:

Come modificare la posizione e l'orientamento di un pezzo

Descrizione della finestra di dialogo Allineamento equivalente


Come modificare la posizione e l'orientamento di un pezzo

Ad esempio, per misurare una dimensione che fa riferimento ad elementi che si trovano su entrambi i lati del pezzo e non sono accessibili da un unico orientamento del pezzo, effettuare le seguenti operazioni:

  1. Misurare gli elementi dell'allineamento sul primo lato del pezzo.

  2. Creare l'allineamento originale.

  3. Misurare tutti gli elementi necessari raggiungibili dal primo orientamento del pezzo.

  4. Spostare il pezzo nella nuova posizione.

  5. Misurare i nuovi elementi dell'allineamento. L'origine deve essere la stessa e l'asse deve essere orientato nella stessa direzione dell'asse dell'allineamento in base al quale viene creato l'allineamento equivalente. Per comprendere il funzionamento di questa opzione, si immagini che l'origine e le frecce degli assi' siano state fissate al pezzo prima dello spostamento. Il nuovo allineamento assegna all'origine e alle frecce degli assi' la stessa posizione rispetto al pezzo.

  6. Selezionare l'opzione di menu Inserisci | Allineamento | Equivalente . Viene visualizzata la finestra di dialogo Allineamento equivalente. Visualizza Mappa Percorsi dei Menu

  7. Nell'elenco Allineamento originale equivalente, selezionare l'allineamento originale.

  8. Nell'elenco Con nuovo allineamento, selezionare il nuovo allineamento.

  9. Fare clic sul pulsante OK. Il modello CAD non si muoverà rispetto agli assi dell'allineamento ma i valori misurati si muoveranno quando verrà eseguito l'allineamento equivalente.


Come eseguire il recupero dopo lo spostamento accidentale di un pezzo

Se un pezzo è stato spostato accidentalmente, effettuare le seguenti operazioni:

  1. Selezionare l'opzione di menu Inserisci | Allineamento | Equivalente . Visualizza Mappa Percorsi dei Menu

  2. Inserire l'ID dell'allineamento del quale si desidera eseguire una nuova misurazione come primo e secondo ID.

  3. Misurare nuovamente gli elementi dell'allineamento. Una volta completata questa operazione, tutte le informazioni relative alla dimensione e agli elementi verranno traslate nella nuova posizione del pezzo. Il modello CAD non si muoverà rispetto agli assi dell'allineamento ma i valori misurati si muoveranno quando verrà eseguito l'allineamento equivalente.

Se si utilizza questo comando per rendere lo stesso allineamento equivalente in un part program , PC-DMIS non visualizzerà la riga di comando nella finestra di modifica.

Nella finestra di modifica verrà visualizzata una riga di comando solo se vengono selezionati due allineamenti differenti. È possibile utilizzare un allineamento esterno se questo è diverso rispetto all'allineamento reso equivalente. Per richiamare un allineamento esterno, utilizzare il comando RICHIAMA/ALLINEAMENTO, ESTERNO prima di visualizzarlo.

Nella riga di comando della finestra di modifica relativa a questa opzione viene riportato:
UGUAGLIA/"nome"A ALLINEAMENTO,"nome_allineamento"


Descrizione della finestra di dialogo Allineamento equivalente

Nei seguenti argomenti vengono descritti gli elementi utilizzati nella finestra di dialogo Allineamento equivalente.

Vedere anche:

Allineamento Originale Equivalente

Con allineamento


Allineamento Originale Equivalente

La casella di riepilogo Allineamento equivalente consente di selezionare l'allineamento originale che si desidera rendere equivalente. È un allineamento creato in precedenza che si desidera rendere equivalente a un nuovo allineamento esistente.


Con allineamento

L'elenco a discesa Con Nuovo Allineamentoconsente di selezionare l'allineamento in base al quale rendere equivalente un allineamento. Si tratta del nuovo allineamento al quale viene reso equivalente l'allineamento creato originariamente.


Definizione dei dati CAD come equivalenti ai dati del pezzo misurati

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di Visualizzazione grafica | CAD equivalente a pezzo (o il pulsante CAD = Pezzo nella finestra di dialogo Utility di allineamento) collega i dati CAD ai dati misurati. ed è disponibile soltanto dopo che un allineamento creato ha posizionato l'origine o l'orientamento del pezzo in corrispondenza dell'origine o dell'orientamento CAD. In PC-DMIS l'opzione CAD_EQUIVALENTE_A_PEZZO è disponibile in due diverse aree (vedere anche "CAD equivalente a pezzo" nell'opzione Allineamento). Selezionando questa opzione, i dati misurati verranno visualizzati sopra i dati CAD. I dati CAD verranno inoltre utilizzati per l'ispezione del pezzo.

Quando si utilizza l'opzione CAD equivalente a pezzo in un part program , l'opzione di menu CAD equivalente a pezzo è selezionata.


Esecuzione di un'operazione di progressione a salti

Finestra di dialogo Progressione a salti/Riposizionamento

Finestra di dialogo Progressione a salti/Riposizionamento

Leapfrog é disponibile per alcuni sistemi portatili, come FARO, ROMER, Garda, e GOM. Anche la chiave hardware (portlock) deve essere programmata in modo da supportare la macchina portatile.

L'opzione di menu Inserisci | Allineamento | Progressione a salti consente di visualizzare la finestra di dialogo Progressione a salti/Riposizionamento.

Visualizza Mappa Percorsi dei Menu

Questa finestra di dialogo consente di spostare la macchina CMM portatile per misurare i pezzi di dimensioni eccessive per la macchina CMM. Tuttavia, le misurazioni effettuate utilizzando questo metodo potrebbero non essere particolarmente precise.

Quando si utilizza questo metodo, viene misurata una serie di elementi, quindi la macchina viene spostata e viene eseguita una nuova misurazione degli stessi elementi nello stesso ordine. Viene così creata una trasformazione e la macchina esegue la misurazione in base allo stesso sistema di coordinate valido prima dello spostamento.

La trasformazione è indipendente da tutti i part-program ed incide sulle modalità di creazione dei rapporto in PC-DMIS. Per rimuovere una trasformazione di progressione a salti già utilizzata, è necessario ripristinare la progressione a salti selezionando il pulsante Ripristina della finestra di dialogo.

Se si seleziona il pulsante Accetta, nella finestra di modifica viene inserito un comando relativo alla progressione a salti.

La riga di comando della finestra di modifica è la seguente:
PROG_SALTI/ALTER1, NUM, ALTER2

ALTER1: Il primo parametro del comando PROG_SALTI è un campo di modifica correlato ai tre tipi disponibili nella sezione Misura 3 della finestra di dialogo. Sono disponibili i seguenti tipi:

  1. SFERE

  2. Insiemi di punti (indicati dal parametro INSPUNTI)

  3. PUNTI

  4. DATUM

Per questo parametro è disponibile anche il valore OFF. Se si utilizza questo valore, gli altri due parametri non vengono visualizzati. Il valore OFF disattiva la traslazione con progressione a salti.

NUM: Il secondo parametro del comando PROG_SALTI indica il numero di punti da prendere. Il valore di questo parametro corrisponde al valore inserito nella casella Punti della finestra di modifica Progressione a salti.

ALTER2: L'ultimo parametro del comando PROG_SALTI è un campo che consente di attivare la progressione a salti completa (TOT) o parziale (PARZIALE). Questo parametro corrisponde alle opzioni Completa e Parziale della finestra di dialogo. Quando si esegue questo comando, viene richiesto di prendere i punti necessari; al termine di questa operazione, sarà possibile eseguire una traslazione con progressione a salti.

Vedere anche:

Opzioni di misurazione

Numero Punti

File di programma datum

Elenchi Disponibili e Utilizzati

Misura selezionati

Misura tutti

Area dei risultati

Ripristina

OK


Opzioni di misurazione

I pulsanti di opzione di misurazione disponibili consentono di selezionare il metodo da utilizzare per eseguire il confronto di traslazione.

  • L'opzione Misura 3 Sfere indica a PC-DMIS di utilizzare le sfere come elementi per il confronto della traslazione. Con questo metodo viene utilizzato il centro di ciascuna sfera misurata.

  • L'opzione Misura 3 Insieme di punti indica a PC-DMIS di utilizzare il baricentro di un insieme di punti. È consigliabile utilizzare la parte inferiore di un cono rovesciato con un tastatore rigido. Oltre ad essere più rapido, questo metodo consente di ottenere una maggiore precisione rispetto all'uso delle sfere.

  • L'opzione Misura 3 Punti indica a PC-DMIS di utilizzare solo tre punti ed è il meno preciso dei tre metodi.

  • L'opzione Misura elementi datum indica a PC-DMIS di utilizzare gli elementi datum esistenti da un part program di propria scelta.


Numero Punti

La casella Numero di Punti consente di specificare il numero di punti da utilizzare per ciascun elemento. Questa casella non è disponibile quando si utilizza il metodo dei punti.


File di programma datum

In questa area è possibile specificare il file di programma da utilizzare come file di programma datum. Per attivare questa casella, fare clic sul pulsante di opzione Misura elementi datum. È possibile digitare il percorso completo del file .PRG (part program) oppure utilizzare il pulsante Sfoglia per navigare nella struttura di directory e selezionare un percorso.

Una volta selezionato un file, gli elementi disponibili per l'utilizzo nell'operazione progressione a salti vengono visualizzati nell'elenco Disponibili.


Elenchi Disponibili e Utilizzati

Elenchi Disponibili e Utilizzati

Elenchi Disponibili e Utilizzati

Negli elenchi Disponibili e Utilizzati vengono visualizzati, rispettivamente, gli elementi del datum disponibili per l'utilizzo o gli elementi del datum scelti per l'utilizzo nell'operazione di progressione a salti.

Elenco Disponibili

Quando si seleziona un file di programma da utilizzare nell'area File programma datum, gli elementi disponibili da quel file di programma vengono visualizzati nell'elenco Disponibili. È possibile quindi assegnare gli elementi all'operazione di progressione a salti corrente selezionandoli e facendo clic sul pulsante >>>.

Elenco Utilizzati

Gli elementi assegnati visualizzati nell'elenco Utilizzati saranno misurati facendo clic sul pulsante Misura selezionati o Misura tutti nell'ordine in cui sono visualizzati nell'elenco Utilizzati. È possibile rimuoverli dall'elenco Utilizzati facendo clic sul pulsante <<<. Per modificare l'ordine di esecuzione degli elementi, selezionare un elemento e fare clic sui pulsanti della freccia verso l'alto o verso il basso.


Misura selezionati

Il pulsante Misura selezionati è disponibile solo quando si utilizzano gli elementi datum. Consente di misurare gli elementi selezionati dall'elenco Utilizzati. PC-DMIS utilizzerà tali elementi nell'operazione di progressione a salti. Selezionando questo pulsante, PC-DMIS visualizzerà la finestra di dialogo Opzioni modalità di esecuzione in cui viene richiesto di misurare gli elementi selezionati solo dopo lo spostamento della CMM, e non prima.

Nella casella dei risultati verrà visualizzata la distanza 3D tra gli elementi, rilevata prima e dopo lo spostamento della macchina CMM. Se non si è ottenuta una misurazione sufficientemente precisa, è possibile eseguire una nuova misurazione dell'ultimo insieme di elementi. Il testo del pulsante sarà quindi: Rimisura.

Nota: se anche in questo caso non si è ottenuta una misurazione sufficientemente precisa, è necessario ripristinare la progressione a salti ed iniziare nuovamente la procedura. Questo problema può verificarsi frequentemente nei sistemi di progressione a salti.


Misura tutti

Il pulsante Misura tutti consente di visualizzare la finestra di dialogo Opzioni modalità di esecuzione.

  • Se si utilizza Misura 3 Sfere, Misura 3 Insiemi di Punti o Misura 3 Punti, in questa finestra di dialogo verrà richiesto prima di misurare i tre elementi, quindi di spostare la CMM. Dopo aver spostato la macchina, verrà richiesto di eseguire una nuova misurazione degli stessi elementi nello stesso ordine.

  • Se si utilizza Misura elementi datum, in questa finestra di dialogo verrà prima richiesto di misurare tutti gli elementi datum nell'elenco Utilizzati, quindi di spostare la macchina CMM. Dopo aver spostato la macchina, verrà richiesto di eseguire una nuova misurazione degli stessi elementi nello stesso ordine.

Nella casella dei risultati verrà visualizzata la distanza 3D tra gli elementi, rilevata prima e dopo lo spostamento della macchina CMM. Se non si è ottenuta una misurazione sufficientemente precisa, è possibile eseguire una nuova misurazione dell'ultimo insieme di elementi. Il testo del pulsante sarà quindi: Rimisura.

Nota: se anche in questo caso non si è ottenuta una misurazione sufficientemente precisa, è necessario ripristinare la progressione a salti ed iniziare nuovamente la procedura. Questo problema può verificarsi frequentemente nei sistemi di progressione a salti.


Casella Risultati

Area dei risultati

Area dei risultati

Area dei risultati

Nell'area Risultati vengono riportate le deviazioni tra la prima posizione della macchina e le posizioni successive visualizzando la distanza tridimensionale tra gli elementi rilevati prima dello spostamento e dopo lo spostamento della CMM.


Ripristina

Il pulsante Ripristina consente di rimuovere le traslazioni aggiungendo il comando PROG_SALTI/OFF alla finestra di modifica.


OK

Una volta riempita la finestra di dialogo Progressione a salti/Riposizionamento, è necessario fare clic sul pulsante OK per poter utilizzare la trasformazione della progressione a salti. Facendo clic su OK, il comando PROG_SALTI sarà aggiunto al part-program . Se la finestra di dialogo viene chiusa non selezionando il pulsante Accetta ma facendo clic sulla X nell'angolo in alto a destra, la traslazione della progressione a salti creata andrà persa.


Modifica dei valori nominali dell’allineamento

Modificando i valori teorici di un elemento di un allineamento in modalitá esecuzione, PC-DMIS modifica l'allineamento CAD equivalente a Pezzo. Ciò significa che gli elementi del part program posti dopo l’allineamento e misurati rispetto agli elementi dell’allineamento stesso, risultano spostati di una quantità pari ai valori teorici modificati.

Se si seleziona la casella di controllo Ignora CAD equivalente a pezzo dalla finestra di dialogo Opzioni impostazione, l'allineamento CAD equivalente a pezzo non viene modificato quando vengono modificati i valori teorici dell'elemento dell'allineamento. Gli elementi che seguono l’allineamento vengono quindi misurati nella stessa posizione. Vedere "Ignora CAD equivalente a pezzo" nella sezione "Impostazione preferenze" .

Nota: Non è possibile utilizzare la funzione Ignora CAD equivalente a pezzose si utilizza la posizione reale nel part program.

È anche possibile controllare il modo in cui in PC-DMIS vengono gestiti i valori nominali dell'elemento quando si aggiornano i valori teorici dell'allineamento utilizzando la voce UpdateBelowChangedAlignmentDuringExecution nell'Editor di Configurazione di PC-DMIS. Per ulteriori informazioni, vedere la sezione Modifica Voci del Registry" .


Dimensionamento degli elementi

Dimensionamento degli elementi: Introduzione

Formato dei comandi relativi alle dimensioni

Aggiunta di righe

Eliminazione di righe

Modifica di righe

Convenzioni

Accesso alla finestra di dialogo

Stampa delle dimensioni nel rapporto di ispezione

Creazione automatica delle dimensioni nella finestra di modifica

Modifica della dimensione prima di eseguire la stampa

Visualizzazione Dimensioni nei file RTF e PDF

Opzioni comuni delle finestre di dialogo delle dimensioni

Condizioni materiale

Pulsante Richiama

Visualizzazione delle informazioni sulla dimensione

Modifica info dimensione predefinite

Pulsante Ripristina

Unità

Impostazioni per l'analisi

Testuale

Attivazione delle coordinate polari o cartesiane per l'analisi testuale

Grafica

Fattore. Molt.

Opzione Entrambi (per Posizione reale e Posizione)

Opzione Forma (per Posizione reale e Posizione)

Output su

Dimensionamento della posizione

Creazione della dimensione di un elemento mediante l'opzione POSIZIONE

Assi predefiniti per le dimensioni di posizione

Assi lamiera

Opzioni posizione

Solo retrolineare per le dimensioni di posizione

Solo traferro per le dimensioni di posizione

Tolleranze per le dimensioni di posizione

Elenco a discesa Assi

Tolleranze positive

Tolleranze negative

Limitazioni e adattamenti ISO

Dimensione nominale

Classe di tolleranza

Grado di tolleranza

Dimensionamento della posizione reale

Creazione della dimensione di un elemento mediante l'opzione POSIZIONE REALE

Applicazione di una posizione reale a un gruppo di cerchi o cilindri

Uso dei datum

Uso degli stessi datum quando si ripetono le dimensioni

Assi predefiniti per le dimensioni di posizione reale

deviazione

Adattamento ai datum

Deviazione perpendicolare alla linea centrale

Visualizza come raggio

Elementi assiali

Tolleranze per le dimensioni di posizione reale

Assi

Tolleranza positiva

Tolleranza negativa

Dimensionamento della distanza

Creazione della dimensione di una distanza mediante l'opzione DISTANZA

Tolleranze per le dimensioni delle distanze

Tolleranza positiva

Tolleranza negativa

Distanze nominali

Regole generali per le dimensioni delle distanze 2D e 3D

Distanza bidimensionale

Distanza tridimensionale

Relazione per le dimensioni delle distanze

Casella di controllo Rispetto a elemento

Casella di controllo Rispetto ad asse X

Casella di controllo Rispetto ad asse Y

Casella di controllo Rispetto ad asse Z

Orientamento per le dimensioni delle distanze

Perpendicolare a

Parallelo a

Opzioni cerchio

Dimensionamento angolo

Creazione della dimensione dell'angolo tra due elementi

Tolleranze per le dimensioni dell'opzione Angolo

Tolleranza positiva

Tolleranza negativa

Valori nominali degli angoli tra:

Tipo di angolo

Tipo di angolo bidimensionale

Tipo di angolo tridimensionale

Relazione per le dimensioni dell'opzione Angolo tra

Rispetto a elemento

Rispetto ad asse X

Rispetto ad asse Y

Rispetto ad asse Z

Dimensionamento della concentricità

Creazione della dimensione di un elemento mediante l'opzione CONCENTRICITÀ

Tolleranza per le dimensioni della concentricità

Dimensionamento della coassialità

Creazione della dimensione di un elemento mediante l'opzione COASSIALITÀ

Tolleranza positiva per le dimensioni della coassialità

Distanza di proiezione per la coassialità

Dimensionamento CIRCOLARITÁ

Creazione della dimensione di un elemento mediante l'opzione CIRCOLARITÀ

Tolleranza positiva per le dimensioni della CIRCOLARITÁ

D imensionamento della cilindricità

C reazione della dimensione di un elemento mediante l'opzione CILINDRICITÁ

Tolleranza positiva per le dimensioni della cilindricità

Dimensionamento della linearità

Creazione della dimensione di un elemento mediante l'opzione LINEARITÀ

Tolleranza positiva per le dimensioni della linearità

Dimensionamento della planarità

Creazione della dimensione di un elemento mediante l'opzione PLANARITÀ

Tolleranza positiva per la planarità

Dimensionamento della perpendicolarità

Creazione della dimensione di un elemento mediante l'opzione PERPENDICOLARITÀ

Tolleranza positiva per le dimensioni della perpendicolarità

Distanza di proiezione per le dimensioni della perpendicolarità

Dimensionamento del parallelismo

Creazione di una dimensione mediante l'opzione PARALLELISMO

Tolleranza positiva per le dimensioni del parallelismo

Distanza di proiezione per le dimensioni del parallelismo

Dimensionamento dell'oscillazione TOTALE O CIRCOLARE

Informazioni sul runout

Come misurare l’Oscillazione

Due categorie di oscillazione: Circolare o totale

Uso del runout per verificare la fine di un cilindro

Creazione della dimensione di un elemento mediante l'opzione OSCILLAZIONE

Tolleranza positiva per le dimensioni dell'oscillazione

Dimensionamento del profilo di superficie

Dimensionamento di un elemento mediante l'opzione profilo di superficie:

Visualizzazione del tracciato di contorno del profilo

C reazione della dimensione di un elemento bidimensionale mediante l'opzione PROFILO Lineare

Visualizzazione del tracciato di contorno del profilo

Tolleranze per le dimensioni del profilo

Tolleranza positiva

Tolleranza negativa

T olleranze per le dimensioni del profilo lineare

Tolleranza positiva

Tolleranza negativa

Opzioni di controllo per dimensioni di profile di superficie

Solo forma

Forma e posizione

O pzioni di controllo per dimensioni di profilo lineare

Solo forma

Forma e posizione

Opzioni di controllo per dimensioni di profilo di superficie

O pzioni best-fit per dimensioni di profilo lineare

Dimensionamento dell'angolarità

Calcolo dell'errore di angolarità mediante l'opzione ANGOLARITÀ

Angolo di riferimento

Tolleranza positiva per le dimensioni dell'angolarità

Distanza di proiezione per le dimensioni dell'angolarità

Dimensionamento della simmetria

Creazione della dimensione di un elemento mediante l'opzione SIMMETRIA

Tolleranza positiva per la simmetria

Dimensionamento mediante operazioni eseguite tramite la tastiera

Aggiunta di dimensioni mediante l'opzione DIGITAZIONE

nominale

Reale

Tolleranze per le dimensioni create tramite la tastiera

Tolleranza positiva

Tolleranza negativa

Dimensionamento di Variabili

Esempio di Dimensionamento di Variabile


Dimensionamento degli elementi: Introduzione

Dopo aver misurato o costruito un elemento, è possibile costruire un rapporto di ispezione. La prima operazione da eseguire per la preparazione di un rapporto consiste nel calcolo delle dimensioni in base a requisiti specifici. Le dimensioni possono essere calcolate subito dopo aver eseguito una misurazione o successivamente nel programma. PC-DMIS visualizza il risultato di ciascuna operazione di dimensionamento nella finestra di modifica.

Per informazioni generali su come modificare il rapporto nella finestra di modifica, vedere la sezione "Modifica di un part-program".

Inoltre, in PC-DMIS è possibile specificare i valori nominali, modificare il formato di output e/o stampare i risultati dei calcoli.

  • Per modificare i valori nominali o i valori di tolleranza visualizzati nella finestra di modifica, fare clic sul valore da modificare ed inserirne un altro.

  • Per visualizzare o nascondere i campi relativi ai valori nominali o di tolleranza nella finestra di modifica, selezionare o deselezionare le relative caselle di controllo nell'area Formato output dimensione nella scheda Dimensione della finestra di dialogo Parametri (Modifica | Preferenze | Parametri). Visualizza Mappa Percorsi dei Menu Vedere l'argomento "Impostazioni parametri: scheda Dimensione" nella sezione "Impostazione delle preferenze" .

  • Per modificare i valori misurati di un elemento (ad esempio, per ottenere il raggio di un cerchio da stampare), vedere l'argomento "Modifica dei parametri dei movimenti e dei rapporti" nella sezione "Impostazione delle preferenze" .

Per dimensionare un elemento, selezionare il menu secondario Inserisci | Dimensione dalla barra dei menu oppure accedere alla barra degli strumenti Dimensione, quindi selezionare la dimensione desiderata. In questa sezione vengono illustrate le dimensioni legacy contenute nel menu secondario Dimensione.

In questa sezione verranno trattati i seguenti argomenti:

  • Formato dei comandi relativi alle dimensioni

  • Stampa delle dimensioni nel rapporto di ispezione

  • Opzioni comuni delle finestre di dialogo delle dimensioni

  • Dimensionamento della posizione

  • Dimensionamento della posizione reale

  • Dimensionamento della distanza

  • Dimensionamento angolo

  • Dimensionamento della concentricità

  • Dimensionamento della coassialità

  • Dimensionamento della rotondità

  • Dimensionamento della linearità

  • Dimensionamento della planarità

  • Dimensionamento della perpendicolarità

  • Dimensionamento del parallelismo

  • Dimensionamento dell'oscillazione totale o circolare

  • Dimensionamento del profilo di superficie o lineare

  • Dimensionamento dell'angolarità

  • Dimensionamento della simmetria

  • Dimensionamento mediante operazioni eseguite tramite la tastiera

  • Dimensionamento di Variabili


Formato dei comandi relativi alle dimensioni

Tutti gli elementi dimensionati vengono visualizzati nel formato indicato di seguito, a parte piccole variazioni, che verranno descritte in modo più approfondito nelle sezioni successive,

PC-DMIS visualizza le dimensioni che non sono collegate ad alcun elemento con il colore definito per i testi di fuori tolleranza.

Ad esempio, nella finestra di modifica le dimensioni vengono visualizzate nel modo seguente:
nome_dimensione = TIPO DI DIMENSIONE,elem_1 UNITÀ=POLL ,$
GRAF=OFF  TESTO=OFF  MULT=1.00  OUTPUT=ENTRAMBI

AS

NOM

+TOL

-TOL

MIS

MAX

MIN

DEV

FUORI_TOLL

x

8.0000

0.1000

0.1000

8.0000

8.5000

7.5000

0.0000

0.0000

y

3.0000

0.1000

0.1000

3.0000

3.5000

2.5000

0.0000

0.0000

z

0.4947

0.1000

0.1000

0.4947

0.1428

0.8466

0.0000

0.0000

d

1.0000

0.1000

0.1000

1.0000

1.0000

1.0000

0.0000

0.0000

v

0.0000

0.5938

0.8046

FINE DIMENSIONE nome_dimensione (solo per POSIZIONE)

Per le regole relative ai campi, vedere "Convenzioni".

TIPO DI DIMENSIONE: indica il tipo di dimensione. Non è possibile modificare questo campo, a meno che non venga modificato il nome dell'elemento.

elem_1: il nome dell'elemento da dimensionare. Questo campo può essere modificato.

È possibile modificare tutti i valori nominali e di tolleranza, effettuando le seguenti operazioni:

  1. Spostarsi sulla cella desiderata premendo il tasto di tabulazione oppure fare doppio clic con il pulsante sinistro del mouse sul campo.

  2. Inserire il valore desiderato.

  3. Premere di nuovo il tasto di tabulazione oppure fare clic in un punto esterno alla dimensione.

Premere INVIO per aggiungere una riga. (Vedere "Dimensionamento della posizione")

Vedere anche:

Aggiunta di righe

Eliminazione di righe

Modifica di righe

Convenzioni

Accesso alla finestra di dialogo


Aggiunta di righe

Per creare una nuova riga all'interno della dimensione di posizione, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato.

  2. Premere INVIO.

  3. Inserire l'asse desiderato (X, Y, Z, D, R, A, V, T, L, S, H, M, RP, AP , PD).

  4. Premere il tasto di tabulazione o INVIO.

PC-DMIS visualizzerà i valori relativi all'asse aggiunto. La posizione in cui verrà aggiunta la riga dipende dal punto in cui si trova il cursore: Se il cursore si trova all'interno di un comando, verrà creata una nuova riga sotto la riga corrente. Se il cursore si trova all'inizio di una riga di comando, la nuova riga verrà creata sopra la posizione corrente del cursore.


Eliminazione di righe

Per eliminare un singolo asse all'interno di una dimensione di posizione, evidenziare l'asse desiderato e premere BACKSPACE o CANC (vedere “Tasti funzione della modalità Comando” nella sezione "Uso della finestra di modifica" ).


Modifica di righe

Quando vengono modificate le tolleranze di una dimensione nella finestra di modifica, viene visualizzata una finestra di dialogo in cui viene richiesto se si desidera riportare le tolleranze modificate a qualsiasi dimensione dello stesso tipo. Se si sceglie Sì, PC-DMIS eseguirà la ricerca a partire dal punto specificato nel part-program, in modo da copiare le tolleranze in qualsiasi dimensione dello stesso tipo e con le stesse tolleranze originali.

Quando vengono modificati i valori nominali di una dimensione nella finestra di modifica, viene visualizzata una finestra di dialogo in cui viene richiesto se si desidera trasferire i valori nominali modificati all'elemento della dimensione. Se si sceglie Sì, i valori nominali dell'elemento verranno sostituiti con i nuovi valori nominali.


Convenzioni

Visualizza Mappa Percorsi dei Menu

Nella scheda Dimensione della finestra di dialogo Opzioni di impostazione (Modifica | Preferenze | Impostazione) è possibile definire i parametri per le dimensioni visualizzate.

  • Tutti gli angoli possono essere rappresentati utilizzando da 1 a 5 posizioni decimali. Il numero visualizzato è determinato dai parametri impostati nella scheda Dimensione.

  • Tutte le lunghezze, le distanze (coord_x, coord_y, coord_z, diametro, altezza, lunghezza e così via) ed i vettori (vett_i, vett_j, vett_k) nelle dimensioni sono rappresentati utilizzando da 1 a 5 posizioni decimali. Il valore nominale visualizzato è determinato dai parametri impostati nella scheda Dimensione.

Per informazioni sulla scheda Dimensione, vedere l'argomento "Opzioni di impostazione: scheda Dimensione" nella sezione "Impostazione preferenze" .


Accesso alla finestra di dialogo

Per accedere alla finestra di dialogo utilizzata per la creazione della dimensione visualizzata nella finestra di modifica, effettuare le seguenti operazioni:

  1. Verificare che la finestra di modifica sia aperta (Visualizza | Finestra di modifica). Visualizza Mappa Percorsi dei Menu

  2. Nella finestra di modifica, fare clic sulla dimensione.

  3. Premere F9. Viene visualizzata una finestra di dialogo relativa alla dimensione.

Questa finestra di dialogo consente di apportare le modifiche desiderate alla dimensione esistente. Quando si fa clic sul pulsante Crea le modifiche vengono applicate al testo della dimensione riportato nella finestra di modifica.


Stampa delle dimensioni nel rapporto di ispezione

È possibile generare le dimensioni nella finestra di modifica, che a sua volta genera queste dimensioni nel rapporto di ispezione.

Vedere anche:

Creazione automatica delle dimensioni nella finestra di modifica

Modifica della dimensione prima di eseguire la stampa

Visualizzazione Dimensioni nei file RTF e PDF


Creazione automatica delle dimensioni nella finestra di modifica

Per fare in modo che PC-DMIS crei automaticamente le dimensioni nella finestra di modifica, effettuare le seguenti operazioni:

  1. Accedere alla finestra di modifica (Visualizza | Finestra di modifica). Visualizza Mappa Percorsi dei Menu

  2. Posizionare il cursore nel punto in cui si desidera visualizzare le informazioni dimensionali.

  3. Inserire la parola chiave appropriata.

OR

  1. Selezionando l'opzione di menu Modifica | Preferenze | Impostazione si apre la finestra di dialogo Opzioni impostazione. Visualizza Mappa Percorsi dei Menu

  2. Scegliere la scheda Dimensionenella finestra di dialogo.

  3. Selezionare l'opzione Creazione automatica dimensioni.

  4. Selezionare le opzioni desiderate.

  5. Fare clic sul pulsante OK.

La prossima volta che si misurerà un elemento verrà creata e inserita nella finestra di modifica una dimensione automatica.


Modifica della dimensione prima di eseguire la stampa

In molti casi, prima di stampare i risultati, è necessario modificare i valori nominali, le tolleranze o il formato di output.

Per modificare i valori nominali o le tolleranze nella finestra di modifica, effettuare le seguenti operazioni:

  1. Accedere alla finestra di modifica e attivare la modalità Comando (Visualizza | Finestra di modifica). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sulla dimensione nella finestra di modifica.

  3. Premere il tasto di tabulazione per posizionarsi sul valore che si desidera modificare.

  4. Inserire il nuovo valore.

Per modificare i valori nominali o le tolleranze utilizzando la finestra di dialogo della dimensione, effettuare le seguenti operazioni:

  1. Fare clic sulla dimensione nella finestra di modifica.

  2. Premere F9 per accedere alla finestra di dialogo corrispondente.

  3. Modificare i valori necessari.

  4. Fare clic sul pulsante Crea.

Per modificare il contenuto del rapporto delle dimensioni, accedere alla scheda Dimensione nella finestra di dialogo Impostazioni parametri (vedere l'argomento "Impostazioni parametri: scheda Dimensione" nella sezione "Impostazione delle preferenze" ) e modificare le informazioni relative alla dimensione visualizzate da PC-DMIS.

Nota: Nella sezione "Analisi" di ciascuna finestra di dialogo della dimensione è possibile visualizzare il formato di output più appropriato per le informazioni relative alla dimensione.


Visualizzazione Dimensioni nei file RTF e PDF

È possibile inviare il rapporto di ispezione con le relative dimensioni a un file RTF (Rich Text Format) o PDF (Portable Document Format) esterno selezionando le opzioni di output nella finestra di dialogo Opzioni di stampadella finestra di modifica. Vedere "Stampa dal rapporto di ispezione" nella sezione "Uso delle opzioni di base del menu file" .

A causa di limitazioni relative alla formattazione tra gli output RTF e PDF, le dimensioni vengono visualizzate in modo differente nei due tipi di file.

  • Nei file RTF, le dimensioni vengono stampate con un bordo chiaro intorno all'intestazione, uno sfondo blu e il simbolo della dimensione.

  • Nei file PDF, le dimensioni vengono stampate senza bordo, colore di sfondo e simbolo della dimensione, ma con un margine sinistro.


Opzioni comuni delle finestre di dialogo delle dimensioni

Sono disponibili varie opzioni nella maggior parte delle finestre di dialogo Dimensione.

Vedere anche:

Condizioni materiale

Visualizzazione delle informazioni sulla dimensione

Modifica info dimensione predefinite

Unità

Impostazioni per l'analisi

Output su


Condizioni materiale

La sezione Condizioni materiale contiene i seguenti metodi di tolleranza:

Pulsante di opzione | Significato | Descrizione
M | MMC | Condizione di massimo materiale applicata all'elemento o a un datum.
R | RFS | Indipendentemente dalle dimensioni dell'elemento applicate all'elemento o a un datum.
L | LMC | Condizione di minimo materiale applicata all'elemento o a un datum.

Attualmente, è possibile selezionare i modificatori delle condizioni di materiale per le dimensioni Posizione reale, Parallelismo e Perpendicolaritá.

Se si seleziona la casella di controllo Usa datum per le dimensioni Posizione reale, i valori di output XYZ utilizzeranno l'allineamento dei datum.

Vedere anche:

Pulsante Richiama


Pulsante Richiama

Il pulsante Richiama nell'area Condizioni materiali consente di selezionare facilmente gli stessi datum utilizzati in una precedente dimensione simile. Questo pulsante non è disponibile fino a quando non si seleziona un elemento da dimensionare dall'elenco Elemento.

Si supponga, ad esempio, di avere utilizzato quattro cerchi come datum in una precedente dimensione Posizione reale. È possibile fare in modo che PC-DMIS utilizzi gli stessi cerchi selezionando l'elemento da dimensionare nell'elenco Elemento e facendo clic sul pulsante Richiama. PC-DMIS selezionerà i datum dall'elenco Elemento.


Visualizzazione delle informazioni sulla dimensione

La casella di controllo Visualizza consente di creare un comando INFO_DIM nella finestra di modifica dopo la dimensione. Questo comando consente di visualizzare tutte le informazioni relative alle dimensioni nella finestra di visualizzazione grafica, accanto all'elemento selezionato nell'Elenco elementi. Inoltre, il comando INFO_DIM consente di visualizzare gli assi della stessa dimensione disponibili nella finestra di modifica per una determinata dimensione.

Per utilizzare questa opzione, effettuare le seguenti operazioni:

  1. Selezionare la casella di controllo Visualizza.

  2. Selezionare l'elemento da dimensionare.

  3. Fare clic sul pulsante Crea.

Le informazioni sulla dimensione verranno visualizzate nella finestra di visualizzazione grafica.

Dati relativi alle dimensioni visualizzati nella finestra di visualizzazione grafica.

Per informazioni più dettagliate sulle caselle INFO_DIM e sulle regole di creazione di tali caselle, vedere "Inserimento di caselle relative alle informazioni sulle dimensioni" nella sezione "Inserimento di comandi rapporto" .


Modifica info dimensione predefinite

Il pulsante Modifica consente di visualizzare la finestra di dialogo Modifica info dimensione predefinite.

Finestra di dialogo Modifica info dimensione predefinite

Le caselle di controllo seguenti consentono di selezionare il tipo di informazioni visualizzate nella finestra di visualizzazione grafica relativa a ciascuna dimensione. Le caselle di controllo disponibili sono le seguenti:

Automatico | La casella di controllo Auto consente di visualizzare automaticamente le informazioni contenute nei seguenti campi: Misurato, Nominale, Tolleranze, Deviazione, MaxMin e Fuori toll.
Misurato | Questa casella di controllo consente di visualizzare le dimensioni effettivamente misurate.
nominale | Questa casella di controllo consente di visualizzare i valori teorici per la dimensione.
Tolleranze | Questa casella di controllo visualizza i livelli di tolleranza accettabili superiori o inferiori al valore nominale.
deviazione | Questa casella di controllo consente di visualizzare la deviazione del valore misurato dal valore nominale.
MaxMin | Questa casella di controllo consente di visualizzare il valore massimo e il valore minimo per la dimensione.
Fuori toll | Questa casella di controllo consente di visualizzare la differenza tra il valore misurato e i valori di tolleranza e nominali.
Media | Questa casella di controllo consente di visualizzare la media di tutte le deviazioni per la dimensione.
Dev standard | Questa casella di controllo consente di visualizzare la deviazione standard di tutte le deviazioni di dimensione.
Numero di punti | Questa casella di controllo consente di visualizzare il numero di punti utilizzati per misurare l'elemento relativo alla dimensione.

Per informazioni più dettagliate sulla modifica delle dimensioni e sulle regole di creazione delle dimensioni, vedere "Inserimento di caselle relative alle informazioni sulla dimensione" nella sezione "Inserimento di comandi rapporto . I cinque pulsanti OK, Annulla, Predefinito, Richiama e Ripristina fanno parte della finestra di dialogo Modifica info dimensione predefinite.

Vedere anche:

Pulsante Ripristina


Pulsante Ripristina

Il pulsante Ripristina consente di deselezionare le caselle di controllo selezionate nella finestra di dialogo Modifica info dimensione predefinite e di selezionare la casella di controllo Automatico.


Unità

Nella sezione Unità è possibile scegliere una delle due opzioni seguenti:

  • Pollici

  • MM = Millimetri

Per il dimensionamento verrà usata l'unità di misura selezionata. La finestra di dialogo corrente rimane aperta sullo schermo. Come unità predefinita viene utilizzata l'unità di misura corrente del part-program in uso.


Impostazioni per l'analisi

Sezione Analisi per le dimensioni Posizione e Posizione reale

Sezione Analisi per tutte le altre dimensioni

Nella sezione Analisi è possibile impostare il formato dell'analisi (testuale e/o grafica) dell'output relativo alle dimensioni quando vengono visualizzate le deviazioni di una dimensione.

Nella sezione Analisi, disponibile soltanto per le dimensioni Posizione e Posizione reale, è possibile analizzare la posizione e la forma di un elemento.

Nota:prestare particolare attenzione quando si interpretano i dati grafici relativi ad una dimensione Posizione o Posizione reale assieme alla relativa dimensione Forma integrata. Le linee di tolleranza dell'analisi tendono a sovrapporsi, rendendo difficile l'analisi stessa.

Vedere anche:

Testuale

Attivazione delle coordinate polari o cartesiane per l'analisi testuale

Grafica

Fattore. Molt.

Opzione Entrambi (per Posizione reale e Posizione)

Opzione Forma (per Posizione reale e Posizione)


Testuale

Quando si seleziona la casella di controllo Testuale (o l'opzione Sì per le dimensioni Posizione e Posizione reale), PC-DMIS stampa le informazioni riportate di seguito nel rapporto di ispezione per ciascun punto utilizzato nella dimensione:

  • Valori X, Y e Z misurati

  • Valori I, J e K misurati

  • Deviazione di ogni singolo punto

  • "MAX" o "MIN" alla fine della riga ogni volta che il punto produce una deviazione massima o minima.

Esempio di un rapporto di analisi testuale

Per determinare se il sistema di coordinate utilizzato nella visualizzazione dell'analisi testuale deve essere polare o cartesiano, seguire le istruzioni riportate nell'argomento "Attivazione delle coordinate polari o cartesiane per l'analisi testuale".


Attivazione delle coordinate polari o cartesiane per il testo

Attivazione delle coordinate polari o cartesiane per l'analisi testuale

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Attiva analisi testuale polare/cartesiana consente di attivare o disattivare l'aspetto dell'analisi testuale di una dimensione in modo che la posizione di uno o più punti dell'analisi testuale venga visualizzata in coordinate cartesiane o polari. Accanto ai dati numerici viene visualizzata una 'P' per indicare la modalità polare di visualizzazione.

  • Una completa analisi testuale della dimensione sarà attivata se il cursore si trova sulla dimensione in modalità Comando.

  • Quando viene selezionata questa voce di menu, se il cursore si trova su una specifica riga dell'analisi testuale verrà attivata una singola riga dell'analisi testuale di una dimensione. Se nell'analisi testuale un singolo punto viene visualizzato nelle coordinate polari, i valori relativi al raggio e all'angolo, nonché il valore z, verranno visualizzati nelle colonne x, y e z.

Per modificare il sistema di coordinate utilizzato nell'analisi testuale, effettuare le seguenti operazioni:

  1. In modalità Rapporto posizionare il cursore sull'intestazione della dimensione o su un singolo punto.

  2. Selezionare l'opzione di menu Attiva analisi testuale polare/cartesiana. Nelle righe relative all'analisi testuale verrà visualizzata la lettera 'P' per indicare che i punti verranno visualizzati nelle coordinate polari.


Grafica

Quando si seleziona la casella di controllo Grafica (oppure l'opzione Sì per le dimensioni Posizione e Posizione reale), PC-DMIS consente di visualizzare il formato di output più adatto ad un esame approfondito.

Se tale opzione è selezionata, PC-DMIS fornisce la visualizzazione grafica della deviazione di ogni singolo punto per le dimensioni utilizzate per il pezzo nella finestra di visualizzazione grafica. L'errore viene visualizzato automaticamente sotto forma di freccia per ciascun punto. Le frecce, con i relativi colori e direzioni, indicano l'entità relativa dell'errore e la direzione.

La riga di comando della finestra di Modifica è la seguente:
...GRAF=ON TESTO=OFF MULT=1,00

Nel seguente esempio vengono utilizzate le informazioni sulla dimensione visualizzate nell'esempio dell'analisi testuale "Testuale":

Esempio di dimensione di rotondità utilizzando l'analisi grafica con un moltiplicatore di 10 (a sinistra) e 1 (a destra)

L'esempio di dimensione di rotondità riportato sopra contiene diversi cerchi, frecce e linee colorati. Nella seguente tabella vengono descritti gli elementi colorati dell'esempio e il relativo significato.

Elemento colorato | Descrizione
Cerchio nero | Mostra il cerchio nominale.
Cerchio rosso | Mostra il cerchio fuori tolleranza misurato.
Cerchi blu | Mostrano le fasce di tolleranza.
Linee colorate | Mostrano le linee tra i punti.
Frecce colorate | Mostrano i punti (la punta della freccia), l'entità relativa della deviazione di ciascun punto (in base alla freccia colorata) e la direzione della deviazione (la direzione in cui punta la freccia).

I colori utilizzati in questo esempio sono i colori della dimensione predefiniti. Se si desidera, è possibile modificarli facilmente. I colori utilizzati corrisponderanno a quelli del grafico nelle finestre Info dimensione e Info punto. Vedere "Modifica dei colori della dimensione" nella sezione "Modifica della visualizzazione CAD" .


Fattore. Molt.

Nella casella Fattore. Molt. è contenuto un fattore di scala che ingrandisce le frecce di deviazione e l'area di tolleranza immessi per la modalità di analisi grafica. Se si inserisce il valore 2,0, PC-DMIS ingrandirà le frecce di due volte rispetto alla deviazione calcolata per ciascun punto dell'elemento.

In tal caso, la dimensione della freccia viene modificata solo per la visualizzazione. La dimensione della deviazione nella successiva stampa del testo resta invariata.


Opzione Entrambi (per Posizione reale e Posizione)

  • Testuale: Selezionando l'opzione Entrambi, vengono visualizzate le deviazioni sia per l'asse della posizione che della forma nel rapporto delle ispezioni.

  • Grafica: se si seleziona l'opzione Entrambivengono visualizzate le linee di tolleranza per la dimensione Posizione di un elemento e per la dimensione Forma integrata. Tali linee, tuttavia, tendono a sovrapporsi.


Opzione Forma (per Posizione reale e Posizione)

L'opzione Forma consente di analizzare contemporaneamente le informazioni relative alla posizione e alla forma di un elemento. Nelle versioni precedenti alla 3.25 era necessario creare una dimensione separata per ottenerne la forma.

Attenzione: È necessario selezionare la casella di controllo Forma nella sezione Assi della finestra di dialogo per utilizzare la sezione Analisi per creare un rapporto sulla forma dell'elemento. Vedere "Assi predefiniti" per ulteriori informazioni.

La selezione della casella di controllo Forma equivale alla selezione automatica dell'opzione Entrambi poiché viene generata sia un'analisi grafica che un'analisi testuale.


Output su

È possibile stampare l'output della dimensione sul rapporto di ispezione e/o sui file delle statistiche utilizzati dal relativo software oppure su nessuno dei due elementi, mediante la sezione Output su della finestra di dialogo. Sono disponibili le seguenti opzioni:

  • Statistiche – invia l'output ai file delle statistiche

  • Rapporto – invia l'output al rapporto di ispezione

  • Entrambi – invia l'output al rapporto di ispezione e ai file delle statistiche

  • Nessuno – l'output della dimensione non viene stampato

Al momento dell'esecuzione della dimensione, l'output verrà stampato nel rapporto di ispezione, nel file delle statistiche o in entrambi, in base alla selezione effettuata.

Se viene selezionata l'opzione Statistiche o Entrambi, è necessario che sia stato precedentemente specificato il comando STATIST/SÌ nella finestra di modifica affinché la dimensione venga inviata al file delle statistiche.


Dimensionamento della posizione

Finestra di dialogo Posizione elemento

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Posizione consente di calcolare la distanza dell'elemento dall'origine X, Y o Z parallela al rispettivo asse. Vengono anche calcolati il diametro, l'angolo e il vettore dell'elemento. In questa sezione viene illustrato solo il dimensionamento della posizione o delle coordinate. Per le dimensioni della posizione, vedere Dimensionamento della posizione reale".

È possibile calcolare la posizione utilizzando le coordinate cartesiane o polari, la posizione reale o la finestra di tolleranza.

  • Per attivare le coordinate cartesiane o polari, selezionare Ang Po Rag P nella finestra di dialogo Posizione elemento.

  • Per attivare i metodi di tolleranza POSIZIONE REALE e RETT, vedere "Dimensionamento della posizione reale".

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione POSIZIONE

Assi predefiniti per le dimensioni di posizione

Assi lamiera

Opzioni posizione

Tolleranze per le dimensioni di posizione

Limitazioni e adattamenti ISO

Location Options areaSheet Metal Axes areaSearch Last #ISO Limits and Fits areaAxes areaOutput To areaSearch IDID FeatureFeature List boxDisplay check boxCreate buttonClose buttonTolerances for Location DimensionsClear buttonEdit buttonAnalysis areaUnits area


Creazione della dimensione di un elemento mediante l'opzione POSIZIONE

  1. Selezionare Inserisci | Dimensione | Posizione dal menu secondario. Viene visualizzata la finestra di dialogo Posizione elemento. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Selezionare gli assi desiderati. Per impostazione predefinita, la casella di controllo Auto è selezionata.

Se la casella di controllo Auto è selezionata, PC-DMIS determina automaticamente gli assi predefiniti da visualizzare nella dimensione. Gli assi predefiniti si basano sul tipo di elemento, come mostrato nella seguente tabella.

Il formato di output predefinito per gli elementi indicati è il seguente:

CERCHIO | X, Y, D (in base al piano di lavoro)
CONO | X, Y, Z, A
CILINDRO | X, Y, Z, D, L (in base al piano di lavoro)
LINEA | In base all'asse perpendicolare all'asse più vicino e all'asse relativo al piano di lavoro sul quale viene misurata la linea.
PIANO | In base all'asse relativo e più vicino al piano.
PUNTO | X, Y, Z, T
ASOLA | X, Y, D, R, L (in base al piano di lavoro)
SFERA | X, Y, Z, D

  4. Selezionare nell'elenco a discesa Assi gli assi ai quali applicare i valori di tolleranza positiva e negativa.

  5. Inserire il valore di tolleranza positiva nella casella + Tol.

  6. Inserire il valore di tolleranza negativa nella casella - Tol.

  7. Inserire un valore per la dimensione nominale nella casella Dimensione nominale.

  8. Selezionare una classe di tolleranza dall'elenco a discesa Classe di tolleranza.

  9. Selezionare un grado di tolleranza dall'elenco a discesa Grado di tolleranza.

  10. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  11. Selezionare l'opzione Pollici o MM dalla sezione Unità della finestra di dialogo.

  12. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambio Nessuno.

  13. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  14. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  15. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = TIPO DI DIMENSIONE,elem_1 UNITÀ=POLL ,$
GRAF=OFF TESTO=OFF MULT=1.00 OUTPUT=ENTRAMBI

 | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
x | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

FINE DIMENSIONE nome_dimensione (solo per POSIZIONE)


Assi predefiniti per le dimensioni di posizione

La casella di controllo Predefinito consente di modificare il formato di output predefinito. Quando si seleziona la casella di controllo Auto , gli assi visualizzati nella dimensione vengono selezionati in base agli assi predefiniti del tipo di elemento. Tuttavia, talvolta potrebbe essere necessario sostituire l'impostazione predefinita; Per modificare l'output predefinito, effettuare le seguenti operazioni:

  1. Selezionare le opzioni appropriate.

X = stampa il valore dell'asse X.
Y = stampa il valore dell'asse Y.
Z = stampa il valore dell'asse Z.
Rag P = stampa il raggio polare.
Ang P = stampa l'angolo polare.
D = stampa il valore del Diametro.
R = stampa il valore del raggio (la metà del diametro).
A = stampa il valore dell'angolo (per i coni).
L = stampa la lunghezza (utilizzata per cilindri e asole).
H = stampa l'altezza (solitamente l'altezza delle asole ma anche dei coni, dei cilindri e delle ellissi).
V = stampa la posizione del vettore.
Forma = stampa la dimensione Forma integrata dell'elemento assieme alla dimensione Posizione.

  • Per un elemento di tipo Cerchio o Cilindro, rappresenta la dimensione Rotondità (RN).

  • Per un elemento di tipo Piano, rappresenta la dimensione Planarità (FL).

  • Per un elemento di tipo Linea, rappresenta la dimensione Linearità (ST).

  2. Selezionare la casella di controllo Predefinito.

Dopo aver modificato i valori di output predefiniti, PC-DMIS utilizzerà le nuove impostazioni per tutte le dimensioni successive. Per fare in modo che vengano riutilizzati gli assi predefiniti originali, è necessario ripristinare le impostazioni predefinite per il formato.

Per ripristinare le impostazioni predefinite per il formato, effettuare le seguenti operazioni:

  1. Selezionare la casella di controllo Auto.

  2. Selezionare la casella di controllo Predefinito.

  3. Fare clic sul pulsante Crea.

Verrà ripristinata automaticamente la dimensione, in modo da stampare gli assi predefiniti in base al tipo di elemento.


Assi lamiera

Nella sezione Assi lamiera sono disponibili caselle di controllo solo quando vengono dimensionati gli elementi metallici.

T = stampa l'errore lungo il vettore di avvicinamento (per punti su superfici curve).
S = stampa la deviazione lungo il vettore della superficie.
RT = stampa la deviazione lungo il vettore del rapporto
RS = stampa la deviazione lungo il rapporto della superficie
PD = stampa il diametro di un cerchio (perpendicolare al vettore perno).

Se viene utilizzato l'asse T, RT, S o RS, nessun'altra dimensione di posizione verrà utilizzata per l'analisi grafica o testuale.

Il formato di output predefinito per gli elementi metallici è il seguente:

PUNTO VETTORE: RT
SUPERFICIE: RT
BORDO: X,Y, Z e
CERCHIO: PD


Opzioni posizione

PC-DMIS consente di stampare anche due assi speciali:

  • Solo retrolineare

  • Solo traferro

È possibile selezionare una delle due opzioni nella sezione Opzioni posizione della finestra di dialogo Posizione elemento. Tutte le successive posizioni dei punti del bordo, della superficie o del vettore all'interno del part-program verranno stampate utilizzando gli assi speciali appropriati, fino a quando l'opzione non viene disattivata.

Vedere anche:

Solo retrolineare per le dimensioni di posizione

Solo traferro per le dimensioni di posizione


Solo retrolineare per le dimensioni di posizione

Visualizza Mappa Percorsi dei Menu

Questa casella di controllo è disponibile solo quando si crea la dimensione dei punti vettore e superficie. Se l'opzione Solo retrolineare è stata selezionata per i punti corretti, gli assi della posizione vengono calcolati nel modo seguente:

· Viene ricercato il componente più grande del vettore perpendicolare alla superficie teorica, nella direzione x, y o z.

· Il punto misurato viene proiettato sul vettore del componente più grande, in modo che la proiezione sia perpendicolare al vettore perpendicolare alla superficie teorica originale.

Gli assi della posizione vengono calcolati in base a questo nuovo punto proiettato.


Solo traferro per le dimensioni di posizione

Visualizza Mappa Percorsi dei Menu

La casella di controllo Solo traferro è disponibile quando si esegue il dimensionamento di punti del bordo. Quando si seleziona la casella di controllo Solo traferro e si esegue la misurazione di un punto di bordo, gli assi della posizione vengono calcolati nel modo seguente:

  • Il punto misurato (1) viene proiettato sulla superficie teorica.

  • Questo nuovo punto viene proiettato sul vettore di avvicinamento teorico.

Qualsiasi asse della posizione viene quindi calcolato in base a questo nuovo punto.


Tolleranze per le dimensioni di posizione

Nella sezione Tolleranze è possibile inserire le tolleranze positive e negative per ciascuno dei seguenti assi presenti nell'elenco a discesa Assi.

Per inserire le tolleranze positiva e negativa, effettuare le seguenti operazioni:

  1. Selezionare l'asse per il quale si desidera inserire la tolleranza dall'elenco a discesa Assi.

  2. Nella casella +Tol inserire il valore della tolleranza positiva per l'asse selezionato.

  3. Nella casella -Tol inserire il valore della tolleranza negativa per l'asse selezionato.

PC-DMIS consente di specificare una tolleranza inferiore positiva, ossia una tolleranza positiva nell'intervallo di valori negativi, inserendo un segno meno prima del valore nella casella -Tol.

Inoltre, consente di specificare una tolleranza superiore negativa, ossia una tolleranza negativa nell'intervallo di valori positivi, inserendo un segno meno prima del valore nella casella +Tol.

Esempio: se si inserisce 1,000 per il valore nominale, 0,003 per la tolleranza positiva e 0,001 per la tolleranza negativa, tali valori vengono interpretati come 1,000 + 0,003 / –0,001. Per cambiare la tolleranza inferiore in +0,001 (modificandone il segno), inserire 1,000 (nominale), 0,003 (tolleranza positiva) e –0,001 (tolleranza negativa), ottenendo, in questo modo, l'intervallo di tolleranza 1,000 + 0,003 / + 0,001.

Nota: è possibile che le tolleranze negative inferiori vengano visualizzate con un segno meno se è stata selezionata l'opzione Tol meno visualizzate come negative. Vedere “Tol meno visualizzate come negative” nella sezione "Impostazione preferenze" .

Vedere anche:

Elenco a discesa Assi

Tolleranze positive

Tolleranze negative

Minus Tolerances Plus ToleranceAxes


Elenco a discesa Assi

Nell'elenco a discesa Assi sono riportati gli assi disponibili ai quali è possibile applicare le tolleranze positive o negative. L'elenco contiene le seguenti opzioni:

TUTTO | Tutti gli assi e le opzioni visualizzate nell'elenco a discesa
X | Il valore dell'asse X
Y | Il valore dell'asse Y.
Z | Il valore dell'asse Z.
D | Diametro
R | Il raggio, ovvero la metà del diametro.
A | L'angolo per i coni.
L | La lunghezza utilizzata per i cilindri, le asole, i coni e le ellissi.
H | Altezza
RP | Il raggio polare
AP | L'angolo polare.
T | L'errore lungo il vettore di avvicinamento per i punti sulle superfici curve.
RT | La deviazione lungo il vettore del rapporto.
S | La deviazione lungo il vettore della superficie.
RS | La deviazione lungo il rapporto della superficie.
PD | Il diametro di un cerchio, perpendicolare al vettore del perno.
FORMA | La dimensione Forma integrata dell'elemento. § Per un elemento di tipo Cerchio o Cilindro rappresenta la dimensione Rotondità (RN). § Per un elemento di tipo Piano rappresenta la dimensione Planarità (FL). § Per un elemento di tipo Linea rappresenta la dimensione Linearità (ST).


Tolleranze positive

Nella casella +Tol è possibile inserire i valori positivi per le tolleranze dell'asse o degli assi selezionati dall'elenco a discesa Assi


Tolleranze negative

Nella casella -Tol è possibile inserire i valori negativi per le tolleranze dell'asse o degli assi selezionati dall'elenco a discesa Assi


Limitazioni e adattamenti ISO

Nella sezione Limiti e adattamenti ISO della finestra di dialogo è possibile applicare le tolleranze standard ISO al diametro degli elementi circolari. Dopo aver selezionato una classe e un grado di tolleranza, PC-DMIS ricercherà le tolleranze appropriate per il diametro di un cilindro o di un cerchio nelle tabelle dei limiti e degli adattamenti ISO (International Standardization Organization). In queste tabelle vengono definite le tolleranze per le diverse classi e gradi dei diametri. Sebbene in PC-DMIS sia possibile utilizzare le unità di misura inglesi (pollici) o metriche (mm) per il calcolo delle tolleranze ISO, nelle tabelle ISO sono disponibili soltanto le unità metriche (mm). Inoltre, poiché in queste tabelle vengono utilizzate varie classi e gradi di diametri, gli unici elementi validi per questa opzione sono i cilindri e i cerchi. Se non si inserisce alcun diametro nominale, per il calcolo delle tolleranze verrà utilizzato automaticamente il diametro nominale dell'elemento.

Vedere anche:

Dimensione nominale

Classe di tolleranza

Grado di tolleranza


Dimensione nominale

Nella casella Dimensione nominale è possibile inserire il diametro nominale dell'elemento selezionato.


Classe di tolleranza

Nell'elenco a discesa Classe di tolleranza è possibile selezionare una delle seguenti classi di tolleranza ISO:

A

B

C

CD

D

E

EF

F

FG

G

H

J

JS

K

M

N

P

R

S

T

U

V

X

Y

Z

ZA

ZB

ZC


Grado di tolleranza

Nell'elenco a discesa Grado di tolleranza è possibile selezionare uno dei seguenti gradi di tolleranza ISO:

IT1 | IT7 | IT13
IT2 | IT8 | IT14
IT3 | IT9 | IT15
IT4 | IT10 | IT16
IT5 | IT11 | IT17
IT6 | IT12 | IT18


Dimensionamento della posizione reale

Finestra di dialogo Posizione reale

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Posizione reale consente di calcolare la posizione reale dall'elemento all'origine X, Y o Z parallela al rispettivo asse. Vengono anche calcolati il diametro, l'angolo e il vettore dell'elemento.

Questo paragrafo si riferisce solo alle dimensioni della "posizione reale". Il dimensionamento della posizione e delle coordinate è illustrato nella sezione Dimensionamento della posizione".

Importante:se si utilizzano i datum, i valori XYZ di deviazione e misurati vengono calcolati in relazione all'allineamento dei datum, ma vengono visualizzati nell'allineamento corrente allo scopo di consentire l'interpretazione dei valori. Ciò significa che un elemento per il quale viene riportata una dimensione di posizione reale può avere valori misurati e di deviazione diversi rispetto a un'altra dimensione di posizione reale, anche se i valori nominali sono gli stessi, se per le dimensioni sono stati definiti datum differenti o non è stato definito alcun datum.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione POSIZIONE REALE

Applicazione di una posizione reale a un gruppo di cerchi o cilindri

Uso dei datum

Assi predefiniti per le dimensioni di posizione reale

deviazione

Elementi assiali

Tolleranze per le dimensioni di posizione reale

For Axial Features area Deviation areaMaterial Conditions areaAxes areaUnits areaAnalysis areaOutput To areaEdit buttonTolerances for True Position DimensionsClose buttonCreate buttonDisplay check boxClear buttonFeature List boxSearch IDID Feature


Creazione della dimensione di un elemento mediante l'opzione POSIZIONE REALE

  1. Selezionare Inserisci | Dimensione | Posizione reale dal menu secondario. Verrà visualizzata la finestra di dialogo Posizione reale. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Se si desidera utilizzare un datum, selezionare la casella di controllo Usa datum. Selezionando questa casella di controllo la dimensione viene calcolata rispetto ai datum. Tuttavia, i valori di output XYZ vengono visualizzati in relazione all'allineamento corrente nel part-program.

  4. Selezionare gli elementi datum desiderati dalla casella Elenco elementi.

  5. Impostare le condizioni di materiale per gli elementi e i datum selezionando le opzioni appropriate nella sezione Condizioni materiale.

  6. Selezionare le caselle di controllo desiderate nell'area Deviazione.

  7. Per dimensionare un elemento assiale, ad esempio un cilindro, digitare un valore nella casella Lunghezza riferimento e selezionare l'opzione appropriata nell'area Per elementi assiali.

  8. Selezionare gli assi desiderati. Per impostazione predefinita, è selezionata la casella di controllo Auto.

  9. Selezionare gli assi ai quali applicare le tolleranze positiva e negativa.

  10. Inserire il valore di tolleranza positiva nella casella + Tol.

  11. Inserire il valore di tolleranza negativa nella casella - Tol.

  12. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  13. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambio Nessuno.

  14. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  15. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  16. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

DIM nome_dimensione = POSIZIONE REALE DI ID_ELEM UNITÁ = POLL/MM,
GRAF=ON/OFF TESTO=ON/OFF MULT=n OUTPUT=RAPPORTO/STAT/ENTRAMBI/NESSUNO
FIT TO DATUMS=ON/OFF DEV PERPEND. A LINEA CENTRALE=ON/OFF VISUAL=DIAMETRO/RAGGIO

AS | NOM | MIS | +TOL | -TOL | BON | DEV | ANG_DEV | FUORI_TOLL
X | 0.7500 | .07500 | 0.0000 |  |  | 0.0000 |  |
Y | 3.0000 | 3.0000 | 0.0000 |  |  | 0.0000 |  |
DE | 1.0000 | 1.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000 |  | 0.0000
D1 D2 D3 TP | 1.0000 1.0000 MMC | 1.0000 1.0000 1.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 | 0.0000 0.0000 0.0000 | PIANO CERCHIO CERCHIO 0.0000 | P1 AT RFS C1 AT MMC C2 AT MMC 0.000 | 0.0000

FINE nome_dimensione


Applicazione di una posizione reale a un gruppo di cerchi o cilindri

  1. Creare un insieme di elementi dei fori utilizzando l'opzione di menu Inserisci | Elemento | Costruito | Insieme (vedere "Costruzione di un insieme di elementi" dalla sezione "Costruzione di nuovi elementi da elementi esistenti" per istruzioni sulla creazione di insiemi di elementi). Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione di menu Posizione reale. Viene visualizzata la finestra di dialogo Posizione reale.

  3. Nella finestra di dialogo Posizione reale, selezionare l'insieme di elementi creato come elemento di input e tutte le altre opzioni utilizzate per la dimensione.

  4. Selezionare la casella di controllo Testuale dalla sezione Analisi.

  5. Aprire la finestra Rapporto (Visualizza | finestra Rapporto) e dalla barra degli strumenti dei rapporti selezionare l'icona Visualizza Modalità rapporto. A questo punto è possibile visualizzare la deviazione di ciascun elemento nonché la traslazione e la rotazione necessarie per far rientrare gli elementi nella tolleranza. I risultati vengono sempre visualizzati indipendentemente dalla dimensione dell'elemento (RFS) sul datum per visualizzare la deviazione massima.


Uso dei datum

Benché sia possibile utilizzare più combinazioni di elementi come datum per le dimensioni Posizione reale, è necessario attenersi ad alcune regole generali quando si selezionano gli elementi datum.

Spesso i progettisti che utilizzano le dimensioni Posizione reale specificano un cerchio o un cilindro come unico elemento datum.

Un'altra pratica comune consiste nel selezionare un insieme di elementi datum che segue i principi di allineamento 3-2-1. Tenere presente che la definizione minima per un datum è rappresentata da tre punti per il primo datum, due punti per il secondo datum e un punto per il terzo datum. Gli elementi selezionati corrispondono quindi rispettivamente ad un piano, ad una linea e ad un punto singolo.

Tuttavia, è possibile utilizzare i principi dell'allineamento 3-2-1 per altre combinazioni, quali piano/linea/linea, piano/linea/cerchio, piano/cilindro/cilindro ed altre ancora.

Se sono stati utilizzati più elementi circolari con la condizione di massimo materiale (MMC) o con la condizione di minimo materiale (LMC),

  • La tolleranza bonus per l'asse TP non verrà semplicemente aggiunta alle altre tolleranze bonus, poiché sarà necessario un calcolo best-fit per determinare la tolleranza bonus corretta.

  • Qualsiasi elemento circolare o asola può essere misurato utilizzando la condizione MMC o LMC.

  • Tutti gli elementi non circolari vengono misurati indipendentemente dalle dimensioni dell'elemento (RFS).

Nota: Quando gli elementi datum sono selezionati, la posizione reale X,Y, Gli assi Z, PA e PR vengono calcolati rispetto all’allineamento dei datum ma sono visualizzati nell’allineamento corrente con lo scopo di interpretare i dati. Inoltre, per selezionare gli elementi datum è necessario seguire le procedure descritte in precedenza; in caso contrario, la dimensione potrebbe restituire risultati imprevisti.

Vedere anche:

Uso degli stessi datum quando si ripetono le dimensioni


Uso degli stessi datum quando si ripetono le dimensioni

Per utilizzare gli stessi datum di una precedente dimensione Posizione reale nella dimensione Posizione reale corrente, selezionare l'elemento da dimensionare, quindi fare clic sul pulsante Richiama nell'area Condizione materiale. Vedere "Pulsante Richiama".


Assi predefiniti per le dimensioni di posizione reale

La casella di controllo Predefinito consente di modificare il formato di output predefinito. Quando si seleziona la casella di controllo Auto, gli assi visualizzati nella dimensione vengono selezionati in base agli assi predefiniti del tipo di elemento. Tuttavia, talvolta potrebbe essere necessario sostituire l'impostazione predefinita; A tale scopo, è sufficiente selezionare le caselle desiderate.

X = stampa il valore dell'asse X.
Y = stampa il valore dell'asse Y.
Z = stampa il valore dell'asse Z.
AP = stampa il valore dell'angolo polare.
RP = stampa il valore del raggio polare.
D1 = stampa il valore del diametro/larghezza del primo datum.
D2 = stampa il valore del diametro/larghezza del secondo datum.
D3 = stampa il valore del diametro/larghezza del terzo datum.
DE = stampa il diametro dell'elemento.
LF = stampa la lunghezza dell'elemento se l'elemento è un'asola.
WF = stampa la larghezza dell'elemento se l'elemento è un'asola.
LD = stampa la lunghezza del datum se il datum è un'asola.
WD = stampa la larghezza del datum se il datum è un'asola.
TP = stampa la tolleranza della posizione reale e la deviazione associata.
Forma = stampa la dimensione Forma integrata dell'elemento.
§ Per un elemento di tipo Cerchio o Cilindro rappresenta la dimensione Rotondità (RN).
§ Per un elemento di tipo Piano rappresenta la dimensione Planarità (FL).
§ Per un elemento di tipo Linea rappresenta la dimensione Linearità (ST).

Dopo aver modificato i valori di output predefiniti, PC-DMIS utilizzerà le nuove impostazioni per tutte le dimensioni successive. Per fare in modo che vengano riutilizzati gli assi predefiniti originali, è necessario ripristinare le impostazioni predefinite per il formato.

Per ripristinare le impostazioni predefinite per il formato, effettuare le seguenti operazioni:

  1. Selezionare la casella di controllo Auto.

  2. Selezionare la casella di controllo Predefinito.

  3. Fare clic sul pulsante Crea.

Verrà ripristinata automaticamente la dimensione, in modo da stampare gli assi predefiniti in base al tipo di elemento.

Nota: se la casella di controllo Auto è selezionata, verranno determinati automaticamente gli assi predefiniti da stampare. Il formato di output predefinito dipende dal tipo di elemento. La posizione reale dell'elemento selezionato viene determinata automaticamente in base al formato dell'asse specificato nella finestra precedente.


Deviazione

La sezione Deviazione consente di selezionare le opzioni che determinano il modo in cui le deviazioni vengono eseguite e il modo in cui vengono visualizzate nella finestra di modifica.

Vedere anche:

Adattamento ai datum

Deviazione perpendicolare alla linea centrale

Visualizza come raggio


Adattamento ai datum

La casella di controllo Adattamento ai datum consente di determinare se viene richiamato l'algoritmo di adattamento quando vengono utilizzati i datum.

  • Quando viene selezionata, l'algoritmo di adattamento viene richiamato quando vengono specificati i datum. In tal caso, l'elemento considerato viene inserito nella posizione di adattamento e il bonus totale sarà il bonus disponibile rimanente dopo l'adattamento.

  • Quando è deselezionata, PC-DMIS analizza la dimensione della posizione reale con elementi nella relativa posizione misurata senza applicare adattamenti. Il bonus totale riportato è il bonus disponibile totale dall'elemento considerato e il datum in base alle restrizioni del datum.


Deviazione perpendicolare alla linea centrale

La casella di controllo Deviazione perpendicolare alla linea centrale consente di determinare se PC-DMIS calcola la deviazione perpendicolarmente lungo la linea centrale teorica dell'elemento oppure perpendicolarmente ai valori diretti di X, Y e Z.

  • Se la casella è selezionata, PC-DMIS calcola la deviazione perpendicolarmente alla linea centrale teorica dell'elemento, ignorando qualsiasi deviazione nella direzione della linea centrale.

  • Se la casella è deselezionata, PC-DMIS calcola la deviazione perpendicolarmente ai valori X, Y e Z.

Questa casella di controllo è particolarmente utile con i punti degli elementi automatici, i cui vettori di avvicinamento potrebbero non essere orientati lungo l'asse X, Y o Z. Questa casella di controllo consente di impostare la deviazione perpendicolare al vettore di avvicinamento.


Visualizza come raggio

La casella di controllo Visualizza come raggio consente di determinare se PC-DMIS visualizzerà o meno i raggi degli elementi e i datum anziché visualizzare i diametri.

  • Se la casella è selezionata, PC-DMIS visualizza i raggi nelle linee DF, D1, D2, D3 e TP e inserisce del testo nel campo relativo alla dimensione della finestra di modifica per indicare se viene visualizzata il diametro o il raggio degli elementi.

  • Se la casella è deselezionata, PC-DMIS visualizza i diametri.

Importante:se si utilizza questa casella di controllo, non è possibile rispettare gli standard ISO.


Elementi assiali

Per elementi assiali, come i cilindri, è possibile specificare in quale posizione sull'asse PC-DMIS deve creare la dimensione Posizione Reale (True Position). È possibile creare la dimensione nel punto medio (o baricentro), nel punto iniziale, oppure nel punto finale dell'asse, nell'estremità peggiore (quella con la maggior deviazione), oppure in entrambe le estremità. Si puó anche creare la dimensione ad una lunghezza di riferimento data, rispetto al punto selezionato sull'asse.

Per utilizzare la lunghezza di riferimento con la dimensione True Position occorre:

  1. Digitare il valore desiderato nella casella Lunghezza riferimento.

  2. Selezionare uno dei pulsanti di opzione (Da Media Assi, Da Punto Iniziale Asse, Da Punto Finale Asse, Da Estremità peggiore Asse o Da Entrambe le Estremità Asse).

  3. Fare clic sul pulsante Crea. PC-DMIS rileva il punto selezionato (o i punti selezionati, se l'opzione Da Entrambe le Estremitá dell'Asse è selezionata), quindi sposta lungo l'asse la distanza pari alla lunghezza di riferimento specificata e crea la(le) dimensione(i).

Opzione | Descrizione
Lunghezza di riferimento | Il valore in questa casella specifica la lunghezza a partire dal punto selezionato o dall'estremità dell'asse in cui viene creata la dimensione True Position.
Da media assi | Questa opzione specifica che la dimensione dell'elemento assiale deve essere creata dal baricentro dell'asse.
Da punto iniziale asse | Questa opzione specifica che la dimensione dell'elemento assiale deve essere creata dal Punto Iniziale dell'asse.
Da punto finale asse | Questa opzione specifica che la dimensione dell'elemento assiale deve essere creata dal Punto Finale dell'asse.
Da estremità asse peggiore | Questa opzione specifica che la dimensione deve essere creata a partire dal punto finale o iniziale che presenta la condizione peggiore, per quanto riguarda la dimensione. PC-DMIS crea la dimensione in corrispondenza di quella estremità dell'asse che presenta la deviazione maggiore dal valore nominale. Ad esempio, se il pezzo contiene un cilindro inclinato, il punto iniziale o finale lungo l'asse del cilindro con la maggiore deviazione rispetto al valore nominale è il punto che offre le prospettive di dimensionamento peggiori.
Da entrambe estremità asse | L'opzione specifica che la dimensione dell'elemento assiale deve essere creata sia dal punto finale che dal punto iniziale dell'asse selezionato. PC-DMIS crea la dimensione ad entrambe le estremità dell'asse.


Tolleranze per le dimensioni di posizione reale

L'area Tolleranza consente di specificare la tolleranza positiva e la tolleranza negativa per ciascuno degli assi presenti nell'elenco a discesa Assi, nonché definire determinati modificatori delle condizioni di materiale.

Per inserire le tolleranze degli assi, effettuare le seguenti operazioni:

  1. Selezionare l'asse per il quale verrà inserita la tolleranza.

  2. Nella casella + Tol inserire il valore di tolleranza positiva per questo asse.

  3. Nella casella - Tol inserire il valore di tolleranza negativa per questo asse.

  4. Selezionare i modificatori delle condizioni dei materiali dall'area Condizioni materiale.

È possibile impostare le tolleranze per più assi dell'elenco. PC-DMIS memorizza le tolleranze definite insieme all'elemento selezionato nell'elenco. Anche se nell’elenco Assi é selezionato un elemento diverso a cui sono assegnate tolleranze diverse, é possibile scorrere gli assi disponibili, visualizzare ed impostare ognuna delle tolleranze memorizzate.

Vedere anche:

Assi

Tolleranza positiva

Tolleranza negativa

Minus PlusAxes


Assi

Nell'elenco a discesa Assi sono riportati gli assi disponibili ai quali è possibile applicare le tolleranze positive e/o negative. L'elenco contiene le seguenti opzioni:

TUTTO | Tutte le opzioni e gli assi visualizzati nell'elenco a discesa.
D1 | Diametro/Larghezza del primo datum
D2 | Diametro/Larghezza del secondo datum
D3 | Diametro/Larghezza del terzo datum
DE | Diametro/Larghezza dell'elemento
LF | Lunghezza dell'elemento, se l'elemento è un'asola
WF | Larghezza dell'elemento, se l'elemento è un'asola
LD | Lunghezza del datum, se il datum è un'asola
WD | Larghezza del datum, se il datum è un'asola
TP | La tolleranza della posizione reale e la deviazione associata.
FORMA | La dimensione Forma integrata dell'elemento. § Per un elemento di tipo Cerchio o Cilindro rappresenta la dimensione Rotondità (RN). § Per un elemento di tipo Piano rappresenta la dimensione Planarità (FL). § Per un elemento di tipo Linea rappresenta la dimensione Linearità (ST).


Tolleranza positiva

Nella casella +Tol è possibile inserire i valori positivi per le tolleranze dell'asse o degli assi selezionati dall'elenco a discesa Assi.


Tolleranza negativa

Nella casella -Tol è possibile inserire i valori negativi per le tolleranze dell'asse o degli assi selezionati dall'elenco a discesa Assi.


Dimensionamento della distanza

Finestra di dialogo Distanza

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Distanza consente di calcolare la distanza tra due elementi. È possibile selezionare un terzo elemento o un asse per la direzione da utilizzare nel calcolo.

Il calcolo della distanza è più difficile da visualizzare rispetto al calcolo delle altre dimensioni. Per il calcolo della distanza tra due elementi viene utilizzato il metodo predefinito oppure della linea retta. Le distanze bidimensionali calcolate utilizzando una linea retta risulteranno parallele al piano di lavoro, mentre le distanze tridimensionali calcolate utilizzando una linea retta verranno misurate tra i baricentri dei due elementi.

Vedere anche:

Creazione della dimensione di una distanza mediante l'opzione DISTANZA

Tolleranze per le dimensioni delle distanze

Regole generali per le dimensioni delle distanze 2D e 3D

Relazione per le dimensioni delle distanze

Orientamento per le dimensioni delle distanze

Opzioni cerchio

Circle Options area Relationship areaOrientation areaDistance Type areaOutput To areaSearch IDID FeatureFeature List boxLast Two buttonDisplay check boxCreate buttonClose buttonTolerances for Distance DimensionsClear buttonEdit buttonAnalysis areaUnits


Creazione della dimensione di una distanza mediante l'opzione DISTANZA

  1. Selezionare Inserisci | Dimensione | Distanza dal menu secondario. Viene visualizzata la finestra di dialogo Distanza. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Inserire il valore di tolleranza negativa nella casella -Tol.

  5. Selezionare l'opzione Bidimensionale o Tridimensionale per specificare il tipo di distanza.

  6. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  7. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambio Nessuno.

  8. Selezionare l'opzione Rispetto a elemento, Rispetto ad asse X, Rispetto ad asse Y o Rispetto ad asse Z per determinare la relazione che definisce la distanza.

  9. Selezionare il pulsante di scelta Perpendicolare a o Parallelo a.

  10. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  11. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  12. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  13. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

DIM nome_dimensione = DISTANZA_2D DA elem_1 A elem_2 ALTER1 A ALTER2, ALTER3, UNITÁ=MM/POLL,
GRAF=ON/OFF TESTO=ON/OFF MULT=n OUTPUT=NESSUNO/RAPPORTO/STAT
o
DIM nome_dimensione = DISTANZA_3D DA elem_1 A elem_2, ALTER3, UNITÁ=MM/POLL,
GRAF=ON/OFF TESTO=ON/OFF MULT=n OUTPUT=NESSUNO/RAPPORTO/STAT

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

ALTER1 = PAR / PERP (Parallelo o Perpendicolare)

ALTER2= ASSEX / ASSEY / ASSEZ / elemento

piano di lavoro = È possibile modificare questo campo inserendo un elemento qualsiasi. Il valore predefinito è il piano di lavoro corrente.

ALTER3= NO_RAGGIO / AGG_RAGGIO / SOTTR_RAGGIO


Tolleranze per le dimensioni delle distanze

Nell'area Tolleranze è possibile specificare le tolleranze positiva e negativa per le distanze, nonché le direzioni positiva e negativa.

Vedere anche:

Tolleranza positiva

Tolleranza negativa

Distanze nominali


Tolleranza positiva

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi angolo superiore all'angolo nominale o teorico può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.


Tolleranza negativa

La casella -Tol consente di inserire un valore di tolleranza insieme alla direzione negativa. In questo modo, qualsiasi angolo inferiore all'angolo nominale o teorico può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.


Distanze nominali

I valori nominali delle distanze tra elementi non si basano sempre sui dati CAD o su dati misurati. Talvolta sono disponibili da una stampa e in tal caso è possibile immettere il valore della distanza nominale riportato in tale stampa nella casella Nominale.


Regole generali per le dimensioni delle distanze 2D e 3D

Per le dimensioni delle distanze 2D e 3D vengono applicate le seguenti regole in base agli elementi correlati:

Utilizzo degli elementi

  • Sfere, punti ed insiemi vengono considerati Punti.

  • Asole, cilindri, coni, linee e cerchi vengono considerati Linee.

  • I piani vengono considerati normalmente come Piani.

Altre regole

  • Se entrambi gli elementi sono punti (come definito in precedenza), PC-DMIS calcola la distanza più breve tra i punti.

  • Se un elemento è una linea (come definito in precedenza) e l'altro è un punto, PC-DMIS calcola la distanza più breve tra la linea (o mezzeria) e il punto.

  • Se entrambi gli elementi sono linee, PC-DMIS calcola la distanza più breve tra il baricentro della seconda linea e la prima linea.

  • Se un elemento è un piano e l'altro è una linea, PC-DMIS calcola la distanza inferiore tra il baricentro della linea e il piano.

  • Se un elemento è un piano e l'altro è un punto, PC-DMIS calcola la distanza inferiore tra il punto e il piano.

  • Se entrambi gli elementi sono piani, PC-DMIS calcola la distanza inferiore tra il baricentro del secondo piano e il primo piano.

Vedere anche:

Distanza bidimensionale

Distanza tridimensionale


Distanza bidimensionale

Per distanza minima e massima si intende la distanza misurata tra due linee in corrispondenza della lunghezza delle linee stesse.

L'opzione Bidimensionale consente di calcolare la distanza bidimensionale tra gli elementi. Prima di eseguire il calcolo della distanza bidimensionale, tutti gli elementi interessati vengono proiettati sul piano di lavoro corrente. PC-DMIS calcola la distanza massima, minima e media tra i due elementi. Se si calcola la distanza tra due linee o due piani, i valori massimo, minimo e medio vengono calcolati utilizzando i dati dei punti della misura. (verificare che il tipo di distanza sia impostato su Bidimensionale).

Le distanze bidimensionali calcolate utilizzando tre elementi risulteranno parallele o perpendicolari ad un elemento di tipo datum che può essere un qualsiasi elemento già misurato o costruito.

Per calcolare la distanza utilizzando tre elementi, effettuare le seguenti operazioni:

  1. Selezionare i due elementi che verranno utilizzati per il calcolo della distanza.

  2. Selezionare il terzo elemento (datum). Per ottenere risultati ottimali, come terzo elemento si consiglia di utilizzare una linea.

  3. Verificare che sia stato selezionato l'orientamento corretto.

  4. Selezionare la casella di controllo Rispetto a elemento.

  5. Fare clic sul pulsante Crea.

PC-DMIS calcola la distanza tra i primi due elementi paralleli o perpendicolari al terzo elemento (datum) o asse.

Nota: quando si seleziona il pulsante Chiudi, la finestra di dialogo Distanza viene chiusa e non viene creata un'altra dimensione.


Distanza tridimensionale

L'opzione Tridimensionale consente di calcolare la distanza tridimensionale tra due elementi.

  • Se uno degli elementi di input è una linea, una linea centrale o un piano, PC-DMIS calcola la distanza tridimensionale normale dall'elemento.

  • Se entrambi gli elementi sono linee, linee centrali o piani, per il datum viene utilizzato il secondo elemento.

  • Se nessuno degli elementi di input è una linea, una linea centrale o un piano, viene calcolata la distanza più breve tra i due elementi (verificare che la modalità sia impostata su Tridimensionale).


Relazione per le dimensioni delle distanze

Le caselle di controllo nella sezione Relazione della finestra di dialogo consentono di specificare se la distanza misurata tra due elementi sarà perpendicolare o parallela ad un determinato asse oppure perpendicolare o parallela a un elemento selezionato:

Vedere anche:

Rispetto a elemento

Rispetto ad asse X

Rispetto ad asse Y

Rispetto ad asse Z


Casella di controllo Rispetto a elemento

Selezionando la casella di controllo Rispetto a elemento, è possibile selezionare le opzioni Perpendicolare a o Parallelo anell'area Orientamento. Queste opzioni indicano a PC-DMIS di misurare la distanza dal primo elemento, parallela o perpendicolare al secondo elemento selezionato.

Se sono selezionati solo due elementi nell'elenco, PC-DMIS calcola la distanza tra il primo ed il secondo elemento, parallelamente o perpendicolarmente al secondo elemento.

Se sono selezionati tre elementi nell'elenco, PC-DMIS calcola la distanza tra il primo ed il secondo elemento, parallelamente o perpendicolarmente al terzo elemento.

L’elemento usato per stabilire la relazione deve essere di tipo lineare.


Casella di controllo Rispetto ad asse X

Selezionare la casella di controllo Rispetto ad asse X se si esegue la misurazione della distanza tra il primo e il secondo elemento selezionato, perpendicolare o parallelo all'asse X.


Casella di controllo Rispetto ad asse Y

Selezionare la casella di controllo Rispetto ad asse Y se si esegue la misurazione della distanza tra il primo e il secondo elemento selezionato, perpendicolare o parallelo all'asse Y.


Casella di controllo Rispetto ad asse Z

Selezionare la casella di controllo Rispetto ad asse Z se si esegue la misurazione della distanza tra il primo e il secondo elemento selezionato, perpendicolare o parallelo all'asse Z.


Orientamento per le dimensioni delle distanze

Per misurare la distanza tra due elementi, è possibile utilizzare uno dei due metodi seguenti:

  • Misurare la distanza tra il primo elemento selezionato, parallelo o perpendicolare al secondo elemento selezionato.

  • Misurare la distanza tra il primo e il secondo elemento selezionato, parallelo o perpendicolare ad un determinato asse.

Le opzioni Perpendicolare a e Parallelo a consentono di determinare l'orientamento degli elementi.

Vedere anche:

Perpendicolare a

Parallelo a


Perpendicolare a

Selezionare l'opzione Perpendicolare a se la distanza tra due elementi è perpendicolare al secondo elemento o all'asse specificato.


Parallelo a

Selezionare l'opzione Parallelo a se la distanza tra due elementi è parallela al secondo elemento o all'asse specificato.


Opzioni cerchio

Nella sezione Opzioni cerchio è possibile utilizzare le opzioni Aggiungi raggio e Sottrai raggio per indicare a PC-DMIS di aggiungere o sottrarre il raggio dell'elemento misurato dalla distanza totale misurata. Il valore aggiunto o sottratto si troverà sempre sullo stesso vettore utilizzato per calcolare la distanza. Per attivare questa modalità, verificare che l'opzione di menu Modalità nuovo allineamento non sia contrassegnata da un segno di spunta. In caso contrario, è necessario selezionare nuovamente tale opzione di menu per disattivarla.

Se si utilizza l'opzione Nessun raggio, il raggio dell'elemento non viene applicato alla distanza misurata.


Dimensionamento angolo

Finestra di dialogo Angolo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Angolo consente di calcolare l'angolo tra due elementi selezionati. Verificare che l'opzione Rispetto a elemento sia selezionata. Se si specifica un solo elemento, l'angolo viene calcolato tra l'asse principale del piano di lavoro corrente (l'asse predefinito è l'asse X) e l'elemento selezionato. Se l'angolo restituito da PC-DMIS non si trova nel quadrante corretto (ad esempio, viene visualizzato un angolo pari a 180,0 anziché 0,0), è sufficiente inserire l'angolo nominale corretto nella finestra di modifica. A questo punto, il quadrante verrà convertito automaticamente in modo che corrisponda all'angolo nominale.

La direzione delle linee determina l'angolo misurato.

La dimensione Angolo calcola l’angolo tra gli elementi specificati e controlla se il valore dell'angolo è compreso nell'intervallo di tolleranza. La banda di tolleranza di dimensione dell'angolo è espressa in radianti o gradi.

Il valore misurato é un angolo (blu). La banda di tolleranza é un altro angolo (nero).

Vedere anche:

Creazione della dimensione dell'angolo tra due elementi

Tolleranze per le dimensioni dell'opzione Angolo

Tipo di angolo

Relazione per le dimensioni dell'opzione Angolo tra

Angle Type areaRelationship areaAnalysis areaOutput To areaEdit buttonTolerances for Angle DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast Two buttonFeature List boxSearch IDID Feature


Creazione della dimensione dell'angolo tra due elementi

  1. Selezionare Inserisci | Dimensione | Angolo dal menu secondario. Viene visualizzata la finestra di dialogo Angolo. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Inserire il valore di tolleranza negativa nella casella -Tol.

  5. Selezionare l'opzione Bidimensionale o Tridimensionale per specificare il tipo di angolo.

  6. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  7. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  8. Selezionare l'opzione Rispetto a elemento, Rispetto ad asse X, Rispetto ad asse Y o Rispetto ad asse Z per determinare la relazione che definisce l'angolo.

  9. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  10. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  11. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = ANGOLO_2DALTER1,DA elemento_1,A elemento_2,ALTER2,piano di lavoro
o
nome_dimensione = ANGOLO_3DALTER1,DA elemento_1,A elemento_2,ALTER2,piano di lavoro

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
A | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

ALTER1= VERO / COMPLEMENTO. È possibile utilizzare questo campo per verificare o modificare se per la dimensione dell'opzione Angolo viene calcolato l'angolo reale o il complemento dell'angolo reale tra due elementi.

ALTER2= PARALLELO_A / PERPENDICOLARE_A

piano di lavoro = È possibile modificare questo campo inserendo un elemento qualsiasi. Il valore predefinito è il piano di lavoro corrente.


Tolleranze per le dimensioni dell'opzione Angolo

Nell'area Tolleranze è possibile specificare le tolleranze positiva e negativa, nonché le direzioni positiva e negativa.

Vedere anche:

Tolleranza positiva

Tolleranza negativa

Valori nominali degli angoli tra:


Tolleranza positiva

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi profilo con una dimensione maggiore di quella del profilo nominale o teorico può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.

Inoltre, consente di specificare una tolleranza superiore negativa, ossia una tolleranza negativa nell'intervallo di valori positivi, inserendo un segno meno prima del valore nella casella +Tol.


Tolleranza negativa

La casella -Tol consente di inserire un valore di tolleranza insieme alla direzione negativa. In questo modo, qualsiasi profilo con una dimensione inferiore a quella del profilo nominale o teorico può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.

PC-DMIS consente di specificare una tolleranza inferiore positiva, ossia una tolleranza positiva nell'intervallo di valori negativi, inserendo un segno meno prima del valore nella casella -Tol.


Valori nominali degli angoli tra:

I valori nominali delle distanze tra elementi non si basano sempre sui dati CAD o su dati misurati. Talvolta sono disponibili da una stampa e in tal caso è possibile immettere il valore dell'angolo nominale riportato in tale stampa nella casella Nominale.


Tipo di angolo

L'area Tipo di angolo determina se l'angolo è bidimensionale o tridimensionale.

Vedere anche:

Tipo di angolo bidimensionale

Tipo di angolo tridimensionale


Tipo di angolo bidimensionale

L'opzione Bidimensionale consente di calcolare l'angolo bidimensionale tra gli elementi.


Tipo di angolo tridimensionale

L'opzione Tridimensionale consente di calcolare l'angolo tridimensionale tra gli elementi. Se si seleziona un solo elemento, l'angolo viene calcolato tra il piano di lavoro corrente e l'elemento selezionato. Per le istruzioni sulla conversione del quadrante dell'angolo restituito, vedere "Dimensionamento dell'angolo tra".


Relazione per le dimensioni dell'opzione Angolo tra

Le caselle di controllo dell'area Relazione della finestra di dialogo consentono di specificare se la dimensione dell'Angolo può calcolare l'angolo tra due elementi, oppure tra un elemento ed un particolare asse: Asse X, Y e Z.

Vedere anche:

Rispetto a elemento

Rispetto ad asse X

Rispetto ad asse Y

Rispetto ad asse Z


Rispetto a elemento

Selezionare la casella di controllo Rispetto a elemento se si esegue la misurazione dell'angolo tra due elementi.

Il secondo elemento sarà l'elemento datum.


Rispetto ad asse X

Selezionare la casella di controllo Rispetto ad asse Xse si esegue la misurazione dell'angolo tra un elemento e l'asse X.


Rispetto ad asse Y

Selezionare la casella di controllo Rispetto ad asse Yse si esegue la misurazione dell'angolo tra un elemento e l'asse Y.


Rispetto ad asse Z

Selezionare la casella di controllo Rispetto ad asse Z se si esegue la misurazione dell'angolo tra un elemento e l'asse Z.


Dimensionamento della concentricità

Finestra di dialogo Concentricità

Visualizza Mappa Percorsi dei Menu

Se il primo elemento selezionato è una sfera, anche il secondo elemento deve essere una sfera. PC-DMIS calcolerà la concentricità tra i due elementi utilizzando la modalità tridimensionale.

L'opzione di menu Inserisci | Dimensione | Concentricità consente di calcolare la concentricità di due cerchi, cilindri, coni o sfere. Il secondo elemento immesso è sempre l'elemento datum e può essere una linea che rappresenta un asse. Se si seleziona un solo elemento, come elemento datum viene utilizzato il piano di lavoro corrente. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione CONCENTRICITÀ

Tolleranza per le dimensioni della concentricità

Output To area Search IDID FeatureFeature List boxLast Two buttonDisplay check boxCreate buttonClose buttonTolerances for Concentricity DimensionsClear buttonEdit buttonAnalysis areaUnits


Creazione della dimensione di un elemento mediante l'opzione CONCENTRICITÀ

  1. Selezionare Inserisci | Dimensione | Concentricità dal menu secondario. Viene visualizzata la finestra di dialogo Concentricità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = CONCENTRICITÁ elem_1,A elem_2

oppure

nome_dimensione = CONCENTRICITÁ,Da elem_1,A ORIGINE

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza per le dimensioni della concentricità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi concentricità diversa dalla concentricità nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento della coassialità

Finestra di dialogo Coassialità

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Coassialità consente di calcolare la coassialità di un cilindro, di un cono o di una linea con un elemento datum. Il secondo elemento inserito è sempre un elemento datum oppure un cilindro, un cono, una linea o un cerchio. Se viene selezionato un solo elemento e si fa clic su Crea, PC-DMIS cancella l'elenco e visualizza un messaggio in cui viene chiesto un secondo elemento.

Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione COASSIALITÀ

Tolleranza positiva per le dimensioni della coassialità

Distanza di proiezione per la coassialità

Output To area Search IDID FeatureFeature List boxLast Two buttonDisplay check boxCreate buttonClose buttonPlus Tolerance for CoaxialityClear buttonEdit buttonAnalysis areaUnits areaProjection area


Creazione della dimensione di un elemento mediante l'opzione COASSIALITÀ

  1. Selezionare Inserisci | Dimensione | Coassialità dal menu secondario. Viene visualizzata la finestra di dialogo Coassialità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Specificare le opzioni di analisi desiderate selezionando una o entrambe le caselle di controllo. Se è stata selezionata la casella di controllo Grafica inserire il valore del moltiplicatore nella casella Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = COASSIALITÁ,DA elem_1,A elem_2
o
nome_dimensione = COASSIALITÁ,DA elem_1,A ORIGINE

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Nota: dopo aver creato la dimensione, la finestra di dialogo rimane aperta. Se si desidera, è possibile utilizzare il pulsante Modifica per modificare alcune delle informazioni relative alla dimensione. Vedere "Modifica info dimensione predefinite".


Tolleranza positiva per le dimensioni della coassialità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi valore di coassialità diverso dalla coassialità nominale o teorica può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.


Distanza di proiezione per la coassialità

PC-DMIS consente di inserire una distanza di riferimento. Questa opzione risulta utile se si desidera specificare i punti lungo l'asse dell'elemento da usare nei calcoli di coassialità. Se questa distanza equivale a zero, i due punti utilizzati corrisponderanno ai punti finali dell'asse. Se questa distanza è diversa da zero, i due punti utilizzati saranno il punto iniziale dell'asse e la distanza dal punto iniziale lungo il vettore dell'asse.

Aumentando la distanza proiettata l’errore viene amplificato. Se la distanza diminuisce, l'errore è ridotto. Per esempio, si supponga che due stuzzicadenti giacciano su un piano, sulla stessa linea, con due estremitá a contatto. Agli estremi che non si toccano, a distanza di 50 mm, l'errore di coassialità può essere intorno a 0,127 mm. Ora immaginiamo che questi stuzzicadenti siano lunghi 500 mm, a distanza di 50 mm la coassialità è ancora 0,1 mm ma a distanza di 500 mm l'errore potrà diventare 1,27 mm.

Il valore inserito nel campo Distanza si riferisce alla lunghezza totale dell'elemento.


Dimensionamento della circolarità

Finestra di dialogo Circolarità

Visualizza Mappa Percorsi dei Menu

Per determinare la rotondità di un elemento, è necessario definire un punto e il numero minimo di punti richiesto per l'elemento. Se si aggiungono ulteriori punti, è possibile ottenere una rappresentazione migliore della rotondità dell'intero elemento.

L'opzione di menu Inserisci | Dimensione | Circolarità consente di determinare la circolarità di un cerchio, la sfericità di una sfera e la conicità di un cono. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione CIRCOLARITÀ

Tolleranza positiva per le dimensioni della circolarità

Units area Analysis areaOutput To areaEdit buttonTolerances for Roundness DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast buttonFeature List boxSearch IDID Feature


Creazione della dimensione di un elemento mediante l'opzione ROTONDITÀ

Creazione della dimensione di un elemento mediante l'opzione CIRCOLARITÀ

  1. Selezionare Inserisci | Dimensione | Circolarità dal menu secondario. Viene visualizzata la finestra di dialogo Circolarità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Selezionare le opzioni di analisi desiderate selezionando la casella di controllo Testuale o Grafica. Se è stata selezionata la casella di controllo Grafica, inserire il valore del moltiplicatore nella casella di controllo Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = CIRCOLARITÁ,DI elem_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza positiva per le dimensioni della circolarità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi rotondità diversa dalla rotondità nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento della cilindricità

Finestra di dialogo Cilindricità

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Cilindricità consente di determinare la cilindricità di un cilindro. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione CILINDRICITÀ

Tolleranza positiva per le dimensioni della cilindricità

Units area Analysis areaOutput To areaEdit buttonTolerances for Roundness DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast buttonFeature List boxSearch IDID Feature


Creazione della dimensione di un elemento mediante l'opzione CILINDRICITÀ

  1. Selezionare Inserisci | Dimensione | Cilindricità dal menu secondario. Viene visualizzata la finestra di dialogo Cilindricità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi. È possibile selezionare solo gli elementi relativi al cilindro.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Selezionare le opzioni di analisi desiderate selezionando la casella di controllo Testuale o Grafica. Se è stata selezionata la casella di controllo Grafica, inserire il valore del moltiplicatore nella casella di controllo Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = CILINDRICITÁ,DI elemento_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza positiva per le dimensioni della cilindricità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi cilindricità diversa dalla cilindricità nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento della linearità

Finestra di dialogo Linearità

Visualizza Mappa Percorsi dei Menu

Per determinare la linearità di una linea, sono necessari almeno tre punti.

L'opzione di menu Inserisci | Dimensione | Linearità consente di calcolare la linearità di una linea. Questo tipo di dimensione è considerato con un solo lato, vale a dire che viene applicata una sola tolleranza del valore positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione LINEARITÀ

Tolleranza positiva per le dimensioni della linearità

Units area Analysis areaOutput To areaEdit buttonTolerance for Straightness DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast buttonFeature List boxSearch IDID Feature


Creazione della dimensione di un elemento mediante l'opzione LINEARITÀ

  1. Selezionare Inserisci | Dimensione | Linearità dal menu secondario. Viene visualizzata la finestra di dialogo Linearità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = LINEARITÁ,DI elemento_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza positiva per le dimensioni della linearità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi linearità diversa dalla linearità nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento della planarità

Finestra di dialogo Planarità

Visualizza Mappa Percorsi dei Menu

Per determinare la planarità di un piano, sono necessari almeno quattro punti.

L'opzione di menu Inserisci | Dimensione | Planarità consente di determinare la planarità di un piano. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione PLANARITÀ

Tolleranza positiva per la planarità

Output To area Search IDID FeatureFeature List boxLast buttonDisplay check boxCreate buttonClose buttonPlus Tolerance for FlatnessClear buttonEdit buttonAnalysis areaUnits area


Creazione della dimensione di un elemento mediante l'opzione PLANARITÀ

  1. Selezionare Inserisci | Dimensione | Planarità dal menu secondario. Viene visualizzata la finestra di dialogo Planarità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Selezionare le opzioni di analisi desiderate selezionando la casella di controllo Testuale o Grafica. Se è stata selezionata la casella di controllo Grafica inserire il valore del moltiplicatore nella casella Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = PLANARITÁ,DI elemento_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza positiva per la planarità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi planarità diversa dalla planarità nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento della perpendicolarità

Finestra di dialogo Perpendicolarità

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Perpendicolarità consente di calcolare la perpendicolarità tra due elementi. Il secondo elemento è sempre l'elemento datum. Se si seleziona un solo elemento, come elemento datum viene utilizzato il piano di lavoro corrente. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione PERPENDICOLARITÀ

Tolleranza positiva per le dimensioni della perpendicolarità

Distanza di proiezione per le dimensioni della perpendicolarità

Material Conditions area Projected DistanceOutput To areaSearch IDID FeatureFeature List boxLast buttonDisplay check boxCreate buttonClose buttonPlus Tolerance for PerpendicularityClear buttonEdit buttonAnalysis areaUnits area


Creazione della dimensione di un elemento mediante l'opzione PERPENDICOLARITÀ

  1. Selezionare Inserisci | Dimensione | Perpendicolarità dal menu secondario. Viene visualizzata la finestra di dialogo Perpendicolarità. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi.

  3. Selezionare le opzioni appropriate di Condizione materiale per gli elementi e il datum.

  4. Se si desidera utilizzare un datum, selezionare la casella di controllo Usa datum e un altro elemento dalla casella Elenco elementi.

  5. Selezionare le opzioni appropriate di Condizione materiale per gli elementi e il datum.

  6. Inserire il valore di tolleranza positiva nella casella +Tol.

  7. Inserire la distanza di proiezione nella casella Distanza.

  8. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  9. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  10. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  11. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore Molt..

  12. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  13. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = PERPENDICOLARITÁ,DI feat_1,A feat_2

oppure

nome_dimensione = PERPENDICOLARITÁ,DI eleme_1,A piano di lavoro

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza positiva per le dimensioni della perpendicolarità

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi perpendicolarità diversa dalla perpendicolarità nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Distanza di proiezione per le dimensioni della perpendicolarità

PC-DMIS consente di inserire una distanza di riferimento nella casella Distanza. Questa opzione risulta particolarmente utile quando l'elemento deve essere non solo perpendicolare all'elemento datum ma deve anche essere calcolato ad una determinata distanza da esso.


Dimensionamento del parallelismo

Finestra di dialogo Parallelismo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Parallelismo consente di calcolare il parallelismo tra due elementi. Il secondo elemento è sempre l'elemento datum. Se si seleziona un solo elemento, come elemento datum viene utilizzato il piano di lavoro corrente. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Creazione di una dimensione mediante l'opzione PARALLELISMO

Tolleranza positiva per le dimensioni del parallelismo

Distanza di proiezione per le dimensioni del parallelismo

Units area Analysis areaEdit buttonClear buttonPlus Tolerance for ParallelismClose buttonCreate buttonDisplay check boxLast buttonFeature List boxID FeatureSearch IDOutput To areaProjected DistanceMaterial Conditions area


Creazione di una dimensione mediante l'opzione PARALLELISMO

  1. Selezionare Inserisci | Dimensione | Parallelismo dal menu secondario. Viene visualizzata la finestra di dialogo Parallelismo. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Se si desidera utilizzare un elemento datum, selezionare la casella di controllo Usa datum.

  4. Se si desidera utilizzare un elemento datum, selezionare un altro elemento nella casella Elenco elementi.

  5. Selezionare le opzioni appropriate di Condizione materiale per gli elementi e il datum.

  6. Inserire il valore di tolleranza positiva nella casella +Tol.

  7. Inserire la distanza di proiezione nella casella Distanza.

  8. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  9. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  10. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  11. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  12. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  13. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = PARALLELISMO,OF elemento_1,ALTER1,TO elemento_2,ALTER1

oppure

nome_dimensione = PARALLELISMO,OF elemento_1,ALTER1,A piano di lavoro

AS | NOM | +TOL | -TOL | BON | MIS | MAX | DEV | FUORI_TOLL
DE D1 M | 1.0000 0.0000 0.0000 | 0.0100 0.0100 0.0100 | 0.0100 0.0100 0.0100 | 0.0000 0.0000 0.0000 | 1.0000 0.0000 0.0000 | 0.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 0.0000

ALTER1= MMC / RFS / LMC


Tolleranza positiva per le dimensioni del parallelismo

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi parallelismo diverso dal parallelismo nominale o teorico può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.


Distanza di proiezione per le dimensioni del parallelismo

PC-DMIS consente di inserire una distanza di riferimento nella casella Distanza. Tale valore verrà utilizzato con gli elementi cilindrici, conici e lineari per calcolare la dimensione Parallelismo.

Per il calcolo del parallelismo di questi elementi viene utilizzato il punto finale dell'asse e un punto proiettato da tale punto finale lungo l'asse dell'elemento.

La distanza tra i due punti corrisponde alla distanza di riferimento. Per gli altri elementi, questa distanza non incide sulla dimensione. Questa opzione è particolarmente utile quando è necessario calcolare la dimensione ad una determinata distanza lungo l'elemento.

Informazioni sulla Distanza Proiettata del Parallelismo

Normalmente il parallelismo prende il vettore della linea datum e verifica gli estremi dell'elemento, per controllare che siano in tolleranza come mostrato qui:

Talvolta, tuttavia, non è possibile misurare fino al bordo della linea ed è quindi necessario estendere la linea di una certa distanza.

Poiché di solito le deviazioni maggiori si trovano agli estremi della linea, se la si allunga, la deviazione é maggiore. Si puó estendere la linea nel senso inverso usando un valore negativo come lunghezza di riferimento.

L'aspetto di linea estesa è il seguente:

È anche possibile utilizzare la casella Distanza per specificare una lunghezza di riferimento e controllare l'asse del cilindro.


Dimensionamento dell'oscillazione

Dimensionamento dell'oscillazione totale o circolare

Finestra di dialogo Oscillazione totale o Oscillazione circolare

Visualizza Mappa Percorsi dei Menu

Le opzioni di menu Inserisci | Dimensione | Oscillazione e Oscillazione totale determinano l'oscillazione del primo elemento rispetto al secondo elemento, ossia il secondo elemento diventa l'elemento datum. Se si seleziona un solo elemento, l'origine ed il piano di lavoro diventano l'elemento datum. In questo caso PC-DMIS usa come datum la posizione rispetto all'origine e la direzione dal piano di lavoro. Il testo della finestra di modifica dell'elemento datum sarà "ORIGINE".

  • L'Oscillazione circolare viene utilizzata per i cerchi, i coni, i cilindri e le sfere.

  • L'Oscillazione totale viene utilizzata per i cilindri, i coni e i piani.

Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

Vedere anche:

Informazioni sull'oscillazione

Creazione della dimensione di un elemento mediante l'opzione OSCILLAZIONE

Tolleranza positiva per le dimensioni dell'oscillazione

Output To area Search IDID FeatureFeature List boxLast buttonDisplay check boxCreate buttonClose buttonPlus Tolerance for ParallelismClear buttonEdit buttonAnalysis areaUnits areaOutput To area Search IDID FeatureFeature List boxLast buttonDisplay check boxCreate buttonClose buttonPlus Tolerance for ParallelismClear buttonEdit buttonAnalysis areaUnits area


Informazioni sul runout

Informazioni sull'oscillazione

Il calcolo dell’oscillazione é spesso usato per i calcoli sugli alberi a camme. Un albero a camme é progettato per ruotare attorno ad un asse. Poiché i singoli cilindri che compongono l'albero si trovano tutti sulla linea centrale, occorre assicurarsi che questa sia non solo parallela ma che i cilindri siano anche coassiali (ovvero concentrici).

Esempio di albero a camme

È inoltre necessario assicurarsi che la superficie dei cilindri sia rotonda e rettilinea (rettilinea quando confrontata con un asse datum separato, non solo con il proprio asse).

La principale differenza tra oscillazione e parallelismo é che l’oscillazione controlla i punti sulla superficie di un cilindro e non soltanto l'asse del cilindro. L'oscillazione differisce inoltre dalla linearità del cilindro perché confronta la superficie del cilindro con un datum, non soltanto con se stesso. L'oscillazione controlla le condizioni seguenti.

Vedere anche:

Come misurare l’Oscillazione

Due categorie di oscillazione: Circolare o totale

Uso del runout per verificare la fine di un cilindro


Come misurare l’Oscillazione

Un modo per misurare l’oscillazione, indipendente dalla CMM, è appoggiare sulla superficie del cilindro un comparatore, farne la taratura e poi far ruotare il cilindro. Il comparatore misura le variazioni su una sezione, al ruotare del cilindro.

Oscillazione con un indicatore a Corona

Una CMM si comporta in modo del tutto simile. Invece di far ruotare il cilindro, tuttavia, il tastatore della CMM ruota attorno al cilindro e rileva un numero finito di punti.

La banda di tolleranza dell'oscillazione ha la forma seguente:

Esempio di Banda di Tolleranza dell'Oscillazione (Linee Punteggiate)

La banda di tolleranza ha le seguenti proprietá:

  • ha larghezza pari alla tolleranza positiva

  • È parallela al vettore datum (cioè l'asse di qualche altra linea o altro cilindro).

  • Dista un certo raggio dall'asse del cilindro.


Due categorie di oscillazione: Circolare o totale

Consideriamo i tipi di oscillazione seguenti:

  • L'Oscillazione circolare misura un solo cerchio, una riga di punti, intorno al cilindro.

  • L'Oscillazione totale misura alcuni cerchi lungo l'intera superficie del cilindro, con piú file di punti.

Ovviamente la CMM costituisce un limite per il calcolo dell’oscillazione totale poiché non si rilevano sicuramente 100 file di punti intorno al cilindro e 3 file di punti non sono abbastanza per un calcolo corretto dell'oscillazione totale.

Tuttavia, PC-DMIS fornisce la possibilità di calcolare sia l'oscillazione circolare che totale e consente di determinare se è stato misurato un numero sufficiente di sezioni del cilindro.


Uso del runout per verificare la fine di un cilindro

PC-DMIS permette inoltre il test di un altro tipo di oscillazione specificato nello standard. Controllare il piano ad una delle estremitá ddel cilindro. La tolleranza di questo tipo di oscillazione ha orientamento fisso e perpendicolare all'asse del datum.

Stessa oscillazione di un'estremità di un cilindro


Creazione della dimensione di un elemento mediante l'opzione OSCILLAZIONE

  1. Selezionare Inserisci | Dimensione | Oscillazione totale o Oscillazione Circolare dal menu secondario. Viene visualizzata la finestra di dialogo Oscillazione totale o Oscillazione circolare. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Selezionare le opzioni di analisi desiderate selezionando la casella di controllo Testuale o Grafica. Se è stata selezionata la casella di controllo Grafica inserire il valore del moltiplicatore nella casella Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = OSCILLAZIONE,DI elem_1,A elem_2

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Tolleranza positiva per le dimensioni dell'oscillazione

+Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi oscillazione diversa dalla oscillazione nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento del profilo di superficie o lineare

Finestra di dialogo Profilo di superficie

Finestra di dialogo Profilo Lineare

L'opzione Superficie del profilo calcola l'errore del profilo tridimensionale di un elemento superficie o curva (Inserisci | Dimensione | Profilo | Superficie). Visualizza Mappa Percorsi dei Menu

L'opzione del menu Linea del profilo calcola l'errore del profilo bidimensionale di una curva (Inserisci | Dimensione | Profilo | Linea) . Visualizza Mappa Percorsi dei Menu

Nota: questa opzione è stata modificata rispetto a PC-DMIS 3.0 e alle versioni precedenti. Ora è possibile utilizzare qualsiasi tipo di elemento per una scansione di profilo.

Vedere anche:

Dimensionamento di un elemento mediante l'opzione profilo di superficie:

Creazione della dimensione di un elemento bidimensionale mediante l'opzione Profilo Lineare:

Tolleranze per le dimensioni del profilo

Tolleranze per le dimensioni del profilo lineare

Opzioni di controllo per dimensioni di profile di superficie

Opzioni di controllo per dimensioni di profilo lineare

Opzioni di controllo per dimensioni di profilo di superficie

Opzioni Best Fit per dimensioni di profilo di superficie

Best Fit Options area Control Options areaOutput To areaSearch IDID FeatureFeature List boxLast Two buttonDisplay check boxCreate buttonClose buttonTolerances for Line ProfileClear buttonEdit buttonAnalysis areaUnits areaBest Fit Options area Control Options areaUnits areaAnalysis areaOutput To areaEdit buttonTolerance for Straightness DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast buttonFeature List boxSearch IDID Feature


Dimensionamento di un elemento mediante l'opzione profilo di superficie:

  1. Selezionare Inserisci | Dimensione | Profilo | Superficie dal menu secondario. Viene visualizzata la finestra di dialogo Profilo di superficie. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi. Se si seleziona un elemento datum, tale elemento deve essere un piano.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Inserire il valore di tolleranza negativa nella casella -Tol.

  5. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  6. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  7. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  8. Selezionare Solo forma o Forma e posizione dalla sezione Opzioni di controllo della finestra di dialogo.

  9. Se si sceglie Solo forma, selezionare la casella di controllo Usa best-fit. Ció fa sí che il calcolo della dimensione usi l'allineamento best fit interno, in modo da parmettere all'elemento di ruotare o traslare, fino a che non si trova il migliore adattamento (best fit) dell'elemento.

  10. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  11. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  • Se in precedenza è stata selezionata l'opzione Forma e posizione, selezionare la casella di controllo MaxMin dall'area Formato info dimensione della finestra di dialogo Modifica info dimensione.

  • Se in precedenza è stata selezionata l'opzione Solo forma, selezionare la casella di controllo Misurato dall'area Formato info dimensione della finestra di dialogo Modifica info dimensione.

  12. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = PROFILO,DI elemento_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Vedere anche:

Visualizzazione del tracciato di contorno del profilo


Visualizzazione del tracciato di contorno del profilo

PC-DMIS consente di visualizzare un tracciato di contorno della superficie a colori che sarà presente nel modello CAD nella finestra di visualizzazione grafica quando si utilizzano le scansioni patch o UV per creare una dimensione del profilo.

A tale scopo, operare come segue:

  1. Importare un modello CAD solido.

  2. Accedere alla finestra di dialogo Imposta vista. Visualizza Mappa Percorsi dei Menu

  3. Fare clic sulla casella di controllo Solido per una delle viste e chiudere la finestra di dialogo.

  4. Attivare la modalità Superficie di PC-DMIS.

  5. Creare una scansione patch o UV (vedere "Esecuzione di una scansione patch avanzata" o "Esecuzione di una scansione UV avanzata" dalla sezione "Scansione del pezzo" ).

  6. Selezionare l'opzione di menu Inserisci | Comando rapporto | Analisi . Viene visualizzata la finestra di dialogo Analisi. Visualizza Mappa Percorsi dei Menu

  7. Fare clic su Finestra vista e selezionare Opzioni | Opzioni dimensione. Viene visualizzata la finestra di dialogo Opzioni analisi dimensione.

  8. Selezionare l'opzione Mostra tracciato contorno e fare clic su OK fino a tornare alla schermata di PC-DMIS principale.

  9. Accedere alla finestra di dialogo Profilo superficie. Visualizza Mappa Percorsi dei Menu

  10. Selezionare la scansione patch o UV dalla casella Elenco elementi.

  11. Selezionare la casella di controllo Grafica dalla sezione Analisi.

  12. Apportare eventuali altre modifiche nella finestra di dialogo Profilo superficie.

  13. Fare clic su Crea per generare la dimensione.

PC-DMIS inserisce un tracciato di contorno a colori direttamente sulla superficie del modello dove è stata creata la scansione.


Creazione della dimensione di un elemento mediante l'opzione PROFILO Lineare:

Creazione della dimensione di un elemento bidimensionale mediante l'opzione PROFILO Lineare:

  1. Selezionare Inserisci | Dimensione | Profilo | Lineare dal menu secondario. Viene visualizzata la finestra di dialogo Profilo Lineare. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare dalla casella Elenco elementi. È possibile selezionare qualsiasi elemento bidimensionale. Se si seleziona un elemento datum, tale elemento deve essere un piano.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Inserire il valore di tolleranza negativa nella casella -Tol.

  5. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  6. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  7. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  8. Selezionare Solo forma o Forma e posizione dalla sezione Opzioni di controllo della finestra di dialogo.

  9. Se si sceglie Solo forma, selezionare la casella di controllo Usa best-fit. Ció fa sí che il calcolo della dimensione usi l'allineamento best fit interno, in modo da parmettere all'elemento di ruotare o traslare, fino a che non si trova il migliore adattamento (best fit) dell'elemento.

  10. Se si seleziona la casella di controllo Usa best-fit, selezionare il piano di lavoro desiderato per consentire le operazioni di rotazione e traslazione. Se si utilizza il piano di lavoro, l'allineamento può essere solo bidimensionale.

  11. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore. Molt..

  12. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  • Se in precedenza è stata selezionata l'opzione Forma e posizione, selezionare la casella di controllo MaxMin dall'area Formato info dimensione della finestra di dialogo Modifica info dimensione.

  • Se in precedenza è stata selezionata l'opzione Solo forma, selezionare la casella di controllo Misurato dall'area Formato info dimensione della finestra di dialogo Modifica info dimensione.

  13. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = PROFILO,DI elemento_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Vedere anche:

Visualizzazione del tracciato di contorno del profilo


Visualizzazione del tracciato di contorno del profilo

PC-DMIS consente di visualizzare un tracciato di contorno a colori che resterà sulla superficie del modello CAD nella finestra di visualizzazione grafica per gli elementi linea o curva.

Seguire le istruzioni riportate in "Visualizzazione del tracciato di contorno del profilo" per un profilo di superficie e sostituire l'elemento di input con l'elemento linea o curva appropriato (o scansione).


Tolleranze per le dimensioni del profilo

Questo tipo di dimensione viene considerato unilaterale (viene applicato soltanto un valore di tolleranza positiva) o bilaterale (vengono applicati i valori di tolleranza superiore o inferiore).

  • Se è stata selezionata l'opzione Solo forma, è possibile applicare solo una tolleranza positiva.

  • Se è stata selezionata l'opzione Forma e posizione, la dimensione del profilo può essere unilaterale o bilaterale.

Vedere anche:

Tolleranza positiva

Tolleranza negativa


Tolleranze per le dimensioni del profilo lineare

Questo tipo di dimensione viene considerato unilaterale (viene applicato soltanto un valore di tolleranza positiva) o bilaterale (vengono applicati i valori di tolleranza superiore o inferiore).

  • Se è stata selezionata l'opzione Solo forma, è possibile applicare solo una tolleranza positiva.

  • Se è stata selezionata l'opzione Forma e posizione, la dimensione del profilo può essere unilaterale o bilaterale.

Vedere anche:

Tolleranza positiva

Tolleranza negativa


Tolleranza positiva

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi misura superiore alla misura nominale o teorica può essere considerata valida se rientra nell'intervallo di tolleranza specificato.


Tolleranza negativa

La casella Tolleranza negativa consente di inserire un valore di tolleranza insieme alla direzione negativa. In questo modo, qualsiasi misura inferiore alla misura nominale o teorica può essere considerata valida se rientra nell'intervallo di tolleranza specificato.


Opzioni di controllo per dimensioni di profile di superficie

Le opzioni disponibili in questa sezione consentono di determinare se un profilo presenta la stessa forma, o la forma e la posizione, dei valori nominali.

Vedere anche:

Solo forma

Forma e posizione


Solo forma

Quando si utilizza l'opzione Solo forma per creare la dimensione di un profilo, è possibile indicare a PC-DMIS di determinare esclusivamente se un determinato profilo corrisponde alla stessa forma del rispettivo nominale. Se si utilizza questa opzione, la posizione del profilo può essere compresa o meno nei valori di tolleranza accettabili.

Per una dimensione di Solo forma prestare attenzione ai valori misurati nella dimensione generata.


Forma e posizione

Quando si utilizza l'opzione Forma e posizione per dimensionare un profilo, è possibile determinare se un profilo specifico corrisponde alla stessa forma e alla stessa posizione del rispettivo nominale. A differenza dell'opzione Solo forma, in questa opzione la posizione del profilo deve essere compresa nei valori di tolleranza accettabili.

Per una dimensione di Forma e posizione prestare attenzione ai valori max/min nella dimensione generata.


Opzioni di controllo per dimensioni di profilo lineare

Le opzioni disponibili in questa sezione consentono di determinare se un profilo presenta la stessa forma, o la forma e la posizione, dei valori nominali.

Vedere anche:

Solo forma

Forma e posizione


Opzioni di controllo per dimensioni di profilo di superficie

Nota: questa sezione viene visualizzata nella finestra di dialogo solo se si seleziona l'opzione Solo forma dalla sezione Opzioni di controllo.

Nella sezione delle opzioni best-fit è possibile creare un allineamento Best-fit interno nell'elemento dimensionato utilizzando uno dei seguenti metodi disponibili:

  • Senza allineamento - Non viene creato alcun allineamento.

  • Minimi quadrati - Viene individuata una posizione in cui le deviazioni sono minime. In questo modo, l'opzione Solo Forma può ignorare la posizione dell'elemento quando controlla che la curva sia simile alla forma teorica.

  • Vettore - Questo adattamento aggancia gli errori negli elementi di input ai vettori teorici prima di ridurre al minimo l'errore quadrato medio.

  • Min / Max - L'errore massimo viene minimizzato in tutti gli elementi di input.

Vedere l'argomento "Creazione di un Allineamento Best-Fit" nella sezione "Creazione ed Uso degli Allineamenti" .


Opzioni Best Fit per dimensioni di profilo di superficie

Nota: Questa sezione viene visualizzata nella finestra di dialogo solo se si seleziona l'opzione Solo forma dalla sezione Opzioni di controllo.

Nella sezione delle opzioni best-fit è possibile creare un allineamento Best-fit interno nell'elemento dimensionato utilizzando uno dei seguenti metodi disponibili:

  • Senza allineamento - Non viene creato alcun allineamento.

  • Minimi quadrati - Viene individuata una posizione in cui le deviazioni sono minime. In questo modo, l'opzione Solo Forma può ignorare la posizione dell'elemento quando controlla che la curva sia simile alla forma teorica.

  • Vettore - Questo adattamento aggancia gli errori negli elementi di input ai vettori teorici prima di ridurre al minimo l'errore quadrato medio.

  • Min / Max - L'errore massimo viene minimizzato in tutti gli elementi di input.

Piano di lavoro

Quando si calcola la dimensione di profilo di superficie, PC-DMIS crea un allineamento bidimensionale interno che ruota e trasla in tutte le direzioni, allo scopo di rendere minime le deviazioni dei singoli punti. Selezionare un piano di lavoro diverso dal piano di proiezione della curva fornisce risultati non corretti.

Vedere l'argomento "Creazione di un Allineamento Best-Fit" nella sezione "Creazione ed Uso degli Allineamenti" .


 ID FeatureSearch IDFeature List boxLast Two buttonClear buttonDisplay check boxCreate buttonClose buttonTolerances for Angle DimensionsEdit buttonOutput To areaAnalysis areaUnitsProjected DistanceReference Angle

Dimensionamento dell'angolarità

Finestra di dialogo Angolarità

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Angolarità consente di calcolare l'errore di angolarità di un piano o di una linea rispetto a un piano o a una linea di tipo datum. Se si seleziona o si inserisce un solo elemento, PC-DMIS utilizza il piano di lavoro corrente come datum.

Simile alla perpendicolarità o al parallelismo, l'Angolarità permette di specificare un angolo diverso da 90 gradi ( caso della perpendicolarità) oppure da 0 gradi (caso del parallelismo). Per esempio, scegliendo un angolo di 45 gradi, PC-DMIS crea una banda di tolleranza a 45 gradi e controlla che i punti siano nella banda di tolleranza.

Il valore misurato é un angolo (blu). La banda di tolleranza dell'angolarità è costituita da due linee o piani paralleli (neri).

Vedere anche:

Calcolo dell'errore di angolarità mediante l'opzione ANGOLARITÀ

Angolo di riferimento

Tolleranza positiva per le dimensioni dell'angolarità

Distanza di proiezione per le dimensioni dell'angolarità

Reference Angle Projected DistanceUnitsAnalysis areaOutput To areaEdit buttonTolerances for Angle DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast Two buttonFeature List boxSearch IDID Feature


Calcolo dell'errore di angolarità mediante l'opzione ANGOLARITÀ

  1. Selezionare Inserisci | Dimensione | Angolarità dal menu secondario. Viene visualizzata la finestra di dialogo Angolarità. Visualizza Mappa Percorsi dei Menu

  2. Inserire l'angolo nominale dal datum nella casella Angolo.

  3. Selezionare o inserire il piano e la linea, ossia l'elemento e il datum.

  4. Inserire il valore di tolleranza positiva nella casella +Tol.

  5. Inserire la distanza di proiezione nella casella Distanza.

  6. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  7. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  8. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  9. Selezionare Solo forma o Forma e posizione dalla sezione Opzioni di controllo della finestra di dialogo.

  10. Selezionare le opzioni di analisi desiderate scegliendo la casella di controllo Testuale o Grafica. Se si seleziona la casella di controllo Grafica, digitare il valore del fattore moltiplicatore nella casella Fattore Molt..

  11. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  12. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = ANGOLARITÁ Da elem_1 A elem_2 LUNGHEZZA ESTENSIONE=n ANG=n UNITÁ=MM/POLL

GRAF=ON/OFF TESTO=ON/OFF MULT=n OUTPUT=NESSUNO/ENTRAMBI/STAT/RAPPORTO

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

elem_2: LINEA o PIANO.

PC-DMIS calcola l'errore di angolarità e lo visualizza nella finestra della dimensione corrente.


Angolo di riferimento

La casella Angolo consente di specificare l'angolo nominale rispetto all'elemento datum. Si tratta dell'angolo tra i due elementi. PC-DMIS quindi calcola la deviazione di un elemento dall'angolo.

Fare clic sul pulsante Trova angolo teorico per calcolare l'angolo nominale di riferimento da utilizzare dai valori teorici degli elementi selezionati. In questo modo, non è necessario cercare l'angolo nella finestra di modifica.


Tolleranza positiva per le dimensioni dell'angolarità

+Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi errore di angolarità diverso dall'errore di angolarità nominale o teorico può essere considerato una misura valida se rientra nell'intervallo di tolleranza specificato.


Distanza di proiezione per le dimensioni dell'angolarità

PC-DMIS consente di proiettare una distanza di riferimento. Questa opzione viene utilizzata con gli elementi lineari per calcolare la dimensione Angolarità.

Per il calcolo del'angolarità di questi elementi viene utilizzato il punto finale dell'asse e un punto proiettato da tale punto finale lungo l'asse dell'elemento.

La distanza tra i due punti corrisponde alla distanza di riferimento. Per gli altri elementi, questa distanza non incide sulla dimensione. Questa opzione è particolarmente utile quando è necessario calcolare la dimensione ad una determinata distanza lungo l'elemento.


Dimensionamento della simmetria

Finestra di dialogo Simmetria

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Simmetria consente di calcolare la simmetria di un insieme di punti o due linee opposte con un elemento datum.

  • Se il primo elemento è un insieme, il secondo elemento inserito è l'elemento datum e deve essere un piano o una linea.

  • Se il primo elemento è una linea, anche il secondo elemento deve essere una linea e il terzo elemento inserito è l'elemento datum. In questo caso, il terzo elemento deve essere un piano o una linea. Questo tipo di dimensione viene considerato unilaterale e pertanto viene applicato soltanto un valore di tolleranza positivo.

  • Se il terzo elemento é un piano, l'algoritmo della simmetria tenta di trovare una linea su quel piano che rappresenti il datum. Per trovare la linea corretta, il piano scelto viene fatto intersecare il piano di lavoro. Per questo motivo occorre sincerarsi che il piano di lavoro usato sia quello corretto.

In base allo standard di tolleranza e dimensionamento geometrico, il seguente grafico illustra come viene interpretata e visualizzata una dimensione della simmetria.

Grafico che illustra il modo in cui PC-DMIS interpreta le dimensioni relative alla simmetria

A causa del modo in cui la simmetria viene definita, PC-DMIS limita gli elementi che è possibile utilizzare per la dimensione della simmetria. Poiché i punti devono essere disposti in modo uniforme intorno al datum per trovare dei punti centrali tra di essi, è necessario selezionare un insieme di elementi con punti alternati o due linee opposte con lo stesso numero di punti.

Vedere anche:

Creazione della dimensione di un elemento mediante l'opzione SIMMETRIA

Tolleranza positiva per la simmetria

Units area Analysis areaOutput To areaEdit buttonTolerance for Symmetry DimensionsClose buttonCreate buttonDisplay check boxClear buttonLast Two buttonFeature List boxSearch IDID Feature


Creazione della dimensione di un elemento mediante l'opzione SIMMETRIA

  1. Selezionare Inserisci | Dimensione | Simmetria dal menu secondario. Viene visualizzata la finestra di dialogo Simmetria. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli elementi da dimensionare nella casella Elenco elementi.

  3. Inserire il valore di tolleranza positiva nella casella +Tol.

  4. Selezionare l'opzione Pollici o MM dalla sezione Unità.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Selezionare la casella di controllo facoltativa Visualizza se nella finestra di visualizzazione grafica si desidera visualizzare le informazioni sulla dimensione.

  7. Specificare le opzioni di Analisi desiderate selezionando una o entrambe le caselle di controllo. Se è stata selezionata la casella di controllo Grafica, inserire un valore moltiplicatore nella casella Fattore Molt..

  8. Se si desidera, selezionare la casella di controllo Visualizza nella sezione Informazioni dimensione e fare clic su Modifica per selezionare il formato da applicare alle informazioni sulla dimensione nella finestra di visualizzazione grafica.

  9. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = SIMMETRIA,DA elem_1 A elem_2

oppure

nome_dimensione = SIMMETRIA,DA elem_1 E elemento 2 A elemento 3

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Nota: dopo aver creato la dimensione, la finestra di dialogo rimane aperta. Se si desidera, è possibile utilizzare il pulsante Modifica per modificare alcune delle informazioni relative alla dimensione. Vedere "Modifica info dimensione predefinite".

Vedere anche:

Visualizzazione del tracciato di contorno del profilo


Tolleranza positiva per la simmetria

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi simmetria diversa dalla simmetria nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Dimensionamento mediante operazioni eseguite tramite la tastiera

Finestra di dialogo Digitazione dimensioni

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Dimensione | Digitazione consente di acquisire e inserire tramite la tastiera i dati non misurati con la macchina CMM (ad esempio, consente di aggiungere una dimensione misurata con un calibro). Questa opzione consente di stampare tutti i risultati dell'ispezione sull'apposito rapporto e non soltanto gli elementi misurati con la macchina CMM. Inoltre, risulta particolarmente utile quando vengono raccolti i dati per l'analisi statistica.

Vedere anche:

Aggiunta di dimensioni mediante l'opzione DIGITAZIONE

nominale

Reale

Tolleranze per le dimensioni create tramite la tastiera

Output To Close buttonCreate buttonTolerancesActualNominalID


Aggiunta di dimensioni mediante l'opzione DIGITAZIONE

  1. Selezionare Inserisci | Dimensione | Digitazione dal menu secondario. Viene visualizzata la finestra di dialogo Digitazione dimensioni. Visualizza Mappa Percorsi dei Menu

  2. Inserire l'ID della dimensione nella casella ID =.

  3. Inserire il valore nominale nella casella Nominale.

  4. Inserire il valore reale nella casella Reale.

  5. Selezionare il tipo di output per le informazioni dimensionali. Selezionare l'opzione Statistiche, Rapporto, Entrambi o Nessuno.

  6. Fare clic sul pulsante Crea.

La dimensione verrà visualizzata nella finestra di modifica nel modo seguente:

nome_dimensione = DIGITAZ,elem_1

AS | NOM | +TOL | -TOL | MIS | MAX | MIN | DEV | FUORI_TOLL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


nominale

Nella casella Nominale è possibile inserire la misura nominale (o teoricamente perfetta) di un elemento.


Reale

Nella casella Reale è possibile inserire la misura reale per un elemento.


Tolleranze per le dimensioni create tramite la tastiera

È possibile specificare le tolleranze insieme alle direzioni positiva e negativa della nuova dimensione generata.

Vedere anche:

Tolleranza positiva

Tolleranza negativa


Dimensionamento di Variabili

Lavorando con espressioni e variabili può essere necessario costruire una dimensione a partire da variabili valorizzate. Un metodo diffuso per eseguire questa operazione consiste nel creare un elemento generico, popolare i campi dell'Elemento Generico con le espressioni variabili che si intendono usare, e poi creare una dimensione per tale Elemento Generico.

Per informazioni sugli elementi generici, vedere la sezione Creazione di elementi generici" . Per ulteriori informazioni sulle variabili, vedere la sezione "Uso di Espressioni e Variabili" .

Vedere anche:

Esempio di Dimensionamento di Variabile


Esempio di Dimensionamento di Variabile

Supponiamo che si disponga delle seguenti variabili e si desideri utilizzarle per la creazione di una dimensione di Posizione:

ASSEGNA/V_THEOX = 10

ASSEGNA/V_THEOY = 5

ASSEGNA/V_THEOZ = 1

ASSIGN/V_MEASX = 10.008

ASSIGN/V_MEASY = 5.035

ASSIGN/V_MEASZ = 0,997

Nota: Per semplicità, verranno assegnati valori costanti alle variabili nell'esempio seguente. Nelle applicazioni pratiche, i valori delle variabili cambieranno in base all'input dell'operatore, oppure in base al variare di condizioni esterne.

Per dimensionare queste variabili, occorre:

  1. Creare un elemento generico selezionando l'opzione di menu Inserisci | Elemento | Generico.Viene visualizzata la finestra di dialogo Costruisci Elemento generico.

  2. Selezionare l'opzione Punto.

  3. Selezionare l’opzione Valori Misurati e digitare valori zero nei campi X, Y, e Z, quindi selezionare Valori Nominali ed effettuare la stessa operazione.

  4. Fare clic sul pulsante OK. PC-DMIS inserisce un Elemento Generico vuoto (genericamente etichettato F1 se é il primo Elemento Generico) nella finestra di Modifica.

  5. Impostare la finestra di Modifica in modalitá Comando, si otterrá ció che segue:

F1 =GENERICO/PUNTO,DEPENDENT,RETT,$

NOM/XYZ,0,0,0,$

MIS/XYZ,0,0,0,$

NOM/IJK,0,0,1,$

MIS/IJK,0,0,1

  6. Raggiungere la linea NOM/XYZ e digitare nei primi tre campi vuoti V_THEOX, V_THEOY e V_THEOZ, rispettivamente. Queste sono le variabili nominali.

  7. Effettuare la stessa operazione sulla linea MIS/XYZ digitando però V_MEASX, V_MEASY e VMEASZ nei tre campi vuoti della linea. Il comando sarà il seguente:

F1 =GENERICO/PUNTO,DEPENDENT,RETT,$

NOM/XYZ,V_THEOX,V_THEOY,V_THEOZ,$

MIS/XYZ,V_MEASX,V_MEASY,V_MEASZ,$

NOM/IJK,0,0,1,$

MIS/IJK,0,0,1

  8. Premere F3 per selezionare l'Elemento Generico.

  9. Creare una dimensione di Posizione utilizzando questo elemento. Assegnare come tolleranza positiva e negativa il valore 0.02.

  10. Eseguire il part-program.

Si dovrebbe ottenere una dimensione di questo tipo nel rapporto risultante:


Utilizzo di Feature Control Frame

Utilizzo di Feature Control Frame: Introduzione

Che cos'è un Feature Control Frame?

Creazione delle dimensioni di Feature Control Frame

Definizione di datum

La finestra di dialogo GDT

Scheda Feature Control Frame

Scheda Avanzate

Blocco dei comandi di Feature Control Frame

Triedro di Feature Control Frame

Valutazione simultanea di Feature Control Frame

Rapporto con Feature Control Frame della posizione reale


Utilizzo di Feature Control Frame: Introduzione

PC-DMIS consente di inserire delle informazioni importanti sul dimensionamento nel modulo degli FCF (Feature Control Frames) nel part-program. Gli FCF sono delle speciali caselle rettangolari che contengono i simboli e le informazioni standard su GDT. Quando si inserisce un FCF nella finestra di modifica, PC-DMIS disegna anche la cornice nella finestra di visualizzazione grafica.

Feature Control Frame di esempio che mostra la perpendicolarità tra LINEA1 e LINEA3

Feature Control Frame di esempio (vedere FCF1)

Per inserire un comando FCF, aprire il menu secondario Inserisci | Dimensione, assicurarsi che la voce di menu Usa Dimensioni Legacy non è selezionata, quindi selezionare la dimensione appropriata. PC-DMIS visualizza la finestra di dialogo GDT per quella dimensione. Una volta creato l'FCF, PC-DMIS lo inserisce insieme alle informazioni sulla dimensione nel part-program.

Nota: Gli FCF rappresentano un nuovo modo per creare le dimensioni del pezzo. Tutte le opzioni disponibili nelle precedenti procedure di dimensionamento esistono ancora con gli FCF (vedere la scheda Avanzate nella finestra di dialogo GDT). Se si preferisce utilizzare la vecchia procedura di dimensionamento, è sufficiente selezionare la voce di menu Usa Dimensioni Legacy. Vedere la sezione "Dimensionamento degli elementi" per informazioni sulle dimensioni legacy.

Inoltre, poiché le dimensioni Posizione , Distanza , Angolo e Digitazione non fanno parte degli standard ASME e ISO, vengono sempre create utilizzando dimensioni legacy, anche se la voce di menu Usa Dimensioni Legacy viene deselezionata.

In questa sezione sono illustrati i seguenti argomenti:

  • Che cos'è un Feature Control Frame?

  • Creazione delle dimensioni di Feature Control Frame

  • Definizione di datum

  • La finestra di dialogo GDT

  • Blocco dei comandi di Feature Control Frame

  • Triedro di Feature Control Frame

  • Valutazione simultanea di Feature Control Frame


Creazione delle dimensioni di Feature Control Frame

Nella seguente procedura viene mostrato come creare le dimensioni di un FCF (Feature Control Frame):

  1. Creare gli elementi che saranno gli elementi datum. Possono essere elementi misurati, automatici o costruiti.

  2. Selezionare Inserisci | Dimensione | Definizione datum. Viene visualizzata la finestra di dialogo Definizione datum.

  3. In questa finestra di dialogo è possibile selezionare gli elementi datum e associarli alle lettere del datum. Vedere "Definizione dei datum" per ulteriori informazioni su come eseguire questa operazione.

  4. Una volta definiti i datum, chiudere la finestra di dialogo.

  5. Assicurarsi che non sia visualizzato un segno di spunta per l'opzione di menu Inserisci | Dimensione | Usa Dimensioni Legacy. Se è visualizzato un segno di spunta, deselezionarlo.

  6. Selezionare la dimensione appropriata dal menu secondario Inserisci | Dimensione. Viene visualizzata la finestra di dialogo GDT.

  7. Nella finestra di dialogo, selezionare la scheda Feature Control Frame.

  8. Utilizzare questa scheda per selezionare gli elementi per dimensionare e costruire un FCF. Vedere "Scheda Feature Control Frame" per informazioni sulle opzioni disponibili in questa scheda.

  9. Selezionare la scheda Avanzate.

  10. Selezionare le opzioni appropriate da questa scheda per definire la visualizzazione delle informazioni sulle dimensioni. Vedere "Scheda Avanzate" per informazioni sulle opzioni disponibili in questa scheda.

  11. Fare clic su Crea. PC-DMIS inserisce un comando FCF nel part-program e un grafico FCF viene visualizzato nella finestra di visualizzazione grafica.

Condizioni per la creazione di FCF

Per consentire a PC-DMIS di creare correttamente una dimensione di FCF, è necessario che siano create le condizioni appropriate per il tipo di dimensione da creare. Consultare le seguente tabella.

Tipo di dimensione | Condizioni da soddisfare
Dimensioni modulo: | Nessun datum. Nessuna condizione materiale. Nessuna area proiettata.
Dimensione profilo: | I datum possono essere presenti o assenti. Nessuna condizione materiale. Nessuna area proiettata.
Dimensioni di orientamento: | I datum devono essere presenti. Possono esserci condizioni materiali. Possono esserci aree proiettate.
Dimensione di oscillazione: | I datum devono essere presenti. Nessuna condizione materiale. Nessuna area proiettata.
Dimensioni della posizione: | I datum possono essere presenti. Possono esserci condizioni materiali. Possono esserci aree proiettate.
Altre dimensioni di posizione (come la simmetria, la concentricità, la coassialità): | I datum devono essere presenti. Nessuna condizione materiale. Nessuna area proiettata.


Che cos'è un Feature Control Frame?

Un Feature Control Frame di esempio

Un FCF (Feature Control Frame) è un disegno rettangolare che rappresenta le informazioni sulla dimensione specificate per uno o più elementi. Di solito viene visualizzato in un file di modello o CAD per definire le specifiche di tolleranza per tipi di dimensione specifici. In ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing è descritto l'utilizzo più appropriato degli FCF.

Quando si selezionano più elementi nell'FCF, PC-DMIS crea una serie costruita all'interno dell'FCF. Questa serie utilizza gli elementi di input per creare uno schema di elementi in cui la linea della dimensione principale sarà applicata allo schema di elementi e la linea di dimensione secondaria ai singoli elementi. Nell'FCF di esempio sopra riportato, la tolleranza della posizione dello schema sarà compresa in 0.01 mentre la tolleranza di posizione dei singoli elementi sarà compresa in 0.005. Vedere ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing per ulteriori informazioni sull'applicazione di questi dati.

Gli elementi di un FCF in PC-DMIS

Un FCF in PC-DMIS presenta quattro righe separate, come definito dagli standard GDT:

Elementi di un Feature Control Frame

  1. Tolleranze di dimensioni – La riga superiore contiene il numero di elementi, X, il simbolo del diametro, il valore nominale delle dimensioni, la tolleranza positiva e la tolleranza negativa.

  2. Dimensioni principali – La seconda riga (prima riga nella griglia rettangolare) deve esistere sempre, anche se non vengono utilizzati tutti i campi. Questa riga contiene il simbolo della dimensione principale, il simbolo del diametro, la tolleranza principale, la condizione materiale dell'elemento, l'area di tolleranza proiettata, la condizione materiale dell'area di tolleranza proiettata, il datum principale, la condizione materiale del datum principale, il datum secondario, la condizione materiale del datum secondario, il datum terziario, la condizione materiale del datum terziario. Spesso i datum, le condizioni materiale e le aree di tolleranza proiettata non sono obbligatorie o non sono disponibili.

  3. Dimensioni secondarie - La terza riga (seconda riga nelle griglia rettangolare) esiste solo per i tipi posizione reale e profilo e non sono obbligatori tutti i campi. Contiene il simbolo della dimensione secondaria, il simbolo del diametro, la tolleranza principale, la condizione materiale dell'elemento, l'area di tolleranza proiettata, la condizione materiale dell'area di tolleranza proiettata, il datum principale, la condizione materiale del datum principale, il datum secondario, la condizione materiale del datum secondario, il datum terziario, la condizione materiale del datum terziario.

  4. Note – La quarta riga contiene un campo di testo in cui è possibile digitare un'ulteriore descrizione o le istruzioni per l'FCF. Per impostazione predefinita, PC-DMIS inserisce l'ID dell'FCF in questo campo per identificare l'FCF nella finestra di visualizzazione grafica. È possibile modificare questa nota e inserire un testo diverso, se si preferisce.


Definizione di datum

Un Datum è un piano, un punto o un elemento di riferimento asse teoricamente perfetto. Una misurazione dimensionale viene eseguita da un datum. I datum vengono utilizzati dagli FCF durante la visualizzazione delle informazioni GDT. Per definire i datum utilizzati negli FCF, è necessario creare prima gli elementi che diventeranno datum. Questi elementi possono essere elementi automatici, misurati o costruiti. Una volta creati gli elementi, utilizzare i comandi di definizione datum (DATDEF) per definirli come datum. Ciascun comando DATDEF associa una lettera di datum (ad esempio, datum A) a un elemento nel programma.

Creazione della definizione di un datum

Per definire un datum, selezionare Inserisci | Dimensione | Definizione datum oppure fare clic sul pulsante Definizione datum nella finestra di dialogo GDT. PC-DMIS visualizzerà la finestra di dialogo Definizione datum.

Finestra di dialogo Definizione datum

Finestra di dialogo Definizione datum

La lettera del datum (nel precedente esempio, “A”), assume per impostazione predefinita la lettera di datum successiva disponibile. PC-DMIS assegna ai datum le lettere da "A" a "Z" e da "AA" a "ZZ". Selezionare un elemento da associare a questa lettera di datum dall'elenco di elementi e fare clic su Crea. Il pulsante Crea si attiva quando si seleziona un elemento dall'elenco. Quando si crea una definizione, PC-DMIS inserisce un comando DATDEF nella finestra di modifica. Ad esempio, se è stato selezionato PLN1 ed è stato associato alla lettera "A", il comando della finestra di modifica sarebbe come segue:

DATDEF/ELEMENTO=PLN1,DATUM=A

Nella finestra di dialogo Definizione datum, la casella Datum viene automaticamente aggiornata alla lettera di datum disponibile successiva, e l'elemento selezionato sarà visualizzato nell'elenco di elementi con la lettera datum associata tra parentesi. Dall'elenco PLN1 sopra riportato, viene ora visualizzato nell'elenco come PLN1(A).

Per creare comandi DATDEF aggiuntivi, continuare a selezionare elementi e fare clic su Crea. Se non si desidera creare datum nella sequenza alfabetica predefinita, è possibile modificare facilmente la lettera nella casella Datum prima di fare clic su Crea.

Una volta creati tutti i datum utilizzando la finestra di dialogo Definizione datum, è possibile creare le dimensioni di FCF (Feature Control Frame) utilizzando la casella GDT e assegnare gli elementi del datum definiti a tali dimensioni.


La finestra di dialogo GDT

Finestra di dialogo GDT

Finestra di dialogo GDT

Nella finestra di dialogo GDT, è possibile creare dimensioni di FCF e inserirle nel part-program. Questa finestra di dialogo viene visualizzata quando si seleziona una dimensione FCF supportata dal menu secondario Inserisci | Dimensione e la voce di menu Usa Dimensioni Legacy non è selezionata.

Nella finestra di dialogo sono presenti due schede, Feature Control Frame e Avanzate, in ciascuna sono disponibili dei controlli che consentono di creare l'FCF e le informazioni di dimensioni associate.

Vedere anche:

Scheda Feature Control Frame

Scheda Avanzate


Scheda Feature Control Frame

Finestra di dialogo GDT - Scheda Feature Control Frame

Finestra di dialogo GDT

Finestra di dialogo GDT - Scheda Feature Control Frame

La scheda Feature Control Frame consente di creare un Feature Control Frame (FCF). In questa scheda sono disponibili gli strumenti per definire gli elementi datum, per selezionare gli elementi utilizzati nella dimensione dell'FCF, un editor per definire i simboli, le tolleranze e i datum utilizzati nell'FCF e un'area di anteprima per visualizzare lo stato corrente dell'FCF creato. Per informazioni sulle varie voci presenti in questa scheda, vedere l'elenco dei controlli sotto riportati:

ID – Questa casella contiene il nome dell'FCF. È possibile modificarla se si desidera un nome diverso.

Elementi – In questo elenco sono visualizzati gli elementi disponibili per un determinato tipo di FCF. Alcuni elementi possono esistere nel part-program ma non essere disponibili per l'FCF. Ad esempio, un elemento piano non è disponibile per Circolarità. PC-DMIS aggiorna questo elenco dopo la selezione del primo elemento. In tal modo, quando si crea uno schema di elementi per l'FCF, tali elementi saranno compatibili.

Datum – Sono contenuti tutti i datum definiti con i comandi DATDEF. Sono inclusi solo gli elementi datum sopra la posizione corrente del cursore nella finestra di modifica.

Linee associazione – Questo elenco contiene alcuni degli elementi selezionati dall'elenco Elementi. A ciascun elemento è associata una casella di controllo. Quando si seleziona una casella di controllo, viene disegnata una linea di associazione nella finestra di visualizzazione grafica dall'FCF a quell'elemento. Per impostazione predefinita, vengono inizialmente visualizzate tutte le linee di associazione ma è possibile deselezionare le caselle di controllo per disattivare anche le linee di associazione.

Editor Feature Control Frame – In questa sezione è possibile applicare le modifiche all'FCF. È possibile selezionare i campi con il mouse oppure premere il tasto del tabulatore e quindi INVIO per attivare la modalità di modifica per il campo. Se il campo è modificabile, verrà visualizzato un elenco a discesa delle opzioni disponibili oppure una casella in cui digitare del testo. Una volta completata la modifica del campo, premere INVIO, il tasto del tabulatore oppure fare clic su un altro campo per uscire dalla modalità di modifica. Premere MAIUSC + TAB per spostarsi al campo precedente.

Quando un campo è vuoto, viene visualizzata una breve descrizione tra parentesi per poterlo identificare. Tali descrizioni corrispondono ai seguenti campi:

<MC> - Condizione materiale

<D> - Diametro

<Dim> - Dimensione o tipo di FCF

<PZ> - Area proiettata

<num> - Numero di elementi

<nom> - Nominale delle dimensioni dell'elemento

<+tol> - Tolleranza positiva

<-tol> - Tolleranza negativa

<tol> - Tolleranza

<dat> - Datum

<sim> - Simbolo della dimensione

<aggiungi note qui> - Campo di note nella prima riga

<aggiungi note progetto opzionali> - Note facoltative per il progetto nell'ultima riga

Area piana - Questo pulsante viene visualizzato nella sezione Editor Feature Control Frame di questa scheda, se l'FCF si trova nella posizione reale e la zona di tolleranza è impostata sulla zona piana. Per abilitare questo pulsante, selezionare il simbolo del diametro dall'editor FCF e impostarlo su un valore vuoto, come mostrato di seguito:

Quando il pulsante Area piana viene visualizzato, è possibile farvi clic per aprire la finestra di dialogo Direzione area piana .

Nella finestra di dialogo Direzione area piana è possibile specificare il vettore di direzione dell'area piana in uno dei seguenti modi:

  • Selezionare l'opzione Asse. Quindi, dall'elenco Asse, selezionare un asse: X, Y o Z.

  • Selezionare l'opzione Vettore. Quindi, nelle caselle I, J e K, digitare il vettore di direzione.

Definizione datum – Questo pulsante consente di accedere facilmente alla finestra di dialogo Definizione datum in cui è possibile definire i datum per la dimensione dell'FCF corrente.

Opzioni Feature Control Frame – In questa sezione è disponibile la casella di controllo Composito. Questa casella di controllo consente di stabilire se la riga di dimensione principale e la riga di dimensione secondaria utilizzano lo stesso simbolo in una singola cella unita che comprende entrambe le righe. Quando si seleziona questa casella di controllo, il simbolo visualizzato è simile al seguente:

Se si deseleziona la casella di controllo, le righe primarie e secondarie vengono visualizzate con simboli separati, anche se il simbolo rappresenta la stessa cosa.

In ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing vengono descritte le differenze nell'interpretazione di queste condizioni.

Azioni e procedure – In questa sezione sono visualizzati i suggerimenti e le istruzioni per la creazione di FCF validi.

Anteprima – In questa sezione viene visualizzata un'anteprima dell'FCF con le impostazioni correnti. Non saranno disponibili i campi vuoti o le descrizioni vuote visualizzate nella sezione Editor Feature Control Frame, ad esempio i campi con virgolette, come "<dat>".

Note sull'Editor Feature Control Frame

Nell'Editor Feature Control Frame, alcuni campi di icona non vengono visualizzati per determinate dimensioni se non sono supportati. Ad esempio, se è presente la dimensione circolarità, viene visualizzato il campo di tolleranza ma i campi del datum o del modificatore vengono nascosti.

Dimensioni del modulo (Circolarità, Cilindricità, Planarità) - Poiché questi campi non supportano datum o modificatori, non saranno visualizzati. In alcuni casi i profili saranno inseriti in questa categoria quando contrassegnati solo per i moduli. L'opzione relativa a moduli e posizioni per le dimensioni del profilo consentono di visualizzare i modificatori.

Dimensioni dell'orientamento (Parallelismo, Perpendicolarità, Angolarità, Oscillazione, Concentricità, Coassialità) - Consentono la visualizzazione dei datum e dei modificatori.

Dimensioni della posizione (Posizione reale, Profilo con modulo e posizione) - Consentono la visualizzazione dei datum e dei modificatori.

Altre dimensioni (Distanza e angolo) - Non consentono la visualizzazione dei datum. La simmetria è molto simile alle dimensioni del modulo e non utilizza i datum.

Inoltre, solo le seguenti dimensioni possono avere più righe nell'editor:

  • Posizione reale

  • Parallelismo

  • Perpendicolarità


Scheda Avanzate

Finestra di dialogo GDT - Scheda Avanzate

Finestra di dialogo GDT - Scheda Avanzate

Finestra di dialogo GDT - Scheda Avanzate

La schedaAvanzateconsente di impostare le opzioni di output e di analisi per le dimensioni dei Feature Control Frame (FCF). Per la documentazione relativa a questa scheda, vedere l'elenco degli elementi della finestra di dialogo illustrati di seguito. Inoltre, molte di queste funzioni esistono già nelle dimensioni precedenti e sono illustrate in dettaglio nella sezione "Dimensionamento degli elementi" .

Sezione di output L'elenco Rapporto e statistiche consente di stampare l'output del Feature Control Frame nel rapporto di ispezione oppure nei file di statistiche utilizzati dal software per le statistiche (ad esempio, DataPage), in entrambe le destinazioni o in nessuna delle due.

· Statistiche – Invia l'output ai file di statistica

· Rapporto – Invia l'output al rapporto di ispezione

· Entrambi – Invia l'output al rapporto di ispezione e ai file di statistica

· Nessuno – l'output non viene stampato

Quando un comando FCF viene eseguito in PC-DMIS, l'output verrà stampato nel rapporto di ispezione, nel file di statistica, in entrambi o in nessuno, in base alla selezione effettuata.

Nota: Se viene selezionata l'opzione Statistiche o Entrambi, un comando STATIST/SÌ precedente deve esistere nella finestra di modifica affinché FCF venga inviato al file delle statistiche.

L'elenco Unità consente di determinare le unità di misura da utilizzare in FCF. È possibile scegliere una delle seguenti opzioni:

· Pollici = Pollici

· MM = Millimetri

PC-DMIS utilizza l'unità di misura selezionata per il dimensionamento finché la finestra di dialogo resta aperta. Per impostazione predefinita, PC-DMIS utilizza la stessa unità di misura del part-program corrente.

Sezione analisi - In questa sezione è possibile impostare il formato dell'analisi dell'output dimensionale per FCF.

Analisi testuale rapporto -Quando si seleziona On (o Entrambi per gli FCF della posizione reale), PC-DMIS stamperà quanto segue nel rapporto di ispezione standard e nella finestra Rapporto per ciascun punto utilizzato in FCF:

  • Valori X, Y e Z misurati

  • Valori I, J e K misurati

  • Deviazione di ogni singolo punto

  • "MAX" o "MIN" alla fine della riga ogni volta che il punto produce una deviazione massima o minima.

Analisi grafica del rapporto - In questo elenco viene visualizzato l'output di FCF nel rapporto. Utilizza un formato adatto ad analisi accurate. Quando si seleziona On (o Entrambi), verrà visualizzato, in un formato grafico con frecce colorate, la deviazione di ciascun punto per FCF utilizzato nel pezzo all'interno del rapporto. Le frecce, con i relativi colori e direzioni, indicano l'entità relativa dell'errore e la direzione.

Analisi grafica CAD - Questo elenco è come Analisi grafica del rapporto tranne che visualizza l'analisi grafica all'interno della finestra di visualizzazione grafica.

Moltiplicatore freccia - La casella Fattore Molt. consente di impostare un fattore di scala che ingrandisce le frecce di deviazione e la zona di tolleranza per la modalità Analisi grafica CAD. Se si inserisce il valore 2,0, PC-DMIS ingrandirà le frecce di due volte rispetto alla deviazione calcolata per ciascun punto dell'elemento. La casella Fattore Molt. viene utilizzata solo per la visualizzazione e non viene stampata.

Sezione informazioni sulla dimensione - In questa sezione è possibile creare una casella di testo Informazioni dimensioni per FCF. Quando si seleziona Crea informazioni dimensioni e questa finestra è chiusa, viene abilitato il pulsante Modifica. È possibile fare clic sul pulsante Modifica per aprire una finestra di dialogo che consente di impostare le opzioni predefinite per il comando di informazioni sulle dimensioni (DIMINFO). Per ulteriori informazioni, vedere "Modifica info dimensione predefinite".

Quando si crea un FCF, la finestra di dialogo si chiude e PC-DMIS crea un comando DIMINFO nella finestra di modifica dopo FCF. Il comando DIMINFO visualizza tutte le informazioni sulle dimensioni nella finestra di visualizzazione grafica accanto all'elemento selezionato nell'elenco Elemento nella scheda Feature Control Frame. Inoltre, visualizza lo stesso asse di dimensioni disponibili utilizzato nella finestra di modifica per un determinato FCF.

Per informazioni più dettagliate sulle caselle DIMINFO e sulle regole per crearle, vedere “Inserimento di caselle relative alle informazioni sulle dimensioni” nella sezione “Inserimento di comandi rapporto” .

Sezione della posizione reale - Questa sezione diventa disponibile solo quando si crea un FCF della posizione reale. Per altri tipi di FCF, non è selezionabile. Nella sezione sono presenti le seguenti voci:

Allineamento - Talvolta quando si visualizzano le informazioni sulle dimensioni relative all'allineamento corrente, i calcoli dei datum possono essere difficilmente decifrabili. In questo elenco è possibile scegliere come visualizzare queste informazioni: in base a un determinato allineamento o in base alla cornice di riferimento del datum.

Adattamento ai datum - In questa casella di controllo è possibile determinare se in FCF viene utilizzato il calcolo best-fit per individuare la posizione ottimale della cornice di riferimento del datum che riduce al minimo l'errore.

Nominali e assi - In questa sezione è possibile personalizzare l'output controllando quale asse visualizzare nel rapporto e consentendo di digitare manualmente i valori nominali.

Elenco elementi - L'elenco a sinistra delle colonne dei nominali e degli assi visualizza tutti gli elementi utilizzati in FCF della posizione reale. Selezionare un insieme di elementi oppure un elemento da questo elenco. In PC-DMIS vengono visualizzati gli assi possibili per quell'elemento.

Asse rapporto - In questa colonna sono presenti le caselle di controllo per ciascun asse. Una casella di controllo selezionata invia quell'asse al rapporto.

Asse - In questa colonna sono elencati gli assi disponibili per l'elemento selezionato.

Nominale -In questa colonna sono riportati i valori nominali. Per sovrascriverli, selezionarli con un clic e digitare un valore diverso.

+Tol / -Tol - Le colonne di tolleranza positiva e negativa forniscono i campi in cui è possibile digitare le tolleranze per i vari assi utilizzati in FCF. PC-DMIS applica questi valori di tolleranza solo all'asse relativo alle dimensioni, poiché gli assi che controllano la posizione utilizzano la tolleranza principale in FCF.

Aggiornamento nominale elemento - In questa colonna è possibile specificare se le modifiche apportate ai valori nominali devono essere applicate solo a FCF o anche all'elemento.


Blocco dei comandi di Feature Control Frame

Di seguito viene riportata la sintassi di un semplice blocco dei comandi di Feature Control Frame (FCF) che utilizza la modalità di comando della finestra di modifica:

FCF6 = POSIZIONE REALE DI CER1, CER2, CER3,...

FEATCTRLFRAME/MOSTRA_NOM=SÍ,MOSTRA_PARAM=SÍ,MOSTRA_ESPANSO=SÍ

GRAF_CAD=ENTRAMBI GRAF_RAPPORTO=OFF TESTO=ENTRAMBI MOLT=10.00 OUTPUT=ENTRAMBI UNITÁ=POLL

COMPOSITO=NO,ADATTA A DATUM=SÍ,ALLINEAMENTO OUTPUT=Cornice riferimento datum

TOLLERANZE DIMENSIONI/4,DIAMETRO,0.375,0.01,0.01

DIMENSIONE PRINCIPALE/POSIZIONE REALE,DIAMETRO,0.01,MMC,A,<MC>,B,MMC,C,<MC>

DIMENSIONE SECONDARIA/POSIZIONE REALE,DIAMETRO,0.005,MMC,<PZ>,<len>,A,<MC>,B,MMC,<dat>,<MC>

NOTA/FCF6

ELEMENTI/CER1,CER2,CER3,CER4,,

INSIEME ELEMENTI

X:NOM=-1

Y:NOM=6.0235

Z:NOM=0

<NUOVO>

CER1

X:NOM=-1

Y:NOM=5.07

Z:NOM=0

<NUOVO>

CER2

X:NOM=-2

Y:NOM=6.008

Z:NOM=0

<NUOVO>

CER3

X:NOM=-1

Y:NOM=7.008

Z:NOM=0

<NUOVO>

CER4

X:NOM=0

Y:NOM=6.008

Z:NOM=0

<NUOVO>

DATUM

D2:NOM=1,+TOL=0.01,-TOL=0.01

Nome Feature Control Frame= Tipo di Feature Control Frame (FCF) (tipo di dimensione) O elenco elemento.

Elenco elemento = Elenco di elementi. Se sono presenti più di tre elementi, viene stampata una serie di puntini sospensivi per assicurarsi che la riga sarà delle dimensioni corrette. Ad esempio, ELEM1, ELEM2, ELEM3 e così via. Se è presente più di una voce, viene trattata come una matrice, e tutti gli elementi devono appartenere allo stesso tipo.

MOSTRA_NOM = SÍ/NO. Quando è impostato su SÍ, i tipi di FCF che hanno dei nominali li visualizzeranno. Sono inclusi la posizione reale, le distanze, gli angoli e l'angolarità.

MOSTRA_PARAM = SÍ/NO. Quando è impostato su SÍ, nel testo saranno visualizzati i seguenti parametri: GRAF_CAD, GRAF_RAPPORTO, TESTO, MOLT, OUTPUT, UNITÁ, COMPOSITO, ADATTA A DATUM, ALLINEAMENTO OUTPUT. Quando sono disattivate, queste opzioni non saranno visualizzate.

MOSTRA_ESPANSO = SÍ/NO. Quando è impostato su SÍ, FCF visualizzerà campi vuoti con una descrizione tra parentesi. Quando sono disattivati, i campi vuoti saranno visualizzati come spazi bianchi.

<MC> - Condizione materiale

<D> - Diametro

<Dim> - Dimensione o tipo di FCF

<PZ> - Area proiettata

<num> - Numero di elementi

<nom> - Nominale delle dimensioni dell'elemento

<+tol> - Tolleranza positiva

<-tol> - Tolleranza negativa

<tol> - Tolleranza

<dat> - Datum

<sim> - Simbolo della dimensione

<aggiungi note qui> - Campo di note nella prima riga

<aggiungi note progetto opzionali> - Note opzionali per il progetto nell'ultima riga

GRAF_CAD = OFF/ON/ENTRAMBI/MODULO – Visualizza l'analisi grafica sul modello nella finestra di visualizzazione grafica. Le dimensioni della posizione reale includono ENTRAMBI/MODULO, a seconda dell'utilizzo dell'opzione del modulo integrato, ma tutte le altre dimensioni visualizzano solo OFF/ON.

GRAF_RAPPORTO = OFF/ON/ENTRAMBI/MODULO – Visualizza l'analisi grafica nel rapporto. Le dimensioni della posizione reale includono ENTRAMBI/MODULO, a seconda dell'utilizzo dell'opzione del modulo integrato, ma tutte le altre dimensioni visualizzano solo OFF/ON.

TESTO = OFF/ON/ENTRAMBI/MODULO – Visualizza l'analisi testuale nel rapporto. Le dimensioni della posizione reale includono ENTRAMBI/MODULO, a seconda dell'utilizzo dell'opzione del modulo integrato, ma tutte le altre dimensioni visualizzano solo OFF/ON.

MOLT = Valore numerico positivo che scala l'analisi grafica nel grafico CAD principale.

OUTPUT = STATISTICHE/RAPPORTO/ENTRAMBI/NESSUNO – Include i calcoli di FCF nel file xstats11.tmp, il rapporto di output, entrambi o nessuno.

COMPOSITO = SÍ/NO. Quando è impostato su SÍ, FCF visualizza le righe di dimensione principale e secondaria come una dimensione composita. Questa opzione è disponibile per la posizione reale e per le dimensioni del profilo.

ADATTA A DATUM = SÍ/NO.Questa opzione è disponibile solo per FCF della posizione reale. Quando è impostato su SÍ, i calcoli consentiranno un calcolo best-fit sui datum per individuare il best-fit ottimale che riduca al minimo lo sbalzo del datum.

ALLINEAMENTO OUTPUT = Cornice di riferimento del datum/Allineamento corrente. Questa funzione è disponibile solo per FCF della posizione reale. Quando è selezionato Cornice di riferimento del datum, le posizioni X, Y e Z saranno visualizzate in relazione alla cornice di riferimento del datum. Quando è selezionato Allineamento corrente, le posizioni X, Y e Z saranno visualizzate in relazione all'allineamento corrente.

UNITÁ = POLL/MM. Le unità utilizzate in FCF per la visualizzazione delle informazioni.

TOLLERANZE DIMENSIONI = Rappresenta la riga superiore di FCF. Per alcuni tipi di FCF, questa riga non viene visualizzata. Questa riga visualizza il numero di elementi selezionati, se viene utilizzato il simbolo del diametro, la dimensione nominale degli elementi e le tolleranze della dimensione che saranno applicate al valore nominale.

DIMENSIONE PRINCIPALE o DIMENSIONE = Rappresenta la seconda possibile riga di FCF che contiene il tipo principale di FCF. Alcuni campi sono validi solo per alcuni tipi di FCF. Questa riga visualizza il tipo di FCF, se viene utilizzato il simbolo del diametro, il valore di tolleranza principale, la condizione materiale applicata alla tolleranza principale, il simbolo dell'area di tolleranza proiettata, il valore dell'area di tolleranza proiettata, il datum principale, la condizione materiale del datum principale, il datum secondario, la condizione materiale del datum secondario, il datum terziario e la condizione materiale del datum terziario. Se non è possibile utilizzare una dimensione secondaria per un determinato tipo di FCF, questa riga utilizza il titolo DIMENSIONE.

DIMENSIONE SECONDARIA = Rappresenta la terza possibile riga di FCF che contiene il tipo principale di FCF. Molti tipi di FCF non visualizzano nulla per la dimensione secondaria. Inoltre, alcuni campi sono validi solo per alcuni tipi di FCF. Questa riga visualizza il tipo di elemento, se viene utilizzato il simbolo del diametro, il valore di tolleranza principale, la condizione materiale applicata alla tolleranza principale, il simbolo dell'area di tolleranza proiettata, il valore dell'area di tolleranza proiettata, il datum principale, la condizione materiale del datum principale, il datum secondario, la condizione materiale del datum secondario, il datum terziario e la condizione materiale del datum terziario. Se è valida, una dimensione secondaria deve seguire le regole di utilizzo degli standard ASME Y14.5 1994 Dimensioning and Tolerancing.

NOTA = Rappresenta la riga finale di FCF. Visualizza le note di testo. Per una facile identificazione degli FCF nel grafico principale, questo campo visualizza l'ID degli FCF.

RIGHE NOMINALI: Questi campi visualizzano i nominali delle dimensioni interne a FCF. Innanzitutto, visualizzano la posizione nominale della serie di elementi che ne risulta, se è stato selezionato più di un elemento. Quindi, visualizzano le posizioni nominali dei singoli elementi. Infine, visualizzano la dimensione e le tolleranze nominali dei datum con dimensioni. In ciascuno di questi gruppi, saranno elencati i nominali selezionati per la visualizzazione nella scheda Avanzate della finestra di dialogo GDT per FCF, quindi ciascun asse da visualizzare può essere attivato o disattivato. Per attivare la visualizzazione di altri nominali nella finestra di modifica, attivare la riga <NUOVO> per vedere gli assi disponibili ma non correntemente visualizzati.

INSIEME ELEMENTI

X:NOM=-1

Y:NOM=6.0235

Z:NOM=0

<NUOVO>

CER1

X:NOM=-1

Y:NOM=5.07

Z:NOM=0

<NUOVO>

CER2

X:NOM=-2

Y:NOM=6.008

Z:NOM=0

<NUOVO>

CER3

X:NOM=-1

Y:NOM=7.008

Z:NOM=0

<NUOVO>

CER4

X:NOM=0

Y:NOM=6.008

Z:NOM=0

<NUOVO>

DATUM

D2:NOM=1,+TOL=0.01,-TOL=0.01


Triedro di Feature Control Frame

Se si seleziona un comando FCF nella finestra di modifica in cui viene utilizzata una cornice di riferimento datum, PC-DMIS visualizza un triedro blue e giallo per rappresentare la cornice di riferimento per l'FCF. È diverso dal triedro rosso e verde che rappresenta l'allineamento corrente del pezzo.

Nella seguente immagine viene visualizzato il triedro dell'allineamento in rosso e verde e il triedro dell'FCF in blu e giallo:

Immagine del triedro FCF (sopra) e del triedro di allineamento (sotto)


Valutazione simultanea di Feature Control Frame

La voce di menu Inserisci | Dimensione | Valutazione simultanea consente di creare un comando di valutazione simultanea nel part-program. Questo comando valuta due o più FCF della posizione reale oppure due o più FCF di profilo (linea o superficie) simultaneamente.

Esempio: Se sono presenti due serie di fori su un pezzo e i fori di una serie hanno una dimensione diversa dai fori dell'altra serie ma si desidera valutare la posizione reale di tutti i fori come se fossero di una sola serie, è possibile utilizzare il comando Valutazione simultanea. Innanzitutto, creare due FCF della posizione reale separati, uno per ciascuna serie di fori. Quindi, creare un comando Valutazione simultanea per valutare i due FCF simultaneamente.

La voce di menu Valutazione simultanea consente di visualizzare la finestra di dialogo Valutazione simultanea.

Finestra di dialogo Valutazione simultanea

Finestra di dialogo Valutazione simultanea

L'elenco sulla destra contiene tutti i comandi FCF disponibili per il comando Valutazione simultanea. Contiene solo gli FCF per la posizione reale o le dimensioni del profilo. Selezionare le voci nell'elenco sulla destra che si desidera includere nel comando Valutazione simultanea. Quando si selezionano le voci, il pulsante Aggiungi diventa disponibile. È possibile selezionare più voci tenendo premuto il tasto CTRL durante la selezione. Fare clic sul pulsante Cancella per deselezionare tutte le voci evidenziate.

Fare clic sul pulsante Aggiungi per aggiungere le voci selezionate all'elenco sulla sinistra nella sezione Feature Control Frame. In questo secondo elenco sono definiti gli FCF che saranno valutati dal comando Valutazione simultanea.

Una volta aggiunte voci all'elenco sinistro, è possibile rimuoverle selezionandole dall'elenco destro e premendo Elimina. In tal modo, le voci vengono eliminate dall'elenco sinistro e visualizzate di nuovo nell'elenco destro. Una volta aggiunti almeno due FCF all'elenco sinistro, il pulsante Crea diventa attivo. Fare clic su Crea per creare il comando di valutazione simultanea e inserirlo nella finestra di modifica. In modalità comando, è simile al seguente:

SIMUL1 =SIMULTANEOUS/FCF2,FCF3,FCF4,,

Regole di valutazione simultanea:

  • Gli FCF da valutare devono essere tutti dello stesso tipo di dimensioni. Devono appartenere tutti alle dimensioni della posizione reale, oppure tutti alle dimensioni del profilo della superficie o tutti alle dimensioni del profilo della linea. La valutazione simultanea non funziona con le dimensioni dell'orientamento. Se si aggiungono FCF di diversi tipi di dimensioni all'elenco sinistro, quando si seleziona Crea PC-DMIS visualizzerà un messaggio di errore per informare l'utente che gli FCF devono appartenere tutti allo stesso tipo.

  • Tutti gli FCF valutati devono avere dimensioni che fanno riferimento agli stessi datum nello stesso ordine di precedenza. Se si aggiungono due FCF della posizione reale all'elenco sinistro che utilizzano datum diversi, quando si seleziona Crea PC-DMIS visualizzerà un messaggio di errore per informare l'utente che gli FCF devono fare riferimento agli stessi datum e utilizzare la stessa precedenza.

  • Tutti i datum utilizzati devono avere le stesse condizioni materiali. Se i datum sono uguali ma le condizioni materiali sono diverse, selezionando Crea PC-DMIS visualizzerà un messaggio di errore per informare l'utente che è necessario utilizzare le stesse condizioni materiali.


Rapporto con Feature Control Frame della posizione reale

Le più importanti modifiche nel formato del rapporto per la posizione reale riguardano la presenza dei seguenti dati nella finestra Rapporto in PC-DMIS 4.0 e versioni successive:

  • La deviazione di ciascun elemento di una serie e non solo la deviazione dell'intera serie. In tal modo, è più facile individuare l'elemento fuori tolleranza in un insieme di elementi.

  • La posizione sbalzata di un datum in conseguenza dell'adattamento di un datum (con datum di dimensioni).

  • Lo sbalzo totale del datum in X, Y e Z e la rotazione in U, V e W eseguita dall'algoritmo di adeguamento.

Quando si inserisce nel rapporto un Feature Control Frame della posizione reale sono disponibili molte informazioni. Per evitare confusione e vedere in quale modo FCF influisce sui calcoli, queste informazioni vengono suddivise in quattro parti.

  1. Informazioni sulle dimensioni. Vengono valutate separatamente dalla posizione dell'elemento.

  2. Informazioni sulla tolleranza bonus nell'elemento principale o nella serie

  3. Informazioni sul datum che comprendono lo sbalzo del datum e la rotazione del datum

  4. Informazioni sulla posizione dell'elemento o della serie.

Le informazioni aggiuntive sono molto più utili che nelle versioni precedenti a 4.0. Ad esempio, le informazioni sullo sbalzo del datum non erano incluse ma possono essere un importante fattore per la dimensione della posizione reale fuori tolleranza. Adesso è possibile stabilire se l'elemento o il datum si trovano nella posizione sbagliata.


Scansione di un Pezzo

Scansione di un pezzo: Introduzione

Esecuzione di scansioni avanzate

Funzioni comuni della finestra di dialogo di scansione

Esecuzione di una Scansione Lineare Aperta Avanzata

Esecuzione di una scansione lineare chiusa avanzata

Esecuzione di una scansione patch avanzata

Esecuzione di una scansione del perimetro avanzata

Esecuzione di una scansione della sezione avanzata

Esecuzione di una scansione rotante avanzata

Esecuzione di una Scansione Libera Avanzata

Esecuzione di una scansione UV avanzata

Esecuzione di una scansione griglia avanzata

Esecuzione di scansioni base

Funzioni di base della finestra di dialogo Scansione base

Esecuzione di una scansione base di un cerchio

Esecuzione di una scansione base di un cilindro

Esecuzione di una scansione base di un asse

Esecuzione di una scansione base di centratura

Esecuzione di una scansione base lineare

Esecuzione di scansioni manuali

Ulteriori opzioni per la scansione manuale

Regole per la scansione manuale

Esecuzione di scansioni manuali con un tastatore a contatto

Esecuzione di scansioni manuali con un tastatore rigido


Scansione di un pezzo: Introduzione

PC-DMIS consente di definire la misura di un punto mediante l'esecuzione della scansione della superficie del pezzo in base a incrementi specificati. Questa funzione di misurazione risulta particolarmente utile in casi in cui sono necessari punti di misurazione CMM controllati in modo preciso. PC-DMIS è in grado di supportare sia scansioni DCC (Direct Computer Control, controllo diretto del computer) eseguite con tastatori a contatto e analogici, sia scansioni manuali con tastatori a contatto o rigidi. Questi due metodi di scansione, DCC e manuale, vengono descritti in modo dettagliato in questa sezione.

Il sistema DCC a punti continui che utilizza la scansione con tastatore a contatto è gestito da PC-DMIS e dal controller CMM (Coordinate Measuring Machine, macchina di misura a coordinate). La procedura di scansione DCC utilizza un algoritmo intelligente, in grado di adattarsi automaticamente e di calcolare i vettori perpendicolari alla superficie in modo da ottenere una compensazione del tastatore più precisa. Poiché PC-DMIS utilizza un TTP (tastatore a contatto) è possibile utilizzarlo per la digitalizzazione punto-punto dei profili sulle superfici. Per fare in modo che l'algoritmo di scansione di PC-DMIS gestisca il processo di misurazione, è necessario specificare i parametri necessari per la scansione DCC e selezionare il pulsante Misura.

Inoltre, è possibile utilizzare le scansioni di PC-DMIS con la testata di un tastatore analogico per eseguire una scansione continua. PC-DMIS invia i parametri di scansione al controller, il quale esegue la scansione del pezzo e indica i punti di scansione al PC-DMIS.

Le scansioni avanzate eseguite in PC-DMIS comprendono anche quelle base. Ad esempio, una scansione PATCH (vedere "Esecuzione di una scansione patch avanzata") è costituita da righe di dati, ciascuna delle quali rappresenta una scansione base. Questo tipo di scansione costituisce la base delle scansioni di livello superiore, ad esempio le scansioni PATCH.

Negli argomenti principali di questa sezione vengono illustrate le opzioni disponibili nel menu secondario Inserisci | Scansione :

  • Esecuzione di scansioni avanzate

  • Esecuzione di scansioni base

  • Esecuzione di scansioni manuali


Esempio: Scansione a punti continui

Esempio: Scansione a punti continui (utilizzando un tastatore a contatto)

fare clic per eseguire il file 20_scan_files/example_stitch_scan.avi


Esempio: Scansione continua

Esempio: Scansione continua (utilizzando il tastatore analogico)

fare clic per eseguire il file 20_scan_files/example_analog_scan.avi


Introduzione all'esecuzione di scansioni avanzate

Le scansioni avanzate sono le scansioni a punti continui DCC eseguite da un tastatore a contatto (TTP) e in alcuni casi con un tastatore analogico. Queste scansioni sono gestite da PC-DMIS e dal controller della macchina CMM. La procedura di scansione DCC utilizza un algoritmo intelligente, in grado di adattarsi automaticamente e di calcolare i vettori perpendicolari alla superficie in modo da ottenere una compensazione del tastatore più precisa.

Queste scansioni avanzate utilizzano un tastatore a contatto che consente la digitalizzazione punto a punto automatica dei profili sulle superfici. Per fare in modo che l'algoritmo di scansione di PC-DMIS gestisca il processo di misurazione, è necessario specificare i parametri necessari per la scansione DCC e selezionare il pulsante Misura.

I tipi di scansione avanzata supportati da PC-DMIS includono:

  • Lineare aperta

  • Lineare chiusa

  • Patch

  • Sezione

  • Perimetro

  • Rotante

  • Libera

  • UV

  • Griglia

In questo argomento vengono descritte le funzioni comuni disponibili nella finestra di dialogo Scansione, utilizzata per eseguire le scansioni riportate sopra e il modo in cui eseguire le scansioni avanzate disponibili.

Vedere anche:

Funzioni comuni della finestra di dialogo di scansione


Funzioni comuni della finestra di dialogo di scansione

Molte delle funzioni descritte di seguito sono comuni a molte delle finestre di dialogo di scansione utilizzate sia per le scansioni DCC che manuali. Le opzioni che fanno riferimento a una sola modalità di scansione vengono indicate in modo appropriato.

Vedere anche:

Tipo di Scansione

Pulsanti Base / Avanzate

ID

Misura

Sezione Punti di bordo

Sezioni della tecnica di direzione

Sezione Costruzione scansione (per la scansione per perimetro)

Sezione Posizione sezione (per la scansione di sezione)

Sezione Vettori iniziali

Seleziona centro (per la scansione rotatoria)

Punto centrale e raggio (per la scansione rotante)

IJK (per la scansione rotatoria)

Sezione Impostazioni scansione UV

Sezione Impostazioni scansione a griglia

Scheda Esecuzione

Scheda Grafica

Scheda Punti di controllo

Scheda Definizioni del percorso

Scheda Impostazioni


Tipo di scansione

L'elenco Tipo di scansione consente di alternare facilmente i vari tipi di scansione disponibili. Selezionando una nuova scansione, il tipo di scansione selezionato sarà riportato nella finestra di dialogo.


Pulsanti Base / Avanzate

I pulsanti <<Base e Avanzate>> consentono di alternare nella finestra di dialogo la visualizzazione delle opzioni di scansione di base e delle opzioni avanzate. Facendo clic su Avanzate>> la finestra di dialogo viene espansa fino a includere le schede Esecuzione, Grafica e Definizioni del percorso nella parte inferiore. In ciascuna di queste schede sono disponibili opzioni aggiuntive che consentono di definire la scansione. Facendo clic su <<Base le voci più avanzate vengono nascoste lasciando solo le informazioni di base necessarie per la creazione della scansione.

Sono visibili le voci di base

Sono visibili le voci avanzate


Punta

ID

Nella casella ID viene visualizzato l'ID della scansione da creare.


Misura

Se la casella di controllo Misura è selezionata e si fa clic sul pulsante Crea, la misurazione della scansione verrà eseguita immediatamente. Se la casella di controllo Misura non è selezionata, quando si fa clic sul pulsante Crea, PC-DMIS inserirà un oggetto scansione nella finestra di modifica che può essere misurato in seguito. Ciò consente all'utente di impostare una serie di scansioni da inserire nella finestra di modifica per essere misurate in un secondo momento.

Nota: questa casella di controllo è disponibile solo quando PC-DMIS è in modalità ONLINE.


Punti di bordo

Sezione Punti di bordo

PC-DMIS consente di definire il bordo di una scansione mediante l'inserimento manuale, la misurazione dei punti o tramite l'uso dei dati CAD.

Una sezione Punti di bordo di esempio

Questa funzione è disponibile solo per le scansioni DCC.

APERTA LINEARE - Queste scansioni possono essere misurate anche senza un punto finale. Se si elimina il punto finale, PC-DMIS continua a misurare la scansione finché questa non viene interrotta manualmente dall'utente. Non è possibile eliminare il punto iniziale e il punto di direzione.

CHIUSA LINEARE - Queste scansioni devono avere un punto iniziale e un punto di orientamento. Non è possibile eliminare o aggiungere punti di bordo.

PATCH - Queste scansioni devono avere almeno tre punti di bordo per creare un patch triangolare da utilizzare. È possibile aggiungere o eliminare nuovi punti mediante i pulsanti Aggiungi e Elimina dalla sezione Punti di bordo. Viene aggiunta una casella di controllo Scansione chiusa in questa sezione.

Utilizzare la casella di controllo Scansione patch chiusa per indicare che si desidera eseguire la scansione di un elemento chiuso, ad esempio un cilindro, un cono, un'asola e così via. Quando questa casella di controllo viene selezionata, PC-DMIS riduce il numero dei punti di bordo necessari per definire il bordo della scansione. È necessario inserire solo il punto iniziale, il punto di orientamento e un punto finale. Il punto finale consente di indicare la parte superiore o inferiore dell'elemento oltre la quale non viene eseguita la scansione. Il punto iniziale, il punto di orientamento e il vettore iniziale consentono di definire il vettore del piano di taglio. Generalmente, il vettore del piano di taglio è parallelo all'asse dell'elemento da misurare.

Nota: è consigliabile utilizzare la condizione di bordo Piano e impostare il Numero incroci di bordo relativo alle scansioni PATCH su 2.

SEZIONE - Le scansioni di sezione utilizzano questa sezione non solo per impostare i punti di bordo per la scansione di sezione ma anche per individuare i fori definiti nei dati CAD e alternare la visualizzazione dei dati per i fori e per i punti di bordo. Le scansioni di sezione aggiungono i pulsanti Taglia CAD e Mostra taglio a questa sezione a questo scopo:

Una volta definito un bordo e selezionato il pulsante Taglia CAD, PC-DMIS cercherà automaticamente nei dati CAD elementi di fori lungo il percorso della scansione. I bordi dei fori trovati vengono indicati con un numero intero corrispondente al punto, seguito dalla lettera "H", ad esempio 2H, 3H e così via. I punti del bordo del foro vengono impostati ad una distanza predefinita di 2,0 millimetri dal bordo del foro teorico.

È possibile tagliare il CAD con superfici specifiche selezionate dall'utente. A tale scopo, selezionare i punti di bordo, selezionare la casella di controllo Seleziona, selezionare le superfici desiderate e fare clic sul pulsante Taglia CAD. PC-DMIS eseguirà la ricerca dei fori tagliando solo le superfici selezionate.

Non è necessario fare clic sul pulsante Taglia CAD se il CAD non contiene elementi di foro. Se non si utilizza questo pulsante, PC-DMIS eseguirà la scansione del pezzo utilizzando i punti di bordo iniziale e finale.

Quando si tagliano le superfici, PC-DMIS utilizza solo le superfici visualizzate nella prima vista (la vista blu). Vedere "Impostazione della Vista Schermo" nella sezione "Modifica della visualizzazione CAD" . Nel caso di un disegno CAD complesso, composto da più superfici, è possibile disporre gruppi di superfici nei livelli CAD. (Vedere l'argomento "Visualizzazione, creazione e modifica dei livelli" nella sezione "Modifica delle visualizzazione CAD" ). Ciò consente di limitare le operazioni di ritaglio CAD a parti specifiche del modello CAD.

Il pulsante Mostra taglio consente di alternare la visualizzazione dei dati dei fori e del bordo. Dopo aver definito un bordo e aver fatto clic sul pulsante Taglia CAD, fare clic sul pulsante Mostra taglio per passare alla visualizzazione appropriata.

PERIMETRO - Queste scansioni hanno lo stesso funzionamento della scansione LINEARE APERTA.

ROTANTE - Queste scansioni richiedono almeno un punto iniziale e un punto di orientamento (mostrati come 1 e D, rispettivamente, nell'elenco Punti di bordo e nella visualizzazione CAD).

  • Se non si dispone di un punto finale (indicato da 2), PC-DMIS continuerà a misurare la scansione lungo la direzione specificata fino a quando non ritorna al punto iniziale.

  • Se si dispone di un punto iniziale e di un punto finale, PC-DMIS esegue la scansione lungo la direzione specificata fino a quando non raggiunge il punto finale.

Per impostazione predefinita, PC-DMIS fornisce un punto iniziale, un punto di orientamento e un punto finale nella sezione Punti di bordo. Mentre il punto finale può essere eliminato facilmente, non è possibile eliminare il punto iniziale o il punto di orientamento.

Quando si definiscono i punti di bordo (facendo clic sul disegno CAD o digitando i valori), PC-DMIS aggancia automaticamente ogni punto alla distanza del raggio dal punto centrale, a meno non sia stato definito alcun raggio. In questo caso, il primo punto di bordo definito definisce anche il raggio.

Nota: il pulsante Bordo presente in questa sezione della finestra di dialogo è disponibile solo in modalità DCC per le scansioni lineare aperta, lineare chiusa, patch, sezione e rotante. Non è disponibile per le scansioni di perimetro

Vedere anche:

Impostazione dei punti di bordo tramite il metodo di digitazione

Impostazione Punti di Bordo con il Metodo dei Punti Misurati

Impostazione dei Punti di Bordo tramite il metodo dei Dati CAD

Uso del pulsante Bordo

Aggiunta ed Eliminazione di Punti di Bordo

Adding and Deleting Boundary PointsUsing the Boundary button


Impostazione dei punti di bordo tramite il metodo di digitazione

Per impostare il bordo di una scansione utilizzando il metodo di digitazione, effettuare le seguenti operazioni:

  1. Fare doppio clic sul punto di bordo desiderato nella colonna "#". Viene visualizzata la finestra di dialogo Modifica elemento di scansione .

Finestra di dialogo Modifica elemento di scansione

  2. Modificare manualmente il valore X, Y o Z.

  3. Fare clic sul pulsante OK per applicare le modifiche apportate.

Il pulsante Annulla consente di annullare tutte le modifiche apportate e di chiudere la finestra di dialogo.

Il pulsante Successivo consente di applicare le modifiche apportate e di passare al successivo punto di bordo.


Impostazione Punti di Bordo con il Metodo dei Punti Misurati

Per impostaere il bordo di scansione usando punti misurati,posizionare il tastatore sul pezzo. Il valore del punto di bordo selezionato nell'elenco dei punti di bordo viene aggiornato automaticamente. Quindi, viene evidenziato il successivo punto di bordo eventualmente presente nell'elenco. Nel caso di una scansione PATCH, un punto di bordo supplementare viene aggiunto automaticamente se il punto corrente è l'ultimo dell'elenco. L'ultimo punto, ovvero lo stesso del punto precedente, viene visualizzato dalla scansione PATCH. Se si seleziona il pulsante OK nella finestra di dialogo, l'ultimo punto viene eliminato da PC-DMIS.


Impostazione dei Punti di Bordo tramite il metodo dei Dati CAD

PC-DMIS consente di selezionare i punti di bordo utilizzando sia i dati wire-frame sia quelli della superficie.

Se si utilizzano i dati CAD, effettuare le seguenti operazioni:

  1. Verificare che siano stati importati i dati CAD solidi.

  2. Assicurarsi che l'icona Disegna superfici [image] sia selezionata.

  3. Selezionare un punto di bordo facendo clic sulla posizione desiderata nella finestra di visualizzazione grafica.

La superficie selezionata viene evidenziata. Quindi, PC-DMIS aggiorna automaticamente il valore del punto di bordo selezionato nell'elenco. Viene evidenziato il successivo punto di bordo eventualmente presente nell'elenco. Nel caso di una scansione PATCH, un punto di bordo supplementare viene aggiunto automaticamente se il punto corrente è l'ultimo dell'elenco.

Se si utilizzano i dati wire-frame CAD, esistono due modalità di selezione degli elementi curvi:

Modalità 1 dei dati wire-frame
Curva quota

Una curva di quota viene utilizzata da PC-DMIS durante le operazioni di ricerca dei nominali per formare un piano mediante l'uso di due curve. Teoricamente, la curva di quota è perpendicolare alle altre curve selezionate, in modo da consentire a PC-DMIS di intersecare i due vettori, ovvero quello della curva di quota e quello di un'altra curva selezionata, e di formare un piano da cui individuare i valori nominali.

Per indicare una curva di quota, selezionare la casella di controllo Quota, quindi selezionare una curva. È opportuno selezionare una sola curva di quota. Inoltre, è necessario eseguire tale operazione dopo aver selezionato altre curve.

1. Assicurarsi che l'icona Modalità curva [image] sia selezionata.

2. Selezionare la casella di controlloSeleziona.

3. Selezionare la casella di controlloQuota.

4. Selezionare una curva.

5. Indicare i due bordi CAD che risultano essere perpendicolari l'uno all'altro.

6. Deselezionare la casella di controllo.

7. Fare clic sul pezzo.

Se si specifica una curva di quota, PC-DMIS forma un piano intersecando il vettore di ciascun bordo con il vettore della curva di quota e perforando il piano per creare un punto.

Modalità 2 dei dati wire-frame
Curva quota disattivata

1. Selezionare la casella di controllo Seleziona.

2. Indicare i due bordi CAD che risultano essere perpendicolari l'uno all'altro.

3. Deselezionare la casella di controllo.

4. Fare clic sul pezzo.

Se non è selezionata alcuna curva di quota, PC-DMIS rilascia il punto selezionato sulla curva.

Nota: è possibile utilizzare i dati wire-frame solo con le scansioni APERTURA LINEARE, CHIUSURA LINEARE e PATCH.


Uso del pulsante Bordo

Il pulsante Bordo è disponibile solo in modalità DCC per le scansioni di tipo Lineare Aperta, Chiusa, Patch e per Sezioni. Non è disponibile per le scansioni per perimetro.

Il pulsante Bordo consente di visualizzare la finestra di dialogo Condizione bordo. Le condizioni del bordo vengono utilizzate per interrompere la scansione nel punto finale. La finestra di dialogo Condizione bordo consente di selezionare i seguenti tipi di bordo dall'elenco a discesa Tipo di bordo:

  • Piano

  • Sfera

  • Cilindro

  • Cono

  • Tipo precedente

La condizione Tipo precedente è stata mantenuta per motivi di compatibilità con le precedenti versioni di PC-DMIS.

A ciascuna delle condizioni di bordo indicata in precedenza, ad eccezione di Tipo precedente, è associata una casella Numero incroci di bordo utilizzata per l'interruzione della scansione. Ad esempio, se il numero di incroci specificato è due, la scansione verrà interrotta quando il centro della sfera del tastatore interseca per la seconda volta la superficie della condizione specificata (piana, sferica, cilindrica, conica e così via). Digitare il valore corrispondente al numero di incroci di bordo desiderato.

La condizione di bordo viene utilizzata nel punto finale ed è associata a una posizione e al valore specificato nella casella Numero incroci di bordo. Tutti gli incroci di bordo vengono calcolati quando il centro della sfera interseca la superficie.

Piano

  • Numero incroci di bordo: La scansione viene interrotta quando il tastatore interseca il piano il numero di volte specificato.

  • VetPian: Questo valore consente di definire il vettore perpendicolare al piano nel punto finale.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

La riga di comando della finestra di modifica per il tipo di bordo piano è la seguente:
BORDO/PIANO, x,y,z,VetPian=i,j,k,VetFin=i,j,k,Incroci

Sfera

  • Numero incroci di bordo: La scansione viene interrotta quando il tastatore interseca (interrompe) la sfera il numero di volte specificato.

  • Raggio: Questo valore rappresenta il raggio della sfera.

  • VetFin Questo valore rappresenta il vettore di avvicinamento nel punto finale

La sfera è posizionata nel punto finale, ma viene definito un offset rispetto alla superficie pari al raggio del tastatore sul vettore di avvicinamento, in modo che il centro della sfera di calibrazione passi attraverso la sfera.

La riga di comando della finestra di modifica per il tipo di bordo sferico è la seguente:
BORDO/SFERA, x,y,z,VetFin=i,j,k,Raggio,Incroci

Cilindro

  • Numero incroci di bordo: La scansione viene interrotta quando il tastatore interseca (interrompe) il cilindro il numero di volte specificato. Il cilindro è illimitato, ovvero la sua lunghezza è infinita.

  • Raggio: Questo valore rappresenta il raggio del cilindro.

  • VetAsse: Questo vettore consente di definire l'asse del cilindro nel punto finale.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

Il cilindro è posizionato nel punto finale, ma viene definito un offset pari al raggio del tastatore sul vettore di avvicinamento, in modo che il centro della sfera passi attraverso il cilindro.

La riga di comando della finestra di modifica per il tipo di bordo cilindro è la seguente:
BORDO/CILINDRO, x,y,z, Asse=i,j,k, VetFin=i,j,k,Raggio,Incroci

Cono

  • Numero incroci di bordo: La scansione viene interrotta quando il tastatore interseca (interrompe) il cono il numero di volte specificato. Il cono è illimitato, ovvero la sua lunghezza è infinita.

  • Angolo: Questo valore rappresenta la bisettrice dell'angolo del cono.

  • VetAsse: Questo vettore consente di definire l'asse del cono lungo il vertice.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

Il vertice del cono è nel punto finale della scansione.

La riga di comando della finestra di modifica per il tipo di bordo cono è la seguente:
BORDO/CONO, x,y,z, Asse=i,j,k, VetFin=i,j,k,SemiAngolo,Incroci

Tipo precedente

Questa condizione di bordo è stata mantenuta per garantire la compatibilità con le versioni precedenti. Le versioni precedenti di PC-DMIS utilizzavano una combinazione di Numero incroci di bordo e di incrementi di scansione per interrompere la scansione. L'opzione Tipo precedente non è un'opzione disponibile. È un'impostazione interna per le scansioni create nelle versioni precedenti di PC-DMIS.

Quando si utilizza PC-DMIS versione 3.0 o successiva per aprire delle scansioni create con PC-DMIS versione 2.3, queste vengono automaticamente convertite e le relative condizioni di bordo definite come scansioni di tipo precedente.

  • VetPian: Questo valore consente di definire il vettore perpendicolare al piano nel punto finale.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

La riga di comando della finestra di modifica per il tipo di bordo precedente è la seguente:
BORDO/TIPO PRECEDENTE, x,y,z,VetPian=i,j,k, VetFin=i,j,k

Nota: è possibile modificare la condizione di bordo di una scansione in qualsiasi momento. L'eventuale nuova condizione di bordo specificata per una scansione DCC, viene applicata a tutte le scansioni base da cui è costituita la scansione DCC. Tuttavia, una modifica apportata solo a un determinato valore di una condizione di bordo, ad esempio al raggio della condizione di bordo sferico, NON viene applicata alle scansioni base. In tal caso, sarà necessario modificare manualmente il valore in ciascuna scansione base.


Aggiunta ed Eliminazione di Punti di Bordo

I pulsanti Aggiungi ed Elimina consentono rispettivamente di aggiungere o eliminare i punti di bordo dal relativo elenco. Esistono alcune limitazioni per ciascun tipo di scansione. Ad esempio, una scansione di tipo CHIUSURA LINEARE consente di prendere solo un punto iniziale e un punto di orientamento. Pertanto, non è possibile aggiungere ulteriori punti o eliminare i due punti indicati. Fare riferimento a ciascun tipo di scansione per informazioni sulle relative restrizioni.


Modifica Punti di Bordo

È possibile modificare i punti di bordo facendo doppio clic sul numero corrispondente al punto desiderato nella colonna "#".

Viene visualizzata la finestra di dialogo Modifica elemento di scansione permettendo la modifica dei valori X, Y, Z.

Finestre di dialogo Modifica elemento di scansione che contengono il pulsante Inverti e la casella di controllo Punto sul foro

È possibile modificare la larghezza delle colonne dell'elenco Punto di bordo mediante le relative intestazioni. Per eseguire questa operazione, fare clic con il pulsante sinistro del mouse sul bordo destro o sinistro di un'intestazione di colonna e trascinarlo fino a raggiungere le dimensioni desiderate. La larghezza di ciascuna visualizzazione dell'elenco viene impostata singolarmente e viene determinata dall'utente. Queste informazioni vengono memorizzate nel file .INI per poter essere utilizzate ogni volta che si apportano delle modifiche ai campi.

Inverti:

Il pulsante Inverti è disponibile soltanto quando si modifica un vettore. Facendo clic su questo pulsante il vettore selezionato viene invertito.

Punto sul foro:

La casella di controllo Punto sul foro diventa disponibile solo se si eseguono scansioni di sezione. Questa casella consente di trasformare un punto non del foro in un punto del foro.

Un punto del foro definisce il punto in cui una scansione della sezione lineare "scavalca" un foro che si trova sul percorso. Selezionando il pulsante Taglia CAD, PC-DMIS posiziona tali punti in prossimità di ciascun lato di tutti i fori che interrompono la scansione della sezione.

I punti del foro sono contrassegnati dalla lettera "H" seguita dal numero del punto (ad esempio 1H, 2H, 3H e così via). Questi punti, come qualsiasi punto di bordo, vengono aggiunti all'elenco Punti di bordoe al modello del pezzo nella finestra di visualizzazione grafica.

Nota: la casella di controllo Punto sul foro è disponibile soltanto per i punti non del foro che è necessario trasformare in punti del foro. Se occorre modificare un punto del foro in un punto non del foro, eliminare il punto del foro e creare un nuovo punto non del foro.


Cancellazione Punti di Bordo

È possibile cancellare facilmente le voci dell'elenco Punti di bordo per qualsiasi tipo di scansione facendo clic con il pulsante destro del mouse mentre il cursore si trova nell'elenco Punti di bordo. Viene visualizzato il pulsante Reset Punti di bordo. Selezionando questo pulsante, tutti i punti di bordo vengono reimpostati su zero e il relativo numero viene impostato sul valore minimo per ogni tipo di scansione.

Nota:PC-DMIS non consente di cancellare i punti di bordo quando si utilizza il pulsante Taglia CAD disponibile con le scansioni di sezione. In questo caso, sarà necessario fare clic sul pulsante Mostra bordo per visualizzare nuovamente i punti di bordo prima di cancellarli.


Sezioni della tecnica di direzione

Le sezioni Tecnica direzione 1 e Tecnica direzione 2 consentono di selezionare le tecniche di direzione che determinano il modo in cui i punti saranno presi dalla scansione. Molte scansioni vengono eseguite in una sola riga quindi dispongono di una sola serie di tecniche di direzione nell'elenco Tecnica direzione 1.

Soltanto le scansioni patch possono essere eseguite in una sezione, disporre di più righe di punti e utilizzare un secondo insieme di tecniche di direzione nell'elenco Tecnica direzione 2. Nell'elenco Tecnica direzione 2, la tecnica selezionata determina la tecnica incrementale che sarà applicata tra le righe.

Quando viene selezionata la tecnica desiderata, PC-DMIS visualizza automaticamente le caselle Max / Min o Incremento.

Vedere anche:

Tecnica della linea

Tecnica Asse corpo

Tecnica variabile

Tecnica Nessun filtro

Caselle Max / Min

Casella Incremento


Tecnica della linea

Per le scansioni lineare aperta, sezione e patch - PC-DMIS determina ciascun punto in base all'incremento impostato e agli ultimi due punti misurati. Il tastatore viene avvicinato in modo perpendicolare alla linea tra gli ultimi due punti misurati. Il tastatore viene posizionato sul piano di taglio. PC-DMIS inizia dal primo punto di bordo e continua a prendere i punti in base all'incremento impostato, fino al punto di bordo finale.

Per le scansioni lineari chiuse - PC-DMIS determina ciascun punto in base agli ultimi due punti misurati. Il tastatore viene avvicinato in modo perpendicolare alla linea tra gli ultimi due punti misurati. Il tastatore viene posizionato sul piano di taglio. PC-DMIS non richiede di specificare il punto finale durante l'uso della tecnica di scansione. Il processo di scansione termina quando il tastatore torna al punto iniziale.

Per le scansioni rotanti - PC-DMIS determina ciascun punto in base all'incremento impostato e agli ultimi due punti misurati. Il tastatore viene avvicinato in modo perpendicolare alla linea tra gli ultimi due punti misurati. mantiene sempre la distanza radiale definita dal punto centrale, perpendicolarmente al vettore del punto centrale. PC-DMIS inizia dal primo punto di bordo e continua a prendere i punti in base all'incremento impostato, fino al punto di bordo finale.


Tecnica Asse corpo

Disponibile per le scansioni lineare aperta, patch e rotante

PC-DMIS prende i punti in base all'incremento impostato lungo il sistema di coordinate del pezzo in uso. Il tastatore [image] viene avvicinato in modo perpendicolare all'asse indicato. Il tastatore viene posizionato sul piano di taglio. Il vettore di avvicinamento è perpendicolare all'asse selezionato e viene posizionato sul piano di taglio. La tecnica ASSE CORPO utilizza lo stesso approccio per ciascun punto (diversamente dalla tecnica LINEA che imposta l'approccio in modo che sia perpendicolare alla linea tra i primi due punti).


Tecnica variabile

Disponibile per le scansioni aperta lineare, chiusa lineare, patch, sezione e rotante

La tecnica VARIABILE consente di impostare i valori di angolo e di incremento massimi e minimi utilizzati per determinare il punto in cui PC-DMIS prenderà un punto. Il tastatore viene avvicinato in modo perpendicolare alla linea tra gli ultimi due punti misurati.

Inserire i valori massimi e minimi utilizzati per determinare gli incrementi tra i punti. Inoltre, è necessario inserire i valori di angolo massimo e minimo desiderati. PC-DMIS prende tre punti utilizzando l'incremento minimo prima di misurare l'angolo compreso tra i punti 1-2 e 2-3.

  • Se l'angolo misurato è compreso nei valori massimi e minimi impostati, PC-DMIS continua a prendere i punti in base all'incremento in uso.

  • Se l'angolo è superiore al valore massimo, PC-DMIS cancella l'ultimo punto e lo misura di nuovo utilizzando un quarto del valore di incremento in uso.

  • Se l'angolo è inferiore al valore di incremento minimo, PC-DMIS utilizza quest'ultimo per prendere il punto.

PC-DMIS misura nuovamente l'angolo compreso tra il nuovo punto e i due punti presi in precedenza, quindi continua a cancellare l'ultimo punto e a ridurre l'incremento ad un quarto del valore, fino a far rientrare l'angolo misurato nell'intervallo specificato o a raggiungere il valore di incremento minimo.

  • Se l'angolo misurato è inferiore al valore di angolo minimo impostato, PC-DMIS raddoppia l'incremento per il punto successivo.

  • Se tale angolo è superiore al valore di incremento massimo specificato, PC-DMIS utilizza quest'ultimo per prendere il punto.

PC-DMIS misura nuovamente l'angolo compreso tra il nuovo punto e i due punti presi in precedenza, quindi continua a raddoppiare il valore dell'incremento fino a quando l'angolo misurato è compreso nell'intervallo specificato oppure non viene raggiunto l'incremento massimo.

If ANGOLO > ANGOLO MAX then INCR = INCR / 4 until INCR MIN
If ANGOLO < ANGOLO MIN then INCR = INCR * 2 until INCR MAX

Nota: le scansioni patch per impostazione predefinita iniziano sempre una nuova riga di scansione con l'incremento minimo. Per fare in modo che ogni nuova linea inizi con l'incremento della precedente linea sottoposta a scansione, è possibile selezionare la casella di controllo Le scansioni patch mantengono l'ultimo incremento dalla scheda Generale della finestra di dialogo Opzioni di impostazione (vedere "Le scansioni patch mantengono l'ultimo incremento" nella sezione "Impostazione delle preferenze" ).


Tecnica Nessun filtro

Disponibile per le scansioni aperta lineare, chiusa lineare, patch, sezione e rotante

La tecnica di scansione Nessun filtro non prevede il filtraggio dei dati. I dati ricevuti dal controller della macchina vengono automaticamente applicati. Benché Compensazione Tastatore e Trova Nom. siano applicati, non avviene alcuna riduzione di dati. Questa tecnica consente di controllare l'incremento dei punti utilizzando il comando TASTAT OPZ che consente di impostare l'incremento dei punti durante una scansione. Vedere gli argomenti "Impostazioni parametri: scheda Tastatore opzionale" della sezione "Impostazione Preferenze" per ulteriori informazioni.

PC-DMIS inizia dal primo punto di bordo e continua a prendere i punti in base all'incremento impostato, fino al punto di bordo finale.

NOTA: La tecnica NESSUN FILTRO è disponibile nell'elenco Tecnica direzione 1 solo se si utilizza la testata di un tastatore analogico, come SP600.

Per le scansioni rotanti, il tastatore mantiene sempre la distanza radiale definita dal punto centrale, perpendicolarmente al vettore del punto centrale.


Caselle Max / Min

Disponibile per le scansioni aperta lineare, chiusa lineare, patch e sezione

Le caselle di controllo Max / Min relative all'incremento e all'angolo descritte di seguito sono disponibili quando si utilizza la tecnica di scansione VARIABILE descritta nell'argomento Tecnica direzione 1 (Metodo variabile)". Solo la casella Incremento max è disponibile per tutte le tecniche di scansione.

Incremento massimo

La casella Incremento max consente di impostare il valore di incremento massimo. Sebbene gli incrementi possano aumentare quando è selezionata l'opzione Variabile, non potranno mai superare il valore di distanza impostato in questo campo.

Incremento minimo

La casella Incremento minimo consente di impostare il valore di incremento minimo. Sebbene gli incrementi possano diminuire quando è selezionata l'opzione Variabile, non potranno mai essere inferiori al valore impostato in questo campo.

Angolo massimo

La casella Angolo max consente di impostare il valore massimo dell'angolo. Sebbene gli angoli possano aumentare quando è selezionata l'opzione Variabile, non potranno mai superare il valore impostato in questo campo.

Angolo minimo

La casella Angolo min consente di impostare il valore minimo dell'angolo. Sebbene gli angoli misurati possano diminuire quando è selezionata l'opzione Variabile, non potranno mai essere minori del valore impostato in questo campo.


Casella Incremento

Disponibile per le scansioni patch

Utilizzata con le scansioni Patch, la casella Incremento consente di impostare la distanza incrementale tra le righe nella scansione patch. Ad esempio, se si inserisce 0,5 le righe della scansione vengono impostate con incrementi pari a un valore di 0,5.


Costruzione scansione

Sezione Costruzione scansione (per la scansione per perimetro)

Utilizzata con la scansione per perimetro

Nella sezione Costruzione scansione della finestra di dialogo sono disponibili varie opzioni per la costruzione di una scansione del perimetro. Le opzioni disponibili sono le seguenti:

  • Incremento

  • Tolleranza CAD

  • Offset

  • Tolleranza offset (+/-)

  • Calcola bordo

  • Elimina

Vedere anche:

Incremento

Tolleranza CAD

Offset

Offset + /

Calcola bordo

Elimina

Delete button Calculate Boundary buttonOffset Tol boxOffset boxCAD Tol boxIncrement box


Incremento per una scansione del perimetro

Casella Incremento per una scansione del perimetro

La casella Incremento consente di indicare la distanza tra ciascuno dei punti rilevati nella scansione.


Tolleranza CAD

La casella Toll CAD é utile per rilevare superfici adiacenti. Maggiore è la tolleranza, più distanti tra loro sono le superfici CAD che possono essere considerate adiacenti.


Offset

La casella Offset consente di determinare a quale distanza dal perimetro viene creata ed eseguita la scansione.


Offset + / -

La casella Toll Offset (+/-)indica qual è la deviazione consentita rispetto al valore di offset. Questo valore viene definito dall'utente.


Calcola bordo

Il pulsante Calcola Bordo consente di determinare il bordo composito delle superfici di input. Il bordo calcolato è rappresentato da una linea rossa tratteggiata nella finestra di visualizzazione grafica.


Elimina

Il pulsante Elimina consente di eliminare il bordo creato in precedenza.


Posizione sezione

Sezione Posizione sezione (per la scansione di sezione)

La casella disponibile nella sezione Posizione sezione consente di specificare la sezione dalla quale si desidera iniziare la scansione. Ad esempio, se si desidera utilizzare più sezioni in base agli incrementi X = 5, X=5,5, X = 6 e così via, è necessario specificare 5,0 come sezione iniziale. A termine di ciascuna scansione, PC-DMIS passerà automaticamente alla sezione successiva (5,5) e così via. È possibile modificare il valore direttamente oppure impostarlo utilizzando il primo punto di bordo. Il valore delle coordinate del primo punto di bordo corrispondente all'asse di taglio rappresenta la posizione della sezione. Nel corso della definizione del primo punto di bordo, effettuata prendendo un punto, selezionando i dati CAD o inserendo un valore, viene utilizzato il valore delle coordinate dell'asse di taglio.

Esempio: se il primo punto di bordo è impostato su 45, 37, 100 e l'asse di taglio è Y, la posizione della sezione si trova in corrispondenza del valore 37. Se l'asse di taglio è X, la posizione della sezione è 45.

Vedere anche:

Asse

Incremento


Asse

Elenco Asse

L'elenco Asse consente di selezionare l'asse (X, Y o Z) su cui si desidera impostare le sezioni multiple. È disponibile anche l'opzione Nessuno che consente di selezionare una linea di sezione sullo schermo. Generalmente, non è possibile eseguire scansioni utilizzando dati curvi. Tuttavia, se si sceglie l'opzione Nessuno durante una scansione della sezione, è possibile selezionare una linea di sezione visualizzata graficamente e utilizzarla per definire il piano di taglio e il percorso di scansione


Incremento per una scansione sezione

Incremento

La casella Incremento consente di specificare la distanza dei salti lungo l'asse della sezione dopo ciascuna scansione.


Vettori iniziali

Sezione Vettori iniziali

Nella sezione Vettori iniziali viene visualizzato un elenco di vettori che saranno utilizzati per avviare e interrompere una scansione. Alcune scansioni non utilizzano vettori iniziali. Si tratta delle scansioni UV, di griglia, di perimetro e libere. Nella seguente tabella vengono visualizzati i vettori iniziali disponibili, quando vengono utilizzati e le relative descrizioni.

Tipo di vettore

Utilizzato nel tipo di scansione

Descrizione

VetIniz

Aperta lineare, chiusa lineare, di sezione, patch e rotante

Vettore di contatto iniziale. I valori visualizzati nella riga Vettore di contatto iniziale indicano il vettore che sarà utilizzato da PC-DMIS per prendere il primo punto nel processo di scansione.

VetTag

Aperta lineare, chiusa lineare, patch e sezione

Vettore del piano di taglio. Un piano di taglio viene utilizzato internamente per i calcoli relativi alle scansioni DCC. Questo piano di taglio viene derivato in modo diverso per ciascun tipo di scansione supportato.

Lineare aperta: il vettore del piano di taglio (VetTag) è il prodotto dell'intersezione del vettore di contatto iniziale (VetIniz) e della linea che unisce il punto iniziale al punto finale. In mancanza di un punto finale, viene utilizzata la linea che collega il punto iniziale al punto di direzione.

Lineare chiusa: il vettore del piano di taglio (VetTag) è il prodotto dell'intersezione del vettore di contatto iniziale (VetIniz) e della linea che unisce il punto iniziale al punto finale.

Scansione patch: il vettore del piano di taglio (VetTag) si ottiene dall'intersezione del vettore di contatto iniziale (VetIniz) e della linea che si estende dal primo al secondo punto. Il vettore del piano di taglio viene quindi impostato nella direzione corretta mediante l'uso della linea presente tra il secondo e il terzo punto. Il vettore di contatto finale (VetFin) consente di prendere i punti del secondo bordo e di passare alla seconda riga una volta terminata la prima.

Scansione sezione: I vettori del piano di taglio e di contatto iniziale consentono di misurare la scansione. Il vettore del piano di taglio è il prodotto di intersezione del vettore di contatto iniziale e della linea che si estende dal punto iniziale al punto finale. Se non esiste un punto finale, viene utilizzata la linea tra il punto iniziale e il punto di orientamento.

VetFin

Lineare aperta, patch, sezione, rotante

Vettore di contatto finale. Il vettore di Contatto Finale è il vettore di avvicinamento della scansione alla fine della riga e viene utilizzato solo per arrestare la scansione o per passare alla riga successiva (nel caso di una scansione di tipo PATCH).

VetPian

Aperta lineare, chiusa lineare, patch, di sezione e rotante

Vettore del piano di bordo. Il vettore del piano di bordo e il vettore di contatto finale vengono utilizzati con la condizione di bordo specificata per interrompere la scansione. Le funzioni del vettore del piano di bordo variano a seconda delle condizioni di bordo con cui viene utilizzato:

Piano

Se viene utilizzato con la condizione di bordo Piano, rappresenta il vettore perpendicolare al piano.

Sfera

Non è possibile utilizzare questo vettore con la condizione di bordo Sfera.

Cilindro

Se viene utilizzato con la condizione di bordo Cilindro, rappresenta l'asse del cilindro.

Cono

Se viene utilizzato con la condizione di bordo Cono, rappresenta l'asse del cono.

VetDir

Rotante e manuale

Vettore di direzione iniziale. Questo vettore rappresenta la direzione in cui sarà avviata la scansione e viene utilizzato insieme al vettore di contatto iniziale per ottenere il vettore del piano di taglio.

VetSup

Lineare aperta e lineare chiusa

Vettore della superficie superiore. Questo vettore viene visualizzato quando si utilizza il tipo di punto Bordo. Rappresenta il vettore della superficie superiore iniziale del bordo e consente di iniziare la scansione.

Vettore1

Lineare aperta e lineare chiusa

Questa riga è il vettore perpendicolare alla prima superficie selezionata per i punti d'angolo. Questo vettore viene visualizzato quando si utilizza il tipo di punto Angolo. Corrisponde ai valori Vettore Superficie 1 nella scheda Punti d'angolo quando si creano gli Elementi automatici. Vedere "Creazione di un angolo automatico" nella sezione "Creazione di elementi automatici" .

Vettore2

Lineare aperta e lineare chiusa

Questa riga è il vettore perpendicolare alla seconda superficie selezionata per i punti d'angolo. Questo vettore viene visualizzato quando si utilizza il tipo di punto Angolo. Corrisponde ai valori Vettore Superficie 2 nella scheda Punti d'angolo quando si creano gli Elementi automatici. Vedere "Creazione di un angolo automatico" nella sezione "Creazione di elementi automatici" .

Vedere anche:

Rappresentazione grafica dei vettori

Modifica dei vettori


Rappresentazione grafica dei vettori

Quando si impostano i punti iniziale, di orientamento e finale della scansione, PC-DMIS consente di ottenere una rappresentazione grafica del vettore di contatto iniziale, del vettore di direzione e del vettore perpendicolare al piano di bordo in cui la scansione verrà interrotta.

Questi vettori vengono visualizzati come frecce blu, verdi e arancione nell'area di visualizzazione grafica del pezzo.

Frecce colorate che indicano i vettori

Vettore | Rappresentazione grafica
Contatto iniziale | Freccia blu
Direzione | Freccia verde
Piano di Bordo | Freccia arancione


Modifica dei vettori

Fare doppio clic su ciascuno dei vettori indicati, per modificare la relativa colonna ed i singoli vettori.

Viene visualizzata la finestra di dialogo Modifica elemento di scansione :

Finestra di dialogo Modifica elemento di scansione

È possibile modificare i valori I, J, K disponibili nei rispettivi campi.

  1. Il pulsante OK nella finestra di dialogo Modifica elemento di scansione consente di applicare le modifiche apportate.

  2. Il pulsante Annullaconsente di chiudere la finestra di dialogo Modifica elemento di scansione senza applicare alcuna modifica.

  3. Il pulsante Successivoconsente di passare attraverso i vettori disponibili nell'elenco Vettori iniziali. È possibile invertire alcuni dei vettori iniziali. n tal caso, il pulsante Inverti diventa attivo nella finestra di dialogo Modifica elemento di scansione .

  4. Il pulsante Inverti consente di invertire la direzione del vettore selezionato.


Seleziona centro

Seleziona centro (per la scansione rotatoria)

La selezione della casella di controllo Seleziona centro consente di fare clic sul disegno CAD per indicare il punto centrale. È possibile selezionare un punto superficie o un punto wire-frame. PC-DMIS inserisce nelle caselle Punto centrale le informazioni su XYZ relative al punto selezionato.

Se si seleziona questa casella di controllo, i punti di bordo della scansione non saranno aggiornati. PC-DMIS aggiorna i punti di bordo solo quando si deseleziona questa casella di controllo.


Punto centrale e raggio

Punto centrale e raggio (per la scansione rotante)

I valori di X, Y e Z di Centro definiscono il punto centrale della scansione ROTANTE.

È possibile digitare direttamente i valori X, Y e Z del punto centrale oppure selezionare la casella di controllo Seleziona centro e fare clic sul disegno CAD per rilevare il punto centrale direttamente dal modello CAD.

R definisce il raggio. Durante l'esecuzione della scansione, PC-DMIS ruota intorno al punto centrale mantenendo questa distanza mentre la scansione si sposta dal punto iniziale al punto finale.


IJK (per la scansione rotatoria)

I valori I, J e K formano un vettore perpendicolare al piano in cui viene creato il Raggio dal punto centrale. PC-DMIS segue questo vettore durante l'esecuzione della scansione.


Impostazioni scansione UV

Sezione Impostazioni scansione UV

Sezione Impostazioni scansione UV

La sezione Impostazioni scansione UV consente di definire la scansione UV. Questa sezione contiene le righe U e V e consente di definire i seguenti controlli.

  • I valori di Punti consentono di specificare il numero di punti presi dalla scansione sulla superficie nella direzione U o V.

  • I valori di Inizio e Fine consentono di posizionare la matrice di punti sulla superficie sottoposta a scansione. Questi valori possono essere impostati per le righe U e V e vengono applicati alla scansione lungo gli assi U e V. Lo spazio UV utilizza numeri compresi tra 0.0 e 1.0 per rappresentare l'intera superficie. Pertanto, 0.0, 0.0 si troverà in corrispondenza dell'angolo diagonale opposto rispetto a 1.0, 1.0.

  • I campi non modificabili Posizione indicano la posizione corrente del tastatore lungo gli assi U e V.


Sezione Impostazioni scansione a griglia

Nella sezione Impostazioni scansione a griglia consente di definire il numero di punti per impostare distanze eque nelle direzioni A e B di una scansione a griglia. La direzione A è orizzontale, la direzione B è verticale. Ad esempio, se si digita 20 nella direzione A e 20 nella direzione B, PC-DMIS tenta di posizionare 20 righe e 20 colonne di punti nelle superfici selezionate combinate nell'area rettangolare.

Nell'immagine sotto riportata, è selezionata solo la superficie superiore del blocco Hexagon. PC-DMIS posizionerà punti solo in quella superficie e non su altre.

Esempio di scansione a griglia che mostra le direzioni A e B con 20 punti in entrambe le direzioni

Esempio di scansione a griglia che mostra le direzioni A e B con 20 punti in entrambe le direzioni


Scheda Esecuzione

La scheda Esecuzione dalla finestra di dialogo di una scansione

Le opzioni nella scheda Esecuzione consentono di determinare le azioni che si verificano quando si esegue la scansione creata. Nella scheda sono presenti le seguenti sezioni:

  • Sezione dell'esecuzione dei controlli

  • Sezione del metodo nominale

  • Sezione dei controlli dei punti

  • Sezione dei controlli di visualizzazione

  • Sezione dei tipi di bordo


Sezione dell'esecuzione dei controlli

In questa sezione sono presenti le seguenti voci:

Voce

Descrizione

Elenco Esegui

Questo elenco consente di determinare il modo in cui PC-DMIS eseguirà una scansione dopo averla appresa.

Normale - PC-DMIS esegue la scansione in modo "normale"; questa modalità fa scattare automaticamente un punto quando il tastatore entra in contatto con il pezzo.

Esempio: se viene eseguita una scansione DCC, PC-DMIS prende i punti in ciascuna delle posizioni apprese nella modalità di scansione a punti continui, memorizzando i nuovi dati misurati. Vengono visualizzati gli stessi nominali esistenti al momento dell'apprendimento della scansione, i quali non possono essere nuovamente calcolati mediante un'altra modalità Nominali.

Riapprendimento - PC-DMIS esegue la scansione come se fosse in fase di apprendimento. Tutti i dati misurati appresi sostituiranno i nuovi dati misurati. Il valore nominale viene ricalcolato in base alla Modalità Nominali (vedere "Modalità Nominali").

Esempio:Se una scansione DCC viene riappresa, PC-DMIS riapprenderà la scansione dall'inizio anziché prendere i punti nelle posizioni apprese (come nel caso in cui fosse attiva la modalità NORMALE).

Definito - PC-DMIS consente al controller di ‘definire’ una scansione. PC-DMIS raccoglie tutte le posizioni dei punti dall'editor e li invia al controller per la scansione. Quest'ultimo adatta il percorso consentendo al tastatore di intersecare tutti i punti. Quindi, i dati vengono ridotti in base all'incremento specificato e i precedenti dati misurati vengono sostituiti dai nuovi dati.

Se questa opzione viene utilizzata dopo la generazione della scansione in modalità offline, le posizioni nominali ottenute dal CAD verranno utilizzate sempre per la gestione della macchina CMM.

Questa modalità è disponibile solo se si utilizzano testate del tastatore analogico in grado di eseguire la scansione continua.

Casella di controllo Piano di sicurezza

La casella di controllo Piano di sicurezza consente di inserire un MOVIMENTO DEL PIANO DI SVINCOLO ad una distanza predeterminata rispetto al sistema di coordinate corrente e all'origine del pezzo prima di prendere il primo punto.

Dopo aver misurato l'ultimo punto nella scansione, il tastatore rimane alla stessa quota fino a quando non viene spostato sull'elemento seguente. L'uso dei piani di sicurezza consente di ridurre i tempi di programmazione, in quanto viene meno la necessità di definire movimenti intermedi. Vedere "Impostazioni parametri: scheda Piano di sicurezza" nella sezione "Impostazione delle preferenze" per ulteriori informazioni sui piani di sicurezza). Questa opzione è disponibile solo per le scansioni DCC.

Casella di controllo Punto singolo

La casella di controllo Punto singolo consente di considerare ciascun punto come un singolo punto misurato.

Se questa opzione è selezionata, PC-DMIS trasforma ciascun punto in un punto misurato e lo inserisce nel part-program . Questa sequenza di operazioni viene eseguita dopo la riduzione della scansione manuale e, nel caso di una scansione in modalità DCC, continuerà fino al termine dell'apprendimento della scansione.

Casella di controllo Movimento automatico

La casella di controllo Movimento automatico consente di attivare i movimenti automatici per ogni scansione. Dopo averla selezionata, è possibile specificare la distanza per il movimento nella casella Movimento automatico.

APERTA LINEARE, CHIUSA LINEARE, PATCH, SEZIONE, PERIMETRO e BASIC SCAN AXIS (SCANSIONE BASE ASSE)

Per questi tipi di scansione PC-DMIS effettua le seguenti operazioni:

  • Genera un movimento automatico alla distanza specificata sul punto iniziale della scansione.

  • Esegue la scansione.

  • Genera un altro movimento automatico alla distanza specificata sul punto finale della scansione.

BASIC SCAN CIRCLE (SCANSIONE BASE CERCHIO), CILINDRO e CENTRO

Per questi tipi di scansione PC-DMIS effettua le seguenti operazioni:

  • Prima dell'avvio della scansione, genera un movimento automatico sul baricentro dell'elemento alla distanza specificata.

  • Esegue la scansione.

  • Una volta completata la scansione, genera un altro movimento automatico sul baricentro dell'elemento alla distanza specificata.

Casella di controllo Compensazione Tastatore

La casella di controllo Compensazione Tastatore consente di determinare se PC-DMIS attiva la compensazione del tastatore per una specifica scansione.

Nella maggior parte dei casi, non è necessario eseguire la compensazione in quanto viene automaticamente eseguita dall'operazione TROVANOM. Tuttavia, se non si dispone di un CAD e si vuole effettuare il reverse-engineering di un pezzo, si deve selezionare questa casella di controllo.

Casella di controllo Compensazione CAD

Questa casella di controllo determina se PC-DMIS compensa ciascun punto utilizzando un vettore di superficie 3D dal file CAD. Se non è selezionata, PC-DMIS utilizza un piano di taglio bidimensionale, come sempre.

Questa casella di controllo è disponibile se si seleziona TROVANOM dall'elenco nella sezione Metodo nominale oppure se si seleziona il modello CAD nella finestra di visualizzazione grafica.

Casella di controllo Bordo interno

Questa casella di controllo consente di determinare se deve essere eseguita una scansione del perimetro interna o esterna.

  • Se questa casella è selezionata, PC-DMIS esegue una scansione del perimetro interna.

  • Se è deselezionata, viene eseguita una scansione del perimetro esterna.

Per informazioni sulle scansioni interne ed esterne, vedere l'argomento "Esecuzione di una scansione del perimetro avanzata".

Casella di controllo Usa COP

Questa casella di controllo consente di determinare se anche i punti sottoposti a scansione vengono aggiunti a un comando COP (Cloud of Points) esistente. Se si seleziona questa casella di controllo, è possibile digitare l'ID nel comando COP in cui si desidera aggiungere i punti appena sottoposti a scansione. Se il comando COP non esiste, PC-DMIS chiederà di generarlo.

Per informazioni sui comandi COP, accedere alla documentazione su PC-DMIS Laser in cui viene illustrato questo comando.


Sezione del metodo nominale

In questa sezione sono presenti le seguenti voci:

Voce

Descrizione

Elenco
Nominali

L'elenco Nominali consente di determinare le modalità di raccolta dei valori nominali dei dati misurati utilizzate da PC-DMIS.

Scansione Master

Quando MASTER è selezionata dall'elenco Nominali, PC-DMIS considera come dati nominali i dati misurati ottenuti la prima volta che la scansione viene appresa. Le esecuzioni successive della scansione verranno confrontate con questi dati misurati. Quando MASTER viene utilizzata con una scansione DCC e la modalità Normale è selezionata dall'elenco Esegui, PC-DMIS eseguirà una scansione a punti continui con i dati misurati.

Trova nominali

Quando l'opzione TROVA NOMINALI è selezionata, PC-DMIS eseguirà la foratura del modello CAD per individuare la posizione più vicina a una superficie CAD rispetto al punto misurato. Quindi, vengono impostati i nominali sulla posizione individuata sulla superficie CAD.

Nota: quando si eseguono scansioni base di tipo Cerchio, Cilindro e Asse, non è necessario disporre dei dati CAD per trovare i nominali. Per eseguire la scansione di base, PC-DMIS utilizza i nominali calcolati in base ai dati nominali forniti. Vedere "Scheda Modalità nominali" per ulteriori dettagli.

Se non è possibile individuare i valori nominali appropriati, PC-DMIS richiede all'utente di fornire una nuova tolleranza per la ricerca dei valori nominali.

È possibile digitare una nuova tolleranza nella casella Tolleranza e applicarla solo alla scansione corrente o all'intero part-program.

    • Se si sceglie Sì, per trovare i valori nominali viene utilizzata la nuova tolleranza.

    • Se si sceglie No, PC-DMIS effettua le operazioni riportate di seguito:

Se non è possibile individuare i valori nominali appropriati per ciascun punto anche dopo l'indicazione della nuova tolleranza, PC-DMIS richiederà all'utente se è possibile eliminare tali punti.

    • Se si sceglie Sì, i punti vengono eliminati.

    • Se si sceglie No, i punti vengono mantenuti nella scansione.

Nominali

Se si seleziona NOMINALI dall'elenco Nominali, PC-DMIS utilizzerà i dati misurati la prima volta che viene eseguita la scansione come dati nominali. Questa opzione consente di riapprendere la scansione senza riapprendere i valori nominali. La differenza principale tra NOMINALI e MASTER è che l'opzione NOMINALI consente di costruire una curva nominale a partire dai dati nominali. PC-DMIS confronta quindi le esecuzioni successive della scansione con questa curva nominale utilizzando il valore contenuto nella casella Toll. ricerca nominali.

La modalità Nominali può essere utilizzata con la modalità Riapprendimento nell'elenco Esecuzione nella sezione Esec. Controlli. Vedere "sezione Esecuz. Controlli".

Nota: se da una modalità differente si passa a NOMINALI nella finestra di modifica, la curva nominale verrà creata automaticamente a partire dai dati teorici correnti. Questa operazione può richiedere molto tempo a seconda della quantità di dati utilizzata. Se la finestra di modifica è impostata su NOMINALI e si passa a un'altra modalità, la curva nominale viene eliminata.

Casella Tolleranza

La casella Tolleranza consente di impostare una nuova tolleranza nominale qualora non fosse possibile trovare i valori nominali appropriati mediante l'uso dell'opzione Trova nominali dall'elenco Nominali.

Assicurarsi di inserire un valore di tolleranza in grado almeno di compensare il raggio del tastatore. Se questo valore è troppo basso, è possibile che venga visualizzato un messaggio di errore per comunicare che il pezzo non è stato individuato durante il tentativo di generare la scansione.

Casella di controllo Usa BestFit

La casella di controllo Usa BestFit consente di eseguire un allineamento BestFit temporaneo allo scopo di trovare valori nominali migliori per i dati misurati. Vedere Trova nominali nell'elenco Nominali sopra riportato per ulteriori informazioni.

PC-DMIS opera secondo questa sequenza per la scansione:

  • PC-DMIS esegue l’operazione TrovaNom.

  • PC-DMIS crea internamente un allineamento Best Fit per i punti nominali trovati e per i dati misurati della scansione. Se la scansione è di tipo Patch, il best fit è 3D.

  • PC-DMIS esegue l'operazione TrovaNom.

  • PC-DMIS crea internamente un allineamento Best Fit per i punti nominali trovati e per i dati misurati della scansione. Se la scansione è di tipo Patch, il best fit è 3D.

  • PC-DMIS esegue l'operazione TrovaNom.

  • PC-DMIS ripristina l'allineamento originale.

Per i pezzi con valori elevati di deviazione dai nominali, questa casella di controllo aiuta a trovare i dati nominali che rappresentano con precisione il pezzo.

Per ulteriori informazioni sugli allineamenti best-fit, vedere "Creazione di un allineamento Best-Fit" nella sezione "Creazione ed uso degli allineamenti" .

Casella di controllo Solo selezionati

Quando si esegue una scansione nel part-program e si cercano i valori nominali dei punti misurati della scansione, è possibile utilizzare la casella di controllo Solo selezionato per consentire la ricerca dei nominali sulla serie di superfici correntemente selezionata.

Nota:se una qualsiasi superficie selezionata è già definita come superficie di priorità nella finestra di dialogo Modifica elementi CAD, PC-DMIS mantiene la priorità sulle altre superfici selezionate nella serie (vedere "Modifica CAD" dalla sezione "Modifica visualizzazione CAD" ).


Sezione Controlli dei punti

La sezione Controlli dei punti contiene un elenco che controlla dove vengono presi i punti. Altre caselle in questa sezione vengono visualizzate o nascoste in base al tipo di punto selezionato nell'elenco del tipo di punto. In questa sezione sono presenti le seguenti voci:

Voce

Descrizione

Elenco Tipo di punto

L'elenco Tipo di punto contiene i seguenti tipi di punto:

  • VETTORE - La scansione utilizza i punti di vettore.

  • SUPERFICIE - La scansione viene presa lungo una superficie e utilizza i dati del punto di superficie.

  • BORDO - La scansione viene presa lungo un bordo. Quando vengono utilizzati i punti Bordo e sono disponibili i dati CAD, PC-DMIS consente all'utente di inserire uno spessore di tipo "A livello" per i nominali. Questo tipo di spessore viene applicato in modo perpendicolare al vettore di avvicinamento del bordo durante la ricerca di nominali per la scansione (contrariamente allo spessore normale applicato alla superfice perpendicolare).

  • ANGOLO - Questa scansione utilizza i dati di punti ANGOLO.

Indipendentemente dal tipo di testata del tastatore, viene sempre eseguita una scansione a punti continui.

Casella Iniziale

La casella Iniziale consente di impostare il numero dei punti di campionamento presi prima della misurazione effettiva di ciascun punto. Questi punti di campionamento vengono presi solo durante la prima esecuzione di una scansione.

Casella
Permanente

La casella Permanente consente di impostare il numero dei punti di campionamento presi in modo permanente prima della misurazione effettiva di ciascun punto. Questi punti di campionamento vengono presi ogni volta che viene eseguita la scansione.

Casella
Distanziatore

La casella Distanziatore consente di impostare la distanza tra i punti di campionamento.

Casella
Quota

La casella Quota consente di impostare la quota dal bordo da cui vengono presi i punti di campionamento. Questa opzione è disponibile solo se BORDO è selezionato nell'elenco Tipo di punto.

Casella
Rientro

La casella Rientro consente di impostare il rientro dal bordo da cui vengono presi i punti di campionamento nella superficie superiore. Questa opzione è disponibile solo se BORDO è selezionato dall'elenco Tipo di punto .

Casella
Rientro 1

La casella Rientro 1 consente di impostare il rientro dal bordo da cui vengono presi i punti di campionamento nella superficie superiore. Questa opzione è disponibile solo se ANGOLO è selezionato nell'elenco Tipo di punto.

Casella
Rientro 2

La casella Rientro 2 consente di impostare il rientro dal bordo da cui vengono presi i punti di campionamento nella superficie superiore. Questa opzione è disponibile solo se ANGOLO è selezionato nell'elenco Tipo di punto.

Casella
A livello

La casella A livello consente di immettere uno spessore di livello per i nominali se viene utilizzato il tipo di punto Bordo o Angolo e sono disponibili i dati CAD. Questo tipo di spessore viene applicato in modo perpendicolare al vettore di avvicinamento del bordo durante la ricerca di nominali per la scansione a differenza di quanto avviene con lo spessore regolare che viene applicato lungo la perpendicolare alla superficie.


Sezione dei controlli di visualizzazione

La sezione Controlli di visualizzazioni consente di determinare il tipo di informazioni da visualizzare durante la scansione nella finestra di modifica. Nella sezione sono presenti le seguenti voci:

Voce

Descrizione

Casella di controllo
Mostra punti

Se questa casella di controllo è selezionata, PC-DMIS visualizza ciascuna scansione nella finestra di modifica sotto forma di un insieme di punti misurati preceduti da un oggetto di scansione e seguiti da un oggetto di fine misurazione. Se questa opzione è selezionata, tutti i punti vengono visualizzati nella finestra di modifica. Se questa casella di controllo non è selezionata, i punti non saranno visualizzati.

Casella di controllo
Mostra tutto

Se questa casella di controllo è selezionata, PC-DMIS visualizza tutti i parametri di scansione nella finestra di modifica, ad esempio:

  • Piani di taglio

  • punti di bordo

  • Vettore di direzione

  • Vettore di avvicinamento finale.

Se non si seleziona questa casella di controllo, PC-DMIS visualizza solo questi tipi di dati nella finestra di modifica:

  • Incrementi

  • Tecniche

  • Tipi di punto


Sezione dei tipi di bordo

La riga di comando della finestra di modifica per il tipo di bordo piano è la seguente:

BORDO/PIANO, x,y,z,VetPian=i,j,k, VetFin=i,j,k,Incroci

  • VetPian: Questo valore consente di definire il vettore perpendicolare al piano nel punto finale.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

La sfera è posizionata nel punto finale, ma viene definito un offset rispetto alla superficie pari al raggio del tastatore sul vettore di avvicinamento, in modo che il centro della sfera di calibrazione passi attraverso la sfera.

La riga di comando della finestra di modifica per il tipo di bordo sferico è la seguente:

BORDO/SFERA, x,y,z,VetFin=i,j,k,Raggio,Incroci

  • Raggio: Questo valore rappresenta il raggio della sfera.

  • VetFin Questo valore rappresenta il vettore di avvicinamento nel punto finale

Il cilindro è posizionato nel punto finale, ma viene definito un offset pari al raggio del tastatore sul vettore di avvicinamento, in modo che il centro della sfera passi attraverso il cilindro.

La riga di comando della finestra di modifica per il tipo di bordo cilindrico è la seguente:

BORDO/CILINDRO, x,y,z, Asse=i,j,k, VetFin=i,j,k,Raggio,Incroci

  • Raggio: Questo valore rappresenta il raggio del cilindro.

  • VetAsse: Questo vettore consente di definire l'asse del cilindro nel punto finale.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

Il vertice del cono è nel punto finale della scansione.

La riga di comando della finestra di modifica per il tipo di bordo conico è la seguente:

BORDO/CONO, x,y,z, Asse=i,j,k, VetFin=i,j,k,SemiAngolo,Incroci

  • Semiangolo: Questo valore rappresenta la bisettrice dell'angolo del cono.

  • VetAsse: Questo vettore consente di definire l'asse del cono lungo il vertice.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

Le versioni precedenti di PC-DMIS utilizzavano una combinazione di incroci di bordo e di incrementi di scansione per interrompere la scansione. L'opzione Tipo precedente non è un'opzione disponibile ma un'impostazione interna per le scansioni create in versioni precedenti di PC-DMIS.

Quando si utilizza PC-DMIS versione 3.0 o successiva per aprire delle scansioni create con PC-DMIS versione 2.3, queste vengono automaticamente convertite e le relative condizioni di bordo definite come scansioni di tipo precedente.

La riga di comando della finestra di modifica per il tipo di bordo precedente è la seguente:

BORDO/TIPO PRECEDENTE, x,y,z, VetPian=i,j,k, VetFin=i,j,k,

  • VetPian: Questo valore consente di definire il vettore perpendicolare al piano nel punto finale.

  • VetFin: Questo valore rappresenta il vettore di avvicinamento nel punto finale.

Sezione dei tipi di bordo

La sezione Tipo di bordo consente di creare un elemento immaginario che funga da bordo intorno al punto finale della scansione. Per impostazione predefinita, questo elemento è un piano in corrispondenza del punto finale che interrompe la scansione quando viene intersecato. Tuttavia, è possibile definire il tipo di bordo finale in modo che sia un tipo di elemento diverso.

I tipi di bordo sono disponibili solo per le scansioni lineare aperta, lineare chiusa, patch e della sezione in modalità DCC.

In questa sezione sono presenti le seguenti voci:

Voce

Descrizione

L'elenco del tipo di bordo consente di scegliere la fine della scansione. Il tipo di ciascun bordo utilizza un valore dalla casella Incroci.

Piano - La scansione viene interrotta quando il tastatore interseca il piano in corrispondenza del punto finale il numero di volte specificato.

Sfera - La scansione viene interrotta quando il tastatore interseca la sfera in corrispondenza del punto finale il numero di volte specificato.

Cilindro - La scansione viene interrotta quando il tastatore interseca il cilindro in corrispondenza del punto finale il numero di volte specificato. Il cilindro è illimitato, ovvero la sua lunghezza è infinita.

Cono - La scansione viene interrotta quando il tastatore interseca il cono in corrispondenza del punto finale il numero di volte specificato. Il cono è illimitato, ovvero la sua lunghezza è infinita.

Tipo precedente - (Mantenuta per motivi di compatibilità con le precedenti versioni)

Scheda
Incroci

La casella Incroci determina il numero di volte che una scansione interseca il tipo di bordo selezionato prima dell'interruzione della scansione. Ad esempio, se il numero di incroci specificato è due, la scansione verrà interrotta quando il centro della sfera del tastatore interseca per la seconda volta la superficie della condizione specificata (piana, sferica, cilindrica, conica e così via).

Casella Raggio

La casella Raggio viene visualizzata quando si seleziona Sfera o Cilindro come tipo di bordo. Consente di definire il raggio dell'elemento tipo di bordo.

Casella Angolo

La casella Angolo viene visualizzata quando si seleziona Cono come tipo di bordo. Consente di definire il semiangolo del cono.

Nota: è possibile modificare la condizione di bordo di una scansione in qualsiasi momento. Se si sceglie una nuova condizione per una scansione DCC, PC-DMIS la applica a tutte le scansioni base che compongono la scansione DCC. Se, tuttavia, si sceglie di modificare un determinato valore di una condizione, ad esempio il raggio del tipo di bordo sfera, PC-DMIS non propaga quella modifica alle scansioni base. In tal caso, sarà necessario modificare manualmente il valore in ciascuna scansione base.


Scheda Grafica

La scheda Grafica dalla finestra di dialogo di una scansione

La scheda Grafica consente di utilizzare il modello CAD per la creazione di una scansione. In questa scheda è presente la sezione Controlli CAD. In tale sezione è possibile specificare gli elementi wire-frame/superficie CAD che saranno utilizzati per trovare i nominali e lo spessore del pezzo.

È possibile che una scansione abbia inizio su una determinata superficie e che proceda su molte altre prima di essere completata. In questo caso, è necessario che PC-DMIS esegua la ricerca dei valori nominali in tutte le superfici del modello CAD, non essendo a conoscenza degli elementi CAD da utilizzare. Se il modello CAD è costituito da molte superfici, è possibile che l'esecuzione della ricerca della funzione TROVANOM richieda tempi particolarmente lunghi.

Voce

Descrizione

Casella di controllo
Seleziona

Selezionando questa casella di controllo e facendo clic su una superficie, è possibile definire le superfici da sottoporre a scansione. Indicando manualmente le superfici da sottoporre a scansione, il processo TROVANOM è molto più veloce. Le superfici CAD selezionate vengono evidenziate nella Finestra di Visualizzazione Grafica. Il numero delle superfici selezionate viene visualizzato nella barra di stato. Se la casella di controllo Seleziona non è selezionata, PC-DMIS considera come punti di bordo tutte le posizioni in cui viene fatto clic sulla superficie.

Esempio: è necessario selezionare due bordi perpendicolari tra loro su ciascuna superficie su cui viene eseguita la scansione. Se la scansione viene eseguita su tre superfici, è necessario selezionare sei bordi (rappresentanti le tre superfici) in base a un ordine appropriato. I primi due bordi selezionati definiscono la prima superficie, il terzo e il quarto bordo la seconda superficie, il quinto e il sesto bordo la terza superficie e così via.

Pulsante
Deseleziona

Se si seleziona una superficie non corretta, fare nuovamente clic per deselezionarla. Fare clic sul pulsanteDeselezione deselezionare una superficie alla volta in un gruppo di superfici evidenziate, fino a quando non vi è più alcuna superficie selezionata. Fare clic sul pulsanteDeseleziona Tutto per deselezionare contemporaneamente tutte le superfici evidenziate .

Il pulsanteDeselezionaconsente di rimuovere un elemento CAD evidenziato alla volta da un gruppo di elementi CAD creati utilizzando la casella di controlloSeleziona.

Pulsante Deseleziona tutto

Il pulsante Deseleziona Tutto consente di rimuovere tutti gli elementi CAD evidenziati, creati mediante la casella di controllo.Seleziona .

Casella di controllo
Quota

La casella di controllo Quota viene utilizzata solo durante la selezione degli elementi Curva. È possibile indicare un determinato elemento curva CAD come elemento Quota.

Per utilizzare la casella di controllo Quota :

  1. Selezionare tutti gli altri elementi CAD.

  2. Selezionare la casella di controllo Quota.

  3. Selezionare un elemento CAD.

La curva di quota viene utilizzata durante le operazioni della funzione TROVANOM . Per trovare i valori nominali da un elemento curva CAD, PC-DMIS prende il vettore dell'elemento di quota CAD e lo interseca con il vettore degli altri elementi CAD selezionati per ottenere un piano. Quindi, esegue la foratura del piano per richiamare il valore nominale appropriato. Se sono selezionati più elementi CAD, il punto di perforazione più vicino viene utilizzato come punto nominale. PC-DMIS ricerca gli eventuali dati CAD wire-frame utilizzati a coppie.

Casella di controllo
Vettore1

La casella di controllo Vettore1 viene visualizzata soltanto se si seleziona l'opzione Angolo dall'elenco Tipo di punto e se si utilizzano i dati della superficie. Consente di selezionare le superfici CAD che PC-DMIS utilizzerà per rilevare il valore nominale. È possibile indicare il gruppo di superfici da utilizzare per la ricerca del Vettore superficie1 del punto d'angolo selezionando questa casella di controllo, quindi scegliendo le superfici CAD dalla finestra di visualizzazione grafica.

Casella di controllo
Vettore2

La casella di controllo Vettore2 viene visualizzata soltanto se si seleziona l'opzione Angolo dall'elenco Tipo di punto e se si utilizzano i dati della superficie. Consente di selezionare le superfici CAD che PC-DMIS utilizzerà per rilevare il valore nominale. È possibile indicare il gruppo di superfici da utilizzare per la ricerca del Vettore superficie2 del punto d'angolo selezionando questa casella di controllo, quindi scegliendo le superfici CAD dalla finestra di visualizzazione grafica.

Casella di controllo
Spessore

La casella Spessore consente di inserire lo spessore del pezzo. È possibile utilizzare valori positivi o negativi. Questo valore viene utilizzato principalmente per i pezzi sottili (elementi di plastica o di elementi automatici) di cui i dati CAD descrivono solo un lato. Spesso, i tecnici CAD disegnano un solo lato dei pezzi sottili, quindi specificano lo spessore del materiale. PC-DMIS applica automaticamente tale spessore durante l'uso dei dati della superficie CAD.

Quando viene selezionata la modalità TROVANOM lo spessore specificato viene applicato al vettore perpendicolare alla superficie e PC-DMIS esegue la foratura delle superfici CAD per richiamare i valori nominali, anche se vengono utilizzati i punti di bordo.


Scheda Punti di controllo

Scheda Punti di controllo

Nota: La scheda Punti di controllo viene visualizzata solo se si utilizza un tastatore analogico che consente la scansione continua.

La scheda Punti di controllo consente di aggiungere dei punti di controllo alla scansione. I punti di controllo interrompono temporaneamente le normali funzioni di scansione e consentono di definire posizioni di scansione specifiche che modificano la velocità di scansione, la densità di punti o entrambi. Per ottenere una scansione ottimale, è spesso necessario definire velocità di scansione e/o densità di punti diverse in base alle diverse aree di scansione.

I seguenti tipi di scansione supportano l'aggiunta di punti di controllo:

  • Lineare aperta

  • Lineare chiusa

  • Patch

  • Sezione

  • Lineare (Scansione di base)

La scheda Punti di controllo contiene la sezione relativa alla definizione dei punti di controllo. In questa sezione è possibile definire i singoli punti di controllo. Nella sezione sono presenti le seguenti voci:

Voce

Descrizione

Elenco Tipo

Da questo elenco è possibile definire il tipo di punto di controllo. I tipi disponibili sono quelli elencati di seguito:

  1. Piano
    PIANO, X, Y, Z, I, J, K, Numero di incroci, Velocità di scansione, Densità punti

  2. Sfera
    SFERA, X, Y, Z, I, J, K, Numero di incroci, Velocità di scansione, Densità punti, Diametro

  3. Cono
    CONO, X, Y, Z, I, J, K, Numero di incroci, Velocità di scansione, Densità punti, Angolo

  4. Cilindro
    CILINDRO, X, Y, Z, I, J, K, Numero di incroci, Velocità di scansione, Densità punti, Diametro

I tipi elencati sono simili ai punti di bordo.

Casella Numero di incroci

In questa casella è possibile definire il numero di volte che il tastatore deve intersecare il bordo dei punti di interruzione prima di modificare i parametri specificati.

Casella Diametro

In questa casella è possibile definire il diametro del punto di controllo Cilindro o Sfera.

Casella Angolo

In questa casella è possibile definire il semiangolo del punto di controllo Cono.

Casella Densità punto

In questa casella è possibile definire la densità di punti letti e memorizzati nei dati di scansione durante una scansione continua. La densità viene espressa in numero di punti per mm.

Casella Velocità

In questa casella è possibile definire la velocità della macchina durante la scansione della superficie del pezzo.

Casella di controllo Da punto manuale

Se si seleziona questa casella di controllo, è possibile definire la posizione XYZ e IJK del punto di controllo prendendo manualmente un punto con il tastatore (oppure facendo clic sul pezzo se si lavora in modalità fuori linea).

Caselle XYZ

In queste caselle è possibile definire la posizione XYZ del punto di controllo.

Caselle IJK

In queste caselle è possibile definire il vettore IJK del punto di controllo.

Pulsante Aggiungi

Consente di aggiungere un nuovo punto di controllo non definito.

Pulsante Elimina

Consente di eliminare il punto di controllo corrente.

Pulsante Successivo

Consente di passare al punto di controllo successivo. Le caselle nella sezione consentono di visualizzare i dati del nuovo punto.

Pulsante Precedente

Consente di passare al punto di controllo precedente. Le caselle nella sezione consentono di visualizzare i dati del nuovo punto.

Pulsante Elimina tutto

Consente di eliminare tutti i punti di controllo nella scansione.

Pulsante Aggiorna

Consente di aggiornare tutti i punti di controllo nella scansione con l'impostazione per il punto di controllo corrente.

Vedere anche:

Aggiunta e uso di punti di controllo

Scansione dopo l'aggiunta di punti di controllo


Aggiunta e uso di punti di controllo

  1. Aprire la finestra di dialogo Scansione.

  2. Definire il tipo di scansione da eseguire. Viene automaticamente definito il numero minimo di punti di bordo in base al tipo di scansione selezionata:

    Piano
    Sfera
    Cono
    Cilindro

  3. Fare clic sulla scheda Punti di controllo.

  4. Utilizzare uno dei tre metodi descritti di seguito per aggiungere le posizioni dei punti di interruzione:

  • Metodo 1: Inserire manualmente le posizioni. Fare clic sul pulsante Aggiungi e digitare il valore di ciascun punto.

  • Metodo 2: Selezionare la casella di controllo Da punto manuale e utilizzare la macchina per indicare le posizioni del pezzo in cui si desidera inserire i punti di controllo. PC-DMIS inserisce le informazioni ottenute nella finestra di dialogo Punti di controllo.

  • Metodo 3: Nella finestra di visualizzazione grafica, fare clic con il mouse sul modello CAD in cui si desidera inserire i punti di controllo. PC-DMIS inserisce le informazioni ottenute nella finestra di dialogo Punti di controllo.

Per i metodi due e tre, PC-DMIS aggancia automaticamente i punti selezionati al piano di taglio della scansione per tutti i tipi di scansione, ad eccezione delle scansioni di tipo patch.

  5. Ripetere le operazioni del punto 4 per completare la definizione di tutti i punti di controllo desiderati.

  6. Una volta definiti i punti di controllo, fare clic sul pulsante Crea. La finestra di dialogo Scansione si chiude e la scansione viene eseguita.

  7. Se si desidera modificare, eliminare o aggiungere punti di controllo, fare clic sulla scheda Punti di controllo in qualsiasi momento e apportare le modifiche necessarie.


Scansione dopo l'aggiunta di punti di controllo

Una volta definiti tutti i punti di controllo e creata la scansione, durante l'esecuzione vengono eseguite le operazioni seguenti:

  1. La scansione inizialmente utilizza i valori di Velocità di scansione e Densità punti impostati globalmente.

  2. Mentre vengono attraversati il percorso e i parametri definiti, le condizioni di scansione variano in base ai punti di controllo.

  3. Una volta completata la scansione, i valori di Velocità di scansione e Densità punti torneranno quelli impostati globalmente.


Scheda Definizioni del percorso

Nella scheda Definizioni del percorso sono presenti due sezioni, Percorso teorico e Percorso spline. È possibile utilizzare queste sezioni per generare un percorso teorico per la scansione e, quando possibile, inserire i punti di dati teorici in un percorso secondario, denominato percorso spline. Tale percorso filtra il numero di punti teorici.

Per creare un percorso teorico e inserirlo in un percorso spline:

  1. Selezionare un tipo di scansione che supporta un percorso spline. Le opzioni disponibili sono le seguenti:

  • Lineare aperta

  • Lineare chiusa

  • Patch

  • Sezione

  • Libera

  2. Selezionare la scheda Definizioni del percorso.

  3. Definire il percorso teorico. In molti casi è possibile utilizzare il pulsante Leggi File per importare un insieme preesistente di punti di dati teorici, oppure fare clic sul pulsante Genera. Il pulsante Genera genera automaticamente un insieme di punti di dati teorici tra il punto iniziale e il punto finale a partire dai dati CAD esistenti.

Nota: se si esegue una scansione libera, il pulsante Genera non viene visualizzato ed è necessario fare clic sul CAD per selezionare i punti teorici.

  4. I punti vengono visualizzati in sequenza nell'elenco, mostrando i relativi dati XYZ e IJK. Se nella sezione dei dati teorici sono presenti più di cinque punti, è possibile inserirli in un percorso spline utilizzando il pulsante Calcola nella sezione Percorso spline. Non è necessario inserire il percorso teorico in un percorso spline ma i dati iniziali nell'elenco teorico di solito contengono molti più punti di quanti non siano necessari.

  5. Definire un percorso spline in cui sarà inserito il percorso teorico. Stabilire se i punti teorici formeranno un percorso aperto o chiuso, se il calcolo del percorso è interpolato o approssimato, se i punti hanno un peso e se lo spazio dei punti è controllato da una densità definita o da un certo numero di punti.

  6. Quando entrambe le sezioni sono riempite, fare clic su Calcola nella sezione Percorso spline. I dati teorici vengono modificati per essere adattati ai parametri specificati nel percorso spline. Un punto arancione verrà visualizzato nella finestra di visualizzazione grafica sul pezzo per ciascun punto. Se sono presenti numerosi punti, tali punti arancione possono mescolarsi per formare una striscia di colore arancione.

  7. Una volta soddisfatti della visualizzazione dei punti, fare clic su Crea per generare la scansione.

Vedere anche:

Sezione Percorso teorico

Sezione Percorso spline


Sezione Percorso teorico

La sezione Percorso teorico contiene le seguenti voci:

Voce

Descrizione

Elenco Percorso teorico

In questo elenco viene visualizzato il percorso teorico della scansione. Per ciascun punto vengono visualizzati i dati XYZ e IJK. È possibile importare punti da un file di testo selezionando il pulsante Leggi File oppure lasciare che PC-DMIS generi automaticamente i punti teorici facendo clic su Genera. Se si esegue una scansione libera, è possibile creare tali punti selezionandoli dal modello CAD.

I punti teorici possono essere modificati dall'utente. Per modificare il valore dei punti, effettuare le seguenti operazioni:

  1. Fare doppio clic sul numero corrispondente al punto appropriato nella colonna ‘#’. Viene visualizzata la finestra di dialogo Modifica Dati Teorici.

  2. Modificare i valori nelle caselle desiderate X, Y, Z e I, J, K .

  3. Fare clic sul pulsante OK. La modifica apportata viene applicata all'elenco Percorso teorico.

Selezionando il pulsante Successivo nella finestra di dialogo Modifica Dati Teorici è possibile spostarsi tra i punti contenuti nell'elenco Percorso teorico e quindi modificarli uno a uno.

Pulsante Genera

Questo pulsante utilizza le informazioni del modello CAD e genera automaticamente il percorso teorico entro i bordi della scansione per le seguenti scansioni supportate: Aperta lineare, chiusa lineare, patch e sezione. Spesso vengono generati molti punti.

Una volta definiti i bordi della scansione e selezionato Genera, la finestra di dialogo viene nascosta per poter visualizzare la scansione mentre viene generata dal software sullo schermo. Al termine della scansione, la finestra di dialogo viene nuovamente visualizzata. Selezionando il pulsante Crea, una scansione contenente dati di punto nominali viene inserita nel part-program.

Durante la generazione dei dati nominali per le scansioni e la ricerca dei valori nominali per la scansione appresa, PC-DMIS utilizza sempre il valore di Tolleranza ricerca nominali indicato nella scheda Opzioni di impostazione, scheda Generale.

Pulsante Annulla

Questo pulsante consente di annullare l'ultima azione eseguita durante l'importazione, la generazione o la modifica di punti nell'elenco Percorso teorico.

Pulsante Leggi File

Questo pulsante consente di importare punti da un file di testo con estensione .txt. Il file di testo deve essere in formato delimitato da virgole con un punto per ciascuna riga, come riportato di seguito:

X,Y, Z,I,J,K

Casella di controllo Salta fori

Questa casella di controllo consente di determinare se il percorso teorico deve saltare i fori o altri elementi simili sulla superficie. Se viene selezionata, i dati del punti che non si trovano entro la superficie selezionata (ad esempio, elementi di foro) non saranno inclusi nell'elenco Percorso teorico e saranno ignorati durante la scansione. Se non viene selezionata, la scansione includerà gli elementi simili a fori.

Viene visualizzata in tutte le scansioni, eccetto la scansione del perimetro e la scansione libera.

Casella Toll.

La casella Toll. consente di impostare il valore di tolleranza. PC-DMIS utilizza questa casella per determinare la posizione dei fori per poterli rilevare dai dati CAD.

  • Se la distanza tra due punti di bordo della superficie è inferiore alla distanza di tolleranza, PC-DMIS considererà la superficie come continua ed eseguirà la scansione nel foro.

  • Se la distanza è superiore alla tolleranza, PC-DMIS assumerà la presenza di un foro tra le superfici e lo ignorerà durante il processo di apprendimento.

Viene visualizzata in tutte le scansioni, eccetto la scansione del perimetro e la scansione libera.

Casella
Richiama nominali

Il pulsante Richiama nominali consente di individuare i nominali dopo l'apprendimento o l'esecuzione di una scansione. PC-DMIS ricerca i valori nominali per la scansione tra i dati CAD disponibili.

Pulsanti
In punti

Il pulsante In punti consente di eseguire un processo mediante il quale i punti che costituiscono un insieme sottoposto a scansione vengono convertiti in punti singoli dopo l'esecuzione. L'insieme sottoposto a scansione viene eliminato.

Ad esempio:

  1. Posizionare il cursore su una scansione utilizzando i dati di punto dalla finestra di modifica.

  2. Premere il tasto F9 per visualizzare la finestra di dialogo Scansione.

  3. Selezionare il pulsante In punti.

PC-DMIS converte tutti i dati di punto in punti singoli ed elimina la scansione dalla finestra di modifica.

Nota: è possibile eseguire questa operazione selezionando la casella di controllo Punto singolo, facendo clic sul pulsante OK ed eseguendo la scansione dalla finestra di modifica. PC-DMIS esegue la scansione e converte i dati di punto in punti singoli.

Pulsanti Inverti e Inverti tutti

Il pulsante Inverti consente di invertire i vettori di avvicinamento del punto di scansione teorico selezionato nell'elenco Percorso teorico. Verrà richiesto se tutti i vettori successivi a quel punto devono essere invertiti.

  • Se si seleziona Sì, viene invertita la direzione del vettore associato al punto indicato e di tutti i vettori successivi ad esso.

  • Se si seleziona No, viene invertito solo il vettore indicato.

Inverti tutti consente di invertire tutti i vettori per tutti i punti dell'elenco.

Questo pulsante viene visualizzato solo con le scansioni UV e di griglia.

Pulsante Elimina

Questo pulsante consente di eliminare tutti i punti selezionati dall'elenco Percorso teorico. Questo pulsante viene visualizzato solo con le scansioni UV e di griglia.

Questo pulsante viene visualizzato solo con le scansioni UV e di griglia.

Casella di controllo Punti etichetta

Questa casella di controllo consente di determinare se assegnare un'etichetta ai singoli punti della scansione. I punti con un'etichetta assegnata sono simili al seguente:

Una scansione UV con punti ed etichetta

Questo pulsante viene visualizzato solo con le scansioni UV e di griglia.


Sezione Percorso spline

Sezione Percorso spline

La sezione Percorso spline contiene molte opzioni per la creazione di un percorso spline in cui inserire il percorso teorico della scansione.

Questa sezione non è disponibile per le scansioni di perimetro, rotanti, UV o di griglia.

Utilizzando questa sezione, è possibile stabilire se il percorso spline formerà un percorso aperto o chiuso, se il calcolo del percorso è interpolato o approssimato, se i punti hanno un peso e se lo spazio dei punti è controllato da una densità definita o da un certo numero di punti.

Una volta calcolato il percorso spline, l'elenco Percorso teorico esistente viene sostituito da qualsiasi punto filtrato. Questi punti rappresentano le basi della scansione.

In questa sezione sono presenti le seguenti voci:

Voce

Descrizione

Elenco Curva

Questo elenco contiene due opzioni: Aperta e Chiusa. Una curva aperta passa attraverso i punti iniziali, di controllo e finale, quindi si interrompe. Una curva chiusa fa lo stesso percorso ma quando supera il punto finale, ritorna al punto iniziale.

Elenco Calcolo

Questo elenco contiene due opzioni: Approssimato e Interpolazione. Determina se il percorso spline passa attraverso i punti nello spline (interpolato) o semplicemente si avvicina ai punti (approssimato). L'interpolazione crea curve più ripide e l'approssimazione crea curve più morbide.

Elenco Peso

Questo elenco contiene due opzioni: Sì e No. La selezione effettuata determina se i punti disporranno di un peso durante la creazione di un percorso spline. Se si sceglie Sì, i punti ricevono un peso in base alla vicinanza ad altri punti sulla curva. Maggiore è la distanza dagli altri punti, maggiore il peso che avranno nel processo di inserimento.

Elenco Spazio

Questo elenco contiene due opzioni: Densità e Punti.

  • Se si seleziona Densità, PC-DMIS creerà dei punti del percorso spline per ciascun incremento definito dal valore nella casella Densità.

  • Se si seleziona Punti, PC-DMIS creerà i punti del percorso spline utilizzando e spaziando il numero di punti specificato nella casella Punti.

Casella Densità

In questa casella, digitare l'incremento per controllare la densità dei punti. Minore è l'incremento, maggiore è la densità.

Casella Punti

In questa casella, digitare il numero di punti da spaziare lungo il percorso teorico. Se ad esempio si digita "50", PC-DMIS tenta di inserire cinquanta punti lungo il percorso di scansione.

Pulsante Calcola

Questo pulsante consente di calcolare lo spline e di inserire i punti di dati teorici nello spline, di solito filtrando molti punti. Questo pulsante è attivo solo se sono presenti almeno cinque punti nell'elenco Percorso teorico.


Scheda Impostazioni

Nota: La scheda Impostazioni viene visualizzata solo se si utilizza un tastatore analogico che consente la scansione continua.

In questa scheda è presente la sezione Scansione parametri tastatore. Utilizzando le voci presenti in questa sezione, è possibile modificare i parametri di scansione utilizzati di frequente, senza dover chiudere la finestra di scansione.

Tali opzioni sono incluse anche nella finestra di dialogo Parametri scheda ¾ Movimento oppure nella scheda Settaggi Tastatore. Vedere gli argomenti "Impostazioni parametri: scheda Tastatore Opzionale" e "Impostazioni parametri: scheda Movimento" nell'argomento "Impostazione Preferenze" per informazioni.


Esecuzione di una Scansione Lineare Aperta Avanzata

Finestra di dialogo Scansione Lineare Aperta

Finestra di dialogo Scansione Lineare Aperta

Visualizza Mappa Percorsi dei Menu

Il metodo Inserisci | Scansione | Lineare aperta eseguirà la scansione della superficie lungo una linea finita aperta. In questa procedura il punto iniziale, il punto finale della linea e un punto di orientamento vengono utilizzati per il calcolo del piano di taglio. Durante la scansione, il tastatore rimane sempre all'interno del piano di taglio. Sono disponibili tre diversi tipi di tecniche di direzione LINEARE APERTA, come illustrato nella sezione "Tecnica direzione".

Esempio di scansione lineare aperta

Esempio di scansione lineare aperta

Come creare una scansione lineare aperta

  1. Assicurarsi che il TTP o il Tastatore Analogico siano abilitati.

  2. Attivare la modalità DCC di PC-DMIS.

  3. Selezionare Inserisci | Scansione | Lineare aperta dal menu secondario. Viene visualizzata la finestra di dialogo Scansione lineare aperta.

  4. Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  5. Selezionare il tipo di scansione APERTA LINEARE appropriato dall'elenco Tecnica direzione 1 .

  6. In base al tipo di scansione APERTA LINEARE, digitare gli appropriati valori di angolo e di incremento nelle caselle Incr. max, Incr. min, Angolo max e Angolo min disponibili.

  7. Se la scansione passa attraverso più superfici, selezionare le superfici utilizzando la casella di controllo Seleziona illustrata nell'argomento "scheda Grafica" .

  8. Aggiungere alla scansione il punto 1 (punto iniziale), il punto D (direzione della scansione) e il punto 2 (punto finale) utilizzando la procedura appropriata descritta nell'argomento "Punti di bordo ".

  9. Selezionare il tipo appropriato di punti da adottare dall'elenco Tipo di punti nella sezione Controlli dei punti .

  10. Apportare le modifiche necessarie ai vettori nell'elenco Vettori iniziali . Per effettuare questa operazione, fare doppio clic sul vettore e apportare le modifiche nella finestra di dialogo Modifica elemento di scansione quindi fare clic su OK per ritornare alla finestra di dialogo Scansione Lineare Aperta.

  11. Selezionare la modalità dei nominali appropriati dall'elenco Nominali nella sezione Metodo nominale .

  12. Nella casella Tolleranza nella sezione Metodo nominale, immettere un valore di tolleranza che almeno compensi il raggio del tastatore.

  13. Selezionare la modalità di esecuzione appropriata dall'elenco Esegui nella sezione Esec. Controlli .

  14. Se il pezzo è sottile, specificare lo spessore del pezzo nella casella Spessore nella scheda Grafica .

  15. Se necessario, selezionare una delle caselle di controllo dalle sezioni nella scheda Esegui .

  16. Se si utilizza un tastatore analogico, è possibile utilizzare la scheda Punti di controllo per eseguire correttamente la scansione.

  17. Fare clic sul pulsante Genera nella sezione Percorso teorico , Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. Quando si genera la scansione, PC-DMIS la avvia dal punto iniziale e segue la direzione scelta fino al raggiungimento del punto finale.

  18. Se si desidera, utilizzare la sezione Percorso spline nella stessa scheda per adattare il percorso teorico a un percorso spline.

  19. Se necessario, apportare ulteriori modifiche alla scansione.

  20. Fare clic sul pulsante Crea. La scansione viene inserita nella finestra di modifica.

Per creare una scansione lineare aperta in un modello CAD wireframe tridimensionale

Per eseguire una scansione aperta lineare in un modello wireframe, utilizzare un file CAD wireframe tridimensionale. È necessario utilizzare i fili tridimensionali per definire la forma dell'elemento di cui si desidera eseguire la scansione, nonché della "quota" (aspetto tridimensionale). Questo tipo di scansione viene eseguita con la stessa procedura sopra riportata.

Per creare una scansione lineare aperta in un modello CAD wireframe bidimensionale

Se è assolutamente necessario eseguire una scansione lineare aperta in un file wireframe bidimensionale, è possibile eseguirla come lavoro extra.

  1. Importare il file CAD bidimensionale. L'origine CAD deve trovarsi sul CAD e non in coordinate del corpo (per facilitare l'operazione).

  2. Selezionare Inserisci | Elemento | Costruito | Linea. Viene visualizzata la finestra di dialogo Costruzione di una linea .

  3. Scegliere Allineamento. Viene creata una linea nell'origine CAD, perpendicolare rispetto alla superficie dei dati CAD bidimensionali.

  4. Aprire la finestra di modifica e, se si utilizzano i millimetri come unità di misura, modificare la lunghezza della linea da 1 (valore predefinito) a un valore più elevato, ad esempio 5 o 10. Se si utilizzano i pollici, ignorare questo passaggio.

  5. Esportare il part-program (solo gli elementi) in un tipo di file IGES o DXF e memorizzare il file esportato in una directory di propria scelta.

  6. Tornare al part-program ed eliminare la linea di allineamento creata.

  7. Importare nuovamente il file appena esportato nello stesso part-program. Quando viene richiesto, fare clic su Unisci per unire il filo CAD nella finestra di visualizzazione grafica. Il modello CAD deve disporre di un filo CAD perpendicolare rispetto ad altri fili CAD.

  8. Accedere alla finestra di dialogo Scansione Lineare Aperta.

  9. Fare clic sulla scheda Grafica e selezionare la casella di controllo Seleziona.

  10. Fare clic su ciascun filo che definisce l'elemento di cui eseguire la scansione. Selezionarli nell'ordine in cui saranno sottoposti a scansione, iniziando dal primo filo da sottoporre a scansione.

  11. Selezionare la casella di controllo Quota.

  12. Fare clic sul filo importato perpendicolare a tutti gli altri fili.

  13. Selezionare la casella di controllo Seleziona. È possibile selezionare i punti di bordo 1, D e 2 sulla superficie teorica definita dai fili che definiscono la forma della superficie e il filo che definisce la quota.

  14. Se è attiva la modalità online, selezionare la casella di controllo Misura. Selezionare Trova nominali dalla sezione Metodo nominale. Nella casella Tolleranza, selezionare un buon valore di tolleranza.

  15. Fare clic su Crea. PC-DMIS inserisce la scansione e, se è attiva la modalità online, inizia la scansione, cercando i nominali.

Direction 1 TechBoundary Points areaInitial Vectors areaOptions areaCAD Elements


Esecuzione di una scansione lineare chiusa avanzata

Finestra di dialogo Scansione Lineare Chiusa

Finestra di dialogo Scansione Lineare Chiusa

Visualizza Mappa Percorsi dei Menu

Il metodo Inserisci | Scansione | Lineare Chiusa consente di iniziare la scansione della superficie da un punto INIZIALE e di terminarla nello stesso punto. Questo tipo di scansione viene definita chiusa perché ritorna al punto iniziale. È utile per eseguire la scansione di elementi circolari o asole. Per eseguire tale procedura è necessario definire la posizione del punto iniziale e il punto di orientamento. Il valore incrementale per la presa dei punti viene fornito dall'utente.

PC-DMIS esegue la scansione della superficie in base alla procedura indicata di seguito.

Esempio di scansione lineare chiusa

Assicurarsi che il TTP o il Tastatore Analogico siano abilitati.

  • Attivare la modalità DCC di PC-DMIS.

  • Selezionare Inserisci | Scansione | Lineare Chiusa dal menu secondario. Viene visualizzata la finestra di dialogo Scansione lineare chiusa.

  • Digitare il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  • Selezionare il tipo di scansione CHIUSA LINEARE appropriato dall'elenco Tecnica direzione 1 .

  • In base al tipo di scansione CHIUSA LINEARE, digitare gli appropriati valori di angolo e di incremento nelle caselle Incr. max, Incr. min, Angolo max e Angolo min disponibili.

  • Se la scansione passa attraverso più superfici, selezionare le superfici utilizzando la casella di controllo Seleziona illustrata nell'argomento "scheda Grafica ".

  • Aggiungere alla scansione il punto 1 (punto iniziale), il punto D (direzione della scansione) e il punto 2 (punto finale) utilizzando la procedura appropriata descritta nella "sezione Punti di bordo ".

  • Selezionare il tipo appropriato di punti da adottare dall'elenco Tipo di punti nella sezione Controlli dei punti .

  • Apportare le modifiche necessarie ai vettori nell'elenco Vettori iniziali . Per effettuare questa operazione, fare doppio clic sul vettore e apportare le modifiche nella finestra di dialogo Modifica elemento di scansione quindi fare clic su OK per ritornare alla finestra di dialogo Scansione lineare aperta .

  • Selezionare la modalità dei nominali appropriati dall'elenco Nominali nella sezione Metodo nominale .

  • Nella casella Tolleranza nella sezione Metodo nominale, immettere un valore di tolleranza che almeno compensi il raggio del tastatore.

  • Selezionare la modalità di esecuzione appropriata dall'elenco Esegui nella sezione Esec. Controlli .

  • Se il pezzo è sottile, specificare lo spessore del pezzo nella casella Spessore nella scheda Grafica .

  • Se necessario, selezionare una delle caselle di controllo dalle sezioni nella scheda Esegui .

  • Se si utilizza un tastatore analogico, è possibile utilizzare la scheda Punti di controllo per eseguire correttamente la scansione.

  • Fare clic sul pulsante Genera nella sezione Percorso teorico , Scheda Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. Quando si genera la scansione, PC-DMIS la avvia dal punto iniziale e segue la direzione scelta intorno all'elemento fino al ritorno al punto iniziale.

  • Se si desidera, utilizzare la sezione Percorso spline nella stessa scheda per inserire il percorso teorico in un percorso spline.

  • Se necessario, apportare ulteriori modifiche alla scansione.

  • Fare clic sul pulsante Crea. La scansione viene inserita nella finestra di modifica.

      Per creare una scansione lineare chiusa in un modello CAD wireframe tridimensionale

      Per eseguire una scansione lineare chiusa in un modello wireframe, utilizzare un file CAD wireframe tridimensionale. È necessario utilizzare i fili tridimensionali per definire la forma dell'elemento di cui si desidera eseguire la scansione, nonché della "quota" (aspetto tridimensionale). Questo tipo di scansione viene eseguita con la stessa procedura sopra riportata.

      Per creare una scansione lineare chiusa in un modello CAD wireframe bidimensionale

      Se è assolutamente necessario eseguire una scansione lineare chiusa in un file wireframe bidimensionale, è possibile eseguirla come lavoro extra.

      1. Importare il file CAD bidimensionale. L'origine CAD deve trovarsi sul CAD e non in coordinate del corpo (per facilitare l'operazione).

      2. Selezionare Inserisci | Elemento | Costruito | Linea. Viene visualizzata la finestra di dialogo Costruzione di una linea .

      3. Scegliere Allineamento. Viene creata una linea nell'origine CAD, perpendicolare rispetto alla superficie dei dati CAD bidimensionali.

      4. Aprire la finestra di modifica e, se si utilizzano i millimetri come unità di misura, modificare la lunghezza della linea da 1 (valore predefinito) a un valore più elevato, ad esempio 5 o 10. Se si utilizzano i pollici, ignorare questo passaggio.

      5. Esportare il part-program (solo gli elementi) in un tipo di file IGES o DXF e memorizzare il file esportato in una directory di propria scelta.

      6. Tornare al part-program ed eliminare la linea di allineamento creata.

      7. Importare nuovamente il file appena esportato nello stesso part-program. Quando viene richiesto, fare clic su Unisci per unire il filo CAD nella finestra di visualizzazione grafica. Il modello CAD deve disporre di un filo CAD perpendicolare rispetto ad altri fili CAD.

      8. Accedere alla finestra di dialogo Scansione Lineare Chiusa.

      9. Fare clic sulla scheda Grafica e selezionare la casella di controllo Seleziona.

      10. Fare clic su ciascun filo che definisce l'elemento di cui eseguire la scansione. Selezionarli nell'ordine in cui saranno sottoposti a scansione, iniziando dal primo filo da sottoporre a scansione.

      11. Selezionare la casella di controllo Quota.

      12. Fare clic sul filo importato perpendicolare a tutti gli altri fili.

      13. Selezionare la casella di controllo Seleziona. È possibile selezionare i punti 1 (punto iniziale) e D (direzione) sulla superficie teorica definita dai fili che definiscono la forma della superficie e il filo che definisce la quota.

      14. Se è attiva la modalità online, selezionare la casella di controllo Misura. Selezionare Trova nominali dalla sezione Metodo nominale. Nella casella Tolleranza, selezionare un buon valore di tolleranza.

      15. Fare clic su Crea. PC-DMIS inserisce la scansione e, se è attiva la modalità online, inizia la scansione, cercando i nominali.

      1. Direction 1 TechBoundary Points areaInitial Vectors areaOptions areaCAD Elements


Esecuzione di una scansione patch avanzata

Finestra di dialogo Scansione patch

Finestra di dialogo Scansione patch

La scansione di tipo patch è simile ad una serie di scansioni Lineari Aperte parallele tra loro.

Il metodo Inserisci | Scansione | Patch consente di eseguire la scansione della superficie in base alle tecniche selezionate per le aree Tecnica direzione 1 e Tecnica direzione 2. Durante la scansione, il tastatore rimane sempre all'interno del piano di taglio. La tecnica di direzione 1 indica la direzione tra il primo e il secondo punto di bordo. La tecnica di direzione 2 indica la direzione tra il secondo e il terzo punto di bordo. PC-DMIS esegue la scansione del pezzo della superficie indicato nella sezione Tecnica direzione 1. Al secondo punto di bordo, PC-DMIS passa automaticamente alla riga successiva, in base a quanto specificato nella sezione Tecnica direzione 2.

Esempio di una scansione patch patch.

  • Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  • Selezionare il tipo di PATCH appropriato per la prima direzione dall'elenco Tecnica direzione 1 e, in base alla tecnica selezionata, immettere i valori appropriati di angolo e di incremento nelle caselle Incr. max, Incr. min, Angolo max e Angolo min disponibili.

    Nota: se si utilizza la tecnica 'ASSE CORPO' per la prima direzione, è necessario selezionarla anche per la seconda direzione.

  • Selezionare il tipo di PATCH appropriato per la seconda direzione dall'elenco Tecnica direzione 2 e, in base alla tecnica selezionata, immettere i valori appropriati di angolo e di incremento nelle caselle Incr. max, Incr. min, Angolo max e Angolo min disponibili.

  • Se la scansione passa attraverso più superfici, selezionare le superfici utilizzando la casella di controllo Seleziona illustrata nell'argomento "scheda Grafica" .

  • Aggiungere il punto 1 (punto iniziale), il punto D (la direzione per l'inizio della scansione), il punto 2 (il punto finale della prima linea), il punto 3 (per generare un'area minima) e, se necessario, il punto 4 (per formare un'area quadrata o rettangolare). Verrà selezionata un'area su cui eseguire la scansione. Prendere i punti seguendo la procedura appropriata descritta nell'argomento "sezione Punti di bordo ".

  • Apportare le modifiche necessarie ai vettori nell'elenco Vettori iniziali . Per effettuare questa operazione, fare doppio clic sul vettore e apportare le modifiche nella finestra di dialogo Modifica elemento di scansione quindi fare clic su OK per ritornare alla finestra di dialogo Scansione percorso.

  • Selezionare la modalità dei nominali appropriati dall'elenco Nominali nella sezione Metodo nominale .

  • Nella casella Tolleranza nella sezione Metodo nominale, immettere un valore di tolleranza che almeno compensi il raggio del tastatore.

  • Selezionare la modalità di esecuzione appropriata dall'elenco Esegui nella sezione Esec. Controlli .

  • Se il pezzo è sottile, specificare lo spessore del pezzo nella casella Spessore nella scheda Grafica .

  • Se necessario, selezionare una delle caselle di controllo dalle sezioni nella scheda Esegui .

  • Se si utilizza un tastatore analogico, è possibile utilizzare la scheda Punti di controllo per eseguire correttamente la scansione.

  • Fare clic sul pulsante Genera nella sezione Percorso teorico , Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. Quando si genera la scansione, PC-DMIS la avvia dal punto iniziale e segue la direzione scelta fino al raggiungimento del punto di bordo. La scansione continua avanti e indietro per righe, lungo l'area scelta, in base al valore di incremento specificato, fino al completamento del processo.

  • Se necessario, apportare ulteriori modifiche alla scansione.

  • Fare clic sul pulsante Crea. La scansione viene inserita nella finestra di modifica.

      1. Direction 1 TechBoundary Points areaInitial Vectors areaOptions areaCAD Elements


Esecuzione di una scansione del perimetro avanzata

Finestra di dialogo Scansione Perimetro

Finestra di dialogo Scansione Perimetro

Visualizza Mappa Percorsi dei Menu

La scansione Inserisci | Scansione | Perimetro si differenzia dalle altre scansioni lineari per il fatto che viene creata completamente dai dati CAD prima dell'esecuzione. Questo tipo di scansione è attiva solo se sono disponibili i dati della superficie CAD. In questo caso, PC-DMIS conosce la direzione esatta in cui procedere prima dell'inizio delle operazioni, con una percentuale di errore minima.

Esempio di una scansione del perimetro esterna viene eseguita lungo la parte esterna dei bordi della superficie selezionata. Questo tipo di scansione consente di passare attraverso più bordi per creare una singola scansione.

2) Una scansione interna viene eseguita lungo una curva di bordo interna ad una determinata superficie. Generalmente, questo tipo di curve consente di definire elementi quali fori, asole o perni. Diversamente dalle scansioni esterne, questo tipo di scansione viene eseguito solo all'interno di un'unica superficie.

Le figure sotto riportate (Scansione 1 e Scansione 2) illustrano entrambi i tipi di scansione del perimetro. Nella figura Scansione 1, sono state selezionate quattro superfici. I bordi interni di ciascuna superficie sono tangenti, mentre i bordi esterni formano il bordo composito (indicato dalla linea esterna rossa continua). La distanza di offset rappresenta l'offset della scansione dal bordo composito (indicato dalla linea rossa tratteggiata). Nella figura Scansione 2, viene utilizzato il bordo di un foro per creare il percorso di una scansione interna al perimetro.

Scansione 1

Scansione 2

È possibile creare le scansioni esterne e interne mediante una stessa procedura, come indicato di seguito:

Per creare una Scansione di Perimetro, operare come segue:

Per creare una scansione del perimetro, effettuare le seguenti operazioni:

  1. Aprire la finestra di dialogo Scansione Perimetro (Inserisci | Scansione | Perimetro).

  2. Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  3. Per le scansioni interne al perimetro, selezionare la casella di controllo Bordo interno nella scheda Esecuzione .

  4. Selezionare una o più superfici da utilizzare per creare il bordo. È necessario che le superfici vengano selezionate nell'ordine in base al quale deve essere eseguita la scansione. Per selezionare le superfici desiderate, effettuare le seguenti operazioni:

  • Verificare che la casella di controllo Seleziona sia selezionata nella scheda Grafica .

  • Fare clic sulle singole superfici che si desidera utilizzare nella scansione. Ciascuna superficie selezionata viene evidenziata.

  • Dopo aver selezionato le superfici desiderate, deselezionare la casella di controllo Seleziona.

  5. Fare clic sulla superficie accanto al bordo da cui si desidera iniziare la scansione. Ciò consente di impostare il punto iniziale.

  6. Fare di nuovo clic sulla stessa superficie nella direzione verso la quale si desidera eseguire la scansione. Ciò consente di impostare il Punto di Direzione.

  7. Se si desidera, fare clic sul punto in cui si desidera terminare la scansione. La selezione di questo punto è facoltativa. Se non viene indicato il punto finale, la scansione verrà terminata con il punto Iniziale.

Nota: PC-DMIS definisce automaticamente un punto finale. Se non si desidera utilizzare tale punto, eliminarlo evidenziando il numero corrispondente nell'elenco Punti di bordo (il numero predefinito è 2) e premendo il pulsante Elimina.

  8. Inserire i valori appropriati nella sezione Costruzione scansione . Sono disponibili le seguenti caselle:

Caselle · Incremento
· Toll CAD
· Offset
· Toll Offset (+/-).

  9. Fare clic sul pulsante Calcola bordo . Questa operazione consente di calcolare il bordo da cui viene creata la scansione. I punti arancione presenti sul bordo indicano le posizioni da cui vengono presi i punti sulla scansione del perimetro.

Nota: il processo per il calcolo del bordo dovrebbe richiedere tempi relativamente brevi.

Se l'aspetto del bordo non è corretto, fare clic sul pulsante Elimina. Questa operazione consente di eliminare il bordo e di crearne un altro.

Generalmente, se l'aspetto del bordo non è corretto, è necessario aumentare il valore di tolleranza CAD.

Dopo aver apportato le modifiche desiderate alla tolleranza CAD, fare clic sul pulsante Calcola bordo per calcolare nuovamente il bordo.

Poiché il calcolo del percorso di scansione richiede tempi più lunghi rispetto all'esecuzione di un nuovo calcolo del bordo, verificare che l'aspetto di quest'ultima sia corretto prima di procedere con il calcolo della scansione di un perimetro.

  10. Verificare che il valore Offset sia corretto.

  11. Fare clic sul pulsante Genera nella sezione Percorso teorico , Scheda Definizioni del percorso . PC-DMIS calcolerà i valori teorici da utilizzare per l'esecuzione della scansione. L'algoritmo eseguito durante questo processo richiede tempi particolarmente lunghi. Il tempo necessario per il calcolo del percorso di scansione varia a seconda della complessità delle superfici selezionate e del numero dei punti calcolati; solitamente, tale processo richiede circa cinque minuti. Se il percorso di scansione proposto non è corretto, è possibile eliminarlo facendo clic sul pulsante Annulla. In base alle esigenze, modificare il valore di Tolleranza Offset e calcolare nuovamente la scansione.

  12. Fare clic sul pulsante Crea per creare la scansione del perimetro e memorizzarla nella finestra di modifica. La scansione ottenuta viene eseguita in base alle stesse procedure utilizzate per le altre scansioni.

Direction 1 TechBoundary Points areaOptions areaCAD Elements


Esecuzione di una scansione della sezione avanzata

Finestra di dialogo Scansione sezione

Finestra di dialogo Scansione sezione

Visualizza Mappa Percorsi dei Menu

La scansione Inserisci | Scansione | Sezione è molto simile alle scansioni Lineari aperte e consente di eseguire la scansione lungo una linea del pezzo. Questo tipo di scansione è attiva solo se sono disponibili i dati della superficie CAD Con i dati di superficie CAD, PC-DMIS rileverà un punto iniziale e un punto finale della sezione. Le scansioni di sezione utilizzano il punto iniziale e finale per la linea e includono anche un punto di direzione. Durante la scansione, il tastatore rimane sempre all'interno del piano di taglio. Esistono tre tipi di tecniche di direzione relative alla scansione della sezione.

Come rilevare e ignorare i fori

Le scansioni della sezione consentono di rilevare i fori e di ignorarli nel corso della scansione di un pezzo. Inoltre, consentono di selezionare le "linee di sezione" disegnate sullo schermo dai tecnici CAD, per poi continuare l'esecuzione della scansione.

Più scansioni lungo un asse fisso

La scansione della sezione offre la possibilità di eseguire più scansioni lungo un asse fissato. Ad esempio, si supponga di dover eseguire la scansione di una linea lungo l'asse Y a un determinato incremento lungo l'asse X. La prima linea di cui eseguire la scansione è quando X = 5.0. Quando X = 5.5, deve essere sottoposta a scansione la seconda linea, quando X = 6.0 la terza linea. Queste scansioni possono essere eseguite come più scansioni lineari aperte ma questi tipi di scansioni incrementali possono essere facilmente eseguite con la scansione della sezione.

A tale scopo, impostare una scansione di sezione con l'asse X come asse di sezione e 0.5 come incremento di sezione. Inoltre, è opportuno impostare anche altri parametri (vedere "Esecuzione di una scansione lineare aperta avanzata". Al termine della misurazione della scansione, PC-DMIS visualizza nuovamente la finestra di dialogo Scansione Sezione con tutti i punti di bordo spostati nella sezione successiva in base all'incremento specificato.

Alcuni esempi di scansione della sezione

Esempio di scansioni della sezione

Come creare una scansione di sezione

  1. Assicurarsi che il TTP o il Tastatore Analogico siano abilitati.

  2. Attivare la modalità DCC di PC-DMIS.

  3. Selezionare Inserisci | Scansione | Sezione dal menu secondario. Viene visualizzata la finestra di dialogo Scansione Sezione.

  4. Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  5. Selezionare il tipo di SEZIONE appropriato dalla prima direzione dall'elenco Tecnica direzione 1 e in base alla tecnica selezionata digitare i valori dell'incremento e dell'angolo appropriati nelle caselle Incr. max, Incr. min, Angolo max e Angolo min disponibili.

  6. Se la scansione passa attraverso più superfici, selezionare le superfici utilizzando la casella di controllo Seleziona illustrata nell'argomento "scheda Grafica" .

  7. Aggiungere il punto 1 (punto iniziale), il punto D (direzione della scansione) e il punto 2 (punto finale) per la scansione della sezione. Verrà selezionata una linea su cui eseguire la scansione. Prendere i punti seguendo la procedura appropriata descritta nell'argomento "sezione Punti di bordo ".

  8. Selezionare il pulsante Taglia CAD. Questo pulsante consente di suddividere la scansione in sottosezioni e mostra le posizioni saltate da PC-DMIS a causa di ostruzioni, ad esempio fori, lungo la superficie. È possibile fare clic sul pulsante Mostra bordo per visualizzare nuovamente i punti di bordo.

  9. Nella sezione Posizionesezione , procedere come segue:

  • Dall'elenco Asse, selezionare l'asse lungo il quale le successive scansioni di sezione subiranno un incremento.

  • Immettere il valore della posizione per l'asse che si desidera impostare per tutti i punti di bordo.

  • Immettere il valore di incremento nella casella Incremento. Il valore immesso corrisponde all'entità dello spostamento della scansione eseguito quando si fa clic sul pulsante Crea.

  • Immettere un valore di tolleranza per la posizione del foro nella casella Tolleranza.

  10. Selezionare il tipo appropriato di punti da adottare dall'elenco Tipo di punti nella sezione Controlli dei punti .

  11. Apportare le modifiche necessarie ai vettori nell'elenco Vettori iniziali . Per effettuare questa operazione, fare doppio clic sul vettore e apportare le modifiche nella finestra di dialogo Modifica elemento di scansione quindi fare clic su OK per ritornare alla finestra di dialogo Scansione sezione.

  12. Selezionare la modalità dei nominali appropriati dall'elenco Nominali nella sezione Metodo nominale .

  13. Nella casella Tolleranza nella sezione Metodo nominale, immettere un valore di tolleranza che almeno compensi il raggio del tastatore.

  14. Selezionare la modalità di esecuzione appropriata dall'elenco Esegui nella sezione Esec. Controlli .

  15. Se il pezzo è sottile, specificare lo spessore del pezzo nella casella Spessore nella scheda Grafica .

  16. Se necessario, selezionare una delle caselle di controllo dalle sezioni nella scheda Esegui .

  17. Se si utilizza un tastatore analogico, è possibile utilizzare la scheda Punti di controllo per eseguire correttamente la scansione.

  18. Fare clic sul pulsante Genera nella sezione Percorso teorico , Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. Quando si genera la scansione della sezione, PC-DMIS la avvia dal punto iniziale e segue la direzione scelta, ignorando i fori, fino al raggiungimento del punto di bordo.

  19. Se si desidera, utilizzare la sezione Percorso spline nella stessa scheda per adattare il percorso teorico a un percorso spline.

  20. Se necessario, apportare ulteriori modifiche alla scansione.

  21. Fare clic sul pulsante Crea. La scansione viene inserita nella finestra di modifica.

  22. Una volta creata la scansione, PC-DMIS sposta i punti di bordo lungo l'asse selezionato in base all'incremento specificato. I nuovi bordi vengono visualizzati nella finestra di visualizzazione grafica ed è possibile utilizzare di nuovo la finestra di dialogo Scansione sezione per creare un'altra scansione di sezione.

Direction 1 TechBoundary Points areaInitial Vectors areaOptions areaCAD Elements


Esecuzione di una scansione rotante avanzata

Finestra di dialogo Scansione rotante

Finestra di dialogo Scansione rotante

Visualizza Mappa Percorsi dei Menu

Il metodo Inserisci | Scansione | Scansione rotanteconsente di eseguire la scansione della superficie intorno a un dato punto a un raggio specificato dal punto stesso. Il raggio viene mantenuto indipendentemente dalle modifiche della superficie. Questa procedura utilizza il punto iniziale e il punto finale per l'arco della misurazione e include anche un punto di orientamento per definire la direzione dall'inizio alla fine.

Un esempio di scansione rotante intorno a un cono

  • Assicurarsi che il TTP o il Tastatore Analogico siano abilitati.

  • Attivare la modalità DCC di PC-DMIS.

  • Selezionare Inserisci | Scansione | Rotante dal menu secondario. Viene visualizzata la finestra di dialogo Scansione rotante.

  • Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  • Determinare il punto centrale della scansione rotante. A tale scopo, è possibile utilizzare una delle due seguenti procedure:

      • Selezionare la casella di controllo Seleziona centro e fare clic su un punto del pezzo.

      • Digitare manualmente la posizione del centro del cerchio nelle caselle XYZ e IJK .

      6. Immettere un valore del raggio per la scansione rotante nella casella R. Dopo avere immesso un valore per il raggio, PC-DMIS disegna la posizione della scansione sul modello del pezzo nella finestra di visualizzazione grafica.

      7. Verificare che le informazioni sul centro XYZ e IJK della scansione siano corrette.

      8. Deselezionare la casella di controllo Seleziona centro .

      9. Selezionare la tecnica appropriata dall'elenco Tecnica direzione 1 e, in base alla tecnica selezionata, digitare gli appropriati valori di angolo e incremento nelle caselle Incr. max, Incr. min, Angolo max e Angolo min disponibili.

      10. Se la scansione passa attraverso più superfici, selezionare le superfici utilizzando la casella di controllo Seleziona illustrata nell'argomento "scheda Grafica" .

      11. Aggiungere il punto 1 (punto iniziale), il punto D (direzione della scansione) e il punto 2 (punto finale) per la scansione rotante. Verrà selezionata una curva da sottoporre a scansione. Se si desidera eseguire la scansione dell'intera circonferenza, eliminare il punto 2. Prendere i punti di bordo seguendo la procedura appropriata descritta nell'argomento "sezione Punti di bordo ".

      12. Selezionare il tipo appropriato di punti da adottare dall'elenco Tipo di punti nella sezione Controlli dei punti .

      13. Apportare le modifiche necessarie ai vettori nell'elenco Vettori iniziali . Per effettuare questa operazione, fare doppio clic sul vettore e apportare le modifiche nella finestra di dialogo Modifica elemento di scansione quindi fare clic su OK per ritornare alla finestra di dialogo Scansione rotante.

      14. Selezionare la modalità dei nominali appropriati dall'elenco Nominali nella sezione Metodo nominale .

      15. Nella casella Tolleranza nella sezione Metodo nominale, immettere un valore di tolleranza che almeno compensi il raggio del tastatore.

      16. Selezionare la modalità di esecuzione appropriata dall'elenco Esegui nella sezione Esec. Controlli .

      17. Se il pezzo è sottile, specificare lo spessore del pezzo nella casella Spessore nella scheda Grafica .

      18. Se necessario, selezionare una delle caselle di controllo dalle sezioni nella scheda Esegui .

      19. Se si utilizza un tastatore analogico, è possibile utilizzare la scheda Punti di controllo per eseguire correttamente la scansione.

      20. Fare clic sul pulsante Genera nella sezione Percorso teorico , Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. Quando si genera la scansione, PC-DMIS la avvia dal punto iniziale e segue la direzione scelta fino al raggiungimento del punto di bordo.

      21. Se necessario, apportare ulteriori modifiche alla scansione.

      22. Fare clic sul pulsante Crea. La scansione viene inserita nella finestra di modifica.

      1. Direction 1 TechBoundary Points areaInitial Vectors areaOptions areaCAD Elements


Esecuzione di una Scansione Libera Avanzata

Finestra di dialogo Scansione libera

Finestra di dialogo Scansione libera

Visualizza Mappa Percorsi dei Menu

La finestra di dialogo Scansione libera consente di creare facilmente qualsiasi percorso su una superficie e una scansione che segue il percorso creato. È possibile creare qualsiasi percorso: curvo o dritto e con molti o pochi punti.

Esempio di una scansione libera Prima del percorso spline | Esempio di una scansione libera Dopo il percorso spline
Scansione libera - Prima dello spline | Scansione libera - Dopo lo spline

Come creare una scansione libera:

  1. Fare clic sul pulsante Avanzate>> per visualizzare le schede nella parte inferiore della finestra di dialogo.

  2. Nelle schede Esecuzione e Grafica, selezionare le voci desiderate.

  3. Selezionare la scheda Definizioni del percorso .

  4. Definire il percorso teorico. Aggiungere punti alla casella Percorso teorico facendo clic sulla superficie del pezzo nella finestra di visualizzazione grafica. Per ciascun clic, viene visualizzato un punto arancione nel disegno del pezzo. Una volta aggiunti cinque o più punti, il pulsante Calcola nella sezione Percorso spline diventa attivo.

  5. Se si desidera, selezionare le voci nella sezione Percorso spline e fare clic su Calcola. Viene creata una curva spline lungo i punti teorici definiti e vengono nuovamente calcolati i punti nella sezione del percorso teorico per creare un percorso più lineare per il tastatore.

  6. Fare clic su Crea per generare la scansione.


Esecuzione di una scansione UV avanzata

Finestra di dialogo Scansione UV

Finestra di dialogo Scansione UV

Visualizza Mappa Percorsi dei Menu

La scheda Inserisci | Scansione | Scansione UV consente di eseguire facilmente la scansione di righe di punti su qualsiasi superficie di un modello CAD noto, in modo analogo alla scansione patch. Questa scansione non richiede molte impostazioni, in quanto utilizza lo spazio UV definito dal modello CAD.

Esempio di una scansione UV

Esempio di una scansione UV con un'etichetta per ciascun punto

Nota:quando PC-DMIS imposta la scansione UV in questa finestra di dialogo, ricava ciascuno dei punti dal CAD ed usa i dati nominali di ciascun punto. Tuttavia, durante l'esecuzione non è disponibile l'elemento TROVANOM dall'elenco Nominali ma è disponibile solo l'elemento MASTER.

Come creare una scansione UV

  1. Abilitare il tastatore a contatto.

  2. Attivare nel modello CAD la modalità Solid .

  3. Attivare in PC-DMIS la modalità DCC .

  4. Aprire la finestra di dialogo Scansione UV (Inserisci | Scansione | UV).

  5. Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  6. Nella scheda Grafica , fare clic sulla casella di controllo Seleziona.

  7. Fare clic sulla superficie da sottoporre a scansione. PC-DMIS evidenzia la superficie selezionata. PC-DMIS visualizza una U e una V nel modello CAD per indicare la direzione di ciascun asse.

  8. Nella scheda Grafica , deselezionare la casella di controllo Seleziona.

  9. Selezionare la casella di controllo Avvia CAD dalla sezione Impostazioni scansione UV .

  10. Fare clic sulla superficie selezionata per impostare il punto iniziale della scansione. Il punto della superficie selezionato è anche il punto in cui inizierà la scansione UV. Tale punto definisce il primo angolo della sezione rettangolare per la scansione.

Nota: la scansione UV adesso supporta la scansione di più superfici. Per eseguire la scansione di più superfici, fare clic sulle superfici da sottoporre a scansione nell'ordine di scansione. Viene visualizzato un numero relativo alla superficie e le frecce di direzione U e V. Durante l'esecuzione, PC-DMIS esegue la scansione UV sulla prima superficie, quindi sulla seconda, e così via.

  11. Selezionare la casella di controllo Termina CAD dalla sezione Impostazioni scansione UV .

  12. Fare di nuovo clic sulla superficie selezionata per impostare il punto finale della scansione. Vengono di nuovo visualizzate una U e una V sul modello CAD. Tali lettere definiscono una sezione rettangolare per la scansione.

Nota: PC-DMIS determina automaticamente le posizioni iniziale e finale lungo gli assi U e V in base ai punti selezionati. É possibile cambiare la direzione di scansione cambiando i valori Inizio e Fine nelle righe U e V. Lo spazio UV utilizza numeri compresi tra 0.0 e 1.0 per rappresentare l'intera superficie. Pertanto, 0.0, 0.0 si troverà in corrispondenza dell'angolo diagonale opposto rispetto a 1.0, 1.0. Le superfici ritagliate, tuttavia, possono iniziare con un valore superiore a 0.0 e finire con un valore inferiore a 1.0 nelle direzioni U e V.

  13. Selezionare il tipo appropriato di punti da adottare dall'elenco Tipo di punti nella sezione Controlli dei punti . È possibile selezionare Vettore o Superficie.

  14. Se necessario, modificare altre opzioni. Dall'elenco Nominali è possibile selezionare solo MASTER.

  15. Fare clic sul pulsante Genera nella sezione Percorso teorico , nella scheda Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. PC-DMIS eseguirà il disegno sul modello CAD in cui devono essere presi i punti. La scansione UV salta automaticamente eventuali fori presenti sulla superficie.

  16. Se necessario, apportare delle modifiche alla scansione.

  17. Fare clic sul pulsante Crea. PC-DMIS inserisce la scansione nella finestra di modifica e traccia il percorso che il tastatore seguirà sulla superficie del modello nella finestra di visualizzazione grafica.


Esempio di rettangolo

Esempio di rettangolo con più superfici

Un esempio di superficie selezionata evidenziata in rosso

Un esempio di superficie selezionata evidenziata in rosso

Esempio di punti generati

Esempio con punti generati. Si può notare che i punti vengono visualizzati solo sulla superficie selezionata (di colore rosso) anche se molte altre superfici (di colore blu) sono comprese nel rettangolo.

Esecuzione di una scansione griglia avanzata

Finestra di dialogo Scansione a griglia

Finestra di dialogo Scansione a griglia

Visualizza Mappa Percorsi dei Menu

La scheda Inserisci | Scansione | Griglia , simile alla scansione UV, consente di creare facilmente una griglia di punti all'interno di un rettangolo visibile e di proiettarli sopra una superficie selezionata. Le scansioni UV e di griglia sono simili nel modo in cui creano e spaziano i punti nell'area selezionata. Tuttavia, l'orientamento dei punti è diverso rispetto all'orientamento del modello CAD.

Si considerino le due figure seguenti:

Figura 1 - Scansione UV su un pezzo ruotato bidimensionale | Figura 2 - Scansione a griglia su un pezzo ruotato bidimensionale
Scansione UV su un pezzo ruotato bidimensionale | Scansione a griglia su un pezzo ruotato bidimensionale

Nella figura 1 viene mostrata una scansione UV sulla superficie di un blocco di esempio ruotato bidimensionale. Nella figura 2 viene mostrato lo stesso blocco con una scansione a griglia. Si noti come gli assi UV nella figura 1 siano in linea con gli assi XY della superficie selezionata. La scansione a griglia, d'altro canto, è diversa; i punti restano allineati alla vista del rettangolo. Quando viene creata, la scansione a griglia crea i punti dove si trovano nelle superfici selezionate, indipendentemente dall'orientamento del pezzo

Per creare una scansione a griglia

  1. Abilitare il tastatore a contatto.

  2. Attivare nel modello CAD la modalità Solid .

  3. Attivare in PC-DMIS la modalità DCC .

  4. Aprire la finestra di dialogo Scansione a griglia (Inserisci | Scansione | Griglia).

  5. Immettere il nome della scansione nella casella ID se si desidera utilizzare un nome personalizzato.

  6. Trascinare un rettangolo sullo schermo sopra la superficie o le superfici da includere nella scansione. Questo rettangolo definisce i bordi della scansione.

  7. Nella scheda Grafica , selezionare la casella di controllo Seleziona.

  8. Fare clic sulla superficie o superfici da sottoporre a scansione. PC-DMIS evidenzia le superfici selezionate man mano che vengono selezionate.

  9. Selezionare il tipo appropriato di punti da adottare dall'elenco Tipo di punti nella sezione Controlli dei punti . È possibile selezionare Vettore o Superficie.

  10. Nella sezione Impostazioni scansione a griglia , è possibile definire il numero di punti nelle direzioni A e B che saranno inseriti ed eliminati nella superficie o nelle superfici selezionate.

  13. Se necessario, modificare altre opzioni. Dall'elenco Nominali è possibile selezionare solo MASTER.

  14. Fare clic sul pulsante Genera nella sezione Percorso teorico , nella scheda Definizioni del percorso per generare un'anteprima della scansione nel modello CAD nella finestra di visualizzazione grafica. PC-DMIS disegnerà dei punti nel modello CAD. Non saranno disegnati punti su qualsiasi superficie non selezionata, anche se i bordi del rettangolo includono altre superfici.

  15. Se necessario, apportare delle modifiche alla scansione.

  16. Fare clic sul pulsante Crea. PC-DMIS inserisce la scansione nella finestra di modifica e traccia il percorso che il tastatore seguirà sulla superficie del modello nella finestra di visualizzazione grafica.


Introduzione all'esecuzione di scansioni base

PC-DMIS attualmente fornisce il supporto di un nuovo tipo di scansione, denominato scansione base. Queste nuove scansioni sono basate sull'elemento. Pertanto, è possibile definire un elemento da misurare, ad esempio un cerchio o un cilindro, insieme ai parametri appropriati, in modo da consentire a PC-DMIS di utilizzare la funzione di scansione base appropriata.

Le scansioni base elencate di seguito sono disponibili nel menu secondario Inserisci Scansione se si utilizza un tastatore a contatto (TTP) o un tastatore analogico in modalità DCC:

  • Scansione cerchio

  • Scansione cilindro

  • Scansione dell'asse

  • Scansione di centratura

  • Scansione lineare

Nota: l'opzione di menu Scansione di centratura non è disponibile fino a quando non si seleziona la testata di un tastatore analogico.

Le scansioni avanzate eseguite in PC-DMIS comprendono anche quelle di base. Anche se PC-DMIS non consente di creare scansioni avanzate a partire dalle scansioni base selezionate da un elenco, è possibile copiare e incollare le scansioni base nelle scansioni avanzate già create.

In questa sezione saranno illustrate prima le funzioni disponibili nella finestra di dialogo Scansione base, quindi le modalità di esecuzione delle scansioni base disponibili.

Vedere anche:

Funzioni di base della finestra di dialogo Scansione base

Esecuzione di una scansione base di un cerchio

Esecuzione di una scansione base di un cilindro

Esecuzione di una scansione base di un asse

Esecuzione di una scansione base di centratura

Esecuzione di una scansione base lineare


Funzioni di base della finestra di dialogo Scansione base

Finestra di dialogo Scansione base

Esempio della finestra di dialogo Scansione base

Molte delle funzioni descritte in questa sezione sono disponibili per tutte le scansioni base. Alcune di queste opzioni sono uguali a quelle delle scansioni avanzate e sono state già illustrate. (Vedere "Funzioni comuni della finestra di dialogo di scansione" in questa sezione per informazioni aggiuntive). Le opzioni che fanno riferimento a una sola modalità di scansione vengono indicate in modo appropriato.

Le opzioni riportate di seguito sono disponibili nella prima scheda di ciascuna scansione base.

Spessore superficie: questa casella consente di inserire lo spessore del pezzo. PC-DMIS applica automaticamente lo spessore del materiale specificato durante l'uso dei dati della superficie CAD. Quando viene selezionata la modalità TROVA NOMINALI lo spessore specificato viene applicato al vettore perpendicolare alla superficie e PC-DMIS perfora le superfici CAD per richiamare i valori nominali.

Le altre schede della finestra di dialogo consentono di definire la scansione.

Vedere anche:

Scheda Filtro

Scheda Tipo di punto

Scheda Bordo

Scheda Esegui

Scheda Modalità nominali

Scheda Generale


Scheda Filtro

Finestra di dialogo Scansione base - scheda Filtro

Finestra di dialogo SCANSIONE BASE - scheda Filtro

Nella scheda Filtro sono disponibili le seguenti opzioni:

  • Filtro distanza – Vedere Lineare aperta in " Tecnica della linea".

  • Filtro variabile – Vedere Lineare aperta in " Tecnica della linea ". Questa tecnica di scansione è disponibile solo per la scansione lineare.

  • Nessun filtro – Vedere "Tecnica Nessun filtro".


Scheda Tipo di punto

Finestra di dialogo SCANSIONE BASE - scheda Tipo di punto

Finestra di dialogo SCANSIONE BASE - scheda Tipo di punto

Le opzioni disponibili nella scheda Tipo di punto sono le seguenti:

  • VETTORE

  • SUPERFICIE (disponibile solo per le scansioni lineari)

La scheda Tipo di punto corrisponde al Tipo di punto nelle scansioni definite in precedenza. Vedere Tipo di punto nella sezione "Controlli dei punti" in "Funzioni comuni della finestra di dialogo di scansione".


Scheda Bordo

Finestra di dialogo SCANSIONE BASE - scheda Bordo

Finestra di dialogo SCANSIONE BASE - scheda Bordo

Per alcune scansioni base, ad esempio Scansione Cerchio, Cilindro, Asse e di Centratura, non è necessario definire una condizione di Bordo in quanto vengono eseguite dal controller. Nella scheda Bordo sono disponibili le seguenti opzioni:

  • Piano

  • Sfera

  • Cilindro

  • Cono

Vedere "Uso del pulsante Bordo" per ulteriori informazioni.


Scheda Esegui

Scheda Modalità esecuzione

Finestra di dialogo SCANSIONE BASE - scheda Esegui

Finestra di dialogo SCANSIONE BASE - scheda Modalità esecuzione

Le modalità di esecuzione disponibili nella scheda Modalità esecuzione sono le seguenti:

  • NORMALE

  • RIAPPRENDIMENTO

  • DEFINITA

Vedere "Area Esec. Controlli" nella "scheda Esecuzione" per ulteriori informazioni sulle modalità Normale, Riapprendimento e Definita.

  • ELEMENTO: questa modalità di esecuzione è disponibile solo per le testate del tastatore analogico. Quando questa modalità è selezionata, PC-DMIS utilizza la funzione di scansione interna ad alta velocità del controller per eseguire una scansione.

Esempio: se si seleziona una scansione circolare, PC-DMIS utilizzerà un comando di scansione del cerchio corrispondente nel controller, quindi passerà al controller i parametri per l'esecuzione dell'operazione. In questo caso, l'esecuzione delle scansioni non viene gestita da PC-DMIS.

La modalità di esecuzione ELEMENTO consente di usare le caselle di controllo seguenti, allo scopo di personalizzare ulteriormente le scansioni base:

Uso di HSSDAT – Selezionando la casella di controllo, PC-DMIS invia al controller un insieme specifico di punti, per definire il percorso di misura dell'elemento. Se la casella non é selezionata, PC-DMIS invia al controller i parametri specifici dell'elemento.

Usa punti di Inizio/Fine – Occorre selezionare anche la casella di controllo Usa HSSDAT per utilizzare questa funzionalità. Selezionando questa casella di controllo, PC-DMIS prende i punti inviati al controller e scarta i punti presi durante l'accelerazione e decelerazione del tastatore durante la scansione. Ció aiuta a migliorare la precisione globale della scansione.

Nota:queste caselle di controllo sono disponibili solo con i controller che utilizzano le interfacce Leitz.


Scheda Modalità nominali

Finestra di dialogo SCANSIONE BASE - scheda Modalità nominali

Finestra di dialogo SCANSIONE BASE - scheda Modalità nominali

Le modalità nominali disponibili sono le seguenti (vedere l'elenco Nominali nella "Sezione Metodo nominale"):

  • MASTER – corrisponde alla modalità Master descritta nella sezione "Modalità nominali".

  • TROVA NOMINALI – corrisponde alla modalità FindNoms, descritta nella sezione "Modalità nominali". È possibile digitare una tolleranza da applicare durante la ricerca dei nominali per una scansione base.

Usa Bestfit – Questa casella di controllo attiva l'uso degli algoritmi best fit per i dati ricavati dall'operazione originale FINDNOMS ed inoltre ripete l'operazione FINDNOMS trovando i dati nominali con elevata precisione, quando il pezzo reale presenta una quantitá di errori rispetto ai dati CAD. Vedere "Vedere "Modalità nominali".

Trova I nominali solo sulle superfici selezionate – Questa casella di controllo attiva la ricerca dei valori nominali dei punti misurati di una scansione, soltanto sull'insieme selezionato di superfici.

Nota: quando si eseguono scansioni base di tipo Cerchio, Cilindro e Asse, non è necessario disporre dei dati CAD per trovare i nominali. Per eseguire la scansione di base, PC-DMIS utilizza i nominali calcolati in base ai dati nominali forniti.

Ad esempio, se sono stati specificati i dati nominali quali il centro e il diametro per misurare il cerchio, tali dati verranno utilizzati per la ricerca dei nominali quando si esegue la scansione del cerchio.


Scheda Generale

Finestra di dialogo SCANSIONE BASE - scheda Generale

Finestra di dialogo SCANSIONE BASE - scheda Generale

Le opzioni disponibili in questa finestra di dialogo sono descritte nella sezione "Funzioni comuni della finestra di dialogo di scansione".


Esecuzione di una scansione base di un cerchio

Finestra di dialogo SCANSIONE BASE - scheda Cerchio

Finestra di dialogo SCANSIONE BASE - scheda Cerchio

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Scansione | Cerchio consente di eseguire la scansione di un elemento cerchio. Alcuni parametri, quali il centro e il diametro del cerchio, vengono utilizzati per consentire alla macchina CMM di eseguire la scansione. Se si utilizza il metodo Cerchio, è possibile applicare soltanto il Filtro distanza. Tale metodo consente di utilizzare solo il tipo di punto vettore e non una condizione di bordo. I parametri riportati di seguito consentono di gestire l'esecuzione della scansione:

  • Baricentro: questo punto, disponibile nel primo elenco nella colonna #, rappresenta il centro del cerchio. È possibile digitare direttamente questo parametro oppure ottenerlo mediante la macchina o da CAD.

Per definire una scansione base di un cerchio:

È possibile definire una scansione base di un cerchio in uno dei seguenti modi:

  • Digitare dei valori. Vedere "Scansione base di un cerchio - Metodo di digitazione" per questa scansione.

  • Misurazione fisica dei punti nel cerchio. Vedere "Scansione base di un cerchio - Metodo punto misurato" per questa scansione.

  • Fare clic sul cerchio nel modello CAD nella finestra di visualizzazione grafica. Vedere "Scansione base di un cerchio - Metodo di dati di superficie" o "Scansione base di un cerchio - Metodo dati wire-frame".

Una volta creata la scansione, PC-DMIS la inserisce nella finestra di modifica. Nella riga di comando della finestra di modifica per una scansione base di tipo Cerchio viene visualizzata la stringa seguente:

ID=SCANSIONEBASE/CERCHIO,MostraPunti=SíMOSTRA_TUTTI_PARAM=SÍ
      centrox,centroy,centroz,VetTag=i,j,k,Digitare
      VetIniz=i,j,k, diametro,angolo,profondità,spessore

Altro

Scansione base di un cerchio - Metodo di digitazione

Scansione base di un cerchio - Metodo punto misurato

Scansione base di un cerchio - Metodo di dati di superficie

Scansione base di un cerchio - Metodo dati wire-frame

Cerchio: Metodo dei dati CAD


Scansione base di un cerchio - Metodo di digitazione

Questo metodo consente di immettere i valori X, Y e Z dei vettori e del baricentro del cerchio.

  1. Selezionare il punto del baricentro desiderato nell'elenco.

  2. Fare doppio clic sulla colonna Baricentro. Viene visualizzata la finestra di dialogo Modifica elemento di scansione per il baricentro. Il titolo della finestra di dialogo mostra l'ID del parametro che si intende modificare.

Finestra di dialogo di modifica

  3. Modificare manualmente le caselle X, Y o Z.

  4. Fare clic sul pulsante OK per applicare le modifiche apportate. Il pulsante Annulla consente di annullare tutte le modifiche apportate e di chiudere la finestra di dialogo.

  5. Modificare il vettore VetTag e il vettore VetIniz del cerchio utilizzando la stessa procedura.


Scansione base di un cerchio - Metodo punto misurato

Per creare il cerchio senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla superficie per individuare il piano su cui si trova il cerchio.

  2. Prendere tre ulteriori punti nel foro o sul perno. PC-DMIS calcola il cerchio mediante l'uso di tutti e tre i punti presi.

È possibile prendere ulteriori punti. In tal caso, PC-DMIS utilizzerà i dati relativi a tutti i punti misurati. Il Baricentro visualizzato costituisce il centro del foro o del perno calcolato. Il vettore VetTag rappresenta l'asse del cerchio, mentre il vettore VetIniz del cerchio viene calcolato sulla base del primo punto degli ultimi tre utilizzati per il calcolo del cerchio. L'angolo viene calcolato sulla base dell'arco formato tra il primo e l'ultimo punto selezionato.


Scansione base di un cerchio - Metodo di dati di superficie

Per creare un cerchio utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie.

  2. Posizionare il puntatore all'interno o all'esterno del cerchio desiderato.

  3. Fare clic una volta su una superficie prossima al cerchio.

Nella finestra di dialogo verranno automaticamente visualizzati il punto centrale X, Y, Z, il diametro e i vettori per il cerchio dai dati CAD selezionati.

  • VetTag: Questo vettore costituisce l'asse del cerchio e rappresenta il piano su cui viene eseguita la scansione.

  • VetIniz:Questo vettore indica la direzione verso la quale il tastatore prenderà il primo punto per iniziare la scansione e viene calcolato in base alla modalità di immissione dei dati. Inoltre, questo vettore è perpendicolare al vettore del piano di taglio.


Scansione base di un cerchio - Metodo dati wire-frame

È possibile utilizzare i dati wire-frame CAD per creare una scansione circolare.

Per creare il cerchio, effettuare le seguenti operazioni:

  1. Fare clic accanto al filo desiderato sul cerchio. PC-DMIS evidenzia il filo selezionato.

  2. Verificare che sia selezionato l'elemento corretto.

Quando viene indicato il filo, i valori del punto centrale e del diametro del cilindro selezionato vengono visualizzati nella finestra di dialogo.

Nota: se l'elemento CAD in questione non è un cerchio o un arco, potrebbe essere necessario fare clic su ulteriori punti per identificarlo. Se non viene evidenziato l'elemento corretto, fare clic su almeno altri due punti del cerchio.

  • VetTag: Questo vettore costituisce l'asse del cerchio e rappresenta il piano su cui viene eseguita la scansione.

  • VetIniz: Questo vettore indica la direzione verso la quale il tastatore prenderà il primo punto per iniziare la scansione. Questo vettore viene calcolato in base alla modalità della voce dei dati. Questo vettore e VetTag sono perpendicolari l'uno rispetto all'altro.


Cerchio: Metodo dei dati CAD

Il vettore VetIniz viene calcolato in base al primo punto selezionato con il mouse utilizzato per il calcolo del cerchio mediante questo metodo.

Tipo

È possibile utilizzare i seguenti tipi di cerchio:

1) INTERNO : Un foro

2) ESTERNO Un perno

3) PIANO: un cerchio piano eseguito sul piano su cui si trova il cerchio.

Angolo:

È l'angolo (in gradi di scansione) dal punto iniziale. È possibile utilizzare angoli positivi e negativi. I primi vengono calcolati in senso antiorario, i secondi in senso orario. Il vettore VetTagrappresenta l'asse intorno al quale ruota l'angolo.

Diametro:

É il diametro del cerchio.

Quota:

Rappresenta l'asse intorno al quale ruota l'angolo VetTag. È possibile utilizzare valori positivi e negativi.

Esempio: se un cerchio ha un centro di 1,1,3, un vettore VetTag del piano di taglio di 0,0,1 e una quota di 0,5, il centro del cerchio viene impostato su 1, 1 e 2,5 durante l'esecuzione. Se per lo stesso cerchio viene utilizzata una quota di -0,5, il baricentro viene spostato sui valori 1,1 e 3,5 durante l'esecuzione.


Esecuzione di una scansione base di un cilindro

Finestra di dialogo SCANSIONE BASE - scheda Cilindro

Finestra di dialogo SCANSIONE BASE - scheda Cilindro

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Scansione | Cilindro consente di eseguire la scansione di un elemento cilindro. Alcuni parametri, quali il diametro e il passo di un cilindro, vengono utilizzati per consentire al controller di eseguire la scansione. Il metodo Cilindro consente solo l'uso del filtro Distanza disponibile nella scheda Filtro e il tipo di punto Vettore mentre non è necessario impostare una condizione di bordo. I parametri riportati di seguito consentono di gestire l'esecuzione della scansione.

Baricentro: rappresenta il centro del cilindro ed è il punto da cui ha inizio la scansione. È possibile digitare direttamente questo parametro oppure ottenerlo mediante la macchina o da CAD.

Per definire una scansione base di un cilindro:

È possibile definire una scansione base di un cilindro in uno dei seguenti modi:

  • Digitare dei valori. Vedere "Scansione base di un cilindro - Metodo di digitazione" per questa scansione.

  • Misurazione fisica dei punti nel cilindro. Vedere "Scansione base di un cilindro - Metodo punto misurato" per questa scansione.

  • Fare clic sul cilindro nel modello CAD nella finestra di visualizzazione grafica. Vedere "Scansione base di un cilindro - Metodo di dati di superficie" o "Scansione base di un cilindro - Metodo dati wire-frame".

Una volta creata la scansione, PC-DMIS la inserisce nella finestra di modifica. Nella riga di comando della finestra di modifica per una scansione base cilindrica viene visualizzata la stringa seguente:

ID=SCANSIONEBASE/CILINDRO,MostraPunti=SíMOSTRA_TUTTI_PARAM=SÍ
centrox,centroy,centroz,VetTag=i,j,k,Digitare
VetIniz=i,j,k, diametro,angolo,passo,quota,spessore

Altro

Scansione base di un cilindro - Metodo di digitazione

Scansione base di un cilindro - Metodo punto misurato

Scansione base di un cilindro - Metodo di dati di superficie

Scansione base di un cilindro - Metodo dati wire-frame

Cilindro: Metodo dei dati CAD


Scansione base di un cilindro - Metodo di digitazione

Questo metodo consente di immettere i valori X, Y e Z dei vettori e del baricentro del cerchio.

  1. Fare doppio clic sul baricentro nella casella di riepilogo della colonna "#". Viene visualizzata la finestra di dialogo Modifica elemento di scansione. Il titolo della finestra di dialogo mostra l'ID del parametro che si intende modificare.

Finestra di dialogo Modifica elemento di scansione

  2. Modificare manualmente il valore di X, Y o Z.

  3. Fare clic sul pulsante OK per applicare le modifiche apportate.

Il pulsante Annulla consente di annullare tutte le modifiche apportate e di chiudere la finestra di dialogo.

Inoltre, è opportuno digitare il vettore VetTag e il vettore VetIniz del cilindro utilizzando lo stesso processo.


Scansione base di un cilindro - Metodo punto misurato

Per creare il cilindro senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Prendere tre punti sulla superficie per individuare il vettore dell'asse del cilindro.

  2. Prendere tre ulteriori punti nel foro o sul perno. PC-DMIS calcola il diametro del cilindro mediante l'uso di tutti e tre i punti presi.

È possibile prendere ulteriori punti. In tal caso, PC-DMIS utilizzerà i dati relativi a tutti i punti misurati. Il Baricentro visualizzato costituisce il centro del foro o del perno calcolato. Il vettore VetTag rappresenta l'asse del cilindro e il vettore VetIniz del cilindro viene calcolato sulla base del primo punto degli ultimi tre utilizzati per il calcolo del diametro del cilindro. L'angolo viene calcolato sulla base dell'arco formato tra il primo punto utilizzato per il calcolo del diametro del cilindro fino all’ultimo clic.


Scansione base di un cilindro - Metodo di dati di superficie

Per creare un cilindro utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità Superficie.

  2. Posizionare il puntatore all'interno o all'esterno del cilindro desiderato.

  3. Fare clic una volta su una superficie prossima al cilindro.

Quando viene indicato il terzo punto, i valori del punto centrale e del diametro ottenuti dai dati CAD del cilindro di elementi automatici selezionato vengono visualizzati nella finestra di dialogo.

Se vengono rilevati ulteriori clic del mouse, PC-DMIS esegue la ricerca del cilindro migliore vicino a tutti i punti presi. Il vettore VetTag rappresenta l'asse del cilindro, mentre il vettore VetIniz del cilindro viene calcolato sulla base del primo punto selezionato con il mouse. L'angolo viene calcolato sulla base dell'arco formato tra il primo e l'ultimo punto selezionato.


Scansione base di un cilindro - Metodo dati wire-frame

È possibile utilizzare i dati wire-frame CAD per creare una scansione cilindrica.

Per creare il cilindro, effettuare le seguenti operazioni:

  1. Fare clic accanto al filo desiderato sul cilindro. PC-DMIS evidenzia il filo selezionato.

  2. Verificare che sia selezionato l'elemento corretto.

Quando viene indicato il filo, i valori del punto centrale e del diametro del cilindro selezionato vengono visualizzati nella finestra di dialogo.

Nota: se l'elemento CAD in questione non è un cilindro o un arco, potrebbe essere necessario fare clic su ulteriori punti per identificarlo. Se non viene evidenziato l'elemento corretto, fare clic su almeno altri due punti del cilindro.

  • VetTag: Questo vettore costituisce l'asse del cilindro e rappresenta il piano su cui viene eseguita la scansione.

  • VetIniz:Questo vettore indica la direzione verso la quale il tastatore prenderà il primo punto per iniziare la scansione. e viene calcolato in base alla modalità di immissione dei dati. Inoltre, questo vettore è perpendicolare al vettore del piano di taglio.


Cilindro: Metodo dei dati CAD

Il vettore VetIniz del cilindro viene calcolato in base al primo punto selezionato con il mouse utilizzato per il calcolo del cilindro mediante questo metodo.

Tipo

Nell'elenco a discesa Tipo sono disponibili le seguenti opzioni:

1) INTERNO : Un foro

2) ESTERNO Un perno

Angolo:

Nella casella Angolo viene visualizzato il valore dell'angolo espresso in gradi dal punto iniziale. È possibile utilizzare angoli positivi e negativi. I primi vengono calcolati in senso antiorario, i secondi in senso orario. Il vettore VetTag rappresenta l'asse intorno al quale ruota l'angolo. È possibile che l'angolo sia superiore ai 360° e che durante la scansione venga eseguita più di una rivoluzione.

Esempio: se l'angolo è di 720°, durante la scansione vengono eseguite due rivoluzioni.

Diametro:

Nella casella Diametro viene visualizzato il diametro del cilindro.

Quota:

Nella casella Quota viene visualizzato il valore della quota applicata per la direzione del vettore VetTag.

Esempio: se un cilindro ha un centro del valore di 1,1,3, un vettore del piano di taglio del valore di 0,0,1 e una quota di 0,5, il centro del cilindro viene impostato su 2,5 durante l'esecuzione.

Passo

Il valore della casella Passo rappresenta la distanza lungo il vettore VetTag tra il punto iniziale e il punto finale di una scansione in cui viene eseguita una rivoluzione completa di 360°. Il valore del passo del cilindro può essere positivo o negativo; inoltre, se questo valore viene combinato al vettore VetTag e all'angolo, consente di controllare la direzione verso l'alto e verso il basso della scansione lungo l'asse del cilindro.

Esempio: se il cilindro ha un vettore VetTag di 0,0,1, un valore del passo di 1.0 e un angolo positivo di 720°, durante la scansione vengono eseguite due rivoluzioni; inoltre, si verifica uno spostamento verso l'alto di due unità dal punto iniziale lungo l'asse del cilindro. Se per lo stesso cilindro viene inserito un valore del passo negativo, la scansione viene eseguita verso il basso lungo l'asse del cilindro, con uno spostamento di due unità.


Esecuzione di una scansione base di un asse

Finestra di dialogo SCANSIONE BASE - scheda Asse

Finestra di dialogo SCANSIONE BASE - scheda Asse

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Scansione | Asse consente di eseguire la scansione di un elemento linea retta. Questo metodo prende il punto iniziale e il punto finale e consente di eseguire la scansione.

Il metodo Asse:

  • Consente di selezionare solo l'opzione Distanza dalla scheda Filtro.

  • È possibile selezionare il tipo di vettore del punto nella scheda Tipo di punto .

  • Non è necessario disporre di una condizione di bordo.

Sono disponibili due parametri di controllo per l'esecuzione della scansione:

  • Punto iniziale: rappresenta il punto da cui ha inizio l'esecuzione della scansione.

  • Punto finale:rappresenta il punto in cui termina l'esecuzione della scansione.

È possibile digitare direttamente questi punti oppure ottenerli mediante la macchina o da CAD.

Per definire una scansione base di un asse:

È possibile definire una scansione base di un asse in uno dei seguenti modi:

  • Digitare dei valori. Vedere "Scansione base di un asse - Metodo di digitazione" per questa scansione.

  • Misurazione fisica dei punti nel pezzo. Vedere "Scansione base di un asse - Metodo punto misurato" per questa scansione.

  • Fare clic sui punti per definire l'asse nel modello CAD nella finestra di visualizzazione grafica. Vedere "Scansione base di un asse - Metodo di dati di superficie" o "Scansione base di un asse - Metodo dati wire-frame".

Una volta creata la scansione, PC-DMIS la inserisce nella finestra di modifica. La finestra di modifica. Nella riga di comando della finestra di modifica per una scansione base di tipo Asse viene visualizzata la stringa seguente:

ID =SCANSIONE BASE/ASSE,MostraPunti=SíMostraTuttiParam=SÍ
startx, starty, startz,endx,endy,endz
VetTag=i,j,k,spessore

Altro

Scansione base di un asse - Metodo di digitazione

Scansione base di un asse - Metodo punto misurato

Scansione base di un asse - Metodo di dati di superficie

Scansione base di un asse - Metodo dati wire-frame


Scansione base di un asse - Metodo di digitazione

Questo metodo consente di immettere i valori X, Y e Z del punto iniziale e finale per la scansione di un asse.

  1. Fare clic sul punto desiderato nella casella di riepilogo della colonna '#'. Viene visualizzata la finestra di dialogo Modifica elemento di scansione. Il titolo della finestra di dialogo mostra l'ID del parametro che si intende modificare.

Finestra di dialogo Modifica elemento di scansione

  2. Modificare manualmente il valore di X, Y o Z.

  3. Fare clic sul pulsante OK per applicare le modifiche apportate.

Il pulsante Annulla consente di annullare tutte le modifiche apportate e di chiudere la finestra di dialogo.

Inoltre, è opportuno digitare il valore di VetTag e VetIniz dell'asse mediante la stessa procedura.


Scansione base di un asse - Metodo punto misurato

Per creare la linea senza utilizzare i dati CAD:

  1. Selezionare il punto desiderato nell'elenco.

  2. Rilevare un punto sul pezzo. In questo modo, vengono inseriti i valori relativi al punto selezionato.

Il vettore del piano di taglioè rappresentato dal vettore perpendicolare al piano in cui si trova la linea retta.


Scansione base di un asse - Metodo di dati di superficie

Per creare una linea utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie.

  2. Selezionare Punto iniziale dall'elenco nella finestra di dialogo.

  3. Fare clic su un pezzo nella finestra di visualizzazione grafica per definire il punto iniziale.

  4. Selezionare Punto finale dall'elenco nella finestra di dialogo.

  5. Fare clic su un pezzo nella finestra di visualizzazione grafica per definire il punto finale.

PC-DMIS inserisce i valori necessari nella casella di riepilogo.


Scansione base di un asse - Metodo dati wire-frame

È possibile utilizzare i dati wire-frame CAD per creare i punti di una linea. Fare clic accanto al filo desiderato sull'asse. PC-DMIS evidenzia l'intero filo selezionato. Inoltre, vengono inserite le voci del punto iniziale e del punto finale nella finestra di dialogo con i punti iniziale e finale del filo selezionato.

VetTag: Questo vettore è perpendicolare al piano in cui si trova la linea retta.


Esecuzione di una scansione base di centratura

Finestra di dialogo SCANSIONE BASE - scheda Centro

Finestra di dialogo SCANSIONE BASE - scheda Centro

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Scansione | Centro consente di individuare un punto minimo/massimo in un'area. Rileva il Punto Iniziale della scansione ed il Punto Finale e consente al controller di eseguire la scansione. La scansione ottenuta è un punto singolo.

Metodo Centro:

  • Consente di selezionare solo l'opzione Distanza dalla scheda Filtro.

  • Inoltre, è possibile selezionare soltanto l'opzione Vettore nella schedaTipo di punto.

  • Non è necessario disporre di una condizione di bordo.

Sono disponibili due parametri di controllo per l'esecuzione della scansione:

  • Punto iniziale: rappresenta il punto da cui ha inizio l'esecuzione della scansione.

  • Punto finale: rappresenta il punto in cui termina l'esecuzione della scansione.

È possibile digitare direttamente questi punti oppure ottenerli mediante la macchina o da CAD.

Per definire una scansione base di centratura:

È possibile definire una scansione base di centratura in uno dei seguenti modi:

  • Digitare dei valori. Vedere "Scansione base di centratura - Metodo di digitazione" per questa scansione.

  • Misurazione fisica dei punti nel pezzo. Vedere "Scansione base di centratura - Metodo di digitazione" per questa scansione.

  • Fare clic sui punti del modello CAD nella finestra di visualizzazione grafica. Vedere "Scansione base di centratura - Uso dei dati della superficie sullo schermo" o "Scansione base di centratura - Metodo dati wire-frame"

Nella riga di comando della finestra di modifica per una scansione base di centro viene visualizzata la stringa seguente:

ID =SCANSIONE BASE/CENTRO,MostraPunti=SíMostraTuttiParam=SÍ
startx,starty,startz,endx,endy,endz,VetTag=i,j,k,Tipo
VetIniz=i,j,k,direzione,spessore

Altro

Esempio di Scansione di Centratura

Scansione base di centratura - Metodo di digitazione

Scansione base di centratura - Metodo punto misurato

Scansione base di centratura - Utilizzo dei dati di superficie sullo schermo

Scansione base di centratura - Metodo dati wire-frame


Esempio di Scansione di Centratura

Si supponga di avere un blocco a forma di "V", dove la "V" si trova sull'asse Y della macchina e l'apice della "V" si trova nella direzione Y+ del sistema di coordinate del pezzo (vedere la figura sottostante).

Vista dall'alto (Z+) del blocco a forma di V con l'apice della "V" nella direzione Y+

Per fare in modo che la scansione base di centratura trovi l'apice della "V", usando il metodo del "PIANO", operare come segue:

  1. Rilevare un punto nella posizione dalla quale si desidera iniziare la scansione (su uno dei lati della V). PC-DMIS inserisce nella finestra di dialogo Scansione le informazioni relative ai valori X, Y e Z per il punto.

  2. Assegnare ai valori di Punto iniziale e Punto finale gli stessi valori di X, Y e Z.

  3. Accertarsi che il vettore VetIniz sia uguale a 0,-1,0.

  4. Accertarsi che il vettore VetTag sia uguale a 0,0,1.

  5. Selezionare PIANO dall'elenco Tipo.

  6. Fare clic su Crea. PC-DMIS esegue la scansione verso il basso per trovare l'apice della "V" cercando il punto più basso lungo il vettore iniziale.

Per fare in modo che la scansione base di centratura trovi l'apice della "V", usando il metodo "ASSE", operare come segue:

  1. Rilevare un punto nella posizione dalla quale si desidera iniziare la scansione (su uno dei lati della V). PC-DMIS inserisce nella finestra di dialogo Scansione le informazioni relative ai valori X, Y e Z per il punto.

  2. Assegnare ai valori di Punto iniziale e Punto finale gli stessi valori di X e Z. Assegnare ad Y l'offset del punto finale nel materiale del pezzo.

  3. Accertarsi che il vettore VetIniz sia uguale a 0,-1,0.

  4. Accertarsi che il vettore VetTag sia uguale a 0,0,1.

  5. Selezionare ASSE dall'elenco Tipo.

  6. Fare clic su Crea. PC-DMIS esegue la scansione verso il basso per trovare l'apice della "V" cercando il punto più basso lungo il vettore iniziale.


Scansione base di centratura - Metodo di digitazione

Questo metodo consente di immettere i valori X, Y e Z del punto iniziale e finale per la scansione di centratura.

  1. Fare doppio clic sul punto desiderato nell'elenco della colonna '#'. Viene visualizzata la finestra di dialogo Modifica elemento di scansione:

Finestra di dialogo Modifica elemento di scansione

2. Modificare manualmente il valore di X, Y o Z.

3. Fare clic sul pulsante OK per applicare le modifiche apportate.

Il pulsante Annulla consente di annullare tutte le modifiche apportate e di chiudere la finestra di dialogo.

Inoltre, è opportuno digitare il vettore VetTag e il vettore VetIniz del centro utilizzando lo stesso processo.


Scansione base di centratura - Metodo punto misurato

Per creare il centro senza utilizzare i dati CAD, effettuare le seguenti operazioni:

  1. Selezionare il punto desiderato nell'elenco.

  2. Rilevare un punto sul pezzo. In questo modo, vengono inseriti i valori relativi al punto selezionato.

Il vettore VetTag rappresenta il vettore perpendicolare al piano su cui il tastatore rimane mobile durante l'esecuzione della centratura da parte del controller. Il vettore VetIniz rappresenta il vettore di avvicinamento iniziale al punto iniziale.


Scansione base di centratura - Utilizzo dei dati di superficie sullo schermo

Scansione base di centratura - Metodo di dati di superficie

Per creare una scansione di centratura utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona della modalità di superficie.

  2. Selezionare il punto desiderato nell'elenco.

  3. Fare clic su un punto della finestra di visualizzazione grafica. PC-DMIS inserisce i valori necessari nell'elenco.


Uso dei dati wire-frame sullo schermo

Scansione base di centratura - Metodo dati wire-frame

È possibile utilizzare i dati wire-frame CAD per creare i punti.

Fare clic accanto al filo desiderato sul centro. PC-DMIS evidenzia il filo selezionato. Quindi, individua il punto del filo più vicino alla posizione selezionata e ne inserisce i valori nell'elenco.

  • VetTag: questo vettore è perpendicolare al piano su cui il tastatore rimane mobile durante l'esecuzione della centratura.

  • VetIniz: questo valore rappresenta il vettore di avvicinamento del tastatore al punto iniziale.

Tipo

È possibile utilizzare i seguenti metodi di centratura:

  • Asse: Il punto iniziale (S) viene proiettato sull'asse definito (A). Il punto ottenuto è (SP). VetIniz viene proiettato sul piano definito mediante il punto proiettato (SP) e la direzione assiale (A). La direzione (N) così definita è verticale alla direzione assiale. Durante la centratura, il punto centrale del tastatore resta nel piano definito dalla direzione assiale e dal punto iniziale proiettato (SP). Inoltre, viene utilizzata come input la stessa direzione (N) del tastatore o la direzione opposta, e la punta del tastatore è in grado di muoversi nella direzione definita dalla direzione assiale (A) che interseca la direzione (N).

    S     = Punto iniziale
    A     = Asse definito/direzione assiale
    SP     = Punto iniziale proiettato
    N     = La direzione verticale alla direzione assiale.

  • Piano:dopo il sondaggio del punto definito mediante il punto iniziale, la macchina CMM esegue la centratura nella stessa direzione del tastatore o in direzione opposta, rimanendo mobile sul piano definito dal vettore del piano di taglio.


Esecuzione di una scansione base lineare

Finestra di dialogo SCANSIONE BASE - scheda Linea

Finestra di dialogo SCANSIONE BASE - scheda Linea

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Scansione | Linea consente di eseguire la scansione della superficie lungo una linea. In questa procedura il punto iniziale, il punto finale della linea e un punto di orientamento vengono utilizzati per il calcolo del piano di taglio. Durante la scansione, il tastatore rimane sempre all'interno del piano di taglio.

Sono disponibili tre diversi tipi di filtro (nella scheda Filtro) illustrati di seguito.

Vedere anche:

Distanza

Asse corpo

Variabile

Incremento massimo

punti

Vettori

Tipo di punto

Bordo


Distanza

PC-DMIS determina ciascun punto in base all'incremento impostato e agli ultimi due punti misurati. Il tastatore viene avvicinato in modo perpendicolare alla linea tra gli ultimi due punti misurati. Il tastatore viene posizionato sul piano di taglio. PC-DMIS inizia dal primo punto di bordo e continua a prendere i punti in base all'incremento impostato, fino al punto di bordo finale.


Asse corpo

PC-DMIS prende i punti in base all'incremento impostato lungo il sistema di coordinate del pezzo in uso. Il tastatore viene avvicinato in modo perpendicolare all'asse indicato. Il tastatore viene posizionato sul piano di taglio. Il vettore di avvicinamento è perpendicolare all'asse selezionato e viene posizionato sul piano di taglio. La tecnica ASSE CORPO utilizza lo stesso metodo di avvicinamento per rilevare ciascun punto (diversamente dalla tecnica LINEA, in base alla quale il tastatore viene regolato in modo da risultare perpendicolare alla linea presente tra i due precedenti punti).


Variabile

La tecnica VARIABILE consente di impostare i valori di angolo e di incremento massimi e minimi utilizzati per determinare il punto in cui PC-DMIS prenderà un punto. Il tastatore viene avvicinato in modo perpendicolare alla linea tra gli ultimi due punti misurati.

Inserire i valori massimi e minimi utilizzati per determinare gli incrementi tra i punti. Inoltre, è necessario inserire i valori di angolo massimo e minimo desiderati. PC-DMIS prende tre punti utilizzando l'incremento minimo prima di misurare l'angolo compreso tra i punti 1-2 e 2-3.

  • Se l'angolo misurato è compreso nei valori massimi e minimi impostati, PC-DMIS continua a prendere i punti in base all'incremento in uso.

  • Se l'angolo è superiore al valore massimo, PC-DMIS cancella l'ultimo punto e lo misura di nuovo utilizzando un quarto del valore di incremento in uso.

  • Se l'angolo è inferiore al valore di incremento minimo, PC-DMIS utilizza quest'ultimo per prendere il punto.

PC-DMIS misura nuovamente l'angolo compreso tra il nuovo punto e i due punti presi in precedenza, quindi continua a cancellare l'ultimo punto e a ridurre l'incremento ad un quarto del valore, fino a far rientrare l'angolo misurato nell'intervallo specificato o a raggiungere il valore di incremento minimo.

Se l'angolo misurato è inferiore al valore di angolo minimo impostato, PC-DMIS raddoppia l'incremento per il punto successivo. Se l'angolo è superiore al valore di incremento massimo specificato, PC-DMIS utilizza quest'ultimo per prendere il punto, PC-DMIS misura nuovamente l'angolo compreso tra il nuovo punto e i due punti presi in precedenza, quindi continua a raddoppiare il valore dell'incremento fino a quando l'angolo misurato è compreso nell'intervallo specificato oppure non viene raggiunto l'incremento massimo.

If ANGOLO > ANGOLO MAX then INCR = INCR / 4 until INCR MIN
If ANGOLO < ANGOLO MIN then INCR = INCR · 2 until INCR MAX


Incremento massimo

La casella Incremento max nella scheda Filtro consente di impostare una distanza incrementale tra i punti della scansione. Ad esempio, se si inserisce 0,5 la scansione avverrà toccando il pezzo con incrementi di 0,5.


Punti

Per eseguire una scansione di tipo LINEA, sono necessari un punto iniziale, un punto di orientamento e un punto finale.

  • Punto iniziale: indica il punto in cui ha inizio la scansione.

  • D: indica il punto di orientamento utilizzato per iniziare la scansione.

  • Punto finale: indica il punto in cui termina la scansione.


Vettori

I seguenti vettori vengono utilizzati per l'esecuzione di una scansione LINEA.

  • Vettore del piano di taglio: Il vettore del piano di taglio è il prodotto dell'intersezione del vettore di contatto iniziale e della linea che va dal punto iniziale al punto finale. Durante la scansione, il tastatore rimane sempre su questo piano.

  • Vettore iniziale: Il vettore iniziale è il vettore di contatto iniziale utilizzato per iniziare la scansione.

  • Vettore finale: Il vettore di contatto finale viene utilizzato come vettore di avvicinamento al punto finale della scansione.

  • Vettore di direzione: Il vettore di direzione consente di iniziare la scansione e rappresenta il vettore che si estende dal punto iniziale al punto di orientamento.

Il vettore del piano di taglio è il prodotto di intersezione del vettore di contatto iniziale e della linea che si estende dal punto iniziale al punto finale.


Tipo di punto

È possibile eseguire le scansioni LINEA mediante punti vettore o superficie. Vedere l'elencoTipo di punti nella "sezione Controlli dei punti" per ulteriori informazioni.


Bordo

È possibile eseguire le scansioni LINEA utilizzando una delle seguenti condizioni di bordo:

  • Piano

  • Sfera

  • Cilindro

  • Cono

  • Tipo precedente

Vedere "Uso del pulsante Bordo" per ulteriori informazioni.

Nella riga di comando della finestra di modifica per una scansione lineare viene visualizzata la stringa seguente:

ID =SCANSIONE BASE/LINEA,MostraPunti=SíMOSTRA_TUTTI_PARAM= SÍ
xinizio,yinizio,zinizio,xfine,yfine,zfine,VetTag=i,j,k, VetDir=i,j,k
VetIniz=i,j,k, VetFin=i,j,k, spessore


Introduzione all'esecuzione di scansioni manuali

Finestra di dialogo Scansione manuale TTP

Una finestra di dialogo di scansione manuale

Il metodo di scansione manuale consente di definire la misura di un punto eseguendo la scansione manuale della superficie di un pezzo. È un metodo particolarmente utile nei casi in cui si desidera utilizzare i punti di misurazione CMM controllati dall'utente.

Sono disponibili due tipi di scansione manuale:

  • Scansione manuale con un tastatore a contatto (TTP, Touch Trigger Probe)

  • Scansione manuale con un tastatore rigido

Per iniziare la creazione di scansioni manuali, attivare la modalità manuale Selezionare uno dei tipi di scansione manuale disponibili dal menu secondario Scansione. Le opzioni disponibili sono le seguenti:

  • TTP manuale (disponibile solo se si utilizza un tastatore a contatto)

  • Distanza Fissa

  • Tempo Fisso

  • Tempo / Distanza Fissa

  • Asse corpo

  • Multisezione

  • Libera manuale

Viene visualizzata la finestra di dialogo di scansione manuale appropriata. Per informazioni di carattere generale sulle opzioni disponibili in queste finestre di dialogo, vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione".

Vedere anche:

Regole per la scansione manuale

Ulteriori opzioni per la scansione manuale


Ulteriori opzioni per la scansione manuale

Durante l'esecuzione di scansioni manuali, PC-DMIS fornisce alcune opzioni supplementari.

Vedere anche:

Nuova riga

Scansione eseguita

Casella di controllo 3D


Nuova riga

Il comando Nuova riga consente di iniziare una nuova riga per la scansione. Questo pulsante è disponibile solo quando viene appresa una scansione manuale. Si trova nella finestra di dialogo Opzioni modalità di esecuzione.

Per utilizzare il pulsante di comando Nuova riga:

  1. Selezionare Interrompi per interrompere la scansione.

  2. Fare clic sul pulsante Nuova riga. Viene indicato che verrà eseguita la scansione di una nuova riga.

Oppure

  1. Fare clic prima sul pulsante Nuova riga. PC-DMIS sospende automaticamente la scansione.

  2. Spostare il tastatore sulla riga successiva.

  3. Fare clic sul pulsante Continua.

  4. PC-DMIS inizia la scansione della nuova riga.


Scansione eseguita

Il pulsante di comando Scansione eseguita consente di indicare a PC-DMIS che l'esecuzione della scansione è completata. Questo pulsante, disponibile soltanto durante l'esecuzione (apprendimento) di una scansione manuale, si trova nella finestra di dialogo Opzioni modalità di esecuzione. Durante l'esecuzione della scansione, PC-DMIS raccoglie i dati dalla macchina CMM. Allo stesso tempo, filtra, ovvero riduce, i dati in base al metodo indicato (Delta temporale, Distanza fissa, rapporto Tempo / Distanza fisso ecc.) . Vengono mantenuti solo i dati che soddisfano i criteri specificati, mentre gli altri dati (ad esempio gli incrementi relativi alla distanza o al delta temporale) vengono esclusi.

Nelle precedenti versioni, era disponibile il pulsante Riduci, non più utilizzato nella versione corrente. Selezionando il pulsante Scansione eseguita, PC-DMIS interrompe la raccolta dei dati e ne inizia l'elaborazione per la ricerca dei nominali, della compensazione del vettore e altro.


Casella di controllo 3D

Questa casella di controllo è disponibile solo se si utilizza un tastatore rigido, ad esempio un braccio Faro, ed é disponibile sulle schede relative a Distanza Fissa, Tempo / Distanza Fissa, e Tempo Fisso.

La casella di controllo 3D consente di prendere i punti manuali in formato tridimensionale e in qualsiasi direzione. Questa opzione é molto utile quando si effettuano scansioni utilizzando CMM manuali a movimento libero, in cui gli assi non possono essere bloccati.

Generalmente, quando si esegue la scansione manuale è necessario prendere prima i punti manuali nella direzione del VetIniz nella sezione Vettori iniziali per ottenere un'accurata compensazione del tastatore. Tuttavia, per CMM manuali a movimento libero (come Faro, SMX, GOM ecc.) la rilevazioni di punti su una retta puó rivelarsi difficoltoso.

Selezionando questa casella é possibile muovere il tastatore in ogni direzione. PC-DMIS rileva un punto ogniqualvolta si raggiunge la distanza dal punto precedente é pari all'incremento.

Limitazioni della compensazione del tastatore:

Una volt ache é stata selezionata la casella e si puó muovere il tastatore in ogni direzione, PC-DMIS non puó determinare con precisione la compensazione del tastatore (o i vettori di Input e Direzione), a partire dai dati misurati.

Ci sono due soluzioni al problema della limitazione di compensazione:

  • Se esistono superfici CAD, è possibile selezionare TROVANOMINALI dall'elenco Nominali. PC-DMIS tenta di travare I valori nominali per ciascun punto misurato della scansione. Se i dati nominali vengono trovati, la compensazione del punto verrà eseguita lungo il vettore trovato; in caso contrario, i dati resteranno al centro della sfera.

  • Se non esistono superfici CAD, la compensazione del tastatore non verrà eseguita. Tutti i dati sono riferiti al centro della Punta Tastatore, senza compensazione.


Regole per la scansione manuale

Di seguito sono illustrate le regole generali della scansione manuale, le regole per le macchine CMM standard orizzontali e a ponte e le regole per i bracci CMM.

Vedere anche:

Regole generali per le scansioni manuali

Regole per l'uso delle macchine CMM standard orizzontali e a ponte

Regole per l'uso di bracci CMM (Gage 2000A, Faro, Romer)


Regole generali per le scansioni manuali

È opportuno eseguire le scansioni manuali lungo l'asse macchina, ovvero l'asse X, Y o Z.

Ad esempio, si supponga di dover eseguire la scansione del pezzo lungo la superficie di una sfera. A tale scopo, effettuare le seguenti operazioni:

  1. Bloccare l'asse Y utilizzando l'apposito dispositivo sulla macchina CMM. È possibile attivare o disattivare tale dispositivo, a seconda se si desidera bloccare o consentire il movimento su un determinato asse.

  2. Iniziare la scansione nella direzione +X.

  3. Sbloccare l'asse Y e spostarsi alla riga successiva lungo l'asse +Y o -Y.

  4. Bloccare di nuovo l'asse Y.

  5. Eseguire la scansione nella direzione inversa (-X).

Dopo aver eseguito la scansione manuale di più righe, è opportuno invertire le altre linee di scansione.

Ad esempio, per continuare la scansione della sfera descritta in precedenza, effettuare le seguenti operazioni:

  1. Iniziare la scansione lungo la superficie nella direzione +X.

  2. Passare alla riga successiva ed eseguire la scansione lungo l'asse –X.

  3. Continuare a cambiare la direzione della scansione in base alle proprie esigenze. Gli algoritmi interni dipendono dalla regolarità con cui viene invertita la direzione. Inoltre, se lo schema non viene rispettato, è possibile che la qualità del risultato ottenuto sia scarsa.

Vettore di contatto iniziale

Per eseguire i calcoli interni durante le scansioni manuali, è necessario utilizzare un vettore di contatto iniziale nelle coordinate della macchina.

Vettore di direzione iniziale

Per eseguire i calcoli interni durante le scansioni manuali, è necessario utilizzare un vettore di direzione iniziale nelle coordinate della macchina.

Esempio:per eseguire una scansione +X, bloccare gli assi Y e Z della macchina e inserire un valore 0, 0, 1 per il vettore di direzione iniziale. Se la scansione viene eseguita lungo l'asse -X, digitare un valore 0, 0, -1.


Regole per l'uso delle macchine CMM standard orizzontali e a ponte

Di seguito vengono descritte le regole che consentono di ottenere una rapida e corretta compensazione durante la scansione manuale con le macchine CMM standard orizzontale e a ponte.

Scansioni a Distanza Fissa,Scansioni a Tempo Fissato e Scansioni a Tempo / Distanza Fisse.

  • Se si blocca uno degli assi della macchina CMM durante la scansione, PC-DMIS esegue la scansione su un piano perpendicolare all'asse bloccato.

  • Per ciascuno di questi tre tipi di scansione, è necessario specificare i valori VetIniz e VetDir in Sistema di coordinate della macchina. Tale operazione è resa necessaria dal blocco di uno degli assi della macchina.

Scansioni asse corpo

  • Durante la scansione nessuno degli assi deve essere bloccato. PC-DMIS eseguirà la scansione intersecando con il tastatore la posizione dell'asse corpo specificata. Ogni qualvolta il tastatore interseca il piano definito la macchina CMM effettua una lettura e la trasmette a PC-DMIS.

  • Quando si esegue questo tipo di scansione è necessario inserire i valori del vettore iniziale (VetIniz) e del vettore di direzione (VetDir) nel sistema di coordinate del pezzo. Questa operazione consente al tastatore di attraversare la posizione dell'asse corpo indicata.

  • Accertarsi di inserire il valore dell'asse corpo nella sezione relativa al sistema di coordinate del pezzo.


Regole per l'uso di bracci CMM (Gage 2000A, Faro, Romer)

Di seguito vengono descritte le regole che consentono di ottenere una rapida e corretta compensazione durante la scansione manuale con i bracci CMM.

Tutti i tipi di scansione manuale

  • Durante la scansione nessuno degli assi deve essere bloccato. PC-DMIS eseguirà la scansione intersecando con il tastatore la posizione Asse corpo. Ogni volta che il tastatore interseca il piano definito, la macchina CMM effettua una lettura e la trasmette a PC-DMIS.

  • Quando si esegue questo tipo di scansione, è necessario inserire i valori dei vettori VetIniz e VetDir nel sistema di coordinate del pezzo che verranno utilizzati assieme alla posizione dell'asse corpo.

  • Accertarsi di inserire il valore dell'asse corpo nel sistema di coordinate del pezzo.


Esecuzione di scansioni manuali con un tastatore a contatto

Finestra di dialogo Scansione manuale TTP

Finestra di dialogo Scansione manuale TTP

È possibile eseguire scansioni manuali utilizzando un tastatore a contatto.

A tale scopo, operare come segue:

  1. Attivare la modalità manuale di PC-DMIS.

  2. Aprire la finestra di dialogo Scansione manuale TTP (Inserisci | Scansione | TTP manuale).

    Visualizza Mappa Percorsi dei Menu

  3. Definire i parametri necessari.

  4. Fare clic sul pulsante Crea. PC-DMIS visualizza la finestra di dialogo Opzioni modalità di esecuzione e chiede di prendere un punto.

    Finestra di Dialogo Opzioni della Modalità Esecuzione

  5. Prendere i punti come richiesto.

  6. Al termine della scansione, fare clic sul pulsante Scansione eseguita nella finestra di dialogo Opzioni modalità di esecuzione. La scansione viene interrotta.

Nota: alcuni metodi di scansione non sono disponibili quando si utilizza un tastatore a contatto.


Esecuzione di scansioni manuali con un tastatore rigido

Visualizza Mappa Percorsi dei Menu

Per accedere ai quattro metodi di misurazione, è necessario utilizzare un tastatore rigido.

La scansione manuale fornisce quattro differenti metodi di misurazione che possono essere utilizzati con un tastatore rigido. PC-DMIS raccoglie i punti misurati alla stessa velocità con cui vengono letti dal controller durante il processo di scansione. Al termine della scansione, è possibile ridurre i dati raccolti in base al metodo di scansione selezionato.

Di seguito vengono descritti i quattro metodi di misurazione che possono essere utilizzati con un tastatore rigido.

Nota: se si utilizza un tastatore a contatto, è necessario che in ciascuna posizione sia presente un singolo punto. Inoltre, non è possibile utilizzare tutti i metodi di misurazione disponibili per le scansioni con tastatore rigido.

Vedere anche:

Esecuzione di una scansione manuale a distanza fissa

Esecuzione di una scansione manuale a tempo / distanza fissa

Esecuzione di una scansione manuale a tempo fissato

Esecuzione di una scansione manuale asse corpo

Scansione manuale multisezione


Esecuzione di una scansione manuale a distanza fissa

Finestra di dialogo Delta fisso

Finestra di dialogo Delta fisso

Visualizza Mappa Percorsi dei Menu

Il metodo di scansione Inserisci | Scansione | Distanza fissaconsente di ridurre i dati misurati impostando il valore della distanza nel campo Distanza tra i punti. PC-DMIS inizia dal primo punto e riduce la scansione eliminando i punti che si trovano in una posizione più vicina rispetto alla distanza specificata. La riduzione dei punti avviene man mano che i dati vengono recuperati dalla macchina. Vengono mantenuti solo i punti la cui distanza è superiore agli incrementi specificati.

Esempio: se si specifica un incremento di 0,5, vengono mantenuti solo i punti che distano tra loro almeno 0,5 unità. Gli altri punti provenienti dal controller vengono annullati.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.

Per creare una scansione Delta fisso

  1. Aprire la finestra di dialogo Delta fisso.

  2. Specificare un nome personalizzato per la scansione nella casella ID se non si desidera utilizzare il nome predefinito.

  3. Nella casella Distanza tra i punti, digitare la distanza che deve raggiungere il tastatore per spostarsi prima che PC-DMIS prenda un punto. È una distanza tridimensionale tra punti. Ad esempio, se si digita 5 e l'unità di misura è il millimetro, il tastatore deve spostarsi di almeno 5 mm dall'ultimo punto prima che PC-DMIS accetti un punto dal controller.

  4. Impostare il vettore iniziale (VetIniz). Si tratta di un vettore perpendicolare alla superficie di cui si eseguirà la scansione. È possibile impostare il vettore facendo doppio clic e digitando un valore, facendo clic sulla superficie nella finestra di visualizzazione grafica oppure analizzando un punto sul pezzo effettivo.

  5. Impostare il vettore di direzione (VetIniz). Definisce la direzione iniziale della scansione e deve essere parallelo al modo in cui la scansione inizia. Viene utilizzato con il vettore iniziale per compensare la scansione.

  6. Se si utilizza un modello CAD, digitare una tolleranza per la ricerca nominali nella sezione dei controlli della ricerca nominali. Definisce la distanza massima consentita del punto centrale della sfera dalla posizione del CAD nominale.

  7. Impostare tutte le altre opzioni necessarie nella finestra di dialogo.

  8. Fare clic su Crea. PC-DMIS inserisce la scansione base.

  9. Eseguire il part program. Quando PC-DMIS esegue la scansione, viene visualizzata la finestra di dialogo Opzioni di esecuzione e PC-DMIS attende l'arrivo dei dati dal controller.

  10. Trascinare manualmente il tastatore sulla superficie che si desidera sottoporre a scansione. PC-DMIS accetterà i punti dal controller che sono separati da una distanza maggiore della distanza definita nella casella Distanza tra i punti.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.


Esecuzione di una scansione manuale a tempo / distanza fissa

Finestra di dialogo Delta variabile

Finestra di dialogo Delta variabile

Visualizza Mappa Percorsi dei Menu

Il metodo di scansione Inserisci | Scansione | Tempo / Distanza fisso consente di ridurre il numero di punti rilevati in una scansione, specificando la distanza a cui il tastatore deve muoversi, nonché il tempo che deve trascorrere prima che possano essere accettati altri punti dal controller.

Per creare una scansione Tempo / Distanza fisso (Delta variabile)

  1. Aprire la finestra di dialogo Delta variabile.

  2. Specificare un nome personalizzato per la scansione nella casella ID se non si desidera utilizzare il nome predefinito.

  3. Nella casella Ritardo tra letture, digitare il tempo, in secondi, che deve trascorrere prima che PC-DMIS prenda un punto.

  4. Nella casella Distanza tra i punti, digitare la distanza che deve raggiungere il tastatore per spostarsi prima che PC-DMIS prenda un punto. È una distanza tridimensionale tra punti. Ad esempio, se si digita 5 e l'unità di misura è il millimetro, il tastatore deve spostarsi di almeno 5 mm dall'ultimo punto prima che PC-DMIS accetti un punto dal controller.

  5. Impostare il vettore iniziale (VetInizi). Si tratta di un vettore perpendicolare alla superficie di cui si eseguirà la scansione. È possibile impostare il vettore facendo doppio clic e digitando un valore, facendo clic sulla superficie nella finestra di visualizzazione grafica oppure analizzando un punto sul pezzo effettivo.

  6. Impostare il vettore di direzione (VetDir). Definisce la direzione iniziale della scansione e deve essere parallelo al modo in cui la scansione inizia. Viene utilizzato con il vettore iniziale per compensare la scansione.

  7. Se si utilizza un modello CAD, digitare una tolleranza per la ricerca nominali nella sezione dei controlli della ricerca nominali. Definisce la distanza massima consentita del punto centrale della sfera dalla posizione del CAD nominale.

  8. Impostare tutte le altre opzioni necessarie nella finestra di dialogo.

  9. Fare clic su Crea. PC-DMIS inserisce la scansione base.

  10. Eseguire il part program. Quando PC-DMIS esegue la scansione, viene visualizzata la finestra di dialogo Opzioni di esecuzione e PC-DMIS attende l'arrivo dei dati dal controller.

  11. Trascinare manualmente il tastatore sulla superficie che si desidera sottoporre a scansione. PC-DMIS controlla il tempo trascorso e la distanza dello spostamento del tastatore. Quando i valori relativi al tempo e alla distanza vengono superati, il punto dal controller viene accettato.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.


Esecuzione di una scansione manuale a tempo fissato

Finestra di dialogo Delta temporale

Visualizza Mappa Percorsi dei Menu

Il metodo di scansione Inserisci | Scansione | Delta temporale consente di ridurre i dati misurati impostando il valore dell'incremento temporale nel campo Ritardo tra letture. PC-DMIS inizia dal primo punto e riduce la scansione eliminando i punti letti ad una velocità superiore rispetto al delta temporale specificato.

Esempio: se si specifica un incremento temporale di 0,05 secondi, PC-DMIS mantiene solo i punti provenienti dal controller misurati a un intervallo uguale o inferiore a 0,05 secondi. Gli altri punti vengono esclusi dalla scansione.

Per creare una scansione Delta temporale

  1. Aprire la finestra di dialogo Delta variabile.

  2. Specificare un nome personalizzato per la scansione nella casella ID se non si desidera utilizzare il nome predefinito.

  3. Nella casella Ritardo tra letture, digitare il tempo, in secondi, che deve trascorrere prima che PC-DMIS prenda un punto.

  4. Impostare il vettore iniziale (VetInizi). Si tratta di un vettore perpendicolare alla superficie di cui si eseguirà la scansione. È possibile impostare il vettore facendo doppio clic e digitando un valore, facendo clic sulla superficie nella finestra di visualizzazione grafica oppure analizzando un punto sul pezzo effettivo.

  5. Impostare il vettore di direzione (VetDir). Definisce la direzione iniziale della scansione e deve essere parallelo al modo in cui la scansione inizia. Viene utilizzato con il vettore iniziale per compensare la scansione.

  6. Se si utilizza un modello CAD, digitare una tolleranza per la ricerca nominali nella sezione dei controlli della ricerca nominali. Definisce la distanza massima consentita del punto centrale della sfera dalla posizione del CAD nominale.

  7. Impostare tutte le altre opzioni necessarie nella finestra di dialogo.

  8. Fare clic su Crea. PC-DMIS inserisce la scansione base.

  9. Eseguire il part program. Quando PC-DMIS esegue la scansione, viene visualizzata la finestra di dialogo Opzioni di esecuzione e PC-DMIS attende l'arrivo dei dati dal controller.

  10. Trascinare manualmente il tastatore sulla superficie che si desidera sottoporre a scansione. Quando il tempo trascorso supera i valori specificati nella casella Ritardo tra letture, PC-DMIS accetta un punto dal controller.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.


Esecuzione di una scansione manuale asse corpo

Finestra di dialogo Asse corpo

Finestra di dialogo Asse corpo

Visualizza Mappa Percorsi dei Menu

Il metodo di scansione Inserisci | Scansione | Asse corpo consente di eseguire la scansione di un pezzo specificando un piano di taglio in un determinato asse del pezzo e trascinando il tastatore lungo il piano di taglio. È opportuno eseguire la scansione del pezzo in modo tale che il tastatore intersechi il piano di taglio definito per il numero di volte desiderato. Quindi, verrà effettuata la seguente procedura:

  1. Utilizzando i dati del controller, PC-DMIS esegue la ricerca dei due punti più vicini a entrambi i lati del piano di taglio, ogni volta che quest'ultimo viene intersecato.

  2. Quindi, traccia una linea tra i due punti, in modo da forare il piano di taglio.

  3. Il punto forato corrisponde ad un punto sul piano di taglio.

Poiché questa operazione viene eseguita ogni volta che si interseca il piano di taglio, vari punti saranno infine presenti su quest'ultimo.

È possibile utilizzare questo metodo per effettuare l'ispezione di più righe (PATCH) di scansione, specificando un incremento per la posizione del piano di taglio. Al termine della scansione della prima riga, il piano di taglio viene spostato nella posizione successiva mediante l'aggiunta della posizione corrente all'incremento. Quindi, è possibile continuare ad eseguire la scansione della riga successiva nella nuova posizione del piano di taglio.

Per creare una scansione dell'asse corpo

  1. Accedere alla finestra di dialogo Asse corpo.

  2. Specificare un nome personalizzato per la scansione nella casella ID se non si desidera utilizzare il nome predefinito.

  3. Dall'elenco Asse, selezionare un asse. Gli assi disponibili sono X, Y e Z. Il piano di taglio che sarà intersecato dal tastatore sarà parallelo all'asse.

  4. Nella casella Posizione, specificare una distanza dall'asse definito in cui si troverà il piano di taglio.

  5. Nella casella Incremento, specificare la distanza tra piani se la scansione sarà eseguita tra più piani.

  6. Impostare il vettore iniziale (VetInizi). Si tratta di un vettore perpendicolare alla superficie di cui si eseguirà la scansione. È possibile impostare il vettore facendo doppio clic e digitando un valore, facendo clic sulla superficie nella finestra di visualizzazione grafica oppure analizzando un punto sul pezzo effettivo.

  7. Impostare il vettore di direzione (VetDir). Definisce la direzione iniziale della scansione e deve essere parallelo al modo in cui la scansione inizia. Viene utilizzato con il vettore iniziale per compensare la scansione.

  8. Se si utilizza un modello CAD, digitare una tolleranza per la ricerca nominali nella sezione dei controlli della ricerca nominali. Definisce la distanza massima consentita del punto centrale della sfera dalla posizione del CAD nominale.

  9. Impostare tutte le altre opzioni necessarie nella finestra di dialogo.

  10. Fare clic su Crea. PC-DMIS inserisce la scansione base.

  11. Eseguire il part program. Quando PC-DMIS esegue la scansione, viene visualizzata la finestra di dialogo Opzioni di esecuzione e PC-DMIS attende l'arrivo dei dati dal controller.

  12. Trascinare manualmente il tastatore avanti e indietro sulla superficie che si desidera sottoporre a scansione. PC-DMIS accetterà i punti dal controller ogni volta che il tastatore interseca il piano definito.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.


Scansione manuale multisezione

Finestra di dialogo Multisezione

Finestra di dialogo Multisezione

Visualizza Mappa Percorsi dei Menu

Il metodo di scansione Inserisci | Scansione | Multisezione funziona in modo simile alla scansione manuale in Assi corpo, con le differenze seguenti:

  • Può interessare più sezioni.

  • Non deve essere parallelo agli assi X, Y o Z.

Per creare una scansione multisezione

  1. Accedere alla finestra di dialogo Multisezione.

  2. Specificare un nome personalizzato per la scansione nella casella ID se non si desidera utilizzare il nome predefinito.

  3. Dall'elenco Asse, selezionare un asse. Il piano attraversato dal tastatore sarà parallelo a questo asse.

  4. Dall'elenco Tipo di sezione, scegliere il tipo delle sezioni che si desidera sottoporre alla scansione tra quelli elencati di seguito:

    • Piani paralleli - Le sezioni sono piani del pezzo. Ogni volta che il tastatore attraversa un piano, PC-DMIS registra un punto. I piani sono relativi al punto iniziale ed al vettore direzione.

    • Piani radiali - Queste sezioni sono piani che si irradiano dal punto iniziale. Ogni volta che il tastatore attraversa un piano, PC-DMIS prende un punto.

    • Cerchi concentrici - Queste sezioni sono cerchi concentrici con diametri sempre più ampi intorno al punto iniziale. Ogni volta che il tastatore attraversa un cerchio, PC-DMIS prende un punto.

  5. Nella casella Numero di sezioni, digitare il numero di sezioni da includere nella scansione.

  6. Se si scelgono almeno due sezioni, specificare l'incremento tra le sezioni nella casella Incremento. Per piani e cerchi paralleli, si tratta di una distanza, per i piani radiali questo valore è un angolo. PC-DMIS distanzia automaticamente le sezioni sul pezzo.

  7. Nel tipo di sezione Punto iniziale digitare i valori X, Y e Z per il punto iniziale della scansione. Le sezioni vengono calcolate da questo punto temporaneo in base al valore di incremento.

  8. Nella casella Incremento, specificare la distanza tra piani se la scansione sarà eseguita tra più piani.

  9. Impostare il vettore iniziale (VetIniz). Si tratta di un vettore perpendicolare alla superficie di cui si eseguirà la scansione. È possibile impostare il vettore facendo doppio clic e digitando un valore, facendo clic sulla superficie nella finestra di visualizzazione grafica oppure analizzando un punto sul pezzo effettivo.

  10. Impostare il vettore di direzione (VetIniz). Definisce la direzione iniziale della scansione e deve essere parallelo al modo in cui la scansione inizia. Viene utilizzato con il vettore iniziale per compensare la scansione.

  11. Se si utilizza un modello CAD, digitare una tolleranza per la ricerca nominali nella sezione dei controlli della ricerca nominali. Definisce la distanza massima consentita del punto centrale della sfera dalla posizione del CAD nominale.

  12. Impostare tutte le altre opzioni necessarie nella finestra di dialogo.

  13. Fare clic su Crea. PC-DMIS inserisce la scansione base.

  14. Eseguire il part program. Quando PC-DMIS esegue la scansione, viene visualizzata la finestra di dialogo Opzioni di esecuzione e PC-DMIS attende l'arrivo dei dati dal controller.

  15. Trascinare manualmente il tastatore sulla superficie che si desidera sottoporre a scansione. PC-DMIS accetterà i punti dal controller ogni volta che il tastatore interseca le sezioni indicate.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.


Esecuzione di una Scansione Libera Manuale

Finestra di dialogo Libera Manuale

Finestra di dialogo Libera Manuale

Visualizza Mappa Percorsi dei Menu

La scansione Inserisci | Scansione | Libera manuale consente di creare una scansione libera con un tastatore rigido. Questa scansione non richiede un vettore iniziale o di direzione come molte altre scansioni manuali. Come per la relativa controparte DCC, per creare una scansione libera è sufficiente fare clic sui punti della superficie che si desidera sottoporre a scansione.

Per creare una scansione libera manuale:

  1. Fare clic sul pulsante Avanzate>> per visualizzare le schede nella parte inferiore della finestra di dialogo.

  2. Fare clic sulla superficie del pezzo nella finestra di visualizzazione grafica per definire il percorso della scansione. Per ciascun clic, viene visualizzato un punto arancione nel disegno del pezzo.

  3. Una volta selezionato sufficienti punti per la scansione, fare clic su Crea. La scansione viene inserita nella finestra di modifica.

Vedere l'argomento "Funzioni comuni della finestra di dialogo di scansione" per informazioni su altri controlli della scheda.


Inserimento di comandi di movimento

Inserimento di comandi di movimento: Introduzione

Inserimento di un comando di movimento puntuale

Inserimento di un comando Incremento movimento

Movimento XYZ

Memorizza movimento

Consenti movimento

Incrementa movimento

Apprendimento durante l’esecuzione

Leggi posizione per movimento puntuale automatico

Inserimento di un piano di sicurezza

Inserimento di un comando Movimento piano di sicurezza

Inserimento di un comando di movimento circolare

Inserimento di un comando di movimento sincronizzato

Inserimento di un comando di movimento continuo

Inserimento di un comando Move All

Inserimento di un comando di movimento tavola rotante

Inserimento di un comando di area di esclusione di movimento

Definizione dell'area di esclusione

Passo 1 Attivazione area di spostamento esclusivo

Passo 2 Inserimento dei valori del punto di angolo triedro

Passo 3 Clic su OK (Conferma dell'operazione)


Inserimento di comandi di movimento: Introduzione

In questa sezione vengono descritti i vari comandi di movimento che possono essere inseriti nel part-program. I comandi di movimento elencati di seguito consentono di modificare il movimento del tastatore tra i punti.

Negli argomenti di questa sezione vengono illustrati i comandi di movimento che è possibile inserire dal menu secondario Inserisci | Movimento e altri comandi di movimento. Tali argomenti includono:

  • Inserimento di un comando di movimento puntuale

  • Inserimento di un comando Incremento movimento

  • Inserimento di un piano di sicurezza

  • Inserimento di un comando Movimento piano di sicurezza

  • Inserimento di un comando di movimento circolare

  • Inserimento di un comando di movimento sincronizzato

  • Inserimento di un comando di movimento continuo

  • Inserimento di un comando Move All

  • Inserimento di un comando di movimento tavola rotante

  • Inserimento di un comando di area di esclusione di movimento

Questi argomenti verranno illustrati dettagliatamente nelle sezioni successive.


Inserimento di un comando di movimento puntuale

PC-DMIS non consente di inserire un movimento all'interno di un movimento di un piano di sicurezza o di una rotazione di un polso PH9. Se il cursore si trova in un movimento del piano di sicurezza o di modifica del PH9, PC-DMIS visualizza un messaggio che indica l'impossibilità di inserire un movimento.

L'opzione Movimento punto consente di inserire un movimento puntuale nel part-program. Visualizza Mappa Percorsi dei Menu

Per utilizzare questa opzione, selezionare l'opzione di menu Inserisci | Movimento | Movimento punto. PC-DMIS inserirà un movimento puntuale in corrispondenza della posizione corrente del tastatore.

La riga di comando della finestra di modifica per un movimento puntuale di esempio è la seguente:
MOVIM/PUNTO,x,y,z

Per modificare i valori visualizzati nella finestra di modifica, selezionare il valore desiderato e digitarne uno nuovo oppure premere F9 sul comando per accedere alla finestra di dialogo Movimento puntuale automatico.

A partire dalla versione 3.5, inserendo un comando MOVIM/PUNTO, PC-DMIS seleziona tale comando per l’esecuzione.

Uso dei movimenti puntuali durante l'animazione

Se questa opzione di menu viene selezionata durante l'animazione del percorso del tastatore con la macchina CMM, verrà richiesto se si desidera inserire il movimento prima o dopo la posizione corrente. La posizione corrente verrà visualizzata nella barra di stato.

Inserimento di movimenti puntuali dalla barra di stato

È possibile accedere all'opzione per l'inserimento di un movimento puntuale anche mentre il sistema è in modalità Programma, posizionando il cursore sulla barra di stato e facendo clic con il pulsante sinistro del mouse.

Inserimento di movimenti puntuali dal terminale operatore

Se si preme il pulsante STAMPA sul terminale operatore (nei sistemi Sharpe32) mentre è attiva la modalità Apprendimento, verrà automaticamente inserito un movimento nel part-program. Affinché questa funzione sia disponibile, la voce PrintButton del Registro di sistema deve essere impostata su TRUE.

Nota:selezionare la voce di menu Operazione | Muovi a per visualizzare la finestra di dialogo Movimento puntuale automatico anziché inserire automaticamente un movimento puntuale nel part-program. Ciò consente di specificare la posizione XYZ in cui spostare il tastatore. Visualizza Mappa Percorsi dei Menu


Inserimento di un comando Incremento movimento

Visualizza Mappa Percorsi dei Menu

In modo analogo al comando Movimento puntuale, la voce di menu Inserisci | Movimento | Incremento movimento consente di inserire un comando MOVIM/INCREMENTO nella finestra di modifica. Ovunque PC-DMIS incontri questo commando di movimento incrementale, sposta il tastatore di un incremento pari ad X,Y e Z specificati, a partire dalla posizione corrente.

Con l'opzione di menu Incremento movimento si accede prima alla finestra di dialogo Movimento puntuale automatico. Tale finestra consente di definire il comando di incremento del movimento prima di inserirlo nel part-program.mct

Finestra di dialogo Movimento puntuale automatico

Questa finestra di dialogo consente di specificare la posizione nominale per il comando di movimento puntuale o di incremento del movimento.

Vedere anche:

Movimento XYZ

Memorizza movimento

Consenti movimento

Incrementa movimento

Apprendimento durante l’esecuzione

Leggi posizione per movimento puntuale automatico

OK button Cancel buttonRead Pos buttonLearn During Execution check boxIncrement Move check boxOK to Move check boxStore Move check boxXYZ Move boxes


Movimento XYZ

Nelle caselle Movimento XYZ viene visualizzato il nominale X, Y e Z per la posizione del movimento puntuale.

Per modificare i valori X, Y o Z, effettuare le seguenti operazioni:

  1. Selezionare il campo da modificare.

  2. Inserire il nuovo valore.

Una volta inserito il nuovo valore, PC-DMIS sposterà il tastatore animato nella posizione indicata. La posizione rappresenta il movimento memorizzato. Dopo aver selezionato il pulsante OK, PC-DMIS sposterà la macchina CMM nella posizione specificata.


Memorizza movimento

Se la casella Memorizza movimento è selezionata, verrà inserito nel programma un movimento puntuale per i valori X, Y, Z indicati.


Consenti movimento

Se viene selezionata la casella Consenti movimento, PC-DMIS sposterà il tastatore nella posizione X, Y, Z. In tal modo, è possibile posizionare la macchina CMM senza memorizzare il movimento. I valori X, Y, Z vengono impostati automaticamente in base alla posizione corrente del tastatore.


Incrementa movimento

Se la casella Incrementa movimento è selezionata, PC-DMIS inserirà un incremento di movimento, spostando il tastatore in base alla distanza XYZ indicata anziché spostarlo nella posizione XYZ, come avviene per il movimento XYZ.

È necessario che sia selezionata la casella di controllo Memorizza movimento.

La riga di comando della finestra di modifica per un incremento di movimento è la seguente:
MOVIM/INCREMENTO, x, y, z


Apprendimento durante l’esecuzione

Selezionando la casella Apprendi durante esecuzione, PC-DMIS muoverà e riapprenderà la posizione del punto XYZ memorizzata nella finestra di dialogo al momento dell'esecuzione del part-program. Per poter utilizzare questo comando, è necessario che sia selezionata anche la casella di controllo Memorizza movimento.

La linea di comando della finestra di modifica per un punto di movimento che PC-DMIS apprenderà durante l'esecuzione di un programma è la seguente:
MOVIM/PUNTO,RIAPPRENDI


Leggi posizione per movimento puntuale automatico

L'opzione Leggi posizione consente di leggere la posizione corrente del tastatore e di inserire i valori X, Y e Z rilevati nella finestra di dialogo Movimento puntuale automatico. È quindi possibile inserire tali valori nella finestra di modifica selezionando la casella di controllo Memorizza movimentoe facendo clic sul pulsante OK.


Inserimento di un piano di sicurezza

Visualizza Mappa Percorsi dei Menu

Il comando PIANO SIC (Inserisci | Cambio parametri | Piani di sicurezza) consente di definire un valore di piano di sicurezza per il piano di lavoro corrente. I piani di sicurezza creano attorno ad un pezzo un range di protezione che verrà sempre attraversato dal tastatore quando si sposta da un elemento all'altro.

La scheda Piano di sicurezza della finestra di dialogo Parametri (vedere l'argomento "Impostazioni parametri: scheda Piano di sicurezza" nella sezione "Impostazione delle preferenze" ) consente di attivare globalmente i piani di sicurezza. Il comando PIANO SIC definisce soltanto il piano di sicurezza per il primo punto di un elemento. Per impostare altri piani di sicurezza di un elemento, è necessario creare una nuova riga nella posizione desiderata ed inserire il comando: PIANO SIC.


Inserimento di un comando Movimento piano di sicurezza

Visualizza Mappa Percorsi dei Menu

Il comando Inserisci | Movimento | Inserisci movimento piano di sicurezza consente di inserire il comando MOVIM/PIANO_SICUR tra i blocchi e all'interno degli elementi.

Questo comando deve essere utilizzato insieme al comando PIANO SIC /. Ogni volta che viene incontrato durante l'esecuzione, questo comando sposta il tastatore sul piano di sicurezza definito dal comando PIANO SIC/. Il tastatore resta sul piano di sicurezza fino a quando non viene inserito un comando (ad esempio, il comando MIS, PUNTO o MOVIM/PUNTO). Se si desidera spostare il tastatore nel piano di sicurezza prima di ogni punto di un cerchio misurato, è necessario inserire un comando MOVIM/PIANO_SICUR prima di ogni comando PUNTO/.

PC-DMIS cercherà la definizione del piano di sicurezza. Per poter utilizzare questa opzione, è necessario prima impostarne i parametri.

Per impostare i parametri per il movimento di un piano di sicurezza, effettuare le seguenti operazioni:

  1. Aprire la finestra di dialogo Impostazioni Parametri (Modifica | Preferenze | Parametri). Visualizza Mappa Percorsi dei Menu

  2. Selezionare la scheda Piano di sicurezza.

  3. Inserire la distanza desiderata nella casella Valori nella sezione Piano attivo.

  4. Inserire la distanza per il piano di sicurezza nella casella Valore nella sezione Piano passante.

  5. Selezionare la casella di controllo Piani di sicurezza attivi.

  6. Fare clic sul pulsante OK.

Se i parametri non sono stati precedentemente impostati, verrà visualizzato un messaggio di errore.

La riga di comando della finestra di modifica per il movimento di un piano di sicurezza di esempio è la seguente:
MOVIM/PIANO_SICUR


Inserimento di un comando di movimento circolare

L'opzione Inserisci | Movimento | Movimento Circolare consente di inserire un comando MOVIM/CIRCOLARE in corrispondenza della posizione del cursore nella finestra di modifica.

Visualizza Mappa Percorsi dei Menu

Quando PC-DMIS rileva questo comando, il tastatore segue un percorso circolare per prendere il punto successivo. ed esegue un movimento circolare da un punto ad un altro in base al raggio dell'elemento misurato.

In questo modo, il tastatore non entrerà in contatto con elementi che potrebbero trovarsi sulla propria traiettoria rettilinea. Ad esempio, la misurazione di un foro con un perno quadrato interno potrebbe bloccare il tastatore, a meno che non si utilizzi un movimento circolare.

Questa opzione, utilizzata in casi specifici, consente tra l'altro di ridurre i tempi di misurazione di un perno, consentendo a PC-DMIS di non allontanarsi eccessivamente dal punto precedente.


Inserimento di un comando di movimento sincronizzato

I part program per bracci multipli contengono comandi per la gestione dei medesimi. Ciascuna macchina esegue tali comandi separatamente, spostando contemporaneamente entrambi i bracci.

L'opzione Inserisci | Movimento | Inserisci movimento sincronizzato consente di inserire un comando MOVIM/SINC nella finestra di modifica.

Visualizza Mappa Percorsi dei Menu

L'uso di questo comando su macchine con due bracci consente di sincronizzare il movimento dei bracci. Il braccio che raggiunge per primo il comando MOVIM/SINC nel part-program si arresta e attende l'arrivo dell'altro braccio prima di continuare assieme l'esecuzione del part-program.


Inserimento di un comando di movimento continuo

Visualizza Mappa Percorsi dei Menu

La voce di menu Inserisci | Movimento | Movimento continuo consente di inserire il seguente blocco di movimento SWEEP nella finestra di modifica:

INIZIO_SWEEP/

FINE_SWEEP/

Se si inseriscono dei comandi di movimento MOVIM/SWEEP tra INIZIO_SWEEP e FINE_SWEEP, il tastatore si sposterà lungo tutti e cinque gli assi simultaneamente (tre di questi sono gli assi X, Y e Z, utilizzati durante i movimenti della macchina). I rimanenti due assi indicano il movimento angolare AB del tastatore se si utilizza un polso PHS per un controller Sharpe32Z.

Nota: Questo comando opera soltanto in presenza di un polso di tipo continuo (CW43, CW43Light, o PHS) e con un tastatore laser Renishaw SP600 oppure Wolf & Beck OTM3 (è possibile che anche tastatori Perceptron o Metris funzionino). Tuttavia, poiché di solito gli SP600 non vengono venduti con polsi indexabili continui, questa funzionalitá é limitata al tastatore laser OTM3.

Il movimento lungo i cinque assi viene eseguito simultaneamente, a differenza di quanto avviene con un polso PH9, per il quale gli assi X, Y e Z hanno priorità di movimento. Quindi, quando la macchina si arresta, l'orientamento del tastatore (angoli AB) viene modificato.

Esempio: Si supponga che la posizione corrente della macchina CMM sia 10, 10, 10 (per gli assi X, Y e Z, rispettivamente), e l'orientamento del polso (posizione AB) sia 0, 0. Per spostare la macchina CMM nella posizione 20, 20, 20 e l'orientamento del tastatore su 0, 180, un polso PHS che utilizza i comandi di movimento continuo sarà in grado di effettuare tali movimenti simultaneamente. Un polso PH9, invece, sposterà la macchina CMM prima di modificare l'orientamento del polso.

Ampiezza di movimento:

  • Un polso PH9 può spostarsi tra 0º e 110º lungo l'asse A e tra +180º e -180º lungo l'asse B.

  • Un polso PHS può spostarsi tra -180º e +180º lungo entrambi gli assi A e B, con incrementi di un decimo di grado.

Vantaggi derivanti dall'uso del movimento continuo:

  • Movimento più fluido, maggior precisione di misurazione degli elementi difficili da raggiungere.

  • Riduzione dei tempi di lavoro, poiché non è necessario attendere che la slitta e il braccio della macchina CMM raggiungano la posizione X, Y e Z prima di modificare l'orientamento del tastatore.

  • La riduzione delle vibrazioni migliora leggermente la precisione.

Nota:PC-DMIS richiede almeno tre comandi MOVIM/SWEEP tra i blocchi INIZIO_SWEEP e FINE_SWEEP. Questi comandi di movimento sono essenziali per generare il percorso ellittico di movimento.


Inserimento di un comando Move All

Il comando MOVE/ALL funziona con qualunque testata di tastatore, continuo o
indexabile, e con qualsiasi combinazione di tastatore.

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Movimento | Muovi tutto consente di inserire un comando MOVE/ALL nella finestra di modifica.

Un comando MOVE/ALL è un comando MOVE/POINT associato al comando TIP/. Questo comando presenta il vantaggio di ruotare il tastatore durante il movimento della macchina.

Utilizzando un polso (PHS,CW43L, o CW43), tale movimento é sincronizzato in modo tale che il movimento del polso, secondo AB, inizia e finisce quando la macchina inizia e termina il movimento in X,Y e Z.

Utilizzando questo commando con un polso indexabile, ad esempio un PH10M, tale movimento non può essere sincronizzato e sarà eseguito in un momento imprecisato, durante il movimento della macchina (in base dei ritardi di elaborazione del segnale da parte dell'hardware). Per questo motivo, il movimento del polso AB può non essere completato prima che la macchina esegua il movimento X, Y, Z.

La finestra di modifica MOVE/ALL ha la forma seguente:

MOVIM/TUTTI,X,Y, Z,PUNTA/T1A0B0, SHANKIJK=0, 0, 1, ANGOLO=0

  • X,Y, Z permette di specificare le coordinate X, Y, e Z che il tastatore deve raggiungere.

  • PUNTA= T1A0B0 mostra il movimento del polso AB che deve essere effettuato.

  • SHANKIJK = IJK consente di specificare il vettore del gambo.

  • ANGOLO=0 definisce l'angolo teorico.

Si noti che l'angolo della testata del tastatore corrisponde normalmente alla posizione predefinita della PUNTA.


Inserimento di un comando di movimento tavola rotante

Visualizza Mappa Percorsi dei Menu

La voce di menu Inserisci | Movimento | Movimento tavola rotante consente di inserire un comando MOVIM/TAV_ROT nella posizione corrente del cursore. Di seguito è riportata la riga di comando completa nella finestra di modifica.

La riga di comando della finestra di Modifica è la seguente:
MOVIM/TAV_ROT,angolo,DIREZIONE

Direzione = Determina la direzione della rotazione della tavola. Le opzioni disponibili sono le seguenti:

Senso orario: | Consente di ruotare la tavola in senso orario fino a quando non viene raggiunto l'angolo inserito nel campo Angolo tavola rotante.
Senso antiorario: | Consente di ruotare il tavolo in senso antiorario fino a quando non viene raggiunto l'angolo inserito nel campo Angolo tavola rotante.
Più corto: | Consente di ruotare la tavola utilizzando il percorso più breve (in senso orario o antiorario) fino a quando non viene raggiunto l'angolo inserito nel campo Angolo tavola rotante.

Quando incontra questo comando, PC-DMIS ruota la tavola nella posizione determinata da qualsiasi comando MOVIM/TAV_ROT sia attivo.

Esempio: si supponga di utilizzare un part-program contenente più comandi MOVIM/TAV_ROT. Se si fa clic su una determinata sezione del part-program e si seleziona l'opzione di menu Movimento tavola rotante, PC-DMIS ruota la tavola in base alla posizione determinata dal comando MOVIM/TAV_ROT attivo in quel punto del part-program.

Questa opzione di menu è disponibile soltanto se il blocco della porta è configurato per le tavole rotanti.


Inserimento di un comando di area di esclusione di movimento

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Movimento | Area di esclusione consente di inserire un'area di esclusione in modo da evitare collisioni tra i bracci in un sistema con due bracci.

Se si seleziona questa opzione, viene aperta la finestra di dialogo Area spostamento esclusivo.

Finestra di dialogo Area spostamento esclusivo

È possibile utilizzare questa finestra di dialogo per inserire un comando MOVIM/AREA_ESCLUSIVA nella finestra di modifica.

Il comando MOVIM/AREA_ESCLUSIVA può essere utilizzato per il braccio master o per il braccio slave.

Prima dell'esecuzione di questo comando, accertarsi che per il braccio interessato non sia già stata definita un'area di spostamento esclusivo parzialmente sovrapposta alla nuova richiesta.

In caso di conflitto di movimento, il comando MOVIM/AREA_ESCLUSIVA

  • Attende fino a quando il braccio al quale è associato il comando non avrà rilasciato il volume specificato

  • Procede all'esecuzione dei comandi relativi al movimento che seguono il comando MOVIM/AREA_ESCLUSIVA.

Vedere anche:

Definizione dell'area di esclusione


Definizione dell'area di esclusione

Quando si definisce un'area di esclusione, è necessario ricordare alcune considerazioni:

  • È necessario che un comando MOVIM/AREA_ESCLUSIVA preceda ciascuna sezione di comandi relativi al movimento nel part-program che gestisce i singoli bracci nell'area di sovrapposizione del volume dei due bracci. Il comando MOVIM/AREA_ESCLUSIVA consente di definire un riquadro tridimensionale attorno al movimento che sta per essere eseguito nell'area sovrapposta della macchina CMM a due bracci.

  • È necessario che un comando MOVIM/AREA_ESCLUSIVA = OFF successivo al tastatore determini il ritiro dall'area di sovrapposizione della macchina CMM a due bracci.

Per esempio, volendo che ciascun braccio misuri una sfera comune usando comandi automatici, si dovrá preparare un part program di questo tipo:

MOVIM/AREA_ESCLUSIVA=ON (per Arm 1)
AUTO/SFERA(per Arm 1)
MOVIM/AREA_ESCLUSIVA=OFF (per Arm 1)
MOVIM/AREA_ESCLUSIVA=ON (per Arm 2)
AUTO/SFERA (per Arm 2)
MOVIM/AREA_ESCLUSIVA=OFF (per Arm 2)

Di seguito vengono descritte le operazioni necessarie per definire l'area di esclusione.

Vedere anche:

Passo 1 Attivazione area di spostamento esclusivo

Passo 2 Inserimento dei valori del punto di angolo triedro

Passo 3 Clic su OK (Conferma dell'operazione)


Passo 1 Attivazione area di spostamento esclusivo

Selezionare la casella di controllo Attiva area spostamento esclusivo. In questo modo è possibile modificare i valori X, Y e Z per le opzioni Punto diagonale 1 e Punto diagonale 2.

Oppure, se si fa clic su un comando MOVIM/AREA_ESCLUSIVA precedentemente inserito nella finestra di modifica e si preme il tasto F9, viene visualizzata la finestra di dialogo Area spostamento esclusivo nella quale è possibile selezionare o deselezionare tale casella di controllo.

  • Se questa casella è selezionata quando si seleziona il pulsante OK, PC-DMIS visualizzerà il seguente comando nella finestra di modifica:
    MOVIM/AREA_ESCLUSIVA=ON, DIAGONALE1=x,y,z,DIAGONALE2=x,y,z

  • Se questa casella non è selezionata quando si seleziona il pulsante OK, PC-DMIS visualizzerà il seguente comando nella finestra di modifica:
    MOVIM/AREA_ESCLUSIVA=OFF


Passo 2 Inserimento dei valori del punto di angolo triedro

Digitare i valori X, Y e Z per Diagonale 1 e Diagonale 2. È possibile leggere nel tastatore corrente il punto diagonale selezionato facendo clic sul pulsante Leggi posizione.

La definizione diagonali consente di impostare l'area di esclusione. Verificare di aver selezionato i punti di angolo triedro che definiscono correttamente l'area di esclusione stessa. I due punti (diagonale 1 e diagonale 2) rappresentano due angoli diagonalmente opposti.

È possibile creare un'area rettangolare nello spazio tridimensionale a partire da due punti utilizzando il sistema di coordinate in uso per crearne i lati. La combinazione di più parti dei due punti consente di costruire gli otto punti necessari per creare l'area rettangolare.

Esempio:

Prima diagonale = X1, Y1, Z1
Seconda diagonale = X2, Y2, Z2
Terza diagonale = X1, Y1, Z2
Quarta diagonale = X1, Y2, Z1
Quinta diagonale = X1, Y2, Z2
Sesta diagonale = X2, Y1, Z1
Settima diagonale = X2, Y1, Z2
Ottava diagonale = X2, Y2, Z1


Passo 3 Clic su OK (Conferma dell'operazione)

Completare la definizione dell'area di esclusione facendo clic sul pulsante OK. PC-DMIS inserisce le informazioni definite nella finestra di modifica come riportato di seguito:
MOVIM/AREA_ESCLUSIVA=ALTER1,PUNTO ANGOLO1=X,Y, Z,PUNTO ANGOLO1=X,Y, Z

ALTER1 | Questo campo consente di attivare/disattivare l'area di esclusione alternando i valori ON (attiva) e OFF (disattivata).
X,Y, Z | Queste coordinate consentono di definire i punti diagonale utilizzati per creare l'area di esclusione.

Fare clic sul pulsante Annulla per chiudere la finestra di dialogo senza salvare le modifiche eventualmente apportate al part-program.


Come effettuare diramazioni utilizzando il controllo di flusso

Esecuzione della diramazione mediante il controllo del flusso: Introduzione

Uso di coppie di controllo

If / End If

Esempio di codice di If / End If

Else If / End Else If

Esempio di codice di Else If / End Else If

Else / End Else

Esempio di codice di Else / End Else

While / End While

Esempio di codice di While / End While

Do / Until

Codice di esempio di Do / Until

Select / End Select

Esempio di codice di Select / End Select

Case / End Case

Default Case/End Default Case

Creazione di loop generici

Uso dei loop

Uso dell'opzione Loop

Numero finale

Numero Iniziale

Salta numero

Offset Assi ed Angolo

Loop con Offset ed Allineamenti

ID loop

ID elemento nei database statistici

ID variabile

Fine loop

Terminazione di loop generici

Creazione di etichette

Passaggio a un'etichetta

Vai a etichetta

Etichette correnti

Passaggio a un'etichetta in base alle condizioni

Espressione

etichetta

Esecuzione della diramazione in caso di errore CMM

Tipo di errore

No, opzione

Vai a etichetta

Imposta variabile

Interfacce supportate

Esecuzione della diramazione con le subroutine

Passaggio di caratteri numerici in una subroutine

Passaggio di variabili in una subroutine

Passaggio di stringhe di testo in una subroutine

Passaggio di nomi di elementi in una subroutine

Creazione di una nuova subroutine

Informazioni sulla finestra di dialogo Creazione subroutine

Nome della subroutine

Elenco degli argomenti

Aggiungi argomento

Eliminazione di un argomento da una subroutine

Casella Valori

Elimina argomento

Modifica di una subroutine esistente

Informazioni sulla finestra di dialogo Modifica argomento

Nome dell'argomento

Valore dell'argomento

Descrizione dell'argomento

Fine di una subroutine

Richiamo di una subroutine

Aggiunta di un nuovo argomento mediante la finestra di dialogo Richiama subroutine

Modifica di un argomento esistente mediante la finestra di dialogo Richiama subroutine

Per cancellare argomenti da un comando CALLSUB:

Uso delle istruzioni CALLSUB in modalità Bracci Multipli

Informazioni sulla finestra di dialogo Richiama subroutine

Casella Nome in Richiama subroutine

Casella File in Richiama subroutine

Seleziona subroutine

Esempio di codice di una subroutine

Termine di Part Program


Esecuzione Diramazione mediante Controllo di Flusso: Introduzione

Esecuzione della diramazione mediante il controllo del flusso:Introduzione

Si supponga di disporre di un pezzo con molti elementi, per il quale si desidera misurare solo alcuni elementi più volte per ottenere un insieme di dati statistici completo relativo a tali elementi. Si supponga di voler passare a una determinata parte del part-program in base alla risposta dell'utente. È possibile eseguire un'operazione di questo tipo, e molte altre operazioni, mediante i comandi di controllo del flusso. Impostando le condizioni per determinati comandi è possibile controllare il flusso del part-program.

In questa sezione vengono fornite le informazioni necessarie per eseguire queste operazioni. Vengono fornite spiegazioni delle subroutine, dei loop e delle istruzioni condizionali della sintassi. Inoltre, vengono forniti molti esempi di codice.

Nota:in presenza di un loop o di una diramazione negli esempi di codice, viene utilizzato il rientro per consentire una visualizzazione più chiara delle istruzioni relative a condizioni specifiche. Nel codice effettivo della finestra di modifica, non viene visualizzato alcun rientro.

Di seguito sono elencati gli argomenti principali trattati in questa sezione:

  • Uso di coppie di controllo

  • Creazione di loop generici

  • Terminazione di loop generici

  • Creazione di etichette

  • Passaggio a un'etichetta

  • Passaggio a un'etichetta in base alle condizioni

  • Esecuzione della diramazione in caso di errore CMM

  • Esecuzione della diramazione con le subroutine

  • Termine di Part Program


Uso di coppie di controllo

Visualizza Mappa Percorsi dei Menu

Il menu secondario Inserisci | Comando di controllo flusso | Coppie di controllo sono disponibili varie coppie di comandi utilizzabili nella finestra di modifica per controllare che il flusso del part-program venga eseguito correttamente. Per inserire un comando di questo tipo nella finestra di modifica è sufficiente digitare un comando oppure sceglierlo dal menu secondario.

Importante: quando si utilizza un'istruzione di diramazione condizionale per testare il valore di un commento SÍ / NO, è necessario fare una ricerca per "Sí" e "NO" in lettere maiuscole. Un Sí o un No minuscoli non hanno effetto. Per ulteriori informazioni sui commenti, vedere l'argomento "Come inserire Commenti Operatore" nella sezione "Come inserire Comandi Rapporto" .

Vedere anche:

If / End If

Else If / End Else If

Else / End Else

While / End While

Do / Until

Select / End Select

Case / End Case

Default Case/End Default Case


If / End If

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | If / End If consente di aggiungere un blocco condizionale al part-program. Gli elementi compresi tra i comandi IF ed END IF verranno eseguiti solo se l'espressione per il comando IF viene valutata come vera, ossia restituisce un valore diverso da zero. In caso contrario, il flusso di esecuzione passa direttamente al primo comando disponibile dopo il comando END/IF.

La riga di comando della finestra di modifica per un'istruzione IF / END IF è la seguente:
IF/espressione
END_IF/

Per inserire un comando IF / END IF, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica.

  2. Selezionare If / End If dalla barra dei menu. L'istruzione IF / END IF viene visualizzata nella finestra di modifica.

Vedere anche:

Esempio di codice di If / End If


Esempio di codice di If / End If

Si consideri il seguente esempio, in cui viene richiesto all'utente se desidera misurare un elemento punto.

C1= COMMENTO/SÌNO,COMMENTO/YESNO,Misurare l'elemento punto, PNT1?

IF/C1.INPUT=="SÌ"

PNT1=ELEM/PUNTO,RETT

…

…

FINE_MIS/

END_IF/

Spiegazione del codice di esempio

C1=COMMENTO/SÍNO
Questa riga accetta e memorizza la risposta SÌ o NO dell'utente.

IF/C1.INPUT=="SÍ"
Questa riga corrisponde all'espressione. Verifica se l'input del commento 1 è SÌ. Se l'input è uguale a SÌ, l'istruzione IF è TRUE e viene continuata l'esecuzione delle istruzioni successive a IF; in questo caso, viene misurato l'elemento PNT1. Se l'input è NO, si passa all'istruzione END_IF.

END_IF
Questa riga termina l'esecuzione dei comandi all'interno del blocco di codice IF / END IF. Se l'utente inserisce il commento No, PC-DMIS passa al comando successivo a questa riga.


Else If / End Else If

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | Else If / End Else If consente di aggiungere un blocco condizionale al part-program. Gli elementi compresi tra i comandi ELSE IF e END ELSE IF verranno eseguiti solo se l'espressione per il comando ELSE IF viene valutata come vera, ossia restituisce un valore diverso da zero. Il blocco ELSE IF / END ELSE IF deve essere posizionato immediatamente dopo il blocco IF / END IF o dopo un altro blocco ELSE IF / END ELSE IF. Se tutte le espressioni IF / ELSE IF precedenti il blocco corrente vengono valutate come false, l'espressione verrà valutata. Se l'espressione viene valutata come falsa (zero), verrà eseguito il primo comando successivo al comando END ELSE IF. Se una delle espressioni if / else if precedenti il blocco corrente viene valutata come vera, tutti i successivi blocchi else if / end else if della sequenza verranno ignorati.

La riga di comando della finestra di modifica per un'istruzione ELSE IF / END ELSE IF è la seguente:
ELSE_IF/espressione
END_ELSE_IF/

Per inserire i comandi Else If / End Else If:

  1. Posizionare il cursore nella posizione desiderata della finestra di modifica, dopo un'istruzione IF/END IF o ELSE IF/END ELSE IF esistente.

  2. Selezionare Else If / End Else If dalla barra dei menu. L'istruzione ELSE IF/ End ELSE IF viene visualizzata nella finestra di modifica.

Nota: questo tipo di blocco è valido solo quando viene posizionato dopo un blocco IF / END IF o ELSE IF / END ELSE IF. Le coppie di controllo inserite in posizione non corretta vengono visualizzate in rosso nella finestra di modifica.

Vedere anche:

Esempio di codice di Else If / End Else If


Esempio di codice di Else If / End Else If

Il seguente esempio visualizza un messaggio che informa l'utente se uno dei valori X, Y o Z per un punto misurato supera le tolleranze definite:

PNT2=ELEM/PUNTO,RETT

…

…

FINE_MIS/

IF/PNT2.X<6.9 OR PNT2.X>7.1

COMMENTO/OPER,COMMENTO/OPER,"Valore X misurato di PNT2: " + PNT2.X + " fuori tolleranza."

END_IF/

ELSE_IF/PNT2.Y<3.3 OR PNT2.Y>3.5

COMMENTO/OPER,COMMENTO/OPER,"Valore X misurato di PNT2: " + PNT2.Y + " fuori tolleranza."

END_ELSEIF/

ELSE_IF/PNT2.Z<.9 OR PNT2.Z>1.1

COMMENTO/OPER,COMMENTO/OPER,"Valore X misurato di PNT2: " + PNT2.Z + " fuori tolleranza."

END_ELSEIF/

Spiegazione del codice di esempio

Questo codice verifica innanzitutto il valore X del punto. Se la condizione viene valutata come falsa, il codice verifica il valore Y. Se la condizione relativa al valore Y viene valutata come falsa, il codice verifica il valore Z.

Se una di queste condizioni viene valutata come vera, PC-DMIS visualizza il commento associato e ignora le rimanenti istruzioni condizionali.

IF/PNT2.X<6.9 OR PNT2.X>7.1
Questa riga rappresenta l'espressione. Verifica se il valore X misurato è inferiore a 6.9 o superiore a 7.1. Se il valore supera uno di questi limiti, viene eseguito il primo commento.

END_IF
Questa riga termina l'esecuzione dei comandi all'interno del blocco di codice IF / END IF. Se la condizione IF THEN viene valutata come falsa, PC-DMIS passa al comando successivo a questa riga.

ELSE_IF/PNT2.Y<3.3 or PNT 2.Y>3.5
Questa riga è l'espressione per il primo comando ELSE_IF. Viene eseguita solo se il blocco IF / END IF è falso e verifica se il valore Y misurato è inferiore a 3.3 o superiore a 3.5. Se tale valore supera uno di questi limiti, viene eseguito il secondo commento.

END_ELSEIF/
Questa riga termina l'esecuzione dei comandi all'interno del primo blocco di codice ELSE IF / END ELSE IF.

ELSE_IF/PNT2.Z<.9 OR PNT2.Z>1.1
Questa riga è l'espressione per il secondo comando ELSE IF. Viene eseguita solo se il blocco ELSE IF / END ELSE IF precedente è falso e verifica se il valore Z misurato è inferiore a .9 o superiore a 1.1. Se tale valore supera uno di questi limiti, viene eseguito il terzo commento.

END_ELSEIF/
Questa riga termina l'esecuzione dei comandi all'interno del secondo blocco di codice ELSE IF / END ELSE IF.


Else / End Else

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | Else / End Else consente di aggiungere un blocco condizionale al part-program. Gli elementi compresi tra i comandi ELSE e END ELSE verranno eseguiti solo se tutti gli altri blocchi IF / END IF e ELSE IF / END ELSE IF precedenti vengono valutati come falsi, ossia restituiscono un valore pari a zero. Per essere validi, i blocchi ELSE / END ELSE devono essere posizionati alla fine di una serie di blocchi IF / END IF o ELSE IF / END ELSE IF.

La riga di comando della finestra di modifica per un'istruzione ELSE / END ELSE è la seguente:
ELSE/
END_ELSE/

Per inserire un comando ELSE / END ELSE, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica. I blocchi ELSE / END ELSE devono essere posizionati dopo i blocchi IF / END IF o ELSE IF / END ELSE IF.

  2. Selezionare Else / End Else dalla barra dei menu. L'istruzione ELSE / End ELSE viene visualizzata nella finestra di modifica.

Vedere anche:

Esempio di codice di Else / End Else


Esempio di codice di Else / End Else

Si consideri il seguente esempio, in cui viene richiesto all'utente se desidera misurare un elemento punto.

C1= COMMENTO/SÌNO,COMMENTO/YESNO,Misurare l'elemento punto, PNT1? Se si fa clic su No viene misurato l'elemento successivo.

IF/C1.INPUT=="SÌ"

PNT1=ELEM/PUNTO,RETT

…

…

FINE_MIS/

END_IF/

ELSE

PNT1=ELEM/PUNTO,RETT

…

…

FINE_MIS/

ENDELSE

Spiegazione del codice di esempio

C1=COMMENTO/SÍNO
Questa riga accetta e memorizza la risposta SÌ o NO dell'utente.

IF/C1.INPUT=="SÍ"
Questa riga corrisponde all'espressione. Verifica se l'input del commento 1 è SÌ. Se l'input è uguale a SÌ, l'istruzione IF è TRUE e viene continuata l'esecuzione delle istruzioni successive a IF; in questo caso, viene misurato l'elemento PNT1. Se l'input è NO, si passa all'istruzione END_IF.

END_IF
Questa riga termina l'esecuzione dei comandi all'interno del blocco di codice IF / END IF. Se l'utente inserisce il commento No, PC-DMIS passa al comando successivo a questa riga.

ELSE
Se il blocco IF / END IF precedente viene valutato come falso, vengono eseguite le righe di comando successive a questa riga e precedenti alla riga ENDELSE. In questo caso, viene eseguito PNT2.

ENDELSE
Questa riga termina l'esecuzione dei comandi all'interno del blocco di codice ELSE / ENDELSE.


While / End While

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | While / End While consente di aggiungere un loop condizionale al part-program. Gli elementi compresi tra i comandi WHILE e END WHILE continueranno ad essere eseguiti ciclicamente (loop) fino a quando la condizione o l'espressione che mantiene attivo il loop non sarà più vera, ovvero finché l'espressione del loop WHILE non verrà valutata come falsa (uguale a zero). È possibile aggiungere il comando WHILE in qualsiasi punto del part-program. L'espressione viene verificata all'inizio di ciascun loop.

La riga di comando della finestra di modifica per un'istruzione WHILE / END WHILE è la seguente:
WHILE/espressione
END_WHILE/

Per inserire un comando WHILE / END WHILE, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica.

  2. Selezionare While / End While dalla barra dei menu. L'istruzione While / End While viene visualizzata nella finestra di modifica.

Vedere anche:

Esempio di codice di While / End While


Esempio di codice di While / End While

Il seguente esempio esegue la misurazione di un elemento in base alla quantità specificata dall'utente del part-program.

C1=COMMENTO/INPUT,C1=COMMENTO/INPUT,Quante volte si desidera misurare PNT1? Immettere solo un numero intero.

ASSEGNA/CONT = 0

WHILE/CONT < C1.INPUT

PNT2=ELEM/PUNTO,RETT

…

…

…

FINE_MIS/

ASSEGNA/CONT = CONT + 1

COMMENTO/OPER,COMMENTO/OPER,"Misurato " + CONT + " da " + C1.INPUT + " volte."

END_WHILE/

Spiegazione del codice di esempio

C1=COMMENTO/INPUT
Questa riga accetta e memorizza il numero intero immesso dall'utente nella variabile C1.INPUT.

ASSEGNA/CONT = 0
Questa riga inizializza CONT, una variabile definita dall'utente, alla quale assegna un valore iniziale di 0. Il codice utilizza questa variabile per contare il numero di volte che PC-DMIS misura l'elemento nel loop.

WHILE/CONT < C1.INPUT
Questa riga è l'espressione. Verifica se il valore di CONT (inizialmente impostato su 0) è inferiore al numero intero selezionato dall'utente. Se dalla verifica questo valore risulta essere vero, vengono eseguite le istruzioni successive a WHILE/ e precedenti a END_WHILE/

ASSEGNA/CONT = CONT + 1
Questa riga determina un incremento della variabile CONT pari a uno, in modo da terminare il loop in caso di esito negativo del test della condizione.

COMMENTO/OPER,"Misurato " + CONT + " da " + C1.INPUT + " volte."
Questa riga visualizza un messaggio che indica il numero di volte, a partire dal totale, che il loop viene eseguito.

END_WHILE
Questa riga termina l'esecuzione dei comandi nel blocco WHILE / END WHILE se la condizione è falsa. In caso contrario, quando PC-DMIS rileva questo comando esegue il loopback all'istruzione WHILE.


Do / Until

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | Do / Until consente di aggiungere un loop condizionale al part-program. Gli elementi compresi tra i comandi DO e UNTIL continueranno ad essere eseguiti ciclicamente (loop) finché l'espressione del comando UNTIL non viene valutata come vera, ossia diversa da zero. È possibile aggiungere i comandi DO / UNTIL in qualsiasi punto del part-program. Alla fine di ciascun loop viene eseguito il test sull'espressione.

La riga di comando della finestra di modifica per un'istruzione DO / UNTIL è la seguente:
DO/
UNTIL/ espressione

Per inserire un comando DO / UNTIL, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica.

  2. Selezionare Do / Until dalla barra dei menu. Le istruzioni DO / UNTIL vengono visualizzate nella finestra di modifica.

Vedere anche:

Codice di esempio di Do / Until


Codice di esempio di Do / Until

Il seguente esempio esegue la misurazione di un elemento in base alla quantità specificata dall'utente del part-program. Questo esempio è simile a quello relativo a While / End While, ad eccezione del fatto che in questo caso PC-DMIS verifica la condizione alla fine del loop anziché all'inizio.

C1= COMMENT/INPUT,COMMENTO/INPUT,Digitare il numero di volte che PC-DMIS deve misurare l'elemento PNT1:(immettere un solo numero intero)

ASSEGNA/CONT = 0

DO/

PNT1=ELEM/PUNTO,RETT

…

…

FINE_MIS/

ASSEGNA/CONT = CONT + 1

COMMENTO/OPER,COMMENTO/OPER,"Misurato " + CONT + " da " + C1.INPUT + " volte."

UNTIL/CONT == C1.INPUT

Spiegazione del codice di esempio

C1=COMMENTO/INPUT
Questa riga accetta e memorizza il numero intero immesso dall'utente nella variabile C1.INPUT.

ASSEGNA/CONT = 0
Questa riga inizializza CONT, una variabile definita dall'utente, alla quale assegna un valore iniziale di 0. Il codice utilizza questa variabile per contare il numero di volte che PC-DMIS misura l'elemento nel loop.

DO/
Inizia il loop DO / UNTIL. Tutte le istruzioni vengono eseguite almeno una volta e il flusso del programma esce dal loop quando l'espressione viene valutata come falsa.

ASSEGNA/CONT = CONT + 1
Questa riga determina un incremento della variabile CONT pari a uno, in modo da terminare il loop in caso di esito negativo del test della condizione.

COMMENTO/OPER,"Misurato " + CONT + " da " + C1.INPUT + " volte."
Questa riga visualizza un messaggio che indica il numero di volte, a partire dal totale, che il loop viene eseguito.

UNTIL/CONT == C1.INPUT
Questa riga termina l'esecuzione dei comandi nel loop DO / UNTIL se la condizione viene valutata come falsa. In caso contrario, quando PC-DMIS incontra questo comando esegue il loopback all'istruzione DO.


Select / End Select

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | Select / End Select consente di aggiungere un blocco condizionale utilizzato insieme alle coppie CASE / END CASE e Default Case / End Default Case. L'espressione del comando Select contiene i dati che vengono confrontati con l'espressione inclusa nelle istruzioni Case. Se le due espressioni vengono valutate come aventi lo stesso valore, verranno eseguite le istruzioni all'interno del blocco Case / End Case. Tutte le serie di blocchi CASE / END CASE e DEFAULT CASE / END DEFAULT CASE sono precedute e seguite dai blocchi SELECT / END SELECT.

La riga di comando della finestra di modifica per un'istruzione SELECT / END SELECT è la seguente:
SELECT/espressione
END_SELECT/

Per inserire un comando SELECT / END SELECT, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica.

  2. Selezionare Select / End Select dalla barra dei menu. L'istruzione SELECT/ End SELECT viene visualizzata nella finestra di modifica.

Vedere anche:

Esempio di codice di Select / End Select


Esempio di codice di Select / End Select

Le coppie SELECT / END_SELECT, CASE / END_CASE, DEFAULT CASE / END_DEFAULT CASE consentono di valutare più condizioni fornendo un'ampia gamma di alternative.

Si supponga di avere cinque cerchi, con etichette che vanno da CER1 a CER5. Si desidera fare in modo che l'operatore misuri un cerchio attraverso la semplice pressione di un tasto sulla tastiera. È possibile utilizzare del codice simile a quello riportato di seguito:

Codice completo

DO/

C1=COMMENTO/INPUT,Inserire un numero per misurare il cerchio:

,,PER CER1 - Digitare 1

,,PER CER2 - Digitare 2

,,PER CER3 - Digitare 3

,,PER CER4 - Digitare 4

,,PER CER5 - Digitare 5

,,Tutti gli altri caratteri terminano il loop

SELECT/C1.INPUT

CASE/1

CER1=ELEM/CERCHIO

…

…

FINE_MIS/

END_CASE

CASE/2

CER2=ELEM/CERCHIO

…

…

FINE_MIS/

END_CASE

CASE/3

CER3=ELEM/CERCHIO

…

…

FINE_MIS/

END_CASE

CASE/4

CER4=ELEM/CERCHIO

…

…

FINE_MIS/

END_CASE

CASE/5

CER5=ELEM/CERCHIO

…

…

FINE_MIS/

END_CASE

DEFAULT CASE

COMMENTO/OPER,Questo é il punto di uscita dal loop.

END_DEFAULT CASE

END_SELECT

UNTIL C1.INPUT < 1 OR C1.INPUT > 5

Spiegazione del codice di esempio

SELECT/C1.INPUT
Questa riga di codice prende un valore numerico o di tipo stringa (in questo caso un numero) immesso dall'utente e determina il blocco CASE/END_CASE che sarà eseguito dall'input. La coppia SELECT / END_SELECT racchiude l'intero listato di codice. Tutte le coppie CASE / END_CASE e DEFAULT CASE / END_DEFAULT CASE devono essere comprese tra queste due righe.

END_SELECT
Indica la fine del codice contenuto nella coppia SELECT / END SELECT.

Da CASE/1 a CASE/5
A seconda del valore di C1.INPUT, viene eseguito uno dei blocchi di codice CASE. Ad esempio, se C1.INPUT viene valutato come 1, viene eseguito il blocco di codice CASE 1, che effettua la misurazione di CER1. Se invece viene valutato come 2, viene eseguito il blocco di codice CASE 2, che effettua la misurazione di CER2 e così via.

END_CASE
Queste righe terminano i blocchi di codice CASE specifici.

DEFAULT CASE
Se il valore di C1.INPUT non corrisponde ad alcuna istruzione CASE definita (se il valore non è un numero compreso tra uno e cinque), viene eseguito il blocco di codice DEFAULT CASE. In questo caso, viene visualizzato un messaggio che informa l'utente dell'uscita dal loop.

Il loop DO / UNTIL racchiude l'intero esempio di codice. Ciò consente all'utente di continuare ad effettuare le selezioni dal menu creato dalla riga COMMENT/INPUT fino a quando non si seleziona un carattere non riconosciuto dalle istruzioni CASE.


Case / End Case

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | Case / End Case consente di aggiungere un blocco condizionale al part-program. Gli elementi compresi tra i comandi CASE e END CASE verranno eseguiti se l'espressione per l'istruzione CASE viene valutata come avente un valore uguale al valore dell'espressione del comando SELECT corrispondente. In caso contrario, il blocco di istruzioni verrà ignorato. L'istruzione CASE / END CASE deve essere posizionata immediatamente dopo un comando SELECT o il comando END CASE di un blocco CASE / END CASE precedente. Inoltre, PC-DMIS non può confrontare più espressioni in una singola istruzione CASE.

La riga di comando della finestra di modifica per un'istruzione CASE / END CASE è la seguente:
CASE/espressione
END_CASE/

Per inserire un comando CASE / END CASE, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica. Tenere presente quanto precedentemente specificato.

  2. Selezionare Case / End Case dalla barra dei menu. Le istruzioni CASE/ End CASe saranno visualizzate nella finestra di modifica.

Per un esempio di codice, vedere l'argomento "Esempio di codice di Select / End Select".


Default Case/End Default Case

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Coppie di controllo | Default Case / End Default Case consente di aggiungere un blocco condizionale al part-program. Gli elementi compresi tra i comandi DEFAULT CASE e END DEFAULT CASE verranno eseguiti se tutte le altre espressioni contenute nei blocchi CASE / END CASE precedenti all'interno del blocco SELECT / END SELECT corrispondente vengono valutate come false. In un blocco SELECT / END SELECT è possibile inserire un solo blocco DEFAULT CASE / END DEFAULT CASE. Il blocco DEFAULT CASE / END DEFAULT CASE deve essere posizionato dopo tutti i blocchi CASE / END CASE all'interno del blocco SELECT / END SELECT.

La riga di comando della finestra di modifica per un'istruzione DEFAULT CASE / END DEFAULT CASE è la seguente:
DEFAULT CASE/
END_DEFAULT_CASE/

Per inserire un comando DEFAULT CASE/ END DEFAULT CASE, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato all'interno della finestra di modifica, in base a quanto precedentemente specificato.

  2. Selezionare Default Case / End Default Case dalla barra dei menu. L'istruzione DEFAULT CASE / End DEFAULT CASe viene visualizzata nella finestra di modifica.

Per un esempio di codice, vedere l'argomento "Esempio di codice di Select / End Select".


Creazione di loop generici

Finestra di dialogo Parametri loop

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Looping consente di ripetere il part-program (o parti del part-program) con o senza gli offset. È possibile aggiungere il comando LOOP in qualsiasi punto del part-program. Tuttavia, questa funzione è particolarmente utile all'inizio e alla fine del programma.

Vedere anche:

Uso dei loop

Numero finale

Numero Iniziale

Salta numero

Offset Assi ed Angolo

ID loop

ID variabile

Fine loop

Cancel button OK buttonEnd Loop buttonVariable ID boxLoop IDs check boxOffset areaSkip Number boxStart Number boxEnd Number box


Uso dei loop

È possibile utilizzare l'opzione Looping nei casi elencati di seguito:

  • Si utilizza un'attrezzatura per più pezzi nel quale è inserita una griglia di pezzi. È necessario che l'attrezzatura utilizzi una spaziatura uniforme tra le righe. Gli offset di traslazione/rotazione consentono di eseguire l'indicizzazione da un pezzo al pezzo nella griglia.

  • Si utilizza un'attrezzatura nel quale è inserito un pezzo e si desidera sostituirlo con un nuovo pezzo prima di ciascun loop del programma. È possibile utilizzare un comando COMMENTO per arrestare la macchina CMM quando viene sostituito il pezzo. Questo comando può essere inserito all'inizio o alla fine del loop.

  • Si consiglia di utilizzare l'opzione LOOPING per ruotare il part-program e misurare un'altra area dello stesso pezzo. Ad esempio, è possibile creare un part-program per misurare una matrice di foratura complessa che è stato duplicata dieci volte sul pezzo. In questo caso, sarà necessario misurare la matrice di foratura una sola volta. Utilizzare l'opzione LOOPING per eseguire l'offset del part-program e misurare le altre nove ricorrenze della matrice.

Nota: se si utilizza un allineamento all'interno di un loop PC-DMIS a partire dalla versione 3.6, è possibile utilizzare l'allineamento attivo nella linea di comando ALLINEAMENTO/INIZIO anziché richiamare ogni volta l'allineamento memorizzato in precedenza. Vedere l'argomento "Utilizzo dell'allineamento all'interno di un loop" nella sezione "Creazione e uso degli allineamenti" .

Vedere anche:

Uso dell'opzione Loop


Uso dell'opzione Loop

  1. Selezionare Inserisci | Comando di controllo flusso | Looping dalla barra dei menu. Viene visualizzata la finestra di dialogo Parametri loop. Visualizza Mappa Percorsi dei Menu

  2. Apportare le necessarie modifiche alle caselle.

  3. Selezionare i parametri necessari, ad esempio Numeri di pezzi, Numero iniziale, Salta numero, Offset - Asse X, Asse Y, Asse Z o Angolo.

  4. Posizionare il cursore nella finestra di modifica nel punto di inizio del loop.

  5. Fare clic su OK.

La riga di comando della finestra di modifica per l'esecuzione del ciclo è la seguente:

VARNAME = LOOP/INIZIO, ID = S/N, NUMERO = 0, INIZIO = 1, SALTA = ,
OFFSET: ASSEX = 0, ASSEY = 0, ASSEZ = 0, ANGOLO = 0

Nota: per completare la procedura del loop, è necessario specificare un comando di fine loop nella finestra di modifica. PC-DMIS eseguirà ciclicamente (loop) i comandi inseriti nella finestra di modifica compresi tra i comandi LOOP/INIZIO e LOOP/FINE. Vedere "Fine loop" per ulteriori informazioni.


Numero finale

La casella Numero Finale contiene il numero di loop da effettuare nel part program. Tale numero di solito corrisponde al numero di pezzi inseriti nell'attrezzatura (o il numero di matrici di elementi del pezzo) nella direzione x, y o z. Viene richiesto inoltre di inserire il numero del pezzo (matrice di elementi) iniziale.

Esempio: se in direzione x, y o z sono disponibili dieci pezzi e si desidera iniziare dalla posizione numero 5, inserire 10 (dieci) come Numero finale e 5 (cinque) per la casella Numero iniziale.


Numero Iniziale

Nella casella Numero iniziale è possibile indicare a PC-DMIS il numero della posizione iniziale in una serie di pezzi.

Esempio:se sono disponibili dieci pezzi e si desidera iniziare dalla posizione numero 5, inserire 10 (dieci) come numero totale dei pezzi e 5 (cinque) come posizione iniziale.


Salta numero

La casella Salta numero consente di ripetere un part-program il numero di volte indicato, ignorando un pezzo in base all'incremento specificato.

Esempio:è possibile impostare questo parametro in modo da non eseguire alcuna misurazione ogni terzo incremento del loop. Se viene specificato il numero tre, PC-DMIS misurerà il primo e il secondo pezzo e passerà direttamente al quarto pezzo.


Offset Assi ed Angolo

La sezione offset contiene le seguenti caselle:

Caselle Asse X, Asse Y, Asse Z. Le caselle Asse X, Asse Y e Asse Z consentono di impostare l'offset (x, y o z) tra i pezzi o tra le matrici di elementi dello stesso pezzo. La distanza inserita verrá aggiunta al pezzo ad ogni loop. L'offset iniziale viene calcolato in base all'origine del pezzo.

La casella Angolo consente di impostare l'offset dell'angolo tra i pezzi o tra le matrici di elementi dello stesso pezzo. L'offset iniziale viene calcolato in base all'origine del pezzo. Viene aggiunto l’offset pari al valore dell'angolo ad ogni loop.

Vedere anche:

Loop con Offset ed Allineamenti


Loop con Offset ed Allineamenti

Se è presente un comando di allineamento in un loop che usa offset, è necessario definire tutti gli assi per tale allineamento. L'allineamento interno al loop deve utilizzare elementi definiti all'interno del loop stesso.


ID loop

Quando questa opzione è selezionata, PC-DMIS incrementa l'ID dell'elemento all'interno del loop in base all'incremento del loop specificato.

Esempio: CIR1 diventerà CIR1[1] nel primo loop, CIR1[2] nel secondo loop e così via.

Vedere anche:

ID elemento nei database statistici


ID elemento nei database statistici

Se si seleziona la casella di controllo ID Loop e si inviano dati statistici ad un database, PC-DMIS rimuove talvolta questi ID dal database stesso.

Considerare quanto segue.

In presenza di un comando STATS/ON e di un comando STATS/UPDATE all’interno di un loop, gli ID del loop non vengono visualizzati nel database.

In presenza di un comando STATS/ON all'esterno di un loop e di un comando STATS/UPDATE all'interno di un loop, gli ID del loop non vengono visualizzati nel database.

In presenza di un comando STATS/ON all'esterno di un loop e di un comando STATS/UPDATE all'esterno di un loop, gli ID del loop vengono visualizzati nel database.

In presenza di un comando STATS/ON all'interno di un loop e di un comando STATS/UPDATE all'esterno di un loop, gli ID del loop vengono visualizzati nel database.


ID variabile

La casella ID variabile consente di definire il nome della variabile utilizzata per registrare l'iterazione corrente del loop (oppure del loop corrente entro il numero di loop specificati). Durante l'esecuzione del part-program, a questa variabile verrà assegnato un valore uguale al numero di iterazione corrente del loop.


Fine Loop

Il pulsante Fine Loop completa il processo di looping. Nella finestra di modifica è necessario inserire il comando LOOP/END dopo il comando LOOP/START.

La riga di comando della finestra di modifica per la fine del ciclo è la seguente:
LOOP/FINE


Terminazione di loop generici

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | Fine Loop ha la stessa funzione del pulsante Fine Loop nella finestra di dialogo Parametri loop. Questa opzione inserisce un comando LOOP/FINE nella finestra di modifica in modo da completare il processo di esecuzione del loop.


Creazione di etichette

Visualizza Mappa Percorsi dei Menu

L'opzione Inserisci | Comando di controllo flusso | Etichetta consente di aprire la finestra di dialogo Modifica nome etichetta nella quale è possibile creare un ID per il nome da utilizzare con l'istruzione GOTO o IF.

Finestra di dialogo Modifica nome etichetta

PC-DMIS consente di utilizzare un massimo di 15 (quindici) caratteri per la creazione dell'ID. L'ID verrà visualizzato in lettere maiuscole.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ID = LABEL/

Per creare un'etichetta, effettuare le seguenti operazioni:

  1. Selezionare la posizione desiderata nella finestra di modifica.

  2. Selezionare Etichetta dalla barra dei menu.

  3. Inserire l'ID per l'etichetta nella casella Nuovo nome etichetta .

  4. Fare clic sul pulsante OK.

  5. L'etichetta dell'ID viene visualizzata nella prima posizione disponibile nella finestra di modifica.

Per passare a un'etichetta creata, vedere l'argomento "Passaggio a un'etichetta".


Passaggio a un'etichetta

Finestra di dialogo GoTo

Visualizza Mappa Percorsi dei Menu

L'opzione Inserisci | Comando di controllo flusso | Goto consente di aprire la finestra di dialogo GoTo in cui è possibile creare istruzioni GOTO nel part-program . Quando PC-DMIS rileva un'istruzione GOTO durante l'esecuzione del programma, si sposta nella posizione specificata.

La riga di comando della finestra di modificaper GOTO è la seguente:
GOTO/ID_etichetta

Per creare un'istruzione GOTO nella finestra di modifica, effettuare le seguenti operazioni:

  1. Selezionare Goto dal menu secondario.

  2. Selezionare l'etichetta da utilizzare tra quelle disponibili nella casella Etichette correnti.

  3. Fare clic sul pulsante OK.

La finestra di dialogo Goto consente di creare nuovi ID di etichette da collegare all'istruzione GOTO. A tale scopo, operare come segue:

  1. Selezionare Goto dal menu secondario.

  2. Inserire il nome dell'etichetta da creare nella casella Vai a etichetta. Il comando GOTO/LABEL viene inserito nella finestra di modifica.

Nota: se si utilizza la finestra di dialogo GoTo per creare un'etichetta, è necessario creare il relativo ID mediante l'opzione di menu Etichetta prima di eseguire il part-program.

Vedere anche:

Vai a etichetta

Etichette correnti

Cancel button OK buttonCurrent Labels boxGoto Label box


Vai a etichetta

La casella Vai a etichetta consente di inserire un'etichetta esistente alla quale il part-program deve passare.


Etichette correnti

Nella casella Etichette correnti viene visualizzato un elenco delle etichette esistenti che possono essere selezionate con il mouse.


Passaggio a un'etichetta in base alle condizioni

Finestra di dialogo Espressione If

Visualizza Mappa Percorsi dei Menu

L'opzione Inserisci | Comando di controllo flusso | Goto consente di creare istruzioni IF GOTO all'interno del part-program. Quando PC-DMIS rileva un'istruzione IF durante l'esecuzione del programma, passerà automaticamente al punto indicato nell'ID etichetta se l’espressione specificata viene valutata come un valore diverso da zero. Vedere la sezione "Uso delle espressioni e delle variabili" per informazioni sulla creazione di espressioni.

La riga di comando della finestra di modifica per un'istruzione IF_GOTO è la seguente:
IF_GOTO/espressione, GOTO=Label

Altro

Espressione

etichetta

Cancel button OK boxLabel button and boxExpression button


Espressione

Il pulsante Espressione consente di visualizzare il generatore di espressioni. Il generatore di espressioni consente di creare vari tipi di espressioni da utilizzare all'interno del part-program . Vedere la sezione "Uso delle espressioni e delle variabili" per informazioni sull'utilizzo delle espressioni.


etichetta

La casella Etichetta consente di inserire l'etichetta che verrà utilizzata da PC-DMIS per il comando GOTO. Il pulsante Etichetta consente di visualizzare la finestra di dialogo Goto.In questa finestra di dialogo è possibile scegliere l'etichetta da utilizzare. L'etichetta verrà visualizzata nella casella Etichetta. Vedere "Passaggio a un'etichetta".


Esecuzione della diramazione in caso di errore CMM

Finestra di dialogo On Error

Visualizza Mappa Percorsi dei Menu

Il comando Inserisci | Comando di controllo flusso | On Error consente di indicare a PC-DMIS l'operazione da eseguire in caso di errore CMM.

PC-DMIS è in grado di rilevare due condizioni di errore: Punto tastatore imprevisto e Punto tastatore mancato. Per ciascuna di queste condizioni di errore è possibile specificare una delle tre operazioni indicate di seguito:

  • Passare ad un'etichetta.

  • Impostare il valore di una variabile su 1.

  • Non effettuare alcuna operazione.

L'impostazione predefinita di tutti i part-program per entrambi i tipi di errore è la terza, ossia non viene effettuata alcuna operazione. È possibile modificare il tipo di operazione da effettuare in base al tipo di errore rilevato nel programma.

Esempio: se durante l'esecuzione viene rilevato un comando IN CASO DI ERRORE/ CONTATTO SONDA NON PREVISTO / GOTO ETICHETTA e si verifica un errore imprevisto dopo il comando, l'esecuzione del programma passerà automaticamente all'etichetta specificata. Se viene indicato di impostare il valore di una variabile su 1, la variabile viene impostata non appena si verifica il tipo di errore specificato. È possibile eseguire un test per verificare il valore della variabile utilizzando un'istruzione IF per fare in modo che l'esecuzione passi ad un altro punto del part-program.

La riga di comando della finestra di modifica per l'opzione ON ERROR è la seguente:
ONERROR/PUNTO IMPREVISTO, ID modalità
oppure,
ONERROR/PUNTO MANCATO, ID modalità

Per utilizzare il comando ON ERROR, effettuare le seguenti operazioni:

1. Selezionare On Error. Viene visualizzata la finestra di dialogo On Error.

2. Selezionare Punto tastatore imprevisto o Punto tastatore mancato nell'elenco a discesa Tipo di errore.

3. Selezionare una delle opzioni Modalità errore seguenti per definire il tipo di operazione da effettuare:

No, opzione | Nessuna operazione.
Vai a etichetta | Passa ad un'etichetta specificata.
Imposta variabile | Viene impostato il valore di una variabile su 1.

4. Fare clic sul pulsante OK per applicare l'opzione ON ERROR selezionata. Il pulsante Annulla consente di chiudere la finestra di dialogo On Error senza applicare alcuna modifica.

Altro:

Tipo di errore

No, opzione

Vai a etichetta

Imposta variabile

Interfacce supportate

Off optionError Type listGoto Label optionSet Variable option


Tipo di errore

La casella di riepilogo a discesa Tipo di errore consente di scegliere uno dei tipi di errore tra quelli elencati di seguito:

  • Punto tastatore imprevisto

  • Punto tastatore mancato


No, opzione

Selezionando l'opzione No, quando si verifica un errore sulla macchina CMM, PC-DMIS non effettuerà alcuna operazione.


Vai a etichetta

Selezionando l'opzione Vai a etichetta, quando si verifica un errore sulla macchina CMM, il part-program passerà ad un'etichetta specificata.


Imposta variabile

Selezionando l'opzione Imposta variabile, quando si verifica un errore sulla macchina CMM, il part-program imposterà il valore di una variabile su 1.


Interfacce supportate

Non tutte le interfacce supportano il comando ON ERROR. Controllare la seguente tabella per verificare se la propria interfaccia è supportata.

  • Se l'interfaccia di cui si dispone è riportata nell'elenco, una X indica il tipo di errore supportato dall'interfaccia.

  • Se invece l'interfaccia non è elencata, non è in grado di utilizzare il comando ON ERROR.

Interfacce supportate | Punto tastatore imprevisto | Punto tastatore mancato
B&S Standard | X | X
Dea |  | X
Elm | X | X
Federal/Renault | X | X
Johansson | X | X
Leitz | X | X
LK Direct (nota anche come LKRS232) | X | X
LK Driver | X | X
Metrolog | X | X
Mititoyo Bright | X | X
Mitutoyo | X | X
Mora | X | X
Omnitech | X | X
Renishaw | X | X
Sharpe | X | X
Sheffield | X | X
Wenzel | X | X
Zeiss | X | X


Esecuzione della diramazione con le subroutine

Visualizza Mappa Percorsi dei Menu

L'opzione Inserisci | Comando di controllo flusso | Subroutine consente di accedere ai comandi del part-program dal file corrente o da un file esterno e di utilizzare tali comandi ripetutamente. PC-DMIS consente di passare agli argomenti all'interno della subroutine. L'unico limite al numero di argomenti e di subroutine annidate è rappresentato dalla quantità di memoria disponibile. Le routine esterne non hanno accesso agli elementi, alle variabili o agli allineamenti del part-program principale. e possono essere utilizzate solo per trasmettere i dati necessari. Tuttavia, è possibile utilizzare le subroutine per accedere a voci incluse nel part-program.

Nella riga di comando della finestra di modifica per una subroutine di esempio viene visualizzata la stringa seguente:
SUBROUTINE/nome,
S1 = Arg1 : Descrizione

nome = Nome della subroutine.
S1 = Nome della variabile locale da utilizzare nella subroutine. In genere non è possibile accedere a questa variabile all'esterno della subroutine.
Arg1 = Valore predefinito del primo argomento.
Descrizione = Descrizione dell'argomento della subroutine.

ENDSUB/ utilizzato per completare la definizione della subroutine.

I tipi di argomenti che possono essere passati in una subroutine sono valori numerici, variabili, stringhe di testo e nomi di elementi.

Altro

Passaggio di caratteri numerici in una subroutine

Passaggio di variabili in una subroutine

Passaggio di stringhe di testo in una subroutine

Passaggio di nomi di elementi in una subroutine

Creazione di una nuova subroutine

Informazioni sulla finestra di dialogo Creazione subroutine

Modifica di una subroutine esistente

Informazioni sulla finestra di dialogo Modifica argomento

Fine di una subroutine

Richiamo di una subroutine

Informazioni sulla finestra di dialogo Richiama subroutine

Esempio di codice di una subroutine


Passaggio di caratteri numerici in una subroutine

Per inserire dei caratteri numerici, digitare il numero nella casella Valore della finestra di dialogo Modifica argomento. Vedere "Creazione di una nuova subroutine".


Passaggio di variabili in una subroutine

Gli argomenti che possono restituire dei dati sono denominati variabili. Inserire la variabile nella casella Valore della finestra di dialogo Modifica argomento. Vedere "Creazione di una nuova subroutine" per ulteriori informazioni.

Quando si utilizza una variabile come argomento di una subroutine, le modifiche apportate alla variabile della subroutine corrispondente vengono restituite e diventano il valore della variabile trasferita in precedenza.

Esempio: l'esempio riportato di seguito mostra come il valore di una variabile, utilizzato come argomento in una subroutine, viene restituito dalla subroutine stessa. Alla variabile V1 viene assegnato il valore 6: ASSIGN/ V1 = 6. Una chiamata di subroutine trasmette V1 come primo argomento: CALL/SUB; MySub, V1. La subroutine viene definita come segue: SUBROUTINE/MySub,A1 = 0. A1 è il nome del primo argomento. Quando viene effettuata la chiamata, ad A1 verrà assegnato lo stesso valore di V1 al momento della chiamata, ovvero 6. La subroutine contiene un'istruzione: ASSIGN/ A1 = A1 + 1. In tal modo, si incrementa il valore di A1 fino a 7. La subroutine termina, END /SUBROUTINE. Il flusso di esecuzione ritorna direttamente all'istruzione che segue il comando di chiamata dalla subroutine. Poiché l'esecuzione riprende da un punto precedente, tutte le variabili utilizzate come argomenti (in questo caso V1) vengono aggiornate in base al valore delle corrispondenti variabili della subroutine (in questo caso, A1). Il valore di V1, restituito dalla subroutine, è stato incrementato a 7.


Passaggio di stringhe di testo in una subroutine

Per trasmettere una stringa di testo, inserire la stringa alfanumerica nella casella Valore della finestra di dialogo Modifica argomento. Vedere "Creazione di una nuova subroutine" per ulteriori informazioni. Accertarsi che i caratteri alfanumerici siano racchiusi tra virgolette doppie, ad esempio: "Trasmetti questo testo1".


Passaggio di nomi di elementi in una subroutine

I nomi degli elementi da trasmettere vengono racchiusi tra parentesi graffe, ad esempio {F1}. Il nome dell'elemento viene inserito nella casella Valore della finestra di dialogo Modifica argomento per richiamare l'elemento indicato come F1 nella finestra di modifica.

Quando si trasmette il nome di un elemento, la subroutine può accedere senza alcuna restrizione all'elemento stesso. La subroutine può modificare qualsiasi valore teorico dell'elemento. Ad esempio: se viene trasmesso l'elemento F1, per impostare i valori X teorici utilizzare il comando ASSIGN/F1.TX = 5 nella finestra di modifica.


Creazione di una nuova subroutine

Per creare una nuova subroutine, operare come segue:

Visualizza Mappa Percorsi dei Menu

  1. Selezionare Inserisci | Comando di controllo flusso | Subroutine dal menu secondario. Viene visualizzata la finestra di dialogo Creazione subroutine. Per informazioni su questa finestra di dialogo, vedere l'argomento " Informazioni sulla finestra di dialogo Creazione subroutine".

Finestra di dialogo Creazione subroutine

  2. Inserire il nome della subroutine nella casella Nome.

  3. Fare clic sul pulsante Aggiungi argomento. Viene visualizzata la finestra di dialogo Modifica argomento. Per informazioni su questa finestra di dialogo, vedere l'argomento "Informazioni sulla finestra di dialogo Modifica argomento".

Finestra di dialogo Modifica argomento

  4. Inserire il nome dell'argomento nella casella Nome.

  5. Fare clic sulla casella Valore

  6. Inserire il valore dell'argomento nella casella Valore.

  7. Fare clic sulla casella Descrizione.

  8. Digitare una descrizione dell'argomento nella casella Descrizione.Questa descrizione sarà visualizzata accanto all'argomento nella finestra di modifica.

Il pulsante Annulla consente di annullare le modifiche apportate ad un argomento e di tornare alla finestra di dialogo Creazione subroutine.

Nota: è anche possibile eliminare degli argomenti utilizzando il pulsante Elimina argomento nella finestra di dialogo Creazione subroutine.


Informazioni sulla finestra di dialogo Creazione subroutine

Nei seguenti argomenti vengono descritte le varie opzioni disponibili nella finestra di dialogo Creazione subroutine.

Finestra di dialogo Creazione subroutine

Vedere anche:

Nome della subroutine

Elenco degli argomenti

Aggiungi argomento

Eliminazione di un argomento da una subroutine

Casella Valori

Elimina argomento

Cancel button OK buttonDelete Arg buttonAdd Arg buttonArguments list boxName box


Nome della subroutine

Nella casella Nome, inserire il nome della subroutine da creare.


Elenco degli argomenti

Nell'elenco Numero di argomenti vengono visualizzati gli argomenti della subroutine da creare. Fare doppio clic su un argomento per modificarlo. Viene visualizzata la finestra di dialogo Modifica argomento.


Aggiungi argomento

Il pulsante Aggiungi argomento consente di aggiungere nuovi argomenti alla subroutine. Fare clic su questo pulsante per visualizzare la finestra di dialogo Aggiungi argomento:


Eliminazione di un argomento da una subroutine

Il pulsante Elimina argomento consente di eliminare gli argomenti dalla subroutine. Per effettuare questa operazione, selezionare l'argomento nell'elenco e fare clic sul pulsante Elimina argomento.


Casella Valori

Nella casella Valori viene visualizzato l'elenco dei valori di ciascun argomento associato alla subroutine. Per modificare tali valori, fare doppio clic sul valore da modificare. Verrà visualizzata la finestra di dialogo Modifica argomento.


Elimina argomento

Questo pulsante consente di eliminare gli argomenti dalla casella Valori. Selezionare il valore visualizzato e fare clic sul pulsante Elimina argomento. L'argomento associato al valore selezionato viene eliminato.


Modifica di una subroutine esistente

Per modificare una subroutine esistente, procedere come segue:

  1. Posizionare il cursore sulla subroutine nella finestra di modifica.

  2. Premere F9. Viene visualizzata la finestra di dialogo Creazione subroutine. Per informazioni su questa finestra di dialogo, vedere l'argomento " Informazioni sulla finestra di dialogo Creazione subroutine ".

  3. Selezionare l'argomento da modificare nella casella Numero di argomenti. Viene visualizzata la finestra di dialogo Modifica argomento . Per informazioni su questa finestra di dialogo, vedere l'argomento "Informazioni sulla finestra di dialogo Modifica argomento".

  4. Apportare le modifiche necessarie nelle caselle appropriate.

  5. Fare clic sul pulsante OKper chiudere la finestra di dialogo Modifica argomento e salvare le modifiche. A questo punto è possibile scegliere altri argomenti da modificare.

Dopo aver modificato la subroutine, fare clic sul pulsante OK per salvare le modifiche e tornare alla finestra principale di PC-DMIS.

Il pulsante Annulla consente di annullare le modifiche apportate ad un argomento e di tornare alla finestra di dialogo Creazione subroutine.

Nota: è anche possibile eliminare degli argomenti utilizzando il pulsante Elimina argomento nella finestra di dialogo Creazione subroutine


Informazioni sulla finestra di dialogo Modifica argomento

Nei seguenti argomenti vengono descritte le varie opzioni disponibili nella finestra di dialogo Modifica argomento.

Finestra di dialogo Modifica argomento

Altro

Nome dell'argomento

Valore dell'argomento

Descrizione dell'argomento

Cancel button OK buttonArgument Description boxArgument ValueArgument Name box


Nome dell'argomento

Utilizzare la casella Nome per inserire il nome dell'argomento da creare o modificare.


Valore dell'argomento

Nella casella Valore è possibile immettere il valore dell'argomento. I valori validi sono:

  • Caratteri numerici

  • Variabile

  • Stringhe di testo


Descrizione dell'argomento

Digitare una descrizione dell'argomento nella casella Descrizione. Questa descrizione sarà visualizzata accanto all'argomento nella finestra di modifica.


Fine di una subroutine

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando di controllo flusso | End Sub consente di terminare una subroutine inserendo un comando "ENDSUB/" nella finestra di modifica.

Per inserire il comando ENDSUB/ nella finestra di modifica, effettuare le seguenti operazioni:

  1. Posizionare il cursore nel punto desiderato nella finestra di modifica.

  2. Dal menu secondario, selezionare End Sub.

Il comando "ENDSUB/" viene visualizzato nella finestra di modifica.


Richiamo di una subroutine

Finestra di dialogo Richiama subroutine

Visualizza Mappa Percorsi dei Menu

Il comando di menu Call Sub consente di richiamare una subroutine esistente dal part-program corrente in una posizione diversa oppure da un altro part-program nel part-program corrente.

Per richiamare una subroutine, effettuare le seguenti operazioni:

  1. Selezionare l'opzione Inserisci | Comando di controllo flusso | Call Sub dal menu secondario. Viene visualizzata la finestra di dialogo Richiama subroutine.

  2. Fare clic sul pulsante Seleziona subroutine. Viene visualizzata la finestra di dialogo Seleziona subroutine.

Finestra di dialogo Seleziona subroutine

  3. Selezionare la casella di controllo Directory utente o Directory corrente, o entrambe. Se il part-program nel quale è inserita la subroutine si trova nella directory specificata per la ricerca delle subroutine, selezionare la casella di controllo Directory utente. Se il part-program si trova nella directory corrente, selezionare la casella di controllo Directory corrente. PC-DMIS visualizzerà un elenco di tutti i part-program che possono essere selezionati.

  4. Selezionare il part-program contenente la subroutine desiderata. Tutte le subroutine associate al programma selezionato vengono visualizzate nella casella Nome subroutine.

  5. Selezionare la subroutine da richiamare.

  6. Fare clic sul pulsante OK. Le informazioni relative alla subroutine da richiamare verranno visualizzate nella finestra di dialogo Richiama subroutine.

  7. Fare nuovamente clic su OK per visualizzare la subroutine richiamata nella posizione selezionata della finestra di modifica.

Nella riga di comando della finestra di modifica per richiamare una subroutine di esempio viene visualizzata la stringa seguente:

CS2 =CALLSUB/name, file\prog:Arg1,…

CS2 = Etichetta creata per il comando Call Sub.
nome = Nome dell'opzione della subroutine da richiamare.
file = Part-program contenente la subroutine. (Se questo campo è vuoto, PC-DMIS cercherà la subroutine nel part-program che ha effettuato la chiamata).
prog = Nome del part-program dal quale viene richiamata la subroutine
Arg1 =Argomento da trasmettere alla subroutine. Se questo campo è vuoto, verrà utilizzato il valore predefinito.

Nota:nel comando CALLSUB è necessario mantenere un insieme di puntatori a tutti gli oggetti relativi alla subroutine, in modo da fare facilmente riferimento a tali oggetti in seguito utilizzando l'ID della subroutine. Per ulteriori informazioni sui puntatori, vedere "Puntatori" nella sezione "Uso delle espressioni e delle variabili" .

La finestra di dialogo Richiama subroutine consente inoltre di aggiungere, modificare o eliminare degli argomenti dalla subroutine richiamata.

Altro

Aggiunta di un nuovo argomento mediante la finestra di dialogo Richiama subroutine

Modifica di un argomento esistente mediante la finestra di dialogo Richiama subroutine

Per cancellare argomenti da un comando CALLSUB:

Uso delle istruzioni CALLSUB in modalità Bracci Multipli

Values box Select Subroutine buttonCancel buttonOK buttonDelete Argument buttonAdd Argument buttonFile boxName box


Aggiunta di un nuovo argomento mediante la finestra di dialogo Richiama subroutine

Per aggiungere un nuovo argomento mediante la finestra di dialogo Richiama subroutine:

  1. Fare clic sul pulsante Aggiungi argomento. Viene visualizzata la finestra di dialogo Modifica argomento.

  2. Fare clic sulla casella Valore.

  3. Inserire il valore dell'argomento nella casella Valore.

  4. Fare clic sulla casella Descrizione.

  5. Inserire una descrizione dell'argomento nella casella Descrizione. La descrizione verrà visualizzata accanto all'argomento nella finestra di modifica.


Modifica di un argomento esistente mediante la finestra di dialogo Richiama subroutine

Per modificare argomenti esistenti dalla finestra di dialogo Richiama subroutine:

  1. Fare doppio clic sul valore dell'argomento da modificare. Verrà visualizzata una casella contenente il valore predefinito della subroutine richiamata.

  2. Inserire il nuovo valore.

  3. Fare clic sul pulsante OK.

Vedere "Creazione di una nuova subroutine" e "Modifica di una subroutine esistente" per ulteriori informazioni su come modificare o creare nuovi argomenti per una subroutine.


Per cancellare argomenti da un comando CALLSUB:

  1. Posizionare il cursore sul comando CALLSUB.

  2. Premere F9 per accedere alla finestra di dialogo Richiama subroutine.

  3. Selezionare gli argomenti desiderati dall'elenco.

  4. Fare clic sul pulsante Elimina argomento.

  5. Fare clic sul pulsante OK.

È anche possibile eliminare un argomento direttamente nel testo della finestra di modifica. A tale scopo, effettuare le seguenti operazioni:

  1. Attivare la modalità Comando di PC-DMIS.

  2. Posizionare il cursore sul comando CALLSUB e premere il tasto di tabulazione fino a quando non viene evidenziato l'argomento desiderato.

  3. Digitare le lettere "del". per eliminare l'argomento. La pressione di CANC o di BACKSPACE non consente di eliminare l'argomento, ma solo di trasformarlo in un argomento vuoto.


Uso delle istruzioni CALLSUB in modalità Bracci Multipli

Se si contrassegna un'istruzione CALLSUB solo per il braccio master; tutti i comandi della subroutine vengono contrassegnati solo per il braccio master quando viene richiamata la subroutine.

Se si contrassegna un'istruzione CALLSUB solo per il braccio slave; tutti i comandi della subroutine vengono contrassegnati solo per il braccio slave quando viene richiamata la subroutine.

Se si contrassegna un'istruzione CALLSUB per entrambi i bracci, PC-DMIS non modifica l'impostazione originaria dei contrassegni della subroutine.

Se una subroutine contiene un comando di movimento sincronizzato e si contrassegna l'istruzione CALLSUB solo per il braccio master o solo per il braccio slave, durante l'esecuzione PC-DMIS visualizza un errore e la subroutine non viene richiamata.

Per informazioni sull'assegnazione di un comando da eseguire per un braccio specifico, vedere l'argomento "Assegnazione di un comando ad un braccio" nella sezione "Uso della modalità Master/Slave" .


Informazioni sulla finestra di dialogo Richiama subroutine

Nei seguenti argomenti vengono descritte le varie opzioni disponibili nella finestra di dialogo Richiama subroutine.

Altro

Casella Nome in Richiama subroutine

Casella File in Richiama subroutine

Seleziona subroutine


Casella Nome in Richiama subroutine

Nella casella Nome viene visualizzato il nome della subroutine selezionata con il pulsante Seleziona subroutine.


Casella File in Richiama subroutine

Nella casella File viene visualizzato il percorso di directory del file di subroutine richiamato.


Seleziona subroutine

Il pulsante Seleziona subroutine consente di visualizzare la finestra di dialogo Seleziona subroutine.

Finestra di dialogo Seleziona subroutine

Questa finestra di dialogo consente di richiamare una subroutine creata in precedenza cercandola nella directory dell'utente o nella directory corrente.


Esempio di codice di una subroutine

Il seguente esempio di codice fornisce all'operatore la possibilità di modificare i valori X, Y e Z teorici di un elemento dopo la misurazione. Nelle esecuzioni successive verranno utilizzati i valori teorici aggiornati.

PNT1=ELEM/PUNTO,RETT

…

…

FINE_MIS/

C1=COMMENTO/SÍNO,Modificare i valori teorici per PNT1?

IF/C1.INPUT=="SÌ"

CS1=CALLSUB/CHANGETHEO,:,

END_IF/

COMMENTO/OPER,I valori XYZ teorici ed effettivi per PNT1 sono:

,"Teor X= " + PNT1.TX

,,"Teor Y= " + PNT1.TY

,,"Teor Z= " + PNT1.TZ

,- - - - - - - - - - -

,,"Reale X= " + PNT1.X

,,"Reale Y= " + PNT1.Y

,,"Reale Z= " + PNT1.Z

PROGRAMMA/FINE

SUBROUTINE/CHANGETHEO,

PUNTO1 = {PNT1} : ,

=

INFO DIM/;DIMID,FEATID;INTESTAZIONI,ASSE GRAFICO ;MIS,NOM,TOLL,DEV,MAXMIN,FUORI_TOLL, , ,

C1=COMMENTO/INPUT,Digitare il nuovo valore X teorico per PNT 1.

,,"Il valore corrente è: " + PNT1.TX

ASSEGNA/PNT1.TX = C2.INPUT

C1=COMMENTO/INPUT,Digitare il nuovo valore T teorico per PNT 1.

,,"Il valore corrente è: " + PNT1.TY

ASSEGNA/PNT1.TY = C3.INPUT

C1=COMMENTO/INPUT,Digitare il nuovo valore Z teorico per PNT 1.

,,"Il valore corrente è: " + PNT1.TZ

ASSEGNA/PNT1.TZ = C4.INPUT

ENDSUB/

Spiegazione del codice di esempio

C1=COMMENTO/SÍNO
Questa riga accetta e memorizza la risposta SÌ o NO dell'utente.

IF/C1.INPUT=="SÍ"
Questa riga corrisponde all'espressione. Verifica se l'input del commento 1 è SÌ. Se l'input è uguale a SÌ, l'istruzione IF è TRUE e viene continuata l'esecuzione delle istruzioni successive a IF; in questo caso, viene misurato l'elemento PNT1. Se l'input è NO, si passa all'istruzione END_IF.

CS1=CALLSUB/CHANGETHEO,:,
Questa riga richiama la subroutine denominata CHANGETHEO. Il flusso del part-program passa alla riga SUBROUTINE/CHANGETHEO.

SUBROUTINE/CHANGETHEO
Questa riga inizializza la subroutine CHANGETHEO. Il flusso del programma continua ad eseguire il codice compreso tra questa riga e la riga ENDSUB/.

PUNTO1 = {PNT1} : ,
Questo è l'unico argomento della subroutine. Consente alla subroutine di accedere alle informazioni dell'elemento PNT1.

C2=COMMENTO/INPUT, C3=COMMENTO/INPUT, C4=COMMENTO/INPUT
Tutti questi commenti di input prendono i nuovi valori X, Y e Z teorici forniti dall'utente e li memorizzano rispettivamente in C2.INPUT, C3.INPUT e C4.INPUT.

ASSIGN/PNT1.TX = C2.INPUT
Questa riga prende il valore X teorico di C2.INPUT e lo assegna alla variabile PNT1.TX . PNT1.TX è una variabile di PC-DMIS che contiene il valore X teorico (denominato TX) per il punto con l'etichetta ID PNT1.

ASSIGN/PNT1.TY = C3.INPUT
Questa riga prende il valore Y teorico di C3.INPUT e lo assegna alla variabile PNT1.TY. PNT1.TY è una variabile di PC-DMIS che contiene il valore Y teorico (denominato TY) per il punto con l'etichetta ID PNT1.

ASSEGNA/PNT1.TZ = C4.INPUT
Questa riga prende il valore Z teorico di C4.INPUT e lo assegna alla variabile PNT1.TZ. PNT1.TZ è una variabile di PC-DMIS che contiene il valore Z teorico (denominato TZ) per il punto con l'etichetta ID PNT1.

ENDSUB/
Questa riga termina la subroutine e il flusso del programma ritorna alla riga immediatamente successiva alla chiamata di subroutine. In questo caso, torna all'istruzione END_IF/.

Il flusso del programma prosegue con il successivo commento dell'operatore che visualizza i valori X, Y e Z teorici ed effettivi, quindi il part-program termina con il comando PROGRAMMA/FINE.


Termine di Part Program

La voce di menu Inserisci | Comando di controllo flusso | Fine programma consente di inserire un comando PROGRAM/END nella finestra di modifica. PC-DMIS termina l'esecuzione del part program ogni volta che rileva questo comando durante l'esecuzione del programma.

tace comando é utile quando occorre terminare anticipatamente un part program, a fronte di condizioni particolari.


Registrazione Dati Statistici

Registrazione dei dati statistici: Introduzione

Uso di campi di riconoscimento

Opzioni

Non visualizzare

visualizzazione

Limite valori

Invio delle statistiche correnti a un file

Uso della finestra di dialogo Opzioni statistica

Opzioni statistiche

Disattivazione delle statistiche

Attivazione delle statistiche

Trasferisci

Aggiorna

Opzioni database

Opzione DataPage

Directory database

Aggiungi directory all'elenco

Elimina directory dall'elenco

Elimina file statistiche corrente

Nome variabile DataPage

Esegui calcoli di controllo

Stringa di comando ReadLock

Blocco scrittura

Stringa di comando MemoryPages

Opzione DES

Opzione Database SPC

Origine dati

Visualizza/modifica database

Aggiorna database ora


Registrazione dei dati statistici: Introduzione

PC-DMIS consente di registrare e gestire i dati statistici per i pezzi misurati. Le informazioni in qualsiasi campo di riconoscimento o di dimensione possono essere inviate a un pacchetto software per la gestione dei dati statistici selezionato inserendo un comando STATIST prima del campo di riconoscimento o di dimensione.

Di seguito sono elencati gli argomenti principali trattati in questa sezione:

  • Uso di campi di riconoscimento

  • Invio delle statistiche correnti a un file

  • Uso della finestra di dialogo Opzioni statistica


Uso di campi di riconoscimento

Finestra di dialogo Campo di riconoscimento

Visualizza Mappa Percorsi dei Menu

La voce di menu Inserisci | Comando Statistiche | Campo di riconoscimento consente di visualizzare la finestra di dialogo Campo di riconoscimento. Utilizzando questa finestra di dialogo è possibile stabilire dei campi di riconoscimento nella finestra di modifica. Questa opzione verrà utilizzata nel database delle STATISTICHE (vedere il file XSTATS11.TMP). È possibile modificare il nome e il valore corrente di un campo di riconoscimento mediante la finestra di modifica.

Per modificare i valori associati a un campo di riconoscimento, effettuare le seguenti operazioni:

  1. Posizionare il cursore nella casella contenente il valore da modificare.

  2. Selezionare il valore precedente.

  3. Inserire il nuovo valore.

Se è selezionata l'opzione Visualizza, la finestra di dialogo Campo di riconoscimento verrà visualizzata ogni volta che verrà eseguito il part-program. Se è selezionata l'opzione Non visualizzare, la finestra di dialogo non sarà visualizzata durante l'esecuzione.

La riga di comando della finestra di modifica per l'opzione del campo di riconoscimento è la seguente:
CAMPO_TRACCIA/ STATO_VISUAL; nome_campo: valore

STATO_VISUAL= Questo campo controlla se la finestra di dialogo Campo di riconoscimento viene visualizzata durante l'esecuzione. Questo campo può essere impostato su VISUALIZZ o NESSUNA_VIS.

nome_campo = Nome del campo di riconoscimento. Il valore del campo può essere composto da un massimo di 15 caratteri.

valore = Valore corrente del campo di riconoscimento. Il valore del campo può essere composto da un massimo di 15 caratteri.

Importante:Il comando CAMPO RICERCA deve seguire il comando STATS/ON.

Altro

Opzioni


Opzioni

La sezione Opzioni consente di controllare le opzioni del campo di riconoscimento:

  • Non visualizzare

  • visualizzazione

  • Limite valori


Non visualizzare

Se si seleziona l'opzione Non visualizzare, durante l'esecuzione del campo di riconoscimento non viene visualizzata una finestra di dialogo. In questo modo, i campi di riconoscimento potranno essere controllati dalle variabili senza l'input dell'utente.


visualizzazione

Se si seleziona l'opzione Visualizza, durante l'esecuzione del campo di riconoscimento viene visualizzata una finestra di dialogo. In questo caso, è richiesto l'input dell'utente durante l'esecuzione.

Nota:i campi di riconoscimento inseriti mediante il file Logo.dat non verranno stampati durante l'esecuzione. Tuttavia, essi verranno inviati al file delle statistiche.


Limite valori

La casella Limite valori consente di determinare il numero massimo di caratteri consentiti per il valore del campo di riconoscimento. Se si specifica ad esempio un Limite valori pari a 5, non sarà possibile digitare più di cinque caratteri nella casella Valore.


Invio delle statistiche correnti a un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Invia statistiche correnti al file consente di inviare i dati a un database o al file XSTATS11.tmp senza eseguire il part-program.

Se si seleziona questa opzione, le dimensioni e i campi di riconoscimento che seguono il comando STATIST/ON vengono inviati immediatamente al database selezionato. Le statistiche vengono inviate a un database solo se il database è registrato e il comando STATIST/ON è selezionato. In caso contrario, PC-DMIS invia i dati statistici al file XSTATS11.tmp.


Uso della finestra di dialogo Opzioni statistica

Opzioni statistica, finestra di dialogo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando Statistiche | Statistiche consente di gestire le informazioni statistiche ricevute quando si esegue la misurazione di un pezzo. Questa operazione viene effettuata inserendo un comando STATIST in un part-program prima di qualsiasi comando dimensione o campo di riconoscimento Queste informazioni possono quindi essere inviate a un pacchetto software per la gestione dei dati statistici.

Altro

Opzioni statistiche

Opzioni database

Aggiorna database ora

Cancel button Update Database Now buttonDelete Directory from List buttonDelete Current Stats File buttonAdd Directory to List buttonMembory Pages boxWrite Lock boxRead Lock boxDatapage Variable Name areaDatabase Options areaDatabase Directories listStats Options area


Opzioni statistiche

L'area Opzioni statistiche è sempre disponibile nella finestra di dialogo Opzioni statistica. Nell'area Opzioni statistiche è possibile utilizzare i seguenti comandi.

  • Disattivazione delle statistiche (NO)

  • Attivazione delle statistiche (SÌ)

  • Trasferimento delle statistiche in un'altra directory

  • Aggiornamento delle statistiche


Disattivazione delle statistiche

Se si seleziona l'opzione No, il part-program non invierà più le informazioni statistiche. Se le statistiche sono disattivate, i comandi Dimensione o Campo di riconoscimento non consentiranno di inviare informazioni statistiche al database a meno che non venga selezionata l'opzione Sì.


Attivazione delle statistiche

Se si seleziona l'opzione Sì, il part-program invierà le informazioni statistiche al database. Se le statistiche sono attivate, è possibile inviare i dati al file delle statistiche, trasferire le informazioni in un'altra directory oppure memorizzare le informazioni in un'applicazione di database.

Tutte le informazioni che seguono un comando STATIST/ON e precedono il successivo comando STATIST/OFF verranno inviate al file delle statistiche o al database durante l'esecuzione del comando STATIST/TRASFER, STATIST/AGGIORNA successivo oppure durante l'esecuzione dell'ultimo comando del part-program. Il comando STATIST/ON consente di inviare le informazioni di output a più database anche nello stesso part-program.

Quando viene eseguito un part-program contenente almeno un comando STATS/ON, PC-DMIS chiederà se si desidera inviare le informazioni di output ad una directory dei database statistici. È possibile ignorare questo prompt selezionando la casella di controllo Aggiorna SEMPRE il database a cui si accede dalla scheda Dimensione della finestra di dialogo Opzioni di impostazione. Vedere l'argomento "Opzioni di impostazione: scheda Dimensione" nella sezione "Impostazione preferenze" .

Nota: se è stata selezionata l'opzione DataPage nelle Opzioni database, verrà automaticamente richiamato il file eseguibile DPUPDATE.exe che consente di inserire i dati del file XSTATS11.tmp nelle directory DataPage selezionate.

Se si attivano le statistiche all'interno di un loop, l'output dell'ID della dimensione e dell'elemento nel file XSTATS11.tmp potrebbe risultare modificato.

La riga di comando della finestra di modifica per STATIST ON è la seguente:
STATIST/ON,opzione database;
directory o DSN,
ID_utente, blocco_lettura, blocco_scrittura, pagine_di_memoria, modalità_utente, nome_variabile

opzione database = Questo campo indica il tipo di database a cui verranno inviate le statistiche. Questo campo può appartenere a DATAPAGE, DES oppure SPC_DATABASE.

Directory o DSN = Se l'opzione di database è DATAPAGE o DES, questa stringa indica le directory di database a cui verranno inviate le statistiche. Deve essere una directory di database valida. Se l'opzione di database è DATABASE_SPC, questa stringa indica il nome DSN del database. È possibile creare il nome DSN nelle opzioni ODBC del pannello di controllo del computer. Questo DSN deve essere creato per il collegamento a un database SPC valido.

ID_utente= Stringa di nove cifre che indica il numero di serie del blocco della porta. Questo campo viene utilizzato solo per l'opzione di database DataPage.

blocco_lettura = Campo che indica il numero massimo di secondi di attesa per l'accesso in lettura al database da parte di PC-DMIS. L'impostazione predefinita è 10 secondi. Questo campo viene utilizzato solo per l'opzione di database DataPage.

blocco_scrittura = Campo che indica il numero massimo di secondi di attesa per l'accesso in scrittura al database da parte di PC-DMIS. L'impostazione predefinita è 20 secondi. Questo campo viene utilizzato solo per l'opzione di database DataPage.

pagine_di_memoria = Campo che indica il numero di pagine da 4K da riservare alle tabelle del database che si desidera aprire. Questa opzione incide sulle prestazioni del computer. Il numero minimo di pagine di memoria è 4, che rappresenta anche l'impostazione predefinita. Questo campo viene utilizzato solo per l'opzione di database DataPage.

modalità_utente = Questo campo indica le impostazioni della modalità utente. La modalità per utenti singoli consente l'accesso al database ad un unico utente. Il valore 0 (zero) indica che è stata impostata la modalità di accesso per utenti singoli. Il valore 1 (uno) indica che è stata attivata l'impostazione per più utenti. La modalità per utenti singoli consente di migliorare le prestazioni del computer. Questo campo viene utilizzato solo per l'opzione di database DataPage.

nome_variabile = Questo campo indica l'impostazione del nome della variabile. Il valore 0 (zero) indica che verranno visualizzati i nomi delle dimensioni. Il valore 1 (uno) indica che verrà visualizzato l'ID dell'elemento. Questo campo viene utilizzato solo per l'opzione di database DataPage.


Trasferisci

L'opzione Trasferisci consente di trasferire le informazioni statistiche da un part-program alla directory specificata durante l'esecuzione del comando STAT/TRASFER.

Nota:questa opzione risulta particolarmente utile con l'opzione Aggiornamento Automatico di DataPage.

Per trasferire le statistiche in un'altra directory, effettuare le seguenti operazioni:

  1. Fare clic sull'opzione Trasferisci.

  2. Nella casella Directory di trasferimento, inserire il percorso della directory nella quale si desidera trasferire il file delle statistiche.


Aggiorna

L'opzione Aggiorna consente di creare un comando STAT/AGGIORNA che indica a PC-DMIS di aggiornare il database statistico ogni volta che viene eseguito il comando. È necessario che l'applicazione software per le statistiche sia stata installata ed attivata.

Nota: la casella di controllo Aggiorna SEMPRE database disponibile nella scheda Dimensione della finestra di dialogo Opzioni di impostazione consente di ignorare il messaggio che chiede se si desidera aggiornare immediatamente il database visualizzato da PC-DMIS alla fine dell'esecuzione di un part-program contenente un comando STATIST/ON. Vedere l'argomento "Opzioni di impostazione: scheda Dimensione" nella sezione "Impostazione preferenze" .


Opzioni database

Le Opzioni database consentono di specificare uno dei seguenti pacchetti software per la gestione dei dati statistici a cui è possibile inviare le informazioni relative alle misurazioni:

  • DataPage

  • DES

  • Database SPC

La finestra di dialogo Opzioni statistica cambia quando si seleziona una delle Opzioni database.

Altro

Opzione DataPage

Directory database

Aggiungi directory all'elenco

Elimina directory dall'elenco

Elimina file statistiche corrente

Nome variabile DataPage

Esegui calcoli di controllo

Stringa di comando ReadLock

Blocco scrittura

Stringa di comando MemoryPages

Opzione DES

Opzione Database SPC

Origine dati

Visualizza/modifica database


Opzione DataPage

Quando si seleziona l'opzione Datapage , nella finestra di dialogo Opzioni statistica diventano disponibili i seguenti elementi:

  • Elenco Directory database

  • Pulsante Aggiungi directory all'elenco

  • Pulsante Elimina directory dall'elenco

  • Elimina file statistiche corrente

  • Nome variabile DataPage

  • Esegui calcoli di controllo

  • Casella Blocco lettura

· Casella Blocco scrittura

· Casella Pagine di memoria

Finestra di dialogo Opzioni statistica – Opzione DataPage


Directory database

Nell'elenco Directory database vengono visualizzate le directory nelle quali è possibile installare le applicazioni di database. È possibile aggiungere o eliminare directory dall'elenco. È possibile selezionare un massimo di dieci directory alle quali inviare le informazioni statistiche per ciascun comando STAT/ON.


Aggiungi directory all'elenco

Per aggiungere una nuova directory all'elenco Directory database, effettuare le seguenti operazioni:

  1. Fare clic sul pulsante Aggiungi directory ad elenco. Viene visualizzata una casella nella quale è possibile inserire il percorso della directory.

  2. Inserire il percorso della directory per il database.

  3. Fare clic sul pulsante OK. La directory verrà visualizzata nell'elenco.


Elimina directory dall'elenco

Per eliminare una directory di database dall'elenco Directory database:

  1. Selezionare la directory da eliminare tra quelle disponibili nell'elenco Directory database.

  2. Fare clic sul pulsante Elimina directory dall'elenco. La directory verrà eliminata dall'elenco.


Elimina file statistiche corrente

Per eliminare il file xstats11.tmp, fare clic sul pulsante Elimina file statistiche corrente.


Nome variabile DataPage

Tali opzioni operano soltanto con il programma di database statistico DataPage.

Le opzioni nella sezione Nome variabile DataPage indicano se verrà utilizzato il nome della dimensione o il nome dell'elemento per identificare le voci presenti nel DataPage. La lunghezza massima del nome è di 10 caratteri.

Per scegliere il tipo di nome da utilizzare, selezionare una delle due opzioni Usa nome dimensione e Usa nome elemento.


Esegui calcoli di controllo

Le opzioni disponibili nell'area Esegui calcoli di controllo indicano se verrà utilizzata l'opzione per l'esecuzione dei calcoli di controllo in DataPage. Selezionare l'opzione Sí per effettuare i calcoli di controllo sul fuori tolleranza. Inoltre comanda al programma di aggiornamento della statistica di DataPage (DUPDATE) di effettuare i calcoli di controllo e di impostare nel database gli indicatori di pezzo/variabile e di controllo di in/fuori tolleranza. Si puó monitorare questo database attraverso la modalitá Monitor di DataPage, attivando i colori pezzo/variabili (rosso/giallo/verde), in base ai calcoli eseguiti. Si veda il file di guida fornito insieme all'applicazione Monitor di DataPage, per ulteriori informazioni.

Per attivare e disattivare il calcolo dei controlli, selezionare l'opzione Sì o No. L'impostazione predefinita è No.


Stringa di comando ReadLock

La casella Blocco lettura consente di determinare il numero massimo di secondi di attesa per l'accesso in lettura al database da parte di PC-DMIS. Il valore predefinito è 10 secondi.

Per modificare il numero di secondi di attesa di PC-DMIS, effettuare le seguenti impostazioni:

  1. Selezionare il valore corrente nella casella Blocco lettura.

  2. Inserire il nuovo valore.

  3. Premere il tasto di tabulazione.

  4. Fare clic sul pulsante OK.


Blocco scrittura

La casella Blocco scrittura consente di determinare il numero massimo di secondi di attesa per l'accesso in scrittura al database da parte di PC-DMIS. Il valore predefinito è 20 secondi.

Per modificare il numero di secondi di attesa di PC-DMIS, effettuare le seguenti impostazioni:

  1. Selezionare il valore corrente nella casella Blocco scrittura.

  2. Inserire il nuovo valore.

  3. Premere il tasto di tabulazione.

  4. Fare clic sul pulsante OK.


Stringa di comando MemoryPages

La casella Pagine di memoria consente di inserire il numero di pagine da 4K da riservare alle tabelle del database che si desidera aprire. È possibile aprire un numero minimo di quattro pagine, ovvero l'impostazione predefinita.

Per modificare il numero di pagine di memoria, effettuare le seguenti operazioni:

  1. Selezionare il valore desiderato nella casella Pagina di memoria.

  2. Inserire il nuovo valore.

  3. Premere il tasto di tabulazione.

  4. Fare clic sul pulsante OK.


Opzione DES

L'opzione DES funziona soltanto con il programma di database statistico DES. Se si seleziona DES, la finestra di dialogo Opzioni statistica viene modificata in modo da includere solo la sezione Opzioni statistiche, la sezione Opzioni database e i pulsanti di comando Aggiorna database ora, OK e Annulla .

Finestra di dialogo Opzioni statistica – Opzione DES


Opzione Database SPC

È possibile utilizzare l'opzione Database SPCsolo con il programma per database statistici SPC di PC-DMIS. Se si seleziona l'opzione Database SPC, la finestra di dialogo Opzioni statistica viene modificata in modo da includere i seguenti elementi:

  • Casella Origine dati

  • Visualizza/modifica database

Finestra di dialogo Opzioni statistica – Opzione Database SPC


Origine dati

Utilizzare l'elenco Origine dati per selezionare un DSN (Data Source Name, nome origine dati). Un DSN viene creato inizialmente utilizzando le opzioni ODBC del Pannello di controllo del computer.

Per creare un DSN, effettuare le seguenti operazioni:

  1. Accedere al Pannello di controllo di Windows.

  2. Scegliere Strumenti di amministrazione.

  3. Fare doppio clic sull'icona Origine dati ODBC.

  4. Attenersi alle istruzioni riportate nella Guida del sistema operativo per creare il DSN.

Se si utilizza ODBC, PC-DMIS è in grado di passare i dati direttamente al database SPC ed è possibile visualizzare i dati all'interno del pacchetto statistico che supporta il database SPC.


Visualizza/modifica database

Visualizza Mappa Percorsi dei Menu

Il pulsante Visualizza/modifica database può essere utilizzato solo dopo aver selezionato un'origine dati dalla casella Origine dati. Facendo clic su questo pulsante è possibile visualizzare i dati presenti nel database SPC ed eliminarli dalla finestra di dialogo Database SPC:

Finestra di dialogo Database SPC

Per visualizzare il database SPC in PC-DMIS utilizzare le seguenti schede della finestra di dialogo:

  • Part-program

  • Dimensioni

  • Valori dimensione

  • Tracciature

  • Valori tracciatura

Per visualizzare i database è possibile utilizzare anche l'opzione di menu Database SPC


Aggiorna database ora

Il pulsante Aggiorna database ora consente di aggiornare l'applicazione di database con i dati statistici inviati dal part-program corrente.

Per aggiornare il database, effettuare le seguenti operazioni:

  1. Fare clic sul pulsante Aggiorna database ora.

  2. Seguire le istruzioni visualizzate.

Dopo l'esecuzione di un part-program, le informazioni sulle dimensioni e sul campo di riconoscimento selezionate vengono memorizzate in un file denominato XSTATS11.tmp e disponibile nella directory di installazione di PC-DMIS, in genere la directory C:\PCDMISW. Le informazioni contenute in questo file possono essere spostate in un'altra directory, stampate o inviate ad un'applicazione di database.

Nota: se non è disponibile alcuna applicazione di database, PC-DMIS visualizzerà un messaggio per indicare che non è possibile trovare il file eseguibile aggiornato (per l'applicazione DataPage, ovvero il file DPUPDATE.exe) per caricare il file XSTATS11.tmp nel database.


Rapporti dei risultati della misurazione

Rapporti dei risultati della misurazione: Panoramica

Modifiche nella creazione dei rapporti

La Finestra rapporto

Barra degli strumenti per il rapporto

Modifica del contenuto della finestra Rapporto

Utilizzo di rapporti standard

Creazione di rapporti personalizzati

Informazioni sui rapporti e sui template dei rapporti

Informazioni sull'Editor template rapporto

Esercitazione - Creazione di un template per il rapporto personalizzato

Applicazione o rimozione di un template di rapporto

Informazioni sulle etichette e sui template delle etichette

Informazioni sull'Editor template etichette

Esercitazione - Creazione di template di etichette

Utilizzo di etichette nei rapporti

Disposizione delle etichette nella finestra Rapporto

Utilizzo del comando Tabella/Formato

Informazioni sulle proprietà dell'oggetto

Proprietà comuni

Come operare con proprietà definibili dall'utente

Eliminazione dei dati associati al template

Informazioni sugli eventi e sul codice di Visual Basic

Informazioni sui moduli

Informazioni sull'Editor moduli

Esercitazione - Creazione di moduli

Utilizzo di moduli nei rapporti

Informazioni sulle espressioni dei rapporti

Funzioni e operatori

Utilizzo dei tipi di dati per individuare un'espressione in un rapporto

Informazioni sull'Editor della struttura di regole

Definizione di una regola

Importazione ed esportazione di regole

Uso della finestra di dialogo Proprietà formato tabella

Modifica di un'icona della miniatura dell'anteprima del template

Uso della Griglia

Utilizzo di rapporti HyperView esistenti

Come incorporare i rapporti HyperView in un part-program

Comando RAPPORTO/NOME_FILE

Abbinamento delle espressioni PC-DMIS alle proprietà degli oggetti HyperView

Natura bidirezionale degli abbinamenti delle espressioni se l'espressione è un valore di tipo L


Rapporti dei risultati della misurazione: Panoramica

Dopo aver misurato il pezzo, è importante poter comunicare i risultati della misurazione. PC-DMIS, per impostazione predefinita, invia tutti i dati di misurazione a un rapporto testuale standard, chiamato rapporto di ispezione, che comprende dati completi su ciascuna funzione misurata dal part-program. È possibile stampare questo rapporto dalla stampante oppure stamparlo in un file e visualizzare in seguito i rapporti memorizzati selezionando Visualizza Mappa percorsi dei menu Vista | Rapporto Ispezione. Vedere "Visualizzazione di un Rapporto Ispezione" e "Stampa del rapporto Ispezione".

Per molte attività, il rapporto di ispezione standard può essere totalmente conforme alle proprie esigenze. Tuttavia, nella versione 4.0 e successive, PC-DMIS fornisce anche alcuni efficaci strumenti per generare rapporti interattivi e personalizzabili. Con questi strumenti è possibile anche determinare l'aspetto dei rapporti e le informazioni da includere tramite i template. Inoltre, i template consentono di conservare un aspetto simile tra più rapporti.

In questa sezione sono illustrati i seguenti argomenti:

  • Modifiche nella creazione dei rapporti

  • La Finestra rapporto

  • Utilizzo di rapporti standard

  • Creazione di rapporti personalizzati

  • Utilizzo di rapporti HyperView esistenti


Modifiche nella creazione dei rapporti

Tra le principali modifiche alla creazione dei rapporti in PC-DMIS 4.0 vi è la completa riorganizzazione della funzionalità di creazione di rapporti HyperView e l'aggiunta di un potente sistema di template. Le seguenti voci rappresentano le modifiche più importanti alla creazione di rapporti in PC-DMIS dalla versione 3.7:

  • La creazione dei rapporti non fa parte più della finestra di modifica. I risultati della misurazione vengono visualizzati in una nuova finestra per la creazione di rapporti con una propria barra degli strumenti. Vedere "La Finestra rapporto"

  • I rapporti adesso utilizzano i template. Quindi, è possibile inserire gli stessi dati in diversi template generando così diversi rapporti dagli stessi dati; oppure è possibile standardizzare i rapporti e creare un solo template rapporto, conservando un aspetto standard dei rapporti per più part-program. Vedere "Informazioni sui rapporti e sui template dei rapporti"

  • I template rapporto utilizzano anche le etichette per indicare diverse dimensioni o informazioni sull'elemento. È possibile creare template di etichette personalizzati. Vedere "Informazioni sulle etichette e sui template delle etichette".

  • L'editor per la creazione di rapporti HyperView è stato organizzato in diversi ambienti di modifica per vari aspetti del nuovo approccio per la creazione di rapporti:

    1. Editor template rapporto

    2. Editor template etichette

    3. Editor moduli

  • La vecchia barra degli oggetti HyperView è stata riorganizzata in:

    1. Barra degli oggetti dell'Editor template rapporto

    2. Barra degli oggetti dell'Editor template etichetta

    3. Barra degli oggetti dell'Editor moduli

  • I vecchi oggetti Testo elemento, Informazioni punto e Informazioni dimensione non vengono più utilizzati. PC-DMIS adesso utilizza i template etichetta per eseguire quelle ed altre attività.

  • Tutte le proprietà dell'oggetto possono essere rese "definibili dall'utente" in modo che quando il rapporto viene eseguito o quando viene scelto un template, all'utente viene chiesto di inserire un valore per quella proprietà. Vedere "Come operare con proprietá assegnate dall'utente".

  • I precedenti rapporti HyperView possono ancora essere eseguiti nel part-program ma non sono più modificabili nel nuovo ambiente di creazione dei rapporti. Se si desidera modificare un rapporto HyperView di una precedente versione, sarà necessario utilizzare una versione precedente a 4.0. Vedere "Utilizzo di rapporti HyperView esistenti".


La Finestra rapporto

Visualizza Mappa percorsi dei menu Selezionare Visualizza | Finestra Rapporto per visualizzare la finestra Rapporto. Tale finestra, al termine dell'esecuzione del part program, visualizza i risultati della misura e configura automaticamente l'output in base al template definito per il rapporto stesso. È possibile impostare qualsiasi template di rapporto come predefinito ma inizialmente in PC-DMIS viene utilizzato il template "TEXTONLY.RTP".

Finestra Rapporto contenente un rapporto standard basato su testo

La finestra Rapporto funziona come qualsiasi altra finestra nell'applicazione di PC-DMIS ed è anche soggetta alle operazioni nel menu Finestra. La finestra Rapporto contiene dati statici basati sul template del rapporto selezionato e il part-program corrente.

Inoltre, contiene una propria barra degli strumenti, la barra degli strumenti per la creazione dei rapporti.

Vedere anche:

Barra degli strumenti per il rapporto

Modifica del contenuto della finestra Rapporto


Barra degli strumenti per il rapporto

Barra degli strumenti per il rapporto

Barra degli strumenti per il rapporto

La barra degli strumenti per il rapporto della finestra Rapporto consente di completare le seguenti funzioni:

icona | Descrizione
Ridisegna il rapporto | Ridisegna il rapporto. Se si modifica il template rapporto corrente o se il part-program cambia, fare clic su questa icona per ridisegnare il rapporto e aggiornarlo per utilizzare il template modificato e i nuovi dati di programma.
Finestra di dialogo selezione template | Selezionando l'icona Seleziona template viene visualizzata una finestra di dialogo in cui è possibile gestire i template e selezionare un template da cui generare l'output del rapporto. Vedere "Applicazione o rimozione di un template di rapporto"
Stampa del rapporto | Stampa il rapporto nella stampante predefinita.
Imposta questo rapporto come rapporto predefinito | Imposta il template correntemente in uso come nuovo template predefinito per il part-program corrente.PC-DMIS utilizzerà automaticamente il template rapporto predefinito ogni volta che si aprirà in seguito il part-program. Inizialmente, questo rapporto predefinito è impostato su TEXTONLY.RTP.
Salva layout | Selezionando Salva layout, il template corrente viene salvato come un layout. Una nuova icona di layout salvata sarà visualizzata sulla barra degli strumenti con lo stesso nome del template. Quando quell'icona viene visualizzata, la finestra Rapporto utilizza automaticamente il layout del template salvato per visualizzare il rapporto.
Visualizza modalità rapporto | Selezionando l'icona Modalità rapporto completo viene generato il rapporto dal primo all'ultimo comando nel part-program, indipendentemente dall'ultima esecuzione del programma in PC-DMIS.
Visualizza modalità rapporto ultima esecuzione | Selezionando l'icona Modalità Rapporto Ultima Esecuzione saranno visualizzati solo gli elementi dell'ultima esecuzione del part-program. Inoltre, saranno visualizzati i comandi nello stesso ordine in cui sono stati eseguiti. Se i comandi sono stati eseguiti più volte a causa di un loop, vengono visualizzate anche le esecuzioni multiple. Le informazioni saranno disponibili nel rapporto solo fino a quando il part-program rimane aperto. Quando il part-program viene chiuso, il rapporto viene eliminato.
Impostazione dell'ingrandimento del rapporto | Selezionando una voce da questo elenco a discesa, viene impostato l'ingrandimento del rapporto nella finestra Rapporto. Queste opzioni non influiscono sulla stampa del rapporto ma possono essere utili per l'anteprima del rapporto o per la scelta del template da utilizzare.
Icona di layout salvato | I layout del rapporto salvati utilizzano queste icone. Fare clic su uno di essi per passare immediatamente dal rapporto ai template utilizzati di frequente. Per rimuovere un layout salvato, tenere premuto il tasto MAIUSC e utilizzare il mouse per trascinare l'icona fuori dalla barra degli strumenti.

Nota: la barra degli strumenti per il rapporto è presente solo nella finestra Rapporto. Non è possibile selezionarla dalla sezione della barra degli strumenti dell'interfaccia principale di PC-DMIS.


Modifica del contenuto della finestra Rapporto

Finestra di dialogo Rapporto

Finestra di dialogo Rapporto

Percentuale unilaterale:

Nominale: 0.0000

Misurato:0.0028

Deviazione:0.0028

Tolleranza positiva:0.0050

Tolleranza negativa:0.0000

Questa deviazione è pari al 56% dell'intervallo di tolleranza, viene pertanto visualizzata se la percentuale unilaterale è inferiore al 56%.

Percentuale superiore bilaterale:

Nominale:3.0000

Misurato:3,0075

Deviazione:0,0075

Tolleranza positiva:0,0100

Tolleranza negativa:0,0100

La percentuale viene calcolata utilizzando la regola della leva:

(valore misurato – limite inferiore) / (limite superiore – limite inferiore) * 100.

Con questi dati, sarebbe:

(3.0075-2.9900) / (3.0100-2.9900) * 100. = 87.5%

Questa dimensione viene visualizzata nel rapporto di ispezione se la percentuale maggiore bilaterale è maggiore di 87,5%.

Percentuale minore bilaterale:

Nominale: 3.0000

Misurato:2,9925

Deviazione:0,0075

Tolleranza positiva: 0.0100

Tolleranza negativa:0,0100

La percentuale viene calcolata utilizzando la regola della leva:

(valore misurato – limite inferiore) / (limite superiore – limite inferiore) * 100.

Con questi dati, sarebbe:

(2.9925-2.9900) / (3.0100-2.9900) * 100. = 12.5.%

Questa dimensione viene visualizzata nel rapporto di ispezione se la percentuale maggiore bilaterale è minore di 12,5%.

Finestra di dialogo Proprietà etichetta

Modifica del contenuto della finestra Rapporto

Modifica del testo del rapporto

Facendo clic con il pulsante destro del mouse su qualsiasi testo del rapporto, viene visualizzato il pulsante Modifica .

Facendo clic su questo pulsante viene visualizzata la finestra di dialogo Rapporto . In questa finestra di dialogo è possibile scegliere cosa visualizzare nella finestra Rapporto.

Le seguenti caselle di controllo consentono di visualizzare o nascondere varie voci:

Mostra elementi | Questa opzione consente di visualizzare tutte le misurazioni del part-program. Se viene utilizzato il template del rapporto predefinito, textonly.rtp, e il part-program misura un elemento con un numero di punti superiore al numero minimo, viene visualizzato anche un tracciato del modulo dell'elemento.
Mostra allineamenti | Questa opzione consente di visualizzare le modifiche agli allineamenti mentre vengono apportate nel corso del part-program, nonché le modifiche agli allineamenti apportate agli elenchi delle dimensioni o degli elementi.
Mostra commenti | Questa opzione consente di visualizzare i commenti aggiunti al part-program. Per ulteriori informazioni, vedere "Inserimento commenti dei programmatori" nella sezione "Inserimento di comandi rapporto" .
Mostra intestazione/piè di pagina | Questa opzione visualizza l’intestazione / pié di pagina dei file LOGO.DAT, HEADER.DAT ed ELOGO.DAT . Per informazioni sulla modifica di questi file, vedere "Modifica delle intestazioni e dei piè di pagina" nella sezione "Uso della finestra di modifica" .
Mostra catture schermo | Questa opzione consente di visualizzare qualsiasi elemento grafico correlato ai comandi VISUAL/METAFILE e VISUAL_ANALISI.

La sezione Dimensioni consente di controllare la visualizzazione delle dimensioni nei rapporti. Per visualizzare le dimensioni, selezionare la casella di controllo Visualizza. Dopo la selezione, saranno disponibili anche gli altri elementi di questa area. Le opzioni disponibili sono le seguenti:

TUTTO

La selezione di questa opzione produce lo stesso risultato sia di Solo Fuori Tolleranza sia di Dimensioni non comprese nei limiti.

Solo Fuori Tolleranza

Se questa opzione è selezionata, PC-DMIS visualizzerà solo le dimensioni fuori tolleranza. (è necessario che l'opzione "Mostra dimensioni" sia attiva).

Questa opzione è disponibile solo se si seleziona Mostra dimensioni e si deseleziona Mostra Dimensioni non comprese nei limiti.

Dimensioni non comprese nei limiti

Se si seleziona questa opzione, PC-DMIS visualizza soltanto le dimensioni che non sono comprese nella percentuale dell'area di tolleranza.

Quando si seleziona la casella di controllo Mostra dimensioni non comprese nei limiti, la percentuale di tolleranza può essere modificata, consentendo di specificare una percentuale per le tolleranze unilaterali e due percentuali, una maggiore e una minore, per le tolleranze bilaterali.

Per zona di tolleranza si intende un intervallo compreso tra lo 0 e il 100%. Allo stesso modo i colori di dimensione vengono applicati alle aree di tolleranza e i grafici a barre a colori vengono disegnati alla fine della dimensione. Il limite inferiore (nominale - tolleranza negativa) corrisponde allo 0% e il limite superiore (nominale + tolleranza positiva) corrisponde al 100%.

Le dimensioni con deviazioni non comprese nell'area di tolleranza sono minori dello 0% o maggiori del 100%.

Nel caso di una dimensione unilaterale, ad esempio la rotondità che può avere solo una tolleranza positiva, le deviazioni zero sono pari allo 0% e si considera fuori dall'area di tolleranza qualsiasi valore superiore al 100%.

Esempio unilaterale

Nel caso di una dimensione bilaterale, ad esempio una distanza che prevede una tolleranza sia positiva sia negativa, le deviazioni zero sono in un punto compreso tra i due valori. Se i valori delle tolleranze sono equivalenti, le deviazioni zero si hanno alla posizione del 50%.

E sempio superiore bilaterale

E sempio inferiore bilaterale

Usa rapporto dimensioni in modalità testo

Questa casella di controllo determina se PC-DMIS utilizza testo formattato (selezionata) o una tavola grafica (deselezionata) per visualizzare le dimensioni.

Importante: Se PC-DMIS non riesce a trovare il template del rapporto specificato, utilizzerà un template denominato "default.rtp". Questo template generico fornisce un rapporto basato sul testo di base. Poiché default.rtp supporta solo rapporti basati su testo, deselezionando questa casella di testo non si produce alcun risultato.

Modifica del posizionamento dell'etichetta

Se si fa doppio clic su un'etichetta, quell'etichetta può essere scelta e spostata. È possibile quindi trascinarla in una nuova posizione e fare doppio clic su di essa per fermarla, riposizionandola quindi nella finestra Rapporto.

Modifica delle etichette nel rapporto

Facendo clic con il pulsante destro del mouse su un'etichetta e selezionando Modifica, viene visualizzata la finestra di dialogo Proprietà etichetta .

In questa finestra di dialogo è possibile modificare l'ordine delle colonne e delle righe, oppure controllare lo stato di visibilità delle singole colonne e righe.

Per modificare l'ordine - Selezionare una riga o una colonna, fare clic sulla freccia verso l'alto o il basso di colore nero.

Per nascondere o visualizzare una voce - Deselezionare la casella di controllo accanto alla voce per nasconderla. Selezionare la casella di controllo per visualizzarla.

Una volta modificata l'etichetta, selezionare uno dei pulsanti di opzione nella parte inferiore per applicare le modifiche all'etichetta corrente, a tutte le etichette simili nella pagina corrente oppure a tutte le etichette simili nell'intera sezione.

Determinare quale etichetta utilizzare quando si nascondono o si visualizzano le colonne, selezionando una voce dall'elenco Ridimensiona tipo. In questo elenco sono presenti le seguenti voci:

Ridimensiona griglia - Consente di conservare le dimensioni della colonna e modificare le dimensioni dell'etichetta per adattarla alla nuova larghezza.

Ridimensiona colonne per adattamento - Questa opzione consente di conservare la larghezza esistente dell'etichetta e modificare le dimensioni di ciascuna colonna per adattarla alla larghezza corrente.

Nascondi testo - Le dimensioni dell'etichetta o delle colonne non vengono modificate. Il testo però non viene visualizzato.

Fare clic su OK per modificare la visualizzazione.

Modifica del modello CAD nel rapporto

Facendo doppio clic su qualsiasi oggetto CADReportObject, l'oggetto diventa attivo. In questo caso, è possibile ruotare o eseguire lo zoom del modello CAD in base alle proprie preferenze. Fare clic fuori dall'oggetto CADReportObject per utilizzare il nuovo orientamento e il livello di zoom. Per ulteriori informazioni, vedere "CadReportObject".


Utilizzo di rapporti standard

Il template dei rapporti standard predefinito, TEXTONLY.RTP, è niente altro che un semplice template per inserire dati di misurazione in un oggetto TextReportingObject per mostrare la visualizzazione dei rapporti basati su testo nelle precedenti versioni di PC-DMIS.

Finestra Rapporto contenente un rapporto standard basato su testo

Se il template di rapporto standard predefinito non è adatto alle proprie esigenze, PC-DMIS consente di utilizzare altri template di rapporto standard. Per modificare il layout utilizzato dal rapporto corrente è sufficiente fare clic sulla relativa icona sulla barra strumenti della creazione di rapporti.

  • TEXTONLY.RTP: TextReportingObject con alcune etichette standard.

  • CADONLY.RTP: CadReportingObject con alcune etichette standard.

  • TEXTANDCAD.RTP: TextReportingObject e CadReportingObject con alcune etichette standard.

  • CADONLY_LANDSCAPE: Come CADONLY ma in layout orizzontale.

Questi template si trovano per impostazione predefinita nella finestra di dialogo Template rapporti. Per ulteriori informazioni sull'utilizzo di questa finestra di dialogo, vedere "Applicazione o rimozione di un template di rapporto".

Nota: se si utilizza un part-program che utilizza un template di rapporto che non esiste nella directory di creazione di rapporto specificata e neanche nella directory in cui è stato installato PC-DMIS, in PC-DMIS sarà generato un template di rapporto solo testo denominato "default.rtp". In tal modo, è possibile vedere sempre un rapporto nella finestra Rapporto, anche se non si dispone del template di rapporto specificato. Va sottolineato che in default.rtp sono contenute solo informazioni in formato testo. Non è quindi possibile deselezionare la casella di controllo Usa rapporto dimensioni in modalità testo nella finestra di dialogo Rapporto. Per ulteriori informazioni su questa finestra di dialogo, vedere Modifica del contenuto della finestra Rapporto.


Informazioni sui rapporti personalizzati

Creazione di rapporti personalizzati

Anche se PC-DMIS viene fornito con alcuni template pre-realizzati in grado di soddisfare le esigenze di molti utenti, è possibile naturalmente utilizzare gli efficaci editor per template per creare rapporti personalizzati e template di etichette. È anche possibile utilizzare l'editor del modulo per creare un approccio più interattivo per l'esecuzione e la creazione di rapporti.

Nei seguenti argomenti viene illustrato come creare rapporti personalizzati utilizzando gli editor di template rapporto ed etichetta e utilizzando i moduli.

Suggerimento: per gli utenti che non hanno mai utilizzato rapporti personalizzati, seguire l'esercitazione "Creazione di un template per il rapporto personalizzato".

Vedere anche:

Informazioni sull'interfaccia utente comune

Informazioni sui rapporti e sui template dei rapporti

Informazioni sulle etichette e sui template delle etichette

Informazioni sui moduli

Informazioni sulle proprietà dell'oggetto

Informazioni sulle espressioni dei rapporti

Informazioni sull'Editor della struttura di regole

Modifica di un'icona della miniatura dell'anteprima del template


Informazioni sull'interfaccia utente comune

Gli editor per il modulo e per il template condividono molti elementi dell'interfaccia utente comune: la barra dei menu, le barre degli strumenti, la barra oggetti e così via. Anche se le singole icone o voci di questi menu possono essere diverse per ciascun editor, l'aspetto è essenzialmente lo stesso.

L'interfaccia utente sarà illustrata negli argomenti seguenti.

Vedere anche:

Barra dei Menu

La barra dei caratteri

La Barra oggetti

La barra di layout


Barra dei menu per gli Editor template rapporto, template etichetta e moduli

File | Nuovo - Crea un template o modulo vuoto.

File | Apri - Apre un modulo o un file del template rapporto memorizzato.

File | Chiudi - Chiude l'editor template o il modulo.

File | Salva con nome - Salva il template o il modulo corrente con un nuovo nome file.

File | Modifica / File | Esegui - Consente di alternare le due modalità dell'editor: Modalità Modifica e Modalità Esegui. La modalità Esegui consente di eseguire o testare un modulo. La modalità Modifica consente di modificare un template o un modulo. La modalità Esegui è disponibile solo nell'Editor moduli; negli Editor template rapporti ed etichetta non è disponibile.

File | Esci - Esce da PC-DMIS.

Modifica | Layout | Allinea oggetti, Spazia equamente, Centra nella vista, Stessa dimensione - Questi menu secondari consentono di eseguire il layout, allineare e spaziare gli oggetti nell'editor. Per ulteriori informazioni, vedere "Barra di layout".

Modifica | Layout | Proprietà - Visualizza il foglio delle proprietà per l'oggetto selezionato. Se non è selezionato alcun oggetto, viene visualizzato il foglio delle proprietà per l'area di modifica (chiamata "sezione" o "The Frame/View"). Vedere "Pagina delle proprietà" e "Informazioni sulle sezioni".

Modifica | Layout | Verifica mnemonica - Questa voce di menu assicura che tutti i tasti di scelta rapida che utilizzano il tasto ALT più una lettera siano univoci nel modulo o nel template con del testo (ad esempio, un pulsante).

Per definire un tasto di scelta rapida per un controllo di un modulo o di una finestra di dialogo, digitare un ampersand (&) prima del carattere. Ad esempio, un pulsante con l'etichetta di testo "&Continua", viene riportato come "Continua" nel modulo ed è selezionabile con ALT + C.

Modifica | Layout | Impostazioni griglia - Visualizza la finestra di dialogo Impostazioni griglia. In questa finestra di dialogo è possibile visualizzare o nascondere una griglia di punti nello sfondo del layout. Vedere "Uso della griglia".

Modifica | Layout | Oggetti - Visualizza la finestra di dialogo Object Sheet (Pagina dell'oggetto) . Utilizzare questa finestra di dialogo per visualizzare o selezionare gli oggetti nel modulo e per impostare l'ordine della scheda. Vedere "Object Sheet (Pagina dell'oggetto)". (Disponibile solo nell'Editor moduli).

Modifica | Ordine - Questo menu secondario consente di spostare gli oggetti dietro o davanti ad altri oggetti che si sovrappongono.

Modifica | Annulla - Consente di annullare l'ultima azione eseguita nell'editor.

Modifica | Ripeti - Consente di ripetere l'ultima azione annullata.

Modifica | Taglia - Taglia l'oggetto e lo memorizza per incollarlo.

Modifica | Copia - Copia l'oggetto e lo memorizza per incollarlo.

Modifica | Elimina - Elimina gli oggetti selezionati.

Modifica | Incolla - Incolla l'oggetto tagliato o copiato. Se l'oggetto tagliato viene incollato esattamente sopra l'oggetto copiato, sarà necessario trascinarlo in una nuova posizione altrimenti si sovrapporrà all'oggetto da cui era stato copiato.

Modifica | Incolla speciale - È diverso dalla voce di menu standard Incolla in quanto consente di conservare un collegamento tra la voce incollata e l'origine da cui è stata copiata in modo che se l'origine varia anche la voce incollata viene aggiornata. Ad esempio:

Modifica | Imposta ordine schede - Consente di determinare gli oggetti che vengono selezionati quando un utente preme il tasto di tabulazione per completare l'elaborazione degli oggetti in Modalità Esegui. (Disponibile solo nell'Editor moduli).

Modifica | Proprietà assegnate dall'utente - Accede alla finestra di dialogo Proprietà assegnate dall'utente, consentendo all'utente di gestire tutte le proprietà assegnate dall'utente contemporaneamente. Vedere "Come operare con proprietà definibili dall'utente". (Disponibile solo nell'Editor template rapporto).

Finestra di dialogo Object Sheet (Pagina dell'oggetto)

Finestra di dialogo Object Sheet (Pagina dell'oggetto)

Si supponga di voler posizionare un oggetto grafico Microsoft Excel nel rapporto HyperView e di voler mantenere i dati del grafico sincroni con quelli del file Excel. A tale scopo, operare come segue:

1. Nel file Microsoft Excel, copiare l'oggetto grafico.

2. Accedere al template o al modulo.

3. Selezionare Modifica | Incolla Speciale. Viene visualizzata la finestra di dialogo Incolla speciale.

4. Selezionare l'opzione Incolla collegamento.

5. Fare clic su OK. L'oggetto grafico viene visualizzato nel template o nel modulo.

A questo punto, se si apportano modifiche ai dati per l'oggetto grafico nel file Excel, PC-DMIS aggiornerà l'oggetto grafico nel rapporto o nel modulo.

Vista | Finestra di visualizzazione grafica, finestra di modifica, finestra di anteprima, Editor moduli, Finestra insiemi selezionati, Editor Basic Script, Rapporto di ispezione, Lettura tastatore, Casella strumenti tastatore - Mostra o nasconde queste finestre ed editor di PC-DMIS. Molte volte, queste opzioni non hanno alcuna utilità quando vengono utilizzate nell'editor e possono quindi essere nascoste.

Vista | Barra oggetti - Visualizza la Barra oggetti dell'editor. Vedere "Barra oggetti".

Vista | Barra layout - Visualizza la Barra layout dell'editor. Vedere "Barra layout".

Vista | Barra caratteri - Visualizza la Barra caratteri dell'editor. Vedere "Barra caratteri".

Vista | Righello - Visualizza i righelli nel lato superiore e sinistro dell'editor. Vedere "Toggle Ruler (Attiva righello)"

Vista | Punti di aggancio - Visualizza i "punti di aggancio" per qualsiasi oggetto presente nell'editor. Vedere "Visualizza punti di aggancio"

Vista | Indirizza - Questa opzione può essere utilizzata solo con i punti di aggancio. Su pagine complesse con molti oggetti, può risultare utile usare questa opzione di menu per visualizzare la catena di oggetti connessi all'oggetto selezionato con i punti di aggancio. Questa opzione di menu seleziona tutti gli oggetti connessi con punti di aggancio all'oggetto selezionato. (Disponibile solo nell'Editor moduli).

Questo menu consente di eseguire le operazioni standard con qualsiasi finestra in PC-DMIS. Vedere la sezione "Spostamento tra più finestre visualizzate" .

? | Indice - Accede al file della Guida di PC-DMIS.

? | Uso della Guida - Visualizza un argomento relativo all'utilizzo del file della Guida.

? | Informazioni su PC-DMIS - Visualizza la finestra di dialogo Informazioni su PC-DMIS in cui sono visualizzate informazioni sulla versione di PC-DMIS.

Barra dei menu per gli Editor template rapporto, template etichetta e moduli

File, menu

Menu Modifica

Menu Vista

Menu Finestre

Menu ?


La barra dei caratteri

La barra dei caratteri dell'editor consente di modificare le proprietà del carattere, del colore, dello sfondo o della line frequentemente modificate per vari oggetti.

Barra dei caratteri

Voce della barra dei caratteri | Descrizione
 | Cambia il carattere dell'oggetto se supporta il testo. Identica all'impostazione della proprietà Carattere.
 | Cambia la dimensione del carattere dell'oggetto se supporta il testo. Identica all'impostazione della proprietà Carattere.
 | Visualizza il testo dell'oggetto in grassetto. Identica all'impostazione della proprietà Carattere.
 | Visualizza il testo dell'oggetto in corsivo. Identica all'impostazione della proprietà Carattere.
 | Allinea il testo al lato sinistro dell'oggetto, al centro, oppure a destra. Identica all'impostazione della proprietà Allineamento.
 | Imposta i colori dello sfondo e del primo piano dell'oggetto. Imposta i colori del testo e del bordo in primo piano. Identica all'impostazione delle proprietà BackColor (ColoreSfondo) e Forecolor.
 | Imposta la larghezza del bordo o della linea. Facendo clic su questa opzione più volte, si passa tra le varie opzioni. Identica all'impostazione della proprietà LineWidth.
 | Imposta lo stile di una linea (non si applica ai bordi). Facendo clic più volte su questa opzione si passa dallo stile della linea continua a varie linee tratteggiate. Identica all'impostazione della proprietà LineStyle.
 | Posiziona le frecce alla fine o termina un oggetto Linea. Facendo clic su questa opzione più volte, si sposta la freccia in diverse posizioni su una o su entrambe le estremità della linea. Identica all'impostazione della proprietà Freccia.
 | Imposta uno schema dello sfondo, chiamato "stile tratteggio", in un oggetto che supporta gli stili tratteggio. Facendo clic su questa opzione più volte, si passa tra gli stili tratteggio disponibili. Identica all'impostazione della proprietà HatchStyle (StileTratteggio).
 | Imposta un'ombra sotto l'oggetto, in oggetti che supportano le ombre. Facendo clic su questa opzione più volte, si passa tra gli stili di ombra disponibili. Identica all'impostazione della proprietà ShadowStyle (StileOmbreggiatura).


 Bitmap Object Analysis Object Pointer Ojbect OLE Object Label Object GridControlObject Dimension Color Key Object TextReportObject CADReportObject ActiveX Object Graph Object Gauge Object Ellipse Object Arc Object Pointer Object Text Object Line Object Leader Line Object Border Object Bitmap Object Analysis Object Pointer Ojbect OLE Object GridControlObject Dimension Color Key Object TextReportObject ActiveX Object Graph Object Gauge Object Ellipse Object Arc Object Pointer Object Text Object Line Object Leader Line Object Border Object Spinner Object Slider Object Multi Edit Box Object Edit Long Box Object Edit Box Object Edit Double Box Frame Object Ellipse Object Arc Object Gauge Object Pointer Ojbect Bitmap Object ActiveX Object Border Object OLE Object TextVar Object Line Object Leader Line Object Text Object Pointer Object Check Button Object Button Object Graph Object List Box Object Combo Box Object Radio Button Object

Oggetto Testo di esempio con handle

La Barra oggetti

La Barra oggetti è una barra degli strumenti che consente di inserire vari oggetti in un template o oggetti e controlli in un modulo. È possibile inserire testo, immagini, elementi multimediali, controlli per finestre di dialogo e oggetti speciali specifici di PC-DMIS, nonché elementi per la creazione di etichette, rapporti e moduli personalizzati.

Questa barra viene visualizzata ogni volta che si accede a un ambiente di modifica, ad esempio l'editor del template del rapporto, l'editor del template per etichetta o l'editor dei moduli.

Esistono tre tipi di Barra oggetti, una per ciascun ambiente di modifica:

Editor template rapporto | Editor template etichette | Editor moduli
Fare clic sulle icone oggetto in una Barra oggetti per visualizzare le informazioni relative a tale oggetto.

Aggiunta di oggetti a un template:

Per aggiungere un oggetto ad un template, effettuare le seguenti operazioni:

  1. Nell'editor, aprire la Barra oggetti.

  2. Fare clic sull'oggetto che si desidera inserire nel rapporto.

  3. Quindi, tenere premuto il pulsante sinistro del mouse e disegnare un rettangolo nella sezione corrente.

  4. Rilasciare il pulsante del mouse.

  5. Durante la creazione, l'oggetto è selezionato, come mostrato dai piccoli quadrati verdi denominati handle visualizzati in corrispondenza degli angoli dell'oggetto.

Selezione e manipolazione degli oggetti:

Per manipolare un oggetto, è necessario prima selezionarlo. Per selezionare un oggetto, fare clic su di esso in modo che vengano visualizzati gli handle verdi.

Per trascinare un oggetto in una nuova posizione - Selezionare l'oggetto. Fare clic e tenere il mouse sopra l'oggetto, quindi trascinarlo in una nuova posizione. Rilasciare il pulsante del mouse.

Per modificare le dimensioni di un oggetto - Selezionare l'oggetto, spostare il mouse su uno degli handle verdi finché il cursore diventa cursore di ridimensionamento, vale a dire una linea con due frecce. Quindi, fare clic sull'handle e trascinare il mouse in una nuova posizione. Rilasciare il pulsante del mouse. L'oggetto si espande o si comprime.

Per modificare le proprietà di un oggetto - Selezionare l'oggetto, fare clic con il pulsante destro del mouse sull'oggetto per visualizzare la finestra di dialogo Proprietà. Selezionare le proprietà e modificarle.

Per allineare, raggruppare, annullare gruppi ed eseguire altre operazioni - Utilizzare la Barra di layout o i menu secondari Modifica | Layout e Modifica | Ordine .

Codifica di oggetti per la modifica dinamica

Per alcuni oggetti, è possibile utilizzare lo script BASIC per modificarne dinamicamente alcune proprietà. Ad esempio, è possibile utilizzare il codice per popolare automaticamente i punti tracciati in un oggetto Grafico, oppure utilizzare l'oggetto Calibro come un grafico di barra. Per un esempio di esecuzione di queste operazioni, vedere l'argomento "Esempio di uso di Basic Script per la modifica dinamica del valore del calibro"


Oggetto ActiveX

L'oggetto ActiveX consente di inserire un controllo ActiveX nel template o nel modulo. Una volta inserito il controllo, viene visualizzata la finestra di dialogo Insert OLE Control (Inserisci controllo OLE).

Finestra di dialogo Inserisci controllo ActiveX

Finestra di dialogo Inserisci controllo ActiveX

Questa finestra di dialogo consente di selezionare il tipo di controllo da inserire tra quelli disponibili sul proprio computer. I controlli nell'elenco Tipo oggetto sono univoci in ciascun computer, in base ai programmi installati, ecc. I controlli ActiveX espandono le possibilità di ciò che è possibile fare in un modulo o in un template. Ad esempio, è possibile inserire un controllo di grafico e con il codice Visual BASIC passare i dati del part-program per creare dinamicamente il grafico.

Controlli ActiveX di PC-DMIS

PC-DMIS viene fornito con i seguenti controlli ActiveX relativi all'analisi dell'elemento. Tali controlli vengono visualizzati in determinate celle di GridControlObject in alcune delle etichette standard fornite con PC-DMIS. In generale, il software utilizza questi controlli per visualizzare informazioni di analisi grafica. È possibile inserire questi controlli nei template o nei moduli personalizzati dalla finestra di dialogo Inserisci controllo ActiveX.

I controlli ActiveX di PC-DMIS includono:

  • Controllo BFANALYSISACTIVEX

  • Controllo DIMANALYSISACTIVEX

  • Controllo lineare del rapporto delle dimensioni

  • Controllo radiale del rapporto delle dimensioni

  • Controllo FeatureAnalysisActiveX

  • Controllo BFANALYSISACTIVEX

Come qualsiasi altro oggetto, l'oggetto ActiveX di PC-DMIS contiene anche delle proprietà, sia standard che univoche, che è possibile modificare utilizzando la finestra di dialogo Proprietà. Nell'argomento seguente sono riportate le informazioni per accedere a tali proprietà:

Vedere anche:

Accesso ai metodi e alle proprietà di un oggetto ActiveX da Basic


Accesso ai metodi e alle proprietà di un oggetto ActiveX da Basic

Se è stato aggiunto un controllo, ad esempio un controllo di calendario ActiveX definito MSCAL, è possibile accedere ai relativi eventi e proprietà mediante la pagina delle proprietà, seguendo la stessa procedura adottata per gli altri oggetti. In questo caso, dal momento che si tratta di un oggetto ActiveX, verrà visualizzata una nuova scheda denominata ActiveX. Questa scheda contiene un elenco di variabili e proprietà con i relativi valori predefiniti accessibili agli utenti.

Per impostare le proprietà per il controllo ActiveX in VBS Mini-Editor per un gestore di eventi, digitare il nome del controllo, in questo caso "MSCAL." (con il punto). Viene visualizzata una finestra che consente di accedere alle variabili e ai metodi. Selezionare "X" dall'elenco. Viene visualizzata un'altra finestra contenente un elenco delle variabili interne modificabili per il controllo ActiveX.


Oggetto Analisi

L'oggetto Analisi viene utilizzato per inserire una finestra di analisi PC-DMIS in un template di etichetta. Quindi, nella finestra Rapporto, PC-DMIS visualizzerà un'analisi grafica delle dimensioni in cui viene utilizzato un template di rapporto che utilizza un template di etichetta contenente un oggetto analisi.

Importante: L'oggetto analisi funzionerà solo con le dimensioni di Feature Control Frame e non con le dimensioni Legacy.

Per determinare cosa sarà visualizzato da questo oggetto è possibile modificare le molte proprietà di cui dispone. È anche possibile utilizzare la proprietà (Finestra di dialogo Impostazioni) per accedere alla finestra di dialogo Opzioni analisi dimensione. In questa finestra di dialogo è possibile rapidamente e facilmente impostare le proprietà dell'oggetto di analisi.

Finestra di dialogo Opzioni analisi dimensione

Finestra di dialogo Opzioni analisi dimensione

Opzioni della Finestra di Dialogo | Descrizione
Mostra frecce | Questa casella di controllo consente di determinare la visualizzazione delle punte delle frecce delle linee di deviazione.
Mostra linee tra punti misurati | Questa casella di controllo consente di determinare la visualizzazione delle linee tra i punti misurati.
Mostra linee tra nominali | Questa casella di controllo consente di attivare le linee disegnate tra i valori nominali.
Mostra linee di tolleranza | Questa casella di controllo consente di determinare la visualizzazione delle tolleranze accettabili per la dimensione.
Mostra diametri | Questa casella di controllo consente di determinare la visualizzazione dei diametri delle dimensioni della posizione reale disponibile.
Mostra diametri best-fit, max iscritto e min circoscritto | Questa casella di controllo consente di attivare la visualizzazione dei diametri best-fit, dei diametri massimi inscritti e dei diametri minimi circoscritti per le dimensioni Circolarità.
Mostra tracciato contorno | Questa casella di controllo consente di attivare la visualizzazione di un tracciato di contorno per le dimensioni del profilo. Il tracciato di contorno utilizza i punti di scansione per creare un reticolato e poi ombreggia il reticolato con i colori correlati alle deviazioni di profilo da ciascun punto.
Mostra interpolazione colori tra punti | Questa casella di controllo consente di visualizzare i colori inseriti tra i punti.
Mostra frecce | Questa casella di controllo consente di visualizzare le frecce delle linee di deviazione.


Oggetto Arco

L'oggetto Arco consente di inserire un arco ellittico nel template o nel modulo. L'arco creato in base alle impostazioni predefinite non ha un colore di riempimento ed ha un angolo iniziale di 0 gradi e uno finale di -90 gradi.

È possibile modificare le dimensioni dell'oggetto, aggiungere un colore di riempimento o un colore di bordo e modificare altri attributi. Per gli oggetti Arco sono inoltre disponibili le seguenti proprietà modificabili:

Proprietà

Descrizione

PenWidth (Larghezza penna)

Imposta la larghezza del bordo in pixel.

PenStyle (StilePenna)

Lo stile dell'arco viene modificato in Continua, Tratto, Punto, Tratto-Punto e Tratto-punto-punto.

Angle1 (Angolo1)

Questo numero imposta l'angolo di inizio dell'arco. Il valore predefinito è 0 gradi.

Angle2 (Angolo2)

Questo numero imposta l'angolo di fine dell'arco. Il valore predefinito è -90 gradi.

IsWedge (ConAngolo)

Se la proprietà è impostata su NO(impostazione predefinita), viene disegnato un arco pieno senza angolo, come quello illustrato di seguito.

Se la proprietà è impostata su SÍ, viene disegnato un arco pieno ad angolo, come quello illustrato di seguito.


Oggetto Bordo

L'oggetto Bordo consente di inserire un bordo rettangolare nel template o nel modulo. È possibile ridimensionare l'oggetto, aggiungere un colore di riempimento o un colore di bordo e modificare altri attributi. Per gli oggetti Bordo sono inoltre disponibili le seguenti proprietà modificabili:

Proprietà | Descrizione
PenWidth (Larghezza penna) | Imposta la larghezza del bordo dell'oggetto in pixel.
HatchStyle (StileTratteggio) | Imposta il motivo (o tratteggio) da utilizzare per riempire il poligono ottenuto. I modelli disponibili sono: Orizzontale Verticale Diagonale Diagonale inversa Croce Croce diagonale
ShadowStyle (StileOmbreggiatura) | Imposta la posizione dell'ombreggiatura tridimensionale del poligono ottenuto. Le posizioni disponibili sono: Superiore/Sinistra, Inferiore/Destra o Nessuno.
HiliteColor (ColoreEvidenziazione) | Imposta il colore utilizzato per la proprietà BorderStyle (StileBordo).
BorderStyle (StileBordo) | Imposta lo stile di evidenziazione 3D del bordo dell'oggetto. Le opzioni sono Normal (Normale), 3D, Sunken (Incassato) e Raised (In rilievo).


Oggetto Bitmap

L'oggetto Bitmap consente di inserire un'immagine grafica bitmap precedentemente creata in un template o in un modulo. Quando si fa clic su questa icona, viene visualizzata una finestra di dialogo.

Finestra di dialogo Bitmap

  • Il pulsante OK consente di inserire un bitmap caricato nella finestra di dialogo all'interno del modulo o del template.

  • Il pulsante Annulla consente di chiudere la finestra di dialogo senza inserire alcuna immagine.

  • Il pulsante Copia consente di copiare un bitmap negli Appunti già caricati all'interno di questa finestra di dialogo utilizzando il pulsante Carica.

  • Il pulsante Incolla consente di incollare nella finestra di dialogo un'immagine bitmap copiata negli Appunti. Una volta incollato un grafico, è possibile selezionare la casella di controllo RLE per comprimere il grafico quando viene salvato con il rapporto.

  • Il pulsante Carica consente di caricare un'immagine grafica (bitmap o file JPEG) nella finestra di dialogo. Una volta caricato il grafico, è possibile selezionare la casella di controllo Collega per collegare il bitmap al template o al modulo tramite il percorso di directory. Ciò vuol dire che se il grafico viene aggiornato, verrà visualizzato nella forma aggiornata nel template o nel modulo.

  • Il pulsante Cancella consente di cancellare il bitmap caricato dalla finestra di dialogo.

  • L'elenco Trasparente consente di specificare un colore da rendere trasparente all'interno del bitmap.

È possibile modificare le dimensioni dell'oggetto e altri attributi. Per gli oggetti Bitmap sono disponibili le seguenti proprietà modificabili:

Proprietà | Descrizione
Bitmap | Contiene il nome del file del bitmap.
Layout | Centro, Sinistra o Destraè l'allineamento del bitmap dentro il rettangolo. Allunga consente di espandere o ridurre il grafico in modo che si adatti alla casella. Adatta consente di modificare le dimensioni del rettangolo per adattarlo al grafico.


Oggetto Pulsante

L'oggetto Pulsante consente di inserire un pulsante in un modulo. È possibile definire l'azione che verrà eseguita dal modulo alla pressione del pulsante, modificando la proprietà ButtonType (TipoPulsante).

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. Per personalizzare ulteriormente gli oggetti Pulsante sono disponibili le seguenti proprietà:

Proprietà

Descrizione

Predefinito

Determina le modalità di risposta dei pulsanti alla pressione del tasto INVIO.

SÍ - Il pulsante risponde alla pressione del tasto INVIO anche se è attivo un altro pulsante.

NO - Quando si preme il tasto INVIO, risponde solo il comando attivo.

ButtonShape (FormaPulsante)

Determina l'aspetto del pulsante. Le opzioni disponibili includono:

0- Normale:viene assunta la forma di un pulsante standard.

1- Scheda proprietà attivata: viene assunta la forma di una scheda della pagina delle proprietà non selezionata.

2- Scheda proprietà attivata: viene assunta la forma di una scheda della pagina delle proprietà selezionata.

Text

Determina il testo visualizzato sul pulsante.

Bitmap

Posiziona il bitmap desiderato sulla parte superiore del pulsante. Utilizza la stessa finestra di dialogo e le stesse proprietà descritte in "Oggetto Bitmap".

Layout

Determina la posizione del bitmap o del testo sul pulsante. I valori validi includono:

0- Centro

1- Sinistra

2- Destra

3- Superiore

4- Inferiore

ButtonType (TipoPulsante)

Determina l'azione del pulsante quando viene premuto.

0- Annulla: chiude il modulo senza eseguire alcuna azione.

1- EventClick: esegue un'azione C++ o VBScript.

2- Goto: passa al file associato MDI (Multi Document Interface).

3- Guida: richiama la funzione WinHelp() utilizzando la proprietà HelpContextID per aprire l'argomento appropriato.

4- OK: registra le modifiche e chiude il modulo.

5- Registra: registra le modifiche e lascia il modulo aperto.

GotoPath (PercorsoGoto)

Determina il file MDI associato a cui passa il modulo quando viene fatto clic sul pulsante. Viene maggiormente utilizzato per l'implementazione dei controlli basati sulla pagina delle proprietà.


CadReportObject

CADReportObject consente di visualizzare il disegno CAD nel rapporto completato. Quando si inserisce inizialmente CadReportObject in un template per rapporto, PC-DMIS avvia automaticamente la procedura guidata del layout dell'etichetta. Una volta utilizzata questa procedura guidata per posizionare le etichette che si desidera utilizzare in PC-DMIS, sarà visualizzato un grafico fittizio del blocco di testo Hexagone, se non sono definite regole, anche etichette fittizie. La schermata sarà simile alla seguente:

nel CadReportObject vengono visualizzate solo le etichette per i cerchi misurati, il rapporto conterrà solo le informazioni sulle etichette relative a quei cerchi, anche se le linee sono state misurate nell'ultima esecuzione.

Inoltre, se CadReportObject contiene meno etichette del numero di elementi specificato nell'Editor della struttura di regole, nella finestra Rapporto saranno visualizzate le istanze aggiuntive del disegno CAD e saranno mostrate le linee principali e le etichette di tutti gli altri elementi. Questa opzione è utile soprattutto se le etichette contengono molte informazioni che possono intasare il rapporto se sono incluse più di una o due etichette intorno al disegno di un pezzo.

Rotazione e zoom del modello CAD

L'orientamento e il livello di zoom del modello CAD possono essere facilmente modificati nella finestra Rapporto facendo doppio clic sull'oggetto per "attivarlo". Una volta attivato, è possibile ruotarlo e ingrandirlo o ridurlo nel modello CAD.

  • Per ruotare, premere un pulsante del mouse e trascinare il mouse oppure tenere premuto il tasto CTRL e fare clic con il pulsante destro del mouse, quindi trascinare il mouse.

  • Per applicare lo zoom, fare clic con il pulsante destro del mouse sopra o sotto una linea orizzontale immaginaria che passa al centro del modello CAD.

Facendo clic fuori dall'oggetto CAD, si disattiva l'oggetto CAD e si utilizza il nuovo orientamento e il livello di zoom.

Proprietà:

Proprietà | Descrizione
(Finestra di dialogo Impostazioni) | Si apre la procedura guidata del layout dell'etichetta. Questa procedura consente di eseguire rapidamente il layout di più etichette intorno al disegno CAD. Per ulteriori informazioni, vedere "La procedura guidata del layout dell'etichetta".
Struttura delle regole | Viene visualizzata la finestra di dialogo Editor della struttura di regole. In questa finestra di dialogo è possibile definire le condizioni e le azioni per l'oggetto. Per ulteriori informazioni, vedere "Informazioni sull'Editor della struttura di regole".

Vedere anche:

La procedura guidata del layout dell'etichetta


La procedura guidata del layout dell'etichetta

La procedura guidata del layout dell'etichetta

Esempio di rettangolare distribuito

Esempio di rettangolare raggruppato

Esempio di ellittico distribuito

Ellittico raggruppato - Esempio

La procedura guidata del layout dell'etichetta

La procedura guidata del layout dell'etichetta è uno strumento che consente di posizionare rapidamente più etichette intorno al disegno CAD nell'Editor template rapporto. Viene visualizzata automaticamente quando si inserisce un CadReportObject. Inoltre, viene visualizzata quando si seleziona la proprietà (Finestra di dialogo Impostazioni) per CadReportObject.

Tutte le modifiche apportate dentro questa procedura guidata cambieranno automaticamente l'aspetto di CadReportObject.

La procedura guidata contiene le seguenti parti:

  • Sezione Anteprima layout

  • Una sezione delle impostazioni

Sezione Anteprima layout

Nella sezione Anteprima layout è possibile visualizzare l'anteprima dei layout che saranno visualizzati nel template rapporto intorno a CadReportObject.

In base alle preferenze di visualizzazione delle etichette, è possibile ruotare le etichette intorno a un percorso rettangolare o ellittico facendo clic sul piccolo handle quadrato di colore bianco che si trova al centro del rettangolo o dell'ellissi e trascinandolo in una nuova posizione. Per determinare le dimensioni del percorso di rotazione, fare clic e trascinare gli altri handle bianchi esterni.

Se si desidera riposizionare il disegno del pezzo, fare clic su di esso e trascinarlo nella nuova posizione.

Area delle impostazioni

L'elenco a discesa consente di controllare lo spazio e i percorsi di rotazione per le etichette nella sezione Anteprima layout. È possibile scegliere una delle seguenti opzioni:

Rettangolare - Distribuito - Viene creato un percorso rettangolare intorno al quale ruotano le etichette. Le etichette sono distribuite a distanza regolare intorno al rettangolo.

Rettangolare - Raggruppato - Viene creato un percorso rettangolare intorno al quale ruotano le etichette. Le etichette sono raggruppate a breve distanza lungo un lato del rettangolo.

Ellittico - Distribuito - Viene creato un percorso ellittico intorno al quale ruotano le etichette. Le etichette sono distribuite a distanza regolare intorno all'ellisse.

Ellittico - Raggruppato - Viene creato un percorso ellittico intorno al quale ruotano le etichette. Le etichette sono raggruppate a breve distanza intorno all'ellissi.

Conteggio etichetta

Questa opzione consente di modificare il numero delle etichette da inserire nel template rapporto.

Opzioni per le dimensioni delle etichette

In questa sezione è possibile passare dalla determinazione automatica a quella manuale delle dimensioni degli oggetti etichetta. Per assegnare una determinata dimensione agli oggetti etichetta, fare clic su Abilita dimensionamento manuale e digitare i valori nelle caselle Larghezza e Altezza.

Le modifiche alle etichette si riflettono solo sul progetto. Non influiscono sulle dimensioni dell'etichetta nella finestra Rapporto.


CommandTextObject

CommandTextObject è come un contenitore di una semplice stringa di testo che fornisce una panoramica di un elemento o dimensione.

Quando si utilizza un template con questo oggetto con dati di rapporto reali, PC-DMIS visualizza una stringa di testo che mostra, per un elemento, l'etichetta di testo dell'elemento, il tipo di elemento e il numero di punti utilizzati per misurare l'elemento. Per una dimensione, mostra il nome e il tipo della dimensione e le unità di misura utilizzate nella dimensione.

Un'etichetta che contiene soltanto CommandTextObject con dati di rapporto reali può essere simile alla seguente quando viene visualizzata nella finestra Rapporto:

Esempio di CommandTextObjects visualizzato con dati di rapporto reali Proprietà

Descrizione

Colori

Consente di modificare i colori del testo visualizzato. Per impostazione predefinita, in PC-DMIS questo oggetto utilizza lo stesso schema di colori utilizzato nella modalità Comando della finestra di modifica, quindi facendo clic su questa proprietà viene visualizzato un messaggio in cui si chiede all'utente se desidera creare una serie di colori indipendente. Facendo clic su Sì, si apre la finestra di dialogo dell'editor dei colori. È possibile utilizzare questo editor per definire un nuovo schema di colori per il CommandTextObject.

Vedere "Definizione Colori della Finestra di Modifica" in "Impostazione delle preferenze" per informazioni su come utilizzare l'editor dei colori.


Oggetto Checkbutton (PulsanteControllo)

L'oggetto Checkbutton (PulsanteControllo) consente di inserire un pulsante di controllo o una casella di controllo nel modulo. Le caselle di controllo, contrariamente ai pulsanti di opzione, non si escludono a vicenda. È possibile selezionare tutte le caselle di controllo desiderate, purché siano disponibili per la selezione.

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. Per personalizzare ulteriormente le caselle di controllo sono disponibili le seguenti proprietà:

Proprietà

Descrizione

OwnerDrawn (DisegnoProprietario)

Specifica come viene disegnata la casella di controllo dal modulo.

Se questa proprietà è impostata su TRUE (VERO), la casella di controllo viene disegnata in base al bitmap specificato dalle proprietà Bitmap e Bitmap (Off).

Se questa proprietà è impostata su FALSE (FALSO), la casella di controllo viene disegnata in modo normale.

Bitmap

Consente di specificare il bitmap da utilizzare se la proprietà OwnerDrawn (DisegnoProprietario) è impostata su TRUE (VERO) e se la casella di controllo è selezionata.

Il bitmap specificato deve avere la stessa forma di una casella di controllo standard.

BitmapOffState (StatoBitmapDisattivata)

Consente di specificare il bitmap da utilizzare se la proprietà OwnerDrawn (DisegnoProprietario) è impostata su TRUE (VERO) e se la casella di controllo non è selezionata.

Il bitmap specificato deve avere la stessa forma di una casella di controllo standard.

TriState (TriStato)

Oltre a TRUE (ON) e FALSE (OFF) (Vero - Attivato, Falso Disattivato), questa proprietà consente di definire un terzo stato per la casella di controllo. Gli stati disponibili sono vero, falso e parzialmente vero. Lo stato parzialmente vero consente di stabilire se una parte dell'opzione selezionata è vera.

AlignTextLeft (AllineamentoTestoSinistra)

Se questa proprietà è impostata su SÍ, il testo viene spostato a sinistra della casella di controllo:

Testo [ ]

Se questa proprietà è impostata su NO, il testo viene spostato a destra della casella di controllo:

[ ] Testo

Text

Il testo specificato viene visualizzato nella casella di controllo.

HelpHotButton (PulsanteGuida)

Se si seleziona SÍ, accanto alla casella di controllo viene visualizzato un pulsante a forma di punto interrogativo (?).

Se si fa clic su questo pulsante in modalità di esecuzione, viene visualizzata la Guida in linea di PC-DMIS.

ValueID (IDValore)

Contiene le variabili CurPage (pagCor) e NumPages (NumPag) . È possibile impostare questa proprietà utilizzando il controllo relativo.


Oggetto ComboBox (CasellaCombinata)

L'oggetto ComboBox (CasellaCombinata) consente di inserire un elenco combinato nel modulo. L'uso di questo elenco consente di visualizzare le opzioni da selezionare quando si fa clic sull'elenco in modalità di esecuzione.

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. Per personalizzare ulteriormente questo oggetto sono disponibili le seguenti proprietà:

Proprietà

Descrizione

Accelerator (Tasto di scelta)

Consente di definire la lettera da utilizzare insieme al tasto ALT per creare un tasto di scelta per il controllo.

La lettera o il simbolo definito deve essere diverso da quello utilizzato per gli altri tasti di scelta, compresi quelli della barra dei menu.

UseColors (UsaColori)

Determina se il controllo deve utilizzare o meno i colori specificati nelle proprietà BackColor (ColoreSfondo) e TextColor (ColoreTesto).

ListItems (ElencoElementi)

Consente di definire l'elenco degli elementi e dei relativi valori. Vedere la descrizione della finestra di dialogo List Choices (Elenco selezioni) descritta in "Radiobutton Object (PulsanteOpzione)".

NumDropped (NumRilasciati)

Il numero specificato determina quanti elementi di elenco vengono visualizzati nel modulo quando si fa clic sull'elenco in modalità di esecuzione.

Sort (Ordina)

Se si seleziona SÍ gli elementi dell'elenco vengono disposti in ordine alfabetico.

ComboType (TipoCombinato)

Specifica il tipo di elenco combinato. È possibile selezionare Droplist (DiRiepilogo) o Dropdown (ADiscesa).

HelpHotButton (PulsanteGuida)

Se si seleziona SÍ, accanto alla casella di controllo viene visualizzato un pulsante a forma di punto interrogativo (?).

Se si fa clic su questo pulsante in modalità di esecuzione, viene visualizzata la Guida in linea di PC-DMIS.

ValueID (IDValore)

Contiene le variabili CurPage (pagCor) e NumPages (NumPag) . È possibile impostare queste variabili utilizzando il controllo.


Oggetto Chiave colore dimensione

L'oggetto Chiave colore dimensione viene utilizzato per rilasciare una chiave di colore direttamente nel template. riproducendo i colori utilizzati per rappresentare le aree di tolleranza della dimensione per gli oggetti Analisi e Istogramma. Per informazioni sulle modalità di definizione delle aree di tolleranza o di modifica dei colori che rappresentano ciascuna area di tolleranza, vedere “Modifica dei colori della dimensione” nella sezione "Modifica della visualizzazione CAD " .


Oggetto EditBox (CasellaModifica)

L'oggetto EditBox (CasellaModifica) consente di inserire una casella modificabile nel modulo. Questo oggetto può essere utilizzato con lo script di Visual BASIC per raccogliere le informazioni di esecuzione del modulo.

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. Per personalizzare ulteriormente questo oggetto sono disponibili le seguenti proprietà:

Proprietà

Descrizione

Accelerator (Tasto di scelta)

Consente di definire la lettera da utilizzare insieme al tasto ALT per creare un tasto di scelta per il controllo.

La lettera o il simbolo definito deve essere diverso da quello utilizzato per gli altri tasti di scelta, compresi quelli della barra dei menu.

Allineamento

Consente di allineare il testo all'interno dell'oggetto. Sono disponibili i seguenti tipi di allineamento: Sinistra, Centro e Destra.

ReadOnly (SolaLettura)

Se questa proprietà è impostata su SÍ il testo è di sola lettura e non è possibile modificarlo quando il modulo è in modalità di esecuzione.

BorderDrawn (DisegnoBordo)

Se questa proprietà è impostata su SÍ viene disegnato un bordo intorno al controllo.

CaseOrPassword (MaiuscoleMinuscoleOPassword)

Imposta lo stile del testo nella casella. È possibile selezionare una delle opzioni seguenti:

0 – Nessuno:non modifica la visualizzazione del testo.

1 - Lower Case (Minuscolo): visualizza il testo nella casella tutto in minuscolo.

2 - Upper Case (Maiuscolo): visualizza il testo nella casella tutto in maiuscolo.

3 – Password:visualizza un asterisco al posto di ciascun carattere del testo.

UseColors (UsaColori)

Se questa proprietà è impostata su SÍ vengono visualizzati i colori specificati in BackColor (ColoreSfondo) e TextColor (ColoreTesto).

HelpHotButton (PulsanteGuida)

Se si seleziona SÍ, accanto alla casella di controllo viene visualizzato un pulsante a forma di punto interrogativo (?).

Se si fa clic su questo pulsante in modalità di esecuzione, viene visualizzata la Guida in linea di PC-DMIS.

ValueID (IDValore)

Contiene le variabili CurPage (pagCor) e NumPages (NumPag) . È possibile impostare queste variabili utilizzando il controllo.


Oggetto EditDbleBox (CasellaModificaDouble)

L'oggetto EditDblBox (CasellaModificaDouble) consente di inserire nel modulo una casella di modifica che accetta variabili di tipo Double. Questo oggetto ha le stesse proprietà dell'oggetto EditBox (CasellaModifica) descritte in "Oggetto EditBox (CasellaModifica)", oltre alle proprietà MinimumEq (EqMinima) e MaximumEq (EqMassima):

Proprietà | Descrizione
MinimumEq (EqMinima) | Equazione minima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)
MaximumEq (EqMassima) | Equazione massima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)


Oggetto EditLongBox (CasellaModificaLong)

L'oggetto EditLongBox (CasellaModificaLong) consente di inserire nel modulo una casella di modifica che accetta solo valori di tipo Long. Questo oggetto ha le stesse proprietà dell'oggetto EditBox (CasellaModifica) descritte in "Oggetto EditBox (CasellaModifica)", oltre alle proprietà MinimumEq (EqMinima) e MaximumEq (EqMassima):

Proprietà | Descrizione
MinimumEq (EqMinima) | Equazione minima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)
MaximumEq (EqMassima) | Equazione massima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)


Oggetto Ellisse

L'oggetto Ellisse inserisce un'ellissi nel modulo o nel template. L'ellisse predefinita è un cerchio in cui tutti i punti lungo la circonferenza si trovano alla stessa distanza dal baricentro. Tale cerchio può essere allungato per formare un'ellisse..

È possibile modificare le dimensioni dell'oggetto, aggiungere un colore di riempimento o un colore di bordo e modificare altri attributi. Per gli oggetti Ellisse sono disponibili le seguenti proprietà modificabili:

Proprietà | Descrizione
Larghezza | Imposta la larghezza del bordo dell'oggetto in pixel.
PenStyle (StilePenna) | Lo stile della linea viene modificato in Continua, Tratto, Punto, Tratto-Punto e Tratto-punto-punto.
HatchStyle (StileTratteggio) | Imposta il motivo (o tratteggio) da utilizzare per riempire il poligono ottenuto. I modelli disponibili sono: Orizzontale Verticale Diagonale Diagonale inversa Croce Croce diagonale


Oggetto Testo elemento

L'oggetto Testo elemento viene utilizzato per rilasciare il testo del rapporto di ispezione di qualunque elemento o dimensione del part-program direttamente in un rapporto HyperView. Quando si rilascia l'oggetto Testo elemento nel rapporto, viene visualizzata una finestra nella quale è possibile selezionare l'elemento o la dimensione da associare all'oggetto. L'oggetto Testo elemento è utile solo se si desidera visualizzare il testo di un elemento o una dimensione nel rapporto HyperView nello stesso modo in cui lo si visualizzerebbe nel rapporto di ispezione. Se per una dimensione è stata impostata l'analisi testuale nella finestra di modifica, l'oggetto Testo elemento può visualizzare le informazioni sul punto correlate all'analisi testuale di una dimensione. L'oggetto Info dimensione rappresenta un'utile alternativa per visualizzare altre informazioni testuali su una particolare dimensione.


Oggetto Cornice

L'oggetto Cornice consente di inserire una cornice nel modulo. Generalmente questo oggetto viene utilizzato per impostare gruppi di opzioni simili quando si desidera disegnare finestre di dialogo personalizzate all'interno del modulo.

È possibile modificare le dimensioni dell'oggetto, aggiungere un colore di riempimento o un colore di bordo e modificare altri attributi. Per gli oggetti Cornice sono disponibili le seguenti proprietà modificabili:

Proprietà | Descrizione
BorderColor (ColoreBordo) | Imposta il colore del bordo.
HiliteColor (ColoreEvidenziazione) | Imposta i colori della proprietà BorderStyle (StileBordo) quando si definisce l'aspetto Raised (In rilievo) o Sunken (Incassato).
BorderStyle (StileBordo) | Imposta lo stile di evidenziazione 3D del bordo dell'oggetto. Le opzioni sono Normal (Normale), 3D, Sunken (Incassato) e Raised (In rilievo).
BorderWidth (AmpiezzaBordo) | Imposta la larghezza del bordo dell'oggetto in pixel.
Text | Il testo digitato rappresenta il nome utilizzato come titolo della cornice.
Allineamento | Consente di allineare il testo all'interno dell'oggetto. Sono disponibili i seguenti tipi di allineamento: Sinistra, Centro e Destra.


Oggetto Calibro

L'oggetto Calibro consente di inserire l'oggetto corrispondente, denominato anche barra di avanzamento, in un modulo o template.

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. È inoltre possibile muovere la barra percentile dell'oggetto utilizzando il codice Visual BASIC insieme alle proprietà descritte di seguito:

Proprietà | Descrizione
ValueEq (EqValore) | Equazione valore. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da un codice VBScript. -$, $, CONST (COST)
MinimumEq (EqMinima) | Equazione minima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)
MaximumEq (EqMassima) | Equazione massima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)

Suggerimento: se si modifica la direzione del calibro, anche l'andamento del calibro viene modificato secondo la direzione specificata.

Vedere anche:

Esempio di uso di Basic Script per la modifica dinamica del valore del calibro


Esempio di uso di Basic Script per la modifica dinamica del testo

Esempio di uso di Basic Script per la modifica dinamica del valore del calibro

È possibile utilizzare il codice BASIC in VBS Mini-Editor per modificare in modo dinamico il valore del calibro in un dato momento. Si supponga di voler creare un modulo per variare il calibro dallo 0 al 100 percento, in base a quanto il diametro di un cerchio approssima i valori minimo e massimo di tolleranza consentita. Si puó procedere in questo modo:

  1. Creare un nuovo modulo e assicurarsi di attivare la modalità di modifica. Innanzitutto, creare una variabile globale denominata MYDIAMETER che assumerà il valore di diametro del cerchio

  2. Fare clic con il pulsante destro del mouse sulla griglia e assicurarsi che The Frame / The View sia selezionato dall'elenco di oggetti nella pagina delle proprietà.

  3. Fare clic sulla scheda Impostazioni nella pagina delle proprietà e selezionare il valore per la proprietà LocalVariables. Viene visualizzata la finestra di dialogo Local Variables.

  4. Fare clic sul pulsante Aggiungi per aggiungere una nuova variabile. Selezionare Doppio dall'elenco Tipo. Nella casella Nome, digitare MYDIAMETER. Lasciare il valore 0 nella casella Valore.

Finestra di dialogo Local Variables con la variabile locale MYDIAMETER

  5. Fare clic su OK per tornare alla Pagina delle proprietà. La variabile MYDIAMETER é stata aggiunta al modulo.

  6. Quindi, inserire un oggetto Calibro nel modulo.

  7. Selezionare l'oggetto Calibro e posizionarlo e determinarne le dimensioni come desiderato. Questo valore rappresenta la distanza totale percorribile dalla barra percentile.

  8. Fare doppio clic sull'oggetto Calibro per accedere alla finestra di dialogo della Pagina delle proprietà.

  9. Selezionare la scheda PC-DMIS.

  10. Fare clic sulla proprietà MaximumEq (EqMassima). La maggior parte delle opzioni visualizzate nella finestra di dialogo VBS Mini-Editor non è disponibile per la selezione.

  11. Selezionare CONST nell'elenco. Questo valore corrisponde al 100% del calibro.

  12. Digitare il massimo valore consentito per il diametro del cerchio. Nell'esempio viene misurato un cerchio del diametro di un pollice, con tolleranza consentita di .010. La massima tolleranza consentita è 1.010.

  13. Fare clic su OK per tornare alla pagina delle proprietà.

  14. Fare clic sulla proprietà MinimumEq (EqMinima). Viene visualizzato di nuovo VBS Mini-Editor. Questo valore corrisponde al 0% del calibro.

  15. Selezionare CONST dall'elenco.

  16. Digitare il minimo valore consentito per il diametro del cerchio. Anche in questo caso, poiché nell'esempio viene misurato un cerchio del diametro di un pollice, con tolleranza consentita di .010, la tolleranza minima consentita è 0.990.

  17. Fare clic su OK per tornare alla pagina delle proprietà. Ora occorre assegnare il diametro del cerchio al valore reale del calibro.

  18. Senza deselezionare l'oggetto calibro dalla pagina delle proprietà, fare clic sulla scheda PC-DMIS e selezionare la proprietà ValueEq . La maggior parte delle opzioni visualizzate nella finestra di dialogo VBS Mini-Editor non è disponibile per la selezione.

  19. Nell’elenco a sinistra, selezionare + EQ ($).

  20. Nell'elenco a destra, selezionare <MYDIAMETER>.

Utilizzo di VBS Mini-Editor per impostare il valore dell'oggetto calibro

  21. Fare clic su OK per chiudere VBS Mini-Editor.

  22. Chiudere la pagina delle proprietà e salvare il modulo. In questo esempio, al modulo viene assegnato il nome gaugetest.form.

  23. Verrà creato un elemento cerchio generico all'interno di PC-DMIS.

  24. Selezionare la finestra di Modifica di PC-DMIS e selezionare la Modalitá Comandi.

  25. Inserire un elemento generico digitando GENERIC e premendo TAB. Inizialmente un elemento punto generico viene visualizzato nella finestra di modifica con l'ID elemento selezionato.

  26. Premere F9 per accedere alla finestra di dialogo relativa all'elemento generico.

  27. Nella sezione Tipo elemento, selezionare Cerchio.

  28. Nella sezione Tipo dati, selezionare Valori nominali.

  29. Digitare il nome del cerchio nella casella Nome elemento. Nell'esempio viene utilizzato il nome di elemento CER1.

  30. Digitare I valori XYZ ed IJK di CIR1.

  31. Selezionare l’opzione Diametro ed assegnare a CER1 il valore nominale del diametro 1.

  32. Modificare le altre opzioni come si desidera e fare clic su OK al termine. Il cerchio generico nella finestra di modifica ha la forma seguente:

CIR1 =GENERIC/CIRCLE,DEPENDENT,RETT,ESTERNO:$

           NOM/XYZ,1,1,0.95,$

MIS/XYZ,1,1,1,$

NOM/IJK,0,0,1,$

           MIS/IJK,0,0,1,$

DIAMETRO/1,0

  33. Spostare il cursore davanti all'elemento CER1 ed inserire un commento di input che richieda un valore misurato del diametro (poiché l'esempio è eseguito in modalità offline, i valori “misurati” devono essere inseriti manualmente). Ad esempio:

C1 =COMMENT/INPUT,Digitare il diametro misurato di CIR1:

  34. A questo punto, nel blocco di comando per CER1, all'ultima riga in cui è riportato DIAMETRO/1,0 cambiare il secondo parametro, il diametro misurato di 0, su C1.INPUT. In questo modo si assegna al diametro misurato di CER1 il valore del commento dell'input.

DIAMETRO/1,C1.INPUT

  35. A questo punto spostare il cursore dopo l'elemento CER1 e inserire il modulo salvato selezionando l'opzione di menu Inserisci | Comando rapporto | Modulo .

  36. Nel comando MODULO/NOME_FILE dove è riportato il testo PARAM/=, posizionare il cursore immediatamente prima del segno di uguale e digitare MYDIAMETER. Quindi, spostare il cursore immediatamente prima del segno di uguale e digitare CER1.DIAMETRO. Il codice da inserire nel modulo è simile al seguente:

CS1 =MODULO/NOME_FILE= C:\PCDMIS35\GAUGETEST.FORM, STAMPA_AUTO=NO

PARAM/MYDIAMETER=CIR1.DIAMETER

PARAM/=

           ENDFORM/

  37. Segnalare i comandi appena aggiunti ed eseguire il part-program. Il diametro di CER1 viene passato come parametro nel modulo e il valore percentile dell'oggetto calibro cambia dinamicamente in base al valore misurato del cerchio.

Ad esempio, se il diametro misurato per CER1 fosse .9987, il modulo sarebbe come il seguente:

Esempio di modulo che mostra l'oggetto calibro dinamicamente collegato al diametro misurato dell'elemento


Oggetto Grafico

L'oggetto Grafico consente di inserire nel modulo o nel template un grafico in cui è possibile aggiornare i dati in modo dinamico. L'oggetto Grafico consente di memorizzare e visualizzare un array dei punti dati. Per specificare i punti dei dati nel grafico, è possibile utilizzare i valori X e Y.

Oggetto Grafico predefinito

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. È inoltre possibile fare in modo che i dati di tali oggetti vengano aggiornati dinamicamente utilizzando il codice Visual BASIC insieme alle proprietà descritte di seguito:

Proprietà | Descrizione
DataPointColor (ColorePuntoDati) | Modifica i colori utilizzati nei dati X e Y e in ogni linea tracciata tra i punti dati.
Larghezza | Modifica la dimensione, in pixel, del diametro dei punti dati.
ConnectPoints (ConnessionePunti) | Impostando questa proprietà su SÍ vengono tracciate linee di unione tra i punti dati presenti nel grafico.
Clockwise (SensoOrario) | Se questa proprietà è impostata su NO Y viene invertito in modo che la parte superiore sia negativa e quella inferiore positiva.
Xdivisions (DivisioniX) | Divide l'asse X del grafico aggiungendo il numero di colonne specificato.
Ydivisions (DivisioneY) | Divide l'asse Y del grafico aggiungendo il numero di righe specificato.
EnablePoint (AttivazionePunti) | Se è impostata su 1, è possibile aggiungere nuovi punti dati al grafico. Se è impostata su 0, non è consentito aggiungere nuovi punti dati al grafico.
ClearAllPoint (CancellaTuttiPunti) | Se è impostata su 1, alla successiva attivazione della modalità Esegui nel modulo tutti i punti dati verranno eliminati dal grafico. Se è impostata su 0, tutti i punti dati continueranno a essere visualizzati nel grafico.
XpointEq (EqXpunto) | Rappresenta il valore X del punto dati contenuto nel grafico. È possibile eseguire un'equazione semplice o calcolare i dati da uno script VBScript.
YpointEq (EqYpunto) | Rappresenta il valore Y del punto dati contenuto nel grafico. È possibile eseguire un'equazione semplice o calcolare i dati da uno script VBScript.
XminEq (EqXmin) | Rappresenta l'equazione minima dell'asse X. Il valore specificato rappresenta il valore iniziale dell'asse X. È possibile eseguire un'equazione semplice o calcolare i dati da uno script VBScript.
YminEq (EqYmin) | Rappresenta l'equazione minima dell'asse Y. Il valore specificato rappresenta il valore di partenza dell'asse Y. È possibile eseguire un'equazione semplice o calcolare i dati da uno script VBScript.
XmaxEq (EqXmax) | Rappresenta l'equazione massima dell'asse X. Il valore specificato rappresenta il valore finale dell'asse X. È possibile eseguire un'equazione semplice o calcolare i dati da uno script VBScript.
YmaxEq (EqYmax) | Rappresenta l'equazione massima dell'asse Y. Il valore specificato rappresenta il valore finale dell'asse Y. È possibile eseguire un'equazione semplice o calcolare i dati da uno script VBScript.

Suggerimento: è possibile ridimensionare in scala l'asse Y facendo clic sulla freccia rivolta verso l'alto o sulla freccia rivolta verso il basso [image] posta accanto all'origine del grafico.


Oggetto Istogramma

L'oggetto Istogramma viene utilizzato per rilasciare un istogramma di una determinata dimensione direttamente nel rapporto HyperView. Quando si rilascia inizialmente l'oggetto Istogramma nel rapporto, viene visualizzata una finestra nella quale è possibile selezionare la dimensione da associare all'oggetto. L'oggetto Istogramma mostra il numero di deviazioni all'interno di ognuna delle diverse aree di tolleranza. Per informazioni sulle modalità di definizione delle aree di tolleranza o di modifica dei colori che rappresentano ciascuna area di tolleranza, vedere “Modifica dei colori della dimensione” nella sezione "Modifica della visualizzazione CAD " .

Nota:gli oggetti Istogramma non sono disponibili per le dimensioni che non vengono direttamente calcolate utilizzando i singoli punti dei rispettivi elementi, ad esempio le dimensioni di posizione, posizione reale e digitazione.


GridControlObject

L'icona GridControlObject inserisce una griglia di colonne e righe personalizzabile nel rapporto o nel template etichetta.

Un oggetto di controllo della griglia appena inserito

Un oggetto di controllo della griglia appena inserito

Questo oggetto univoco è molto di più di una tabella standard. Consente infatti di programmare singole celle, righe o colonne utilizzando il linguaggio delle espressioni del rapporto affinché in PC-DMIS siano estratte e visualizzate specifiche informazioni sul rapporto dal part-program.

Come con altri oggetti, è possibile modificare le dimensioni di questo oggetto e spostarlo in una nuova posizione. Quando si modificano le dimensioni di questo oggetto, PC-DMIS assegna automaticamente delle dimensioni alle colonne e alle righe in modo che si adattino alle nuove dimensioni dell'oggetto.

Accesso all'Editor GridControlObject

Una volta inserito un GridControlObject, selezionarlo, fare doppio clic in una qualsiasi cella, quindi fare clic con il pulsante destro del mouse per visualizzare una finestra di dialogo con schede. In questa finestra di dialogo sono disponibili ottime funzioni di formattazione e modifica che consentono di programmare le singole celle della griglia in base a specifiche individuali.

Editor GridControlObject - Scheda Cella

Scheda Cella dell'Editor di GridControlObject

Vedere i seguenti argomenti per informazioni sull'utilizzo di questo editor:

  • Editor GridControlObject - Scheda Cella

  • Editor GridControlObject - Scheda Riga

  • Editor GridControlObject - Scheda Colonna

Proprietà

Proprietà | Descrizione
NumColumns | Determina il numero di colonne nella griglia.
NumRows | Determina il numero di righe nella griglia.
TableFormat | Specifica il nome del layout della griglia da utilizzare. Se questa proprietà corrisponde al nome del layout della griglia nell'Editor della struttura di regole, è possibile utilizzare il comando TABELLA/FORMATO della finestra di modifica per controllare direttamente l'ordine e la visibilità delle righe e delle colonne per il template etichetta.

Aumentando la proprietà NumRows si aggiungono nuove righe in fondo alle righe disponibili. Riducendola, saranno eliminate le ultime righe. Allo stesso modo, aumentando la proprietà NumColumns si aggiungono nuove colonne a destra delle righe disponibili. Riducendo il numero delle colonne, saranno eliminate le colonne a destra.


Editor GridControlObject - Scheda Cella

Editor GridControlObject - Scheda Cella

Scheda Cella dell'Editor di GridControlObject

Tipo cella - Consente di configurare i dati da inserire in una specifica cella. Le opzioni sono:

  • Testo - Consente di digitare direttamente del testo oppure un comando dell'espressione nella casella Espressione cella. Nella cella viene visualizzata l'espressione valutata o il testo.

  • Immagine - Inserisce un'immagine nella cella. È possibile selezionarla utilizzando il pulsante Selezione.

  • ActiveX - Inserisce un oggetto ActiveX nella cella. In genere, i template di PC-DMIS utilizzano queste opzioni per visualizzare informazioni di analisi grafica. È possibile selezionare il controllo di ActiveX da aggiungere scegliendo il pulsante Seleziona. Per informazioni dettagliate sugli oggetti ActiveX, vedere l'argomento " Oggetto ActiveX ".

Espressione cella - In questa casella è possibile digitare un'espressione per i rapporti nella cella. PC-DMIS valuta l'espressione quando utilizza il template per visualizzare i dati effettivi del rapporto. Ad esempio, per visualizzare l'ID dell'elemento, digitare =ID in questa casella. Per un elenco completo delle espressioni che è possibile includere, vedere "Informazioni sulle espressioni dei rapporti".

Altezza e larghezza della cella - In queste caselle è possibile definire l'altezza e la larghezza della cella in pixel. Se si modifica l'altezza, verranno modificate tutte le celle contenute nella riga. Se si modifica la larghezza, verranno modificate tutte le celle di quella colonna. Se le celle hanno altezze e larghezze variabili, i pulsanti Pareggia larghezza e Pareggia altezza consentono di pareggiare l'altezza e la larghezza delle celle selezionate.

Giustificazione cella - Questi pulsanti consentono di impostare l'allineamento del testo nella cella, verticalmente o orizzontalmente. Se si sceglie l'allineamento orizzontale, è possibile allineare il testo a sinistra, al centro o a destra della cella. Se si sceglie l'allineamento verticale, è possibile allineare il testo in alto, al centro o in basso.

Pulsanti di allineamento orizzontale
 | Allineamento a sinistra
 | Allineamento al centro
 | Allineamento a destra
Pulsanti di allineamento verticale
 | Allineamento in alto
 | Allineamento al centro
 | Allineamento in basso

Sezione delle righe - In questa sezione è presente un elenco per ciascun lato della cella. È possibile impostare ciascun lato della cella, più le righe interne o esterne di più celle, su un particolare tipo di riga. Le opzioni disponibili includono: Nessuno, Sottile, Spessore, Doppia o Tratteggiata.

Colori in cui è possibile selezionare un colore standard specifico oppure creare un colore personalizzato.

Unisci celle - Questo pulsante unisce più celle in una sola cella.

Disunisci celle - Questo pulsante disunisce le celle precedentemente unite portandole nello stato originale.


Editor GridControlObject - Scheda Riga

Editor GridControlObject - Scheda Cella

Scheda Riga dell'Editor di GridControlObject

Gruppo ripetizione - Questa casella di controllo abilita la casella Ripeti espressione e indica a PC-DMIS che la riga selezionata continuerà a ripetersi con i dati del rapporto finché l'espressione nella casella Ripeti espressioni viene soddisfatta. Quando si seleziona una cella in GridControlObject, PC-DMIS indica le righe di ripetizione nell'oggetto disegnando piccole barre arancione verticalisul lato sinistro e destro.

Ripeti espressione - Questa casella determina il numero di ripetizioni della riga in PC-DMIS. Un'espressione viene inserita in questa casella e sarà valutata un numero di volte indicato. Ad esempio, per avere il numero di assi in una dimensione, utilizzare la seguente espressione:

=CONT(ASSE)

In ciascuna cella della riga, aggiungere quanto segue alle espressioni esistenti:

:N

In tal modo, si indica a PC-DMIS il numero delle ripetizioni della riga. Quindi, se nella casella Espressione cella nella scheda Cella è stato utilizzato =ASSE per elencare gli assi della dimensione che poi è stato modificato in =ASSE:N, PC-DMIS continuerà a ripetere la riga con i dati dell'asse della dimensione univoci fino a riportare tutti gli assi.

Etichetta riga - Nell'elenco Etichetta riga è possibile definire un'etichetta da utilizzare nella riga con il comando del formato tabella. Quando si accede alle proprietà del comando del formato tabella, vengono visualizzate le etichette di riga definite in questo elenco. Utilizzando il comando del formato tabella, è possibile ridefinire l'ordine delle righe nella griglia, tra le altre cose.

Riga bloccata - In questa casella di controllo è possibile bloccare la riga per non modificarla quando si utilizza il comando del formato della tabella.


Editor GridControlObject - Scheda Colonna

Editor GridControlObject - Scheda Cella

Scheda Colonna dell'Editor di GridControlObject

Etichetta colonna - Nell'elenco Etichetta colonna è possibile definire un'etichetta da utilizzare nella colonna con il comando del formato tabella. Quando si accede alle proprietà del comando del formato tabella, vengono visualizzate le etichette di colonna definite in questo elenco. Utilizzando il comando del formato tabella, è possibile ridefinire l'ordine delle colonne nella griglia, tra le altre cose.


Oggetto Etichetta

Icona Oggetto Etichetta

L'icona dell'oggetto Etichetta inserisce un oggetto Etichetta nel template rapporto. Per aggiungere questo oggetto, fare clic e trascinarlo nell'Editor template rapporto. Quando si rilascia il pulsante del mouse, l'oggetto Etichetta inserito è simile al seguente:

Esempio di un Oggetto Etichetta

Esempio di un Oggetto Etichetta

Un oggetto Etichetta si comporta come TextReportObject o CadReportObject; non contiene dati reali ed è semplicemente un segnaposto per un template etichetta. Il template etichetta controlla quali dati vengono estratti dall'esecuzione di un part-program. Se non si definisce cosa visualizzare con un oggetto etichetta, l'oggetto non viene visualizzato nel rapporto.

Assegnazione di un template etichetta

Per fornire all'oggetto etichetta qualcosa da visualizzare, è necessario assegnare all'oggetto un template etichetta da utilizzare. A tale scopo, effettuare le seguenti operazioni:

  1. Fare clic con il pulsante destro del mouse sull'oggetto etichetta. Viene visualizzata la finestra di dialogo Proprietà.

  2. Fare clic su Regole dalla proprietà Strutture di regole. Viene visualizzata la finestra di dialogo Strutture di regole.

  3. Nella finestra di dialogo Strutture di regole, selezionare una voce dall'elenco espandibile che indichi quando si desidera che l'etichetta visualizzi i dati.

  4. Fare clic su Aggiungi per aggiungere una regola che utilizzi quella voce. Viene visualizzata la finestra di dialogo Modifica regola.

  5. Selezionare l'opzione Usa template etichetta per il rapporto.

  6. Fare clic sul pulsante per sfogliare [image] e selezionare un file del template etichetta (estensione .lbl).

  7. Fare clic su OK per chiudere la finestra di dialogo Modifica regola.

  8. Fare clic su OK per chiudere la finestra di dialogo Strutture di regole. L'oggetto etichetta inserito visualizzerà adesso un'immagine del template etichetta definito nella prima regola nella finestra di dialogo Strutture di regole.

  9. Salvare e testare il template rapporto. PC-DMIS visualizzerà l'etichetta selezionata quando la condizione specificata viene soddisfatta.

Per ulteriori informazioni sulla creazione di regole, vedere "Informazioni sull'Editor della struttura di regole".


Oggetto Linea associazione

L'oggetto linea associazione consente di disegnare una linea di connessione tra l'oggetto Etichetta e CADReportObject. A tale scopo, selezionare l'oggetto e trascinarlo da un oggetto all'altro.

Se l'operazione viene eseguita correttamente, la linea di associazione sarà automaticamente agganciata tra i due oggetti e se in seguito le posizioni degli oggetti saranno modificate, anche le dimensioni e la posizione della linea di associazione saranno modificate. Ad esempio, in questa figura viene mostrato un oggetto CADReportObject con tre oggetti Etichetta intorno, tutti con oggetti Linea di associazione di connessione.

Gli oggetti Etichetta con oggetti di linea di associazione disegnati in un CADReportObject.

Gli oggetti Etichetta con oggetti di linea di associazione disegnati in un CADReportObject.

Se i due oggetti non vengono individuati, viene visualizzata una finestra di dialogo Generazione linea di associazione in cui è possibile selezionare i due oggetti tra i quali PC-DMIS deve tracciare la linea di associazione.

Finestra di dialogo Generazione linea di associazione

Finestra di dialogo Generazione linea di associazione

Se si elimina l'oggetto Etichetta o CADReportObject, PC-DMIS elimina automaticamente anche l'oggetto linea di associazione.


Oggetto Linea

L'oggetto Linea consente di inserire rapidamente una linea standard nel modulo o template. È possibile fare clic con il pulsante destro del mouse sulla linea inserita e modificare le relative proprietà.

Le proprietà più comuni di un oggetto Linea includono:

Proprietà | Descrizione
PenWidth (Larghezza penna) | Imposta la larghezza di una linea in pixel.
PenStyle (StilePenna) | Lo stile della linea viene modificato in Continua, Tratto, Punto, Tratto-Punto e Tratto-punto-punto.
Freccia | Consente di impostare una freccia sulla linea e di definire la direzione di tale freccia. È possibile scegliere uno dei seguenti formati: ----(nessuno) <--- ---> <--->(entrambe)
ArrowheadHeight (AltezzaFreccia) | Imposta l'altezza delle freccia in pixel.


Oggetto ListBox (CasellaRiepilogo)

L'oggetto ListBox (CasellaRiepilogo) consente di inserire un elenco aperto all'interno del modulo.

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. Per personalizzare ulteriormente questo oggetto sono disponibili le seguenti proprietà:

Proprietà

Descrizione

Accelerator (Tasto di scelta)

Consente di definire la lettera da utilizzare insieme al tasto ALT per creare un tasto di scelta per il controllo.

La lettera o il simbolo definito deve essere diverso da quello utilizzato per gli altri tasti di scelta, compresi quelli della barra dei menu.

UseColors (UsaColori)

Determina se il controllo deve utilizzare o meno i colori specificati nelle proprietà BackColor (ColoreSfondo) e TextColor (ColoreTesto).

Sort (Ordina)

Se si seleziona SÍ gli elementi dell'elenco vengono disposti in ordine alfabetico.

HorizontalScroll (BarraScorrimentoOrizzontale)

Se si seleziona Sempre la barra di scorrimento orizzontale viene visualizzata sulla casella di riepilogo, anche quando il testo di un elemento nell'elenco non è molto lungo e potrebbe essere visualizzato anche senza la barra di scorrimento.

Se si seleziona Nessuno la barra di scorrimento viene rimossa.

VerticalScroll (BarraScorrimentoVerticale)

Se si seleziona Sempre la barra di scorrimento verticale viene visualizzata sulla casella di riepilogo anche quando gli elementi nell'elenco non sono numerosi e potrebbero essere visualizzati anche senza la barra di scorrimento.

Se si seleziona Nessuno la barra di scorrimento viene rimossa.

UseTabstops (UsaTabulazioni)

Determina se la casella di riepilogo accetta o meno l'uso delle tabulazioni. Se la proprietà è impostata su SÍ, quando si preme il tasto di tabulazione la casella di riepilogo viene impostata come controllo attivo.

WantKeyInput (AccettaInputTastiera)

Determina se la casella di riepilogo accetta o meno gli input da tastiera.

RemoveSelection (RimuoviSelezione)

Se si seleziona SÍ viene rimossa la selezione registrata dalla casella di riepilogo (ListID, IDElenco).

ListID (IDElenco)

Rappresenta l'ID dell'elenco. È possibile impostare o ottenere tale ID utilizzando il controllo. È necessario usare il seguente formato:

item 1\r\nitem 2\r\nitem 3 (elemento 1\r\nelemento 2\r\nelemento 3) e così via.

ValueID (IDValore)

Rappresenta l'ID del valore. È possibile impostare o ottenere tale ID utilizzando il controllo.


Oggetto MultiEditBox (CasellaModificaPiùRighe)

L'oggetto MultiEditBox (CasellaModificaPiùRighe) consente di inserire un casella di modifica che supporta più righe di testo. Questo oggetto ha tutte le proprietà dell'oggetto EditBox (CasellaModifica) descritte in "Oggetto EditBox (CasellaModifica)", oltre a quelle elencate di seguito:

Proprietà

Descrizione

HorizontalScroll (BarraScorrimentoOrizzontale)

Se si seleziona Sempre la barra di scorrimento orizzontale viene visualizzata sulla casella di riepilogo, anche quando il testo di un elemento nell'elenco non è molto lungo e potrebbe essere visualizzato anche senza la barra di scorrimento.

Se si seleziona Nessuno la barra di scorrimento viene rimossa.

VerticalScroll (BarraScorrimentoVerticale)

Se si seleziona Sempre la barra di scorrimento verticale viene visualizzata sulla casella di riepilogo, anche quando il testo di un elemento nell'elenco non è molto lungo e potrebbe essere visualizzato anche senza la barra di scorrimento.

Se si seleziona Automatico la barra di scorrimento verticale viene visualizzata solo quando gli elementi nell'elenco sono numerosi e non possono essere contenuti nell'area di visualizzazione della casella.

Se si seleziona Nessuno la barra di scorrimento viene rimossa.


Oggetto OLE

L'oggetto OLE consente di incorporare o collegare un oggetto proveniente da un'altra applicazione all'interno del template o del modulo. Utilizzando questo oggetto è ad esempio possibile inserire un file Microsoft Excel modificabile nel template o nel modulo.

Una volta inserito l'oggetto OLE viene visualizzata una finestra di dialogo denominata Insert Object (Inserisci oggetto).

Finestra di dialogo Inserisci oggetto

Questa finestra di dialogo consente di selezionare il tipo di oggetto OLE tra quelli disponibili sul computer in uso. Gli oggetti OLE riportati nell'elenco sono univoci per ciascun computer e dipendono, tra l'altro, dai programmi installati.

Se si seleziona il pulsante Annulla non viene aggiunto alcun oggetto al rapporto HyperView e la finestra di dialogo viene chiusa.

Vedere anche:

Accesso ai metodi di automazione e alle proprietà di un oggetto OLE da Basic


Accesso ai metodi di automazione e alle proprietà di un oggetto OLE

Accesso ai metodi di automazione e alle proprietà di un oggetto OLE da Basic

Se è stato è aggiunto un controllo OLE, ad esempio il controllo Bitmap definito BITMAP, è possibile accedere ai metodi e alle proprietà di automazione dell'oggetto OLE da BASIC. Ad esempio, per aggiungere un codice programma e modificare la bitmap visualizzata, inserire i dati per un oggetto Foglio di lavoro Microsoft Excel incorporato oppure impostare il testo in un documento Word incorporato. Per poter accedere ai metodi e alle proprietà di automazione OLE per l'oggetto “BITMAP”, utilizzare il seguente codice:

AttachOLE("BITMAP_X")

La variabile dell'oggetto BITMAP_X può essere utilizzata come descritto di seguito:

BITMAP_X.{proprietà} = {valore}

oppure

BITMAP_X.{chiamata metodo automazione}.

Nota: per informazioni sui metodi e sulle proprietà disponibili, è necessario disporre della documentazione specifica relativa all'oggetto OLE in uso.


Oggetto Puntatore

L'oggetto Puntatore consente di inserire un puntatore colorato, mobile e dinamico nel modulo o nel template. Il colore predefinito è il giallo.

È possibile modificare la dimensione dell'oggetto, i relativi colori e altri attributi. È inoltre possibile muovere questo oggetto utilizzando il codice Visual BASIC insieme alle proprietà descritte di seguito:

Proprietà | Descrizione
ValueEq (EqValore) | Equazione valore. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da un codice VBScript. -$, $, CONST (COST)
MinimumEq (EqMinima) | Equazione minima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)
MaximumEq (EqMassima) | Equazione massima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript. -$, $, CONST (COST)

Suggerimento: se si modifica la direzione del puntatore, anche il movimento della freccia viene modificato in base alla direzione specificata.


Oggetto Polilinea

L'oggetto Polilinea consente di unire le linee per la costruzione di un'area. Quando si fa clic per creare la prima linea, viene tracciata automaticamente una seconda linea a partire dal punto finale della prima. Gli oggetti Polilinea contengono le stesse proprietà di un oggetto Linea standard, oltre a quelle indicate di seguito:

Proprietà | Descrizione
PenWidth (Larghezza penna) | Imposta la larghezza del bordo dell'oggetto in pixel.
HatchStyle (StileTratteggio) | Imposta il motivo (o tratteggio) da utilizzare per riempire il poligono ottenuto. I modelli disponibili sono: Orizzontale Verticale Diagonale Diagonale inversa Croce Croce diagonale
ShadowStyle (StileOmbreggiatura) | Imposta la posizione dell'ombreggiatura tridimensionale del poligono ottenuto. Le posizioni disponibili sono: Superiore/Sinistra, Inferiore/Destra o Nessuno.


Oggetto Radiobutton (PulsanteOpzione)

L'oggetto Radiobutton (PulsanteOpzione) consente di inserire pulsanti di opzione nel modulo. I pulsanti di opzione si escludono a vicenda, ovvero è possibile sezionarne solo uno alla volta all'interno di un rapporto. La proprietà ListItems (ElencoElementi) consente di definire una serie di pulsanti di opzione.

È possibile modificare la dimensione dell'oggetto, i colori e altri attributi. Per personalizzare ulteriormente questo oggetto sono disponibili le seguenti proprietà:

Proprietà | Descrizione
Bitmap | Consente di specificare un bitmap da utilizzare per un pulsante di opzione selezionato. Il bitmap specificato deve avere la forma di un pulsante di opzione standard.
BitmapOffState (StatoBitmapDisattivata) | Consente di specificare un bitmap da utilizzare per un pulsante di opzione deselezionato. Il bitmap specificato deve avere la forma di un pulsante di opzione standard.
AlignTextLeft (AllineamentoTestoSinistra) | Se questa proprietà è impostata su SÍ il testo viene spostato a sinistra del pulsante di opzione: Testo ( ) Se questa proprietà è impostata su NO, il testo viene spostato a destra del pulsante di opzione: ( ) Testo
ListItems (ElencoElementi) | Questa proprietà consente di definire un elenco di pulsanti di opzione con i relativi valori. Vedere la descrizione riportata nella finestra di dialogo List Choices (Elenco selezioni).
ValueID (IDValore) | Contiene le variabili CurPage (pagCor) e NumPages (NumPag) . È possibile impostare questa proprietà utilizzando il controllo relativo.

La proprietà ListItems (ElencoElementi) consente di visualizzare la finestra di dialogo List Choices (Elenco selezioni).

Finestra di dialogo elenco selezioni

In questa finestra di dialogo è possibile aggiungere, rinominare ed eliminare i pulsanti di opzione, oltre ad assegnare i valori numerici. In genere, quando si aggiunge una nuova opzione, il relativo valore aumenta automaticamente in modo che venga selezionato un solo pulsante alla volta. Tuttavia, in modalità di esecuzione, è possibile modificare i valori numerici per consentire la selezione di gruppi di opzioni con un semplice clic del mouse.

Ad esempio, si supponga di avere a disposizione cinque pulsanti di opzioni, indicate con le lettere dalla A alla E, e che siano stati modificati i valori assegnati ad essi:

Pulsanti di opzione | Valore
Opzione A | 0
Opzione B | 0
Opzione C | 1
Opzione D | 2
Opzione E | 2

Quando si attiva la modalità di esecuzione e si seleziona Opzione A, vengono selezionate sia Opzione A che Opzione B. Ciò si verifica in quanto alle due opzioni è stato assegnato lo stesso valore. Allo stesso modo, quando si seleziona Opzione E, viene selezionata sia Opzione D che Opzione E. All'Opzione C è stato invece assegnato un valore univoco, non consentendo quindi di selezionare altri pulsanti contemporaneamente.


Oggetto Seleziona

L'oggetto Seleziona consente di selezionare un oggetto già inserito nel rapporto HyperView. È sufficiente fare clic sull'oggetto nel rapporto per fare in modo che venga racchiuso in una cornice e in piccoli quadratini verdi. In questo modo viene indicato che l'oggetto è selezionato. Una volta selezionato, l'oggetto può essere spostato, ridimensionato o modificato.


Oggetto Slider (DispositivoScorrimento)

L'oggetto Slider consente di inserire un dispositivo di scorrimento all'interno del rapporto HyperView. Il dispositivo di scorrimento consente di impostare qualsiasi valore scegliendolo da un intervallo di valori continui.

È possibile modificare la dimensione dell'oggetto e altri attributi. Per personalizzare ulteriormente questo oggetto sono disponibili le seguenti proprietà:

Proprietà

Descrizione

Accelerator (Tasto di scelta)

Consente di definire la lettera da utilizzare insieme al tasto ALT per creare un tasto di scelta per il controllo.

La lettera o il simbolo definito deve essere diverso da quello utilizzato per gli altri tasti di scelta, compresi quelli della barra dei menu.

Orientamento

Imposta l'orientamento del dispositivo di scorrimento.

Se si seleziona Orizzontale il dispositivo di scorrimento si sposta da destra a sinistra e viceversa.

Se si seleziona Verticale il dispositivo di scorrimento si sposta dall'altro in basso e viceversa.

TickStyle (StileSegni)

Consente di definire il tipo di segni di graduazione visualizzati sul dispositivo di scorrimento.

0 – Entrambi:imposta i segni di graduazione sopra e sotto il dispositivo di scorrimento orizzontale oppure a destra e a sinistra di quello verticale.

1 - Superiore/Sinistra:imposta i segni di graduazione sopra il dispositivo di scorrimento orizzontale oppure a sinistra di quello verticale.

2- Inferiore/Destra: imposta i segni di graduazione sotto il dispositivo di scorrimento orizzontale oppure a destra di quello verticale.

AutoTicks (SegniAutomatici)

Se questa proprietà è impostata su SÍ i segni di graduazione vengono visualizzati sul dispositivo di scorrimento. Un segno di graduazione è costituito da una piccola linea verticale o orizzontale, posizionata lungo il dispositivo di scorrimento a intervalli definiti dalla proprietà TickFrequency (FrequenzaSegni).

TickFrequency (FrequenzaSegni)

Questo valore determina la frequenza di visualizzazione dei segni di graduazione. È possibile impostare da 2 a 200 segni di graduazione posti a intervalli regolari lungo il dispositivo di scorrimento.

HelpHotButton (PulsanteGuida)

Se si seleziona SÍ accanto alla casella di controllo viene visualizzato un pulsante a forma di punto interrogativo (?).

Se si fa clic su questo pulsante in modalità di esecuzione, viene visualizzata la Guida in linea di PC-DMIS.

ValueID (IDValore)

Rappresenta l'ID del valore. È possibile impostare o ottenere tale ID utilizzando il controllo.

MinimumEq (EqMinima)

Equazione minima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript.

-$, $, CONST (COST)

MaximumEq (EqMassima)

Equazione massima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript.

-$, $, CONST (COST)

DisplayID (IDVisualizzazione)

Determina l'aggiornamento automatico dell'ID di visualizzazione quando il dispositivo di scorrimento viene regolato.


Oggetto Spinner (CasellaSelezione)

L'oggetto Spinner (CasellaSelezione) consente di inserire il controllo corrispondente nel rapporto HyperView. È possibile impostare questo controllo in modo che sia disponibile in una casella di modifica e consenta di selezionare un valore numerico spostandosi tra un intervallo di numeri. L'intervallo dei numeri disponibili viene impostato mediante le proprietà MinimumEQ (EqMinima) e MaximumEQ (EqMassima).

È possibile modificare la dimensione verticale dell'oggetto e altri attributi. Per personalizzare ulteriormente questo oggetto sono disponibili le seguenti proprietà:

Proprietà

Descrizione

Accelerator (Tasto di scelta)

Consente di definire la lettera da utilizzare insieme al tasto ALT per creare un tasto di scelta per il controllo.

La lettera o il simbolo definito deve essere diverso da quello utilizzato per gli altri tasti di scelta, compresi quelli della barra dei menu.

Orientamento

Imposta l'orientamento del controllo della casella di selezione.

Se si seleziona l'opzione Orizzontale le frecce della casella di selezione vengono orientate orizzontalmente.

Se si seleziona l'opzione Verticale le frecce della casella di selezione vengono orientate verticalmente.

WrapAround (RitornoACapo)

Quando si aumenta o si diminuisce il valore nell'elenco fino al raggiungimento del valore minimo o massimo, è possibile impostare questa proprietà su SÍ per fare in modo che il rapporto venga riportato a capo all'inizio o alla fine dell'elenco.

EditBuddy (ModificaControlloAssociato)

Se si seleziona SÍ, la casella di selezione viene associata al controllo della casella di modifica che precede immediatamente la casella di selezione nell'ordine di tabulazione. È possibile visualizzare l'ordine di tabulazione selezionando un oggetto in modalità di modifica e premendo MAIUSC + INVIO.

DecimalBase (BaseDecimale)

Imposta la casella di selezione su base decimale quando si seleziona SÍ o su base esadecimale quando si seleziona NO.

IncrAccelerator (AcceleratoreIncr)

Questo valore determina l'incremento o il decremento del valore della casella di selezione quando si fa clic sulla freccia. Il valore predefinito è 1.

ValueID (IDValore)

Contiene le variabili CurPage (pagCor) e NumPages (NumPag) . È possibile impostare queste variabili utilizzando il controllo.

MinimumEq (EqMinima)

Equazione minima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript.

-$, $, CONST (COST)

MaximumEq (EqMassima)

Equazione massima. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da uno script VBScript.

-$, $, CONST (COST)


TextReportObject

L'oggetto TextReportObject consente di inserire un contenitore per i dati del rapporto testuale nel template rapporto. Quando si inserisce questo oggetto, viene inizialmente visualizzata una finestra con i dati del rapporto di esempio, utili per il progetto. Una volta applicato il template al rapporto, vengono utilizzati i dati del rapporto.

TextReportObject con dati di rapporto di esempio

Un TextReportObject con dati di rapporto di esempio

Una finestra di rapporto di esempio con dati di rapporto di esempio

È possibile modificare la visualizzazione dell'oggetto TextReportObject inserito selezionandolo, facendo clic con il pulsante destro del mouse e modificandone le proprietà.

Tra le proprietà specifiche di questo oggetto:

Proprietà

Descrizione

Colori

Consente di modificare i colori del testo visualizzato. Per impostazione predefinita, in PC-DMIS questo oggetto utilizza lo stesso schema di colori utilizzato nella modalità Comando della finestra di modifica, quindi facendo clic su questa proprietà viene visualizzato un messaggio in cui si chiede all'utente se desidera creare una serie di colori indipendente. Facendo clic su Sì, si apre la finestra di dialogo dell'editor dei colori. È possibile utilizzare questo editor per definire un nuovo schema di colori per il TextReportObject selezionato.

Vedere "Definizione Colori della Finestra di Modifica" in "Impostazione delle preferenze" per informazioni su come utilizzare l'editor dei colori.

Mostra Allineamenti

Mostra o nasconde gli allineamenti nel rapporto.

Mostra Commenti

Mostra o nasconde i commenti nel rapporto.

Mostra Dimensioni

Determina le dimensioni da visualizzare nel rapporto.

Tutto - Mostra tutte le dimensioni.

Nessuno - Non mostra nessuna dimensione.

Fuori tolleranza - Mostra solo le dimensioni fuori tolleranza.

Comprese nei limiti - Mostra solo le dimensioni entro i limiti di tolleranza.

Mostra Elementi

Mostra o nasconde gli elementi nel rapporto.

Mostra intestazione/piè di pagina

Mostra o nasconde le intestazioni e le note a piè di pagina del rapporto.

Mostra Movimenti

Mostra o nasconde i comandi di spostamento nel rapporto.

Mostra catture schermo

Mostra o nasconde le immagini catturate dello schermo nel rapporto.

Struttura delle regole

Accede all'Editor della struttura di regole per questo oggetto. In tal modo è possibile creare regole per stabilire quando e come le espressioni o i template di etichetta vengono utilizzati nell'oggetto.

I template di etichetta e le espressioni consentono di controllare quali dati del rapporto visualizzare in questo oggetto. Vedere "Informazioni sull'Editor della struttura di regole"


Oggetto Testo

L'oggetto Testo consente di inserire etichette di testo, descrizioni e contrassegni nel rapporto HyperView, in modo da renderlo più significativo. È possibile modificare la visualizzazione dell'oggetto testo inserito selezionandolo, facendo clic con il pulsante destro del mouse e modificandone le proprietà.

Le proprietà più comuni dell'oggetto testo includono:

Proprietà | Descrizione
Text | È il testo che viene visualizzato nell'oggetto.
Orientamento | Consente di ruotare l'oggetto testo in senso orizzontale o verticale. Tenere presente che solo alcuni caratteri possono essere visualizzati orizzontalmente, ad esempio il carattere MS SANS SERIF.
Allineamento | Consente di allineare il testo all'interno dell'oggetto. Sono disponibili i seguenti tipi di allineamento: Sinistra, Centro e Destra.


Oggetto TextVar (VarTesto)

L'oggetto TextVar consente di inserire del testo dinamico numerico nel rapporto HyperView. Questo oggetto è diverso dall'oggetto Testo perché elimina la proprietà TESTO e aggiunge le seguenti due proprietà:

Proprietà | Descrizione
ValueEq (EqValore) | Equazione valore. Questo valore può essere un numero costante, un valore definito da un'equazione semplice o un valore restituito da un codice VBScript. Il valore viene formattato e visualizzato durante l'esecuzione. -$, $, CONST (COST)
formato | Consente di definire il formato del valore numerico mediante il linguaggio 'C' standard. È necessario tuttavia utilizzare solo la parte numerica. Ad esempio, il formato %5.2lf diventa 5.2, %5d diventa5. Un'eccezione si verifica quando si utilizzano le variabili BOOLEANE, la stringa $ viene convertita in NO o SÍ.

Per utilizzare questo oggetto, modificare la proprietà ValueEq e impostarla in modo che visualizzi un valore numerico variabile.


 Edit Icon Property Sheet Icon Object Sheet Icon Toggle Ruler Icon View Snap Points Icon Toggle Ruler Icon Zoom In or Out Icon Group Icon Ungroup Icon Regroup Icon Align Edges Align Center Space Icon Make Same Size icon To Front or Back Icon Undo Icon Redo Icon

La barra di layout

La barra di layout rende disponibili gli strumenti necessari per disporre, organizzare e visualizzare gli oggetti nella griglia della modalità di modifica. Le funzionalità delle diverse icone vengono descritte negli argomenti riportati di seguito.

Vedere anche:

Modifica

Pagina delle proprietà

Object Sheet (Pagina dell'oggetto)

Toggle Grid (Attiva griglia)

View Snap Points (Visualizza punti di aggancio)

Toggle Ruler (Attiva righello)

Zoom In (Zoom avanti) o Zoom Out (Zoom indietro)

Group (Raggruppa)

Ungroup (Separa)

Regroup (Raggruppa di nuovo)

Align Edges (Allinea bordi)

Align Center (Allinea al centro)

Space (Spaziatura)

Stessa dimensione

To Front (In primo piano) o To Back (In secondo piano)

Annulla l'ultima azione

Ripete l'ultima azione annullata


Modifica

L'icona Modifica attiva la modalità Esecuzione per il template. Gli Editor Template rapporto e Template etichetta sono sempre in modalità Modifica. Questa icona è disponibile solo quando si utilizza l'Editor moduli.


Pagina delle proprietà

L'icona Property Sheet (Pagina delle proprietà) consente di visualizzare le proprietà dell'oggetto selezionato nella finestra del foglio delle proprietà. Nella finestra del foglio delle proprietà è possibile modificare le proprietà di un oggetto selezionato. È possibile modificare l'oggetto a cui sono associate le proprietà desiderate scegliendo un altro oggetto esistente dall'elenco nella parte superiore della finestra di dialogo del foglio delle proprietà.

Per informazioni complete sulle proprietà disponibili, vedere "Informazioni sulle proprietà dell'oggetto".


Object Sheet (Pagina dell'oggetto)

L'icona Object Sheet (Pagina dell'oggetto)consente di visualizzare la finestra di dialogo Object Sheet (Pagina dell'oggetto).

Finestra di dialogo Object Sheet (Pagina dell'oggetto)

È possibile impostare l'ordine di tabulazione degli oggetti e dei controlli generalmente utilizzati nelle finestre di dialogo, semplicemente modificando l'ordine di visualizzazione dell'oggetto in questa finestra di dialogo.

Quando si preme il tasto di tabulazione in modalità di esecuzione, PC-DMIS passa all'oggetto successivo definito nella finestra di dialogo e lo attiva. Soltanto alcuni oggetti possono essere modificati dal tasto di tabulazione. Il tasto di tabulazione funziona soltanto per gli oggetti visualizzati nella finestra di dialogo Object Sheet (Pagina dell'oggetto) alla cui sinistra è visualizzato un numero.


Toggle Grid (Attiva griglia)

L'icona Toggle Grid (Attiva griglia) consente di visualizzare o nascondere la griglia disponibile. In modalità di modifica, l'uso della griglia risulta particolarmente vantaggioso per modificare la dimensione degli oggetti, poiché presenta un punto ogni decimo di un pollice. Vedere "Uso della griglia".


View Snap Points (Visualizza punti di aggancio)

L'icona View Snap Points (Visualizza punti di aggancio) consente di visualizzare i punti di aggancio presenti su ogni oggetto. I punti di aggancio risultano utili per collegare gli oggetti alle linee. Ad esempio, è possibile creare una linea tra la descrizione di una casella di testo che fa riferimento a un oggetto, ad esempio un cerchio, utilizzando una linea per collegare i punti di aggancio presenti sulla descrizione della casella di testo e l'oggetto Cerchio. Quindi, in modo analogo a una linea di associazione, quando il cerchio viene spostato in una nuova posizione, le linee associate vengono allungate o ridotte per adattarsi alla nuova posizione del cerchio.

Per utilizzare i punti di aggancio nel modo illustrato nell'esempio, effettuare le seguenti operazioni:

  1. Creare un oggetto Cerchio.

  2. Creare un oggetto Linea.

  3. In modalità di modifica, selezionare l'icona View Snap Points (Visualizza punti di aggancio) dalla barra di layout. Negli oggetti presenti sulla griglia associati a un'area vengono visualizzati dei punti blu, che costituiscono i punti di aggancio.

    Cerchio di esempio che mostra cinque punti di aggancio

  4. Selezionare la linea e trascinare una delle estremità fino al punto di aggancio desiderato sul cerchio. Provare a spostare l'oggetto Cerchio. La linea è collegata al punto di aggancio dell'oggetto.

  5. Creare un oggetto testo per una descrizione del cerchio, quindi modificarlo inserendo una breve descrizione.

  6. Selezionare l'altra estremità della linea e trascinarla fino a uno dei punti di aggancio dell'oggetto testo.

  7. Selezionare e trascinare la descrizione della casella di testo oppure l'oggetto Cerchio. Si noti che l'oggetto Linea si allunga o si accorcia e si sposta in modo che sia presente sempre una linea retta tra i punti di aggancio dei due oggetti.

Per separare gli oggetti da un punto di aggancio, è sufficiente trascinare l'estremità collegata dell'oggetto fuori dell'area del punto di aggancio.

Confronto tra gli oggetti Punti di aggancio e gli oggetti Linea di associazione

L'oggetto Linea di associazione è generalmente più utilizzato rispetto ai punti di aggancio. Questo tipo di oggetto dispone di funzionalità molto simili a quelle dei punti di aggancio, ma è più semplice da utilizzare. Per ulteriori informazioni, vedere l'argomento "Oggetto linea associazione"). Uno dei vantaggi offerti dai punti di aggancio rispetto all'oggetto Linea di associazioneconsiste tuttavia nella capacità di supportare più linee tra gli oggetti e nella possibilità di posizionare la linea di collegamento esattamente sul punto di aggancio. Ad esempio, utilizzando i punti di aggancio è possibile creare un forma più complessa, direttamente in modalità di modifica, come illustrato di seguito:

Esempio di cilindro creato con due/quattro linee posizionate nei punti di aggancio sui due cerchi pieni.

Oggetti supportati

È possibile collegare agli oggetti che dispongono di punti di aggancio solo gli oggetti Linea e Polilinea. Di seguito vengono elencati gli oggetti con punti di aggancio:

  • Text

  • TextVar

  • bordo

  • Ellisse

  • Bitmap

  • Chiave colore dimensione

  • Istogramma

  • Testo elemento

  • Informazioni dimensione

  • Informazioni punto

Visualizza oggetti collegati

Su pagine complesse con molti oggetti, può risultare utile usare l'opzione di menu Vista | Indirizza per vedere la catena di oggetti connessi all'oggetto selezionato. Questa opzione di menu seleziona tutti gli oggetti connessi con punti di aggancio all'oggetto selezionato.


Toggle Ruler (Attiva righello)

L'icona Toggle Ruler (Attiva righello) consente di attivare o disattivare il righello situato nella parte superiore e a sinistra della griglia. Il righello mostra la dimensione della griglia in pollici e la posizione del cursore lungo l'asse orizzontale (righello superiore) e lungo l'asse verticale (righello laterale) della griglia.


Zoom In (Zoom avanti) o Zoom Out (Zoom indietro)

L'icona Zoom In o Zoom Out consente di eseguire lo zoom avanti (ingrandimento) o indietro (riduzione) del rapporto HyperView e inoltre di ripristinare la vista originale. Quando si fa clic su questa icona, vengono attivate le icone seguenti:

100% Zoom in - Permette di ingrandire il rapporto del 100 percento ad ogni click. È possibile fare clic fino cinque volte sull'icona, per ottenere un ingrandimento del 500%.

Zoom out 100% (Zoom indietro 100%) - Consente di ridurre il rapporto del 100% ad ogni clic. Se non è stato eseguito alcun ingrandimento, è possibile premere l'icona Zoom out 100% (Zoom indietro 100%) una sola volta.

Zoom to 1:1 (Zoom a 1:1) – Ripristina la dimensione del rapporto e la reimposta sullo zoom originario di 1 a 1.

Qualunque sia l'ingrandimento importato, PC-DMIS ripristina l'ingrandimento originale ogniqualvolta viene attivato un controllo che abbia modalitá "attavata" o "disattivata" (per esempio, facendo doppio clic su un Oggetto Rapporto Cad oppure Oggetto Griglia). Quando si ritorna all'ambiente di editing, l'ingrandimento ritorna al valore originario.


Group (Raggruppa)

L'icona Group (Raggruppa) consente di selezionare più oggetti e di raggrupparli. Gli oggetti raggruppati verranno visualizzati nell'editor come se si trattasse di un unico oggetto.

Per raggruppare più oggetti, selezionare tutti gli oggetti presenti nel gruppo mentre si tiene premuto il tasto MAIUSC oppure selezionare tutti gli oggetti tramite finestra, quindi fare clic sull'icona Group (Raggruppa).


Ungroup (Separa)

L'icona Ungroup (Separa) consente di ripristinare lo stato di origine (singolo) per gli oggetti inseriti in un gruppo. Per eseguire questa operazione selezionare un oggetto inserito in un gruppo, quindi fare clic su Ungroup (Separa).


Regroup (Raggruppa di nuovo)

L'icona Regroup (Raggruppa di nuovo) consente di raggruppare di nuovo l'ultimo insieme di oggetti per il quale è stato eseguito il comando di separazione dal gruppo, senza che sia necessario selezionare i singoli oggetti.


Align Edges (Allinea bordi)

L'icona Allinea bordi rende disponibili icone aggiuntive che consentono di disporre un insieme di oggetti selezionati lungo il relativo lato sinistro, destro, superiore o inferiore:

Allinea gli oggetti selezionati lungo il bordo sinistro

Allinea gli oggetti selezionati lungo il bordo destro

Allinea gli oggetti selezionati lungo il bordo superiore

Allinea gli oggetti selezionati lungo il bordo inferiore


Align Center (Allinea al centro)

L'icona Allinea al centro rende disponibili le icone aggiuntive riportate di seguito, che consentono di centrare gli oggetti selezionati in senso orizzontale o verticale:

Centra gli oggetti selezionati lungo l'asse orizzontale

Centra gli oggetti selezionati lungo l'asse verticale


Space (Spaziatura)

L'icona Space (Spaziatura) rende disponibili le icone aggiuntive riportate di seguito, che consentono di spaziare in modo uniforme gli oggetti orizzontalmente o verticalmente:

Spazia equamente gli oggetti selezionati lungo l'asse orizzontale

Spazia equamente gli oggetti selezionati lungo l'asse verticale


Stessa dimensione

L'icona Stessa dimensione rende disponibili le icone aggiuntive riportate di seguito, che consentono di impostare in modo equivalente le dimensioni di tutti gli oggetti selezionati relative alla larghezza, all'altezza o a entrambe:

Imposta larghezze uguali per gli oggetti selezionati

Imposta altezze uguali per gli oggetti selezionati

Imposta dimensioni uguali per la larghezza e l'altezza degli oggetti selezionati


To Front (In primo piano) o To Back (In secondo piano)

L'icona To Front (In primo piano) o To Back (In secondo piano) rende disponibili le icone aggiuntive riportate di seguito, che consentono di posizionare uno o più oggetti selezionati in primo piano o in secondo piano rispetto ad altri oggetti. L'uso di questa icona si rivela utile quando si hanno più oggetti sovrapposti e si desidera renderne visibili alcuni. Le icone disponibili includono:

Sposta gli oggetti selezionati davanti a tutti gli altri, in modo che vengano visualizzati in primo piano

Sposta gli oggetti selezionati dietro a tutti gli altri, in modo che vengano visualizzati in secondo piano


Annulla l'ultima azione

L'icona Annulla l'ultima azione annulla l'ultima azione eseguita nell'editor.


Uso della Griglia

Quando si utilizza un editor per moduli o template, PC-DMIS consente di visualizzare o nascondere una griglia in background nel modulo o nel template tramite l'icona Toggle Grid (Attiva griglia) dalla barra di layout oppure premendo CTRL + G.

Questa griglia può essere utilizzata per posizionare e/o dimensionare in modo accurato gli oggetti e per controllare le linee giuda dei margini del rapporto HyperView.

Esempio di contrassegni e linee guida di una griglia predefinita

Selezionare Modifica | Layout | Impostazioni griglia per accedere alla finestra di dialogo Impostazioni griglia.

Finestra di dialogo Impostazioni griglia

Con questa finestra di dialogo è possibile personalizzare la griglia. Per una descrizione dettagliata dei controlli di questa finestra di dialogo, si veda la seguente tabella:

Controllo Finestra di Dialogo

Descrizione

Casella di controllo Mostra Griglia

La casella di controllo Mostra Griglia attiva o disattiva la visualizzazione della griglia

Casella di controllo Aggancia alla griglia

La casella di controllo Aggancia alla griglia determina se i controlli posizionati sulla griglia devono essere spostati o agganciati alla posizione più vicina alla griglia.

Sezione di spaziatura

La sezione di spaziatura consente di impostare la quantità di spazio tra i contrassegni della griglia. Quanto più piccolo è questo valore, tanto più vicini tra loro saranno gli incroci della griglia.

Sezione Linee guida

La sezione Linee guida consente di determinare la posizione delle linee guida superiore, sinistra, destra e inferiore per l'Editor HyperView.

Il valore in ognuna di queste casella imposta la distanza in posizioni della grigia dove saranno impotate le linee guida. Impostando il valore a zero le linee guida saranno rimosse completamente.

Non è possibile posizionare oggetti oltre queste linee guida.


Ripete l'ultima azione annullata

L'icona Ripete l'ultima azione annullata esegue nuovamente l'azione precedentemente annullata tramite l'icona Annulla l'ultima azione.


Informazioni sui rapporti e sui template dei rapporti

Nelle versioni precedenti di PC-DMIS era necessario creare un rapporto per ciascun part-program; adesso è diverso. In PC-DMIS è possibile utilizzare i template di rapporto. Un template di rapporto non è un rapporto ma una descrizione di un rapporto. Il template descrive quali dati utilizzare in PC-DMIS per creare un rapporto, dove posizionarli e che aspetto avranno. È possibile utilizzare i template di rapporti per più part-program, standardizzando così rapidamente e facilmente l'aspetto di più rapporti.

I template possono essere utilizzati nell'Editor template rapporto. I file del template del rapporto hanno estensione .rtp e vengono creati nell'editor del template dei rapporti di PC-DMIS.

I file del template dei rapporti possono essere semplici o complessi. Un template di rapporto semplice contiene un solo TextReportObject mentre un template di rapporto complesso può contenere diversi oggetti, immagini bitmap, forme o anche voci che utilizzano il linguaggio delle espressioni per la creazione dei rapporti per illustrare dettagliatamente ciò che viene visualizzato dai dati del rapporto.

Importante: non confondere l'estensione del nome del file del template del rapporto, .rtp, con l'estensione del nome del file del rapporto HyperView, .rpt. Sono formati di file completamente diversi; non è possibile aprire un rapporto HyperView dall'Editor template rapporto. Mentre PC-DMIS 4.0 e versioni successive consentono di eseguire un rapporto HyperView incorporato, per modificare questi rapporti è necessario utilizzare una versione di PC-DMIS che supporti i file di rapporto (.rpt).

Vedere anche:

Informazioni sull'Editor template rapporto

Esercitazione - Creazione di un template per il rapporto personalizzato

Applicazione o rimozione di un template di rapporto

Condivisione dei template rapporto


Modalità Esecuzione - Questa modalità è disponibile solo nell'Editor moduli. In Modalità Esecuzione è possibile eseguire il modulo, testarlo per verificarne l'aspetto o il comportamento in un ambiente di esecuzione di part-program reale.

Modalità Modifica - È la modalità predefinita per tutti gli editor di creazione di rapporti ed è l'unica modalità per gli editor dei template per rapporti ed etichette.

Per alternare la modalità di esecuzione e di modifica, premere CTRL + E.

Informazioni sull'Editor template rapporto

Per accedere all'Editor template rapporto, selezionare Visualizza Mappa percorsi dei menu File | Rapporto | Nuovo | Template rapporto. È anche possibile aprire un template di rapporto esistente selezionando Visualizza Mappa percorsi dei menu File | Rapporto | Modifica | Template rapporto.

PC-DMIS visualizza l'Editor template rapporto in una nuova finestra.

Editor template rapporto

Editor template rapporto

L'Editor template rapporto è come un'area di lavoro in quanto consente di trascinare, determinare le dimensioni e posizionare vari oggetti e impostare le relative proprietà. Gli oggetti vanno posizionati nella parte superiore dell'area bianca, chiamata template o sezione. Per coloro che nelle precedenti versioni di PC-DMIS hanno utilizzato i rapporti HyperView, sarà molto facile utilizzare questo editor perché è molto simile e contiene molti elementi di interfaccia utente uguali.

Con il nuovo approccio di template per la creazione di rapporti, non è possibile attivare negli editor del template per il rapporto o le etichette la Modalità Esecuzione. Questi editor possono essere aperti solo in Modalità Modifica e non è possibile passare ad un'altra modalità. La Modalità Esecuzione può essere utilizzata con l'Editor moduli.

L'editor contiene i seguenti elementi:

  • Barra dei Menu

  • Barra dei caratteri (barra degli strumenti)

  • Barra degli oggetti (barra degli strumenti)

  • Barra del layout (barra degli strumenti)

  • Foglio delle proprietà degli oggetti

  • Sezioni

  • Uso della Griglia

Questi elementi sono illustrati dettagliatamente nell'argomento "Informazioni sulle interfacce dell'editor moduli e template".

Vedere anche:

Informazioni sulle sezioni


Informazioni sulle sezioni

Le sezioni costituiscono la principale area di modifica di un template. Da queste aree scorribili composte da schede dell'Editor template rapporto è possibile inserire oggetti nel template del rapporto corrente. Le sezioni consentono di controllare efficacemente la visualizzazione degli oggetti nel rapporto.

Nelle versioni precedenti a PC-DMIS 4.0, creare e gestire un rapporto HyperView di più pagine in cui alcuni oggetti venivano visualizzati solo in determinate pagine era piuttosto complesso. Richiedeva una parte di codice complessa con un buon numero di livelli per nascondere e mostrare i vari oggetti nelle singole pagine. Con il nuovo Editor template rapporto, è possibile aggiungere facilmente delle sezioni al template e creare ottimi rapporti con più sezioni.

Le sezioni, tuttavia, non sono come le pagine. Gli oggetti inseriti in una sezione non saranno visualizzati nelle altre sezioni ma in più pagine della stessa sezione. Questo approccio riduce la complessità della creazione delle voci di rapporti come intestazioni e titoli che si desidera restino statici.

Ad esempio, è possibile scegliere di posizionare una descrizione del rapporto e i dati sull'autore nella prima sezione del template, un TextReportObject nella seconda sezione e un CadReportObject nella terza sezione. Quindi, in base alla lunghezza dei dati del rapporto, ciascuna sezione del rapporto può occupare più pagine.

Le sezioni vengono utilizzate solo nell'Editor template rapporto. Prima della versione 4.0, la principale area di modifica per i rapporti HyperView era denominata "The Frame/The View". Questo nome viene ancora utilizzato nell'Editor moduli e nell'Editor template etichette in cui non vengono utilizzate le sezioni. Per l'Editor template rapporto, la "sezione" dell'editor è il posto in cui si inseriscono gli oggetti per la creazione di rapporti.

Per aggiungere una nuova sezione

  1. Assicurarsi che la finestra Editor template rapporto sia ingrandita.

  2. Scorrere il template fino alla fine.

  3. fare clic con il pulsante destro del mouse sulla scheda Sezione1.

  4. Selezionare Inserisci dal menu di scelta rapida. PC-DMIS inserisce una nuova sezione, Sezione2, nel template. Il template contiene adesso due sezioni, come in questo caso:

Per eliminare una sezione

  1. Assicurarsi che la finestra Editor template rapporto sia ingrandita.

  2. Scorrere il template fino alla fine.

  3. fare clic con il pulsante destro del mouse sulla scheda della sezione che si desidera eliminare.

  4. Selezionare Elimina dal menu di scelta rapida. PC-DMIS elimina la sezione.

Per modificare le proprietà di una sezione

  1. Assicurarsi che la finestra Editor template rapporto sia ingrandita.

  2. Scorrere il template fino alla fine.

  3. fare clic con il pulsante destro del mouse sulla sezione. Viene visualizzata la finestra di dialogo Proprietà.

  4. Modificare le proprietà. Per ridenominare una sezione, ridenominare la proprietà ObjectCode della sezione.


Creazione di un template per il rapporto personalizzato

Creare un part-program che misuri quattro cerchi

Creare un part-program che misuri quattro cerchi, simile a questo.

Facendo clic su queste icone, vengono avviate delle demo che mostrano come eseguire determinate attività.

  1. Selezionare File | Rapporto | Nuovo | Template rapporto per accedere all'Editor template rapporto. Viene automaticamente visualizzato un template per rapporti vuoto.

  2. Nascondere le barre degli strumenti non utilizzate facendo clic con il pulsante destro del mouse sulla relativa area e rimuovendo le barre degli strumenti.

  3. Nascondere le finestre di PC-DMIS non utilizzate selezionando la finestra aperta dal menu Visualizza.

  4. Ingrandire l'editor del template facendo clic sul pulsante di ingrandimento finestra dell'editor. La parola "RAPPORTO" viene visualizzata sullo sfondo dell'editor e in fondo viene riportata la scheda "Sezione1". L'Editor template rapporto è simile al seguente:

Suggerimento: quando si utilizza un editor di template, è utile nascondere le barre degli strumenti e le finestre di PC-DMIS più comunemente utilizzate per liberare spazio dalla schermata. Se si utilizzano spesso i template, è possibile creare un layout di schermata memorizzato. Per informazioni sui layout, vedere l'argomento "Barra strumenti Layout Finestra" dalla sezione "Uso delle barre degli strumenti" .

Pulsante di ingrandimento

Editor template rapporto

Passo 1: Editor template rapporto

  1. Da Barra oggetti, fare clic su un oggetto Testo.

  2. Inserirlo nel rapporto trascinando un rettangolo nella sezione corrente.Quando si rilascia il mouse, l'oggetto viene selezionato, come dimostrato dai piccoli quadrati di colore verde denominati handle visualizzati in corrispondenza degli angoli dell'oggetto.

  3. Selezionare l'oggetto Testo inserito e trascinare gli handle verdi in modo che l'altezza dell'oggetto sia di 1 pollice e la larghezza di 6 pollici. Utilizzare le barre del righello sui bordi superiore e sinistro dell'editor quando e come necessario. Selezionare Visualizza | Righello se non è visualizzato alcun righello.

  4. fare clic con il pulsante destro del mouse sull'oggetto Testo.

  5. Selezionare la proprietà BackColor e scegliere il colore blu chiaro (0.255.255).

  6. Selezionare la proprietà ForeColor e scegliere il colore blu scuro (0.0.128).

  7. Selezionare la proprietà LineWidth e impostare il valore su 5.

  8. Selezionare la proprietà Text e impostare il valore su "Rapporto personalizzato A".

  9. Selezionare la proprietà Font. Viene visualizzata la finestra di dialogo Font.

  10. Impostare Dimensione su 20, Stile su Grassetto e Fontsu Arial.

  11. Fare clic sul pulsante OK.

L'oggetto testo è stato formattato. Adesso è simile a questo:

Visualizza una breve demo dell'inserimento e della formattazione di un oggetto Testo

Oggetto Testo di esempio con handle

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

  1. Selezionare l'oggetto Testo creato nella fase precedente.

  2. Fare clic con il pulsante destro del mouse sull'oggetto. Viene visualizzata la finestra di dialogo Proprietà relativa a quell'oggetto sul lato destro dell'editor. Sul lato sinistro della finestra di dialogo vengono visualizzate le caselle di controllo accanto a molte proprietà. Tali caselle di controllo determinano le proprietà che possono essere definite dall'utente.

  3. Selezionare la casella di controllo alla sinistra della proprietà Testo. Viene visualizzata la finestra di dialogo Proprietà assegnate dall'utente in cui si chiede di determinare il messaggio che richiederà all'utente il valore della proprietà e quando visualizzare la richiesta all'utente.

  4. Nella casella Prompt, digitare "Digitare il titolo del rapporto".

  5. Selezionare l'opzione Richiedere quando viene eseguito il rapporto.

  6. Fare clic sul pulsante OK. La finestra di dialogo Proprietà assegnate dall'utente viene chiusa.

  7. Selezionare la casella di controllo alla sinistra della proprietà BackColor. Nella finestra di dialogo visualizzato, digitare "Scegliere adesso il colore dello sfondo" per la richiesta e scegliere di nuovo l'opzione Richiedere quando viene eseguito il rapporto.

  8. Fare clic sul pulsante OK. La finestra di dialogo Proprietà assegnate dall'utente viene chiusa.

In questa fase, sono state selezionate due proprietà che sono state rese assegnabili dall'utente. In tal modo, potranno essere impostate da qualsiasi utente eseguirà il part-program.

Vedere una breve demo sulla procedura per rendere le proprietà assegnabili dall'utente.

Esempio di Foglio delle Proprietá per un oggetto testo. Si notino le caselle di controllo selezionabili a sinistra.

Esempio di Foglio delle Proprietá per un oggetto Testo. Si notino le caselle di controllo selezionabili a sinistra.

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

È possibile controllare la demo mediante la barra presente in fondo a questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

  1. Dalla Barra oggetti dell'editor, fare clic sull'icona TextReportObject . Il puntatore a freccia del mouse viene sostituito da una croce.

  2. Aggiungere TextReportObject al template trascinando una casella nella sezione del template. PC-DMIS aggiunge automaticamente il testo del rapporto del riempitore predefinito. Quando si applica questo template al rapporto, PC-DMIS utilizzerà i dati del rapporto effettivo. Il testo del riempitore aiuta semplicemente a individuare l'aspetto del progetto. L'oggetto è simile al seguente:

  3. Assegnare all'oggetto dimensioni prossime all'ampiezza dell'oggetto Testo aggiunto in precedenza. Per scegliere le dimensioni dell'oggetto trascinare una delle caselle verdi che circondano l'oggetto.

  4. Selezionare l'oggetto Testo aggiunto in precedenza. Tenere premuto il tasto MAIUSC e selezionare TextReportObject.

  5. Tenendo premuti entrambi, utilizzare la barra layout e fare clic sulle icone Stessa dimensionee Allinea al centro per assegnare agli oggetti la stessa larghezze e per allinearli in modo che siano centrati tra il bordo destro e il bordo sinistro dell'editor.

Nella prima sezione del template viene ora riportato TextReportObject.

Vedi una breve demo sull'inserimento di TextReportObject e su alcuni aspetti dell'utilizzo della barra layout

Icona di TextReportObject

Oggetto rapporto testo con testo riempitore

Esempio di TextReportObject

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

  1. Assicurarsi che la finestra Editor template rapporto sia ingrandita.

  2. Scorrere il template fino alla fine.

  3. fare clic con il pulsante destro del mouse sulla scheda Sezione1.

  4. Selezionare Inserisci dal menu di scelta rapida. PC-DMIS inserisce una nuova sezione, Sezione2, nel template.

Il template contiene adesso due sezioni, come in questo caso:

Vedi una breve demo sulla creazione di nuove sezioni.

Esempio di due sezioni

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

  1. Fare clic sulla scheda Sezione2 per attivare la relativa sezione.

  2. Dalla Barra oggetti dell'editor, fare clic sull'icona CADReportObject . Il puntatore a freccia del mouse viene sostituito da una croce.

  3. Aggiungere CADReportObject al template trascinando una casella nella sezione del template. Assegnare alla casella dimensioni pari a 6 pollici di larghezza e 4 pollici di altezza. Per scegliere le dimensioni dell'oggetto trascinare una delle caselle verdi che circondano l'oggetto.

  4. Una volta completata la creazione della casella, viene visualizzata la Procedura guidata del layout etichetta. Questa procedura guidata mostra un pezzo fasullo circondato da alcune etichette fasulle. Questi elementi fasulli sono solo degli ausilii di progettazione per l'utilizzo dell'editor del template. È possibile utilizzare la procedura guidata per impostare rapidamente le etichette intorno al pezzo. Per informazioni dettagliate, vedere l'argomento "La procedura guidata del layout dell'etichetta". Quando si applica questo template al rapporto, PC-DMIS utilizzerà il disegno CAD effettivo e le informazioni sull'etichetta.

  5. Nella casella Conteggio etichetta impostare il valore 4.

  6. Passare a Pacchetto ellittico.

  7. Fare clic sul piccolo handle quadrato di colore bianco al centro del disegno CAD e trascinare il quadratino in senso orario o antiorario per ruotare le etichette lungo il percorso ellittico.

  8. Ruotare le etichette finché tutte e quattro si trovano sopra il disegno CAD e la sezione Anteprima layout della Procedura guidata del layout dell'etichetta sia simile a questa:

  9. Fare clic sul pulsante OK. PC-DMIS inserisce l'oggetto nella Sezione2.

Il layout della Sezione2 contiene adesso un CADReportObject simile a questo:

Vedere una breve demo sull'inserimento e l'utilizzo di CADReportObject

La sezione Anteprima layout contiene quattro etichette ellittiche sopra il disegno CAD

La sezione Anteprima layout contiene quattro etichette ellittiche sopra il disegno CAD

Esempio di un oggetto rapporto CAD che mostra quattro etichette fasulle sul pezzo fasullo

Esempio di un oggetto rapporto CAD che mostra quattro etichette fasulle sul pezzo fasullo

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

  1. Fare clic sulla scheda Sezione1 e fare clic con il pulsante destro del mouse sul TextReportObject inserito in precedenza.

  2. Dalla finestra di dialogo Proprietà, modificare le seguenti proprietà:
    Mostra Allineamenti - NO
    Mostra Commenti - NO
    Mostra Dimensioni - Nessuno
    Mostra Elementi- SÍ
    Mostra intestazione/piè di pagina - NO
    Mostra Movimenti - NO
    Mostra catture schermo - NO

  3. Fare clic sulla scheda Sezione2.

  4. fare clic con il pulsante destro del mouse sul CADReportObject aggiunto nella Sezione2. Nel lato destro della schermata viene visualizzata una finestra di dialogo agganciata Pagina delle proprietà. Nella finestra di dialogo sono presenti alcune proprietà specifiche dell'oggetto selezionato.

  5. Fare clic su Regole nella proprietà della Strutture di regole . Viene visualizzato l'Editor della struttura di regole :

  6. Espandere l'intestazione Elementi. Viene visualizzato un elenco di elementi.

  7. Espandere l'intestazione Cerchio. Viene visualizzato un elenco di diversi elementi cerchio.

  8. Fare clic sulla voce Cerchio misurato, quindi sul pulsante Aggiungi. In tal modo, si indica a PC-DMIS che si sta aggiungendo una regola che il template deve seguire. Viene visualizzata la finestra di dialogo Modifica regola . In questa finestra di dialogo è possibile creare il template del rapporto. In questo caso, si sta indicando al template del rapporto di fare qualcosa quando si rilevano cerchi misurati nei dati del rapporto del part-program.

  9. Selezionare l'opzione Usa template etichetta per il rapporto. La casella Nome etichetta adesso può essere modificata.

  10. Fare clic sul pulsante .... Viene visualizzata una finestra di dialogo Apri in cui è possibile selezionare un file del template specifico.

  11. Andare nella posizione in cui è installato PC-DMIS e aprire la directory secondaria Reporting. Selezionare l'etichetta summary.lbl e fare clic su Apri. Nella finestra di dialogo Modifica regola viene visualizzato il nome del template selezionato. Vedere "Informazioni sulle etichette e sui template delle etichette" per informazioni e per istruzioni sulla creazione delle etichette.

  12. Fare clic su OK per chiudere la finestra di dialogo Modifica regola e applicare la regola. La voce Cerchio misurato nell'elenco è riportata in grassetto per indicare che esiste una regola per quel tipo di elemento.

  13. Fare clic su OK per chiudere la finestra di dialogo Editor della struttura di regole.

È stata creata una regola che indica a PC-DMIS di utilizzare il template di etichetta summary.lbl per visualizzare le informazioni sul riepilogo relative al tipo di elemento del cerchio misurato.

Vedere una breve demo sulla determinazione delle informazioni che saranno visualizzate nel template del rapporto.

Proprietà delle regole

Proprietà della struttura delle regole

Finestra di dialogo Editor della struttura di regole

Finestra di dialogo Editor della struttura di regole

Finestra di dialogo Modifica regola

Finestra di dialogo Modifica regola

Una finestra di dialogo Apri di esempio che mostra diversi template dell'etichetta disponibili

Una finestra di dialogo Apri di esempio che mostra i template dell'etichetta disponibili

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

  1. Nell'Editor template rapporto, selezionare File | Salva. Nella finestra di dialogo Salva con nome salvare il template come test1.rtp.

  2. Selezionare File | Chiudi per chiudere l'Editor template rapporto.

  3. Selezionare Visualizza | Rapporto. Viene visualizzata la finestra Rapporto in cui è presente il template per il rapporto predefinito.

  4. Dalla barra degli strumenti Rapporto nella finestra Rapporto, fare clic sull'icona Finestra di dialogo selezione template . Viene visualizzata la finestra di dialogo Template rapporti.

  5. Aggiungere il rapporto alla finestra di dialogo Template rapporto facendo clic sul pulsante Aggiungi.

  6. Selezionare il file test1.rtp. Fare clic su Apri. PC-DMIS aggiunge una vista di anteprima del rapporto nella finestra di dialogo Template rapporto .

  7. Selezionare l'icona della miniatura del template e fare clic su Apri rapporto. PC-DMIS apre la finestra del rapporto con il template appena creato.

  8. Infine, eseguire il part-program. La prima volta che il part-program viene eseguito con il template per il rapporto, sarà visualizzata la finestra di dialogo Proprietà Assegnate dall'utente in cui viene chiesto all'utente di assegnare al rapporto un nuovo titolo e di impostare il colore dello sfondo.

  9. Impostare queste proprietà come desiderato e fare clic su OK. La finestra di dialogo si chiude e il part-program viene eseguito.

  10. Al termine dell'esecuzione, verranno visualizzati i dati del rapporto con il nuovo template.

Congratulazioni! L'esercitazione della personalizzazione del template del rapporto è stata completata.

Vedi una breve demo sulla scelta e il test di un template per un rapporto.

Finestra di dialogo Template rapporto con il file Test1.rtp

Finestra di dialogo Template rapporto con il file Test1.rtp

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

Creazione di un template per il rapporto personalizzato

In questo argomento viene illustrata l'esercitazione per la creazione di un semplice template per rapporti con alcuni oggetti ed etichette. Al termine l'utente avrà una conoscenza generale del funzionamento dei vari elementi e di come creare ed utilizzare template per rapporti personalizzati.

Nota: Per poter fornire informazioni utili per l'utilizzo degli editor per template, in questa esercitazione viene illustrato come creare un template per rapporto senza alcun oggetto iniziale. Tuttavia, per motivi pratici sarà molto più semplice personalizzare uno dei template standard che meglio risponde alle proprie esigenze.

Prima di iniziare questa esercitazione, creare un semplice part-program in grado di misurare quattro cerchi su un semplice pezzo. In questa esercitazione viene utilizzato il blocco di test Hexagon (Hexblock_Wireframe_Surface.igs).

Fare clic sui collegamenti sotto riportati per espandere o comprimere le singole fasi delle istruzioni, come necessario. In molte fasi è inclusa una demo. Per vedere la demo, è sufficiente fare clic sulle icone blu come la seguente:

Passo 1: Creazione di un template per il rapporto personalizzato vuoto

Passo 2: Inserimento e formattazione di un oggetto testo per un titolo di sezione

Passo 3: Come rendere le proprietà impostabili dall'utente

Passo 4: Aggiunta di TextReportObject

Passo 5: Aggiunta di una nuova sezione al template

Passo 6: Aggiunta di CADReportObject

Passo 7: Definizione delle informazioni sulla misurazione da visualizzare

Passo 8: Salvataggio e test del template


Applicazione o rimozione di un template di rapporto

  1. Selezionare la finestra Visualizza | Finestra Rapporto per visualizzare la finestra Rapporto.

  2. Dalla barra degli strumenti Rapporto nella finestra Rapporto, fare clic sull'icona Selezione template Finestra di dialogo Selezione template. La finestra di dialogo Template rapporto viene visualizzata con i template di rapporti disponibili come file .rtp:

Finestra di dialogo Template rapporto

Finestra di dialogo Template rapporto

È possibile utilizzare questa finestra di dialogo per gestire i template rapporto.

  1. Dalla finestra di dialogo Template rapporto, fare clic sul pulsante Aggiungi. Viene visualizzata la finestra di dialogo standard Apri.

    Finestra di dialogo Apri
    Finestra di dialogo Apri

  2. Andare nella posizione del file del template di rapporto e fare clic su Apri.

  3. PC-DMIS aggiunge il template all'immagine in miniatura A e il template sarà visualizzato nella finestra di dialogo Template rapporto.

  4. La finestra di dialogo può contenere pochi o molti template. Per modificare le dimensioni della finestra di dialogo per adattarle alle proprie esigenze, trascinare i bordi della finestra di dialogo nella nuova posizione.

Finestra di dialogo Template rapporto

  1. Dalla finestra di dialogo Template rapporto, selezionare un template.

  2. Fare clic sul pulsante Rimuovi (per rimuovere tutti i template, fare clic su Rimuovi tutto).

  3. PC-DMIS rimuove il template del rapporto dalla finestra di dialogo Template rapporto.

Quando vengono rimossi, i template del rapporto non vengono eliminati. Vengono solo rimossi da questa finestra di dialogo. Sarà possibile aggiungerli in seguito utilizzando il pulsante Aggiungi.

Finestra di dialogo Template rapporto

Applicazione o rimozione di un template di rapporto

Per applicare un template di rapporto ai risultati della misurazione oppure per rimuovere un template di rapporto, è necessario accedere prima alla finestra di dialogo Template rapporto:

Per accedere alla finestra di dialogo Template rapporto:

Per aggiungere un template rapporto:

Per rimuovere un template rapporto:

Nota: I template elencati nella finestra di dialogo Template rapporto sono diversi per ciascun account del sistema operativo Windows.


Condivisione dei template rapporto

Un template rapporto può essere facilmente condiviso con altri utenti. Quando si salva un template rapporto, PC-DMIS salva automaticamente una copia di tutti i template etichetta associati nello stesso template rapporto. In questo modo, se si desidera condividere un template rapporto non sarà necessario inviarlo a tutti i template etichetta associati. Anche in tal caso, il template rapporto verificherà prima la presenza di file di template etichetta nella directory. Se ne trova, li usa. Se non esiste un file di template etichetta, il template rapporto utilizzerà la versione copia del file template etichetta memorizzato nello stesso template rapporto.

Spostare il mouse sul seguente diagramma per un esempio:


Informazioni sulle etichette e sui template delle etichette

Le etichette sono delle nuove nozioni nella creazione dei rapporti in PC-DMIS. Un template di etichetta è come un template di mini rapporto che viene associato a uno o più comandi specifici nel rapporto. In tal modo è possibile gestire più liberamente i dati da includere nel rapporto. Ad esempio, è possibile visualizzare etichette per dimensioni, per elementi misurati, per elementi automatici e così via.

Vedere un'etichetta di esempio:

PC-DMIS viene fornito con più etichette standard che è possibile associare a oggetti nei template rapporti. Tuttavia, come con i template Rapporti, è possibile creare anche dei template etichetta personalizzati. I template di etichetta possono contenere qualsiasi oggetto della barra oggetto dell'Editor template etichette ma contengono di solito gli oggetti GridControlObject o Graph.

L'Editor template etichette viene utilizzato per creare template di etichette.

Vedere anche:

Informazioni sull'Editor template etichette

Esercitazione - Creazione di template di etichette

Utilizzo di etichette nei rapporti

Disposizione delle etichette nella finestra Rapporto

Utilizzo del comando Tabella/Formato


Modalità Esecuzione - Questa modalità è disponibile solo nell'Editor moduli. In Modalità Esecuzione è possibile eseguire il modulo, testarlo per verificarne l'aspetto o il comportamento in un ambiente di esecuzione di part-program reale.

Modalità Modifica - È la modalità predefinita per tutti gli editor di creazione di rapporti ed è l'unica modalità per gli editor dei template per rapporti ed etichette.

Per alternare la modalità di esecuzione e di modifica, premere CTRL + E.

Informazioni sull'Editor template etichette

Per accedere all'Editor template etichette, selezionare Visualizza Mappa percorsi dei menu File | Rapporto | Nuovo | Template etichette. È anche possibile aprire un template di etichette esistente selezionando Visualizza Mappa percorsi dei menu File | Rapporto | Modifica | Template etichette.

PC-DMIS visualizza l'Editor template etichette in una nuova finestra.

Editor template etichette

Editor template etichette

Questo editor è simile all'Editor template rapporto e all'Editor moduli; ad eccezione di alcune differenze nella relativa barra degli oggetti, l'interfaccia utente è essenzialmente la stessa. Sebbene sia tecnicamente possibile posizionare qualsiasi oggetto dalla barra degli oggetti dell'Editor template etichette in un template etichette, in genere si utilizzerà GridControlObject. Il template etichette è il quadrato bianco dalle dimensioni modificabili nella parte superiore dello sfondo "ETICHETTA".

Con il nuovo approccio di template per la creazione di rapporti, non è possibile attivare negli editor del template per il rapporto o le etichette la Modalità Esecuzione. Questi editor possono essere aperti solo in Modalità Modifica e non è possibile passare ad un'altra modalità. La Modalità Esecuzione può essere utilizzata con l'Editor moduli.

L'editor contiene i seguenti elementi:

  • Barra dei Menu

  • Barra dei caratteri (barra degli strumenti)

  • Barra degli oggetti (barra degli strumenti)

  • Barra del layout (barra degli strumenti)

  • Foglio delle proprietà degli oggetti

Questi elementi sono illustrati dettagliatamente nell'argomento "Informazioni sulle interfacce dell'editor moduli e template".


Creazione di template di etichette

  1. Selezionare File | Rapporto | Nuovo | Template etichette per accedere all'Editor template etichette. Viene automaticamente visualizzato un template per etichette vuoto.

  2. Nascondere le barre degli strumenti non utilizzate facendo clic con il pulsante destro del mouse sulla relativa area e rimuovendo le barre degli strumenti.

  3. Nascondere le finestre di PC-DMIS non utilizzate selezionando la finestra aperta dal menu Visualizza.

  4. Ingrandire l'editor del template facendo clic sul pulsante di ingrandimento finestra dell'editor. La parola "ETICHETTA" viene visualizzata sullo sfondo dell'editor.

  5. Assegnare a The Frame/The View nella sezione per la modifica del template per l'etichetta una larghezza di 4 pollici e un'altezza di 1,5 pollici. A tale scopo, trascinare il mouse sull'angolo in basso a destro del template dell'etichetta. Utilizzare il righello come guida.

È stato creato un template per l'etichetta vuoto. Terminato questo passo, si ottiene un risultato simile a questo:

Suggerimento: quando si utilizzano uno o più editor di template, è utile nascondere le più comuni barre degli strumenti e finestre di PC-DMIS per liberare spazio dalla schermata. Se si utilizzano spesso i template, è possibile creare un layout di schermata memorizzato. Per informazioni sui layout, vedere l'argomento "Barra strumenti Layout Finestra" dalla sezione "Uso delle barre degli strumenti" .

Pulsante di ingrandimento

Editor template etichette

Editor template etichette

  1. Fare clic sull'icona CommandTextObject . Il puntatore del mouse si trasforma in croce.

  2. Utilizzando il puntatore, disegnare una casella di 3 pollici di larghezza e 5 pollici di altezza. Un CommandTextObject viene inserito nel template per etichette. Fare clic con il pulsante destro del mouse su tale oggetto per aprire la finestra di dialogo Proprietà.

  3. Selezionare la proprietà Colori. Se viene chiesto di definire un set di colori indipendente dai colori predefiniti dell'applicazione, fare clic su Sì.

  4. Viene visualizzato l'editor dei colori. Questo editor consente di definire i colori della finestra di modifica. Tuttavia, in tal caso, potrà essere utilizzato solo per il CommandTextObject corrente.

  5. In Colore di Sfondo, fare clic su Modifica. Viene visualizzata la finestra di dialogo standard Colore.

  6. Assegnare al colore di sfondo dell'oggetto il blu scuro. A tale scopo, nelle caselle Rosso, Verde e Blu impostare i valori 0, 0, 128, rispettivamente. Fare clic sul pulsante OK.

  7. Nella casella Deselezionato, fare clic su Modifica. Viene visualizzata la finestra di dialogo standard Colore.

  8. Selezionare il bianco e fare clic su OK. Se viene chiesto se modificare gli elementi figlio delle voci, fare clic su No.

  9. Utilizzare un'immagine bitmap di un cerchio (oppure un oggetto Ellisse per disegnare un cerchio) e posizionarla in alto a destra nella tela.

È stato aggiunto CommandTextObject e un oggetto statico Bitmap o Ellissi per un cerchio nel template etichetta. Alla fine di questo passo, il template per etichette è simile al seguente:

Template per le etichette con CommandTextObject e un oggetto Bitmap statico

  1. Fare clic sull'icona GridControlObject . Il puntatore del mouse si trasforma in croce.

  2. Con il puntatore, trascinare una casella per l'oggetto sotto il CommandTextOjbect precedentemente inserito, in modo che abbiano la stessa larghezza.

  3. Scegliere l'altezza in modo che occupi quasi completamente la parte restante di Frame/The View. Al termine, la griglia conterrà diverse righe e colonne.

  4. Accedere alle proprietà dell'oggetto e impostare per Colonne e Righe il valore 3.

  5. Selezionare l'oggetto e selezionare una cella. A tale scopo, fare doppio clic sulla prima cella nella riga superiore. La cella verrà evidenziata con il colore blu per lo sfondo per mostrare che è stata selezionata.

  6. Selezionare tutta la prima riga. A tale scopo, selezionare la prima cella e tenendo premuto il tasto MAIUSC fare clic sull'ultima cella di quella riga. Sarà selezionata l'intera cella. PC-DMIS evidenzia l'intera riga.

  7. Fare clic con il pulsante destro del mouse. Viene visualizzata la finestra di dialogo dell'oggetto. In questa finestra di dialogo è possibile controllare la formattazione delle celle selezionate, inserire testo ed espressioni.

  8. Fare clic sul pulsante Unisci per unire le celle selezionate.

  9. Impostare il colore dello sfondo per la cella unita. Fare clic sul pulsante Colore dello sfondo. Viene visualizzata la finestra di dialogo Colore. Scegliere il colore blu scuro e fare clic su OK.

  10. Impostare il colore dello testo per la cella unita. Fare clic sul pulsante Colore del testo e selezionare il bianco nello stesso modo.

  11. Creare delle intestazioni. Selezionare la prima cella nella seconda riga e fare clic con il pulsante destro del mouse per aprire la finestra di dialogo. Nella casella Espressione cella, digitare "X misurato". Chiudere la finestra di dialogo e ripetere il processo nella seconda cella, digitando "Y misurato". Infine, ripetere di nuovo l'operazione per l'ultima cella, digitando "Z misurato".

  12. Selezionare tutta la seconda riga. Fare clic con il pulsante destro del mouse e utilizzare la finestra di dialogo per selezionare il verde chiaro come colore dello sfondo.

  13. In Giustificazione cella, in Verticale, fare clic sul pulsante centrale per centrare in senso verticale il testo nelle celle.

  14. Fare clic su OK per chiudere la finestra di dialogo e deselezionare l'oggetto.

GridControlObject è stato inserito ed è stato illustrato come modificare il numero di righe e colonne. È stato illustrato come aggiungere testo in una cella e come formattare la griglia utilizzando la finestra di dialogo speciale di questo oggetto. Terminato questo passo, il template per etichette è simile a questo:

Etichetta che mostra l'oggetto GridControlObject inserito e formattato

La finestra di dialogo di GridControlObject

La finestra di dialogo di GridControlObject

  1. Selezionare la prima riga di GridControlObject.

  2. Una volta selezionata la riga, digitare "=ID" direttamente nella cella. In tal modo, si comunica a PC-DMIS che si desidera visualizzare l'ID dell'elemento nella cella.

  3. Selezionare la prima cella nella terza riga e digitare "=MIS_X"

  4. Selezionare la seconda cella e digitare "=MIS_Y".

  5. Selezionare la terza cella e digitare "=MIS_Z". Queste espressioni comunicano a PC-DMIS che si desidera visualizzare i valori X, Y e Z dell'elemento. Quando si deseleziona l'oggetto, vengono visualizzati i valori dell'espressione dal testo di riempimento utilizzato dall'oggetto. Per informazioni sulle espressioni, vedere "Informazioni sulle espressioni dei rapporti".

  6. Utilizzare l'oggetto Bordo e disegnare un oggetto bordo intorno all'etichetta. Può essere necessario modificare le dimensioni dell'etichetta e impostarle su circa 4,5 pollici per la larghezza e 2 pollici per l'altezza.

  7. fare clic con il pulsante destro del mouse sul bordo e assegnare 2 come larghezza della linea.

  8. Regolare la posizione del contenuto in modo da farlo rientrare nei bordi.

Sono state aggiunte alcune espressioni del rapporto nel template dell'etichetta ed è stato disegnato un bordo intorno al template prima di testarlo. Terminato questo passo, il template è simile a questo:

Etichetta con i risultati delle espressioni

  1. Selezionare File | Salva per salvare il template dell'etichetta. Nella finestra di dialogo Salva con nome, assegnare al template il nome "TestLabel.lbl".

  2. Selezionare File | Chiudi per chiudere questo editor del template.

  3. Selezionare File | Rapporto | Modifica | Template rapporto, quindi selezionare il file di template Test1.rtp creato durante l'esercitazione precedente.

  4. Selezionare l'oggetto TextReportObject inserito nella prima sezione del template rapporto e accedere alle relative proprietà.

  5. Utilizzare l'Editor della struttura di regole e la finestra di dialogo Modifica regola per creare una regola per la visualizzazione di TestLabel.lbl in quell'oggetto TextReportObject per tutti i cerchi misurati. La procedura per la creazione di regole è disponibile nell'argomento "Definizione di una regola".

  6. Selezionare File | Salva per salvare il template del rapporto.

  7. Selezionare File | Chiudi per chiuderlo.

  8. Eseguire il part-program e applicare il template.

  9. Selezionare la finestra Vista | Rapporto per visualizzare il rapporto finale.

Una volta salvato e testato, il template dell'etichetta è simile a questo:

Esempio di finestra del rapporto con etichetta

Esempio di una finestra del rapporto con l'etichetta appena creata. Sono anche presenti i dati del punto centrale X, Y e Z misurati per ciascun elemento cerchio.

Finora, sull'etichetta vengono visualizzati i valori XYZ dei centri del cerchio. Si supponga invece di volere i dati dei singoli punti. A tale scopo, è possibile utilizzare le righe a ripetizione.

  1. Selezionare File | Rapporto | Modifica | Template etichette. Selezionare TestLabel.lbl dalla finestra di dialogo e fare clic su Apri. PC-DMIS carica l'Editor template etichetta e visualizza TestLabel.lbl.

  2. Accedere a GridControlObject.

  3. Selezionare la prima cella nella terza riga. Una volta selezionata la cella, fare clic con il pulsante destro del mouse per visualizzare la finestra di dialogo di GridControlObject.

  4. Fare clic sulla scheda Riga.

  5. Selezionare la casella di controllo Gruppo ripetizione. In tal modo, si comunica a PC-DMIS di voler rendere quella riga ripetibile. La finestra di dialogo Ripeti espressione diventa disponibile. La riga, a questo punto, contiene segnalatori arancione sul lato sinistro e destro. Tali segnalatori indicano che la riga è una riga di ripetizione.

  6. Digitare "=N_HITS" nella casella Ripeti espressione. In tal modo, si indica a PC-DMIS di calcolare il numero totale di punti nell'elemento e ripetere la riga per ciascun punto disponibile.

  7. Fare clic sulla scheda Cella. Viene visualizzato "=MIS_X" nella casella Espressione cella. Aggiungere ":N" all'espressione in modo da avere "=MIS_X:N". In tal modo, si comunica a PC-DMIS di ripetere l'espressione in quella cella per ciascun punto disponibile.

  8. Selezionare le altre due celle nella riga e modificarle in modo da avere il codice ":N" aggiunto: "=MIS_Y:N" e "=MIS_Z:N".

  9. Poiché le etichette si espanderanno per includere tutti i dati inviati a GridControlObject, quando viene ripetuta la riga, non è necessario regolare le dimensioni dell'etichetta.

  10. Fare clic su OK per chiudere la finestra di dialogo di GridControlObject.

  11. Salvare il template dell'etichetta e aprire la finestra Rapporto. Fare clic sull'icona Ridisegna rapporto dalla barra degli strumenti per il rapporto per visualizzare le ultime modifiche. Si può notare che anziché visualizzare i dati del punto centrale per i cerchi, vengono visualizzati i singoli punti.

È stato illustrato come creare una riga di ripetizione di base per contare e visualizzare più voci di dati senza dover creare diversi template per rapporto con diverse configurazioni di riga.

Le barre arancione indicano una riga di ripetizione

Una riga con segnalatori arancione

  1. Aprire il template TestLabel.lbl e selezionare il GridControlObject esistente.

  2. Selezionare la prima riga. Una volta selezionata la riga, fare clic con il pulsante destro del mouse per visualizzare la finestra di dialogo di GridControlObject.

  3. Fare clic sul pulsante Disunisci celle, La singola cella che fa parte della prima riga viene divisa in tre celle.

  4. Eliminare il testo dell'espressione "=ID" nella prima cella. Questa espressione non è indispensabile nel template di etichetta finale perché CommandTextObject viene visualizzato automaticamente.

  5. Utilizzare i pulsanti Colore di Sfondo e Colore del testo per impostare il colore bianco per lo sfondo della cella e il nero per il testo.

  6. Eliminare le righe di colonna interne nella prima riga. A tale scopo, selezionare la prima cella, aprire la finestra di dialogo e nella scheda Cella, nella sezione Righe, modificare il valore della riga nell'elenco Destra da Sottile a Nessuno. Ripetere questa operazione anche per la cella centrale.

  7. Fare clic su OK per chiudere la finestra di dialogo di GridControlObject. Anche se nel template dell'etichetta può sembrare che le celle siano unite, in realtà le righe della colonna in quelle celle sono soltanto nascoste.

  8. Selezionare la cella sinistra nella prima riga e accedere alla finestra di dialogo.

  9. Fare clic sulla scheda Colonna. Nella casella di riepilogo Colonna, digitare "X misurato". Fare clic su OK per chiudere la finestra di dialogo di GridControlObject.

  10. Ripetere questa operazione per le celle centrale e destra, digitando "Y misurato" e "Z misurato", rispettivamente. Queste intestazioni di colonna saranno utilizzate in seguito per controllare la visibilità e l'ordine delle singole colonne.

  11. Selezionare l'oggetto CommandTextObject aggiunto in precedenza al template e trascinarlo fino alla parte superiore della prima riga di GridControlObject.

  12. Modificare la posizione o le dimensioni dell'oggetto Ellisse o Bitmap del cerchio creato in precedenza in modo che sia centrato sul lato destro di GridControlObject.

  13. Selezionare e trascinare la riga superiore dell'oggetto Bordo fino a posizionarla sopra GridControlObject.

  14. Trascinare una casella intorno a tutti gli oggetti nell'etichetta per selezionarli tutti. Quindi, trascinare quegli oggetti in alto a sinistra in modo che coprano la tela dell'etichetta.

  15. Fare clic con il pulsante destro del mouse per accedere alle proprietà di GridControlObject.

  16. Digitare "TestTableFormat" nella proprietà del formato della tabella e premere il tasto di tabulazione.

  17. Salvare e chiudere il template dell'etichetta.

In questo passo, è stato illustrato come disunire le celle, impostare le proprietà della linea della cella, inserire le intestazioni di colonna e selezionare e spostare più oggetti. Definendo le intestazioni della colonna è possibile controllare la visibilità e l'ordine delle colonne immediatamente. Terminato questo passo, il template per etichette è simile a questo:

  1. Aprire il template per il rapporto, Test1.rtp, nell'Editor del template del rapporto.

  2. Selezionare il TextReportObject e fare clic con il pulsante destro del mouse per accedere alla finestra di dialogo Proprietà.

  3. Nella proprietà Strutture di regole, fare clic su Regole per accedere alla finestra di dialogo Editor della struttura di regole.

  4. Utilizzare l'Editor della struttura di regole e andare alla regola creata in precedenza.

  5. Selezionare la regola e fare clic su Modifica. Viene visualizzata la finestra di dialogo Modifica regola.

  6. Fare clic sul pulsante Formato griglia. Viene visualizzata la finestra di dialogo Proprietà formato tabella.

  7. Nella casella Nome nuova tabella, digitare "TestTableFormat" e fare clic su Aggiungi tabella.

  8. Nella casella di modifica dell'elenco Colonne, digitare "Measured X" e fare clic su Aggiungi colonna.

  9. Aggiungere colonne per "Measured Y" e "Measured Z" con la stessa procedura.

  10. Fare clic su OK nelle varie finestre di dialogo fino a visualizzare nuovamente l'editor del template per rapporti.

  11. Selezionare File | Salva per salvare il template del rapporto.

  12. Selezionare File | Chiudi per chiudere l'Editor template rapporto.

In questo passo, le colonne di GridControlObject sono state associate alla tabella TestTableFormat nella finestra di dialogo Proprietà formato tabella aggiungendo colonne con lo stesso nome e assegnando alla tabella lo stesso nome assegnato alla proprietà del formato della tabella. Poiché fino a questo punto l'ordine o la visibilità non sono stati modificati, la tabella appena creata nella finestra di dialogo è simile a questa:

Finestra di dialogo Proprietà formato tabella con la tabella TESTTABLEFORMAT appena creata

Finestra di dialogo Proprietà formato tabella con la tabella TestTableFormat appena creata

  1. Se non è visibile, selezionare Visualizza | Finestra di modifica per visualizzare la finestra di modifica.

  2. Attivare la modalità Comando per la finestra di modifica.

  3. Selezionare Inserisci | Comando Rapporto | Formato tabella. Viene visualizzata la finestra di dialogo Proprietà formato tabella.

  4. Dall'elenco ID tabella, selezionare la tabella TESTTABLEFORMAT. Nella sezione Colonne vengono visualizzate le colonne disponibili in questo formato di tabella personalizzato.

  5. Deselezionare la casella Measured Z per nascondere quella colonna nel rapporto finale.

  6. Selezionare Measured Y e fare clic sulla freccia verso l'alto accanto alla sezione Colonne per riordinare la colonna Measured Y in modo che venga visualizzata per prima nel rapporto.

  7. Fare clic sul pulsante OK. PC-DMIS inserisce un comando TABELLA/FORMATO nella finestra di modifica. Questo comando consente di controllare la visibilità e l'ordine delle colonne.

  8. Salvare ed eseguire il part-program. Quando PC-DMIS è in esecuzione, l'ordine dei valori Measured X e Measured Y viene modificato e la colonna Z viene nascosta

Nel passo finale, è stato illustrato come inserire ed utilizzare un comando TABELLA/FORMATO per definire l'ordine e la visibilità delle colonne nel template per etichette. Il rapporto completato è simile a questo:

Il rapporto completato con le colonne Measured Y e X

TABELLA/FORMATO,TESTTABLEFORMAT

COLONNA/ORDINE,MEASURED Y,MEASURED X, ,

RIGA/ORDINE

Creazione di template di etichette

In questo argomento viene illustrata l'esercitazione per la creazione di un semplice template per etichette con alcuni oggetti e con un GridControlObject. Dovrebbe essere sufficiente per avere una panoramica del funzionamento dei template per etichette in modo da poterli utilizzare per visualizzare informazioni personalizzate nei rapporti.

Questa esercitazione utilizza le nozioni apprese nell'esercitazione "Creazione di un template per il rapporto personalizzato"; è necessario, quindi, completare prima quella esercitazione.

Passo 1: Creazione di un template per etichette vuoto

Passo 2: Aggiunta di un CommandTextObject e di informazioni statiche al template

Passo 3: Inserimento e formattazione di un GridControlObject

Passo 4: Aggiunta di espressioni in un GridControlObject

Passo 5: Salvataggio e test di un template per etichette

Passo 6: Creazione di una riga a ripetizione

Passo 7: Utilizzare la scheda Colonne per definire le colonne

Passo 8: Definire una tabella di formato griglia

Passo 9: Utilizzare il comando Tabella/Formato per controllare la visibilità e l'ordine delle colonne


Utilizzo di etichette nei rapporti

Per utilizzare le etichette nei rapporti, è necessario aprire un template dei rapporti e aggiungere almeno uno di questi oggetti:

  • Oggetto Etichetta

  • TextReportObject

  • CadReportObject

Per accedere alla finestra di dialogo Proprietà di un oggetto esistente, fare clic con il pulsante destro del mouse sull'oggetto. Quindi, utilizzare l'Editor della struttura di regole per definire le regole per uno o più template di etichette.

Quando si applica il template del rapporto, saranno seguite le regole specificate e saranno utilizzati i template di etichetta scelti.


Disposizione delle etichette nella finestra Rapporto

Quando il template rapporto riceve i dati del part-program, deve stabilire le dimensioni delle etichette dinamicamente per adattare i dati. Quindi, queste etichette possono non essere nella posizione migliore oppure possono sovrapporsi ad altre etichette dopo l'esecuzione del part-program. È tuttavia possibile modificare facilmente la posizione in cui inserire le etichette facendo doppio clic sull'etichetta nella finestra Rapporto. In tal modo l'etichetta viene rilevata e può quindi essere spostata nella nuova posizione, facendo doppio clic per fermarla.


Utilizzo del comando Tabella/Formato

Il comando della finestra di modifica TABELLA/FORMATO consente di controllare rapidamente l'ordine e la visibilità della colonna e della riga di GridControlObject dall'interno del part-program. In tal modo, non è necessario utilizzare l'Editor template etichette per creare diverse variazioni dello stesso template di etichette se si desidera solo riordinare o nascondere determinate righe o colonne. Infatti, è possibile semplicemente inserire questo comando nel programma per determinare la visualizzazione di GridControlObject nel template dell'etichetta.

Importante: Per poter utilizzare correttamente questo comando, è necessario impostare il valore della proprietà TableFormat di GridControlObject esattamente sullo stesso nome del formato tabella definito nel pulsante Formato griglia della finestra di dialogo Modifica regola.

Inserimento del comando

Per inserire questo comando, selezionare Visualizza Mappa percorsi dei menu Inserisci | Comando Rapporto | Formato tabella. Viene visualizzata la finestra di dialogo Proprietà formato tabella. In questa finestra di dialogo, come in quella utilizzata nell'Editor della struttura di regole, è possibile anche controllare la visibilità e l'ordine delle righe e delle colonne per i template di etichetta utilizzando GridControlObject. Una volta completate le operazioni con le righe e le colonne, fare clic su OK; PC-DMIS inserirà il comando TABELLA/FORMATO nella finestra di modifica.

Un comando TABELLA/FORMATO inserito ha la precedenza su qualsiasi ordine già definito con il pulsante Formato griglia della finestra di dialogo Modifica regola.


Informazioni sui moduli

L'Editor moduli consente di creare moduli e finestre di dialogo interattivi e di attivarli quando viene eseguito un part-program. Tali moduli interattivi sono limitati solo dall'immaginazione e dalla capacità di comprendere e programmare il linguaggio Visual BASIC. I moduli, insieme a una buona conoscenza del linguaggio Visual BASIC e di PC-DMIS Automation, consentono di creare part-program più efficaci e flessibili.

Nelle precedenti versioni di PC-DMIS, la capacità di creare moduli interattivi era inclusa nell'Editor rapporti HyperView. Nella versione 4.0 e successive, i moduli interattivi sono stati spostati dall'ambito della creazione dei rapporti HyperView e inseriti in ambiti più generali. Tuttavia, i moduli hanno ancora un ruolo attivo nella creazione dei rapporti perché ogni volta che si utilizza un modulo per controllare quello che viene eseguito si controlla indirettamente quello che sarà incluso nel rapporto.

In questa sezione, tuttavia, non si proverà ad illustrare tutto quello che è possibile fare con i moduli. Sarà invece illustrato come utilizzare i moduli in generale e in relazione alla creazione dei rapporti, come ottenere informazioni dall'utente e inserirle in un rapporto utilizzando comandi PC-DMIS standard.

Vedere anche:

Inf ormazioni sull'Editor moduli

Esercitazione - Creazione di moduli

Utilizzo dei moduli nei rapporti


Modalità Esecuzione - Questa modalità è disponibile solo nell'Editor moduli. In Modalità Esecuzione è possibile eseguire il modulo, testarlo per verificarne l'aspetto o il comportamento in un ambiente di esecuzione di part-program reale.

Modalità Modifica - È la modalità predefinita per tutti gli editor di creazione di rapporti ed è l'unica modalità per gli editor dei template per rapporti ed etichette.

Per alternare la modalità di esecuzione e di modifica, premere CTRL + E.

Informazioni sull'Editor moduli

Visualizza Mappa percorsi dei menu È possibile accedere all'Editor moduli selezionando Visualizza | Editor moduli . PC-DMIS visualizza l'Editor moduli in una nuova finestra.

Editor moduli

L'Editor moduli è come un'area di lavoro in quanto consente di trascinare, determinare le dimensioni e posizionare vari oggetti di modulo interattivi, come pulsanti, caselle di elenco, caselle di modifica e così via, e impostare le relative proprietà Gli oggetti vengono posizionati in un'area grigia dalle dimensioni modificabili denominata modulo. Per coloro che nelle precedenti versioni di PC-DMIS hanno utilizzato i rapporti HyperView, sarà molto facile utilizzare questo editor perché è molto simile e contiene molti elementi di interfaccia utente uguali.

Con il nuovo approccio di template per la creazione di rapporti, solo l'Editor moduli può utilizzare la Modalità esecuzione . Gli editor template di rapporto e di etichetta non la utilizzano.

L'editor contiene i seguenti elementi:

  • Barra dei Menu

  • Barra dei caratteri (barra degli strumenti)

  • Barra degli oggetti (barra degli strumenti)

  • Barra del layout (barra degli strumenti)

  • Foglio delle proprietà degli oggetti

Questi elementi sono illustrati dettagliatamente nell'argomento "Informazioni sull'interfaccia utente comune".


Creazione di moduli

  1. In questa esercitazione si utilizzeranno l'Editor moduli e la finestra di modifica.

      • Innanzitutto, fare clic con il pulsante destro del mouse nella finestra di modifica e selezionare Vista aggancio dal menu di scelta rapida per sganciarla.

      • Fare clic sul pulsante di ingrandimento in modo da visualizzare la finestra a tutto schermo.

      • Attivare la modalità Comando per la finestra di modifica.

    2. Selezionare Visualizza | Editor moduli dalla barra dei menu. Viene visualizzato l'Editor moduli.

    3. Nascondere le barre degli strumenti non utilizzate facendo clic con il pulsante destro del mouse sulla relativa area e rimuovendole.

    4. Nascondere le finestre di PC-DMIS non utilizzate selezionando la finestra aperta dal menu Visualizza. Tenere aperta la finestra di modifica.

    5. Ingrandire l'editor del template facendo clic sul pulsante di ingrandimento finestra dell'editor. La parola "MODULO" viene visualizzata sullo sfondo dell'editor. L'Editor dei moduli è simile al seguente:

Suggerimento: quando si utilizzano gli editor per moduli, è utile nascondere le barre degli strumenti e finestre di PC-DMIS che si utilizzano più comunemente per liberare spazio dalla schermata. Se si utilizza spesso questo editor, è possibile creare un layout di schermata memorizzato per il template. Per informazioni sui layout, vedere l'argomento "Barra strumenti Layout Finestra" dalla sezione "Uso delle barre degli strumenti" .

Pulsante di ingrandimento

Editor moduli

  1. Trascinare lo sfondo grigio di TheFrame/TheView in modo che sia largo 5 pollici e alto 6 pollici.

  2. Aggiungere un oggetto Bordo e trascinare il bordo in modo che abbia le stesse dimensioni dell'area del modulo. Impostare le proprietà del bordo in modo che il relativo valore di Linea sia 3 e il valore di ForeColor sia blu scuro (0.0.128).

  3. Aggiungere un oggetto Bitmap nella parte superiore del modulo. Viene visualizzata la finestra di dialogo Bitmap. Utilizzare il pulsante Carica per spostarsi in un file bitmap a propria scelta, come un logo aziendale. Assegnare dimensioni e posizione alla bitmap in modo che sia compresa entro gli 1,5 pollici del modulo.

  4. Aggiungere un oggetto RadioButton all'oggetto Bitmap. Accedere alle proprietà di RadioButton e fare clic sul valore ListItems. Viene visualizzata la finestra di dialogo Elenco selezioni. In questa finestra di dialogo è possibile creare un elenco di pulsanti di opzione per l'oggetto.

    • Selezionare la voce RadioButton1 esistente dalla casella Elenco selezioni. Nel campo Nome, digitare il nome "CERCHIO 1". Il valore dell'indice dovrebbe essere già 0.

    • Fare clic sul pulsante Aggiungi per aggiungere altre tre voci. Quindi, assegnare alle voci aggiunte i nomi "CERCHIO 2", "CERCHIO 3" e "CERCHIO 4". I valori di indice sono 1,2 e 3, rispettivamente. La finestra di dialogo Elenco selezioni dovrebbe essere simile a questa:

    • Al termine, fare clic su OK.

  5. Assegnare un nuovo nome all'oggetto RadioButton modificando il valore di (ObjectCode) da "RadioButton1" a "optMeasure".

  6. Aggiungere un oggetto Cornice e trascinarlo intorno all'oggetto RadioButton. Modificare la proprietà testo della cornice e impostarla su "Selezionare gli elementi da misurare".

  7. Aggiungere un oggetto EditBox a destra dell'oggetto RadioButton e rinominarlo da "EditBox1" a "txtMeasure".

  8. Aggiungere un oggetto Text (Testo1) all'oggetto RadioButton e impostare la relativa proprietà Testo in modo che sia "Seleziona utente:".

  9. Aggiungere un ComboBox a destra dell'oggetto Testo e rinominarlo da "ComboBox1" a "cboUsers". Questo controllo conterrà un elenco di utenti.

    • Fare clic sul valore ListItems per aggiungere un elenco di utenti. Viene nuovamente aperta la finestra di dialogo Elenco selezioni.

    • Impostare la prima voce dell'elenco in modo che contenga "[Selezionare un utente]" e che il valore di indice sia 0.

    • Continuare ad utilizzare questa finestra di dialogo per aggiungere 5 o 6 nomi utenti. In questa esercitazione sono stati utilizzati "Bob", "Allen", "Mary", "Shelly", "Jared" e "Kurt".

    • Utilizzare i pulsanti Up o Down (In alto/In basso) per spostare la posizione in cui le singole voci vengono visualizzate. Al termine, la finestra di dialogo dovrebbe essere simile a questa:

    • Fare clic sul pulsante OK. L'oggetto ComboBox adesso contiene le voci dell'elenco.

  10. Aggiungere un oggetto EditBox a destra dell'oggetto ComboBox e rinominarlo da "EditBox2" a "txtUser".

  11. Aggiungere un altro oggetto Testo (Testo2) sotto l'oggetto denominato "Seleziona utente" e impostare la relativa proprietà Testo in modo che contenga "Digitare una descrizione del rapporto:".

  12. Aggiungere un altro oggetto EditBox a destra dell'oggetto Testo sopra indicato e rinominarlo da "EditBox3" a "txtDescription".

  13. Aggiungere un oggetto Pulsante in fondo al modulo e ridenominarlo da "Button1" a "cmdContinue". Modificarne la proprietà Testo in modo che contenga "&Continua". Il simbolo dell'ampersand consente di scegliere un carattere da utilizzare come carattere di scelta rapida insieme al tasto ALT. Quindi, premendo ALT + C nel modulo in modalità di esecuzione, si ottiene lo stesso effetto della selezione del pulsante Continua.

  14. Selezionare File | Salva per salvare il modulo. Assegnare al modulo il nome "TestForm.frm" e salvarlo in una directory a propria scelta.

  15. Premere CTRL + E per testare il modulo in modalità di esecuzione. Ai controlli non è associato alcun codice quindi facendo clic su qualcosa non succede nulla; il codice verrà aggiunto nel prossimo passo. Al termine, premere CTRL + E di nuovo per tornare alla modalità di modifica.

In questo passo è stato realizzato il modulo base, aggiungendo vari controlli e assegnando voci agli elenchi. Il modulo dovrebbe essere simile al seguente:

Modulo con vari controlli aggiunti

Modulo con vari controlli aggiunti

Finestra di dialogo Elenco selezioni, con quattro opzioni e quattro valori di indice compresi tra 0 e 3.

Finestra di dialogo Elenco selezioni con un elenco dei nomi utente per ComboBox

Finestra di dialogo Elenco selezioni con un elenco dei nomi utente per ComboBox

  1. Selezionare l'oggetto RadioButton, optMeasure, e accedere alle relative proprietà.

  2. Fare clic sull'evento EventChange. Viene visualizzato VBS Mini Editor. In questa piccola finestra di codice è possibile digitare istruzioni di codice Visual BASIC che saranno eseguite tutte le volte che si seleziona un nuovo valore dall'elenco dei pulsanti di opzione.

  3. Nella finestra del codice, digitare il seguente codice:

Dim intIndex As Integer

intIndex = optMeasure.Index

Select Case intIndex

Case 0

txtMeasure.Text = "Cerchio 1"

Case 1

txtMeasure.Text = "Cerchio 2"

Case 2

txtMeasure.Text = "Cerchio 3"

Case 3

txtMeasure.Text = "Cerchio 4"

End Select

  4. Fare clic sul pulsante OK. Mini Editor si chiude.

  5. Selezionare File | Salva per salvare il modulo.

  6. Testare il rapporto premendo CTRL + E ed attivando la modalità di esecuzione. Selezionare un elemento da misurare.

Questo codice viene eseguito quando si seleziona un elemento da misurare dall'elenco. In base alla selezione effettuata nell'elenco dei pulsanti di opzione, viene impostata la proprietà Testo di txtMeasure in modo da visualizzare la stringa di testo "CERCHIO 1", "CERCHIO 2" e così via.

  1. Selezionare l'oggetto ComboBox, cboMeasure, e accedere alle relative proprietà.

  2. Fare clic sull'evento EventChange. Viene visualizzato VBS Mini Editor.

  3. Nella finestra del codice, digitare il seguente codice:

txtUser.Text = cboUsers.TextValue

  4. Fare clic sul pulsante OK. Mini Editor si chiude.

  5. Selezionare File | Salva per salvare il modulo.

  6. Testare il rapporto premendo CTRL + E ed attivando la modalità di esecuzione. Selezionare un elemento da misurare.

Questo codice viene eseguito quando si seleziona un utente dall'elenco. In base al valore di testo della voce di elenco selezionata, viene impostata la proprietà Testo di txtUser in modo da visualizzare una stringa di testo dell'utente selezionato.

  1. Selezionare l'oggetto Pulsante, cmdContinue, e accedere alle relative proprietà.

  2. Fare clic sull'evento EventClick. Viene visualizzato VBS Mini Editor.

  3. Nella finestra del codice, digitare il seguente codice:

If cboUsers.Value >0 And Len (txtDescription.Text) > 0 And Len (txtMeasure.Text ) > 0 Then

TheView.Cancel

Else

MsgBox "Please fill out the entire form before continuing."

End If

  4. Fare clic sul pulsante OK. Mini Editor si chiude.

  5. Selezionare File | Salva per salvare il modulo.

  6. Testare il rapporto premendo CTRL + E ed attivando la modalità di esecuzione. Fare clic sul pulsante Continua.

Questo codice viene eseguito quando si seleziona il pulsante Continua. Viene verificato che il modulo sia stato completamente riempito; in tal caso, l'Editor moduli viene chiuso. In caso contrario, viene visualizzato un messaggio. In tale messaggio, viene chiesto all'utente di completare il modulo.

  • La funzione Len ( ) testa la lunghezza (o il numero di caratteri) della stringa di testo nelle caselle di modifica, assicurandosi che contengano dei dati.

  • Il codice cboUsers.Value > 0 verifica che sia stato selezionato un nome utente dall'elenco.

Una volta definito il modulo, è necessario stabilire come trasportare i dati tra la finestra di modifica e il modulo.

  1. Se non è stato già fatto, salvare il modulo.

  2. Dal menu Finestra, selezionare la finestra di modifica per visualizzarla in primo piano.

  3. Assicurarsi che sia attiva la modalità comando.

  4. Definire le variabili da utilizzare nel modulo digitando il seguente codice nella finestra di modifica prima degli elementi del cerchio misurati:

ASSEGNA/STR_DESCRIPTION = ""

ASSEGNA/STR_USER = ""

ASSEGNA/STR_MEASURE = ""

  5. Posizionare il cursore immediatamente dopo queste istruzioni e selezionare Inserisci | Comando rapporto | Modulo. Viene visualizzata la finestra di dialogo Inserisci modulo. Andare nella posizione in cui è stato memorizzato "TestForm.frm", selezionarlo e fare clic su Apri.

  6. PC-DMIS inserisce un blocco comando MODULO/NOME_FILE nella finestra di modifica con il percorso del file di modulo selezionato. Questo comando, quando segnalato ed eseguito, esegue il modulo. Quindi, attende che il modulo venga chiuso prima di continuare l'esecuzione della finestra di modifica. Ulteriori informazioni

  7. Fare clic sul lato sinistro del segno di uguale nell'istruzione PARAM/= e digitare "TXTDESCRIPTION.TEXT". Fare clic sul lato destro del segno di uguale e digitare "STR_DESCRIPTION". Premere INVIO. Viene visualizzata un'altra istruzione PARAM/=. Ulteriori informazioni

  8. Continuare la definizione dei parametri con la stessa procedura sia per la variabile STR_USER che per la variabile STR_MEASURE, collegandole alle proprietà Testo degli oggetti txtUser e txtMeasure, rispettivamente.

  9. Salvare le modifiche nella finestra di modifica. Alt temine, il blocco di comando MODULO/NOME_FILE dovrebbe essere simile a questo.

CS7 =MODULO/NOME_FILE= D:\PARTPROGRAMS\TESTFORM.FRM

PARAM/TXTDESCRIPTION.TEXT=STR_DESCRIPTION

PARAM/TXTMEASURE.TEXT=STR_MEASURE

PARAM/TXTUSER.TEXT=STR_USER

PARAM/=

ENDFORM/

Come si vede, questo comando contiene l'istruzione PARAM/=, oppure un "parametro". Questi parametri consentono di trasferire i dati tra la variabile della finestra di modifica di PC-DMIS e le proprietà di controllo del modulo.

Non va dimenticato che txtDescription è il nome assegnato all'oggetto EditBox nel modulo che conterrà una descrizione immessa dall'utente del rapporto.

Durante l'esecuzione, la proprietà Testo di txtDescription sarà inizialmente uguale al valore di STR_DESCRIPTION . In questo caso, sarebbe una stringa vuota. Una volta chiuso il modulo, qualsiasi valore presente nel modulo sarà trasferito a STR_DESCRIPTION.

Quando è stato creato il modulo, è stato creato un elenco di pulsanti di opzione (utilizzando l'oggetto RadioButton) per controllare cosa viene effettivamente misurato. A questo punto, è necessario aggiungere istruzioni condizionali nella finestra di modifica per assicurarsi che gli elementi appropriati vengano misurati in base alle selezioni effettuate nel modulo.

  1. Nella finestra di modifica, posizionare il cursore appena prima dell'elemento CER1 e premere INVIO. Il cursore deve trovarsi in una riga vuota sopra l'elemento CER1.

  2. Selezionare Inserisci | Comando di controllo flusso | Coppie di controllo | If / End If. PC-DMIS inserisce un'istruzione condizionale IF / END IF nella finestra di modifica:
    IF/0
    END_IF/

  2. Definire la condizione. Evidenziare il valore predefinito 0 e digitare:
    STR_MEASURE == "CERCHIO 1"

  3. Premere INVIO.

  4. Selezionare l'intero elemento CER1 e selezionare Modifica | Taglia. Quindi, selezionare Modifica | Incolla per spostarlo su una riga vuota dopo la riga IF/STR_MEASURE == "CERCHIO 1" ma prima della riga END_IF/. Il primo blocco condizione dovrebbe essere simile a questo:

IF/STR_MEASURE == "CERCHIO 1"

L'elemento CER1 viene visualizzato qui...

END_IF/

  5. Ripetere la procedura sopra riportata per definire le istruzioni condizionali per altri elementi del cerchio. Al termine, il codice della finestra di modifica dovrebbe essere simile a questo:

ASSEGNA/STR_DESCRIPTION = ""

ASSEGNA/STR_USER = ""

ASSEGNA/STR_MEASURE = ""

CS7 =MODULO/NOME_FILE= D:\PARTPROGRAMS\TESTFORM.FRM

PARAM/TXTDESCRIPTION.TEXT=STR_DESCRIPTION

PARAM/TXTMEASURE.TEXT=STR_MEASURE

PARAM/TXTUSER.TEXT=STR_USER

PARAM/=

ENDFORM/

IF/STR_MEASURE == "CERCHIO 1"

CER1 =ELEM/CERCHIO...

END_IF/

IF/STR_MEASURE == "CERCHIO 2"

CER2 =ELEM/CERCHIO...

END_IF/

IF/STR_MEASURE == "CERCHIO 3"

CER2 =ELEM/CERCHIO...

END_IF/

IF/STR_MEASURE == "CERCHIO 4"

CER2 =ELEM/CERCHIO...

END_IF/

Va ricordato che STR_MEASURE, dopo l'esecuzione, conterrà il valore della proprietà Testo dell'oggetto txtMeasure, che in base al codice del modulo sarà uno dei seguenti:

"CERCHIO 1", "CERCHIO 2", "CERCHIO 3" o "CERCHIO 4".

La prima riga verifica il valore della variabile di STR_MEASURE e se corrisponde al valore della stringa di "CERCHIO 1" misura l'elemento CER1. In caso contrario, passerà direttamente all'istruzione END_IF/.

A questo punto, manca solo qualche tocco finale. Innanzitutto, è necessario specificare di inviare i valori del modulo al rapporto finale nella finestra Rapporto utilizzando i commenti del rapporto. Quindi, rendere alcuni oggetti invisibili nel modulo.

  1. Nella finestra di modifica, digitare questi comandi immediatamente dopo il comando MODULO/NOME_FILE.

COMMENTO/REP;-----------------------------------"Utente: " + STR_USER

COMMENTO/REP;-----------------------------------"Descrizione rapporto:" + STR_DESCRIPTION

COMMENTO/REP;-----------------------------------"Misura routine: " + STR_MEASURE

  2. Selezionare Finestra | Editor moduli per tornare all'Editor moduli.

  3. Fare clic con il pulsante destro del mouse per aprire la finestra di dialogo Proprietà. Selezionare txtMeasure dall'elenco a discesa. PC-DMIS seleziona l'oggetto.

  4. Fare clic su Avanzate e impostare la proprietà Visibile su NO.

  5. Selezionare txtUser dall'elenco a discesa. PC-DMIS seleziona l'oggetto.

  6. Fare clic su Avanzate e impostare la proprietà Visibile su NO. Poichè un utente non deve necessariamente vedere questi valori e l'unico motivo per cui sono stati utilizzati era per restituire un valore a PC-DMIS, impostando questa proprietà su NO questi oggetti sono invisibili durante l'esecuzione.

  1. Selezionare Visualizza | Finestra del Rapporto e utilizzare la barra degli strumenti Finestra di dialogo selezione template per impostare il rapporto in modo che utilizzi il template del rapporto standard predefinito, default.rtp.

  2. Tornare alla finestra di modifica. Selezionare tutta la finestra di modifica, salvare il part-program e selezionare File | Esegui per testare il part-program.

  3. Quando PC-DMIS raggiunge il comando MODULO/NOME_FILE, esegue il modulo e sospende l'esecuzione fino al completamento del riempimento del modulo.

  4. Riempire il modulo e fare clic sul pulsante Continua. PC-DMIS invia i valori dal modulo alle variabili di PC-DMIS.

  5. Le istruzioni condizionali verificano il valore della variabile STR_MEASURE ed eseguono l'elemento del cerchio appropriato di conseguenza.

  6. PC-DMIS stampa i commenti del rapporto e i risultati misurati per l'elemento misurato nella finestra del rapporto.

Creazione di moduli

In questo argomento viene descritta un'esercitazione di base che consente di creare un semplice modulo con alcuni controlli di finestra di dialogo interattivi che, quando eseguiti, consentono di selezionare un nome utente da un elenco e di scegliere di misurare solo certi elementi. Le informazioni selezionate saranno visualizzate in un rapporto finale.

Sebbene sia possibile duplicare certi aspetti di questa esercitazione utilizzando determinati comandi nella finestra di modifica, questa esercitazione fornisce una panoramica su quello che è possibile fare con l'Editor moduli, un po' di immaginazione e qualche capacità di programmazione.

In questa esercitazione vengono utilizzati i file creati nelle esercitazioni "Creazione di un template per il rapporto personalizzato" e "Creazione di template di etichette". Se non è stato già fatto, completare prima le due esercitazioni appena citate.

Passo 1: Preparazione dell'ambiente di lavoro

Passo 2: Creazione del modulo

Passo 3: Aggiunta di codice al controllo RadioButton

Passo 4: Aggiunta di codice al controllo ComboBox

Passo 5: Aggiunta di codice al pulsante Continua

Passo 6: Assegnazione delle variabili della finestra di modifica per le proprietà del modulo

Passo 7: Aggiunta di codice condizionale alla finestra di modifica per controllare le misurazioni

Passo 8: Aggiunta del tocco finale

Passo 9: Esecuzione del part-program


Utilizzo di moduli nei rapporti

I moduli di solito possono modificare i rapporti solo indirettamente. Ad esempio, un modulo può controllare che alcuni elementi vengano eseguiti. In questo caso, il rapporto finale non viene modificato direttamente ma indirettamente perché i rapporti mostrano sempre cosa viene eseguito.

È tuttavia possibile utilizzare il comando MODULO/NOME_FILE per trasferire i parametri da e verso la finestra di modifica e gli oggetti di un modulo e utilizzare i commenti per visualizzare quei parametri in un rapporto finale. Per informazioni sull'utilizzo di questo tipo di moduli, vedere l'esercitazione "Creazione di moduli".

Inoltre, una volta trasferiti i valori da un modulo alla finestra di modifica è possibile anche utilizzare il comando RAPPORTO/NOME_FILE per trasferire i parametri dalla finestra di modifica a un template di rapporto nello stesso modo in cui è stato utilizzato il comando MODULO/NOME_FILE.

Visualizza Mappa percorsi dei menu Selezionare Inserisci | Comando rapporto | Rapporto HyperView per inserire un comando RAPPORTO/NOME_FILE, quindi assegnare i valori di parametri per modificare le proprietà dell'oggetto nel template del rapporto. Vedere l'esercitazione "Creazione di moduli" per eseguire questa operazione utilizzando il comando MODULO/NOME_FILE come guida ma selezionando il nome file .rtp anziché il nome file .frm. Vedere inoltre l'argomento "Come incorporare i rapporti HyperView o i template di rapporto in un part-program".


Informazioni sulle proprietà

Informazioni sulle proprietà dell'oggetto

Ad ogni oggetto aggiunto ad un template o ad un modulo è associata una serie di proprietà (o attributi) che controllano fattori come la posizione dell'oggetto, la dimensione, i colori, il carattere, il testo e il nome ecc. Ad ogni oggetto è anche associata una serie di funzioni del gestore degli eventi, che vengono attivate quando si manifestano determinati eventi, ad esempio quando si fa clic o doppio clic su un oggetto specifico. Tali proprietà e gestori degli eventi possono essere visualizzati e/o modificati utilizzando la finestra di dialogo Proprietà, talvolta chiamata "pagina delle proprietà".

Accesso alle proprietà dell'oggetto

La finestra di dialogo Proprietà può essere visualizzata selezionando un oggetto (con un singolo clic all'interno dei relativi confini) e poi facendo clic con il pulsante destro del mouse. Di seguito è riportata una pagina delle proprietà di esempio in cui è presente un oggetto di testo denominato Text1 e varie proprietà relative:

Finestra di dialogo Proprietà

Finestra di dialogo Proprietà di esempio

Visualizzazione delle proprietà degli oggetti disponibili

Nella parte superiore della finestra di dialogo Proprietà è riportato un elenco a discesa. Tale elenco contiene una voce per ciascun oggetto presente nel template o nel modulo, nonché alcuni oggetti che esistono sempre e non possono essere eliminati, come l'area di modifica principale. Negli editor per il rapporto e per il template delle etichette, l'area di modifica principale è denominata Sezione. Nell'editor per i moduli è denominata The Frame/The View.

Per visualizzare le proprietà degli oggetti nel modulo o nel template, selezionare un altro oggetto dall'elenco a discesa. Se nel template del rapporto sono presenti più sezioni, in questo elenco sono riportati solo gli oggetti della sezione corrente.

Nota: Per i template del rapporto, esiste un oggetto aggiuntivo denominato Rapportoed è possibile aprirlo solo da questo elenco a discesa. Contiene due proprietà nella categoria Avanzate che consentono di specificare un proprio file eseguibile (un file .exe) esterno per raccogliere le proprietà assegnate dall'utente. Tali proprietà sono Programma selezione template e Programma esecuzione part-program. PC-DMIS esegue i programmi specificati durante la selezione del template e durante l'esecuzione del part-program, rispettivamente.

Informazioni sull'organizzazione delle proprietà

Le proprietà dei singoli oggetti sono divisi in tre categorie principali: Standard, Avanzate ed Eventi. Ciascuna di queste categorie può essere compressa o espansa selezionando il simbolo + o - a sinistra del nome della categoria stessa.

In generale, le proprietà Standard controllano il colore, la posizione e lo stile della linea. Le proprietà Avanzate controllano aspetti come l'attivazione o la visualizzazione di un oggetto. Le proprietà Eventi consentono di utilizzare il linguaggio BASIC per codificare specifiche istruzioni quando si verifica un determinato evento.

Nota: Gli oggetti ActiveX e OLE contengono una sezione aggiuntiva, illustrata nei rispettivi argomenti: "Oggetto ActiveX" e "Oggetto OLE".

Per una descrizione delle proprietà disponibili, vedere l'argomento "Proprietà comuni"; se quell'argomento non contiene alcuna descrizione, visualizzare la documentazione specifica dell'oggetto disponibile nell'argomento "La Barra oggetti". Per informazioni in Eventi, vedere l'argomento "Informazioni sugli eventi".

Informazioni sull'identificativo nome

Quando si inserisce un oggetto in un template o in un modulo, viene automaticamente assegnato un nome univoco alla proprietà ObjectCode dell'oggetto. Gli oggetti successivi dello stesso tipo hanno lo stesso nome ma con un valore numerico incrementato alla fine. Ad esempio, l'editor assegna automaticamente il nome "Text1" al primo oggetto Text. I successivi oggetti Text saranno denominati "Text2", "Text3" e così via. Naturalmente, questo valore può essere sostituito da qualsiasi nome si desideri. In tal caso, assicurarsi di assegnare un nome univoco. Se viene modificato il nome dell'oggetto, è necessario aggiornare anche lo script BASIC che utilizza il codice dell'oggetto.

Modifica dei valori delle proprietà

Per modificare una proprietà, selezionarla, facendo clic sul relativo valore, quindi selezionare un nuovo valore se viene visualizzato un elenco a discesa oppure digitare un nuovo valore se viene visualizzato un campo di modifica.

Espressioni come valori della proprietà

I valori di alcune proprietà possono contenere espressioni di rapporti anziché un valore costante, come una cella di GridControlObject può contenere espressioni. Non va dimenticato di anteporre all'espressine un segno di uguale. Ad esempio, si supponga che l'oggetto Text sia presente in un template di etichetta e si desideri visualizzarlo nell'ID dell'elemento corrente per sostituire dell'altro testo. Nella proprietà Text, digitare "=ID". Durante l'esecuzione, il nome dell'elemento viene rilevato da PC-DMIS e visualizzato nell'oggetto Text.

Vedere anche:

Proprietà comuni

Come operare con proprietá assegnate dall'utente

Eliminazione dei dati associati al template

Informazioni sugli eventi e sul codice di Visual Basic


Proprietà comuni

Le seguenti proprietà sono prese da un oggetto Testo di esempio, tali proprietà fanno anche parte delle proprietà di molti altri oggetti. Le proprietà degli eventi sono dettagliatamente descritte nell'argomento "Informazioni sugli eventi".

Proprietà standard comuni e avanzate

Proprietà comuni

Descrizione

(ObjectCode)

Il nome univoco che identifica un oggetto in un template o modulo. Ogni volta che si deve accedere ad una proprietà o metodo di un oggetto con il linguaggio BASIC, utilizzare la seguente sintassi: {codice oggetto}.{proprietà o nome del metodo}

Allineamento

L'allineamento del testo all'interno del rettangolo che definisce l'oggetto testo.

AnchorSnaps

Campo che consente di creare, eliminare o modificare i punti di aggancio utilizzando la finestra di dialogo Enter Snap Points (Inserisci punti di aggancio). I punti di aggancio sono presenti sugli oggetti ellisse, rettangolo, casella di testo o immagine bitmap.

È possibile collegare gli oggetti Linea o Polilinea ai punti di aggancio di un oggetto trascinando la punta della linea sul punto di aggancio blu visualizzato

Una volta eseguito il collegamento, quando si trascina l'oggetto in una nuova posizione, la linea risultante rimane collegata al punto di aggancio, e può essere ruotata e ridimensionata. Questa funzione risulta particolarmente utile quando è necessario creare una linea di associazione, collegata a un oggetto che deve essere spostato frequentemente.

Per visualizzare i punti di aggancio, dalla barra degli strumenti Layout fare clic sull'icona View Snap Points (Visualizza punti di aggancio):

BackColor

Colore di sfondo dell'oggetto. Questo colore viene utilizzato per riempire il rettangolo che definisce l'oggetto testo.

BorderStyle (StileBordo)

Stile del contorno disegnato intorno all'oggetto.

Bottom

Distanza del lato inferiore del rettangolo dell'oggetto dal bordo superiore del template o del modulo.

CursorPointer

Il cursore visualizzato quando l'utente trascina il mouse sopra l'oggetto.

Enable

Attiva o disattiva l'oggetto. Un oggetto disattivato può ancora essere visibile, ma non reagirà all'input dell'utente.

FlexHorizontal
e
FlexVertical

Quando la vista viene ridimensionata in modalità di esecuzione, è possibile spostare, ingrandire o mantenere le proporzioni degli oggetti. Se si seleziona Shift (Sposta) l'oggetto viene spostato verso destra o verso il basso. Se si seleziona Expand (Espandi) l'oggetto viene ingrandito orizzontalmente (verso destra) o verticalmente (verso il basso). Se si seleziona Proportional (Proporzionale) l'oggetto viene centrato.

Carattere

Il carattere utilizzato per il rendering del testo nell'oggetto.

ForeColor

Colore di primo piano dell'oggetto. Nel caso dell'oggetto Testo, specifica il colore del testo.

HatchStyle (StileTratteggio)

Lo stile del tratteggio utilizzato per riempire il riquadro di sfondo dell'oggetto.

HelpContextID

Si tratta dell'ID di contesto per richiamare un argomento specifico della guida. Viene spesso utilizzato insieme al tipo di pulsante della Guida che richiama WinHelp( ).

HiliteColor (ColoreEvidenziazione)

Questo oggetto non è disponibile in PC-DMIS.

Layer

Assegna l'oggetto corrente al layer selezionato.

Left

Distanza del lato sinistro del rettangolo dell'oggetto dal bordo sinistro del template o del modulo, espressa in pixel.

Orientamento

Orientamento del testo nell'oggetto. L'opzione Horizontal Text (Testo orizzontale) dispone il testo da sinistra verso destra. L'opzione Verticale Up (Verticale verso l'alto) dispone il testo dal basso verso l'alto. L'opzione Verticale Down (Verticale verso il basso) dispone il testo dall'alto verso il basso.

PenWidth (Larghezza penna)

Larghezza del tratto della penna utilizzata per disegnare l'oggetto. Nel caso dell'oggetto Testo, la larghezza della penna modifica soltanto il margine disegnato intorno al testo.

Right

Distanza del lato destro del rettangolo dell'oggetto dal bordo sinistro del template o del modulo, espressa in pixel.

ShadowStyle (StileOmbreggiatura)

L'effetto di ombreggiatura utilizzato durante il rendering dell'oggetto.

Tag

Segnaposto che memorizza i dati definiti dall'utente.

Text

Testo che viene visualizzato nell'oggetto Testo. È possibile anche digitare il simbolo dell'ampersand (&) prima di qualsiasi carattere alfanumerico per creare un tasto di scelta rapida (visualizzato come un carattere sottolineato) che, quando selezionato insieme al tasto ALT in modalità di esecuzione, mette immediatamente a fuoco il controllo. Se si ha intenzione di utilizzare molti tasti di scelta rapida, assicurarsi che essi siano unici utilizzando la voce di menu Modifica | Layout | Verifica mnemonica nella modalità di modifica.

ToolTipText

Testo visualizzato quando si posiziona il puntatore del mouse sull'oggetto in modalità di esecuzione.

Top

Distanza del lato superiore del rettangolo dell'oggetto dal bordo superiore del template o del modulo.

Visible

Stato di visibilità dell'oggetto. Il valore 1 indica che l'oggetto è visibile, il valore 0 che l'oggetto è nascosto.


Come operare con proprietá assegnate dall'utente

Esempio di Foglio delle Proprietá per un oggetto testo. Si notino le caselle di controllo selezionabili a sinistra.

Esempio di Foglio delle Proprietá per un oggetto Testo. Si notino le caselle di controllo selezionabili a sinistra.

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

Elenco Stile del Prompt

Elimina icona Proprietá

Elimina icona Proprietá

Move Property Up Move Property Down

Frecce su e giù di colore rosso

Finestra di dialogo Proprietá Assegnate dall'utente

Finestra di dialogo Proprietá Assegnate dall'utente

Come operare con proprietá assegnate dall'utente

Nell'Editor template rapporto versione 4.0, la finestra di dialogo Proprietà contiene una funzionalità molto utile, la capacità di rendere una proprietà definibile dall'utente. Questa funzione consente agli operatori di programma di modificare le proprietà degli oggetti durante il runtime.

Ad esempio, si supponga che si desideri modificare dinamicamente il titolo del rapporto in base alle esigenze dell'operatore del part-program corrente. Questa funzionalità consente di aggiungere facilmente un approccio interattivo come questo ai rapporti.

Per rendere una proprietà assegnata dall'utente:

  1. Selezionare un oggetto in uno degli editor. Per l'esempio sopra riportato, selezionare un oggetto Testo.

  2. Fare clic con il pulsante destro del mouse sull'oggetto. Viene visualizzato il foglio delle proprietà relativo a quell'oggetto sul lato destro dell'editor. Sul lato sinistro del foglio delle proprietà vengono visualizzate le caselle di controllo accanto a molte proprietà. Tali caselle di controllo determinano le proprietà che possono essere definite dall'utente.

  3. Selezionare la casella di controllo relativa alla proprietà che si desidera rendere definibile. Per l'esempio sopra riportato, selezionare una proprietà Testo per un oggetto Testo. Viene visualizzata la finestra di dialogo Proprietà assegnate dall'utente in cui si chiede di determinare il messaggio che richiederà all'utente il valore della proprietà e quando visualizzare la richiesta all'utente.

  4. Nella casella Richiedi, digitare la richiesta che sarà visualizzata all'utente, quindi selezionare uno dei due pulsanti di opzione quando l'utente riceve la richiesta. È possibile scegliere se visualizzare la richiesta all'utente durante la selezione del template o durante l'esecuzione del part-program.

  5. Fare clic sul pulsante OK. La finestra di dialogo Proprietà assegnate dall'utente viene chiusa.

  6. Salvare il template del rapporto e tornare al part-program.

  7. Per testare questa funzione, utilizzare la finestra Rapporto, fare clic sull'icona Selezione template e selezionare il template del rapporto dalla finestra di dialogo, quindi eseguire il part-program.

  8. Durante il passo precedente, ad un certo punto sarà visualizzata la finestra di dialogo Definisci proprietà assegnate dall'utente per chiedere all'utente i valori delle proprietà in base al pulsante di opzione selezionato nella finestra di dialogo Proprietà assegnate dall'utente

Per visualizzare e modificare tutte le proprietà assegnate dall'utente:

  1. Aprire il rapporto o il template dell'etichetta che contengono le proprietà definite dall'utente.

  2. Selezionare Modifica | Proprietà Assegnate dall'utente. Viene visualizzata la finestra di dialogo Proprietà Assegnate dall'utente . In questa finestra di dialogo sono visualizzate le proprietà che saranno presentate durante la selezione del template o durante l'esecuzione del part-program.

  3. Selezionare una voce dall'elenco a discesa Stile del prompt per filtrare i dati visualizzati in questa finestra di dialogo. Le proprietà assegnate dall'utente saranno visualizzate nella casella di elenco sotto. In questa casella di elenco sono riportate tutte le proprietà, gli oggetti a cui appartengono e le relative richieste.

    • Per rimuovere una proprietà, selezionarla e fare clic sulla X rossa. Quella proprietà dell'oggetto non sarà più definibile dall'utente e utilizzerà il valore predefinito già presente nel template.

    • Per riordinare una proprietà, selezionarla e fare clic sulle frecce su e giù di colore rosso. La proprietà selezionata verrà spostata verso l'alto o verso il basso nell'elenco.

    • Per modificare la richiesta della proprietà o il momento di visualizzazione della richiesta, fare doppio clic sulla proprietà nella colonna Elemento. Viene visualizzata la finestra di dialogo Proprietà assegnate dall'utente che consente di apportare le modifiche.

Importante: Se è stato selezionato Richiesta ed è stato selezionato il template dalla finestra di dialogo Proprietà assegnate dall'utente, i valori assegnati dall'utente saranno richiesti una sola volta. Per quel part-program, in seguito sarà automaticamente utilizzato il valore iniziale della proprietà finché non saranno eliminati tutti i dati associati al template. Vedere l'argomento "Eliminazione dei dati associati al template" in questa sezione.

Se è stato selezionato Richiedere quando viene eseguito il rapporto, verrà automaticamente visualizzata la finestra di dialogo Definisci proprietà assegnate dall'utente ogni volta che viene eseguito il part-program.


Eliminazione dei dati associati al template

Visualizza Mappa percorsi dei menu La voce di menu File | Rapporto | Eliminazione dei dati associati al template consente di rimuovere le seguenti voci utilizzate nel part-program corrente con il template rapporto selezionato corrente:

  • Tutti i valori delle proprietà assegnati dall'utente. Eliminando tali valori, verrà di nuovo chiesto di fornire i valori per le proprietà assegnati dall'utente nel template corrente.

  • Personalizzazioni della tabella nelle etichette.

  • Personalizzazioni di posizionamento delle etichette intorno agli oggetti CADReportObject.

  • Modifiche alla rotazione o al fattore di zoom degli oggetti CADReportObject.

Visualizza Mappa percorsi dei menu La voce di menu File | Rapporto | Eliminazione dei dati associati al template ha la stessa funzione della voce di menu precedente ma agisce su tutti i template rapporto utilizzati in questo rapporto.

Per informazioni sulle proprietà definite dall'utente, vedere l'argomento "Come operare con proprietà assegnate dall'utente" in questa sezione.


Informazioni sugli eventi

Informazioni sugli eventi e sul codice di Visual Basic

Per comprendere le informazioni in questa sezione, è necessario avere almeno una minima conoscenza del linguaggio di programmazione Visual Basic. L'utente che non conosce tale linguaggio è pregato di consultare un manuale o altre fonti esterne sull'argomento.

Nella sezione Eventi nella finestra di dialogo Proprietà è riportato un elenco delle funzioni del gestore degli eventi supportate dal template o dal modulo. Ogni volta che si verifica l'evento indicato dal nome della funzione, viene richiamata una funzione del gestore degli eventi. Quando viene chiamata una funziona, il codice di Visual Basic all'interno di quella funzione viene eseguito.

Funzioni disponibili del gestore di eventi

EventClick

Evento richiamato quando si fa clic con il mouse sull'oggetto.

EventDblClick

Evento richiamato quando si fa doppio clic con il mouse sull'oggetto.

EventDragDrop

Evento richiamato quando un altro oggetto "trascinabile" viene rilasciato sull'oggetto.

EventDragEnter

Evento richiamato quando un oggetto "trascinabile" viene inizialmente trascinato sull'oggetto.

EventDragOver

Evento richiamato quando un oggetto "trascinabile" viene trascinato sull'oggetto.

EventInitialize

Evento richiamato quando il modulo viene attivato per la prima volta in modalità di esecuzione, prima di richiamare qualsiasi altro gestore sull'oggetto.

EventMouseDown

Evento richiamato quando un pulsante del mouse viene premuto mentre si trova sopra l'oggetto. I parametri passati alla funzione indicano quale pulsante è stato premuto, se è stato premuto il tasto MAIUSC e le coordinate del mouse nel momento in cui il pulsante è stato rilasciato.

EventMouseMove

Evento richiamato quando il mouse passa sopra l'oggetto. I parametri passati alla funzione indicano quale pulsante è stato premuto, se è stato premuto il tasto MAIUSC e le coordinate del mouse nel momento in cui l'evento di movimento è stato inviato.

EventMouseUp

Evento richiamato quando il pulsante del mouse viene rilasciato sopra l'oggetto. I parametri passati alla funzione indicano quale pulsante è stato premuto, se è stato premuto il tasto MAIUSC e le coordinate del mouse nel momento in cui il pulsante è stato rilasciato.

EventPumpData

Si tratta della funzione gestore più frequentemente utilizzata nell'Editor moduli. EventPumpData viene richiamato ogni volta che le variabili BASIC, che possono modificare l'oggetto, cambiano valore. Il codice può anche forzare il richiamo di EventPumpData sui singoli oggetti (oppure su tutti gli oggetti di un rapporto) quando si desidera che un oggetto venga aggiornato automaticamente. Sostanzialmente, devono trovarsi in EventPumpData tutti i codici necessari perché un oggetto si reinizializzi in base ai valori della variabile oppure allo stato di altri oggetti.

EventTerminate

Evento richiamato nel momento in cui si sta chiudendo il rapporto oppure quando si passa dalla modalità di esecuzione alla modalità di modifica nell'Editor di moduli.

Questa funzione del gestore è disponibile solo per gli ambienti di modifica della sezione.

EventReportData

Si tratta della funzione gestore più frequentemente utilizzata negli editor rapporti e template per etichette. Viene richiamato ogni volta che i dati del rapporto vengono inseriti nel template corrente.

Lo scopo principale è consentire all'utente di creare dei controlli ActiveX da applicare all'etichetta. Ad esempio, i controlli best-fit e di analisi dell'elemento di PC-DMIS utilizzano questo evento per inviare dati al controllo ActiveX dal comando. Per vedere questo evento, aprire l'etichetta denominata best_fit_analysis.lbl, fare clic sul controllo ActiveX dentro l'etichetta e leggere il codice BASIC dentro il relativo gestore eventi. Una singola riga invia i dati dal comando al controllo.

Una volta inviati i dati al proprio controllo ActiveX, è possibile utilizzare i comandi di automazione per estrarre e manipolare i dati. Vedere il file della Guida Pcdbasic per informazioni sull'automazione di PC-DMIS.

Importante: Questo evento viene richiamato una volta per ciascun comando quando si applica il template del rapporto o durante l'esecuzione del programma.

Aggiunta di codice ai gestori degli eventi

Per poter aggiungere il codice del linguaggio BASIC a un gestore degli eventi:

  1. Fare clic sulla voce della funzione dall'elenco di gestori degli eventi. Viene visualizzatore un editor di linguaggio Mini Visual BASIC con le istruzioni di apertura e chiusura della subroutinegià pronte.

  2. Digitare il codice di istruzioni aggiuntive del linguaggio BASIC nell'editor.

  3. Fare clic sul pulsante OK.

  4. Testare il codice.

    • Se si sta utilizzando l'Editor dei moduli, testare il modulo premendo CTRL + E per attivare la modalità di esecuzione.

    • Se si sta utilizzando uno degli editor di template, testare il codice applicando il template a un rapporto e ridisegnare il rapporto utilizzando l'icona Ridisegna rapporto dalla barra degli strumenti per il rapporto.

Nota: Poiché quando si utilizza un rapporto non si utilizzano pulsanti, elenchi e campi selezionabili con un clic o altri elementi interattivi, l'unica funzione del gestore degli eventi disponibile è la funzione EventReportData.

Vedere anche:

Esempio di evento 1: Richiamo del codice in un evento EventClick

Esempio di evento 2: Modifica delle proprietà degli oggetti all'avvio dell'evento

Accesso ai metodi dell'oggetto


Esempio di evento: Richiamo del codice in un evento EventClick

Esempio di eventi di oggetto pulsante

Esempio di eventi di oggetto pulsante

Esempio di evento 1: Richiamo del codice in un evento EventClick

In questo esempio di evento viene utilizzato un oggetto Pulsante. Per testarlo, sarà necessario utilizzare l'Editor Moduli.

  1. Visualizza Mappa percorsi dei menu Selezionare Vista | Editor moduli per accedere all'Editor Moduli.

  2. Innanzitutto, inserire un pulsante nel modulo facendo clic sull'icona Pulsante nella barra degli strumenti Oggetto e trascinare per disegnare un rettangolo per il pulsante nel modulo.

  3. Accertarsi che il pulsante sia selezionato (evidenziato).

  4. Fare clic con il pulsante destro del mouse sul pulsante per visualizzare la finestra di dialogo della pagina delle proprietà relativa al pulsante.

  5. Se non è espanso, fare clic sul segno + accanto alla sezione Eventi per espandere l'elenco. Viene visualizzato l'elenco di tutte le funzioni del gestore eventi disponibili per l'oggetto pulsante.

  6. Fare doppio clic sulla funzione EventClick nell'elenco. Viene visualizzato un editor Visual BASIC denominato VBS Mini-Editor.

  7. Aggiungere il seguente codice alla funzione EventClick in VBS Mini Editor:
    MsgBox “Sono stato premuto.”

  8. Fare clic sul pulsante OK nell'angolo superiore destro di VBS Mini-Editor. Chiudere la pagina delle proprietà.

  9. Per salvare il rapporto selezionato, fare clic su File | Salva. A questo punto è possibile verificare il rapporto in modalità di esecuzione.

  10. Passare in modalità di esecuzione premendo CTRL + E.

  11. Fare clic sul pulsante creato. Viene visualizzato un messaggio con il testo Sono stato premuto” .

Questo semplice esempio descrive le nozioni fondamentali dei moduli script e dei gestori degli eventi.


Modifica delle proprietà degli oggetti all'avvio dell'evento

Esempio di evento 2: Modifica delle proprietà degli oggetti all'avvio dell'evento

Questa esercitazione deve essere eseguita solo dopo il completamento di quella precedente. In questo esempio viene utilizzato l'Editor Moduli.

Per modificare le proprietà di un altro oggetto (ad esempio, il testo di un oggetto Testo) dopo aver fatto clic sul pulsante, effettuare le seguenti operazioni:

  1. Visualizza Mappa percorsi dei menu Selezionare Vista | Editor moduli per accedere all'Editor Moduli.

  2. Tornare in modalità di modifica premendo CTRL + E.

  3. Creare un nuovo oggetto testo.

  4. Aprire la pagina delle proprietà dell'oggetto testo (selezionare l'oggetto e fare clic con il pulsante destro del mouse).

  5. Accertarsi che la proprietà Object Code dell'elemento testo sia "Testo1". La proprietà Object Code è il nome utilizzato dal codice BASIC per riferirsi a quell'oggetto.

  6. Se non è espanso, fare clic sul segno + accanto alla sezione Eventi per espandere l'elenco.

  7. doppio clic sulla funzione del gestore EventInitialize . Fare doppio clic sulla funzione del gestore VBS Mini-Editor.

  8. Aggiungere il seguente codice alla funzione EventInitialize:
    Set This = Text1

  9. Premere il tasto INVIO per passare alla riga successiva. Alla riga successiva digitare il seguente codice:
    This.    Text = “Il pulsante non è ancora stato premuto”

  10. Fare clic su Ok per chiudere l'editor.

  11. Dopo aver impostato l'oggetto Text1 come descritto, aprire la pagina delle proprietà relative all'oggetto del pulsante aggiunto nel corso dell'esercizio precedente.

  12. Fare clic sulla scheda Eventi.

  13. Fare doppio clic sulla funzione EventClick.

  14. Sostituire il codice Basic aggiunto nell'esempio precedente con le seguenti due righe:
    Riga 1: MsgBox “Sono stato premuto e sto per modificare il testo di Text1”

    Riga 2: Text1.Text = "Il pulsante è stato premuto!"

  15. Fare clic su OK per chiudere VBS Mini-Editor.

  16. Chiudere la pagina delle proprietà.

  17. Passare in modalità di esecuzione premendo CTRL + E. Il codice aggiunto alla funzione EventInitialize del Text1 imposterà Text1 su "Il pulsante non è ancora stato premuto"

  18. Fare clic sul pulsante. Dovrebbe essere visualizzato il messaggio “Sono stato premuto e sto per modificare il testo di Text1”. Appena viene chiusa la casella di messaggio, il testo di Text1 dovrebbe essere stato modificato in “Il pulsante è stato premuto!”.

Questo esempio illustra le modalità di accesso alle proprietà di qualunque oggetto in un modulo dal codice Basic mediante la sintassi ObjectCode.nome_proprietà.


Accesso ai metodi dell'oggetto

Molti oggetti supportano vari metodi in aggiunta alle relative proprietà. È possibile accedere a tali metodi dal codice Basic utilizzando la sintassi ObjectCode.nome_metodo. Quindi, visualizzare le proprietà e i metodi disponibili per qualunque oggetto indicato inserendo il codice oggetto, seguito da un punto in VBS Mini-Editor. Non appena si inserisce il punto, viene visualizzata una finestra di autocomposizione che mostra i metodi e le proprietà disponibili per tale oggetto.

Quindi, se è presente un oggetto testo "Testo1" è possibile digitare "Testo1" seguito da un punto per visualizzare un elenco dei metodi e delle proprietà disponibili per un oggetto testo.

Le variabili dichiarate all'interno di una funzione del gestore degli eventi (mediante la sintassi BASIC Dim nome_var as tipo_var si trovano nell'area di validità solo per la durata di quella funzione del gestore degli eventi. Sicuramente si possono presentare situazioni in cui sarebbe preferibile dichiarare variabili, funzioni oppure subroutine accessibili da tutto il codice BASIC di un template o modulo, ovvero variabili con un'area di validità globale per un determinato rapporto. Gli editor di template e moduli forniscono una posizione per queste dichiarazioni.

Vedere anche:

Dichiarazione delle variabili globali utilizzando la proprietà LocalVariables

Dichiarazione/definizione delle variabili, funzioni o subroutine


Dichiarazione delle variabili globali utilizzando la proprietà LocalVariables

Se si desidera dichiarare le variabili globali di qualsiasi tipo di dati standard (stringa, numero intero, doppio e così via) e visualizzarle nell'autocomposizione Basic, è possibile utilizzare la proprietà LocalVariables di The Frame/The View o Sezione.

Per utilizzare la proprietà LocalVariables effettuare le seguenti operazioni::

  1. Aprire la pagina delle proprietàdi The Frame/The View. selezionando e poi facendo clic con il pulsante destro del mouse su un oggetto. Viene visualizzata la pagina delle proprietà.

  2. Selezionare la scheda Impostazioni.

  3. Scorrere l'elenco fino alla proprietà LocalVariables.

Se si fa doppio clic sulla proprietà LocalVariables viene visualizzata la finestra di dialogo Local Variables .

Finestra di dialogo Local Variables

Nella finestra di dialogo Local Variables è possibile aggiungere, rimuovere ed assegnare un nome alle variabili locali di tutti i tipi; inoltre, è possibile impostare i valori iniziali. Queste variabili sono globali per il template o per il modulo ed è possibile accedervi da qualsiasi codice Basic scritto per tale template o modulo. Esse verranno visualizzate inoltre nella sezione delle variabili locali dell'autocomposizione Script.

Nota: Il nome “LocalVariables” è fuorviante in quanto le variabili dichiarate nella finestra di dialogo Local Variables hanno in realtà un ambito globale per quel particolare template o modulo. Il nome indica che le variabili dichiarate sono "locali" per quel particolare template o modulo e non è possibile accedervi da altri moduli. Nonostante ciò, sono impostate come variabili globali, disponibili per altre routine del template o del modulo da cui sono definite.


Dichiarazione/definizione delle variabili, funzioni o subroutine

Per dichiarare e/o definire le variabili, le funzioni o le subroutine che devono essere accessibili dai codici Basic in un rapporto, utilizzare la proprietà LocalDecls di The Frame/The View che si trova nella scheda PC-DMIS della pagina delle proprietà. A tale scopo, operare come segue:

1. Aprire la pagina delle proprietà di un oggetto.

2. Selezionare The Frame/The Viewdall'elenco a discesa.

3. Fare clic sulla scheda PC-DMIS.

4. Fare doppio clic sulla voce LocalDecls della pagina delle proprietà. Viene visualizzata la finestra di dialogo VBS Mini-Editor.

È possibile aggiungere qualunque codice BASIC a questa finestra, comprese le dichiarazioni di variabile oppure le definizioni di funzioni o subroutine. Le variabili, le funzioni o le subroutine dichiarate in questo ambito saranno globali, ma non verranno visualizzate nell'autocomposizione Script.


Informazioni sulle espressioni dei rapporti

Le espressioni dei rapporti sono comandi speciali che vengono posizionati dentro oggetti di un rapporto di supporto o un template di etichetta per estrarre dati specifici da PC-DMIS e inserirli in quegli oggetti. Ad esempio, si supponga di voler inserire un ID di elemento in un template etichetta. È sufficiente aggiungere un oggetto che supporti espressioni nel rapporto, come GridControlObject. Quindi, in una cella di espressione della griglia, digitare "=ID".

Sono presenti quattro aree in cui è possibile inserire espressioni di rapporto:

1) L'Editor della struttura di regole nelle caselle Espressione condizionale e Testo espressione.

2) GridControlObject nelle celle della griglia.

3) GridControlObject nella casella Ripeti espressione nella scheda Riga per la ripetizione delle espressioni.

4) Valori del foglio delle proprietà nei campi di modifica o nelle caselle combinate che accettano valori di testo.

Per le espressioni disponibili, consultare "Funzioni e operatori" e "Uso dei tipi di dati per individuare l'espressione del rapporto" per un elenco delle funzioni disponibili, degli operatori e dei tipi di dati.

Nota: le espressioni dei rapporti possono anche utilizzare molte espressioni PC-DMIS normali illustrate nella sezione "Uso di Espressioni e Variabili" . Anteporre semplicemente alle espressioni il segno "=" quando vengono digitate nella cella.

Vedere anche:

Funzioni e operatori

Utilizzo dei tipi di dati per individuare un'espressione in un rapporto


Funzioni e operatori:

Le voci precedute da un asterisco (*) sono univoche del linguaggio di espressione del rapporto.

Funzione

Descrizione

ABS(<espressione>)

Restituisce il valore assoluto del valore di input.

ACOS(<espressione>)

Restituisce l'arco coseno del valore di input. L'input e il risultato sono espressi in radianti.

ANGLEBETWEEN(<espressione1>, <espressione2>)

Restituisce l'angolo tra gli input espressione1 ed espressione2, che deve essere di tipo punto. I risultati sono espressi in gradi.

ARRAY(<espressione1>,<espressione2>, & <espressioneN>)

Crea un array dai valori di input.

ASIN(<espressione>)

Restituisce l'arco seno del valore di input. L'input e il risultato sono espressi in radianti.

ATAN(<espressione>)

Restituisce l'arco tangente del valore di input. L'input e il risultato sono espressi in radianti.

CHR(<espressione>)

Restituisce il valore del carattere ASCII per il valore di input corrispondente che deve essere di tipo intero.

*COLOR(<espressione1>, <espressione2>)

Consente al valore di testo di espressione1 di utilizzare uno dei 4 colori correntemente definiti nella struttura dei colori. 1 = Colore selezionato 2 = Colore deselezionato 3 = Colore modalità passo-passo 4 = Colore dell'errore. Vedere "Modifica del colore del testo di una stringa".

*GetTolColor(espressione1, espressione2, espressione3)

Questa funzione prende tre espressioni, la deviazione, la tolleranza positiva e la tolleranza negativa e restituisce il colore della tolleranza corrente come tipo COLORREF in base alla deviazione.

espressione1 è la deviazione come valore double, espressione1 è la tolleranza positiva come valore double ed espressione3 è la deviazione negativa come valore double.

Il colore restituito può essere utilizzato con le proprietà del colore degli oggetti nel rapporto come ForeColor e BackColor per modificare dinamicamente il colore dell'oggetto per riportare il valore della tolleranza corrente.

Questi colori sono specificati nella finestra di dialogo Modifica colore dimensione. Vedere "Modifica dei colori della dimensione" nella sezione "Modifica della visualizzazione CAD"

CONCAT(<espressione1>, <espressione2>, & <espressioneN>)

Concatena tutte le stringhe specificate da espressione1 a N insieme alla stringa 1.

COS(<espressione>)

Restituisce il coseno del valore di input. L'input e il risultato sono espressi in radianti.

*COUNT(espressione1)

Restituisce il numero di istanze del tipo di dati specificato in espressione1 per il comando corrente.

CROSS(<espressione1>, <espressione2>)

Restituisce il prodotto dell'intersezione di espressione1 ed espressione2 che devono essere entrambi del tipo punto.

DATEVALUE()

Come nel linguaggio dell'espressione PC-DMIS.

DEG2RAD(<espressione>)

Converte l'input da gradi in radianti.

DELTA(<espressione1>, <espressione2>, <espressione3>)

L'output è un nuovo punto spostato lungo il vettore specificato in espressione2 tramite la distanza specificata in espressione3 dal punto specificato in espressione1.

DOT(<espressione1>, <espressione2>)

Restituisce il prodotto scalare di espressione1 ed espressione2. I valori di input devono essere di tipo punto.

DOUBLE(<espressione>)

Converte il valore di input dal tipo corrente al tipo double. Nel caso di un punto, viene restituita la distanza del punto dall'origine.

*ELAPSEDTIME()

Restituisce la quantità di tempo impiegata per l'esecuzione.

ELEMENT(<espressione1>, <espressione2>, <espressione3>)

Come nel linguaggio dell'espressione PC-DMIS.

EQUAL(<espressione1>, <espressione2>)

Testa la corrispondenza tra due array; se sono identici restituisce 1, altrimenti restituisce 0.

<espressione1> ^ <espressione2>

Come nel linguaggio dell'espressione PC-DMIS.

EXPON(<espressione>)

*FILENAME()

Restituisce il percorso completo e il nome file del part-program.

FORMAT(<espressione1>, <espressione2>)

Come nel linguaggio dell'espressione PC-DMIS.

*GETCOUNT(espressione1)

Restituisce un valore long del numero di istanze che esistono per il tipo di dati ENUM_FIELD_TYPES, specificato in espressione1. Ad esempio, una dimensione di posizione che si applica a X,Y, Z e D restituisce 4 per il tipo di dati Asse.

IF(<espressione1>, <espressione2>, <espressione3>)

Se espressione1 viene valutato con un valore diverso da zero, viene restituito il valore di espressione2, altrimenti viene restituito il valore di espressione3.

Come nel linguaggio dell'espressione PC-DMIS.

INDEX(<espressione1>, <espressione2>)

INTEGER(<espressione>)

LEFT(<espressione1>, <espressione2>)

LEN(<espressione>)

Per una stringa, restituisce il numero di caratteri della stringa. Per una array, restituisce il numero di elementi dell'array.

LN(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

*LOADSTR(<espressione>)

Carica la stringa utilizzando il valore numerico dai file di risorse. Un valore numerico negativo determina il caricamento della stringa dalle risorse di stringhe. Vedere "Caricamento di stringhe da PC-DMIS" per ulteriori informazioni.

LOG(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

LOWERCASE(<espressione>)

<espressione1> < <espressione2>

MAX(<espressione>)

MAXINDEX( <espressione>)

MAXINDICES( <espressione>)

*MEASSCALE()

Restituisce il fattore di ridimensionamento utilizzato durante la misurazione.

MIN(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

MININDEX(<espressione>)

MININDICES(<espressione>)

MID(<espressione1>, <espressione2>, <espressione3>)

MPOINT(<espressione1>, <espressione2>, <espressione3>)

*NUMMEAS()

Visualizza un valore numerico che rappresenta il numero di dimensioni riportate.

*NUMOUTTOL()

Visualizza il numero di dimensioni riportate non comprese nella tolleranza.

ORD(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

*PARTNAME()

Visualizza il nome del pezzo (corrispondente a quello indicato nell'intestazione del file).

RAD2DEG(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

*PAGE()

Visualizza il numero della pagina corrente.

REAL(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

*REGSETTING(<espressione1>, <espressione2>)

Visualizza un valore di una specifica impostazione di registro. Prende due parametri: espressione1 determina la sezione ed espressione2 determina la voce.

*REVNUM()

Visualizza il numero di revisione (corrispondente a quello indicato nell'intestazione del file).

*RGB(<espressione1>, <espressione2>, <espressione3>, <espressione4>)

Assegna i colori alla stringa specificata in espressione1 in base al colore specificato tramite i valori RGB di espressione 2, 3 e 4. Vedere "Modifica del colore del testo di una stringa".

RIGHT(<espressione1>, <espressione2>)

Come nel linguaggio dell'espressione PC-DMIS.

ROUND(<espressione1>, <espressione2>)

*SECTION()

Visualizza il numero della sezione corrente.

*SERNUM()

Visualizza il numero di serie (corrispondente a quello indicato nell'intestazione del file).

SIN(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

SORTUP(<espressione>)

SORTDOWN(<espressione>)

SQRT(<espressione>)

*STATCOUNT()

Restituisce il conteggio statistico (come indicato nell'intestazione del file).

STR(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

STRING(<espressione>)

SUM(<espressione>)

SYSTIME()

SYSTEMDATE(<espressione>)

SYSTEMTIME(<espressione>)

TAB(<espressione>)

*TOGGLESTR(<espressione1>, <espressione2>)

Rileva la stringa di selezione dalle risorse di base sul valore di ID della risorsa in espressione1. Ancora una volta, il numero negativo viene utilizzato per casi in cui la stringa deve provenire dalle risorse di stringhe. Il valore di espressione2 viene utilizzato per specificare quale stringa secondaria si desidera della stringa di selezione. Il risultato è una stringa secondaria.

*TOGGLESTRING(TIPO_DATI)

Se il tipo di dati specificato per il comando fornito è una stringa di tipo selezione, viene restituita l'intera stringa di selezione.

*TOGGLEVALUE(TIPO_DATI)

Se il tipo di dati specificato per il comando fornito è una stringa di tipo selezione, viene restituito il numero di indice (o valore di selezione) della stringa di selezione.

*TOL(<espressione1>, <espressione2>, <espressione3>, <espressione4>)

Espressione1 è la stringa da colorare. Espressione2 è il valore del test, Espressione3 è la tolleranza positiva, Espressione 4 è la tolleranza negativa. Se il valore del test è compreso nella tolleranza (tra i valori di Espressione 3 ed Espressione 4), viene utilizzato il colore correntemente selezionato nella struttura dei colori. In caso contrario, viene utilizzato il colore dell'errore (di solito, il rosso) come colore del testo.

UNIT(<espressione>)

Come nel linguaggio dell'espressione PC-DMIS.

VECX(<espressione>)

VECY(<espressione>)

VECZ(<espressione>)

Operatori | Descrizione
<espressione1> == <espressione2> | Viene valutato 1 se espressione1 è uguale ad espressione2. In caso contrario, viene valutato come 0.
<espressione1> >= <espressione2> | Viene valutato 1 se espressione1 è maggiore o uguale ad espressione2. Altrimenti, viene valutato 0.
<espressione1> <= <espressione2> | Viene valutato 1 se espressione1 è minore o uguale ad espressione2. Altrimenti, viene valutato 0.
<espressione1> > <espressione2> | Viene valutato 1 se espressione1 è maggiore di espressione2. In caso contrario, viene valutato come 0.
<espressione1> < <espressione2> | Viene valutato 1 se espressione1 è minore di espressione2. In caso contrario, viene valutato come 0.
<espressione1> - <espressione2> | Sottrae espressione2 da espressione1.
<espressione1> / <espressione2> | Divide espressione1 per espressione2.
<espressione1> % <espressione2> | Restituisce il resto della divisione di espressione1 per espressione2, se esiste.
<espressione1> * <espressione2> | Moltiplica espressione1 per espressione2.
<espressione1> <> <espressione2> | Confronta espressione1 ed espressione2, se sono diverse viene valutato 1. Se sono uguali, viene valutato 0.
-<espressione> | L'operatore meno unario annulla il valore dell'operando nell'espressione.
!<espressione> | Viene valutato 1 se l'espressione non esiste. Altrimenti, viene valutato 0.
<espressione1> AND <espressione2> | Esegue un'operazione AND binaria su due numeri. In caso contrario, concatena le stringhe o i numeri nel caso di tipi misti.
<espressione1> OR <espressione2> | Esegue un'espressione OR binaria su due numeri.
<espressione1> + <espressione2> | Addiziona espressione1 ed espressione2.

Funzioni e operatori

Di seguito è riportato l'elenco di funzioni e operatori disponibili per il linguaggio dell'espressione del rapporto di PC-DMIS. Funzionano nello stesso modo e sono disponibili anche nel linguaggio dell'espressione di PC-DMIS.

Il linguaggio dell'espressione per il rapporto non supporta variabili, strutture o funzioni come il linguaggio per espressioni di PC-DMIS. In sostituzioni delle variabili, è stato aggiunto al linguaggio un nuovo tipo denominato TIPO_DATI. Vedere "Uso dei tipi di dati per individuare l'espressione del rapporto" per ulteriori informazioni. Un'altra nuova differenza nel linguaggio per i rapporti è l'aggiunta di una serie di costanti descritte in "Costanti predefinite".

È necessario non dimenticare di anteporre all'espressione un segno di uguale (=) e assicurarsi che il comando da cui si ottengono i dati supporta l'espressione che si desidera utilizzare.

Funzioni

Operatori

() Le parentesi vengono utilizzate per raggruppare le espressioni e determinare l'ordine di valutazione.

Vedere anche:

Caricamento di stringhe da PC-DMIS

Modifica del colore del testo di una stringa


Caricamento di stringhe da PC-DMIS

Come per la modifica del colore del testo per una cella nell'argomento "Modifica del colore del testo dell'espressione", il linguaggio di espressione per il rapporto consente di estrarre le stringhe dal linguaggio di esecuzione corrente di PC-DMIS utilizzando la seguente espressione:

=LOADSTR(<espressione intero>)

Questa stringa accetta un solo parametro, un numero intero che corrisponde al valore di una stringa che si trova in resource.dll o in strings.dll.

  • Un numero positivo estrae la stringa dal file resource.dll.

  • Un numero negativo estrae la stringa dal file strings.dll.

Se si digita questa funzione nella casella Espressione cella di GridControlObject, fare clic su OK, quindi fare clic fuori dall'oggetto, PC-DMIS valuta l'espressione e restituisce la stringa assegnata al valore intero specificato.

Nota: questa funzionalità era stata aggiunta all'inizio in modo che i template etichetta forniti con PC-DMIS utilizzassero dati di stringa dal linguaggio corrente.


Modifica del colore del testo di una stringa

Utilizzo della funzione RGB

Il linguaggio di espressioni per la creazione di rapporti consente di utilizzare la funzione RGB per definire un valore del colore RGB (Red Green Blue, Rosso, verde e blu) e applicarlo a una stringa di caratteri nel testo dell'espressione. Questa funzione accetta quattro parametri, un parametro di stringa seguito da parametri RGB separati da virgola, come nel seguente esempio:

=RGB(stringa,R,G,B)

Se si digita questa funzione nella casella Espressione cella di GridControlObject, fare clic su OK, quindi fare clic fuori dall'oggetto, PC-DMIS valuta l'espressione e assegna al testo il valore del colore specificato.

La finestra Espressione cella contenente un'espressione RGB

Ad esempio, se si digita la seguente espressione in una cella

=RGB("Testo blu",0,0,255) + RGB(" Testo nero",0,0,0) + RGB(" Testo giallo",255,255,0)

le parole saranno visualizzate nell'editor template nel seguente modo:

Utilizzo della funzione colore

La funzione Colore accetta due parametri. Il primo, il parametro del colore, è un numero che rappresenta una dei principali colori della finestra di modifica. Il secondo è il valore di stringa a cui viene applicato il colore PC-DMIS.

=COLOR(1, "Il mio testo")

Il primo parametro è un valore compreso tra 1 e 4 e passa il colore della finestra di modifica associato con quanto segue:

1 passa il Colore selezionato

2 passa il Colore deselezionato

3 passa il Colore modalità passo-passo

4 passa il Colore dell'errore

Questi colori sono definiti nella finestra di dialogo dell'editor dei colori. Vedere "Definizione Colori della Finestra di Modifica" in "Impostazione delle preferenze" per informazioni.


Utilizzo dei tipi di dati per individuare un'espressione in un rapporto

Quando si utilizzano espressioni, di solito è per estrarre i dati da PC-DMIS. È necessario assicurarsi che il comando o l'elemento associato al template dell'etichetta per eseguire questa operazione contenga i dati che si desidera visualizzare. I tipi di dati possono facilitare la ricerca dell'espressione corretta da utilizzare.

Ad esempio, si supponga di dover creare un template di etichetta che contenga un oggetto GridReportObject e in una delle celle si digita l'espressione di seguito riportata per visualizzare i dati X misurati dell'elemento:

=MIS_X

A questo punto, se si crea un template di rapporto, si aggiunge un TextReportingObject e si utilizza l'Editor della struttura di regole per associare il template di etichetta ai comandi APPROCCIO, nella finestra Rapporto la cella è vuota. Perché? Perché il comando APPROCCIO non contiene un campo X misurato. Per utilizzare l'espressione corretta, è possibile visualizzare i tipi di dati per diversi campi nella modalità comando della finestra di modifica.

La seguente procedura illustra come attivare e visualizzare i tipi di dati:

  1. Accedere alla finestra di Modifica.

  2. Attivare la modalità Comando per la finestra di modifica.

  3. Fare clic con il pulsante destro del mouse nella finestra di modifica. Viene visualizzato un menu di scelta rapida .

  4. Selezionare Modifica visualizzazione | Informazioni su tipo dati.

  5. Posizionare il puntatore del mouse su un campo in un comando e sarà visualizzata un piccolo breve testo che indica il tipo di dati del campo. La prima parte del testo tra parentesi rappresenta il tipo di dati e un'espressione equivalente esiste nell'elenco delle espressioni.

Si consideri il seguente esempio:

Testo di un tipo di dati

Questo tipo di dati mostra che TEO_X è un'espressione valida per questo comando. Se si digitasse "=TEO_X" in una posizione corretta, verrebbe visualizzato il valore X teorico di questo elemento.

Utilizzando i tipi di dati è possibile assicurarsi che nei template dei rapporti e delle etichette vengono utilizzate le espressioni supportate da un determinato comando.

Vedere anche:

Utilizzo di un indice tipo per visualizzare dati specifici

Elenco di tipi di dati disponibili

Costanti predefinite


Utilizzo di un indice tipo per visualizzare dati specifici

Gli indici tipo consentono di inserire nel rapporto dati molto specifici. Ad esempio, se si dispone di un elemento cilindro con otto punti, è possibile utilizzare un indice tipo per rilevare il valore X misurato del secondo punto. Per utilizzare un indice tipo, è sufficiente aggiungere il segno dei due punti e un numero all'espressione per ottenere quel punto o quella riga di dati di dimensione.

Indici tipo per visualizzare dati specifici

Per illustrare il funzionamento di questa operazione, se si digita:

=MIS_X

PC-DMIS non utilizza un indice tipo (l'indice tipo sarebbe quello predefinito, 0) e visualizza il valore X misurato del punto del centro dell'elemento.

Se invece si digita:

=MIS_X:1

PC-DMIS visualizza il valore X misurato del primo punto.

Se si digita:

=MIS_X:2

PC-DMIS rileva il valore X misurato del secondo punto.

Riga di ripetizione per visualizzare tutti i dati

Come per gli indici tipo, in GridControlObject è possibile definire una riga come "riga di ripetizione". Con le righe di ripetizione, il carattere "N" valuta l'indice di ripetizione corrente della riga da disegnare. Quando si definisce una riga di ripetizione, è anche possibile definire un'espressione di riga di ripetizione che, quando valutata, determina il numero di ripetizioni della riga.

Quindi, se si desidera visualizzare tutti i valori X misurati per tutti i punti in un elemento, è possibile definire una riga di ripetizione singola con la seguente espressione:

=MIS_X:N

È quindi possibile impostare l'espressione della riga di ripetizione su "=N_HITS" per ricavare il numero totale di punti. PC-DMIS continua a ripetere la riga con i dati del punto successivo fino a visualizzare il numero totale di punti.


Elenco di tipi di dati disponibili

ABOVEBELOW_CONFIG

ALIGN_LIST

ANGLE_COMP_TOGGLE

ANGLE_OFFSET

ANGULARITY_NOM_ANGLE

ANGVEC_I

ANGVEC_J

ANGVEC_K

ARROW_MULTIPLIER

ARTICULATEDARM_TYPE

AUTO_CLEAR_PLANE

AUTO_PH9

AUTO_PRINT

AUTOBEEPING

AUTOFIT_CONSTRAINT

AUTOTOLZONE

AUTOTRIGGERONOFF

AVERAGE_ERROR

AXIS

AXIS_DESCRIPTION

AXIS_MINUS_TOL

AXIS_NOMINAL

AXIS_PLUS_TOL

BF_MATH_TYPE

BOUND_TYPE

BOUNDARY_POINT_X

BOUNDARY_POINT_Y

BOUNDARY_POINT_Z

BSMETHOD_TYPE

BUFFER_SIZE_TYPE

CAD_TOLERANCE

CALC_STYLE_FILE

CALC_STYLE_FILE

CENTER_OF_ROTATION_THEO

CENTER_OF_ROTATION_MEAS

CHART_SUB_TYPE

CIRC_TYPE

CLIP_LEFT_DIST

CLIP_LOW_DIST

CLIP_RIGHT_DIST

CLIP_UP_DIST

COL132_TYPE

COLUMN_HDR

COLUMN_ID

COMMAND_STRING

COMMENT_FIELD

COMMENT_INPUT

COMMENT_TYPE

COMPOSITE

CONE_CONVEX_TYPE

CONE_LENGTH_ANGLE_TYPE

COORD_TYPE

COP_BOOLEANTYPE

COP_COLORMAP

COP_COPLEMENT

COP_FILETYPE

COP_FILTER

COP_IMPORTFILETYPE

COP_SELECTIONTYPE

COP_SIZE

COP_TYPE

CPOINT_DIAM

CPOINT_F_SCANSPEED

CPOINT_I

CPOINT_J

CPOINT_K

CPOINT_SCAN_CROSS_TOTAL

CPOINT_SCAN_DENSITY

CPOINT_TYPE

CPOINT_X

CPOINT_Y

CPOINT_Z

CREATE_WEIGHTS

CURVE_TYPE

DATA_MEM_PAGES

DATA_READ_LOCK

DATA_WRITE_LOCK

DATUM1_MODIFIER

DATUM1_MODIFIER2

DATUM2

DATUM2_MODIFIER

DATUM2_MODIFIER2

DATUM3_MODIFIER

DATUM3_MODIFIER2

DB_SOURCE_TYPE

DELETE_TYPE

DESCRIPTION

DESCRIPTION2

DEST_EXPR

DEV_DIAM

DEV_PERPEN_CENTERLINE

DEV_X

DEV_Y

DEV_Z

DEVIATION_SYMBOLS

DEVPERCENT_NOM

DEVPERCENT2

DIGIT_COUNT

DIM_BONUS

DIM_DEVIATION

DIM_HEADING

DIM_ID

DIM_INFO_LOC

DIM_INFO_ORDER

DIM_INFO_TP_LOC

DIM_LENGTH

DIM_LENGTH2

DIM_MAX

DIM_MEASURED

DIM_MIN

DIM_OUTTOL

DIM_RPT_DATUM

DIM_RPT_DEVPERCENT

DIM_RPT_GRAPHIC

DIM_RPT_ISBILATERAL

DIM_RPT_ISDATUM

DIM_RPT_NUMZONES

DIM_TEXT

DIM_TEXT_OPTIONS

DISPLAY_HITS

DISPLAY_ID

DISPLAY_PROBE_PARAMETERS

DISPLAY_TRACE

DISPLAY_TYPE

DISTANCE

DRF_COLUMN_HDR

DRF_ROTATIONX

DRF_ROTATIONY

DRF_ROTATIONZ

DRF_SEGNAME

DRF_SHIFTY

DRF_SHIFTZ

DRF_TBLHDR

DRG_SHIFTX

DTYPE_LEAPFROGFULLPARTIAL

DTYPE_LEAPFROGNUMHITS

DTYPE_LEAPFROGTYPE

END_ANG

END_NUM

ERROR_LABEL

ERROR_MODE

ERROR_TYPE

EXCLUSION_ZONE

EXECUTE

EXPOSURE

F_AUTOMOVE

F_BOXLENGTH

F_BOXWIDTH

F_CIRCRADIN

F_CIRCRADOUT

F_CORNER_RADIUS

F_DEPTH

F_INCREMENT

F_INDENT

F_LOCATION

F_MAXACCELX

F_MAXACCELY

F_MAXACCELZ

F_MINUS_TOL

F_MOVESPEED

F_OFFSET

F_PITCH

F_PLUS_TOL

F_SCANSPEED

F_SIZE

F_SPACER

F_THICKNESS

F_THICKNESS_EDGE

F_TOLERANCE

F_TOUCHSPEED

FAIL_ON_EXIST

FCF_RPT_LINE1_COLUMN_HDR

FEAT_TYPE

FIELD_WIDTH

FILE_COMMAND_TYPE

FILE_NAME

FILE_POINTER

FILTER_NEIGHBOR_NUM

FILTER_TOGGLE

FILTER_TOL_ABOVE

FILTER_TOL_BELOW

FILTER_TOL_RIGHT

FILTER_TYPE

FILTER_TYPE

FIND_HOLE_PERCENT

FIND_NOM_AXIS_TYPE

FIND_NOMS_TYPE

FINDHOLE_TYPE

FINDNOMS_BESTFIT

FINDNOMS_ONLYSELECTED

FIXTURE_TOL

FIXTURE_TYPE

FLY_MODE_TYPE

FREQUENCY

GAP_ONLY_TYPE

GDT_SYMBOL

GDT_SYMBOL2

GEN_ALIGN_TYPE

GEN_FEAT_TYPE

GRAPH_ANALYSIS

GRAPH_OPTION

HIGH_ACCURACY

HIGH_THRESHOLD

HIT_TYPE

HITINT_TYPE

ID

INDEX_END

INDEX_START

INIT_HITS

INOUT_TYPE

INTERNAL_EXTERNAL

IOCHANNEL_NUMBER

IOCHANNEL_PULSE_DURATION

IOCHANNEL_PULSE_INTERVAL

IOCHANNEL_PULSE_WIDTH

ISLAND_AI

ISLAND_AJ

ISLAND_AK

ISLAND_CLEARANCEDIST

ISLAND_DIAM

ISLAND_I

ISLAND_J

ISLAND_K

ISLAND_LENGTH

ISLAND_TYPE

ISLAND_WIDTH

ISLAND_X

ISLAND_Y

ISLAND_Z

ITEM_USED

ITERATE_COLUMNS

LABEL_ID

LEADER_LINE_ID

LEFTYRIGHTY_CONFIG

LEVEL_REF_ID

LIN_POL_FILT_TYPE

LINE1_DEV

LINE1_DEVPERCENT

LINE1_DEVPERCENT_NOM

LINE1_DEVPERCENT2

LINE1_FEATNAME

LINE1_ISBILATERAL

LINE1_MEAS

LINE1_MINUSTOL

LINE1_NOMINAL

LINE1_NUMZONES

LINE1_PLUSTOL

LINE1_TBLHDR

LINE1_USE2DEVIATIONS

LINE2_AXIS

LINE2_BONUS

LINE2_CALLOUT

LINE2_COLUMN_HDR

LINE2_DATUMSHFT

LINE2_DEV

LINE2_DEVANG

LINE2_DEVPERCENT

LINE2_DEVPERCENT_NOM

LINE2_DEVPERCENT2

LINE2_FEATNAME

LINE2_ISBILATERAL

LINE2_MAX

LINE2_MEAS

LINE2_MIN

LINE2_MINUSTOL

LINE2_NOMINAL

LINE2_NUMZONES

LINE2_PLUSTOL

LINE2_TBLHDR

LINE2_TOL

LINE2_UNUSEDZONE

LINE2_USE2DEVIATIONS

LINE3_BONUS

LINE3_CALLOUT

LINE3_COLUMN_HDR

LINE3_DATUMSHFT

LINE3_DEV

LINE3_DEVANG

LINE3_DEVPERCENT

LINE3_DEVPERCENT_NOM

LINE3_DEVPERCENT2

LINE3_FEATNAME

LINE3_ISBILATERAL

LINE3_NUMZONES

LINE3_TBLHDR

LINE3_TOL

LINE3_UNUSEDZONE

LINE3_USE2DEVIATIONS

LOAD_TYPE

LOW_FORCE

LOW_THRESHOLD

MACHINE_TYPE

MAGNIFICATION

MAN_RETRACT

MANUAL_FINE_PROBING

MANUAL_PREPOSITION

MATERIAL_COEFFICIENT

MAX_ANGLE

MAX_FORCE

MAX_INCREMENT

MEAS_A

MEAS_A2

MEAS_ANGLE

MEAS_AREA

MEAS_DEPTH

MEAS_DIAM

MEAS_EA

MEAS_EH

MEAS_END_ANG

MEAS_ER

MEAS_EX

MEAS_EY

MEAS_EZ

MEAS_FLUSH

MEAS_GAP

MEAS_H

MEAS_H2

MEAS_HEIGHT

MEAS_I

MEAS_J

MEAS_K

MEAS_LENGTH

MEAS_MINOR_AXIS

MEAS_PERIMETER

MEAS_R

MEAS_R2

MEAS_SA

MEAS_SH

MEAS_SLOTVEC_I

MEAS_SLOTVEC_J

MEAS_SLOTVEC_K

MEAS_SR

MEAS_START_ANG

MEAS_SX

MEAS_SY

MEAS_SZ

MEAS_WIDTH

MEAS_X

MEAS_Y

MEAS_Z

MEASURE_ALL_FEATURES

MEASURE_ORDER_TYPE

MEASURED_2D3D_TYPE

MEASVEC_I

MEASVEC_J

MEASVEC_K

METHOD_TYPE

MIDPOINT_X

MIDPOINT_Y

MIDPOINT_Z

MIN_ANGLE

MIN_INCREMENT

MINOR_WORD_TOGGLE

MODE_TYPE

MOVE_TYPE

N_CONTROLPOINTS

N_HITS

N_INIT_HITS_TYPE

N_PERM_HITS_TYPE

N_ROWS

NEW_STATS_DIR

NEW_TIP

NOFLIPFLIP_CONFIG

NOMINAL

NOMINAL_COLOR

NORM_RELEARN

NUM_CONTROL_POINTS

NUM_FIT_POINTS

NUM_ITERATIONS

NUM_RETURN_DATA

OFFSET_LINE_METHOD

OFFSET_TOLERANCE

OLD_TIP

ONOFF_TYPE

OPERTYPE

ORIGIN

ORIGIN_REF_ID

OUTPUT_FEAT_W_DIMENS

OUTPUT_FEATURE_NOMS

OUTPUT_TYPE

OVERLAP

OVERSCAN

OVERWRITE

PART_NAME

PATTERN_TYPE

PERCENTAGE

PERM_HITS

PERP_PARALLEL_TYPE

PINVEC_I

PINVEC_J

PINVEC_K

PIXEL_TOGGLE

POINT_INFO_HEADING

POINTINFO_FILTER_DEVIATION

POINTINFO_FILTER_DEVIATION_NUMBER

POINTINFO_FILTER_INTERVAL

POINTINFO_FILTER_INTERVAL_NUMBER

POINTINFO_FILTER_OUTTOL

POINTINFO_FILTER_WORST

POINTINFO_FILTER_WORST_NUMBER

POLAR_VECTOR_COMPENSATION

POS_REPORT_AXIS_X

POS_REPORT_AXIS_Y

POS_REPORT_AXIS_Z

POSITIONAL_ACCURACY

PRECISION

PRINT_DELETE_RUNS

PRINT_DRAFTMODE

PRINT_TO_FILE

PRINT_TO_PRINTER

PROBE_ACCURACY

PROBE_COMP

PROBING_MODE

PROFILE_FORM_TYPE

PROFILE_TYPE

PROGRAM_GAGE_FEAT_TYPE

PROGRAM_GAGE_TYPE

PUNCHVEC_I

PUNCHVEC_J

PUNCHVEC_K

QUERY_SHOW_GRAPHIC_SETTINGS

RADIUS_TYPE

READ_WRITE

READPOS_TYPE

REF_ID

REF_TEMP

REPIERCE_CAD

REPORT_SURFVEC_I

REPORT_SURFVEC_J

REPORT_SURFVEC_K

REPORTVEC_I

REPORTVEC_J

REPORTVEC_K

RET_ONLY_TYPE

RETURN_SPEED

REVISION_NUMBER

RMEAS_TYPE

RMEASFEATID

RMEASFEATIDX

RMEASFEATIDY

RMEASFEATIDZ

ROTATE_REF_ID

ROTATION_TYPE

RPT_DIMENSION_TABLES

SAVE_ALIGN_CAD_TO_PARTS

SCAN_ACCELERATION

SCAN_AXISVEC_I

SCAN_AXISVEC_J

SCAN_AXISVEC_K

SCAN_BNDRY_TYPE

SCAN_CROSS_TOTAL

SCAN_CUTPLANEVEC_I

SCAN_CUTPLANEVEC_J

SCAN_CUTPLANEVEC_K

SCAN_DENSITY

SCAN_EDGE_THICK

SCAN_ENDVEC_I

SCAN_ENDVEC_J

SCAN_ENDVEC_K

SCAN_INITDIR_I

SCAN_INITDIR_J

SCAN_INITDIR_K

SCAN_INITVEC_I

SCAN_INITVEC_J

SCAN_INITVEC_K

SCAN_OFFSET_FORCE

SCAN_TECHNIQUE

SCAN_TIME_INCR

SCREEN_CAPTURE_AUTO_TYPE

SCREEN_CAPTURE_AUTO_TIME

SCREEN_CAPTURE_TYPE

SEARCHMODE_TYPE

SENSOR_LIST

SERIAL_NUMBER

SHOW_DETAILSNO

SHOW_HEADINGS

SHOW_IDSYES

SHOW_NOMS

SHOW_OPTIONS

SHOW_POINT_INFO

SINGLE_POINT

SKIP_NUM

SLOT_MIN_MAX_TYPE

SLOT_NUMBER

SLOT_TYPE

SLOTVEC_I

SLOTVEC_J

SLOTVEC_K

SNAP_TYPE

SRC_EXPR

STANDARD_DEVIATION

START_ANG

START_LABEL

START_NUM

STAT_CALC_TYPE

STAT_COUNT

STAT_NAME_TYPE

STATS_DB_TYPE

STATS_DIR

STATS_TYPE

SUB_NAME

SUMMARY_AXIS

SUMMARY_COLUMN_HDR

SUMMARY_DEV

SUMMARY_FEAT

SUMMARY_MEAS

SUMMARY_NOMINAL

SUMMARY_TBLHDR

SURFACE

SURFVEC_I

SURFVEC_J

SURFVEC_K

SURFVEC_MEAS_I

SURFVEC_MEAS_J

SURFVEC_MEAS_K

T_VALUE

TARG_A

TARG_EA

TARG_EH

TARG_ER

TARG_EX

TARG_EY

TARG_EZ

TARG_H

TARG_I

TARG_J

TARG_K

TARG_R

TARG_SA

TARG_SH

TARG_SR

TARG_SX

TARG_SY

TARG_SZ

TARG_X

TARG_Y

TARG_Z

TARGE_SURFACE_CROSSHAIR_HEIGHT

TARGET_BLOB_IP_TYPE

TARGET_COLOR

TARGET_DIRECTION

TARGET_EDGE_ANGLE

TARGET_EDGE_DENSITY

TARGET_EDGE_EDGEDETECT

TARGET_EDGE_EDGENUM

TARGET_EDGE_EDGESELECT

TARGET_EDGE_FILTER_AREA_SIZE

TARGET_EDGE_FILTER_CLEAN

TARGET_EDGE_FILTER_CLEAN_STRENGTH

TARGET_EDGE_FILTER_AREA

TARGET_EDGE_GAGE

TARGET_EDGE_GRADIENT

TARGET_EDGE_HEIGHT

TARGET_EDGE_ILLUM

TARGET_EDGE_POLARITY

TARGET_EDGE_SIZE

TARGET_EDGE_STRENGTH

TARGET_EDGE_TOL

TARGET_EDGE_TYPE

TARGET_EDGE_UNDERSCAN

TARGET_EDGE_WIDTH

TARGET_FILTER_OUTLIER

TARGET_FILTER_OUTLIER_PASS_1_DEVIATION

TARGET_FOCUS

TARGET_SURFACE_DURATION

TARGET_SURFACE_HEIGHT

TARGET_SURFACE_HIACC

TARGET_SURFACE_MODE

TARGET_SURFACE_RANGE

TARGET_SURFACE_TYPE

TARGET_TYPE

TARGSLOT_I

TARGSLOT_J

TARGSLOT_K

TEMPP

TEMPX

TEMPY

TEMPZ

TEXT_ANALYSIS

TEXTANAL_LABEL_DEV

TEXTANAL_LABEL_MEAS_X

TEXTANAL_LABEL_MEAS_J

TEXTANAL_LABEL_MEAS_K

TEXTANAL_LABEL_MEAS_I

TEXTANAL_LABEL_MEAS_Y

TEXTANAL_LABEL_MEAS_Z

TEXTANAL_LABEL_MINMAX

THEO_A

THEO_A2

THEO_ANGLE

THEO_AREA

THEO_DEPTH

THEO_DIAM

THEO_EA

THEO_EH

THEO_END_ANG

THEO_ER

THEO_EX

THEO_EY

THEO_EZ

THEO_FLUSH

THEO_GAP

THEO_H

THEO_H2

THEO_HEIGHT

THEO_I

THEO_J

THEO_K

THEO_LENGTH

THEO_MINOR_AXIS

THEO_PERIMETER

THEO_R

THEO_R2

THEO_SA

THEO_SH

THEO_SR

THEO_START_ANG

THEO_SX

THEO_SY

THEO_SZ

THEO_WIDTH

THEO_X

THEO_Y

THEO_Z

THEOBF_TYPE

THICKNESS_TYPE

THICKNESS_TYPE_EDGE

THINNING_TOL

THRESHOLD

TIP_I

TIP_J

TIP_K

TOOL_DIAM

TOOL_X

TOOL_Y

TOOL_Z

TP_MODIFIER

TP_MODIFIER2

TRACE_FILTER_ARG

TRACE_NAME

TRACE_VALUE

TRACE_VALUE_LIMIT

TRANSFER_DIR

TRIGGER_FORCE

TRIGGERPLANE

TRIGGERTOLERANCE

TRIGGERTOLVALUE

TWO_D_THREE_D_TYPE

U_HITS

UNIT_TYPE

UP_FORCE

UPDATEVEC_I

UPDATEVEC_J

UPDATEVEC_K

USE_3DFILTER

USE_AXIS

USE_AXIS2

USE_HSSDAT

USE_STARTENDDELAY

USE_THEO

USEPIN_TYPE

USETWODEVIATIONS

V_HITS

VIDEO_GAIN

VIDEO_LASERLIGHT1

VIDEO_LASERLIGHT2

VIDEO_LEDLIGHT

VIDEO_LSEG

VIDEO_OFFSET

VIDEO_XSEG

VIDEO_YEND

VIDEO_YORIGIN

VIDEO_YSEG

WEIGHT

WORK_PLANE

X_OFFSET

Y_OFFSET

Z_OFFSET


Costanti predefinite

Il linguaggio delle espressioni per i rapporti utilizza alcune costanti predefinite per gli indici tipo utilizzati con il tipo di dati DIMENSIONE_TABELLE.

TABELLA_DIMENSIONE_LINEA1 = 1

TABELLA_POSIZIONE_LINEA2 = 2

TABELLA_POSIZIONE_LINEA3 = 3

TABELLA_SELEZIONE_DATUM = 4

TABELLA_RIEPILOGO = 5

TABELLA_ORIENTAMENTO_LINEA2 = 7

TABELLA_ORIENTAMENTO_LINEA3 = 8

TABELLA_DIMENSIONE_BASE_LINEA2 = 9

TABELLA_DIMENSIONE_BASE_LINEA3 = 10

TABELLA_POSIZIONE_REALE = 11

TABELLA_DIMENSIONE = 12

DIMENSIONE_CON_TABELLA_BONUS = 13

NEWLINE

NEWLINE viene utilizzato per aggiungere un ritorno a capo a un'espressione di testo:

Questa espressione,

=”Questa è la riga 1” + “ e questa è la riga 2”

verrebbe visualizzata come

Questa è la riga 1 e questa è la riga 2

nel rapporto.

L'espressione

=”Questa è la riga 1” + NEWLINE + “ e questa è la riga 2”

verrebbe visualizzata come

Questa è la riga 1

e questa e la riga 2

nel rapporto.

N:

Quando si utilizzano le righe a ripetizione in una griglia, N viene valutato nel conteggio della riga corrente nelle righe a ripetizione. È utile quando si inseriscono espressioni che utilizzano un tipo di dati più di una volta in una riga a ripetizione.

Di seguito è riportata una griglia di esempio per mostrare i valori di punti in una tabella. N verrà utilizzato nelle espressioni per la riga a ripetizione. Quando le espressioni per la prima istanza della riga a ripetizione vengono valutate, N sarà uguale a 1 e quindi saranno visualizzati i valori X, Y e Z del primo punto. Quando viene aggiunta la seconda riga, N sarà uguale a 2 e quindi saranno visualizzati i valori X, Y e Z del secondo punto.


Informazioni sull'Editor della struttura di regole

Viene visualizzata la finestra di dialogo Editor della struttura di regole che consente di definire regole, o condizioni e risposte, che determinati oggetti seguono per la visualizzazione delle informazioni sul rapporto. Ad esempio, è possibile mostrare solo le informazioni sul tipo di dimensione Rotondità per gli elementi cerchio del rapporto, anche se il part-program contiene molti altri elementi. A tale scopo, procedere come segue: Nel template del rapporto, è possibile aggiungere un CadReportObject e accedere all'Editor della struttura di regole per quell'oggetto. Dall'editor, è possibile specificare un tipo di elemento cerchio e selezionare un template etichetta programmato per la visualizzazione dei dati di tipo rotondità.

Oggetti supportati:

L'Editor della struttura di regole funziona con i seguenti oggetti, disponibili solo dall'Editor template rapporto:

  • TextReportObject

  • CadReportObject

  • Oggetto Etichetta

Solo questi oggetti possono accedere ai dati da un part-program utilizzando l'Editor della struttura di regole.

Accesso all'Editor della struttura di regole:

  1. Inserire un oggetto supportato nel template di rapporto.

  2. Fare clic con il pulsante destro del mouse sull'oggetto.

  3. Fare clic sulla proprietà dell'Editor della struttura di regole. Viene visualizzata la finestra di dialogo Editor della strutture di regole.

Vedere anche:

Definizione di una regola

Importazione ed esportazione di regole

Uso della finestra di dialogo Proprietà formato tabella


Definizione di una regola

Editor della struttura di regole

Finestra di dialogo Editor della struttura di regole

Finestra di dialogo Modifica regola

Finestra di dialogo Modifica regola

É possibile controllare la dimostrazione mediante la barra presente sul fondo di questa finestra. Al termine della demo, fare nuovamente clic sull'icona azzurra per chiudere la finestra che era stata espansa.

Definizione di una regola nell'Editor della struttura di regole

Per definire una regola utilizzando la finestra di dialogo Editor della struttura di regole, attenersi alla seguente procedura:

  1. Visualizza Mappa percorsi dei menu Selezionare File | Rapporto | Nuovo | Template rapporto per accedere all'Editor template rapporto.

  2. Aggiungere un oggetto TextReportObject, CadReportObject o Label al template.

  3. Fare clic con il pulsante destro del mouse sull'oggetto. Viene visualizzata la finestra di dialogo Proprietà.

  4. Selezionare la proprietà Struttura delle regole dalla finestra di dialogo Proprietà. Viene visualizzata la finestra di dialogo Editor della struttura di regole . Viene visualizzato un elenco delle varie voci che fanno parte del part-program. Molte di queste voci possono essere espanse selezionando il segno più (+) per visualizzare altre voci o comandi. Alcune voci sono isolate e non fanno parte di elenchi espandibili; alcune di queste sono riportate di seguito:

    • Inizio della prima pagina nella sezione - Se si seleziona questa voce, è possibile selezionare un'etichetta o un'espressione di testo da visualizzare all'inizio della prima pagina nella sezione corrente della finestra del rapporto.

    • Fine dell'ultima pagina nella sezione - Se si seleziona questa voce, è possibile selezionare un'etichetta o un'espressione di testo da visualizzare alla fine dell'ultima pagina nella sezione corrente.

    • Intestazione file - Se si seleziona questa voce, è possibile selezionare un'etichetta o un'espressione di testo da visualizzare in sostituzione della normale intestazione del file del rapporto NOME PEZZO, NUM REV, NUM SERIE, e CONT STAT.

  5. Definizione delle condizioni da soddisfare.

    • Dall'elenco di voci, individuare quella che si desidera definire come condizione.

    • Selezionare la voce e fare clic su Aggiungi. Viene visualizzata la finestra di dialogo Modifica regola .

    • Se si desidera definire un'altra condizione, selezionare la casella di controllo Usa espressione aggiuntiva, quindi digitare l'espressione per la condizione nella casella Espressione condizionale. Ad esempio, se si sta creando una regola per un cerchio misurato, è possibile testare uno dei valori del campo del tipo dati cerchio per visualizzare o meno un'etichetta. Si supponga di voler visualizzare un'etichetta solo se il cerchio misurato contiene meno di quattro punti. Nella casella Espressione condizionale, digitare:

      N_HITS < 4

      Quindi, se questa condizione viene valutata TRUE, PC-DMIS utilizza l'etichetta associata. Non è necessario includere l'intera istruzione dell'espressione IF. L'istruzione IF è già rilevata e valutata in questa casella.

  6. Definizione di un'etichetta o di un'espressione per quella condizione.

    • Nella finestra di dialogo Modifica regola, selezionare Usa espressione testo per il rapporto o Usa template etichetta per il rapporto.

      • Se si sceglie di utilizzare un'espressione testo, digitare un semplice messaggio di testo oppure definire un'espressione nella casella Espressione testo. Ad esempio, quando PC-DMIS misura un cerchio, è possibile digitare il seguente testo statico:

        "Abbiamo appena misurato un cerchio"

        Oppure, è possibile utilizzare delle espressioni per includere informazioni sul cerchio, ad esempio:

        "Abbiamo appena misurato un cerchio. Conteneva " + N_HITS + " punti"

      • Se si sceglie di utilizzare un template di etichetta, selezionarne uno. Se si desidera, fare clic sul pulsante Formato griglia per aprire la finestra di dialogo Proprietà formato tabella. In questa finestra di dialogo è possibile definire un formato della griglia da utilizzare nel rapporto. Il formato della griglia consente di riordinare o nascondere le colonne e le righe senza creare un nuovo template di etichetta. Inoltre, se si definisce un formato di griglia è possibile utilizzare il comando della finestra di modifica TABELLA/FORMATO per controllare l'ordine delle righe e delle colonne dal part-program. Vedere "Uso della finestra di dialogo Proprietà formato tabella".

    • Una volta inseriti tutti i dati nella finestra di dialogo Modifica regola, fare clic su OK. PC-DMIS visualizza la voce dall'elenco in grassetto e inserisce la regola relativa a quella voce in fondo alla finestra di dialogo Editor della struttura di regole.

  7. Organizzazione delle regole. In un determinato tipo di comando può essere presente un numero qualsiasi di regole. Se è presente più di una regola, l'ordine di valutazione corrisponde all'ordine di visualizzazione. Per modificare l'ordine di valutazione, selezionare una regola e fare clic su Sposta su o Sposta giù nella finestra di dialogo Editor della struttura di regole.

  8. Fare clic su OK per salvare le modifiche apportate in Editor della struttura di regole.

  9. Test della regola.

    • Salvare il template del rapporto.

    • Applicare il template del rapporto ai dati del rapporto utilizzando la barra degli strumenti per il rapporto nella finestra Rapporto.

    • Eseguire il part-program.

Vedere una breve demo sulla determinazione delle informazioni che saranno visualizzate nel template del rapporto.


Importazione ed esportazione di regole

Se si lavora in un ambiente collaborativo, si desidera probabilmente condividere le regole create da diversi template rapporto con altri utenti. Nella finestra di dialogo Editor della struttura di regole è possibile eseguire questa operazione e importare le regole di un altro utente selezionando il pulsante Importa oppure condividere le proprie regole con un altro utente selezionando il pulsante Esporta.

Un file di regole ha come estensione del nome ".rul".

Importazione di un file di regole:

  1. Aprire la finestra di dialogo Editor della struttura di regole.

  2. Fare clic sul pulsante Importa. Viene visualizzata la finestra di dialogo Apri.

  3. Accedere alla directory contenente i file di regole (.rul) che si desidera importare.

  4. Fare clic su Apri. PC-DMIS importa il file della regole in Editor della struttura di regole.

  5. Fare clic su OK per salvare la regola importata.

Esportazione in un file di regole:

  1. Aprire la finestra di dialogo Editor della struttura di regole.

  2. Fare clic sul pulsante Esporta, Viene visualizzata la finestra di dialogo Salva con nome.

  3. Andare nella directory in cui si desidera memorizzare il file di regole (.rul).

  4. Inserire il nome del file nella casella Nome file.

  5. Fare clic su Salva. Tutte le regole associate a quell'oggetto vengono esportate. Altri utenti possono adesso importare ed utilizzare il file delle regole esportato.


Uso della finestra di dialogo Proprietà formato tabella

Nella finestra di dialogo Formato tabella devono essere utilizzati i nomi di colonna e riga definiti di GridControlObject che consentono di controllare la visibilità e l'ordine delle colonne e delle etichette in GridControlObject in un template di etichetta.

Finestra di dialogo Proprietà formato tabella

Finestra di dialogo Proprietà formato tabella

In questa finestra di dialogo sono presenti diversi formati di tabella. Un formato di tabella definisce semplicemente la visualizzazione delle righe identificate e delle colonne nel rapporto finale. In questa finestra di dialogo è possibile modificare l'ordine e la visibilità di tutti i formati di tabella esistenti. Inoltre, in questa finestra di dialogo è possibile creare dei formati di tabella personalizzati.

Nei formati di tabella esistenti, l'unica cosa modificabile è lo stato di visibilità e l'ordine delle righe e delle colonne. Non è possibile eliminarli o cambiare le righe o le colonne che contengono.

Per poter utilizzare i formati di tabella, è necessario utilizzare prima un template di etichetta con un GridControlObject in cui le colonne o le righe sono già identificate con un nome.

Elemento della finestra di dialogo

Descrizione

ID tabella

Elenca tutti i formati di tabella disponibili.

Nome nuova tabella

Definisce il formato di una nuova tabella.

Aggiungi tabella

Aggiunge il formato della nuova tabella. Questo pulsante viene abilitato solo quando si digita un nome nella casella Nome nuova tabella.

Elimina tabella

Elimina il formato di tabella personalizzato selezionato. Questo pulsante viene abilitato quando si seleziona una tabella personalizzata dall'elenco ID tabella.

Righe

Elenca le righe e le colonne nel formato della tabella. È possibile riordinarle selezionando le frecce su e giù.

Aggiungi riga/colonna

Aggiunge un nome di riga o colonna alla sezione Righe o Colonne. L'aggiunta può essere eseguita solo nei formati di tabella personalizzati.

Elimina riga/colonna

Elimina la riga o la colonna selezionata dalla sezione Righe o Colonne. L'eliminazione può essere eseguita solo dai formati di tabella personalizzati.

Ridimensiona tipo

Determina l'aspetto della tabella quando si visualizzano o nascondono le colonne. In questo elenco sono presenti tre voci:

Ridimensiona griglia - Consente di conservare le dimensioni della colonna e modificare le dimensioni della griglia per adattarla alla nuova larghezza.

Ridimensiona colonne per adattamento - Questa opzione consente di conservare la larghezza esistente della griglia e modificare le dimensioni di ciascuna colonna per adattarla a quella larghezza.

Nascondi testo - Le dimensioni della griglia o delle colonne non vengono modificate. Il testo però non viene visualizzato.

Annulla

Chiude la finestra di dialogo senza applicare alcuna modifica.

OK

Utilizza il formato della tabella selezionata per la regola in Editor della struttura di regole oppure per il comando TABELLA/FORMATO nella finestra di modifica.

Per assegnare un nome a una colonna o a una riga in un GridControlObject:

  1. Nell'Editor template etichette, selezionare GridControlObject.

  2. fare doppio clic sulla prima cella in una colonna o riga.

  3. fare clic con il pulsante destro del mouse per aprire l'editor delle proprietà.

  4. Fare clic sulla scheda Cella o Colonna.

  5. Nella casella Etichetta riga o Etichetta colonna immettere un valore. È possibile selezionare un valore dall'elenco o digitare un valore personalizzato. Le etichette personalizzate possono essere applicate solo ai formati tabella personalizzati.

Per riordinare le colonne o le righe:

  1. Selezionare un formato di tabella dall'elenco ID tabella.

  2. Le relative righe o colonne sono già visualizzate.

  3. Nella sezione Righe o Colonne, selezionare la riga o la colonna che si desidera riordinare, quindi fare clic sui pulsanti freccia su o giù per spostare l'elemento verso l'alto o il basso nell'elenco. Le voci nella parte superiore dell'elenco sono visualizzate prima delle altre.

Per visualizzare/nascondere colonne o righe:

  1. Selezionare un formato di tabella dall'elenco ID tabella.

  2. Le relative righe o colonne sono già visualizzate.

  3. Nella sezione Righe o Colonne, deselezionare la casella di controllo a sinistra del nome della riga o della colonna per nascondere quella voce nell'etichetta. Selezionare la casella di controllo per visualizzarla nell'etichetta.

Per creare un formato di tabella personalizzata:

  1. Nella casella Nome nuova tabella, digitare un nome.

  2. Fare clic sul pulsante Aggiungi tabella. La tabella personalizzata viene visualizzata nell'elenco ID tabella e resta finché non sarà eliminata dall'utente.

  3. Nella casella Aggiungi riga o Aggiungi colonna, digitare un nome che corrisponde al nome dell'etichetta della riga o della colonna assegnato a GridControlObject.

  4. Fare clic su Aggiungi riga o Aggiungi colonna per aggiungere quella voce alla tabella.

  5. Continuare ad aggiungere righe o colonne ed eliminarle o riorganizzarle come desiderato fino a includere tutte le informazioni desiderate nel formato della tabella.


Modifica di un'icona della miniatura dell'anteprima del template

Quando si crea un rapporto o un template di etichetta, PC-DMIS crea automaticamente un'anteprima in miniatura di quel template basata su quello che viene visualizzato nella pagina iniziale del template o nella sezione.

Tale anteprima in miniatura viene visualizzata ogni volta che si tenta di modificare un template e si accede alla finestra di dialogo Apri ( Visualizza Mappa percorsi dei menu Selezionare File | Rapporto | Modifica | Template rapporto oppure Template etichette).

Una finestra di dialogo Apri di esempio che mostra diverse icone di anteprima di template rapporto

Una finestra di dialogo Apri di esempio che mostra diverse icone di anteprima di template rapporto

Se si desidera utilizzare un file immagine personalizzato anziché l'anteprima generata predefinita per un template, è possibile farlo dalla finestra di dialogo Apri.

Per modificare una miniatura dell'anteprima del template:

  1. Selezionare il file del template dalla finestra di dialogo Apri.

  2. Fare clic sul pulsante Modifica anteprima. Viene visualizzata la finestra di dialogo Selezione immagine template .

  3. Selezionare l'opzione Seleziona immagine da file.

  4. Fare clic sul pulsante OK. Viene visualizzata un'altra finestra di dialogo Apri in cui è possibile selezionare un file di immagine preesistente.

  5. Andare nella directory contenente un file .bmp o .jpeg, selezionarlo e fare clic su Apri. PC-DMIS utilizza l'immagine selezionata come anteprima.

Un esempio che mostra Test1.rtp con un'immagine bitmap

Un esempio che mostra Test1.rtp con un'immagine bitmap di anteprima


Utilizzo di rapporti HyperView esistenti

PC-DMIS consente di eseguire rapporti HyperView esistenti dentro i part-program. È possibile eseguire un rapporto HyperView predefinito nella parte finale di ogni part-program oppure inserire un rapporto HyperView personalizzato all'interno di un part-program.

Inoltre, il rapporto HyperView può interagire con un part-program, se le variabili globali e gli elementi della proprietà vengono abbinati alle variabili PC-DMIS.

Nota: I rapporti HyperView sono rapporti creati nell'editor HyperView in PC-DMIS versioni 3.0, 3.2, 3.25, 3.5 o 3.7. A causa della nuova gestione dei template rispetto alla creazione dei rapporti a partire dalla versione 4.0, i rapporti HyperView possono essere solo eseguiti e non creati o modificati. Per modificare o creare un rapporto HyperView, sarà necessario utilizzare una versione precedente di PC-DMIS che supporti la creazione di rapporti HyperView.

Vedere anche:

Come incorporare i rapporti HyperView in un part-program


Come incorporare i rapporti HyperView o i template rapporto in un part-program

È possibile incorporare un rapporto HyperView o un template rapporto in un part-program. Quando PC-DMIS esegue il codice incorporato, avvia il rapporto o il template, consentendo di stamparlo o visualizzarlo, e passa i valori da e verso la voce incorporata.

Per incorporare un rapporto o template:

  1. Controllare che nella finestra di modifica sia attiva la modalità Comando.

  2. Selezionare la voce di menu Inserisci | Comando rapporto | Rapporto HyperView. Verrà visualizzata la finestra di dialogo Inserisci Hyperrapporto. Visualizza Mappa Percorsi dei Menu

  3. Dall'elenco Tipo file, selezionare il tipo di file da inserire, vale a dire un file .rpt (Report) oppure un file .rtp (Report Template).

  4. Selezionare il rapporto o il template da incorporare nel part-program.

  5. Fare clic sul pulsante Apri per inserire il comando.

PC-DMIS inserirà il comando RAPPORTO/NOME_FILE nella finestra di modifica nella posizione del cursore.

Vedere anche:

Comando RAPPORTO/NOME_FILE

Abbinamento delle espressioni PC-DMIS alle proprietà degli oggetti HyperView

Natura bidirezionale degli abbinamenti delle espressioni se l'espressione è un valore di tipo L


Comando RAPPORTO/NOME_FILE

Visualizza Mappa Percorsi dei Menu

L'oggetto di comando Rapporto viene identificato con il comando RAPPORTO/NOME_FILE nella finestra di modifica. Seguono questo comando il nome file del template Rapporto o il rapporto HyperView, l'opzione STAMPA_AUTO e quindi le opzioni PARAM/.

STAMPA_AUTO

Se si imposta l'opzione STAMPA_AUTO su STAMPA, il rapporto HyperView o il template Rapporto verranno stampati sulla stampante predefinita dopo essere stati caricati ed eseguiti. Il rapporto verrà automaticamente chiuso subito dopo avere inserito l'operazione di stampa nello spooler e verrà ripresa l'esecuzione del part-program.

Se si imposta l'opzione STAMPA_AUTO su PDF, il rapporto HyperView verrà salvato in un file in formato PDF (Portable Document Format).

Informazioni sul nome del file PDF generato

  • Al file PDF generato verrà assegnato lo stesso nome di origine del rapporto HyperView, a cui verranno aggiunti un indice numerico e un'estensione.

  • Inoltre, il file generato verrà posizionato nella stessa directory del file del rapporto.

  • Se è già presente un file con lo stesso nome del file generato, l'indice numerico viene aumentato automaticamente fino ad ottenere un nome di file univoco.

Nota: PC-DMIS sovrascrive l'opzione STAMPA_AUTO se si seleziona la casella di controllo Hyperrapporto in linea disponibile nella finestra di dialogo Opzioni di stampa della finestra di modifica. Per informazioni su questa casella di controllo, vedere "Stampa dalla finestra di modifica" nella sezione "Uso delle opzioni di base del menu File" .

PARAM/

L'opzione PARAM/ consente di associare le espressioni di PC-DMIS a variabili e proprietà del template Rapporto (o del rapporto Hyperview). La sintassi dell'opzione PARAM/ è la seguente:

PARAM/{oggetto o nome variabile}={espressione PC-DMIS}

Esempio: se si dispone di una variabile globale in un rapporto denominato “NumBoltHoles”. l'opzione PARAM/ seguente associa l'espressione di PC-DMIS a NumBoltHoles:
PARAM/NumBoltHoles=360.0/angolo

Se l'espressione di PC-DMIS da associare ad una variabile globale HyperView è un valore di tipo L, le modifiche apportate alla variabile HyperView verranno apportate anche alla variabile PC-DMIS.

Esempio: utilizzando la seguente opzione PARAM/, la variabile NumBoltHoles viene impostata sullo stesso valore di numBolts. Le modifiche apportate all'interno del rapporto HyperView alla variabile HyperView NumBoltHoles vengono riportate anche nella variabile numBolts di PC-DMIS.
PARAM/NumBoltHoles=numBolts

Importante: dopo l'esecuzione, tutti gli oggetti modificati passando i parametri in un template Rapporto o in un rapporto HyperView torneranno come erano prima dell'esecuzione. Ciò vuol dire che se si desidera conservare i risultati dell'invio di un parametro al template o al rapporto sarà necessario utilizzare il parametro STAMPA_AUTO per stampare una copia prima del completamento dell'esecuzione.


Abbinamento delle espressioni PC-DMIS alle proprietà degli oggetti HyperView

Abbinamento delle espressioni PC-DMIS alle proprietà degli oggetti

Le espressioni PC-DMIS possono essere mappate agli oggetti delle proprietà utilizzando il comando PARAM/ nella finestra di modifica. La sintassi per la mappatura di un'espressione PC-DMIS ad una proprietà dell'oggetto è la seguente:

PARAM/{codice oggetto}.{nome proprietà}={espressione PC-DMIS}

Esempio: la seguente opzione PARAM/ modifica la proprietà BorderStyle dell'oggetto, Text1:
PARAM/Text1.BorderStyle=1


Natura bidirezionale degli abbinamenti delle espressioni se l'espressione è un

Natura bidirezionale degli abbinamenti delle espressioni se l'espressione è un valore di tipo L

Se l'espressione di PC-DMIS è un valore di tipo L, le modifiche alla proprietà elemento saranno riportate nella variabile PC-DMIS consentendo di passare i valori da PC-DMIS al template o al rapporto, e quindi di nuovo a PC-DMIS.

Esempio: la seguente opzione PARAM/ abbina il valore PC-DMIS di tipo L myTitle al titolo della proprietà dell'oggetto Frame del modulo. Le modifiche apportate a Title dentro il modulo saranno riportate nella variabile di PC-DMIS, myTitle.
PARAM/TheFrame.Title=myTitle


Inserimento di comandi rapporto

Inserimento di comandi rapporto: Introduzione

Inserimento di comandi relativi alla finestra di analisi

Analisi

Grafica

Testuale

Fattore. Molt.

Mostra tutte le frecce

Finestra vista

Menu File

Menu Vista

Modifica

Adatta

Ruota

Menu Mostra

Mostra statistiche

Mostra istogramma

Mostra deviazioni max/min

Menu Opzioni

Salva grafici in rapporto

Crea comando vista analisi

Modifica colori dimensione

Opzioni Dimensione

Opzioni dimensioni

Inserimento di caselle relative alle informazioni sulla dimensione

Regole di Creazione Informazioni sulla Dimensione

Opzioni di visualizzazione

Opzioni grafico

Nessun grafico

Asse peggiore grafico

Ciascun asse grafico

Opzioni grafiche

Formato info dimensione

Pulsante Ripristina

Assi posizione

Assi posizione reale

Elimina info

Comando INFO_DIM

Inserimento di caselle Informazioni punto

Formato informazioni punto

Automatico

Numero punto

Punto

Vettore

Deviazione

Mostra icona

Mostra ID

Mostra tipo

Mostra intestazioni

Mostra grafico

Mostra linee verticali

Mostra linee orizzontali

Elenco punti

Casella di riepilogo

Sezione Elenco elementi

Casella di riepilogo

Sezione Elenco dimensioni

Casella di riepilogo

Elimina info

Comando INFO_PUNTO

Opzioni grafiche

Filtri

Filtro: Nessuno

Filtro: Intervallo di punti

Filtro: Peggiore

Filtro: Deviazione superiore

Filtro: Fuori tolleranza

Incorporamento di rapporti HyperView

Inserimento dei commenti dei programmatori

Operatore

Rapporto

input

Documento

Sì / No

Lettura

Testo commento

Inserimento di oggetti esterni

Inserimento di un comando di stampa

Informazioni sulla sintassi del comando PRINT/rapporto (STAMPA/rapporto)

Modifica del comando PRINT/rapporto (STAMPA/rapporto)

Inserimento di un comando di form feed

Definizione e salvataggio di un insieme di viste

Richiamo di un insieme di viste salvato


Inserimento di comandi rapporto: Introduzione

PC-DMIS consente di inserire nella finestra di modifica diversi comandi che determinano le informazioni visualizzate nei rapporti e le relative modalità di visualizzazione. Tali comandi, inseriti selezionando le opzioni di menu dal menu secondario Inserisci | Comando rapporto, consentono a un programmatore di configurare, visualizzare, stampare e personalizzare l'aspetto della finestra di modifica.

In questa sezione verranno trattati i seguenti argomenti:

  • Inserimento di comandi relativi alla finestra di analisi

  • Inserimento di caselle relative alle informazioni sulla dimensione

  • Inserimento di caselle Informazioni punto

  • Incorporamento di rapporti HyperView

  • Inserimento dei commenti dei programmatori

  • Inserimento di oggetti esterni

  • Inserimento di un comando di stampa

  • Inserimento di un comando di form feed

  • Definizione e salvataggio di un insieme di viste

  • Richiamo di un insieme di viste salvato


Inserimento di comandi relativi alla finestra di analisi

Finestra di dialogo Analisi

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando rapporto | Analisi consente di visualizzare la finestra di dialogo Analisi nella quale è possibile specificare il formato di output appropriato per un esame approfondito.

Se la finestra di dialogo Analisi è aperta, è possibile premere CTRL e fare clic con il pulsante sinistro del mouse su un elemento nella finestra di visualizzazione grafica per evidenziare le dimensioni che utilizzano l'elemento selezionato nella casella Elenco dimensioni.

Altro

Analisi

Mostra tutte le frecce

Finestra vista

Menu File

Menu Vista

Menu Mostra

Menu Opzioni

Analysis area View Window buttonShow All ArrowsClose buttonClear All buttonSelect All buttonDimension List boxSearch ID box


Analisi

La sezione Analisi di questa finestra di dialogo consente di visualizzare le dimensioni selezionate nell'Elenco dimensioni in formato grafico o di testo.

In base alle impostazioni predefinite, le caselle di controllo nella sezione Analisi non sono selezionate. Se si seleziona la casella di controllo Testuale o Grafica e si fa clic su Applica, PC-DMIS visualizza le dimensioni selezionate in un'immagine grafica o sotto forma di testo. I dati CAD non vengono visualizzati.

Si consiglia di selezionare l'opzione di analisi Grafica o Testuale quando è necessario determinare la causa del problema che si è verificato con un elemento.

Esempio: si supponga di eseguire l'ispezione di un piano per verificare se la planarità rientra nella tolleranza. L'opzione di analisi Grafica consente di esaminare il piano e determinare se un'area specifica non è valida o se l'intera superficie è irregolare.

Per selezionare l'analisi Grafica o Testuale da una finestra di dialogo Dimensione:

  1. Selezionare Dimensione nella barra di menu.

  2. Selezionare l'opzione per la dimensione desiderata. Viene visualizzata una finestra di dialogo relativa alla dimensione.

  3. Selezionare la casella di controllo Grafica o Testuale.

  4. Completare il processo di creazione della dimensione.

Altro

Grafica

Testua le

Fattore. Molt.


Grafica

Se la casella di controllo Grafica è selezionata, PC-DMIS memorizza le informazioni relative alla dimensione in un formato grafico.


Testuale

Se la casella di controllo Testuale è selezionata, PC-DMIS memorizza le informazioni relative alla dimensione in formato di testo.


Fattore. Molt.

Il valore nella casella Fattore Molt. è un fattore di scala che ingrandisce la freccia e l'area di tolleranza per la modalità di analisi grafica. Ad esempio, se si inserisce un valore pari a 2, PC-DMIS ingrandirà l'immagine grafica della freccia di due volte.

Questa opzione viene utilizzata solo per la visualizzazione e non appare sulla stampa.


Mostra tutte le frecce

Il pulsante Mostra tutte le frecce consente di visualizzare le frecce utilizzate per contrassegnare la deviazione quando si esegue l'analisi grafica. È possibile disattivare le singole frecce premendo la combinazione di tasti CTRL + MAIUSC e facendo clic sulle frecce da disattivare. Quando si fa clic sul pulsante Mostra tutte le frecce le frecce relative all'analisi grafica verranno visualizzate nuovamente.


Finestra vista

Il pulsante Finestra vista consente di visualizzare la finestra di analisi nella quale è possibile visualizzare le dimensioni nel formato più appropriato.

Per visualizzare la finestra di analisi, effettuare le seguenti operazioni:

  1. Selezionare la dimensione che si desidera visualizzare nella finestra di analisi.

  2. Inserire un valore per la casella Fattore Molt. (vedere "Fattore Molt.").

  3. Fare clic sul pulsante Finestra vista. In PC-DMIS viene visualizzata la finestra di analisi.

È possibile utilizzare la barra di menu disponibile nella finestra di Analisi per modificare l'immagine grafica, per catturare il grafico corrente o modificare i colori della dimensione selezionata.

Finestra di analisi

La barra di menu della finestra di analisi contiene i seguenti menu:

  • File

  • Vista

  • Mostra

  • Opzioni

Ai fini della determinazione della vista iniziale dell'analisi grafica rappresentata nella finestra di analisi, PC-DMIS utilizza la scansione del vettore di taglio per le dimensioni del profilo delle scansioni, oppure il piano di lavoro corrente per le altre dimensioni. Questa vista può essere successivamente modificata.


Menu File

Il menu File della finestra di analisi consente di stampare il grafico contenuto nella finesta di analisi grafica.


Menu Vista

Nella finestra di analisi, Vista consente di modificare temporaneamente i grafici visualizzati per la dimensione selezionata. È possibile visualizzare le dimensioni necessarie ruotando, variando la scala o modificando la vista.

Nota: questa opzione risulta particolarmente utile quando viene visualizzato l'errore di profilo di un insieme di punti.

Altro

Modifica

Adatta

Ruota


Modifica

L'opzione di menu Vista | Cambia consente di creare nuove viste da un file CAD. Questa funzione risulta particolarmente utile quando si utilizza un file IGES 2D contenente diverse viste di un pezzo su un piano e tali viste devono essere associate all'orientamento appropriato nella finestra di visualizzazione grafica. Vedere "Impostazione della vista dello schermo" nella sezione "Modifica della visualizzazione CAD" per ulteriori informazioni sulla trasformazione delle viste.


Adatta

L'opzione di menu Vista | Adatta consente di ridisegnare l'immagine del pezzo in modo da adattarla alle dimensioni della finestra di visualizzazione grafica. Questa funzione risulta particolarmente utile se l'immagine diventa troppo piccola o troppo grande.


Ruota

L'opzione di menu Vista | Ruota consente di visualizzare la finestra di dialogo Ruota nella quale è possibile ruotare l'immagine del pezzo in tre dimensioni.

Per ulteriori informazioni sulla rotazione, vedere l'argomento "Rotazione del disegno" nella sezione "Modifica della visualizzazione CAD" .


Menu Mostra

Finestra di dialogo Mostra opzioni

Nella finestra di analisi,Mostra | Mostra opzioni consente di visualizzare la finestra di dialogo Mostra opzioni. nella quale è possibile scegliere gli elementi da visualizzare nella finestra di analisi.

Nella finestra di analisi, Mostra | Mostra statistiche dimensione consente di visualizzare la finestra di dialogo Modifica informazioni dimensione. In questa finestra è possibile modificare la dimensione selezionata. Per ulteriori informazioni, vedere "Opzioni comuni delle finestre di dialogo delle dimensioni" nella sezione "Dimensionamento degli elementi" e "Inserimento di caselle relative alle informazioni sulla dimensione" in questa sezione.

Altro:

Mostra statistiche

Mostra istogramma

Mostra deviazioni max/min

Default button Cancel buttonOK buttonShow Max / Min DeviationsShow Histogram check boxShow Statistics check box


Mostra statistiche

La casella di controllo Mostra statistiche della finestra di dialogo Mostra opzioni consente di visualizzare le statistiche nella finestra di analisi. Se la casella di controllo Mostra statistiche non è selezionata, le informazioni relative alle dimensioni non vengono visualizzate. Per modificare il formato delle statistiche visualizzate nella finestra di analisi, vedere l'opzione di menu Modifica info dimensione.


Mostra istogramma

La casella di controllo Mostra istogramma nella finestra di dialogo Mostra opzioni consente di visualizzare un istogramma delle deviazioni per ciascun punto. È possibile spostare gli istogrammi nella finestra di analisi.

Per spostare l'istogramma in una nuova posizione nella finestra di analisi, effettuare le seguenti operazioni:

  1. Fare clic sull'istogramma desiderato.

  2. Trascinare il puntatore nella posizione desiderata.

  3. Rilasciare il pulsante del mouse.


Mostra deviazioni max/min

La casella di controllo Mostra deviazioni max/min nella finestra di dialogo Mostra opzioni consente di indicare le deviazioni massima e minima con il simbolo '*+' o '*-'.


Menu Opzioni

Il menu Opzioni della finestra di analisi consente di catturare il grafico corrente da utilizzare successivamente. Inoltre, consente di accedere alla finestra di dialogo Modifica colore e di modificare le dimensioni della finestra di analisi.

Altro

Salva grafici in rapporto

Crea comando vista analisi

Modifica colori dimensione

Opzioni Dimensione

Opzioni dimensioni


Salva grafici in rapporto

L'immagine resta negli Appunti fino a quando non viene catturata da un altro schermo o non viene chiuso il part-program.

Nella finestra di analisi, Opzioni | Salva grafici in rapporto consente di eseguire la cattura della finestra di visualizzazione grafica e di copiarla in un comando VISUAL/METAFILE che è possibile visualizzare successivamente nel rapporto di ispezione.

PC-DMIS non è in grado di modificare o formattare l'immagine catturata. Le immagini grafiche verranno visualizzate in corrispondenza della posizione del cursore. Il comando VISUAL/METAFILE è diverso dal comando VISUAL/METAFILE generato dal menu principale in quanto il primo esegue la cattura dello schermo solo durante la creazione del comando e non durante l'esecuzione. Vedere "Crea comando vista analisi" per eseguire la cattura di uno schermo che viene aggiornata automaticamente al momento dell'esecuzione.


Crea comando vista analisi

Nella finestra di analisi Opzioni | Crea comando vista analisi consente di visualizzare il comando VISUAL_ANALISI nella finestra di modifica. Quando si seleziona e si esegue questo comando, PC-DMIS visualizza l'elenco delle dimensioni nella finestra del livello di analisi insieme al numero della vista e alle rotazioni selezionate precedentemente. Inoltre, esegue automaticamente la cattura della finestra del livello di analisi con le dimensioni elencate. Le immagini catturate possono essere quindi visualizzate e stampate nel rapporto di ispezione.

La riga di comando della finestra di modifica per questa opzione è la seguente:
VISUAL_ANALISI/D1,D2,D3,,

D1,D2,D1,D2,D3 = elenco delle dimensioni da visualizzare.

È possibile utilizzare tutti i parametri di dimensione desiderati.

Se si inserisce la stringa "VISUAL_ANALISI" nella finestra di modifica, viene automaticamente creato un comando VISUAL_ANALISI. Qualsiasi dimensione selezionata per l'analisi verrà utilizzata come parametro per questo comando.


Modifica colori dimensione

Nella finestra di analisi, Opzioni | Modifica colori dimensione consente di impostare il colore per l'intervallo di tolleranza specificato. Se si seleziona questa opzione, viene visualizzata la finestra di dialogo Modifica colore dimensione.

Finestra di dialogo Modifica dimensione colore

Per istruzioni sull'utilizzo di questa finestra di dialogo per modificare i colori della dimensione per una tolleranza, vedere "Modifica dei colori della dimensione" nella sezione "Modifica delle opzioni di visualizzazione CAD" .


Opzioni Dimensione

La finestra di dialogo Opzioni analisi dimensione consente di definire le informazioni da visualizzare nella finestra di analisi.

Opzioni analisi dimensione

Per accedere a questa opzione, effettuare le seguenti operazioni:

  1. Selezionare Analisi dal menu. Viene visualizzata la finestra di dialogo Analisi. Visualizza Mappa Percorsi dei Menu

  2. Selezionare la dimensione nell'elenco.

  3. Fare clic sul pulsante Finestra vista. Viene visualizzata la finestra di analisi.

  4. Selezionare Opzioni | Opzioni dimensione nella finestra di analisi. Viene visualizzata la finestra di dialogo Opzioni analisi dimensione. La maggior parte delle opzioni non è disponibile fino a quando non si seleziona una qualsiasi dimensione nella finestra di dialogo Analisi. Solo allora le opzioni rilevanti divengono disponibili per la selezione.

In questa finestra di dialogo possono essere selezionate le opzioni riportate di seguito:

Mostra frecce

La casella di controllo Mostra frecce consente di attivare o disattivare le punte delle frecce relative alle linee di deviazione.

Mostra linee tra punti misurati Punti

La casella di controllo Mostra linee tra punti misurati consente di attivare e disattivare le linee tra i punti misurati.

Mostra linee tra nominali

La casella di controllo Mostra linee tra nominali consente di attivare le linee tracciate tra i valori nominali.

Mostra linee di tolleranza

La casella di controllo Mostra linee di tolleranza consente di attivare la visualizzazione delle tolleranze accettabili per la dimensione.

Mostra diametri

La casella di controllo Mostra diametri consente di visualizzare i diametri delle dimensioni di posizione reale disponibili.

Mostra diametri best-fit, max iscritto e min circoscritto

Questa casella di controllo consente di attivare o disattivare la visualizzazione dei diversi diametri che possono essere disegnati anche con la dimensione Rotondità. Tali diametri sono quelli che rappresentano le deviazioni media, minima e massima per un elemento rotondo.

Mostra tracciato contorno

L'opzione Mostra tracciato contorno può essere utilizzata solo per scansioni patch ed è disponibile per le dimensioni Profilo. Il tracciato di contorno utilizza i punti di scansione patch per creare un reticolato e poi ombreggia il reticolato con i colori correlati alle deviazioni di profilo da ciascun punto.

PC-DMIS consente anche di visualizzare il tracciato di contorno sul modello CAD nella finestra di visualizzazione grafica. Vedere "Visualizzazione del tracciato di contorno del profilo" nella sezione "Dimensionamento degli elementi" .

Mostra interpolazione colore tra punti

L'opzione Mostra interpolazione colore tra punti consente di inserire colori tra i punti. Questa opzione è disponibile per le dimensioni Profilo.

Mostra frecce

L'opzione Mostra frecceconsente di mostrare le frecce per attivare o disattivare le linee di deviazione. Questa opzione è disponibile per le dimensioni Profilo.


Opzioni dimensioni

Finestra di dialogo Opzioni finestra Analisi

La finestra di dialogo Opzioni finestra Analisi consente di determinare le modalità di visualizzazione della finestra di analisi. Le opzioni disponibili consentono di impostare il comando VISUAL_ANALISI in modo che PC-DMIS esegua la cattura dello schermo in una delle modalità selezionate durante l'esecuzione. (Vedere "Crea comando vista analisi").

È possibile selezionare le seguenti opzioni:

Verticale | Questa opzione consente di ridimensionare la finestra di analisi in modo che corrisponda al formato di pagina Verticale standard.
Orizzontale | Questa opzione consente di ridimensionare la finestra di analisi in modo che corrisponda al formato di pagina Orizzontale standard.
Adatta a intera pagina | Questa casella di controllo consente di ridimensionare la finestra in modo da adattarla all'intera pagina stampata.


Inserimento di caselle relative alle informazioni sulla dimensione

Finestra di dialogo Modifica info dimensione

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando rapporto | Modifica info punto consente di visualizzare la finestra di dialogo Modifica info punto nella quale è possibile creare un comando INFO_DIM per la visualizzazione delle informazioni dimensionali selezionate nella finestra di visualizzazione grafica. Vedere "Comando INFO_DIM" per informazioni sulla modifica di un comando INFO_DIM nella finestra di modifica.

Esempio di casella Info Dimensione

L'elenco dimensioni nella finestra di dialogo contiene un asterisco (*) se la dimensione contiene già la casella di testo INFO_DIM e il simbolo numerico (#) se tale casella è nascosta nella finestra grafica di visualizzazione.

Esempio di elenco dimensioni con caselle DIMINFO visibili e nascoste.

La casella di controllo Auto nella sezione Formato info dimensione di questa finestra di dialogo, consente di determinare automaticamente, in base al tipo di dimensione selezionato, il formato di output della dimensione appropriato da visualizzare. Per ignorare questa opzione, selezionare le caselle di controllo della sezione Formato info dimensione. PC-DMIS indica l'ordine delle selezioni di output attraverso la visualizzazione di un numero alla sinistra della casella di controllo. In tal modo, l'ordine del formato può essere modificato in base alle proprie esigenze. Per deselezionare una casella di controllo, fare clic su di essa una seconda volta.

Se viene visualizzata questa opzione, premere il tasto CTRL e contemporaneamente fare clic con il pulsante sinistro del mouse per selezionare un elemento nella finestra di visualizzazione grafica. Le dimensioni che utilizzano l'elemento selezionato vengono evidenziate nella casella Elenco dimensioni.

La finestra di dialogo Modifica info dimensione consente di modificare le informazioni sulle dimensioni visualizzate. Nei seguenti paragrafi vengono descritti i comandi e le opzioni disponibili in questa finestra di dialogo.

Altro

Regole di Creazione Informazioni sulla Dimensione

Opzioni di visualizzazione

Opzioni grafico

Opzioni grafiche

Formato info dimensione

Assi posizione

Assi posizione reale

Elimina info

Comando INFO_DIM

Create buttonDelete Infos buttonTrue Position Axes areaLocation Axes areaGraphic Options areaGraph Options areaDimension Info Format areaDisplay Options areaClear buttonSelect All buttonDimension List boxSearch ID


Regole di Creazione Informazioni sulla Dimensione

Quando si crea una finestra DIMINFO nella finestra di dialogo Modifica Info Dimensione, l'Elenco Dimensioni visualizza soltanto le dimensioni che si trovano al di sopra della posizione corrente del cursore.

Quando si creano le caselle DIMINFO usando la modalità Casella di Testo Modalità e selezionando la finestra di visualizzazione grafica, PC-DMIS non creerà una casella DIMINFO per ogni elemento selezionato. Le finestre verranno create soltanto per gli elementi al di sopra della posizione corrente del cursore.

Se il part-program presenta molti insiemi di viste, la finestra DIMINFO compare soltanto in quell'insieme che contiene la dimensione corrispondente e quella inferiore. Per esempio, supponiamo che un part program contenga i seguenti comandi:

VIEWSET1

F1 = ELEM

VIEWSET2

VIEWSET3

D1 = DIMENSIONE

VIEWSET4

Se il punto di inserimento è sotto D1, è possibile aggiungere soltanto una casella DIMINFO per l'elemento F1. Una volta create la finestra DIMINFO, PC-DMIS la visualizzará in VIEWSET3 e 4, ma non in VIEWSET1 e 2.


Opzioni di visualizzazione

La sezione Opzioni di visualizzazione consente di attivare diverse modalità di visualizzazione per ogni dimensione nella finestra di visualizzazione grafica.. Le opzioni disponibili sono le seguenti:

Mostra icona | Questa casella di controllo gestisce la visualizzazione dell'icona di dimensione appropriata nell'intestazione della finestra Info Dimensione.
Mostra ID dimensione | Questa casella di controllo consente di attivare la visualizzazione dell'ID della dimensione nella finestra di visualizzazione grafica.
Mostra ID elemento | Questa casella di controllo consente di attivare la visualizzazione dell'ID dell'elemento del quale si stanno misurando le dimensioni.
Mostra intestazioni | Questa casella di controllo consente di visualizzare alternamente le intestazioni di riga e di colonna nella finestra Informazioni dimensione.
Mostra linee verticali | Questa casella di controllo consente di visualizzare alternamente le intestazioni di riga e di colonna nella finestra Informazioni dimensione.
Mostra linee orizzontali | Questa casella di controllo consente di visualizzare alternamente le intestazioni di riga e di colonna nella finestra Informazioni dimensione.


Opzioni grafico

La sezione Opzioni grafico consente la visualizzazione grafica della percentuale di dimensione nella finestra Informazioni dimensione.

Altro:

Nessun grafico

Asse peggiore grafico

Ciascun asse grafico


Nessun grafico

Selezionare questa opzione se non si desidera visualizzare un grafico nella finestra Informazioni dimensione.


Asse peggiore grafico

Selezionare questa opzione per visualizzare un grafico nella parte superiore della finestra Informazioni dimensione. Per il grafico verrà utilizzata solo la percentuale di dimensione peggiore.


Ciascun asse grafico

Selezionare questa opzione per visualizzare un grafico della percentuale di dimensione per ogni asse nella finestra Informazioni dimensione.

Caselle di informazione sulla dimensione


Opzioni grafiche

Sezione Opzioni grafiche

La sezione Opzioni grafiche consente di determinare il colore dello sfondo e il colore della linea della casella Informazioni punto corrente. É possibile anche scegliere se PC-DMIS visualizzerà o no un'ombreggiatura attorno al bordo della finestra diInformazione sulla Dimensione.

Per cambiare le opzioni grafiche per la casella Informazioni punto, selezionare l'opzione desiderata in quest'area e fare clic su Creao su OK.

È possibile selezionare facilmente le opzioni grafiche predefinite per le caselle Informazioni punto create selezionando le opzioni desiderate e facendo clic sul pulsante Predefinitonella sezione Formato Info Punto.


Formato info dimensione

Le caselle di controllo disponibili nella sezione Formato info dimensione consentono di selezionare il tipo di informazioni visualizzate nella finestra di visualizzazione grafica per ciascuna dimensione. Se si seleziona la casella di controllo Visualizza in una finestra di dialogo della dimensione, PC-DMIS visualizza le informazioni nella finestra di visualizzazione grafica.

Dati relativi alle dimensioni visualizzati per l'elemento CER1 nella finestra di visualizzazione grafica.

Le caselle di controllo disponibili nella sezione Informazioni dimensione della finestra di dialogo sono le seguenti:

Automatico | La casella di controllo Automatico consente di visualizzare automaticamente le informazioni contenute nei seguenti campi: Misurato, Nominale, Tolleranze, Deviazione, MaxMin e Fuori toll.
Misurato | Questa casella di controllo consente di visualizzare le dimensioni effettivamente misurate.
nominale | Questa casella di controllo consente di visualizzare i valori teorici per la dimensione.
Tolleranze | Questa casella di controllo visualizza i livelli di tolleranza accettabili superiori o inferiori al valore nominale.
Deviazione | Questa casella di controllo consente di visualizzare la deviazione del valore misurato dal valore nominale.
MaxMin | Questa casella di controllo consente di visualizzare il valore massimo e il valore minimo per la dimensione.
Fuori toll | Questa casella di controllo consente di visualizzare la differenza tra il valore misurato e i valori di tolleranza e nominali.
Media | Questa casella di controllo consente di visualizzare la media di tutte le deviazioni per la dimensione.
Dev standard | Questa casella di controllo consente di visualizzare la deviazione standard di tutte le deviazioni di dimensione.
Numero di punti | Questa casella di controllo consente di visualizzare il numero di punti utilizzati per misurare l'elemento relativo alla dimensione.

Altro

Pulsante Ripristina


Pulsante Ripristina

Il pulsante Ripristina consente di cancellare tutti i segni di spunta dalle caselle di controllo di questa sezione e di selezionare la casella di controllo Auto.


Assi posizione

In questa tabella vengono descritti gli assi posizione disponibili e le funzioni ad essi associate selezionabili mentre si modificano le informazioni sulle dimensioni.

Peggiore | Questa opzione consente di utilizzare l'asse che fornisce la peggiore condizione di "fuori tolleranza". PC-DMIS esegue la ricerca negli assi disponibili e seleziona quello che fornisce le peggiori prospettive per la dimensione.
Usa assi dim | Questa opzione consente di utilizzare gli assi precedentemente definiti nella finestra di dialogo della dimensione.
X | Consente di visualizzare il valore dell'asse X.
Y | Consente di visualizzare il valore dell'asse Y.
Z | Consente di visualizzare il valore dell'asse Z.
Rag P | Rag P è l'abbreviazione di raggio polare. Questa opzione consente di selezionare le coordinate polari.
Ang P | Ang P è l'abbreviazione di angolo polare. Questa opzione consente di selezionare le coordinate cartesiane.
D | Visualizza il valore del Diametro.
R | Consente di visualizzare il valore del raggio (la metà del diametro).
A | Consente di visualizzare il valore dell'angolo (per coni).
L | Consente di visualizzare la lunghezza (utilizzata per i cilindri, le asole, i coni e le ellissi).
H | Consente di visualizzare l'altezza.
V | Consente di visualizzare la posizione del vettore.
T | Consente di visualizzare gli errori lungo il vettore di avvicinamento (per punti sulle superfici curve).
RT | Consente di visualizzare la deviazione lungo il vettore del rapporto.
S | Consente di visualizzare la deviazione lungo il vettore della superficie.
RS | Consente di visualizzare la deviazione lungo il rapporto della superficie.
PD | Consente di visualizzare il diametro di un cerchio (perpendicolare al vettore perno).
Forma | Consente di visualizzare la dimensione Forma integrata dell'elemento. Vedere "Assi predefiniti per le dimensioni di posizione" nella sezione "Dimensionamento degli elementi" .


Assi posizione reale

In questa tabella vengono descritti gli assi posizione reale disponibili e le funzioni ad essi associate selezionabili durante la modifica delle informazioni sulle dimensioni.

Peggiore | Questa opzione consente di utilizzare l'asse che fornisce la peggiore condizione di "fuori tolleranza". PC-DMIS esegue la ricerca negli assi disponibili e seleziona quello che fornisce le peggiori prospettive per la dimensione.
Usa assi dim | Questa opzione consente di utilizzare gli assi precedentemente definiti nella finestra di dialogo della dimensione.
X | Questa casella di controllo consente di visualizzare il valore dell'asse X.
Y | Questa casella di controllo consente di visualizzare il valore dell'asse Y.
Z | Questa casella di controllo consente di visualizzare il valore dell'asse Z.
Rag P | Rag P è l'abbreviazione di raggio polare. Questa opzione consente di selezionare le coordinate polari.
Ang P | Ang P è l'abbreviazione di angolo polare. Questa casella di controllo consente di selezionare le coordinate cartesiane.
AP | Questa casella di controllo consente di visualizzare il valore dell'angolo polare.
RP | Questa casella di controllo consente di visualizzare il valore del raggio polare.
DE | Questa casella di controllo consente di visualizzare il diametro dell'elemento.
TP | Questa casella di controllo consente di visualizzare la tolleranza in posizione reale e la deviazione ad essa associata.
D1 | Questa casella di controllo consente di visualizzare il valore del diametro/larghezza del primo datum.
D2 | Questa casella di controllo consente di visualizzare il valore del diametro/larghezza del secondo datum.
D3 | Questa casella di controllo consente di visualizzare il valore del diametro/larghezza del terzo datum.
Forma | Questa casella di controllo consente di visualizzare la dimensione Forma integrata dell'elemento. Vedere "Assi predefiniti per le dimensioni di posizione reale" nella sezione "Dimensionamento degli elementi"


Elimina info

Il pulsante Elimina info consente di rimuovere tutti i comandi POINTINFO dal part-program.


Comando INFO_DIM

Il comando INFO_DIM viene creato nella finestra di dialogo Modifica info punto (Inserisci | Comando rapporto | Informazioni dimensione).

Visualizza Mappa Percorsi dei Menu

Quando si inserisce un comando INFO_DIM nel part-program, i dati della dimensione vengono visualizzati nella finestra di visualizzazione grafica. Il comando INFO_DIM può essere modificato nella finestra di modifica. La riga di comando per il comando INFO_DIM è la seguente:

DIMINFO/Dim ID;ICONA,DIMID,FEATID;VERT,ORIZZ; INTESTAZIONI, “OPZIONE GRAFICA”;"OUTPUT DIMENSIONE”, ,$
“OUTPUT ASSI”

ID Dim = L'ID della dimensione selezionata per la visualizzazione.

ICONA = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "ICONA" quando è attiva. Quando è attiva, il comando INFO_DIM consente di visualizzare l'ID della dimensione o dell'elemento, con l'icona relativa.

IDDIM = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "IDDIM" quando è attiva. Quando è attiva, il comando INFO_DIM visualizza l'ID della dimensione e le relative informazioni.

IDELEM = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "IDELEM" quando è attiva. Quando è attiva, il comando INFO_DIM visualizza l'ID del primo elemento della dimensione e le informazioni dimensionali.

VERT = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "VERT" quando è attiva. Quando è attiva, INFO_DIM sarà visualizzato con linee verticali tra le colonne.

ORIZZ. = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "ORIZZ." quando è attiva. Quando è attiva, INFO_DIM sarà visualizzato con linee orizzontali tra le righe.

INTESTAZIONI = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "INTESTAZIONI" quando è attiva. Quando la stringa è attiva, le intestazioni di riga e di colonna vengono visualizzate nella finestra Informazioni dimensione.

OPZIONE GRAFICO = Opzione grafico per la visualizzazione grafica della percentuale di dimensione nella finestra Informazioni dimensione. I valori che possono alternarsi sono GRAFICO PEGGIORE e ASSE GRAFICO. Quando la stringa è vuota, nella finestra non verrà visualizzato alcun grafico.

OUTPUT DIMENSION = Il formato delle informazioni dimensionali che verrà visualizzato in base all'ordine di selezione. Le opzioni di output disponibili sono MIS, NOM, TOLL, DEV, MAXMIN, FUORI_TOLL, MEDIA, DEVSTD e NUMPT. Le opzioni non possono essere replicate.

OUTPUT ASSI = Il formato degli assi della dimensione che verrà visualizzato in base all'ordine di selezione. Gli assi disponibili dipendono dal tipo di dimensione e comprendono tutti gli assi di posizione e di posizione reale. Se viene attivato USADIM nella posizione del primo asse, INFO_DIM visualizza gli assi specificati nella dimensione. Se in una qualsiasi posizione dell'asse viene attivato PEGGIORE, viene visualizzato l'asse che ha prodotto il valore di "fuori tolleranza" maggiore. Questo output non è disponibile per dimensioni che non siano di posizione o di posizione reale. Gli assi non possono essere duplicati.


Inserimento di caselle Informazioni punto

Finestra di dialogo Modifica info punto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando rapporto | Modifica info punto consente di visualizzare la finestra di dialogo Modifica info punto. In tale finestra di dialogo è possibile creare il comando INFO_PUNTO che consente di visualizzare le informazioni su un singolo punto nella finestra di visualizzazione grafica in una casella di Informazioni punto. Vedere "Comando INFO PUNTO" per informazioni sulla modifica di un comando INFO_PUNTO nella finestra di modifica.

Per visualizzare le informazioni su un singolo punto nella finestra di visualizzazione grafica utilizzare la finestra di dialogo Modifica info punto:

  1. Aprire la finestra di dialogo Modifica info punto selezionando Modifica info punto dal menu principale.

  2. Gli elementi e le dimensioni vengono visualizzati rispettivamente nelle caselle Elenco elementi e Elenco dimensioni.

  3. Selezionare almeno un elemento o una dimensione. I singoli punti associati a tale elemento vengono visualizzati nella casella Elenco punti.

  4. Selezionare i punti da visualizzare nella casella Elenco punti. Se si selezionano più elementi o dimensioni, nelle informazioni sul punto vengono visualizzati tutti i punti delle dimensioni o dell'elemento.

  5. Accertarsi che la casella di controllo Mostra info punto sia selezionata.

  6. Fare clic sul pulsante Applica. Le informazioni relative ai punti selezionati vengono visualizzate in una casella di Informazioni Punto nella finestra di visualizzazione grafica.

La casella Informazioni punto che mostra il primo punto in un elemento cerchio

In ogni casella di informazioni sul punto è possibile visualizzare il numero del punto, la posizione XYZ, il vettore IJK e la deviazione relativa ad un particolare punto.

Le modalità di modifica, di salvataggio e di spostamento dei formati sono analoghe a quelle di impostazione e di spostamento dei formati della casella Informazioni dimensione.

Altro

Formato informazioni punto

Elenco punti

Sezione Elenco elementi

Sezione Elenco dimensioni

Elimina info

Comando INFO_PUNTO

Opzioni grafiche

Filtri

Cancel button OK buttonCreate buttonDelete Infos buttonClear Lists buttonFilters areaDimension List areaFeature List areaHit List areaGraphic Options areaPoint Info Format area


Formato informazioni punto

Questa sezione della finestra di dialogo consente di stabilire il tipo di informazioni da visualizzare nella finestra di visualizzazione grafica accanto ad un elemento o ad una dimensione. Le caselle di controllo di questa sezione devono essere utilizzate insieme al pulsante Crea (Applica durante le operazioni di modifica) o al pulsante OK, per selezionare o eliminare le informazioni da visualizzare.

Altro

Numero punto

Punto

Vettore

Deviazione

Mostra icona

Mostra ID

Mostra tipo

Mostra intestazioni

Mostra grafico

Mostra linee verticali

Mostra linee orizzontali


Numero punto

La casella di controllo Numero punto consente di visualizzare la sequenza di rilevazione punti su un elemento.

Esempio: se un cerchio prende generalmente quattro punti ed è stato selezionato uno dei punti utilizzati per misurare il cerchio, questa opzione visualizza il numero (da uno a quattro) che indica il momento in cui tale punto è stato preso nella sequenza: 1°, 2°, 3° o 4°.


Punto

La casella di controllo Punto consente di visualizzare la posizione X, Y e Z del punto selezionato.


Vettore

La casella di controllo Vettore visualizza il vettore IJK del punto selezionato.


Deviazione

La casella di controllo Deviazione consente di visualizzare la deviazione del punto dal valore nominale.

  • Per gli elementi la deviazione del punto rappresenta la distanza tra i punti misurati e quelli effettivi.

  • Per le dimensioni la deviazione del punto è correlata al tipo di dimensione e corrisponde alla deviazione visualizzata per i singoli punti nell'analisi testuale della dimensione.


Mostra icona

La casella di controllo Mostra icona consente di visualizzare l'icona relativa all'elemento nell'area di intestazione della finestra Info Punto.


Mostra ID

La casella di controllo Mostra ID consente di visualizzare l'ID di un elemento o di una dimensione particolare.


Mostra tipo

La casella di controllo Mostra tipo consente di visualizzare il tipo di elemento o dimensione visualizzato.


Mostra intestazioni

La casella di controllo Mostra intestazioni consente di visualizzare le intestazioni di riga nella finestra Info punto.


Mostra grafico

La casella di controllo Mostra grafico consente di visualizzare un grafico della percentuale di dimensione nella finestra Info punto.


Mostra linee verticali

La casella di controllo Mostra Linee Verticali consente di visualizzare o di nascondere le linee verticali nella finestra Info Punto.


Mostra linee orizzontali

La casella di controllo Mostra Linee Orizzontali consente di visualizzare o di nascondere le linee orizzontali nella finestra Info Punto.


Elenco punti

Questa sezione della finestra di dialogo consente di selezionare la visualizzazione dei singoli punti di un elemento o di una dimensione.

Altro

Casella di riepilogo


Casella di riepilogo

La casella Elenco punto contiene un elenco di tutti i punti associati ad un particolare elemento o dimensione. Selezionare semplicemente i punti di cui si desidera visualizzare le informazioni.


Sezione Elenco elementi

Questa sezione della finestra di dialogo consente di selezionare un singolo elemento. I punti associati a tale elemento vengono visualizzati nella casella Elenco punti.

Altro

Casella di riepilogo


Casella di riepilogo

La casella Elenco elementi contiene un elenco di tutti gli elementi associati ad un particolare part-program. Selezionare semplicemente le informazioni sui punti che appartengono all'elemento desiderato.


Sezione Elenco dimensioni

La sezione Elenco dimensioni consente di selezionare una singola dimensione. I punti associati a tale dimensione vengono visualizzati nella casella Elenco punti.

Altro

Casella di riepilogo


Casella di riepilogo

La casella Elenco dimensioni contiene un elenco di tutte le dimensioni associate ad un particolare part-program. Selezionare semplicemente le informazioni sui punti che appartengono alla dimensione desiderata.


Elimina info

Il pulsante Elimina info consente di rimuovere tutti i comandi DIMINFO dal part-program.


Comando INFO_PUNTO

Il comando INFO_PUNTOviene creato dalla finestra di dialogo Modifica info punto (Inserisci | Comando rapporto | Modifica info punto).

Visualizza Mappa Percorsi dei Menu

Quando si inserisce un comando INFO_PUNTO nel part-program, viene visualizzata la casella Informazioni punto nella finestra di visualizzazione grafica. Il comando INFO_PUNTO può essere modificato nella finestra di modifica. La riga di comando per il comando INFO_PUNTO è la seguente:

INFO_PUNTO/ID Dim o ID Elem; FILTRO TIPO_FILTRO NUM_FILTRO;ICONA,ID,TIPO,VERT,ORIZZ; INTESTAZIONI, GRAFICO; ”FORMATO OUTPUT” ,$
“NUMERI PUNTI”

ID Dim o ID Elem = L'ID della dimensione o dell'elemento da visualizzare.

TIPO_FILTRO = Una stringa di selezione che visualizza l'opzione relativa al filtro di tipo NESSUNO, INTERVALLO, PEGGIORE, DEVIAZIONE o FUORI_TOLL.

NUM_FILTRO = Un campo numerico disponibile quando l'opzione filtro è impostata su INTERVALLO, PEGGIORE o DEVIAZIONE.

ICONA = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "ICONA" quando è attiva. Quando è attiva, il comando INFO_PUNTO consente di visualizzare l'ID della dimensione o dell'elemento, con l'icona relativa.

ID = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "ID" quando è attiva. Quando è attiva, il comando INFO_PUNTO consente di visualizzare l'ID della dimensione o dell'elemento, con le informazioni relative al punto.

TIPO = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "TIPO" quando è attiva. Quando è attiva, il comando INFO_PUNTO consente di visualizzare il tipo di elemento o dimensione (ad es. CERCHIO, PUNTO, ROTONDITÀ, POSIZIONE) con le informazioni relative al punto.

VERT = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "VERT" quando è attiva. Quando è attiva, INFO_PUNTO sarà visualizzato con linee verticali tra le colonne.

ORIZZ. = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "ORIZZ." quando è attiva. Quando è attiva, INFO_PUNTO sarà visualizzato con linee orizzontali tra le righe.

INTESTAZIONI = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "INTESTAZIONI" quando è attiva. Quando la stringa è attiva, le intestazioni di riga vengono visualizzate nella casella Informazioni punto.

GRAFICO = Una stringa di selezione che visualizza uno spazio vuoto quando non è attiva e "GRAFICO" quando è attiva. Quando la stringa è attiva, la percentuale di dimensione viene visualizzata graficamente nella finestra Info punto.

FORMATO OUTPUT = Il formato delle informazioni sul punto che verranno visualizzate in base all'ordine di selezione. Le opzioni di output disponibili sono PUNTO, PT, V e DEV. Le opzioni non possono essere replicate.

NUMERI PUNTI = I numeri di punti sono punti specifici controllati da questo particolare comando INFO_PUNTO. È possibile visualizzare più punti utilizzando lo stesso comando INFO_PUNTO. Ogni campo nei numeri di punti è una stringa di alternanza. Quando un punto è attivo, la stringa nella posizione del numero corrisponde al numero del contatto (1,2,3 e così via); quando un punto non è attivo, la stringa di selezione visualizza uno spazio vuoto.


Opzioni grafiche

La sezione Opzioni Grafiche consente di determinare il colore dello sfondo e della linea nella casella corrente di Informazioni dimensione visualizzata nella finestra di visualizzazione grafica. É possibile anche scegliere se PC-DMIS visualizzerà o no un'ombreggiatura attorno al bordo della finestra diInformazione sulla Dimensione.

Per cambiare le opzioni grafiche per la casella Informazioni dimensione, selezionare l'opzione desiderata in quest'area e fare clic su Creao su OK.

É anche possible impostare le opzioni grafiche predefinite per finestre di Info Dimesione create dal nuovo. A tale scopo, selezionare le opzioni desiderate e fare clic sul pulsante Predefinitonella sezione Formato Info Dimensione.


Filtri

Sezione dei filtri

La sezione Filtri consente di impostare le opzioni dei filtri in modo da poterle utilizzare durante la visualizzazione delle informazioni sui singoli punti.

Altro

Filtro: Nessuno

Filtro: Intervallo di punti

Filtro: Peggiore

Filtro: Deviazione superiore

Filtro: Fuori tolleranza


Filtro: Nessuno

L'opzione Nessuno indica a PC-DMIS di non utilizzare alcun filtro per il comando POINTINFO. Tutti i punti selezionati vengono visualizzati con il comando POINTINFO.


Filtro: Intervallo punti

L'opzione Intervallo punti consente di verificare il valore intero presente nella casella disponibile a destra dell'opzione stessa e visualizza soltanto l'intervallo di punti specifico scelto con il comando POINTINFO. Ad esempio, se si sceglie 2, viene visualizzato un punto ogni 2, se si sceglie 3, viene visualizzato un punto ogni 3, se si sceglie 4, un punto ogni 4.


Filtro: Peggiore

L'opzione Peggiore verifica il numero intero presente nella casella disponibile a destra di tale opzione e visualizza solo i punti che consentono di ottenere le tre deviazioni peggiori per la dimensione. Ad esempio, se si digita 3 nella casella, il comando INFO_PUNTO visualizza solo le tre deviazioni peggiori.


Filtro: Deviazione superiore

L'opzione Deviazione superiore consente di verificare il valore numerico presente nella casella disponibile a destra dell'opzione stessa e visualizza solamente i punti con deviazioni superiori a tale valore. Ad esempio, se si digita 0,01 nella casella, vengono visualizzate le deviazioni pari a 0,013 e -0,015, mentre le deviazioni paria 0,003 e –0,005 non vengono visualizzate.


Filtro: Fuori tolleranza

L'opzione Fuori tolleranza consente di visualizzare soltanto i punti le cui dimensioni sono fuori tolleranza.

Nel caso dei punti associati agli elementi e non alle dimensioni, vengono visualizzati solo i punti le cui deviazioni sono superiori al valore impostato in Tolleranza visualizzazione deviazioni in Opzioni di impostazioni nella scheda Generale. (Vedere "Tolleranza visualizzazione deviazione" nella sezione "Impostazione delle preferenze" .)


Inserimento dei commenti dei programmatori

Commento, finestra di Dialogo

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando rapporto | Commento consente di aggiungere nella finestra di modifica delle note per l'operatore che verranno visualizzate in una casella Testo commento durante l'esecuzione del part-program o durante la stampa del rapporto di ispezione. Non esistono limiti alla lunghezza del commento. Tuttavia, in modalità Comando è possibile inserire un massimo di 255 caratteri per riga. Quando il testo raggiunge il margine destro della finestra di modifica, premere il tasto INVIO. (Tale operazione consente di visualizzare il testo intero nella casella Testo commento). Per creare una nuova riga, posizionare il cursore nella posizione desiderata nella casella Testo commento e premere il tasto INVIO.

Per visualizzare la finestra di dialogo Commento, selezionare Commento dal menu.

Utilizzo di variabili nelle stringhe di commento

Si supponga di voler concatenare, o aggiungere, una variabile a una stringa di commento esistente. Questa operazione può essere eseguita utilizzando una delle due seguenti procedure: È possibile premere il tasto INVIO e digitare la variabile in una nuova riga di commento, come mostrato di seguito:

C1=COMMENTO/INPUT,NO,'Digitare la variabile'

ASSEGNA/V1 = C1.INPUT

COMMENTO/OPER,NO,La variabile V1 è

,V1

La seconda procedura consiste nel posizionare tutto nella stessa riga inserendo delle virgolette all'inizio e alla fine della stringa non variabile e utilizzando l'operatore del segno più per aggiungere la variabile alla stringa, come mostrato di seguito:

COMMENTO/OPER,NO,"La variabile V1 è " + V1

Altro

Operatore

Rapporto

input

Documento

Sì / No

Lettura

Testo commento

Cancel button OK buttonComment Text areaReadout optionYes / No optionInput optionDocument optionReport optionOperator option


Operatore

Questa opzione consente di visualizzare del testo durante l'esecuzione del part-program.

Per utilizzare l'opzione Operatore, effettuare le seguenti operazioni:

  1. Selezionare l'opzione di menu Commento. Viene visualizzata la finestra di dialogo Commento. Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Operatore.

  3. Inserire il testo desiderato nella casella Testo commento.

  4. Dopo aver inserito i commenti, fare clic sul pulsante OK oppure premere il tasto INVIO per chiudere la finestra di dialogo.

Quando PC-DMIS esegue il part-program, i relativi commenti verranno visualizzati in una finestra di messaggio. Il messaggio visualizzato non può essere modificato. Fare clic sul pulsante OK per rimuovere la finestra di messaggio.

La riga di comando della finestra di Modifica per questa opzione è la seguente:
COMMENTO/OPER, ALTER1, testo commento

ALTER1 = questo campo SÍ/NO consente di specificare se il commento viene visualizzato nel rapporto ispezione.


Rapporto

Questa opzione consente di inserire del testo nel rapporto di ispezione.

Per utilizzare l'opzione Rapporto:

  1. Selezionare l'opzione di menu Commento. Viene visualizzata la finestra di dialogo Commento. Visualizza Mappa Percorsi dei Menu

  2. Selezionare l'opzione Rapporto.

  3. Inserire il testo desiderato nella casella Testo commento.

  4. Dopo aver inserito il commento, fare clic sul pulsante OK oppure premere il tasto INVIO per chiudere la finestra di dialogo.

Durante l'esecuzione del part-program in PC-DMIS, questi messaggi non vengono visualizzati ma verranno visualizzati nel relativo rapporto di ispezione.

La riga di comando della finestra di modifica per questa opzione è la seguente:
COMMENTO/RAPP,testo commento

Nota: se si desidera aggiungere caratteri di sottolineatura del testo nel rapporto di ispezione, utilizzare una seconda riga di commento per creare un'ulteriore riga di caratteri.
Ad esempio:
COMMENTO/RAPP,Commento Rapporto Ispezione
      COMMENTO/RAPP,-----------------------------------

Questa serie di righe di comando consente di creare una riga di commento al rapporto di ispezione nel rapporto stesso.


input

L'opzione Input è simile all'opzione Operatore e consente di visualizzare del testo durante l'esecuzione di un part-program. Oltre a visualizzare una finestra di messaggio che contiene il testo precedentemente inserito, viene visualizzata una finestra di commento, nella quale è possibile inserire informazioni numeriche da aggiungere al rapporto di ispezione.

Questa opzione è particolarmente utile se si desidera inserire il numero di un pezzo o un numero di serie durante l'esecuzione del part-program. In questa finestra di messaggio è possibile inserire il numero di serie o il numero parte da visualizzare nel rapporto di ispezione.

Per utilizzare l'opzione Input:

  1. Posizionare il cursore nel punto in cui si desidera inserire questa opzione nella finestra di modifica.

  2. Selezionare l'opzione di menu Commento. Viene visualizzata la finestra di dialogo Commento. Visualizza Mappa Percorsi dei Menu

  3. Selezionare l'opzione Input.

  4. Inserire il testo desiderato nella casella Testo commento.

  5. Dopo aver inserito il commento, fare clic sul pulsante OK oppure premere il tasto INVIO per chiudere la finestra di dialogo.

L'elemento di input viene assegnato anche alla variabile specificata a sinistra del comando. La variabile deve essere una stringa. Questa variabile potrà quindi essere utilizzata tutte le volte che è consentito l'inserimento di un'espressione.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ID commento = COMMENTO/INPUT, ALTER1 testo commento

ALTER1 = questo campo SÍ/NO consente di specificare se il commento viene visualizzato nel rapporto ispezione.


Documento

Questa opzione consente di aggiungere del testo al programma interno. e viene utilizzata esclusivamente dai programmatori per registrare degli appunti. Il testo non viene inviato al rapporto di ispezione, né viene visualizzato durante l'esecuzione. Questa opzione consente di registrare delle note nella finestra di modifica.

Per utilizzare l'opzione Documento:

  1. Posizionare il cursore nel punto in cui si desidera inserire il testo nella finestra di modifica.

  2. Selezionare l'opzione di menu Commento. Viene visualizzata la finestra di dialogo Commento. Visualizza Mappa Percorsi dei Menu

  3. Selezionare l'opzione Documento.

  4. Inserire il testo desiderato nella casella Testo commento.

  5. Dopo aver inserito il commento, fare clic sul pulsante OK oppure premere il tasto INVIO per chiudere la finestra di dialogo.

La riga di comando della finestra di modifica per questa opzione è la seguente:

$$ ALTER1, Modificare il testo del commento!

ALTER1 = questo campo SÍ/NO consente di specificare se il commento viene visualizzato nel rapporto ispezione.

Nota:quando si apre un part-program salvato nella versione corrente da una versione precedente, tutti i comandi che non sono supportati nella versione corrente verranno visualizzati come commenti DOC. Vedere "Salva con nome" nella sezione "Uso delle opzioni di base del menu File" .


Sì / No

L'opzione Sì / No è simile all'opzione "Operatore" e consente di visualizzare del testo durante l'esecuzione di un part-program. Oltre a visualizzare una finestra di messaggio con il testo precedentemente inserito, vengono visualizzati i pulsanti Sì e No. Tali pulsanti consentono di rispondere a semplici domande. Le risposte a tali domande saranno visualizzate nel part-program e saranno accessibili mediante l'ID del commento. Ad esempio, se l'ID di un commento è C1 e viene selezionato il pulsante Sì, il valore dell'espressione "C1.INPUT" sarà 'SÍ'. Se si seleziona il pulsante No, il valore dell'espressione "C1.INPUT" sarà 'NO'. Questa opzione è utile se si desidera definire un'istruzione ramificata o avviare un loop in base alla risposta.

Per utilizzare l'opzione Sì / No:

  1. Posizionare il cursore nel punto in cui si desidera inserire il comando COMMENTO/SÍNO nella finestra di modifica.

  2. Selezionare l'opzione di menu Commento. Viene visualizzata la finestra di dialogo Commento. Visualizza Mappa Percorsi dei Menu

  3. Selezionare l'opzione Sì / No.

  4. Inserire il testo desiderato nella casella Testo commento.

  5. Dopo aver inserito i commenti, fare clic sul pulsante OK oppure sul tasto INVIO per chiudere la finestra di dialogo.

La riga di comando della finestra di modifica per questa opzione è la seguente:
ID commento = COMMENTO/SÍNO,ALTER1, testo commento

ALTER1 = questo campo SÍ/NO consente di specificare se il commento viene visualizzato nel rapporto ispezione.

Importante: quando si utilizza un'istruzione di diramazione condizionale per testare il valore di un commento SÍ / NO, è necessario fare una ricerca per "Sí" e "NO" in lettere maiuscole. Un Sí o un No minuscoli non hanno effetto. Per informazioni sui salti del programma, vedere la sezione "Salto con uso del Controllo del Flusso" .


Lettura

L'opzione Lettura consente di visualizzare il testo del commento nella parte inferiore della finestra Lettura Tastatore. Per eseguire questa operazione, è necessario selezionare la casella di controllo Mostra storia dalla finestra di dialogo Impostazione Lettura Tastatore.

Per utilizzare l'opzione Sì / No:

  1. Posizionare il cursore nel punto in cui si desidera inserire il comando COMMENTO/SÍNO nella finestra di modifica.

  2. Selezionare l'opzione di menu Commento. Viene visualizzata la finestra di dialogo Commento. Visualizza Mappa Percorsi dei Menu

  3. Selezionare l'opzione Sì / No.

  4. Inserire il testo desiderato nella casella Testo commento.

  5. Dopo aver inserito i commenti, fare clic sul pulsante OK oppure sul tasto INVIO per chiudere la finestra di dialogo.

La riga di comando della finestra di modifica per questa opzione è la seguente:
COMMENTO/LETTURA,ALTER1,testo commento

ALTER1 = questo campo SÍ/NO consente di specificare se il commento viene visualizzato nel rapporto ispezione.

Per ulteriori informazioni sull'impostazione di questa opzione, vedere "Impostazione della finestra di lettura" nella sezione "Impostazione delle preferenze" .

Per ulteriori informazioni sulla finestra Lettura tastatore, vedere "Uso della finestra di lettura del tastatore" nella sezione "Uso di altre finestre ed altri editor" .


Testo commento

Nella casella Testo commento è possibile inserire il testo da visualizzare con le opzioni Tipo di commento riportate di seguito:

  • Operatore

  • Rapporto

  • Input

  • Documento

  • Sì / No

  • Lettura


Incorporamento di rapporti HyperView

Incorporamento di rapporti HyperView o di template per rapporto

Per incorporare un rapporto HyperView o un template per rapporto in un part-program:

  1. Selezionare l'opzione di menu Inserisci | Comando rapporto | Rapporto HyperView. Verrà visualizzata la finestra di dialogo Inserisci Hyper rapporto. Visualizza Mappa Percorsi dei Menu

  2. Dall'elenco Tipo di file, selezionare Rapporti (*.Rpt) o Template rapporti (*.Rtp).

  3. Andare alla directory che contiene il file da incorporare e selezionarlo.

  4. Fare clic sul pulsante Apri.

Il blocco di comando RAPPORTO/NOME_FILE viene inserito nella finestra di modifica, nella posizione del cursore.

Per ulteriori informazioni, vedere l'argomento "Come incorporare i rapporti HyperView in un part-program" nella sezione "Rapporti dei Risultati di Misura" .


Inserimento di oggetti esterni

Visualizza Mappa Percorsi dei Menu

Selezionare l'elemento di menu Inserisci | Comando rapporto | Oggetto esterno per aggiungere oggetti esterni ad un rapporto. Vedere la sezione "Aggiunta di elementi esterni" per ulteriori informazioni.


Inserimento di un comando di stampa

In PC-DMIS è possibile inserire nella finestra di modifica un comando PRINT/rapporto (STAMPA/rapporto) che, se selezionato ed eseguito, fa in modo che il contenuto della finestra di modifica venga inviato alla destinazione di output definita (stampante o file).

Per inserire un comando STAMPA/RAPPORTO nella finestra di modifica:

  1. Aprire la finestra di modifica (Visualizza | Finestra di modifica). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sull'icona Modalità comando sulla barra degli strumenti Finestra di modifica e attivare la modalità Comando.

  3. Selezionare l'opzione di menu Inserisci | Comando rapporto | Comando di stampa (oppure digitare STAMPA dalla posizione desiderata e premere il tasto di tabulazione). PC-DMIS visualizzerà il comando STAMPA/RAPPORTO insieme alle varie opzioni configurabili. Visualizza Mappa Percorsi dei Menu

Il comando STAMPA/RAPPORTO viene utilizzato per controllare la stampa dei rapporti della finestra di modifica dall'interno del part-program. Quando PC-DMIS raggiunge questo comando durante l'esecuzione del part-program, viene generato un rapporto e inviato al file di destinazione specificato.

Nota: tutte le opzioni disponibili attraverso l'opzione di menu File | Stampa | Impostazione rapporto (con l'eccezione delle opzioni di output DMIS) sono disponibili anche attraverso questo comando.

Per informazioni sulla stampa della finestra di modifica, vedere l'argomento "Stampa dalla finestra di modifica" nella sezione "Uso delle opzioni di base del menu File".

Altro

Informazioni sulla sintassi del comando PRINT/rapporto (STAMPA/rapporto)

Modifica del comando PRINT/rapporto (STAMPA/rapporto)


Modifica del comando PRINT/rapporto (STAMPA/rapporto)

Per modificare queste opzioni nella finestra di dialogo Opzioni di stampa:

  1. Posizionare il cursore sulla riga di comando STAMPA/RAPPORTO.

  2. Premere F9.

  3. Apportare le modifiche desiderate.

  4. Fare clic sul pulsante OK.

PC-DMIS aggiornerà il comando per riflettere le modifiche apportate. Questa procedura è differente da quella che prevede l'accesso diretto alla finestra di dialogo Opzioni di stampa dal menu Rapporto della finestra di modifica. L'accesso diretto alla finestra di dialogo dal menu Rapporto non consente di inserire il comando STAMPA/RAPPORTO dalla finestra di modifica.

Nota:il comando STAMPA/RAPPORTO può essere utilizzato più volte nel part-program.

Nota:il comando STAMPA/RAPPORTO è un'istanza univoca delle informazioni contenute nella finestra di dialogo Stampa opzioni. Di conseguenza, le opzioni che vengono selezionate nella finestra di dialogo Opzioni di stampa ma non attraverso il comando STAMPA/RAPPORTO sono indipendenti da qualsiasi comando STAMPA/RAPPORTO e avranno effetto sulla stampa solo quando il part-program avrà completato l'esecuzione.


Informazioni sulla sintassi del comando PRINT/rapporto (STAMPA/rapporto)

La sintassi del comando è la seguente:

STAMPA/RAPPORTO,MODALITÁ ESEC=FINE,$

A_FILE=OFF,ALTER1,$

A_STAMPANTE=OFF,$

A_RAPPORTO_DMIS=OFF,OPZIONE_FILE=SOVRASCRIVI,NOME_FILE=,$

RAPPORTO_TEORICI=TUTTI,RAPPORTO_ELEMENTO_CON_DIMENSIONI=SÍ,$

ESEC_PREC=ELIMINA_ISTANZE

MODALITÁ ESEC = Poiché DMIS e PC-DMIS gestiscono i dati dei rapporti in modo diverso, questa opzione consente di controllare il modo e i tempi in cui il software invia i dati del rapporto ai file di output di DMIS e di PC-DMIS. DMIS richiede che i nomi dei file di output e altri parametri di stampa siano definiti prima dell'esecuzione del programma. PC-DMIS, invece, esegue il dump dei dati del rapporto dopo l'esecuzione del part-program. Questa opzione consente di supportare entrambi i formati. Prende uno dei due valori, INIZIO o FINE.

INIZIO
Questa opzione consente a PC-DMIS di iniziare la stampa quando viene rilevata la fine del programma o un altro comando STAMPA/RAPPORTO. Se si importa un file DMIS e viene rilevato un comando di stampa di un rapporto, verrà utilizzato INIZIO come valore iniziale.

FINE
Indica a PC-DMIS di stampare tutto quanto è stato già eseguito fino al comando STAMPA/RAPPORTO corrente. Se non si importa un file DMIS con un comando di stampa di rapporto ma si inserisce il comando STAMPA/RAPPORTO da PC-DMIS, il valore iniziale sarà FINE.

Importante: se il part-program contiene più di un comando STAMPA/RAPPORTO, alcuni comandi potranno non essere stampati da PC-DMIS. Ad esempio, se il primo comando STAMPA/RAPPORTO utilizza FINE e il secondo comando di stampa rapporto utilizza INIZIO, in PC-DMIS non verrà stampato tutto ciò che viene eseguito tra i due comandi.

Inoltre, se un comando STAMPA/RAPPORTO utilizza INIZIO e il comando di stampa rapporto successivo utilizza FINE, il secondo comando di stampa sarà vuoto perché il primo comando di stampa rapporto ha annullato il buffer del rapporto.

A_FILE= Utilizzare questa opzione per indicare se il rapporto stampato deve essere inviato a un file (ON) oppure meno (OFF).

AUTO= Utilizzare questa opzione per fare in modo che PC-DMIS generi il nome file del rapporto automaticamente. Quando l'opzione AUTO è selezionata, questa parola chiave è seguita da un campo numerico, ad esempio AUTO=10. Il nome del file generato sarà lo stesso nome del part-program aggiunto dall'indice numerico e avrà estensione .RTF. Inoltre verrà memorizzato nella stessa directory del part-program. Se esiste già un file con lo stesso nome del file generato, l'opzione AUTO incrementerà l'indice fino a un nome file univoco.

A_STAMPANTE= Utilizzare questa opzione per indicare se il rapporto stampato deve essere inviato alla stampante (ON) oppure meno (OFF).

ALTER1 Questo valore consente di controllare l'azione eseguita durante la stampa in un file. Le opzioni disponibili sono AGGIUNGI / AUTO / SOVRASCRIVI / RICHIEDI. In base all'opzione selezionata, vengono visualizzate informazioni diverse.

SOVRASCRIVI
Utilizzare questa opzione per sovrascrivere le informazioni sul rapporto nel nome file specificato. Quando l'opzione SOVRASCRIVI è selezionata, questa parola chiave è seguita da un campo nome file, ad esempio SOVRASCRIVI=D:\rapporti\FILE001.RTF. Notare che è necessario specificare il percorso completo, altrimenti PC-DMIS utilizzerà la stessa directory del part-program. Inoltre, se il file non esiste, sarà creato quando sarà eseguito il comando STAMPA/RAPPORTO.

AGGIUNGI
Utilizzare questa opzione per aggiungere informazioni sul rapporto al nome file specificato. Quando l'opzione AGGIUNGI è selezionata, questa parola chiave è seguita da un campo nome file, ad esempio AGGIUNGI=D:\rapporti\FILE001.RTF. Notare che è necessario specificare il percorso completo, altrimenti PC-DMIS utilizzerà la stessa directory del part-program. Inoltre, se il file non esiste, sarà creato quando sarà eseguito il comando STAMPA/RAPPORTO.

RICHIEDI
Utilizzare questa opzione per fare in modo che all'utente venga chiesto tramite la finestra di dialogo Salva con nome il nome file in cui scrivere le informazioni sul rapporto.

A_RAPPORTO_DMIS= Utilizzare questa opzione per stabilire se PC-DMIS invierà il rapporto a un file DMIS Output (.dmo) specificato in NOME_FILE. Il valore di questa opzione può essere ON o OFF.

NOME_FILE= Utilizzare questa opzione per specificare la posizione della directory di output DMIS e un nome file. Se A_RAPPORTO_DMIS è impostato su ON, PC-DMIS memorizza i dati del rapporto nel file specificato. Ad esempio, se in questo campo il valore è d:\pcdmisreports\mydmis.dmo, PC-DMIS salva i dati del rapporto in quel file DMIS in quella posizione.

OPZIONE_FILE= Questa opzione consente di scegliere una delle seguenti opzioni file per l'output del file DMIS:

AGGIUNGI
Questa opzione consente di aggiungere i dati del rapporto alla fine del file DMIS specificato in NOME_FILE.

SOVRASCRIVI
Questa opzione consente di sovrascrivere il file DMIS specificato in NOME_FILE con i dati sul rapporto più recenti.

INDICE
Questa opzione consente di assegnare al nome file DMIS specificato in NOME_FILE un valore numerico che aumenta per ciascuna esecuzione successiva del part-program. Ad esempio, se NOME_FILE è mydmis.dmo, diventerà mydmis001.dmo, quindi mydmis002.dmo, quindi mydmis003.dmo e così via, come per l'opzione AUTO=.

MODBOZZA= Utilizzare questa opzione per attivare o disattivare la stampa in modalità Bozza (ON o OFF).

RAPPORTO_TEORICI= Questa opzione indica il modo in cui in PC-DMIS vengono riportati i valori teorici nel file di output DMIS.

TUTTO
PC-DMIS visualizza tutti i valori teorici con i valori misurati nel file di output DMIS.

NESSUNO
Nessun valore teorico viene incluso nel rapporto.

IMPORTA_IMPOSTAZIONI
Vengono inclusi nel rapporto solo i valori teorici esplicitamente inclusi nel programma DMIS originale.

RAPPORTO_ELEMENTO_CON_DIMENSIONI= Questa opzione determina se PC-DMIS conserverà gli elementi misurati e le tolleranze associate nel file di output. I valori disponibili sono SÍ o NO.

SÍ
Nel file del rapporto DMIS, PC-DMIS scrive i risultati della misuazione immediatamente prima delle tolleranze corrispondenti per ciascuna dimensione associata all'elemento. Se un elemento non è associato ad alcuna tolleranza, PC-DMIS non genera alcun output.

NO
Nel file del rapporto DMIS, PC-DMIS scrive i risultati della misurazione esattamente quando l'elemento viene misurato e non dopo quando PC-DMIS esegue le dimensioni associate.

ESEC_PREC= Questa opzione è molto utile quando si utilizza il comando STAMPA/RAPPORTO dall'interno di un loop. Quando un elemento viene misurato più di una volta in un'unica esecuzione, le istanze precedenti dei dati misurati vengono salvate. Utilizzare ALTER2 per consentire a PC-DMIS di eliminare (ELIMINA_ISTANZE) o di conservare (MANTIENI_ISTANZE) i dati misurati salvati.


Inserimento di un comando di form feed

PC-DMIS consente di inserire il comando FORMFEED nella finestra di modifica. Questo comando fa in modo che la pagina stampata di un rapporto venga espulsa dalla stampante quando il comando FORMFEED viene selezionato ed eseguito. Il comando FORMFEED non ha alcun effetto quando la stampa viene inviata a un file.

Per inserire un comando FORMFEED nella finestra di modifica:

  1. Aprire la finestra di modifica (Visualizza | Finestra di modifica). Visualizza Mappa Percorsi dei Menu

  2. Fare clic sull'icona Modalità comando sulla barra degli strumenti Finestra di modifica e attivare la modalità Comando.

  3. Selezionare l'opzione di menu Inserisci | Comando rapporto | Form Feed (oppure digitare FORMFEED dalla posizione desiderata e premere il tasto di tabulazione). PC-DMIS visualizza il comando FORMFEED. Visualizza Mappa Percorsi dei Menu


Definizione e salvataggio di un insieme di viste

Può risultare utile creare e salvare diverse viste della finestra di visualizzazione grafica per un riferimento futuro. L'opzione di menu Salva Insieme di Viste consente di salvare un numero illimitato di viste. denominate insiemi viste.

Per salvare la vista corrente, effettuare le seguenti operazioni:

  1. Selezionare l'opzione di menu Inserisci | Comando rapporto | Salva Insieme di Viste. Visualizza Mappa percorsi dei menu Viene visualizzata una finestra popup contenente il campo "Nome vista da salvare".

  2. Inserire il nome desiderato per la vista. È possibile utilizzare un massimo di 19 caratteri.

  3. Fare clic sul pulsante OK oppure premere il tasto INVIO. PC-DMIS imposta l'insieme di viste corrente corrispondente al nome scelto inserendo un comando =SET_VISTE.

È possibile richiamare velocemente un insieme di viste creato selezionandolo dall'elenco Viste dalla barra degli strumenti Impostazioni oppure utilizzando l'opzione di menu Richiama Insieme di Viste.

Nota: se si desidera modificare e quindi salvare l'insieme di viste corrente senza crearne una nuova, selezionare l'opzione di menu Salva Insieme di viste.


Richiamo di un insieme di viste salvato

Visualizza Mappa Percorsi dei Menu

La selezione dell'opzione di menu Inserisci | Comando rapporto | Richiama Insieme di Viste consente di inserire un comando RICHIAMA/SET_VISTE nella finestra di modifica. Se si seleziona e si esegue questo comando, PC-DMIS visualizza la vista salvata nella finestra di visualizzazione grafica.


Uso del file di Input / Output

Uso del file di Input / Output: Introduzione

Informazioni di base sul file I/O

Uso della Finestra di dialogo File I/O

Apertura di un file per la lettura o la scrittura dei dati

Codice di esempio per il comando di apertura di un file

Chiusura di un file al termine delle operazioni di lettura e scrittura

Codice di esempio per il comando di chiusura di un file

Lettura di un carattere da File

Codice di esempio per il comando Leggi carattere

Lettura di una riga da un file

Codice di esempio per il comando Leggi riga

Lettura di un blocco di testo da un file

Codice di esempio per il comando Leggi blocco

Lettura di un testo fino a un delimitatore

Codice di esempio per il comando Leggi fino a

Scrittura di un carattere in un file

Codice di esempio per il comando Scrivi carattere

Scrittura di una riga in un file

Codice di esempio per il comando Scrivi riga

Scrittura di un blocco di testo in un file

Codice di esempio per il comando Scrivi blocco

Posizionamento del puntatore all'inizio di un file

Codice di esempio per il comando di riposizionamento all'inizio

Salvataggio della posizione corrente del puntatore di un file

Codice di esempio per il comando Salva posizione file

Richiamo della posizione salvata del puntatore di un file

Codice di esempio per il comando Richiama posizione file

Copia di un File

Codice di esempio per il comando Sposta file

Spostamento File

Codice di esempio per lo spostamento di un file

Eliminazione File

Codice di esempio per il comando Elimina file

Verifica dell'esistenza di un file

Codice di esempio per il comando File esistente

Visualizzazione della finestra di dialogo di un file

Codice di esempio per il comando Finestra file

Controllo di fine file o fine linea

Esempio di codice per EOF ed EOL


Uso del file di Input / Output: Introduzione

In questa sezione vengono spiegate le modalità di input e output delle informazioni da e verso i part-program. Le opzioni di menu disponibili consentono di aprire i file in scrittura o in lettura. Ciò vuol dire che su questi file è possibile leggere o scrivere i dati. I comandi File I / O consentono inoltre di leggere i dati dai file esterni utilizzati in un part-program. È anche possibile utilizzare questi comandi per esportare su file esterni le informazioni relative alla misurazione e alla tolleranza o per eseguire altre operazioni su file.

In questa sezione vengono fornite informazioni dettagliate sulle operazioni di I/O, nonché esempi pratici delle varie operazioni. Questi esempi contengono gli elementi descritti nelle sezioni "Esecuzione della diramazione utilizzando il controllo del flusso" e "Uso delle espressioni e delle variabili" .

Nota:in presenza di un loop o di una diramazione negli esempi di codice, viene utilizzato il rientro per consentire una visualizzazione più chiara delle istruzioni relative a condizioni specifiche. Nel codice effettivo della finestra di modifica, non viene visualizzato alcun rientro.

In questa sezione vengono descritti i seguenti argomenti:

  • Informazioni di base sul file I/O

  • Uso della Finestra di dialogo File I/O

  • Apertura di un file per la lettura o la scrittura dei dati

  • Chiusura di un file al termine delle operazioni di lettura e scrittura

  • Lettura di un carattere da File

  • Lettura di una riga da un file

  • Lettura di un blocco di testo da un file

  • Lettura di un testo fino a un delimitatore

  • Scrittura di un carattere in un file

  • Scrittura di una riga in un file

  • Scrittura di un blocco di testo in un file

  • Posizionamento del puntatore all'inizio di un file

  • Salvataggio della posizione corrente del puntatore di un file

  • Richiamo della posizione salvata del puntatore di un file

  • Copia di un File

  • Spostamento File

  • Eliminazione File

  • Verifica dell'esistenza di un file

  • Visualizzazione della finestra di dialogo di un file

  • Controllo di fine file o fine linea


Informazioni di base sul file I/O

Verifica dell'esistenza di un file
Prima di eseguire le operazioni di input e output su un file, è opportuno verificare l'effettiva esistenza del file. Questa operazione viene probabilmente inserita in un loop IF / THEN in modo che se la verifica ha esito negativo, è possibile notificarlo all'utente. Prima di eseguire un'operazione di scrittura su un file, è necessario creare tale file nell'ambiente Windows.

Vedere "Verifica dell'esistenza di un file".

Apertura e chiusura dei file
Prima di eseguire le operazioni di lettura o di scrittura dai file, è necessario aprire tali file nei processi di sistema. È possibile eseguire questa operazione assegnando il file a una variabile denominata puntatore del file. Quando si apre un file, è possibile specificare se si desidera aprire tale file in lettura, in scrittura (sovrascrittura) o come allegato. Quando il file è aperto, è possibile eseguire le operazioni di lettura o scrittura. Una volta terminato di utilizzare un file, chiudere il puntatore; in questo modo il file viene chiuso e risulta accessibile ad altri processi del sistema. Non è consentito aprire file già aperti da altri processi.

Vedere "Apertura di un file per la lettura o la scrittura dei dati" e "Chiusura di un file al termine delle operazioni di lettura e scrittura".

Puntatori e posizioni dei file
I puntatori sono variabili che rimandano a un file. In essi sono memorizzati il nome e la posizione di un file aperto e vengono pertanto utilizzati per eseguire le operazioni di lettura e scrittura sul file in questione. Quando un file è aperto e per esso è stato impostato un puntatore, tale puntatore funziona come il cursore di un elaboratore di testi. Tramite i puntatori è possibile conoscere la posizione effettiva in cui si stanno eseguendo le operazioni di lettura e scrittura all'interno del file.

· Ad esempio, se si desidera allegare dati a un file, la posizione ideale del puntatore è alla fine del file.

· Se invece si desidera eseguire operazioni di lettura o di sovrascrittura, il puntatore dovrebbe essere posizionato all'inizio di un file.

Uso dei delimitatori durante le operazioni di scrittura e di lettura

Quando si scrivono dei dati, si consiglia di utilizzare delimitatori per separare i singoli dati. In questo modo, sarà più semplice rileggere i dati in un part-program. Un delimitatore può essere costituito da un qualsiasi carattere o da una stringa di caratteri. per esempio, si supponga di avere un punto PNT1 con I valori X,Y e Z misurati 2.5,4.3,6.1. È possibile scrivere questi valori all'interno di un file di dati, utilizzando la virgola come delimitatore, secondo un codice simile a quello riportato di seguito:

FILE/WRITELINE,FPTR,PNT1.X + "," + PNT1.TY + “," + PNT1.Z

Quando si leggono dei dati, è possibile separare i dati in entrata mediante un delimitatore specifico, quindi inserirli all'interno di variabili per un'eventuale modifica successiva. Si supponga ad esempio di voler leggere i valori X, Y e Z elencati in precedenza. Tali valori dovrebbero trovarsi su una riga di testo singola, ad esempio 2.5,4.3,6.1. È possibile separare il testo dopo la virgola, quindi inserire i valori all'interno di variabili corrispondenti utilizzando una linea di codice simile a quella riportata di seguito:

V1=FILE/READLINE,FPTR,{ValX}+","+{ValY}+","+{ValZ}

In questo modo, ValX, ValY e ValZ possono essere utilizzati come normali variabili di part-program. ValX contiene 2.5, ValY contiene 4.3 e ValZ contiene 6.1


Uso della Finestra di dialogo File I/O

Tutti i comandi file I/O vengono inizialmente inseriti nel part-program selezionando l'opzione del menu file I/O appropriata (selezionare Inserisci | Comando file I/O). Se un comando esiste nella finestra di modifica, premendo F9 sul comando si apre la finestra di dialogo File I/O associata.

Esempio di finestra di dialogo I/O File

Questa finestra di dialogo fornisce semplicemente un modo visuale per modificare il comando file I/O corrente. In alternativa, è possibile modificare un comando nella finestra di modifica con le tecniche illustrate nella sezione "Uso della Finestra di Modifica".

Questa finestra di dialogo non deve essere utilizzata per inserire nuovi comandi file I/O. Questa operazione deve essere eseguita selezionando l'opzione di menu appropriata oppure digitando i comandi direttamente nella finestra di modifica.


Apertura di un file per la lettura o la scrittura dei dati

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Apri file consente di inserire un comando nella finestra di modifica per aprire un file presente sul disco durante l'esecuzione del part-program .

È possibile aprire i file per aggiungere e salvare le informazioni oppure semplicemente per visualizzarle.

La sintassi di questo comando nella finestra di modifica è la seguente:

<filepointername> =File/Open,<filename>,<modalità_apertura>

<nome_puntatore_file> | Rappresenta l'ID definito dall'utente del puntatore del file utilizzato per accedere al file aperto. Questo ID viene utilizzato per fare riferimento al file aperto in altri comandi file I/O.
<nome_file> | Nome del file su disco da aprire.
<modalità_apertura> | Modalità di apertura del file. Sono disponibili le seguenti modalità di apertura: in lettura, in scrittura o come allegato.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Apri file.

  3. Premere F9.

Altro

Codice di esempio per il comando di apertura di un file


Codice di esempio per il comando di apertura di un file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente consente di aprire un file denominato TEST.TXT in lettura, in scrittura e come allegato, nonché di memorizzare il nome del file in un puntatore denominato FPTR.

FPTR=FILE/OPEN,C:\PCDMISW\TEST.TXT,LEGGI

FPTR=FILE/OPEN,C:\PCDMISW\TEST.TXT,SCRIVI

FPTR=FILE/OPEN,C:\PCDMISW\TEST.TXT,AGGIUNGI

È possibile utilizzare un commento di input prendendo il percorso completo come input e utilizzandolo nel comando FILE/APRI. È possibile eseguire la stessa operazione utilizzando il comando FILE/FINESTRA. Fare riferimento agli esempi seguenti:

C1=COMMENTO/INPUT,C1=COMMENTO/INPUT,Digitare il nome e il percorso completi del file.

V1=FILE/FINESTRA, SCEGLIERE UN FILE DA APRIRE

FPTR=FILE/OPEN,C1.INPUT,LEGGI

FPTR=FILE/OPEN,V1,LEGGI

Vedere "Visualizzazione della finestra di dialogo di un file".


Chiusura di un file al termine delle operazioni di lettura e scrittura

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Chiudi file consente di inserire nella finestra di modifica un comando per chiudere un file aperto durante l'esecuzione del part-program. La chiusura dei file consente di rendere disponibili risorse di memoria utilizzate per i file aperti e di salvare sul disco rigido le modifiche apportate ai file.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/Chiudi, <nome_puntatore_file>,<modalità_chiusura>

<nome_puntatore_file> | ID creato al momento dell'apertura del file e utilizzato per identificare il file stesso.
<modalità_chiusura> | Questo parametro ha due opzioni, MANTIENI o ELIMINA. Se si sceglie MANTIENI, PC-DMIS chiude semplicemente il file indicato nel puntatore del file. Se si sceglie ELIMINA, PC-DMIS chiude il file e lo elimina.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

1. Aprire la finestra di modifica.

2. Posizionare il cursore sul comando Chiudi file.

3. Premere F9.

Altro

Codice di esempio per il comando di chiusura di un file


Codice di esempio per il comando di chiusura di un file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente consente di chiudere il file assegnato al puntatore del file FPTR:

FILE/CHIUDI,FPTR,MANTIENI

Questo codice, che utilizza il parametro ELIMINA, chiude ed elimina il file assegnato a FPTR:

FILE/CHIUDI,FPTR,CANC


Lettura di un carattere da File

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di lettura | Leggi carattere consente di inserire nella finestra di modifica un comando per la lettura di singoli caratteri dal file specificato nel campo nome_puntatore_file (vedere sintassi di seguito) e di assegnare tale carattere alla variabile specificata nel campo del nome della variabile.

La sintassi di questo comando nella finestra di modifica è la seguente:

<varname> = File/ReadCharacter,<nome_puntatore_file>

<nome_puntatore_file> | ID utilizzato per aprire il file.
<nome_variabile> | Nome della variabile alla quale viene assegnato il carattere.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Leggi carattere.

  3. Premere F9.

Altro

Codice di esempio per il comando Leggi carattere


Codice di esempio per il comando Leggi carattere

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Nell'esempio riportato di seguito le righe di un file di dati vengono lette un carattere alla volta finché non viene rilevato il primo spazio.

V1=FILE/ ESISTE,test.txt

IF/V1<>0

COMMENTO/OPER,COMMENTO/OPER,Lettura da un file di dati possibile. Fare clic su OK per continuare.

ASSEGNA/V3 = ""

FPTR=FILE/OPEN,D:\Program Files\pcdmis35\test.txt,LEGGI

DO/

V2=FILE/LEGGI CARATTERE,FPTR

ASSEGNA/V3 = V3+V2

UNTIL/V2 == " "

FILE/CHIUDI,FPTR

COMMENTO/OPER,COMMENTO/OPER,"La prima parola di una riga di testo del file è: " + V3

END_IF/

ELSE/

COMMENTO/OPER,Impossibile leggere da un file di dati. Il programma viene terminato.

GOTO/FINE

END ELSE/

FINE=ETICHETTA/

PROGRAMMA/FINE

Spiegazione del codice

V1=FILE/ESISTE
Questa riga verifica l'esistenza del file specificato. Per fare in modo che questo codice funzioni, il file deve trovarsi nella stessa directory di PC-DMIS. In caso contrario, la riga contenente il file deve includere il percorso completo del file. V1 riceve il risultato del controllo del file. Se il file esiste viene restituito un valore diverso da zero, in caso contrario viene restituito un valore uguale a zero.

IF/V1<>0
Questa riga registra il valore della variabile V1 e verifica se il valore restituito è diverso da zero. In tal caso, viene visualizzato un commento indicante che il processo di lettura può essere avviato. Se il valore restituito è uguale a zero, il part-program viene chiuso.

ASSEGNA/V3 = ""
Questa riga crea una stringa vuota e la assegna alla variabile V3. Il codice utilizza tale variabile per creare una stringa dai singoli caratteri letti. Se non viene creata alcuna stringa vuota, alla variabile V3 viene assegnato il valore predefinito 0.

FPTR=FILE/APRI
Questa riga apre il file specificato per la lettura e lo assegna al puntatore del file predefinito FPTR.

DO
Questa riga avvia un loop DO / UNTIL. Tale loop esegue il codice FILE/LEGGI CARATTERE in modo che i caratteri vengano letti uno alla volta, continuativamente. Il loop si interrompe ogni volta che viene rilevato uno spazio tra i caratteri.

V2=FILE/LEGGI CARATTERE,FPTR
Questa riga legge un carattere dal file aperto collegato al puntatore del file, FPTR. Il carattere viene memorizzato nella variabile, V2.

ASSEGNA/V3 = V3+V2
In questa riga viene utilizzata la variabile vuota V3 per concatenare la stringa V3 con V2, quindi riassegna il valore a V3. Quando il loop DO / UNTIL viene nuovamente eseguito, alla variabile V3 viene aggiunto un altro carattere.

UNTIL/V2 == " "
Questa riga arresta il loop DO / UNTIL quando il codice FILE/LEGGI CARATTERE rileva uno spazio nel file aperto.

FILE/CHIUDI,FPTR
Questa riga chiude il file di dati aperto, rendendolo accessibile agli altri processi del sistema. La parte rimanente del codice completa l'esecuzione e viene visualizzata la prima parola del file di dati in un commento dell'operatore.


Lettura di una riga da un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di lettura | Leggi riga consente di inserire nella finestra di modifica un comando per la lettura di una riga dal file specificato durante l'esecuzione. Questo comando imposta la variabile specificata dal relativo ID su 1 (vero) o su 0 (falso) per indicare che la chiamata è stata eseguita correttamente (vero) o meno (falso). L'espressione richiesta da questo comando può essere utilizzata per delimitare la riga di lettura e completare automaticamente le variabili e i riferimenti con i dati letti dal file. Le informazioni vengono lette dal file di input fino al successivo carattere di ritorno a capo.

La sintassi di questo comando nella finestra di modifica è la seguente:

<varname> = File/ReadLine,<filepointername>,<espressione>

<nome_variabile> | Nome della variabile nella quale viene inserito il risultato Vero/Falso del comando Leggi_Riga. Viene restituito "OK" o "EOF".
<nome_puntatore_file> | Nome del puntatore del file specificato al momento dell'apertura del file.
<espressione> | Variabile di destinazione dei dati di input. I dati di input possono essere delimitati da testo per facilitare l'analisi delle righe di dati acquisite. Le variabili e gli elementi di riferimento devono essere racchiusi tra parentesi graffe.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Leggi riga.

  3. Premere F9.

Altro

Codice di esempio per il comando Leggi riga


Codice di esempio per il comando Leggi riga

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Nell'esempio riportato di seguito le righe di un file di dati vengono lette una alla volta finché il comando FILE/LEGGI RIGA non rileva una riga vuota. Il part-program visualizza quindi il blocco di testo trovato e termina.

V1=FILE/ ESISTE,test.txt

IF/V1<>0

COMMENTO/OPER,COMMENTO/OPER,Lettura da un file di dati possibile. Fare clic su OK per continuare.

ASSEGNA/V3 = ""

FPTR=FILE/OPEN,D:\Program Files\pcdmis35\test.txt,LEGGI

DO/

V2=FILE/READLINE,FPTR,{LINEA}

ASSEGNA/V3 = V3 + RIGA

COMMENTO/OPER,"Il valore corrente della variabile V3 è:

,V3

UNTIL/V2 == "EOF"

FILE/CHIUDI,FPTR

COMMENTO/OPER,"Il blocco di testo contiene quanto segue: "

,V3

END_IF/

ELSE/

COMMENTO/OPER,Impossibile leggere da un file di dati. Il programma viene terminato.

GOTO/FINE

END ELSE/

FINE=ETICHETTA/

PROGRAMMA/FINE

Spiegazione del codice

Questo codice è molto simile a quello descritto in "Codice di esempio per il comando Leggi carattere". Le spiegazioni riportate di seguito riguardano soltanto la parte di codice specifica per questo esempio.

DO
Questa riga avvia un loop DO / UNTIL. Tale loop esegue il codice FILE/LEGGI RIGA in modo che le righe vengano lette una alla volta, continuativamente. Il loop viene interrotto quando viene raggiunta la fine del file.

V2=FILE/LEGGI RIGA,FPTR,{RIGA}
Questa riga legge il testo finché non viene rilevato un ritorno a capo. Anziché memorizzare il testo in V2, come FILE/LEGGI CARATTERE, questo codice prevede un funzionamento diverso.

  • V2 in questo caso restituisce due valori: "OK" oppure "EOF". Se è presente ancora una riga da leggere, viene restituito il valore "OK"; in caso contrario viene restituito il valore “EOF”.

  • Il codice {RIGA} è una variabile inserita dall'utente che consente di memorizzare il testo effettivo. Il testo viene racchiuso tra parentesi graffe per indicare a PC-DMIS che si tratta di una variabile e non di una parte di testo di delimitazione. Se il testo non viene racchiuso tra parentesi graffe, PC-DMIS esegue la ricerca di una stringa di caratteri nel file denominato "RIGA" e restituisce soltanto il testo posizionato dopo "RIGA" e prima del ritorno a capo.

ASSEGNA/V3 = V3+RIGA
Questa riga utilizza la variabile vuota V3 per concatenare la stringa V3 con RIGA, quindi riassegna il valore concatenato a V3. Quando il loop DO / UNTIL viene nuovamente eseguito, alla variabile V3 viene aggiunta un'altra riga.

UNTIL/V2 == "EOF"
Questa riga verifica la condizione del loop DO / UNTIL. Quando il codice FILE/LEGGI RIGA raggiunge la fine del file, il loop viene interrotto. Quando il flusso del programma esce dal loop, viene interrotta l'esecuzione del codice rimanente e l'intero blocco di codice viene visualizzato in un commento dell'operatore.

Ulteriori esempi
La riga di comando:
Risultato = File/Leggi Riga,F1, "ID pezzo:" + {V1} determina l'assegnazione del testo visualizzato nella riga di lettura dopo il testo "ID pezzo:" a V1. La riga verrà letta dal file aperto utilizzando il puntatore del file F1. Il risultato dell'operazione di lettura (Vero o Falso) verrà memorizzato nella variabile Risultato.

Le righe di comando
File/Leggi RigaF1, "Posizione:"+{VARX}+ ","+{VARY}+ ","+{VARZ}+ ","+{VARI}+ ","+{VARJ}+ ","+{VARK}
ASSEGNA/CIR1.XYZ = MPOINT(VARX, VARY, VARZ)
ASSEGNA/CIR1.IJK = MPOINT(VARI, VARJ, VARK)
sono lette come testi separati da virgola, dopo la stringa "Posizione": ed i valori sono memorizzati in X, Y, Z e I, J, K di CER1.

La riga di comando:
File/Leggi RigaF1, "Valore # " + loopvar + " : " + {var2} inserisce in var2 il testo visualizzato dopo i due punti (:). In questo esempio, la variabile loopvar non è racchiusa tra parentesi graffe e viene considerata come testo di delimitazione.


Lettura di un blocco di testo da un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di lettura | Leggi blocco consente di inserire nella finestra di modifica un comando per la lettura di un blocco di caratteri da un file aperto durante l'esecuzione. Il parametro di dimensione indica il numero di caratteri letti.

La sintassi di questo comando nella finestra di modifica è la seguente:

<varname>=File/Read_Block,<fptrname>,<dimensione>

<nome_variabile> | ID della variabile nella quale viene registrato il valore che indica se l'operazione di lettura del blocco è stata eseguita correttamente o meno.
<nome_puntatore_file> | Nome del puntatore del file specificato al momento dell'apertura del file.
<dimensione> | Numero di caratteri da leggere.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

1. Aprire la finestra di modifica.

2. Posizionare il cursore sull'opzione Leggi blocco.

3. Premere F9.

Altro

Codice di esempio per il comando Leggi blocco


Codice di esempio per il comando Leggi blocco

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Si supponga di disporre di alcuni file di dati esterni contenenti diversi dati relativi al pezzo e che tali file siano definiti dai primi caratteri dei rispettivi nomi. È possibile utilizzare il comando File/Leggi blocco per leggere unicamente i primi caratteri prima di decidere se leggere ed elaborare tutte le righe. Si prenda in considerazione il codice seguente:

C1=COMMENTO/INPUT,Si digiti il nome del

,codice file da ricercare.

ASSEGNA/BLOCKSIZE (DIM BLOCCO) = LUNGH(C3.INPUT)

ASSEGNA/FILECODE (CODICE FILE) = C3.INPUT

DO/

C1=COMMENTO/INPUT,Si digiti il percorso completo,

,il nome e l'estensione del file da

,elaborare.

,Per uscire dal programma, digitare [Q].

IF/C1.INPUT== "E" O C1.INPUT=="e"

COMMENTO/OPER,È stata selezionata l'opzione di uscita. Il programma verrà terminato.

GOTO/FINE

END_IF/

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

COMMENTO/OPER,"File di dati [" + C1.INPUT + "] esistente. Fare clic su OK per continuare".

FPTR=FILE/OPEN,C1.INPUT,LEGGI

V2=FILE/LEGGI BLOCCO,FPTR,BLOCKSIZE (DIM BLOCCO)

FILE/CHIUDI,FPTR

IF/V2<>FILECODE (CODICE FILE)

COMMENTO/OPER,"Codice del file della variabile [" + V2 + "] non corrispondente"

,"al codice file [" + FILECODE (CODICE FILE) + "]".

END_IF/

UNTIL/V2==FILECODE (CODICE FILE)

COMMENTO/OPER,"File [" + C1.INPUT + "] corrispondente".

,"Codice del file della variabile [" + V2 + "] corrispondente"

,"al codice file [" + FILECODE (CODICE FILE) + "]".

COMMENTO/OPER,Or ail file viene processato dal programma.

END_IF/

ELSE/

COMMENTO/OPER,"File di dati [" + C1.INPUT + "] non esistente. Tentare nuovamente l'operazione utilizzando un file di dati esistente.

GOTO/FINE

END ELSE/

FINE=ETICHETTA/

PROGRAMMA/FINE

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

ASSEGNA/ BLOCKSIZE (DIM BLOCCO) = LUNGH(C3.INPUT)
Questa riga crea una variabile definita dall'utente denominata DIM BLOCCO contenente un valore intero pari al numero di caratteri individuati in C3.INPUT. Questo valore costituisce la dimensione del blocco di caratteri da leggere.

ASSEGNA/ FILECODE (CODICE FILE) = C3.INPUT
Questa riga crea la variabile CODICE FILE e determina il valore di C3.INPUT.

C1=COMMENTO/INPUT
Questo commento memorizza il percorso completo immesso dall'utente nella variabile C1.INPUT.

V1=FILE/ESISTE,C1.INPUT
Questa riga verifica l'esistenza del nome del file definito nel commento C1.

DO/
Questa riga avvia un loop DO / UNTIL. Associa il blocco di codice che consente all'utente di specificare un file per la lettura dei dati. L'esecuzione del loop prosegue finché il testo assegnato alla variabile FILECODE (CODICE FILE) non corrisponde al testo letto dal file.

V2=FILE/LEGGI BLOCCOFPTR,BLOCKSIZE (DIM BLOCCO)
Questa riga legge un numero di caratteri equivalente al valore intero contenuto nella variabile DIM BLOCCO. Il testo viene quindi memorizzato nella variabile V2.

IF/V2<>FILECODE (CODICE FILE)
Questa riga inizia un blocco di codice IF / END IF che verifica se il testo contenuto nella variabile V2 corrisponde al testo memorizzato nella variabile FILECODE (CODICE FILE). Se il testo corrisponde, il programma resta in esecuzione. In caso contrario, viene visualizzato un messaggio indicante la mancata corrispondenza tra i due codici.

UNTIL/V2==FILECODE (CODICE FILE)
Questa riga controlla la condizione del loop DO / UNTIL per verificare che la variabile V2 corrisponda al testo contenuto nella variabile FILECODE (CODICE FILE). Se l'istruzione viene valutata come falsa, il loop DO viene eseguito di nuovo, consentendo all'utente di scegliere un nome file diverso. Se l'istruzione viene valutata come vera, il loop viene interrotto e viene visualizzato un messaggio indicante che è stata rilevata una corrispondenza. PC-DMIS continua pertanto a leggere ciascuna riga di dati dal file di dati specificato.


Lettura di un testo fino a un delimitatore

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di lettura | Leggi fino a consente di inserire nella finestra di modifica un comando per la lettura di tutto il testo fino a uno dei delimitatori indicati dal file specificato durante l'esecuzione. Il testo letto da questo comando viene inserito nella variabile di destinazione specificata. La lettura del testo viene interrotta quando vengono rilevati i seguenti elementi:

  • Delimitatori definiti

  • Ritorni a capo

  • Caratteri di avanzamento riga

Se viene raggiunta la fine del file, la variabile di destinazione verrà impostata su "EOF" (fine del file).

La sintassi di questo comando nella finestra di modifica è la seguente:

<varname> = FILE/READ_UPTO,<fptrname>,<delimitatori>

<nome_variabile> | Corrisponde al nome della variabile di destinazione.
<nome_puntatore_file> | Nome del puntatore del file specificato al momento dell'apertura del file.
<delimitatori> | Stringa che contiene zero o più caratteri delimitatore.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Selezionare Finestra di modifica per aprire la finestra di modifica.

  2. Posizionare il cursore sul comando FILE/LEGGI.

  3. Premere F9. Viene visualizzata la finestra di dialogo File I/O.

Una volta visualizzata la finestra di dialogo:

  1. Digitare il nome della variabile di destinazione delle informazioni nella casella ID variabile.

  2. Digitare il nome del puntatore file nella casella ID puntatore file.

  3. Digitare il delimitatore nella casella Testo assicurandosi che il delimitatore scelto sia racchiuso tra virgolette.

  4. Fare clic sul pulsante OK.

Altro

Codice di esempio per il comando Leggi fino a


Codice di esempio per il comando Leggi fino a

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Esempio: si supponga di disporre di un file di testo denominato "esempio.txt" nella directory c:\temp che contiene le seguenti informazioni nella prima riga:

root:x:0:0:root:/root:/bin/bash

Per utilizzare il comando Leggi fino a su questo file, effettuare le seguenti operazioni:

  1. Inserire un comando FILE/APRI nella finestra di modifica.

  2. Utilizzare il nome di un puntatore file desiderato per il comando di apertura file. In questo esempio, il nome del puntatore file è "esempio".

Il comando di apertura file è simile a quello riportato di seguito:

SAMPLE =FILE/OPEN,C:\TEMP\SAMPLE.TXT,LEGGI

Utilizzando il comando Leggi fino a di PC-DMIS, definire alcune variabili che richiamano segmenti di dati diversi. In questo esempio le seguenti variabili vengono utilizzate per ricercare un carattere ":" (senza virgolette) come delimitatore.

USERNAME =FILE/LEGGI FINOA,ESEMPIO,:

PASSWORD =FILE/LEGGI FINOA,ESEMPIO,:

USER =FILE/LEGGI FINOA,ESEMPIO,:

In tal modo, quando verranno eseguite queste righe, verranno impostati i seguenti valori:

username = root

password = x

user = 0

Per visualizzare questa procedura durante l'esecuzione, è possibile utilizzare un commento operatore simile a quello riportato di seguito:

COMMENTO/OPER,Il seguente testo è tratto dal file sample.txt

,,Username:

,USERNAME

,,Password:

,,PASSWORD

,,User:

,,USER


Scrittura di un carattere in un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di scrittura | Scrivi carattere consente di inserire nella finestra di modifica un comando per eseguire l'output di un singolo carattere su disco durante l'esecuzione.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/Scrivi_Caratt,<fptrname>,<espressione>

<nome_puntatore_file> | Nome del puntatore del file specificato al momento dell'apertura del file.
<espressione> | Carattere da scrivere sul file. Se l'espressione viene valutata come avente più caratteri, viene scritto soltanto il primo carattere.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Scrivi carattere.

  3. Premere F9.

Altro

Codice di esempio per il comando Scrivi carattere


Codice di esempio per il comando Scrivi carattere

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Questo codice scrive una stringa specificata dall'utente in un file di dati, un carattere alla volta.

C1=COMMENTO/INPUT,Si digiti il nome del file da scrivere

,,(specificare il percorso completo).

FPTR=FILE/OPEN,C1.INPUT,SCRIVI

C1=COMMENTO/INPUT,C2=COMMENTO/INPUT,Digitare il testo da inviare al file.

,,Tale testo verrà inviato alla stringa un carattere

,alla volta.

ASSEGNA/CONT = 0

ASSEGNA/LUNGH = LUNGH(C2.INPUT)

DO/

ASSEGNA/ WRITETHIS (SCRIVI QUESTO) = CENTR(C2.INPUT,CONT,1)CONT,1)

File/SCRIVI_CARATT,FPTR,WRITETHIS

ASSEGNA/CONT = CONT + 1

UNTIL/CONT == LUNGH

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

FPTR=FILE/APRI,C1.INPUT,SCRIVI
Questa riga apre il file specificato nel commento C1, lo rende disponibile per la scrittura e lo assegna al puntatore del file, FTPR. Tutti i dati contenuti nel file vengono sovrascritti se il puntatore del file è posizionato all'inizio del file di dati.

ASSEGNA/CONT = 0
Questa riga assegna alla variabile CONT definita dall'utente il valore zero. Ciò consente di avviare il loop per la stampa della stringa un carattere alla volta.

ASSEGNA/LUNGH = LUNGH(C2.INPUT)
Questa linea utilizza la funzione LUNGH( ) per restituire la lunghezza di una stringa. Questa funzione considera come unico parametro la stringa. Viene eseguito il conteggio dei caratteri nella stringa (inclusi gli spazi) e viene restituito il valore intero corrispondente. Questo risultato costituisce il valore della variabile definita dall'utente LUNGH.

DO/
Questa riga avvia un loop DO / UNTIL. Il codice tra le istruzioni DO e UNTIL viene eseguito finché il valore della condizione del loop non viene valutata come vera.

ASSEGNA/ WRITETHIS (SCRIVI QUESTO) = CENTR(C2.INPUT,CONT,1)
Questa riga crea una variabile definita dall'utente denominata WRITETHIS (SCRIVI QUESTO), quindi utilizza la funzione CENTR( ) per restituire un carattere secondario dalla stringa C2.INPUT e assegnarla a WRITETHIS (SCRIVI QUESTO). CENTR( ) utilizza tre parametri.

· Parametro 1: la stringa da cui si ottengono i valori. In questo caso viene utilizzato C2.INPUT.

· Parametro 2: la posizione della stringa da cui leggere il carattere. Il primo carattere in una stringa rappresenta la posizione 0, il secondo la posizione 1, il terzo la posizione 2 e così via. In questo caso viene utilizzata la variabile CONT.

· Parametro 3: il numero di caratteri a partire dalla posizione del secondo parametro da leggere. In questo caso, viene utilizzato il valore 1. Il codice di esempio proposto scrive un solo carattere alla volta, non è dunque necessario ottenerne un numero maggiore.

FILE/SCRIVI_CARATT,FPTR,WRITETHIS (SCRIVI QUESTO)
Questa riga scrive il carattere memorizzato nella variabile WRITETHIS (SCRIVI QUESTO) nel file indicato dal puntatore del file, FPTR.

ASSEGNA/CONT = CONT + 1
Questa riga legge il valore CONT corrente, lo incrementa di un'unità, quindi inserisce di nuovo il nuovo valore in CONT.

UNTIL/CONT == LUNGH
Questa riga verifica la condizione del loop DO / UNTIL. In questo caso, il loop continua a incrementare la variabile CONT finchè non raggiunge lo stesso valore della variabile LUNGH. Al termine di questa operazione il loop viene interrotto e il programma viene terminato.


Scrittura di una riga in un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di scrittura | Scrivi riga consente di inserire nella finestra di modifica un comando per eseguire l'output di una riga di testo su un file su disco durante l'esecuzione. Utilizzare la sintassi dell'espressione per eseguire l'output delle variabili e delle informazioni sul part-program in un file. Alla fine della stringa di testo viene automaticamente aggiunto un carattere di ritorno a capo.

La sintassi di questo comando nella finestra di modifica è la seguente:

FILE/WRITELINE,<fptrname>,<espressione>

<nome_puntatore_file> | Nome del puntatore del file specificato al momento dell'apertura del file.
<espressione> | Testo da scrivere sul file. In questo campo è possibile utilizzare delle espressioni.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Scrivi riga.

  3. Premere F9.

Altro

Codice di esempio per il comando Scrivi riga


Codice di esempio per il comando Scrivi riga

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Si supponga di dover esportare alcuni valori XYZ misurati in un file di dati. Il codice che segue permette di effettuare l'input di un'etichetta di elemento e di un file di dati e quindi inviare i dati X,Y e Z di quell'elemento al file di dati.

C1=COMMENTO/INPUT,Digitare l'etichetta dell'elemento.

,da utilizzare.

C1=COMMENTO/INPUT,Digitare il nome del file in cui scrivere

,(specificare il percorso completo).

FPTR=FILE/OPEN,C2.INPUT,AGGIUNGI

ASSEGNA/FEATNAME (NOME ELEM) = C1.INPUT

ASSIGN/ALLVALS = FEATNAME.X + “,"+FEATNAME.Y+"," + FEATNAME.Z

COMMENTO/OPER,“Testo da scrivere: " + ALLVALS (TUTTI I VALORI)

FILE/WRITELINE,FPTR,ALLVALS

FILE/CHIUDI,FPTR

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

FPTR=FILE/APRI,C2.INPUT,AGGIUNGI
Questa riga apre il file specificato nel commento C2, lo rende disponibile per l'aggiunta e lo assegna al puntatore del file, FTPR. Se invece si desidera modificare il parametro AGGIUNGI in SCRIVI, il contenuto esistente nel file di dati viene sovrascritto.

ASSEGNA/FEATNAME (NOME ELEM) = C1.INPUT
Questa riga assegna la stringa dell'etichetta dell'elemento da C1.INPUT alla variabile definita dall'utente FEATNAME (NOME ELEM).

ASSEGNA/TUTTI I VALORI=FEATNAME.X+","+FEATNAME.Y+","+ FEATNAME.Z
Questa riga assegna alla variabile definita dall'utente TUTTI I VALORI il valore FEATNAME.X,FEATNAME.Y,FEATNAME.Z in altre parole adesso contiene i valori X, Y e Z dell'etichetta dell'elemento digitato nel commento di input C1.

FILE/SCRIVI RIGA,FPTR,TUTTI I VALORI
Questa riga scrive i valori contenuti in TUTTI I VALORI nel file specificato dal puntatore del file, FTPR.


Scrittura di un blocco di testo in un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di scrittura | Scrivi blocco consente di inserire nella finestra di modifica un comando per eseguire l'output di un blocco di testo su un file su disco durante l'esecuzione. Utilizzare la sintassi dell'espressione per eseguire l'output delle variabili e delle informazioni sul part-program in un file. Diversamente dal comando per la scrittura della riga, il blocco della scrittura non aggiunge un ritorno a capo alla fine.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/WriteBlock,<fptrname>,<espressione>

<nome_puntatore_file> | Nome del puntatore del file specificato al momento dell'apertura del file.
<espressione> | Testo da scrivere sul file. In questo campo è possibile utilizzare delle espressioni.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Scrivi blocco.

  3. Premere F9.

Altro

Codice di esempio per il comando Scrivi blocco


Codice di esempio per il comando Scrivi blocco

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente scrive tutte le informazioni inserite in un commento di input, aggiungendo i due punti (:) come delimitatore.

C1=COMMENTO/INPUT,Digitare una stringa. PC-DMIS aggiunge i due punti come delimitatore e scrive la stringa nel file desiderato.

C1=COMMENTO/INPUT,Si digiti il nome del file da scrivere

,,(specificare il percorso completo).

FPTR=FILE/OPEN,C2.INPUT,AGGIUNGI

ASSEGNA/WRITETHIS (SCRIVI QUESTO) = C1.INPUT + ":"

COMMENTO/OPER,“Testo da scrivere: " + SCRIVI QUESTO

FILE/WRITELINE,FPTR,WRITETHIS

FILE/CHIUDI,FPTR

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

FPTR=FILE/APRI,C2.INPUT,AGGIUNGI
Questa riga apre il file specificato nel commento C1, lo rende disponibile per l'aggiunta e lo assegna al puntatore del file, FTPR.

ASSEGNA/WRITETHIS (SCRIVI QUESTO) = C1.INPUT + ":"
Questa riga aggiunge due punti (:) al testo contenuto in C1.INPUT e assegna la nuova stringa alla variabile definita dall'utente WRITETHIS (SCRIVI QUESTO).

FILE/SCRIVI RIGA,FPTR,WRITETHIS (SCRIVI QUESTO)
Questa riga scrive i valori contenuti in WRITETHIS (SCRIVI QUESTO) nel file specificato dal puntatore del file FTPR. In un secondo momento sarà possibile leggere il testo dal file utilizzando i due punti come delimitatore (:).


Posizionamento del puntatore all'inizio di un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di posizione | Riposiziona all'inizio consente di inserire nella finestra di modifica un comando per posizionare il puntatore del file all'inizio del flusso.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/Riavv,<nome_puntatore_file>

<nome_puntatore_file>

Nome del puntatore da riposizionare all'inizio del file.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Riposiziona all'inizio.

  3. Premere F9.

Altro

Codice di esempio per il comando di riposizionamento all'inizio


Codice di esempio per il comando di riposizionamento all'inizio

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Nell'esempio proposto il codice legge i dati da un file esterno una riga alla volta. Al termine di ogni riga, è possibile iniziare di nuovo e leggere il file dall'inizio. Di seguito viene descritto l'uso del comando FILE/RIAVV..

C1=COMMENTO/INPUT,Digitare il nome del file da leggere.

,(specificare il percorso completo)

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

DO/

FPTR=FILE/OPEN,C1.INPUT,LEGGI

C1=COMMENTO/SÍNO,C2=COMMENTO/SÌNO,Si desidera effettuare la lettura dall'inizio?

IF/C2.INPUT == "SÌ"

FILE/REWIND,FPTR

END_IF/

V2=FILE/READLINE,FPTR,{LINEA}

COMMENTO/OPER,“La linea corrente é: " + RIGA

UNTIL/V2=="EOF"

END_IF/

FILE/CHIUDI,FPTR

COMMENTO/OPER,Il programma termina.

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

C2=COMMENTO/SÍNO
Questa riga consente di specificare se si desidera leggere il file dall'inizio. La risposta SÌ/NO viene memorizzata nella variabile C2.INPUT.

IF/C2.INPUT == "SÌ"
Questa riga avvia il blocco IF / END IF. Verifica inoltre la condizione di C2.INPUT con valore SÍ. Se la condizione viene valutata come vera, PC-DMIS esegue le righe in base all'istruzione IF. Se la condizione viene valutata come falsa, PC-DMIS esegue le righe in base all'istruzione END IF.

FILE/RIAVV.,FPTR
Questa riga riposiziona il puntatore all'inizio del file di dati.

END_IF/
Questa riga termina il blocco di codice IF / END IF.


Salvataggio della posizione corrente del puntatore di un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di posizione | Salva posizione file consente di inserire nella finestra di modifica un comando per salvare la posizione corrente di un puntatore del file all'interno del flusso. È possibile richiamare successivamente la posizione salvata utilizzando l'apposito comando.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/SalvaPosizione,<nome_puntatore_file>

<nome_puntatore_file>

Nome del puntatore del file del quale si desidera salvare la posizione.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Salva posizione file.

  3. Premere F9.

Altro

Codice di esempio per il comando Salva posizione file


Codice di esempio per il comando Salva posizione file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Nell'esempio proposto il codice legge i dati da un file esterno una riga alla volta. Dopo ogni riga, è possibile salvare la posizione del file, per richiamarla in un secondo momento. Di seguito viene descritto l'uso del comando FILE/SALVA POS..

C1=COMMENTO/INPUT,Digitare il nome del file da leggere.

,(specificare il percorso completo)

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

DO/

FPTR=FILE/OPEN,C1.INPUT,LEGGI

C1=COMMENTO/SÍNO,Si desidera salvare il file e richiamarlo in seguito? Il loop termina.

IF/C2.INPUT == "SÌ"

FILE/SALVA POS,FPTR

GOTO/QUITLOOP (INTERROMPI LOOP)

END_IF/

V2=FILE/READLINE,FPTR,{LINEA}

COMMENTO/OPER,“La linea corrente é: " + RIGA

UNTIL/V2=="EOF"

END_IF/

FILE/CHIUDI,FPTR

QUITLOOP=ETICHETTA/

COMMENTO/OPER,La lettura é terminata.

PROGRAMMA/FINE

Spiegazione del codice

Questo codice è simile a quello descritto in "Esempio di codice per il comando di riposizionamento all'inizio".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

C2=COMMENTO/SÌNO
Questa riga consente di specificare se si desidera memorizzare la posizione corrente del file e terminare il loop. La risposta SÌ/NO viene memorizzata nella variabile C2.INPUT.

FILE/SALVA POS,FPTR
Questa riga memorizza la posizione del puntatore del file nel flusso del file.

Quando in un part-program si apre uno stesso file con uguale puntatore, è possibile richiamare la posizione salvata del file e riprendere la lettura dal punto in cui era stata interrotta. Per ulteriori informazioni su questo esempio, vedere l'argomento "Codice di esempio per il comando Richiama posizione file".


Richiamo della posizione salvata del puntatore di un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Comandi di posizione | Richiama posizione file consente di inserire nella finestra di modifica un comando per richiamare la posizione di un file precedentemente salvata. Utilizzare il comando Salva posizione file per salvare una posizione in un file aperto.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/Richiama_Pos, <nome_puntatore_file>

<nome_puntatore_file>

Nome del puntatore del file del quale si desidera richiamare la posizione.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Richiama posizione file.

  3. Premere F9.

Altro

Codice di esempio per il comando Richiama posizione file


Codice di esempio per il comando Richiama posizione file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Questo codice di esempio apre un file precedentemente chiuso, utilizza un puntatore del file precedente e richiama la posizione salvata del puntatore del file memorizzato. In un secondo momento sarà possibile leggere i dati da quella posizione. Questo codice di esempio illustra l'uso del comando FILE/RICHIAMA POS ed è la continuazione del codice di esempio descritto nell'argomento "Codice di esempio per il comando Salva posizione file".

COMMENTO/OPER,COMMENTO/OPER,Il programma richiama la posizione salvata del file.

FPTR=FILE/OPEN,C1.INPUT,LEGGI

FILE/REWIND,FPTR

COMMENTO/OPER,Per verificare se il file è stato riavvolto.

,La prima riga viene letta per verificare il riavviamento.

V2=FILE/READLINE,FPTR,{LINEA}

COMMENTO/OPER,La prima linea é:

,LINEA

FILE/REWIND,FPTR

FILE/RICHIAMA POS,FPTR

COMMENTO/OPER,La posizione file memorizzata in precedenza é stata richiamata.

,Vengono ora stampati i dati della linea, alla posizione salvata.

V4=FILE/READLINE,FPTR,{STORED} SALVATA

COMMENTO/OPER,Il testo nella posizione salvata è:

,SALVATA

Spiegazione del codice

Questo codice è simile a quello descritto in "Esempio di codice per il comando di riposizionamento all'inizio".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

FILE/RICHIAMA POS,FPTR
Questa riga richiama la posizione salvata del puntatore del file nel flusso per il puntatore denominato FPTR.

V4=FILE/LEGGI RIGA,FPTR,{SALVATA}
Questa riga legge la riga successiva alla posizione salvata del puntatore del file e la assegna alla variabile definita dall'utente SALVATA. La variabile viene quindi stampata accanto al commento dell'operatore.


Copia di un File

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Copia file consente di inserire nella finestra di modifica un comando per la copia di un file durante l'esecuzione.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/Copy,<nome_file_origine><nome_file_destinazione><modalità_sostituzione>

<nome_file_origine> | Nome del file di origine (file dal quale viene eseguita la copia).
<nome_file_destinazione> | Nome del file di destinazione (file sul quale viene eseguita la copia).
<modalità_sostituzione> | Operazione da effettuare se il file di destinazione esiste già. Se il file di destinazione esiste, sono disponibili le modalità di sovrascrittura e di errore.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

1. Aprire la finestra di modifica.

2. Posizionare il cursore sul comando Copia file.

3. Premere F9.

Altro

Codice di esempio per il comando Sposta file


Codice di esempio per il comando Sposta file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente richiede il nome di un file del quale eseguire la copia, nonché di una directory e di un file di destinazione nei quali eseguire la copia.

C1=COMMENTO/INPUT,Inserire un file di cui si desidera eseguire la copia.

,(Specificare il percorso completo del file)

C1=COMMENTO/INPUT,Digitare il nome del file di destinazione.

,(Specificare il percorso completo del file)

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

COMMENTO/OPER,Il file da copiare esiste. Inizio della copia.

FILE/COPY,C1.INPUT,C2.INPUT,FAIL_IF_DEST_EXISTS

V2=FILE/ESISTE,C2.INPUT

IF/V2==0

COMMENTO/OPER,"File non esistente in: " + C2.INPUT

,,Fine copia.

PROGRAMMA/FINE

END_IF/

ELSE/

COMMENTO/OPER,File copiato correttamente.

PROGRAMMA/FINE

END ELSE/

END_IF/

COMMENTO/OPER,File da copiare inesistente.

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

C1=COMMENTO/INPUT
Questa riga legge il percorso completo del file da copiare e lo inserisce nella variabile C1.INPUT.

C2=COMMENTO/INPUT
Questa riga legge il percorso completo del file di destinazione e lo inserisce nella variabile C2.INPUT

FILE/COPIA,C1.INPUT,C2.INPUT,ERR SE DEST ESISTE
Questa riga copia il file originale in un file di destinazione. Questo comando utilizza tre parametri.

  • Il parametro 1 è C1.INPUT. ovvero il percorso completo del file da copiare.

  • Il parametro 2 è C2.INPUT ovvero il percorso completo del file di destinazione.

  • Il parametro 3, in questo caso specifico, annulla la procedura FILE/COPIA se rileva la presenza di un file con lo stesso nome del file di destinazione. È possibile impostare tale parametro in modo che sovrascriva i file con lo stesso nome esistenti.


Spostamento File

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Sposta file consente di inserire nella finestra di modifica un comando per lo spostamento di un file durante l'esecuzione.

La sintassi di questo comando nella finestra di modifica è la seguente:

File/Sposta,<nome_file_precedente>,<nome_nuovo_file>

<nome_file_precedente> | Nome e posizione del file.
<nome_nuovo_file> | Nome e posizione del nuovo file.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Sposta file.

  3. Premere F9.

Altro

Codice di esempio per lo spostamento di un file


Codice di esempio per lo spostamento di un file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente richiede il nome di un file da spostare, nonché di una directory e di un file verso cui eseguire lo spostamento, quindi effettua le di spostamento del file.

C1=COMMENTO/INPUT,Inserire un file di cui si desidera eseguire la copia.

,(Specificare il percorso completo del file)

C1=COMMENTO/INPUT,Digitare il nome del file di destinazione.

,(Specificare il percorso completo del file)

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

COMMENTO/OPER,Il file da spostare esiste. Inizio dello spostamento del file.

FILE/SPOSTA,C1.INPUT,C2.INPUT

V2=FILE/ESISTE,C2.INPUT

IF/V2==0

COMMENTO/OPER,"File non esistente in: " + C2.INPUT

,,Lo spostamento non è stato eseguito correttamente.

PROGRAMMA/FINE

END_IF/

ELSE/

COMMENTO/OPER,File MOVE eseguita correttamente.

PROGRAMMA/FINE

END ELSE/

END_IF/

COMMENTO/OPER,File originale inesistente. Ripetere l'operazione.

Spiegazione del codice

Questo codice è molto simile a quello descritto in "Codice di esempio per file".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

FILE/SPOSTA,C1.INPUT,C2.INPUT
Questa riga copia il file originale in un file di destinazione. Questo comando utilizza due parametri.

· Il parametro 1 è C1.INPUT ovvero il percorso completo del file da spostare.

· Il parametro 2 è C2.INPUT ovvero il percorso completo del file di destinazione.


Eliminazione File

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | Elimina file consente di inserire nella finestra di modifica un comando per l'eliminazione di un file.

La sintassi di questo comando nella finestra di modifica è la seguente:

Elimina file,<nome_file>

<nome_file>

Nome del file da eliminare.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Elimina file.

  3. Premere F9.

Altro

Codice di esempio per il comando Elimina file


Codice di esempio per il comando Elimina file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente richiede il nome di un file, quindi lo elimina.

C1=COMMENTO/INPUT,Inserire un file di cui si desidera eseguire la copia.

,(Specificare il percorso completo del file)

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

COMMENTO/OPER,File esistente. pronto per l'eliminazione.

FILE/ELIMINA,C1.INPUT

V2=FILE/ESISTE,

IF/V2==0

COMMENTO/OPER,File eliminato correttamente

PROGRAMMA/FINE

END_IF/

ELSE/

COMMENTO/OPER,File esistente

PROGRAMMA/FINE

END ELSE/

END_IF/

COMMENTO/OPER,File da eliminare inesistente. Scegliere un file esistente.

Spiegazione del codice

Questo codice è molto simile a quello descritto in "Codice di esempio per lo spostamento di un file".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

FILE/ELIMINA,C1.INPUT
Questa riga elimina il file specificato. Questo comando utilizza un unico parametro, ovvero il nome del file da eliminare, In questo caso, C1.INPUT.


Verifica dell'esistenza di un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando file I/O | File esistente consente di inserire nella finestra di modifica un comando per verificare l'esistenza di un file durante l'esecuzione, inserendo il risultato nella variabile indicata.

La sintassi di questo comando nella finestra di modifica è la seguente:

<varname> = File/Esistente,<nome_file>

<nome_file> | Nome del file del quale viene verificata l'esistenza su disco.
<nome_variabile> | Nome della variabile impostata in base al risultato della verifica eseguita. La variabile viene impostata su 1 se il file esiste e su 0 se il file non esiste.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione File esistente.

  3. Premere F9.

Altro

Codice di esempio per il comando File esistente


Codice di esempio per il comando File esistente

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente richiede il nome di un file, quindi ne verifica l'esistenza.

C1=COMMENTO/INPUT,Inserire un file di cui si desidera eseguire la verifica.

V2=FILE/ESISTE,C1.INPUT

IF/V1<>0

COMMENTO/OPER,File esistente.

END_IF/

ELSE/

COMMENTO/OPER,File inesistente.

END ELSE/

Spiegazione del codice

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

V1=FILE/ESISTE,C1.INPUT
Questa riga verifica l'esistenza del file specificato. Per fare in modo che questo codice funzioni, il file deve trovarsi nella stessa directory di PC-DMIS. In caso contrario, la riga contenente il file deve includere il percorso completo del file. V1 riceve il risultato del controllo del file. Se il file esiste viene restituito un valore diverso da zero, in caso contrario viene restituito un valore uguale a zero.


Visualizzazione della finestra di dialogo di un file

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comandi file I/O | Finestra file consente di inserire nella finestra di modifica un comando per verificare la visualizzazione di una finestra di dialogo durante l'esecuzione. Questa finestra di dialogo può essere utilizzata dall'operatore del part-program per scegliere il nome di un file durante l'esecuzione. Il nome del file scelto verrà memorizzato nella variabile specificata.

La sintassi di questo comando nella finestra di modifica è la seguente:

<varname> = File/Dialog,<espressione>

<nome_variabile> | Nome della variabile che conterrà il nome del file scelto dall'utente nella finestra del file.
<espressione> | Testo che verrà visualizzato sulla barra del titolo della finestra del file.

Per accedere alla finestra di dialogo associata all'opzione File I/O, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Posizionare il cursore sull'opzione Finestra file.

  3. Premere F9.

Altro

Codice di esempio per il comando Finestra file


Codice di esempio per il comando Finestra file

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente sottomette una finestra di dialogo che consente di selezionare il file da eliminare.

V1=FILE/DIALOGO,Scegliere il file da eliminare.

V2=FILE/ESISTE,V1

IF/V1<>0

COMMENTO/OPER,File esistente. pronto per l'eliminazione.

FILE/ELIMINA,V1

V2=FILE/ESISTE,

IF/V2==0

COMMENTO/OPER,File eliminato correttamente

PROGRAMMA/FINE

END_IF/

ELSE/

COMMENTO/OPER,File esistente

PROGRAMMA/FINE

END ELSE/

END_IF/

COMMENTO/OPER,File da eliminare inesistente. Scegliere un file esistente.

Parte di questo codice è simile a quello descritto in "Codice di esempio per il comando Leggi carattere" oppure in "Codice di esempio per il comando Leggi".

Le spiegazioni riportate di seguito sono specifiche per questo esempio.

V1=FILE/Finestra,Scegliere un file da eliminare
Questa riga visualizza una finestra di dialogo nel cui titolo viene indicato di scegliere un file da eliminare. Quando si individua il file e si fa clic su Apri, PC-DMIS restituisce V1, ovvero il percorso completo del file selezionato. La rimanente parte del programma elimina il file selezionato.


Controllo di fine file o fine linea

In PC-DMIS è possibile eseguire il controllo di Fine File con le funzioni EOF o EOL in una verifica condizionale.

EOF è l'acronimo di END OF FILE (FINE DEL FILE). Questa funzione ammette un puntatore file di tipo stringa il quale, inserito opportunamente in una condizione, verifica se il puntatore a file abbia raggiunto la fine del file specificato. Se il test dá risultato vero, la funzione restituisce TRUE.

EOL è l'acronimo di END OF LINE (FINE DELLA RIGA). Questa funzione ammette un puntatore file di tipo stringa il quale, inserito opportunamente in una condizione, verifica se il puntatore a file abbia raggiunto la fine della linea specificata. Se il test dá risultato vero, la funzione restituisce TRUE. Il funzionamento ottimale si verifica in un loop.

La sintassi di questo comando nella finestra di modifica è la seguente:

EOF(<puntatore_file>) oEOL(<puntatore_file>)

<puntatore_file>

Questo é il nome del puntatore a file da verificare.

Altro

Esempio di codice per EOF ed EOL


Esempio di codice per EOF ed EOL

Il codice di esempio che segue va inserito nella finestra di modifica in modalità Comando e non nella finestra di dialogo File I/O.

Il codice seguente apre test.txt e legge il file. Finché il carattere di fine file non viene raggiunto (indicato dal codice WHILE/!EOF), PC-DMIS legge il file, carattere per carattere, assegnando ciascun carattere a V1.

Se PC-DMIS raggiunge la fine di una riga del file, visualizza l'ultimo carattere in quella riga.

Questo si ripete fino a quando PC-DMIS raggiunge la fine del file. PC-DMIS a questo punto visualizza il testo "Fine File Raggiunta…".

FPTR=FILE/OPEN,D:\temp\test.txt,LEGGI

WHILE/!EOF("FPTR")

V2=FILE/LEGGI CARATTERE,FPTR

IF/EOL("FPTR")

COMMENTO/OPER,NO,"End of Line Reached. L'ultimo carattere é:"

,V1

END_IF/

END_WHILE/

COMMENTO/OPER,NO,"End of Line Reached.


Uso di Espressioni e di Variabili

Uso delle espressioni e delle variabili: Introduzione

Uso delle espressioni in un part-program

Visualizzazione dei valori delle espressioni

Come inserire solo i valori delle espressioni

Uso delle espressioni con la diramazione

Uso delle espressioni con file di input/output

Creazione di espressioni con il generatore di espressioni

Creazione di un'espressione attraverso la digitazione

Creazione di un'espressione con il generatore di espressioni

Verifica della correttezza dell'espressione

Tipo di elemento espressione

ID

Estensione

Seconda estensione

Pulsante Aggiungi

Casella di modifica

Sezione Descrizione

Uso di variabili con espressioni

Assegnazione di valori alle variabili tramite la finestra di dialogo Assegnazione

Assegna a

Assegna da

Inserisci

Informazioni sui componenti delle espressioni

Tipi di operandi

Valori letterali

Riferimenti

Riferimenti di Tipo Double

Riferimenti di tipo punto

Riferimenti di tipo stringa

Variabili

Strutture

Regole per le strutture

Strutture con variabili di tipo punto

Puntatori

Array

Array di elementi

Oggetto indici array

Array di punti

Array di variabili

Operatori di espressioni

Priorità

Funzioni

Funzioni disponibili

Funzioni su Stringhe

Funzioni Punto

Funzioni puntatori

Funzioni array

Funzioni derivanti da altre funzioni

Funzioni varie

Funzione TutorElement

Funzione QualToolData

Funzioni di trigonometria

Esempi di funzione

Forzatura degli operandi

Forzatura nel tipo intero

Forzatura nel tipo doppio

Forzatura nel tipo stringa

Forzatura nel tipo punto

Espressioni di forzatura degli operandi e di tipo misto

ID usati come Espressioni

ID array di elementi

Caratteri jolly degli ID

ID di elementi interni a subroutine, Basic Script o programmi esterni

Combinazione di espressioni ID

Accesso alle proprietà oggetto di un rapporto


Uso delle espressioni e delle variabili: Introduzione

Un'espressione è una condizione definita dall'utente ed utilizzata con i comandi del controllo di flusso di PC-DMIS. Le istruzioni di controllo di flusso consentono di eseguire il test di tali condizioni nel part-program e di determinare l'azione che deve essere eseguita da PC-DMIS, a seconda se tali condizioni vengono o meno soddisfatte.

Le espressioni svolgono un ruolo fondamentale nell'esecuzione di attività specifiche in PC-DMIS. L'uso delle espressioni insieme ai comandi di controllo del flusso consente di sfruttare meglio le potenti funzionalità di PC-DMIS.

In questa sezione vengono illustrate le modalità di creazione e utilizzo delle espressioni nella finestra di modifica di PC-DMIS. Quando si utilizzano le espressioni è necessario attivare la modalità Comando per la finestra di modifica di PC-DMIS. Ciò consente di visualizzare direttamente il codice della finestra di modifica.

In questa sezione verranno trattati i seguenti argomenti:

  • Uso delle espressioni in un part-program

  • Creazione di espressioni con il generatore di espressioni

  • Uso di variabili con espressioni

  • Informazioni sui componenti delle espressioni


Uso delle espressioni in un part-program

La finestra di modifica di PC-DMIS consente di inserire espressioni nella maggior parte dei campi modificabili. I campi modificabili sono solitamente i campi evidenziati in giallo quando si preme il tasto di tabulazione all'interno della finestra di modifica in modalità Comando. I campi che modificano il tipo di elemento non possono contenere espressioni.

Esempio:la casella di un elemento automatico che specifica il tipo di elemento automatico, ad esempio punto superficie, cerchio automatico, asola rotonda automatica e così via, non può contenere espressioni.

Negli argomenti secondari di questo argomento vengono fornite informazioni complete sulle espressioni disponibili.

Altro

Visualizzazione dei valori delle espressioni

Come inserire solo i valori delle espressioni

Uso delle espressioni con la diramazione

Uso delle espressioni con file di input/output


Visualizzazione dei valori delle espressioni

Per visualizzare il valore di un'espressione, posizionare il cursore sull'espressione desiderata e lasciarlo in tale posizione per alcuni secondi. L'espressione verrà valutata e verrà visualizzata, insieme al relativo valore corrente, in una finestra popup di colore giallo sotto il cursore.


Come inserire solo i valori delle espressioni

Per risolvere immediatamente un'espressione nella finestra di Modifica, conservando solo il valore:

  1. Selezionare il testo dell'espressione nella finestra di modifica.

  2. Anteporre al testo dell'espressione il carattere ` (accento grave).

Esempio: si supponga di inserire l'espressione " `1/7 " in un campo numerico. L'espressione viene risolta immediatamente e nel campo viene inserito soltanto il valore (0.143).


Uso delle espressioni con la diramazione

I comandi di controllo di flusso usano espressioni per determinare il flusso di esecuzione del programma. Fare riferimento alla sezione "Esecuzione della diramazione utilizzando il controllo del flusso" per informazioni sui tempi di escuzione delle diramazioni.


Creazione di espressioni con il generatore di espressioni

Finestra di dialogo Generatore di espressioni

PC-DMIS consente di creare le espressioni nella finestra di modifica digitandole semplicemente oppure utilizzando l'interfaccia intuitiva della finestra di dialogo Generatore di espressioni. L'opzione di menu Modifica | Espressione consente di visualizzare la finestra di dialogo Generatore di espressioni.

Visualizza Mappa Percorsi dei Menu

In questa finestra di dialogo è possibile creare un'espressione e inserirla in un campo modificabile. Anche premendo il tasto F2 quando il cursore è posizionato su un campo che può contenere espressioni, viene visualizzata la finestra di dialogo Generatore di espressioni.

Nella finestra di dialogo Generatore di espressioni è riportato l'elenco di tutti i tipi di operatori e di funzioni disponibili per le espressioni.

Altro

Creazione di un'espressione attraverso la digitazione

C reazione di un'espressione in Generatore di espressione

Tipo di elemento espressione

ID

Estensione

Seconda estensione

Pulsante Aggiungi

Casella di modifica

Sezione Descrizione

Verifica della correttezza dell'espressione

Edit boxAdd buttonDescription areaSecond Extension listExtension listID listExpression Element Type


Uso delle espressioni con file di input/output

Per la scrittura o la lettura dei dati in un file di dati esterno spesso vengono utilizzate variabili e altre espressioni che consentano di gestire e memorizzare in modo efficace oppure di visualizzare i dati. Fare riferimento a "Uso del file di input/output" per ulteriori informazioni.


Creazione di un'espressione attraverso la digitazione

Per creare un'espressione digitandola direttamente nella finestra di modifica:

  1. Aprire la finestra di Modifica.

  2. Attivare la modalità Comando per la finestra di modifica.

  3. Premere il tasto di tabulazione per spostare il cursore su un campo modificabile nel quale si desidera inserire l'espressione. I campi evidenziati in giallo possono essere modificati.

  4. Inserire l'espressione.


Creazione di un'espressione con il generatore di espressioni

Per inserire un'espressione utilizzando la finestra di dialogo Generatore di espressioni, effettuare le seguenti operazioni:

  1. Aprire la finestra di Modifica.

  2. Attivare la modalità Comando per la finestra di modifica.

  3. Spostare il cursore su un campo modificabile nel quale si desidera inserire l'espressione.

  4. Premere F2 con il cursore posizionato su un campo nel quale è possibile inserire le espressioni. Viene visualizzata la finestra di dialogo Generatore di espressioni. La finestra di dialogo Generatore di espressioni contiene l'elenco di tutti i tipi di operatori, operandi e funzioni. In questa finestra di dialogo è possibile visualizzare i seguenti elementi:

  • Tipi di espressioni disponibili

  • Variabili

  • Elementi

  • Dimensioni

  • Allineamenti

  • Commenti

  5. Selezionare il tipo di elemento dell'espressione nel primo elenco a discesa. In base alla selezione effettuata, vengono visualizzate ulteriori caselle combinate.

  6. Selezionare l'ID desiderato nell'elenco a discesa ID.

  7. Selezionare un'estensione nell'elenco a discesa Estensione.

  8. Selezionare un'altra estensione nell'elenco a discesa Seconda estensione. Se l'espressione è valida, il pulsante Aggiungi viene attivato.

  9. Fare clic sul pulsante Aggiungi. L'espressione viene visualizzata nella casella di modifica.

  10. Fare clic sul pulsante OK. A questo punto, l'espressione viene visualizzata nel punto in cui è posizionato il cursore all'interno della finestra di modifica.

Nota:è possibile aprire la finestra di dialogo Generatore di espressioni anche dalla barra dei menu accedendo alla finestra di dialogo If Goto e quindi facendo clic sul pulsante Espressione. Una volta creata, l'espressione viene inserita automaticamente nella successiva posizione valida nella finestra di modifica.


Verifica della correttezza dell'espressione

Quando il cursore viene spostato in un campo diverso da quello in cui è stata aggiunta l'espressione, PC-DMIS tenta di verificare la correttezza dell'espressione. Se l'espressione risulta non corretta, viene visualizzato un messaggio di errore indicante un numero non valido oppure il testo dell'espressione diventa rosso. Inoltre, il testo delle espressioni che fanno riferimento ad oggetti inesistenti verrà visualizzato in rosso.

Dato che la verifica della correttezza dell'espressione viene eseguita quando si esce dal campo, un campo il cui testo diventa rosso a causa di un riferimento ad un oggetto inesistente (ad esempio, CERCHIO1.X) rimarrà rosso anche se viene aggiunto il nuovo oggetto (ad esempio, CERCHIO1). In altre parole, il campo rimane rosso fino a quando non viene verificata di nuovo la correttezza dell'espressione.

Per eseguire nuovamente la verifica della correttezza dell'espressione, effettuare le seguenti operazioni:

  1. Spostare il cursore sul campo dell'espressione.

  2. Premere il tasto F2. Viene visualizzata nuovamente la finestra di dialogo Generatore di espressioni. Nella casella di modifica vengono visualizzate eventuali modifiche apportate all'espressione.

  3. Premere INVIO per chiudere la finestra di dialogo.


Tipo di elemento espressione

L'elenco a discesa Tipo di Elemento Espressione disponibile nella finestra di dialogo Generatore di Espressioni contiene i tipi di elemento dell'espressione che è possibile inserire nelle espressioni. Le opzioni disponibili sono le seguenti:

  • Funzioni

  • Operatori

  • Allineamenti

  • Commenti

  • Dimensioni

  • Elementi

  • Variabili


ID

L'elenco a discesa ID della finestra di dialogo Generatore di espressioni contiene gli elementi disponibili in base al tipo di elemento dell'espressione selezionato nell'elenco a discesa Tipo di Elemento Espressione.

Ad esempio:

  • Quando si sceglie Funzioni e operatori nell'elenco a discesa Tipo di elemento espressione, nell'elenco a discesa ID vengono visualizzati le funzioni e gli operatori disponibili.

  • Quando si sceglie Funzioni nell'elenco a discesa Tipo di elemento espressione, nell'elenco a discesa ID vengono visualizzati gli ID degli elementi presenti nel part-program.


Estensione

L'elenco a discesa Estensione viene attivato quando l'elemento scelto nell'elenco a discesa ID richiede l'aggiunta di un'estensione per definire un elemento dell'espressione valido. Nell'elenco a discesa Estensione vengono visualizzate le estensioni disponibili in base all'elemento selezionato nell'elenco a discesa ID.

Esempio: si supponga di voler selezionare un elemento nell'elenco a discesa ID . Nell'elenco a discesa Estensione vengono visualizzate tutte le estensioni che è possibile utilizzare come riferimento ai dati dell'elemento selezionato (ad esempio "X", "Y", "Z", "Diam", "Lunghezza" e così via).


Seconda estensione

L'elenco a discesa Seconda Estensione è disponibile solo se l'elemento scelto nell'elenco a discesa Estensione richiede l'aggiunta di una seconda estensione per definire un elemento dell'espressione valido.

Esempio:si supponga di voler definire un riferimento al valore nominale dell'asse X della dimensione "D1".

È possibile effettuare le seguenti operazioni:
Scegliere D1 nell'elenco a discesa ID.
Selezionare X nell'elenco a discesa Estensione
SelezionareNom nell'elenco a discesa Seconda estensione.


Pulsante Aggiungi

Il pulsante Aggiungi viene attivato ogni volta che si seleziona un elemento dell'espressione valido o completo utilizzando gli elenchi a discesa appropriati. Quando si seleziona questo pulsante, viene visualizzato il testo da aggiungere all'espressione.

Ad esempio, se sono stati selezionati i seguenti elementi:

  • Dimensioni nell'elenco Tipo di elemento espressione

  • D1 nell'elenco ID

  • X nell'elenco Estensione

  • Nom nell'elenco Seconda estensione

il pulsante Aggiungi viene attivato e viene visualizzato il testo: Add D1.X.NOM.

Dopo aver selezionato il pulsante Aggiungi, il testo viene visualizzato nella casella di modifica posizionata nella parte inferiore della finestra di dialogo.

Nota: quando si seleziona il pulsante OK, il testo presente nella casella di modifica viene inserito nel campo dell'espressione all'interno della finestra di modifica, in corrispondenza del cursore. Se si seleziona un elemento nel campo dell'espressione all'interno della finestra di modifica ed il testo da aggiungere contiene delle parentesi, l'elemento selezionato verrà inserito all'interno delle parentesi.


Casella di modifica

Nella parte inferiore della finestra di dialogo Generatore di Espressioni è disponibile una casella di modifica nella quale viene visualizzata l'espressione corrente. È possibile inserire direttamente l'espressione in questa casella oppure selezionare il pulsante Aggiungi.


Sezione Descrizione

Nella finestra di dialogo Generatore di espressioni è disponibile anche una sezione Descrizione contenente informazioni sugli elementi selezionati negli elenchi a discesa. Accanto al pulsante Aggiungi è disponibile un campo contenente il valore corrente dell'espressione.

Nota:le espressioni con un valore pari a 0 non sono valide.


Uso di variabili con espressioni

Le variabili sono oggetti che contengono valori. Fanno riferimento a operandi di tipo numero intero, numero reale, stringa o punto e sono essenziali per l'utilizzo delle espressioni. Ad una variabile è associato un nome e un valore. Il nome viene utilizzato per accedere al valore della variabile; il nome è costante, mentre il valore può essere modificato. Per assegnare un valore a una variabile, utilizzare il comando ASSEGNA/.

Ad esempio, l'istruzione ASSEGNA/V1 = 2 consente di creare una variabile denominata V1 con un valore pari a 2. ASSEGNA/V2 = V1 + 2 consente di accedere al valore di V1. Se V1 ha un valore pari a 2 anche dopo l'esecuzione dell'istruzione di assegnazione, V2 avrà un valore pari a 4.

Per ulteriori informazioni sulle variabili, vedere "Variabili".

Vedere anche:

Assegnazione di valori alle variabili tramite la finestra di dialogo Assegnazione


Assegnazione di valori alle variabili tramite la finestra di dialogo Assegnazione

Finestra di dialogo Assegnazione

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Assegnazione consente di visualizzare la finestra di dialogo Assegnazione. Questa finestra di dialogo consente di assegnare un valore ad una variabile o ad un elemento dati di un elemento, una dimensione o un allineamento del part-program. L'uso del comando di assegnazione richiede una conoscenza di base delle espressioni di PC-DMIS.

Altro

Assegna a

A ssegna da

Inserisci

Insert button Cancel buttonOK buttonAssign From button and boxAssign To button and box


Assegna a

Il pulsante Assegna a consente di designare la variabile alla quale assegnare il valore calcolato nella casella Assegna da. Le informazioni selezionate mediante il pulsante Assegna a vengono inserite nella casella Assegna a. Questo valore può essere il nome di una variabile oppure un riferimento a un elemento dati di un elemento, dimensione o allineamento.


Assegna da

Il risultato della risoluzione di un'espressione matematica relativa ad un valore viene indicato mediante il termine "valutato".

Il pulsante Assegna da consente di inserire il valore da assegnare nella casella Assegna da. Se questa casella contiene un'espressione, l'espressione viene valutata durante l'esecuzione ed il relativo risultato o il valore di calcolo viene assegnato all'oggetto indicato nella casella Assegn a.


Inserisci

Il pulsante Inserisci consente di inserire un comando di assegnazione nel part-program senza chiudere la finestra di dialogo Assegnazione. Questo comando consente di inserire una serie di comandi di assegnazione senza chiudere la relativa finestra di dialogo.


Informazioni sui componenti delle espressioni

Le espressioni presentano questi tipi di operandi:

  • Numeri interi

  • Numeri reali

  • Stringhe

  • Punti

  • Puntatori all'Elemento

  • Array

  • Funzioni

Questi operandi verranno illustrati dettagliatamente nelle sezioni successive.

Vedere anche:

Tipi di operandi

Valori letterali

Riferimenti

Variabili

Strutture

Puntatori

Array

Operatori di espressioni

Priorità

Funzioni

Forzatura degli operandi

ID usati come Espressioni


Tipi di operandi

Gli operandi possono esistere sotto forma di:

  • Valori letterali

  • Riferimenti

  • Variabili

  • Strutture

  • Puntatori


Valori letterali

*Interi: 1, -6, 209

Reali: 1, -6, 2.4, -0.1, 345.6789

Stringhe: "Ciao", "47", "CERCHIO 1"

Punti: Non è possibile utilizzare una rappresentazione letterale per i punti. Tuttavia, i punti possono essere creati da altre rappresentazioni letterali utilizzando la funzione MPOINT: MPOINT(0,0,1), MPOINT(2.2, 3.1, 4.0).

Puntatore: Il nome di un elemento racchiuso tra parentesi graffe: {CIR1}, {LIN2}, {F3}

Array: Non è possibile utilizzare una rappresentazione letterale per gli array; tuttavia, gli array possono essere creati da altri valori letterali utilizzando la funzione ARRAY: es. ARRAY(3, 5, 6), ARRAY("Ciao", 2,3 , 9). Tali funzioni creano 3 elementi di array con gli elementi interi 3, 5 e 6 nel primo esempio e l'elemento di stringa "Ciao", l'elemento double 2.3 e un elemento intero 9 nel secondo esempio.

Funzioni: Non è possibile utilizzare una rappresentazione letterale per le funzioni. È possibile definire le funzioni utilizzando la parola chiave FUNCTION e richiamarle mediante gli ID delle variabili. Ad esempio, ASSEGNA/Add2 = FUNCTION((X), X+2) definisce una funzione contenente un argomento al quale viene aggiunto il valore 2. La variabile Add2 viene assegnata alla funzione. È possibile richiamare la funzione utilizzando la variabile Add2 nel modo seguente: ASSIGN/Result = Add2(5). Alla variabile Result viene assegnato il valore 7.

Nota: i valori letterali numerici vengono interpretati come numeri reali, a meno che l'operatore o la funzione non implichino l'uso di numeri interi. Ad esempio, l'espressione 10 / 8 viene valutata come 1,25 anziché 1. Inoltre, è possibile eseguire la divisione discreta anche utilizzando gli operatori di forzatura degli operandi. L'espressione INT(20) / INT(8) viene valutata come 1.


Riferimenti

I riferimenti riguardano dati di altri oggetti di un part-program. Essi utilizzano l'ID di un oggetto del part-program, seguito da un punto e un'estensione riferita ai dati dell'oggetto.

Esempio: se CERCHIO1 fosse il nome di un cerchio misurato nel part-program, CERCHIO1.X si riferirebbe al valore misurato del componente X di CERCHIO1. Tutti i riferimenti vengono valutati secondo le coordinate del pezzo relative all'allineamento corrente.

Altro

Riferimenti di Tipo Double

Riferimenti di tipo punto

Riferimenti di tipo stringa


Riferimenti di Tipo Double

Di seguito sono indicate le espressioni di riferimento disponibili.

Esempi di estensioni valide per i riferimenti agli elementi di tipo Double

Formato: <ID elemento>.<Estensione> -> CERCHIO1.X

CERCHIO1.X - Valore X misurato di CERCHIO1
CERCHIO1.Y - Valore Y misurato di CERCHIO1
CERCHIO1.Z - Valore Z misurato di CERCHIO1

CERCHIO1.TX - Valore X teorico (nominale) di CERCHIO1
CERCHIO1.TY - Valore Y teorico (nominale) di CERCHIO1
CERCHIO1.TZ - Valore Z teorico (nominale) di CERCHIO1

LINEA1.SX - Valore X misurato del punto iniziale di LINEA1
LINEA1.SY
LINEA1.SZ

LINEA1.TSX - Valore X teorico del punto iniziale di LINEA1
LINEA1.TSY
LINEA1.TSZ

LINEA1.EX - Valore X misurato del punto finale di LINEA1
LINEA1.EY
LINEA1.EZ

LINEA1.TEX - Valore X teorico del punto finale di LINEA1
LINEA1.TEY
LINEA1.TEZ

PUNTO.I - Componente I misurata del vettore di PUNTO
PUNTO.J
PUNTO.K

PUNTO.I - Componente I misurata del vettore di PUNTO
PUNTO.TJ
PUNTO.TK

ELEM1.TYP - Tipo di elemento, ovvero cerchio, asola, cono. È possibile utilizzare questo riferimento per modificare il tipo di un elemento generico (Assegna/ Gen1.TYP = Elem1.TYP).

ELEM1.ALL - Indica tutti gli elementi che costituiscono l'elemento. e consente di copiare informazioni in un elemento generico. (Assegna/ Gen1.ALL = Elem1.ALL).

Vettore superficie

BORDO.SURFI

BORDO.SURFJ

BORDO.SURFK

BORDO.TSURFI

BORDO.TSURFJ

BORDO.TSURFK

Vettore angolo

CER.ANGI

CER.ANGJ

CER.ANGK

CER.TANGI

CER.TANGJ

CER.TANGK

Raggio

CERCHIO1.R

CERCHIO1.TR

CERCHIO1.RAD

CERCHIO1.TRAD

CERCHIO1.RADIUS

CERCHIO1.PR – Raggio Polare

CERCHIO1.TPR - Raggio polare teorico

CERCHIO1.TRADIUS (sono significativi solo i primi caratteri)

Diametro

CERCHIO1.D

CERCHIO1.TD

CERCHIO1.DIAM

CERCHIO1.TDIAM

CERCHIO1.DIAM

CERCHIO1.TDIAMETER (sono significativi solo i primi caratteri)

Angolo

CONO.A

CONO.TA

CONO.ANG

CONO.TANG

CONO.ANGLE

CONO.TANGLE

CONO.PA - Angolo Polare

CONO.TPA - Angolo polare teorico (sono significativi solo i primi caratteri)

Lunghezza

LINEA.L

LINEA.TL

LINEA.LEN

LINEA.TLEN

LINEA.LENGTH

LINEA.TLENGTH (sono significativi solo i primi caratteri)

Altezza

CILINDRO.PH - Altezza polare

CILINDRO.TPH - Altezza polare teorica

Raggio, angolo, altezza

PUNTO.RAH - Punto con raggio, angolo e altezza misurati

PUNTO.TRAH - Punto con raggio, angolo e altezza teorici

Esempi di estensioni valide per i riferimenti a dimensioni di tipo doppio

Formato: <ID dimensione>.<ASSE>.<Elemento dimensione> -> DIM1.X.NOM

DIM1.X.NOM | Il valore nominale per la posizione dell'asse X di DIM1
DIM1.X.MEAS | Il valore misurato per la posizione dell'asse X di DIM1
DIM1.X.MAX | La deviazione massima per l'asse X di DIM1
DIM1.X.MIN | La deviazione minima per la posizione dell'asse X di DIM1
DIM1.X.PTOL | Il valore di tolleranza positiva per la posizione dell'asse X di DIM1
DIM1.X.MTOL | Il valore di tolleranza negativa per la posizione dell'asse X di DIM1
DIM1.X.DEV | La deviazione per la posizione dell'asse X di DIM1
DIM1.X.OUTTOL | Il valore fuori tolleranza per la posizione dell'asse X di DIM1
DIM1.Y.NOM | Il valore nominale per la posizione dell'asse Y di DIM1
DIM1.Z.DEV | La deviazione per la posizione dell'asse Z di DIM1
DIM3.AP.MEAS | Il valore misurato per la posizione dell'angolo polare di DIM3
DIM4.M.PTOL | Il valore di tolleranza positivo per l'asse M di DIM4
*DIM4.PTOL | Il valore di tolleranza positivo per l'asse M di DIM4 (vedere la nota in "Assi validi" più avanti).
DIM5.BTOL | Il valore di tolleranza bonus in cui DIM5 è una posizione reale.

Assi validi:

X, Y, Z, D, R, A, T, V, L, PR, PA, M, PD, RS, RT, S, H, DD , DF , TP

Nota: * nel caso delle dimensioni che per definizione hanno un solo asse (ad esempio, rotondità, concentricità, ecc.), è possibile non specificare il qualificatore dell'asse. Se il qualificatore dell'asse viene usato, tutti i tipi di dimensione con un solo asse utilizzano il qualificatore dell'asse M, ad eccezione delle dimensioni degli angoli 2D e 3D, che utilizzano il qualificatore dell'asse A.

Esempi di estensioni valide per i riferimenti all'allineamento di tipo doppio

Formato: <ID allineamento>.<Asse o origine allineamento>.<Componente dell'asse o origine dell'allineamento> -> A1.ORIGINE.X

A1.ORIGINE.X | Componente X dell'origine misurata dell'allineamento A1
A2.ORIGINE.Y | Componente Y dell'origine misurata dell'allineamento A2
A1.ORIGINE.Z | Componente Z dell'origine misurata dell'allineamento A1
A1.ASSEX.I | Componente I dell'asse X misurato dell'allineamento A1
A1.ASSEY.J | Componente J dell'asse Y misurato dell'allineamento A1
A1.ASSEZ.K | Componente K dell'asse Z misurato dell'allineamento A1
A1.ORIGINEC.X | Componente X dell'origine basata sui dati teorici dell'allineamento A1 (C sta per CAD)
A1.ASSEXC.J | Componente J dell'asse X basato sui dati teorici dell'allineamento A1 (C sta per CAD)


Riferimenti di tipo punto

Di seguito sono indicate le espressioni di riferimento disponibili.

Esempi di estensioni valide per i riferimenti agli elementi di tipo punto

Formato: <ID elemento>.<Estensione> -> CERCHIO1.XYZ

CERCHIO1.XYZ | Baricentro misurato di CERCHIO1
CERCHIO1.TXYZ | Baricentro teorico di CERCHIO1
LINEA1.SXYZ | Punto iniziale misurato di LINEA1
LINEA1.TSXYZ | Punto iniziale teorico di LINEA1
LINEA1.EXYZ | Punto finale misurato di LINEA1
LINEA1.TEXYZ | Punto finale teorico di LINEA1
CERCHIO1.IJK | Vettore misurato di CERCHIO1
CERCHIO1.TIJK | Vettore teorico di CERCHIO1
BORDO.SURFIJK | Vettore superficie misurato di BORDO
BORDO.TSURFIJK | Vettore superficie teorico di BORDO
CERAUTO1.ANGIJK | Vettore angolo misurato di CERAUTO1
CERAUTO1.TANGIJK | Vettore angolo teorico di CERAUTO1

Esempi di estensioni valide per i riferimenti agli allineamenti di tipo punto

Formato: <ID allineamento>.<Asse o origine dell'allineamento> -> A1.ASSEX

A1.ORIGINE | Origine misurata dell'allineamento A1
A1.ASSEX | Asse X misurato dell'allineamento A1
A1.ASSEY | Asse Y misurato dell'allineamento A1
A1.ASSEZ | Asse Z misurato dell'allineamento A1
A1.ORIGINEC | Origine teorica dell'allineamento A1
A1.ASSEXC | Asse X teorico dell'allineamento A1
A1.ASSEYC | Asse Y teorico dell'allineamento A1
A1.ASSEZC | Asse Z teorico dell'allineamento A1


Riferimenti di tipo stringa

I riferimenti ai commenti sono gli unici tipi oggetto stringa e consentono di fare riferimento solo ai commenti di tipo INPUT oppure SÌ/NO. Per identificare questo tipo di commenti è possibile utilizzare il relativo ID.

Formato: <ID commento>.INPUT -> C1.INPUT

C1.INPUT - Valore di input per il commento C1, inserito dall'operatore.

I tipi di commento SÌ/NO consentono di impostare l'input sulla stringa affermativa o negativa appropriata, in base al linguaggio corrente di PC-DMIS. Nella versione italiana di PC-DMIS, la stringa viene impostata su "SÌ" se l'operatore seleziona il pulsante che indica l'affermazione, su "NO" se viene premuto il pulsante di negazione. Durante il confronto delle stringhe per la verifica della selezione dei commenti "SÌ" o "NO", vengono rispettate le maiuscole e le minuscole. Pertanto, se viene eseguito il confronto con le parole "sì" o "no" l'operazione non viene eseguita correttamente, nemmeno se l'input del commento SÌ/NO è impostato su "SÌ" o "NO".


Variabili

Le variabili possono appartenere a uno dei sette tipi di operandi: intero, reale, stringa, punto, puntatore all'elemento, array o funzione. Le variabili vengono create mediante l'istruzione ASSEGNA, che consente anche di assegnare ad esse un valore e un tipo. L'ID della variabile può essere costituito da una qualsiasi stringa alfanumerica che non inizi con un carattere numerico. Inoltre, è possibile utilizzare un carattere di sottolineatura, purché non venga inserito all'inizio della stringa.

I valori delle variabili vengono salvati tra un'esecuzione e l'altra. Questo significa che se l'esecuzione del programma si arresta e riprende, i valori contenuti nelle variabili al momento dell'interruzione dell'esecuzione saranno gli stessi quando l'esecuzione riprenderà.

Nota: se la finestra di modifica è aperta, PC-DMIS indica il valore corrente della variabile ogni volta che il cursore viene posizionato sull'apposito campo. I valori delle variabili vengono modificati in base al flusso di esecuzione; pertanto, per ottenere il valore corrente di una determinata variabile, occorre posizionare il puntatore del mouse su di essa.

ASSIGN/ V1 = 2,2+2 | La variabile V1 è costituita da un numero reale il cui valore è 4,2
ASSIGN/ VAR1 = CERCHIO1.X | La variabile VAR1 è costituita da un numero reale il cui valore corrisponde al valore misurato di CERCHIO1.X al momento dell'assegnazione.
ASSIGN/ VAR = LINEA1.XYZ | La variabile MYVAR è costituita da un punto il cui valore corrisponde al valore del baricentro misurato di LINEA1 al momento dell'assegnazione.
ASSIGN/ SVAR = "Ciao" | La variabile SVAR è costituita da una stringa il cui valore è "Ciao".

In questi esempi, alle variabili vengono assegnati dei valori. In seguito a tale assegnazione, è possibile utilizzare le variabili come operandi in un qualsiasi campo delle espressioni.

Esempio di V1 utilizzato in un campo numerico:
ASSEGNA/V1 = 1/3
APPROCCIO / V1

In questo caso, la variabile V1 è utilizzata come valore della distanza di approccio del relativo comando.

Nota: poiché le espressioni possono essere utilizzate in molti campi modificabili, anche la seguente espressione è valida ed ha lo stesso effetto: PREHIT / 1/3.

È possibile fare riferimento a ciascuna componente delle variabili di tipo punto mediante l'uso della rispettiva notazione dell'estensione, utilizzata per i riferimenti.

ASSIGN/ V1 = MPOINT(3, 4, 5) | V1 è una variabile di tipo punto il cui valore è 3, 4, 5.
ASSIGN/ XVAR = V1.X | XVAR è un variabile di tipo doppio il cui valore è 3.
ASSIGN/ YVAR = V1.Y | YVAR è una variabile di tipo doppio il cui valore è 4.
ASSIGN/ IVAR = V1.I | IVAR è una variabile di tipo doppio il cui valore è 3.
ASSIGN/ REDUNVAR = V1.XYZ | REDUNVAR è una variabile di tipo punto il cui valore è 3, 4, 5.

Le estensioni seguenti si equivalgono; vengono fornite entrambe per chiarire il significato di un'espressione in un part-program.

V1 è una variabile di tipo punto.

V1.X è uguale a V1.I
V1.Y è uguale a V1.J
V1.Z è uguale a V1.K

V1.XYZ è uguale a V1.IJK e V1 senza l'estensione.

È possibile utilizzare una variabile di tipo stringa come oggetto di riferimento se il relativo valore corrisponde al nome dell'ID di un elemento, di una dimensione o di un allineamento.

Esempio:
ASSEGNA/ V1 = "CERCHIO1"

È possibile utilizzare i seguenti operandi, i quali vengono considerati validi solo se esiste un elemento denominato CERCHIO1.

V1.X - Valore X misurato di CERCHIO1
V1.TX - Valore X teorico di CERCHIO1
V1.Diametro - Il diametro misurato di CERCHIO1
V1.Raggio - Il raggio misurato di CERCHIO1

Questo tipo di indirizzamento indiretto delle variabili di tipo stringa è disponibile per un livello di indirizzamento indiretto. Di seguito viene riportato un esempio non valido:

ASSEGNA/ V1 = "CERCHIO1"
ASSEGNA/ V2 = "V1"
V2.X - Viene valutato come 0 anziché come il valore misurato corrente di CERCHIO1.X.

Nota: il riferimento V2.X non viene visualizzato in rosso come segnalazione della presenza di un errore, anche se viene impostato come stringa da una delle espressioni che lo precedono. Ciò è dovuto al fatto che il flusso di esecuzione del part-program viene reso noto solo al momento dell'esecuzione.

Tuttavia, se si utilizzano le parentesi graffe, i comandi validi sono i seguenti:

ASSEGNA/ V1 = {CERCHIO1}
ASSEGNA/ V2 = {V1}
V2.X - Il valore ottenuto sarà CERCHIO1.X.

Si prenda in considerazione il seguente esempio:

ASSEGNA/ V1 = "CERCHIO1"
ASSEGNA/ V2 = "V1"
IF / CERCHIO1.X > CERCHIO1.TX, GOTO, L2
L1 = LABEL /
ASSEGNA/ V3 = V2.X
GOTO / LABEL, L3
L2 = LABEL /
ASSEGNA/ V2 = MPOINT( 2, 5, 7)
GOTO / LABEL, L1
L3 = LABEL /

Se durante l'esecuzione del programma il valore di CERCHIO1.X è maggiore del valore di CERCHIO1.TX, l'espressione V2.X risulta valida e viene valutata come 2. Altrimenti, l'espressione V2.X restituisce il valore 0, in quanto il valore di V2 al momento dell'assegnazione di V3 è rappresentato dalla stringa "V1". In questi casi, il programmatore ha il compito di accertarsi che il funzionamento delle espressioni sia corretto.

Nota aggiuntiva sull'istruzione di assegnazione: È possibile utilizzare la maggior parte dei riferimenti agli elementi a sinistra dell'istruzione di assegnazione per immettere un valore nei dati misurati o teorici di un elemento. L'unica eccezione è rappresentata dai singoli componenti I, J, K dei vettori; in tal caso, è necessario assegnare l'intero vettore in una sola volta, mediante un'espressione valutata come punto. Quando vengono inseriti nei dati vettoriali dell'elemento, i dati del vettore vengono normalizzati.

Esempio:

ASSEGNA/ CERCHIO1.I = 2 - non valida
ASSEGNA/ CERCHIO1.IJK = MPOINT(2, 0, 0)-valida (il vettore viene normalizzato a 1, 0, 0)

Per informazioni sull'utilizzo di variabili nelle dimensioni, vedere l'argomento Dimensionamento delle variabili" nella sezione "Dimensione elementi" .


Strutture

A partire dalla versione 3.5, è disponibile un nuovo tipo di variabile denominato strutture. Le strutture consentono di attribuire estensioni ad una variabile per identificare un elemento secondario della variabile. Si consideri il seguente esempio:

Esempio:

ASSEGNA/V1.ALTEZZA = 6
ASSEGNA/V1.LARGH = 4.3
ASSEGNA/V1.MODAL = "CIRCOLARE"
ASSEGNA/V1.PUNTO = MPOINT(100.3, 37.5, 63.1)

In questo esempio

· V1 è la struttura.

· ALTEZZA, LARGH, MODAL e PUNTO sono gli elementi secondari della struttura.

Altro

Regole per le strutture

Strutture con variabili di tipo punto


Regole per le strutture

  • In modo analogo alle variabili, le strutture non devono essere necessariamente dichiarate.

  • Gli elementi secondari di una struttura possono essere costituiti da uno dei seguenti tipi di variabile:

q Intero

q Double

q Punto

q Puntatore elemento

q Funzione

q Array

q Struttura

Ad esempio, gli elementi struttura possono essere array e gli elementi array possono essere strutture. Pertanto, le seguenti espressioni di esempio sono valide:

Esempio

ASSEGNA/AUTOMOBILE.SINISTRA.PORTA[2].QUADRANTE[3].GIUNZIONE[5].PUNTO[4] = MPOINT(558.89, 910.12, 42.45)

COMMENTO/OPER,"Current Z Position: " + AUTOMOBILE.SINISTRA.PORTA[2].QUADRANTE[3].GIUNZIONE[5].PUNTO[4].Z

ASSEGNA/GIUNZIONE_CORRENTE = SINISTRA.PORTA[2].QUADRANTE[3].GIUNZIONE[5]

COMMENTO/OPER,"Punto successivo: " + GIUNZIONE_CORRENTE.PUNTO[4]


Strutture con variabili di tipo punto

Se una variabile è di tipo punto, l'utente può utilizzare le estensioni .X, .Y, .Z, .I, .J e .K per i singoli elementi del punto. Inoltre, è possibile utilizzare tutte le estensioni di questo esempio nelle strutture senza necessariamente usarle come elementi punto.

Esempio:

ASSEGNA/V1.X = "Una stringa"
ASSEGNA/V1.Y = ARRAY(1,3,5,9,7)
ASSEGNA/V1.Z = MPOINT(3,5,7)

COMMENTO/REP;-----------------------------------V1.X | L'output è "Una stringa"
COMMENTO/REP;-----------------------------------V1.Y[2] | L'output è 3, il secondo elemento dell'array.
COMMENTO/REP;-----------------------------------V1.Z.Y | L'output è 5, il valore Y di MPOINT.

Combinando le strutture alle funzionalità del linguaggio delle espressioni PC-DMIS, è possibile ottenere riferimenti di struttura dinamica, come mostrato di seguito:

(continua)

ASSIGN/DYNAMICSTRUCT = FUNCTION((X,Y), X.Y)
C1 =COMMENTO/INPUT,Immettere un elemento
ASSEGNA/TESTSTR = C1.INPUT
ASSEGNA/FRONT = LEFT(TESTSTR, INDEX(TESTSTR, ".")-1)
ASSEGNA/BACK = MID(TESTSTR, INDEX(TESTSTR, "."))
ASSIGN/RESULT = DYNAMICSTRUCT(FRONT, BACK)[ASSEGNA/RESULT = DYNAMICSTRUCT(ANT, POST)]

Questa parte dell'esempio richiede di fornire un riferimento alla variabile, divide il riferimento al primo '.' e quindi assegna RESULT in modo che sia uguale al riferimento utilizzando la funzione DYNAMICSTRUCT.

Pertanto, se è stato immesso V1.Y[4] per la variabile C1.INPUT, il valore di RESULT sarà 9 (il quarto elemento dell'array assegnato a V1.Y).

La valutazione del tempo di apprendimento delle espressioni è stata migliorata per mostrare in modo preciso tutti gli elementi di una struttura o di un array.


Puntatori

I puntatori vengono anche definiti "Puntatori ad Elemento". Per ulteriori informazioni, vedere nel glossario la voce "Puntatori all'elemento".

I puntatori rappresentano un modo semplice per fare riferimento a un elemento mediante una variabile o per trasferire gli oggetti mediante il comando CALL SUB (richiamo subroutine). I puntatori sono simili all'indirizzamento indiretto mediante i nomi di stringa, ma possono essere utilizzati con le subroutine. Contrariamente alle stringhe, i puntatori trasferiti come argomenti di una subroutine consentono di modificare direttamente l'oggetto indicato dalla subroutine stessa. I puntatori non vengono utilizzati nelle espressioni complesse. Se vengono utilizzati nelle espressioni complesse, i puntatori vengono valutati come zero.

Si prendano in considerazione i seguenti esempi.

Esempio dell'uso del puntatore:

ASSEGNA/ V1 = {CER1} | V1 è un puntatore che fa riferimento a CER1.
ASSEGNA/ DIST = DOUBLE(V1.XYZ) | Dist indica la distanza di CER1 dall'origine.
È possibile anche inserire un'espressione tra parentesi graffe per ottenere un puntatore all'elemento. Nelle versioni precedenti alla 3.5 ciò non era consentito. Attualmente gli esempi riportati di seguito sono tutti metodi validi per ottenere il puntatore all'elemento CER1:
ASSIGN/FEATCOUNT = 1 (ASSEGNA/CONT_ELEM = 1) ASSIGN/V1={"CIR" + FEATCOUNT} (ASSEGNA/V1={"CER" + CONT_ELEM}) | Assegna l'espressione "CER1" a V1.
ASSEGNA/V2="CER1" ASSEGNA/V3={V2} | Assegna l'espressione "CER1" della variabile V2 alla variabile V3.
C1=COMMENTO/INPUT, Digitare un nome di elemento. ASSEGNA/V4={C1.INPUT} | Inserisce il nome dell'elemento C1.INPUT nella variabile, V4.

Esempio di subroutine:

Nel programma chiamante:

CS1 = CALLSUB/SUB.PRG,CHANGEX, {CIR1}

Nel programma della subroutine:

GEN1 = GENERICO/ELEMENTO
SUBROUTINE/CHANGEX, ARG1 = {GEN1}

(Quando CER1 viene trasferito, sostituisce GEN1)

ARG1.X = 5

(Imposta il valore X misurato di CER1 su 5)

END/SUBROUTINE

Esempio di espressione complessa:

ASSEGNA/ V1 = {CER1} + 2

{CER1} viene valutato come zero e l'intera espressione viene valutata come 2.


Array

Sono disponibili tre tipi di array: array di elementi, di punti e di variabili.

Importante:Anche se gli array multidimensionali sono visualizzati come tali nel software, è possibile in realtà utilizzarli soltanto come unidimensionali, a meno che non si anteponga agli array un comando ARRAY INDICES (vedere l'argomento "Oggetto indici di array:" ).

Altro

Array di elementi

Oggetto indici array

Array di punti

Array di variabili


Array di elementi

Un array di elementi viene creato automaticamente se un elemento viene misurato più volte durante l'esecuzione di un programma. Il numero di elementi presenti nell'array equivale al numero di esecuzioni dell'elemento.

Esempio: se un oggetto circolare misurato viene posizionato in un loop WHILE eseguito cinque volte, viene creato un array costituito da cinque cerchi misurati. Se l'ID del cerchio misurato è "Cerchio1", è possibile utilizzare l'espressione dell'array per accedere alle singole istanze dell'oggetto circolare misurato. In tal caso, l'uso delle parentesi quadre consente di indicare l'istanza desiderata.

Assign/V1 = Cerchio1[3].x

A V1 viene assegnato il valore x misurato della terza istanza di Cerchio1.

Nota: se è stato creato un array di un elemento ma la notazione di array non viene utilizzata in un riferimento a tale elemento, viene utilizzata l'istanza più recente. Nell'esempio precedente, il riferimento Cerchio1.x è uguale a Cerchio1[5].x, in quanto la quinta istanza rappresenta l'istanza più recente dell'oggetto.

Poiché è possibile utilizzare le espressioni all'interno delle parentesi quadre di un'espressione di array, Cerchio1[3].x e Cerchio1[2+1].x sono equivalenti. Nell'esempio riportato di seguito, viene utilizzato un loop per la stampa del baricentro misurato dei cinque cerchi presenti negli esempi precedenti.

Esempio:

Assegna/V1 = 1
While/V1 < 6
Commento/Rapp, "Baricentro dell'istanza n" + V1 + " di Cerchio1:  " + Cerchio1[V1].XYZ
Assegna/V1 = V1 + 1
End/While

Possibile risultato dell'esempio precedente:

Baricentro dell'istanza n. 1 di Cerchio1: 3,4, 2,6, 1,43

Baricentro dell'istanza n. 2 di Cerchio1: 4,4, 3,6, 2.43

Baricentro dell'istanza n. 3 di Cerchio1: 5,4, 4,6, 3,43

Baricentro dell'istanza n. 4 di Cerchio1: 6,4, 5,6, 4,43

Baricentro dell'istanza n. 5 di Cerchio1: 7,5, 6,6, 5,43

Gli array sono disponibili anche per le dimensioni e gli allineamenti eseguiti più volte durante una stessa esecuzione del programma. Pertanto, Dim1[2].Nom e Allin1[4].Origin sono disponibili se la dimensione "Dim1" e l'allineamento "Allin1" sono stati eseguiti rispettivamente almeno due e quattro volte.

Se il riferimento all'array di elementi non rientra nei limiti, ovvero se l'utente richiede Cerchio1[2,5] o > Cerchio1["Ciao"], viene restituito l'elemento maggiore o minore esistente: se Cerchio1 dispone di 3 istanze, l'espressione Cerchio1[4] o superiore restituisce Cerchio1[3], mentre Cerchio[0] o inferiore restituisce Cerchio1[1]. Poiché viene forzata la conversione di tutte le espressioni comprese tra parentesi in numeri interi, 2,5 diventa 2 e "Ciao" diventa 0.


Oggetto indici array

Visualizza Mappa Percorsi dei Menu

In base all'impostazione predefinita, gli array di elementi sono sempre unidimensionali. Se si preferisce definire un array di elementi come multidimensionale, è possibile utilizzare l'oggetto indici array.

L'oggetto indici array consente di specificare il limite superiore ed il limite inferiore per le dimensioni degli array.

  • Se si impostano i limiti superiore ed inferiore della prima dimensione, viene creato un array bidimensionale, nel quale la prima dimensione è limitata e la seconda dimensione è illimitata.

  • Se si impostano i limiti superiore ed inferiore delle prime due dimensioni di un array, viene creato un array tridimensionale. L'ultima dimensione è sempre illimitata.

Esempio:

L'elemento F1 viene posizionato in un loop WHILE annidato. Il loop WHILE interno viene eseguito cinque volte, mentre il loop WHILE esterno viene eseguito tre volte. Al termine dell'esecuzione, l'elemento F1 è stato eseguito 15 volte; pertanto, esistono 15 istanze di F1.

Si consideri la seguente sezione di esempio di un part-program:

INDICI_ARRAY/1..5,..
ASSEGNA/V1 = 1
WHILE/V1<=3
ASSEGNA/V2 = 1
WHILE/V2<=5
F1=ELEM/PUNTO,RETT
TEOR/V2,V1,0,0,0,1
REALE/1,1,0,0,0,1
MIS/PUNTO,1
PUNTO/BASE,V2,V1,0,0,0,1,1,1,0
FINE_MIS/
ASSEGNA/V2 = V2+1
COMMENTO/RAPP,"Posizione di F1[" + V2 + "," + V1 + "] :" + F1[V2,V1].XYZ
END_WHILE/
ASSEGNA/V1 = V1+1
END_WHILE/

Questa sezione di codice crea una griglia 3 x 5 costituita da 15 punti misurati.

Il comando INDICI_ARRAY definisce la prima dimensione dell'array di elementi in base ad un intervallo compreso tra 1 e 5. Pertanto, nel rapporto di ispezione, gli oggetti verranno identificati dalla stringa F1[1, 1] – F1[5, 3], anziché dalla stringa F1[1] – F1[15], in modo da ottenere una rappresentazione più appropriata del layout degli elementi. Tenere presente che anche il comando COMMENTO utilizza la sintassi dell'array bidimensionale per identificare l'array di elementi.

Per inserire un oggetto indice array in un part-program, effettuare le seguenti operazioni:

  1. Utilizzando la tastiera, digitare "Array" in una riga vuota della finestra di modifica.

  2. Premere il tasto di tabulazione.

Nota: se la casella di controllo Visualizza parentesi per elementi array è stata deselezionata, il nome dell'elemento non viene visualizzato tra parentesi. Vedere "Visualizza parentesi per elementi array" nella sezione "Impostazione delle preferenze" .


Array di punti

I punti di un determinato elemento sono disponibili sotto forma di array. Pertanto, è possibile accedervi mediante espressioni che utilizzano la sintassi di array <ID elemento>.Hit[<Espressione dell'array>].<Estensione> o <ID elemento>.RawHit[<Espressione dell'array>].<Estensione>. Durante l'esecuzione della compensazione del tastatore, Hit restituisce i dati compensati del tastatore, mentre RawHit restituisce sempre dati non compensati. È possibile utilizzare le seguenti estensioni: X, Y, Z, I, J, K, TX, TY, TZ, TI, TJ, TK, XYZ, TXYZ e TIJK.

Cerchio1.Hit[1].XYZ | Baricentro misurato (tastatore compensato) del punto 1 di "Cerchio1".
Cerchio1.Hit[2].IJK | Vettore misurato del punto 2 di "Cerchio1".

I dati sui punti sono disponibili per tutti gli oggetti contenenti punti, indipendentemente dal fatto che i punti effettivi vengano o meno visualizzati nella finestra di modifica; pertanto, è possibile ottenere punti per le scansioni o per gli elementi automatici.

Gli argomenti che seguono trattano alcune funzioni applicabili agli array, esse si dimostrano utili per trovare il minimo ed il massimo punto di una scansione.

Assegnazione di un intervallo di punti a un array

Un intervallo di punti puó essere assegnato ad un array usando la sintassi seguente:

<ID elemento>.<Tipo di Punto>[<Num Iniziale>...<Num Finale>].<Estensione>

dove

<ID Elemento> è il nome dell'elemento

<Tipo di Punto> puó essere sia "Punto" nel caso di punto compensato, sia “RAWHIT”, per punti non compensati. Se la compensazione tastatore é disabilitata, il valore restituito é sempre privo di compensazione.

<Num Iniziale> è un'espressione che identifica il primo valore di indice dell'intervallo di punti

<Num finale> è un'espressione che identifica il secondo valore di indice dell'intervallo di punti

<Estensione> identifica il tipo dei dati. Le possibili estensioni riguardano questi tipi di dati teorici o misurati:

· X – Valori X misurati dei punti

· Y – Valori Y misurati dei punti

· Z – Valori Z misurati dei punti

· XYZ – Valori XYZ misurati dei punti

· I – Valori I misurati dei punti

· J – Valori J misurati dei punti

· K – Valori K misurati dei punti

· IJK – Valori IJK misurati dei punti

· TX – Valori X misurati dei punti

· TY – Valori Y misurati dei punti

· TZ – Valori Z misurati dei punti

· TXYZ – Valori XYZ misurati dei punti

· TI – Valori I misurati dei punti

· TJ – Valori J misurati dei punti

· TK – Valori K misurati dei punti

· TIJK – Valori IJK misurati dei punti

Ad esempio:

ASSIGN/V1 = SCAN1.HIT[1..10].X | V1 é assegnato ad un array di 10 valori che sono le X misurate dei primi 10 punti della scansione SCAN1.
ASSIGN/V1 = SCAN1.HIT[1..10].X | V2 é assegnato ad un array di punti, a partire dal baricentro dei punti della scansione.

Ordinamento degli Array

PC-DMIS consente di ordinare gli array in modo crescente o decrescente. Le due espressioni seguenti accettano un array e restituiscono un array ordinato:

Per applicare l'ordinamento ascendente utilizzare:
SORTUP(<array>)

Per applicare l'ordinamento discendente utilizzare:
SORTUP(<array>)

Ad esempio:

ASSIGN/V1 = ARRAY(5,8,3,9,2,6,1,7) | A V1 viene assegnato l'array "5,8,3,9,2,6,1,7"
Assign/V2 = V1[3] | V2 conterrá i valori ordinati in modo ascendente: "1,2,3,5,6,7,8,9"
ASSIGN/V3 = SORTDOWN(V1) | V2 conterrá i valori ordinati in modo discendente: "9,8,7,6,5,3,2,1"

Come restituire l'indice di valore Maggiore o Minore di un array:

È possibile inserire un array in una funzione ed ottenerne il numero di indice dell'elemento con il valore massimo o minimo utilizzando le funzioni seguenti:

Per ottenere il valore di indice dell'elemento con il valore massimo, utilizzare:
MAXINDEX(<array>)

Per ottenere il valore di indice dell'elemento con il valore minimo, utilizzare:
MININDEX(<array>)

Ad esempio:

ASSIGN/V1 = ARRAY(5,8,3,9,2,6,1,7) | A V1 viene assegnato l'array "5,8,3,9,2,6,1,7"
ASSIGN/V2 = MAXINDEX(V1) | V2 conterrà il valore di indice dell'array 4. Il valore effettivo dell'elemento di quell'array è 9.
ASSIGN/V3 = MININDEX(V1) | V3 conterrà il valore di indice dell'array 7. Il valore effettivo degli elementi di quell'array è 1.

È possibile utilizzare i valori di indice restituiti per ottenere il valore effettivo dell'elemento dell'array.

Restituzione dei valori di indice ordinati da un array

È possibile inserire un array in una funzione, ordinare i valori dell'array in modo crescente o decrescente e poi restituire i valori dell'indice utilizzando le seguenti funzioni:

Per ottenere il valore di indice dell'elemento con il valore massimo, utilizzare:
MAXINDEX(<array>)

Per ottenere il valore di indice dell'elemento con il valore minimo, utilizzare:
MININDEX(<array>)

Ad esempio:

Assign/V1 = Array(4,8, 0,2, 0,9, 0,5, 0,7) | A V1 viene assegnato l'array "4,8,2,9,5,7"
ASSIGN/V2 = MAXINDEX(V1) | V2 conterrá un array con questi valori: "4,2,6,5,1,3"
ASSIGN/V3 = MININDICES(V1) | V3 conterrá un array con questi valori: "3,1,5,6,2,4"

Esempio di utilizzo delle funzioni di un array per individuare i punti massimo e minimo di una scansione

Lo scopo principale delle funzioni viste sopra, che agiscono su array di punti, é di fornire in modo semplice il minimo ed il massimo punto di una scansione.

Per il punto di SCAN1 che presenta il massimo valore X misurato, si puó usare questa espressione:

ASSIGN/MAXPTINDEX = MAXINDEX(SCAN1.HIT[1..SCAN1.NUMHITS].X)

D1 = POSIZIONE dell’ELEMENTO SCAN1.HIT[MAXPTINDEX]

Per individuare i tre punti più elevati nell'asse Z di SCAN2, utilizzare la seguente espressione:

ASSIGN/MI = MAXINDICES(SCAN2.HIT[1..SCAN2.NUMHITS].Z)

ASSIGN/THREEPOINTS = ARRAY(SCAN2.HIT[MI[1]].XYZ, SCAN2.HIT(MI[2]].XYZ, SCAN2.HIT[MI[3]].XYZ)


Array di variabili

Non è necessario dichiarare gli array di variabili, i quali vengono creati quando l'espressione a destra dell'istruzione di assegnazione viene valutata come un array o quando la parte sinistra dell'istruzione fa riferimento a un elemento presente in un array di variabili.

Assign/V1 = Array(3, 4, 5, 6, 7) | Crea l'array di 5 elementi e lo assegna a V1.
Assign/V2 = V1[3] | Assegna a V2 il valore del terzo elemento nell'array di V1: 5
Assign/V1[4] = 23 | Imposta il 4° elemento di array V1 su 23

Gli array vengono creati e allocati in modo dinamico. Pertanto, è possibile creare un array specificandone il riferimento a sinistra di un'istruzione di assegnazione.

Assign/V3[5] = 8

Crea l'array in modo dinamico, con il 5° elemento impostato su 8

Quando si fa riferimento a un elemento dell'array a cui non è mai stato assegnato un valore, l'espressione dell'array viene valutata come 0.

Assign/V3[5] = 8 |
Assign/V4 = V3[5] | V4 viene impostata sul valore 8.
Assign/V5 = V3[6] | Se il sesto elemento di V3 non è mai stato impostato, V5 viene impostata su 0.

Come negli altri tipi di array, è possibile utilizzare le espressioni all'interno delle parentesi quadre.

Assign/V3[5] = 8 |
Assign/V4 = V3[2+3] | V4 viene impostata sul valore 8.

Gli array di variabili possono essere costituiti da più dimensioni.

Assign/V6 = Array( Array(4, 7, 2), Array(9, 2, 6)) | V6 viene impostata su un array dimensionale 2 per 3, dove V6[1, 1] equivale a 4, V6[1, 2] equivale a 7, V6[1, 3] equivale a 2, V6[2, 1] equivale a 9, V6[2,2] equivale a 2 e V6[2,3] equivale a 6.
Assign/V7 = V6[2,1] | V7 è impostata sul valore 9.

Gli array di variabili possono essere costituiti da indici negativi:

Assign/V8[-3] = 5

L'indice –3° dell'array V8 è impostato su 5.

L'assegnazione dell'array sovrascrive i valori precedenti:

Assign/V8 = "Ciao" | La variabile V8 equivale alla stringa "Ciao".
Assign/V8[2] = 5 | V8 non è più una stringa, ma un array, nel quale il valore del secondo elemento è pari a 5.
Assign/V8 = 9 | V8 non è più un array, ma un numero intero il cui valore è 9.

Gli array possono essere costituiti da più tipi di elementi:

Assign/V9 = Array("Salve", 3, 2,9, {ELEM1})

Crea l'array V9 con 4 elementi. dove il primo è una stringa, il secondo un numero intero, il terzo un numero reale e il quarto è un puntatore a ELEM1.


Operatori di espressioni

Di seguito vengono elencati gli operatori di base disponibili in PC-DMIS:

+ Addizione: <Espressione> + <Espressione>
Unisce due espressioni. Nel caso delle stringhe, queste vengono concatenate.

- Sottrazione: <Espressione> - <Espressione>
Sottrae la prima espressione dalla seconda.

* Moltiplicazione: <Espressione> * <Espressione>
Moltiplica due espressioni.

/ Divisione: <Espressione> / <Espressione>
Divide la prima espressione per la seconda.

^ Elevazione a potenza: <Espressione> ^ <Espressione>
Eleva la prima espressione alla potenza della seconda espressione.

% Modulo: <Espressione> % <Espressione>
Restituisce il resto della divisione di un'espressione per l'altra espressione.

- Elemento opposto -<Espressione>
Restituisce l'elemento opposto dell'espressione.

! NOT Logico: !<Espressione>
Restituisce il NOT logico dell'espressione.

== Diverso da: <Espressione> == <Espressione>
Viene valutato come 1 se le espressioni sono uguali; in caso contrario, viene valutato come 0. Vengono utilizzati due segni di uguale (==) per distinguere questo operatore dall'operatore di assegnazione = nell'istruzione di assegnazione.

<> Diverso da: <Espressione> <> <Espressione>
Viene valutato come 1 se le espressioni non sono uguali; altrimenti, viene valutato come 0.

> Maggiore: <Espressione> > <Espressione>
Viene valutato come 1 se la prima espressione è maggiore della seconda espressione; altrimenti, viene valutato come 0.

>= Maggiore o uguale: <Espressione> >= <Espressione>
Viene valutato come 1 se la prima espressione è maggiore o uguale alla seconda espressione; altrimenti, viene valutato come 0.

< Minore: <Espressione> < <Espressione>
Viene valutato come 1 se la prima espressione è minore della seconda espressione; altrimenti, viene valutato come 0.

<= Minore o uguale: <Espressione> <= <Espressione>
Viene valutato come 1 se la prima espressione è minore o uguale alla seconda espressione; altrimenti, viene valutato come 0.

AND AND logico: <Espressione> AND <Espressione>
Viene valutato come 1 se entrambe le espressioni non sono uguali a 0; altrimenti, viene valutato come 0.

OR OR Logico: <Espressione> OR <Espressione> Viene valutato come 1 se nessuna delle espressioni viene valutata come 0. Altrimenti viene valutato come 0.

() Parentesi: ( <Espressione> )
Assegna la priorità di valutazione all'espressione presente all'interno delle parentesi.


Priorità

Le espressioni vengono valutate in base alla priorità indicata di seguito (partendo dalla precedenza maggiore alla priorità minore):

Priorità maggiore

  • Operandi

  • (meno unario), !, (), funzioni (ad esempio, ABS, COS, STR, LEN, CROSS e così via).

  • ^

  • *, /, %

  • +, -

  • ==, <>, <, <=, >, >=

  • AND

  • OR

Priorità minore


Funzioni

Le funzioni sono espressioni specifiche di PC-DMIS o espressioni definite dall'utente che accettano parametri e restituiscono i risultati. I parametri vengono sostituiti nell'espressione prima che tale espressione venga valutata.

Altro

Funzioni disponibili

Funzioni su Stringhe

Funzioni matematiche

Funzioni Punto

Funzioni puntatori

Funzioni array

Funzioni derivanti da altre funzioni

Funzioni varie

Funzione TutorElement

Funzione QualToolData

Esempi di funzione


Elenco delle funzioni

Nel seguente elenco sono contenute in ordine alfabetico tutte le funzioni disponibili per il linguaggio delle espressioni di PC-DMIS. Facendo clic su una voce, sarà visualizzato un argomento secondario specifico con informazioni e/o esempi.

ABS (matematica)

ACOS (matematica)

ANGLEBETWEEN (punto)

ARRAY (array)

ASIN (matematica)

ATAN (matematica)

CHR (stringa)

COS (matematica)

CROSS (punto)

DEG2RAD (matematica)

DELTA (punto)

DIST2D (puntatore)

DIST3D (puntatore)

DOT (punto)

ELEMENT (stringa)

EOF (varie)

EOL (varie)

EQUAL (array)

EQUAL (stringa)

EXP (matematica)

FORMAT (stringa)

FUNCTION (funzione)

GETCOMMAND (puntatore)

GETSETTING (stringa)

GETTEXT (stringa)

IF (varie)

INDEX (stringa)

ISIOCHANNELSET (varie)

LEFT (stringa)

LEN (array)

LEN (stringa)

LN (matematica)

LOG (matematica)

LOWERCASE (stringa)

MAX (array)

MID (stringa)

MIN (array)

ORD (stringa)

PROBEDATA (varie)

QUALTOOLDATA (varie)

RAD2DEG (matematica)

RIGHT (stringa)

ROUND (matematica)

SIN (matematica)

SQRT (matematica)

SYSTEMDATE (stringa)

SYSTEMTIME (stringa)

SYSTIME (stringa)

TAN (matematica)

TUTORELEMENT (varie)

UNIT (punto)

UPPERCASE (stringa)


Funzioni su Stringhe

CHR Conversione del carattere: CHR(<Intero>)
Restituisce una stringa costituita dal carattere corrispondente al valore decimale ASCII.

ELEMENT Posizione sottostringa delimitata: ELEMENT(<Intero>, <Stringa1>, <Stringa2>)

Restituisce la sottostringa (elemento) n dalla Stringa2, utilizzando la Stringa1 come testo di delimitazione che divide gli elementi della stringa 2. Per esempio, se string2 vale "6, 12, 8, 4, 5" e string1 é ",", allora I 5 elementi che il commando é in grado di trovare sono "6", "12", "8", "4", e "5".

EQUAL Confronto di stringhe senza distinzione di maiuscole e minuscole: EQUAL(<Stringa>, <Stringa>)

Confronta due stringhe (ignorando la distinzione tra maiuscole e minuscole) per determinare se sono uguali. Viene restituito un intero impostato su 1 se le stringhe sono uguali e 0 se le stringhe sono diverse.

GETSETTING Consente di trovare diverse impostazioni per PC-DMIS, in base al parametro di stringa inserito.

GETSETTING(<String>)

Si possono utilizzare I parametric di stringa seguenti:

  • "Modalità DCC" – Restituisce 1 se PC-DMIS è in Modalità DCC, altrimenti restituisce 0.

  • "Modalitá Manuale" – Restituisce 1 se PC-DMIS é in Modalitá Manuale, viceversa restituisce 0.

  • "Allineamento Corrente" – Restituisce una stringa con l'allineamento corrente.

  • "Piano di lavoro Corrente" – Restituisce una stringa con il piano di lavoro corrente.

  • "Valore Piano di Lavoro" – Restituisce il valore numerico corrispondente al piano di lavoro corrente.

  • "Approccio" – Restituisce il valore del punto di approccio corrente come reale in doppia precisione(double).

  • "Ritrazione" – Restituisce il valore del punto di ritrazione corrente come reale in doppia precisione(double).

  • "Controllo" – Restituisce il valore del punto di controllo corrente come reale in doppia precisione(double).

  • "Velocitá di Contatto" – Restituisce il valore della velocitá di contatto corrente come reale in doppia precisione(double).

  • "Velocitá di Movimento" – Restituisce il valore della velocitá di movimento corrente come reale in doppia precisione(double).

  • "Modalità Fly" – Restituisce 1 se PC-DMIS è in Modalità Fly, altrimenti restituisce 0.

  • "Ph9 presente" – Restituisce 1 se Ph9/Ph10 è presente, altrimenti restituisce 0.

  • "CMM Manuale" – Restituisce 1 se la CMM è manuale, altrimenti restituisce 0.

  • "LangStr(<Numero o ID>)" – Restituisce una stringa dalle risorse di PC-DMIS nella lingua corrente, da un numero di ID risorsa oppure da uno degli ID seguenti:
    "Yes", "No", "Oper", "Rept", "Input", "Doc", "YesNo", "Readout", "Internal", "External", "Rect ", "Polr ", "Out", "In", "Least_Sqr", "Min_Sep", "Max_Insc", "Min_CircSc", "Fixed_Rad", "Workplane", "Xaxis", "YAxis", "ZAxis", "Xplus", "Xminus", "YPlus", "YMinus", "ZPlus", "ZMinus", "Point", "Plane", "Line", "Circle", "Sphere", "Cylinder", "Round_Slot", "Square_slot", "Cone" o "None".

    Se il valore utilizzato è un numero positivo, PC-DMIS estrae la stringa dal file resource.dll. Se si utilizza un numero negativo, PC-DMIS estrae la stringa dal file strings.dll (tabella delle stringhe).

  • "Lamiera Estensioni" – Restituisce 1 se la casella di controllo Mostra Opzioni Estese per Lamiera è selezionata nella finestra di dialogo Opzioni di impostazione, altrimenti restituisce 0.

  • "Ultimo Mov. a Punto(X)" – Restituisce il valore di X del piú recente comando PUNTO/BASE o MUOVI/PUNTO. Pc-DMIS deve trovarsi in modalitá DCC.

  • "Ultimo Mov. a Punto(X)" – Restituisce il valore Y del piú recente comando PUNTO/BASE o MUOVI/PUNTO. Pc-DMIS deve trovarsi in modalitá DCC.

  • "Ultimo Mov. a Punto(Z)" – Restituisce il valore Z del piú recente comando PUNTO/BASE o MUOVI/PUNTO. Pc-DMIS deve trovarsi in modalitá DCC.

Per determinare se PC-DMIS si trovi in modalitá MANUALE oppure DCC, si conside per esempio la funzione GETSETTING:

Esempio:
ASSEGNA/VARMODDCC = GETSETTING("Modalità DCC")
assegna alla variabile VARMODDCC il valore 1 se PC-DMIS è in modalità DCC, altrimenti assegna 0.
ASSEGNA/VARMODMAN = GETSETTING("Modalità Manuale")
assegna alla variabile VARMODMAN il valore 1 se PC-DMIS è in modalità Manuale, altrimenti assegna 0.

Per determinare il piano di lavoro corrente, si consideri l'esempio seguente:

Esempio:
ASSEGNA/ID_PIANO_DI_LAVORO = GETSETTING("Piano di lavoro corrente")
assegna alla variabile ID_PIANO_DI_LAVORO il valore di stringa del piano di lavoro corrente (Z+, Z- ecc.).
ASSEGNA/VALORE_PIANO_DI_LAVORO = GETSETTING("Valore piano di lavoro")
assegna alla variabile VALORE_PIANO_DI_LAVORO un valore numerico che rappresenta il piano di lavoro. I piani di lavoro sono associate ai seguenti valiri numerici: Z+ = 0, Z- = 3, X+ = 1, X- = 4, Y+ = 2 o Y- = 5.

GETTEXT Restituisce il testo corrente del campo dati specificato: GETTEXT(<Stringa o Intero>, <Intero>, <Puntatore>)

Questa funzione dispone di tre campi.

Primo campo - Numero o Descrizione campo dati

Il primo campo può essere una stringa (la descrizione del campo dati) o il numero del campo dati.

Per avere questi valori:

1. Attivare la modalità Comando di PC-DMIS. Fare clic con il pulsante destro del mouse in un punto qualsiasi nella finestra di modifica. Viene visualizzato un menu di scelta rapida.

2. Dal menu di scelta rapida, selezionare Modifica visualizzazione popup, quindi Informazioni su tipo dati.

3. Posizionare il mouse su un campo dati nella finestra di modifica. Verranno visualizzati la descrizione, il numero e l'indice del tipo per l'elemento.

Nota: poiché la descrizione del tipo può essere diversa in base alla lingua, si consiglia di utilizzare il numero del tipo se si esegue il part-program in una lingua diversa da quella corrente.

Secondo campo - Tipo di indice

Il secondo campo corrisponde all'indice del tipo, che in genere è impostato su zero. Il valore corretto per questo campo è ottenibile nello stesso modo del valore per il primo campo.

Terzo campo - Puntatore di comando

Il terzo campo corrisponde a un puntatore di comando. Punta al comando contenente il campo dal quale viene ottenuto il testo. Questo campo può essere specificato utilizzando una notazione di puntatore comando (ad esempio, {F15}) oppure l'espressione GetCommand, come illustrato nell'esempio riportato di seguito.

Esempio:
ASSEGNA/V1 = GETTEXT("Best-fit di tipo matematico", 0, {F15})
Questo comando assegna a V1 il valore corrente del campo best-fit di tipo matematico dell'elemento F15.
ASSEGNA/V2 = GETCOMMAND("Commento", "INIZIO", 1)
ASSEGNA/V3 = GETTEXT("Tipo commento", 1, V2)
A V2 viene assegnato un puntatore al primo commento dall'inizio del part-program.
A V3 viene assegnato il valore del campo tipo commento. Se il primo commento nel part-program è un commento da visualizzare all'operatore, il valore di V3 sarà la stringa "OPER".

Vedere "Funzioni puntatore" per informazioni sull'impostazione di un puntatore per un comando.

INDEX Posizione della sottostringa: INDEX(<Stringa>, <Stringa>)
Restituisce la posizione della stringa secondaria all'interno di quella principale. La prima lettera della stringa è 1. Se non è possibile individuare la sottostringa all'interno della stringa principale, viene restituito il valore 0.

LEFT Primi n caratteri di una stringa: LEFT(<Stringa>, <Stringa>)
Restituisce una stringa costituita dai primi n caratteri specificati dalla seconda espressione in base a quanto specificato nella prima espressione. La prima espressione viene convertita in modo forzato nel tipo stringa, la seconda nel tipo intero.

LEN Lunghezza della stringa: LEN(<Stringa>)
Restituisce il numero di caratteri della stringa.

LOWERCASE Crea una stringa in caratteri minuscoli: LOWERCASE(<Stringa>)

Restituisce l'equivalente della stringa in caratteri minuscoli.

MID n caratteri centrali di una stringa: MID(<Stringa>, <Intero>, <Intero opzionale>)
Restituisce una sottostringa costituita dai caratteri della stringa specificata nel primo parametro a partire dalla posizione specificata dal secondo parametro e per la lunghezza di n caratteri specificata dal terzo parametro. Se il terzo parametro non viene specificato, viene restituita la parte restante della stringa.

ORD Conversione in ordinale: ORD(<Stringa>)
Restituisce il valore ASCII intero della prima lettera della stringa. (0-255).

RIGHT Ultimi n caratteri di una stringa: RIGHT(<Stringa>, <Intero>)
Restituisce una stringa costituita dagli ultimi n caratteri della stringa, in base a quanto specificato dal valore intero della stringa.

SYSTEMDATE Data sistema: SYSTEMDATE(<Stringa formato data>)

Restituisce la stringa in formato data, con le informazioni relative alla data corrente. Ad esempio, se la data corrente è 15 marzo 1999, il comando SYSTEMDATE("gg’/’MM’/’aa") restituisce la stringa "15/03/99".

Utilizzare i seguenti elementi della stringa per creare la stringa della data. È necessario rispettare le indicazioni relative all'uso delle maiuscole e minuscole riportate di seguito. Ad esempio, MM al posto di mm. I caratteri non relativi alla data (ad esempio gli spazi) presenti tra gli elementi che costituiscono la stringa in formato data, mantengono nella stringa di output la stessa posizione che avevano in quella di input. I caratteri della stringa di input compresi tra virgolette singole vengono visualizzati nella stessa posizione all'interno della stringa di output, ma senza virgolette.

g - Giorno del mese espresso in cifre, senza lo zero iniziale per le date composte da una sola cifra.

gg– Giorno del mese espresso in cifre, con lo zero iniziale per le date composte da una sola cifra.

ggg – Abbreviazione di tre lettere del giorno della settimana.

gggg – Nome completo del giorno della settimana corrente.

M – Mese espresso in cifre, senza lo zero iniziale per i mesi composti da una sola cifra.

MM – Mese espresso in cifre, con lo zero iniziale per i mesi composti da una sola cifra.

MMM – Abbreviazione di tre lettere del nome del mese.

MMMM – Nome completo del mese.

a – Anno espresso in cifre, senza lo zero iniziale per gli anni composti da una sola cifra.

aa – Anno espresso in cifre, con lo zero iniziale per gli anni composti da una sola cifra.

aaaa – Anno espresso in quattro cifre.

SYSTEMTIME Ora di sistema: SYSTEMTIME(<Stringa ora di sistema>)

Restituisce la stringa in formato ora, con le informazioni relative all'ora corrente. Ad esempio, il comando SYSTEMTIME("hh':'mm':'ss tt") restituisce la stringa "11:29:40 PM" se è l'ora corrente.

Utilizzare i seguenti elementi della stringa per creare la stringa relativa all'ora. È necessario rispettare le indicazioni relative all'uso delle maiuscole e minuscole riportate di seguito (tt anziché TT). I caratteri non relativi all'ora (ad esempio gli spazi) presenti tra gli elementi che costituiscono la stringa in formato ora, mantengono nella stringa di output la stessa posizione che avevano in quella di input. I caratteri della stringa di input compresi tra virgolette singole vengono visualizzati nella stessa posizione all'interno della stringa di output, ma senza virgolette.

h - Ora espressa in formato 12 ore, senza lo zero iniziale e cifra singola

hh – Ora espressa in formato 12 ore, con lo zero iniziale e cifra singola

H – Ora espressa in formato 24 ore, senza lo zero iniziale per i valori composti da una sola cifra

HH – Ora espressa in formato 24 ore, con lo zero iniziale per i valori composti da una sola cifra

m – Minuti, senza lo zero iniziale per i valori composti da una sola cifra

mm – Minuti, con lo zero iniziale per i valori composti da una sola cifra

s – Secondi, senza lo zero iniziale per i valori composti da una sola cifra

ss – Secondi, con lo zero iniziale per i valori composti da una sola cifra

t – Stringa identificativa dell'ora composta da un carattere, ad esempio A o P

tt – Stringa identificativa dell'ora composta da più caratteri, ad esempio AM o PM

SYSTIME Ora di sistema: SYSTIME()
Restituisce una stringa con l'ora di sistema corrente. Questa funzione è diversa dalla funzione SYSTEMTIME descritta sopra e restituisce automaticamente il giorno, la data e l'ora seguiti dall'anno.
Esempio: "Ven 2 maggio 13:50:21 1997"

Nota: la stringa relativa all'ora di sistema corrente restituita varia in base alle impostazioni del fuso orario locale.

UPPERCASE Crea una stringa in caratteri maiuscoli: UPPERCASE(<Stringa>)

Restituisce l'equivalente della stringa in caratteri maiuscoli.

FORMAT Formato: FORMAT(<Stringa>,<Integer,double,oppure punto>)

Questa funzione accetta due espressioni e restituisce una stringa formattata, come quando si utilizza la funzione sprintf in C++.

  • L'espressione 1 deve essere di tipo stringa e contiene uno o tre specificatori di formato. Se é di tipo diverso, si tenta di forzarla a stringa. La stringa deve contenere uno specificatore di formato se l'Espressione 2 è un tipo intero o double e tre specificatori di formato (vedere il paragrafo seguente) se l'Espressione 2 è un tipo punto.

  • L'Espressione 2 deve essere del tipo intero, double o punto. Se si usa un tipo diverso, il valore dell'espressione è 0.

Specificatore di Formato per Funzioni di Formato:

Lo specificatore di formato deve avere la stessa sintassi usata dalla funzione sprintf utilizzata nel linguaggio di programmazione C++.

Uno specificatore di formato contiene campi obbligatori e campi opzionali, ed ha la seguente sintassi:

%[flag] [larghezza] [.precisione] tipo

Ciascun campo dello specificatore di formato é un carattere singolo, oppure un numero che sta a significare una paricolare opzione di formato. Il piú semplice specificatore di formato usa soltanto il simbolo di percentuale seguito da un carattere ( per es. %d). Se il segno di percentuale é seguito da un carattere che non ha significato di campo di formato, tale carattere viene copiato in STDOUT(output standard). Per esempio, per stampare il carattere percento, si digiti %%.

Il flag, la larghezza e la precisione sono campi opzionali che precedono il tipo e gestiscono altri aspetti del formato. Tali valori vengono descritti più avanti.

flags Questi caratteri facoltativi gestiscono l'allineamento nell'output, la stampa dei segni, degli spazi, dei punti decimali e dei prefissi per numeri ottali ed esadecimali. Uno specificatore di formato puó presentare piú di un flag.

Ecco I flag possibili:

–
Significato: Allinea a sinistra il risultato all'interno dell'ampiezza di campo indicata.
Predefinito: Allineamento a destra.

+
Significato: Se il valore in output ha segno, un segno + oppure - lo precede.
Predefinito: Il segno viene visualizzato soltanto nel caso di numeri con segno negativo (–).

0
Significato: Se la larghezza del campo é preceduta da uno 0, vengono aggiunti zeri fino a completare la larghezza. Se c'é uno zero ed un segno -, lo zero viene ignorato. Se 0 é specificato in un formato intero(I,umx,X,o,d), lo 0 viene ignorato.
Predefinito: Nessun carattere di riempimento.

vuoto (' ')
Significato: Si faccia precedere l'output da uno spazio se esso é positivo e con segno; lo spazio viene ignorato se il segno + e i flag sono presenti.
Predefinito: Nessuno spazio vuoto.

#
Significato 1: Quando usato con I tipi o, x, oppure X, il flag # precede qualsiasi output non nullo con 0, 0x, oppure 0X, rispettivamente.
Predefinito 1: Nessun prefisso visualizzato.
Significato 2: Se usato insieme ai tipi e, E oppure f, il flag # forza l'output a contenere sempre un punto decimale.
Predefinito 2: Il punto decimale è presente soltanto se seguito da almeno una cifra significativa.
Significato 3: Se usato con g oppure G, il flag # forza l'output a contenere sempre il punto decimale ed impedisce il troncamento di zeri non significativi.
Predefinito 3: Il punto decimale è presente soltanto se seguito da almeno una cifra significativa. Gli zeri non significativi vengono troncati.
Nota: Ignorato se usato insieme a d, i oppure u.

larghezza Questo secondo campo opzionale, o argomento, gestisce il numero minimo di caratteri stampati. È un intero decimale non negativo.

  • Se il numero dei caratteri dell'output è inferiore alla larghezza specificata, vengono aggiunti spazi alla sinistra o alla destra dei valori, in base al flag di allineamento a sinistra, fino al raggiungimento della dimensione minima impostata.

  • Se il valore della larghezza del campo é preceduto da uno 0, vengono aggiunti zeri fino a completarne la larghezza.

  • La definizione della larghezza non causa mai il troncamento di un valore. Se il numero dei caratteri di output é maggiore della dimensione specificata, oppure se non se ne definisce alcun valore, vengono stampati tutti i caratteri, in base alla precisione definita di seguito:

precisione Questo terzo campo o argomento opzionale specifica il numero di caratteri da stampare, il numero di cifre decimali oppure il numero di cifre significative. A differenza della definizione di larghezza, la precisione puó causare sia il troncamento dell'output, sia l'arrotondamento, nel caso di un valore floating-point. Si tratta di un intero non negative, preceduto da un punto(.).

tipo Questo carattere è obbligatorio e determina se l'argomento associato è un intero, un double oppure un punto. Sono disponibili i seguenti tipi di scansione:

d - intero decimale con segno

i - intero decimale con segno

o - intero ottale senza segno

u - intero decimale senza segno

x - intero esadecimale senza segno, con la codifica "abcdef"

X - intero esadecimele senza segno, con la codifica "ABCDEF"

e - double in forma esponenziale [-]d.dddd e [sign]ddd

E - stesso di e, eccetto per l'utilizzo di E prima dell'esponente

f - double con la forma [-]dddd.dddd

g - assume il formato e, oppure f, a seconda di qual é il più compatto

G - stesso di g, eccetto per l'utilizzo di E prima dell'esponente

Esempio di FORMATO:

Questo esempio mostra alcuni statement che usano la funzione FORMAT in un part program.

ASSIGN/V1 = PROBEDATA("OFFSET") | V1 diventa di tipo punto e rappresenta gli Offset del tastatore corrente. Usando i valori del part-program in questo esempio, V1 diventa: <-1.8898, 1.8898, 5.704>
ASSIGN/V3 = FORMAT("%.5f, %.5f, %.5f", V1) | V3 diventa di tipo stringa. La stringa viene formattata usando l'oggetto punto della variabile V1. V3 ora contiene: -1.88976, 1.88976, 5.70403
ASSEGNA/V4 = 1.123456789 | V4 diventa di tipo double.
ASSIGN/V5 = FORMAT("%.5f ", V4) + FORMAT("%.6f ", V4) + FORMAT("%.7f ", V4) + FORMAT("%.8f", V4) | V5 diventa di tipo stringa con valore: 1.12346 1.123457 1.1234568 1.12345679
ASSIGN/V6A = "Il valore di V4 é: " + FORMAT("%.8f", V4) | V6A diventa di tipo stringa con valore: Il valore di V4 é: 1.12345679
ASSIGN/V6B = FORMAT("Il valore di V4 é: %.8f", V4) | Il risultato dell'espressione resta lo stesso di V6A sopra riportato.
ASSIGN/V7 = 4444 | V7 diventa double, poiché tutti i numeri si suppongono double, a meno che siano forzati ad interi.
ASSIGN/V8 = FORMAT("%o", INT(V7)) | V8 diventa di tipo stringa con valore: 10534
ASSIGN/V9 = FORMAT("%u", INT(-1)) | V9 diventa di tipo stringa con valore: 4294967295
ASSIGN/V10 = FORMAT("%x", INT(2143)) | V10 diventa di tipo stringa con valore: 85f
ASSIGN/V11 = FORMAT("%X", INT(9567)) | V11 diventa di tipo stringa con valore: 255F
ASSIGN/V12 = FORMAT("%e", 0.0005432) | V12 diventa di tipo stringa con valore: 5.432000e-004
ASSIGN/V13 = FORMAT("%E", 145.3421) | V13 diventa di tipo stringa con valore: 1.453421E+002
ASSIGN/V14 = FORMAT(",%6d,", INT(1)) | V14 diventa di tipo stringa con valore: , 1,
ASSIGN/V15 = FORMAT(",%-6d,", INT(1)) | V15 diventa di tipo stringa con valore: ,1 ,


Funzioni matematiche

ABS Valore assoluto: ABS(<Double>)
Restituisce il valore assoluto dell'input.

EXP Esponente: EXP(<Double>)
Restituisce l'esponente dell'espressione.

LOG Logaritmo in base 10: LOG(<Double>)
Restituisce il logaritmo in base 10 dell'espressione.

LN Logaritmo naturale: LN(<Double>)
Restituisce il logaritmo naturale dell'espressione.

ROUND Arrontondamento: ROUND(<Double>)
Restituisce l'input arrotondato al numero intero più vicino.

SQRT Radice quadrata: SQRT(<Double>)
Restituisce la radice quadrata dell'input.

Funzioni di trigonometria

Importante:ciascuna funzione trigonometrica accetta e restituisce radianti per impostazione predefinita. Se si desidera ottenere valori in gradi, utilizzare la funzione RAD2DEG descritta di seguito.

ACOS Arco coseno: ACOS(<Double>)
Restituisce l'arco coseno dell'espressione. Ad esempio, ACOS(5,0) restituisce il valore 0. In generale, ACOS(<espressione>) restituisce l'arco coseno del valore dell'espressione.

ASIN Arco seno: ASIN(<Double>)
Restituisce l'arco seno dell'input.

ATAN Arco tangente: ATAN(<Double>)
Restituisce l'arco tangente dell'input.

COS Coseno: COS(<Double>)
Restituisce il coseno dell'input.

DEG2RAD Radianti in gradi: DEG2RAD(<Double>)
Restituisce l'input diviso per 360 e moltiplicato per 2p. Inoltre, forza la conversione dei gradi in radianti.

RAD2DEG Radianti in gradi: RAD2DEG(<Double>)
Restituisce l'input moltiplicato per 360 e diviso per 2p. Inoltre, forza la conversione dei radianti in gradi.

SIN Seno: SIN(<Double> )
Restituisce il seno dell'input.

TAN Tangente: TAN(<Double>)
Restituisce la tangente dell'input.

Nota: le funzioni in cui l'input non è compreso nell'intervallo restituiscono il valore 0. Nel caso delle funzioni ACOS, ASIN, LOG, LN, SQRT e così via, si potrebbe verificare l'arresto del computer.


Funzioni Punto

ANGLEBETWEEN Angolo tra: ANGLEBETWEEN( <Punto>, <Punto>)
Restituisce l'angolo in gradi tra i due vettori.

CROSS Prodotto di intersezione: CROSS(<Punto>, <Punto>)
Restituisce un valore di tipo punto che rappresenta il prodotto di intersezione della prima e della seconda espressione.

DELTA Offset del vettore: DELTA(<Punto>, <Punto>, <Double>)
Viene utilizzata la prima espressione (punto) e viene calcolato un nuovo punto nella direzione della seconda espressione (vettore), in base all'offset della terza espressione. Ad esempio, DELTA(MPOINT(0,0,0), MPOINT(1,0,0), 10) restituisce il punto 10,0,0.

DOT Prodotto a punto: DOT(<Punto>, <Punto>)
Restituisce il prodotto scalare di due punti o vettori.

UNIT: Vettore unitario: UNIT(<Punto>)
Restituisce il punto diviso nella sua lunghezza. Ad esempio, UNIT(MPOINT(0,0,0)) restituisce il punto 0,0,1.


Funzioni puntatori

DIST2D: Distanza bidimensionale: DIST2D(<ELEMENTO1>, <ELEMENTO2>, <ELEMENTO3>)
Calcola la distanza bidimensionale tra l'elemento 1 e l'elemento 2 in seguito alla proiezione di questi due elementi sull'elemento 3.

DIST3D: Distanza tridimensionale: DIST3D(<ELEMENTO1>, <ELEMENTO2>)
Calcola la distanza tridimensionale tra l'elemento 1 e l'elemento 2.

GETCOMMAND: Ottiene un puntatore al comando specificato dai parametri: GETCOMMAND(<Intero o Stringa>, <Stringa>, <Intero>

Primo parametro - Campo Informazioni su comando

Il primo parametro è il campo delle informazioni sul comando e specifica il tipo di comando da cercare. Possono essere trasferiti i seguenti elementi:

  • Una stringa di descrizione del comando

  • Il numero del tipo di comando

  • L'identificatore univoco

Se viene trasferito l'ID univoco del comando, non sono necessari altri argomenti.

Per ottenere la stringa di descrizione, il numero del tipo e l'identificatore del comando, attenersi alla seguente procedura:

  1. Fare clic con il pulsante destro del mouse nella finestra di modifica.

  2. Scegliere Modifica visualizzazione popup | Informazioni su comando (PC-DMIS deve essere in modalità Comando).

  3. Posizionare il mouse sul comando desiderato. Verranno visualizzati la descrizione, il numero del tipo e l'identificatore del comando nel popup.

Secondo parametro - Direzione della ricerca

Il secondo parametro è la direzione della ricerca. I valori validi includono:

Valore | Descrizione
SU | Indica che la ricerca deve partire dal comando corrente e risalire verso l'inizio.
GIÙ | Indica che la ricerca deve partire dal comando corrente e procedere verso la fine.
INIZIO | Indica che la ricerca deve partire dall'inizio del part-program e procedere verso la fine.
FINE | Indica che la ricerca deve partire dall'ultimo oggetto nel part-program e risalire verso l'inizio.

Terzo parametro - Istanza da trovare

Il terzo parametro indica quale istanza del comando deve essere trovata.

Esempio: Se il part-program contiene quattro istanze di Imposta punta attiva e si desidera ottenere un puntatore alla seconda istanza a partire dall'inizio, vengono inviati "2" come terzo parametro e "INIZIO" come secondo parametro, come mostrato di seguito.

ASSEGNA/V1 = GETCOMMAND("Imposta Punta Attiva", "INIZIO", 2)

La funzione GETCOMMAND può essere utilizzata per fornire il terzo parametro alla funzione di stringa GETTEXT. Vedere "Funzioni stringa" per informazioni su GETTEXT.

LEN: Numero di loop del puntatore: LEN(<PUNTATORE>)
Restituisce il numero di loop di un puntatore. Ad esempio, se l'elemento CER1 si trova in un loop che esegue 10 iterazioni, è possibile memorizzare il numero di volte che CER1 è stato misurato in una variabile, utilizzando l'istruzione ASSEGNA come illustrato di seguito:ASSEGNA/V1=LEN({CER1})


Funzioni array

ARRAY: Crea un array: ARRAY(<ESPRESSIONE1>, <ESPRESSIONE2>, <ESPRESSIONE3>, …)
Crea un oggetto array con gli elementi indicati dai parametri dell'espressione. Gli elementi dell'array sono numerati con un indice di base 1.

EQUAL: Confronto di ciascun elemento degli array: EQUAL(<ARRAY>, <ARRAY>)
Confronta ciascun elemento di due array per determinare se gli array contengono gli stessi elementi. Se le dimensioni dei due array sono differenti o se non vi è corrispondenza tra due elementi di due array, la funzione restituisce il valore zero 0. Altrimenti, viene restituito il valore 1.

LEN: Conteggio degli elementi di array: LEN(<ARRAY>)
Restituisce il numero di elementi nell'array.

MAX: Elemento maggiore dell'array: MAX(<ARRAY>)
Restituisce l'elemento più grande nell'array. Gli elementi dell'array vengono confrontati numericamente o alfabeticamente.

MIN: Elemento minore dell'array: MIN(<ARRAY>)
Restituisce l'elemento più piccolo nell'array. Gli elementi dell'array vengono confrontati numericamente o alfabeticamente.


Funzioni derivanti da altre funzioni

FUNCTION - Crea una funzione:FUNCTION((<PARAM1>, <PARAM2>…), <ESPRESSIONE>)
Crea una funzione che utilizza il numero di parametri indicato dall'elenco di parametri e li sostituisce nell'espressione.

  • Quando si utilizza la parola chiave FUNCTION, l'elenco dei parametri rappresenta il primo elemento della funzione.

  • L'elenco contiene i nomi dei parametri separati da virgole.

  • L'elenco dei parametri è racchiuso tra parentesi.

  • Il secondo elemento è rappresentato dall'espressione.

  • L'espressione contiene i nomi dei parametri che devono essere sostituiti quando la funzione viene richiamata.

Vedere l'argomento "Esempio di funzione generica" per un esempio.


Funzioni varie

IF: Valutazione dell'espressione condizionale: IF(<ESPRESSIONE1>, <ESPRESSIONE2>, <ESPRESSIONE3>)

Se l'espressione 1 viene valutata come vera, ovvero con un valore diverso da zero, questa funzione restituisce il valore dell'espressione 2; altrimenti, viene restituito il valore dell'espressione 3.

PROBEDATA: Restituisce i dati relativi al tastatore corrente o specificato: PROBEDATA(<TIPO_DATI_TASTATORE_OPZ>, <ID_PUNTA_OPZ>, <NOME_FILE_TASTATORE_OPZ>)

OPTPROBEDATATYPE: Parametro facoltativo che consente di specificare il tipo di dati del tastatore restituito dall'espressione. Se questo parametro non viene specificato, viene restituito l'ID della punta corrente. Si tratta di un parametro di tipo stringa. È possibile inserire nella posizione della prima espressione tutte le espressioni valutate come stringa valida. Vengono di seguito riportate le espressioni di tipo stringa valide per il primo parametro, per le quali non è necessario rispettare le maiuscole e le minuscole. Si tratta di espressioni di tipo stringa che devono essere incluse tra virgolette:

Offset– X Misurato della Punta,Y, Offset Z. Viene restituito un valore di tipo punto.

Vettore – Vettore della punta. Viene restituito un valore di tipo punto.

A - Angolo A della punta. Viene restituito un valore di tipo doppio.

B – Angolo B della punta. Viene restituito un valore di tipo doppio.

Diam(etro)– Diametro della punta misurato. Oltre alle prime quattro lettere obbligatorie, "Diam", è possibile aggiungerne altre, fino ad inserire l'intero nome. Viene restituito un valore di tipo doppio.

Spess(ore) – Spessore misurato della punta. Oltre alle prime cinque lettere obbligatorie, "Spess", è possibile aggiungerne altre, fino ad inserire l'intero nome. Viene restituito un valore di tipo doppio.

Data– Data dell'ultima calibrazione della punta. restituisce un valore di tipo stringa.

Ora – Ora dell'ultima calibrazione della punta. restituisce un valore di tipo stringa.

ID– ID della punta. Questo parametro predefinito restituisce un valore di tipo stringa.

"PrbRdv"– È la deviazione radiale del tastatore. Viene restituito un valore di tipo doppio.

Standarddeviation – È la deviazione standard dei tastatori. Viene restituito un valore di tipo doppio.

C - L'angolo C di una testata -P del tastatore CW43 light. Viene restituito un intero.

Nota: se si aggiunge una "T" dopo "Offset", "Diametro" o "Spessore" vengono restituite le informazioni teoriche (ad esempio, OFFSET_T, DIAMETRO_T e SPESSORE_T).

ID_PUNTA_OPZ: Parametro facoltativo che consente di specificare la punta da utilizzare quando si ottengono i dati del tastatore specificati nella prima espressione. Se questo parametro non viene specificato, viene utilizzata la punta corrente. È opportuno utilizzare dati di tipo stringa.

NOME_FILE_TASTATORE_OPZ: Parametro facoltativo che consente di specificare il nome del file del tastatore da utilizzare per ottenere i dati relativi al tastatore. Se questo parametro non viene specificato, viene utilizzato il file del tastatore corrente.

ISIOCHANNELSET:Questa espressione utilizza due parametri. Il primo parametro indica il canale I/O che verrà verificato (l'intervallo di numeri disponibile varia in base alla macchina in uso). Il secondo parametro determina su quale delle due macchine, master o slave, il software eseguirà la query. Se il secondo parametro è impostato su 1 (uno), la query verrà eseguita sul controller slave. Se il secondo parametro è impostato su 0 (zero) o non è definito, il canale I/O eseguirà la query sul controller master. Il controller master costituisce l'unica opzione disponibile se non è attiva la modalità bracci multipli.

Nota: se il tipo di dati del tastatore, l'ID della punta, il nome del file del tastatore o il numero di canale forniti non sono validi, l'espressione viene valutata come 0.

Esempi:
ASSEGNA/V1 = PROBEDATA() | V1 viene impostata sull'ID della punta corrente, ovvero "T1A0B0".
ASSIGN/V2 = PROBEDATA("OFFSET_T", "T1A45B0") | V2 viene impostata sull'offset teorico del tastatore per la punta T1A45B0.
ASSIGN/V3 = PROBEDATA("Data", "T1A90B90", "TAST") | V3 viene impostata su una stringa che rappresenta la data dell'ultima calibrazione della punta T1A90B90 del file del tastatore TAST.
ASSIGN/V4 = ISIOCHANNELSET(3, 0) | V4 viene valutata come 1 (vera) se il canale è impostato; in caso contrario, viene valutata come 0 (falsa).

EOF e EOL: Per informazioni su queste funzioni, vedere "Controllo di fine file o di fine linea" nella sezione "Uso dei file di input/output" .


Funzione TutorElement

Con l'aggiunta del Traduttore Tutor, a partire dalla versione 3.5 di PC-DMIS è supportata la nuova funzione TutorElement intrinseca. Questa funzione accetta un argomento, che può essere un numero o una stringa (una stringa è rappresentata dall'ID di un elemento).

La funzione è utilizzata insieme al tipo di variabile, strutture. Vedere "Strutture" per informazioni sulla struttura e sugli elementi secondari.

Esempi:

ASSEGNA/E = TUTORELEMENT(1) | Crea una Struttura Tutor Element
ASSEGNA/WM = TUTORELEMENT(n) | Per i numeri superiori a 1, crea un array di n Tutor Element Structures
ASSEGNA/CER1E = TUTORELEMENT("CER1") | Copia i dati dall'elemento CER1 nelle strutture di elementi Tutor.

La struttura TutorElement attualmente presenta i seguenti elementi secondari:

Elemento secondario | Descrizione
ID | Stringa dell'ID dell'elemento
TIPO | INTEGER (FTYPE) [INTERO (TIPOE)]
X, Y, Z | Valori delle coordinate X, Y, Z
RP | Il raggio polare
AP | L'angolo polare.
CX | I
CY | J
CZ | K
DM | Diametro 1
DM2 | Diametro 2
DS | Distanza dall'origine
A | Angolo
AXY | Angolo nel piano XY
AYZ | Angolo nel piano YZ
AZX | Angolo nel piano ZX
F | Errore di forma
SDEV | Deviazione Standard
TP | Posizione reale


Funzione QualToolData

Questa funzione restituisce i dati relativi all'utensile di calibrazione corrente o specificato, con la seguente sintassi:

QUALTOOLDATA(<TOOLINFO>, <TOOLID>, <FACENUMBER>)

Questa funzione accetta fino a tre parametri. È necessario che almeno un parametro restituisca dei dati:

Il primo parametro, <TOOLINFO>, è una stringa che specifica il tipo di informazioni da restituire sull'utensile di calibrazione. Se non si invia questo parametro, questa funzione restituisce il nome dell'utensile di calibrazione corrente o specificato.

· "DIAM" – Restituisce il diametro dell'utensile come tipo double.

· "ID " – Restituisce il nome dell'utensile come valore di tipo stringa.

· "LENGTH" – Agisce allo stesso modo di "DIAM". Inoltre, restituisce il diametro dell'utensile come valore double.

· "OVERRIDEIJK" – Restituisce il vettore IJK di sovrascrittura ricerca come valore di tipo Punto.

· "POLYDIAM" – Restituisce il diametro della faccia poliedrica specificata come valore double.

· "POLYIJK" – Restituisce il vettore IJK della faccia poliedrica specificata come valore di tipo Punto.

· "POLYXYZ" – Restituisce il centro XYZ della faccia poliedrica specificata come valore di tipo Punto.

· "SHANKIJK" – Restituisce il vettore IJK del calibro come valore di tipo Punto.

· "TYPE" – Restituisce il tipo di utensile, codificato da un intero nel modo seguente: 0 = sfera(master), 1 = sfera slave, 2 = poliedro(master), 3 = poliedro slave.

· "WIDTH" – Parametro obsoleto.

· "XYZ" – Restituisce la posizione XYZ dell'utensile come valore di tipo Punto.

Il secondo parametro, <TOOLID>, è una stringa che specifica il nome dell'utensile di calibrazione per il quale si richiedono informazioni. Se questo parametro non viene passato, PC-DMIS assume che si vogliano informazioni riguardo all'utensile di calibrazione corrente. La stringa contiene indifferentemente maiuscole e minuscole ( non é case-sensitive).

Il terzo parametro, <FACENUMBER>, viene utilizzato solo quando si utilizza un utensile di calibrazione poliedrico e solo quando il primo parametro è "POLYXYZ", "POLYIJK" o "POLYDIAM". È un valore intero che specifica la faccia dell'utensile poliedrico da utilizzare per ottenere i dati.

Esempi:

ASSIGN/VDIAM = QUALTOOLDATA("DIAM","SPHERE_1_IN") | Assegna alla variabile VDIAM il diametro dell'utensile SPHERE_1_IN .
ASSIGN/VID = QUALTOOLDATA("ID") | Assegna alla variabile VID il nome dell'utensile corrente.
ASSIGN/VTYPE = QUALTOOLDATA("TYPE") | Assegna alla variabile VTYPE il tipo dell'utensile corrente.
ASSIGN/VPOLYDIAM = QUALTOOLDATA("POLYDIAM","POLYTEST",3) | Assegna alla variabile VPOLYDIAM il diametro della faccia 3 dell'utensile poliedrico, POLYTEST.


Esempi di funzione

Di seguito sono riportati esempi diversi di funzioni che possono aiutare a creare ed utilizzare funzioni personalizzate:

  • Esempio di funzione generica

  • Esempio di funzioni trasferite come variabili

  • Esempio di funzione contenente più parametri

  • Esempio di funzioni derivanti da altre funzioni

  • Esempio di funzioni definite come elementi di un array

  • Esempio di funzioni definite in modo iterativo


Esempio di funzione generica

Assegna/MYFUNC = FUNCTION((X,Y, Z), X*3 + Y*2 + Z) | Crea una funzione definita dall'utente e la assegna alla variabile MYFUNC. La funzione accetta tre parametri, X,Y e Z. X viene moltiplicato per 3. Y viene moltiplicato per 2. Z contiene semplicemente il valore inviato. Viene restituita la somma di X + Y + Z.
Assegna/V1 = MYFUNC(7,2,5) | Assegna a V1 il valore 30 valutando i parametri inviati nella funzione MYFUNC(7,2,5). 7 è il parametro e sostituisce tutte le ricorrenze di X presenti nella sezione dell'espressione relativa alla definizione della funzione. In questo modo, X*3 diventa 7*3 o 21. 2 sostituisce le ricorrenze di Y, quindi Y*2 diventa 2*2 o 4. 5 sostituisce le ricorrenze di Z. I valori vengono quindi sommati (21 + 4 + 5) e inviati a V1.


Esempio di funzioni trasferite come variabili

È possibile trasferire le funzioni come variabili. Il seguente esempio si basa sull'Esempio di funzione generica sopra riportata:

Assign/NEWFUNC = MYFUNC | Imposta la variabile NEWFUNC in modo che corrisponda alla funzione MYFUNC.
Assegna/V3 = NEWFUNC(12,2,3) | Assegna a V3 il valore 43 dalle espressioni valutate nella funzione (36 + 4 + 3).


Esempio di funzione contenente più parametri

Le funzioni possono contenere più parametri.

Assign/ADDANDDOUBLE = FUNCTION((A,B), 2*(A+B)) | Crea una funzione e la assegna a ADDANDDOUBLE. I due parametri inclusi nella funzione vengono sommati ed il relativo risultato moltiplicato per 2.
Assign/V2 = ADDANDDOUBLE(4, 5) | Assegna alla variabile V2 il valore 18. I parametri 4 e 5 vengono sostituiti nella porzione di espressione della funzione, diventando quindi 2*(4+5).


Esempio di funzioni derivanti da altre funzioni

Le funzioni possono creare altre funzioni.

Assign/COMPOSE = FUNCTION((F, G), FUNCTION((X), G(F(X)) )) | Definisce COMPOSE come una funzione contenente due funzioni identificate come parametri e crea una nuova funzione utilizzando le due funzioni.
Assign/ADD2 = FUNCTION((X), X+2) | Definisce ADD2 come una funzione che aggiunge il valore 2 al parametro trasferito.
Assign/ADD3 = FUNCTION((X), X+3) | Definisce ADD3 come una funzione che aggiunge il valore 3 al parametro trasferito.
Assign/ADD5 = COMPOSE(ADD2, ADD3) | Definisce ADD5 come una funzione costituita dalle funzioni ADD2 e ADD3.
Assign/V5 = ADD5(3) | Assegna alla variabile V5 il valore V8.


Esempio di funzioni definite come elementi di un array

Le funzioni possono essere definite come elementi di un array.

Assign/ANARRAY = ARRAY(3, FACTORIAL, "Ciao", ADD5) | Definisce ANARRAY come array costituito da 4 elementi: un numero (3), una funzione (FACTORIAL), una stringa ("Ciao") e una funzione (Add5).
Assign/V6 = ANARRAY[2](4) | La funzione FACTORIAL rappresenta il secondo elemento di ANARRAY. Il parametro 4 viene trasferito alla funzione e il risultato (24) viene assegnato alla variabile V6.
Assegna/V7 = ANARRAY[2](ANARRAY[4] (ANARRAY[1])) | Quindi: il primo elemento di ANARRAY (3) viene trasferito alla funzione del quarto elemento dell'array (Add5). Il risultato (8) viene trasferito alla funzione del secondo elemento dell'array (FACTORIAL) ed assegnato alla variabile V7. Alla variabile V7 viene assegnato il valore 40320.


Esempio di funzioni definite in modo iterativo

È possibile definire le funzioni in modo iterativo, ovvero autoreferenziale.

Assign/FACTORIAL = FUNCTION((X), IF(X<=1, 1, X*FACTORIAL(X-1)) | Crea una funzione denominata fattoriale contenente un parametro. Se il parametro è minore o uguale a 1, viene valutato come 1, altrimenti viene valutato come X moltiplicato per il prodotto fattoriale di X-1.
Assign/V4 = FACTORIAL(5) | Assegna alla variabile V4 il valore 120 (5*4*3*2*1).


Forzatura degli operandi

È possibile eseguire la forzatura degli operandi convertendoli in tipi diversi, mediante l'uso degli operatori di forzatura:

Altro

Forzatura nel tipo intero

Forzatura nel tipo doppio

Forzatura nel tipo stringa

Forzatura nel tipo punto

Espressioni di forzatura degli operandi e di tipo misto


Forzatura nel tipo intero

INT(<Espressione>) - Esegue la forzatura del valore dell'espressione convertendolo nel tipo intero

INT(4) | L'espressione viene valutata come 4.
INT(4,5) | L'espressione viene valutata come 4.
INT("Ciao") | L'espressione viene valutata come 0.
INT("2") | L'espressione viene valutata come 2.
INT("2,2") | L'espressione viene valutata come 2.
INT("3 topi bianchi") | L'espressione viene valutata come 3.
INT("I 3 topi bianchi") | L'espressione viene valutata come 0.
INT("3, 4, 5") | L'espressione viene valutata come 3.
INT(MPOINT(0, 0, 1)) | L'espressione viene valutata come distanza del punto dall'origine. In questo caso, viene valutata come 1.
INT(MPOINT(3, 4, 5)) | La distanza viene valutata come 7,0711 e l'espressione viene valutata come 7.


Forzatura nel tipo doppio

DOUBLE(<Espressione>) - Esegue la forzatura del valore dell'espressione convertendolo nel tipo double

DOUBLE(4) | L'espressione viene valutata come 4,0.
DOUBLE(4,5) | L'espressione viene valutata come 4,5.
DOUBLE("Una stringa") | L'espressione viene valutata come 0,0.
DOUBLE("3,5") | L'espressione viene valutata come 3,5.
DOUBLE("3,5 pollici") | L'espressione viene valutata come 3,5.
DOUBLE("Il diametro del cerchio misura 3,5 pollici") | L'espressione viene valutata come 0,0.
DOUBLE(MPOINT(0,0,1)) | L'espressione viene valutata come 1,0.
DOUBLE(MPOINT(3,4,5)) | L'espressione viene valutata come 7,0711.


Forzatura nel tipo stringa

STR(<Espressione>) - Esegue la forzatura del valore dell'espressione convertendolo nel tipo stringa

STR(4) | L'espressione viene valutata come "4".
STR(4,5) | L'espressione viene valutata come "4,5".
STR("Ciao") | L'espressione viene valutata come "Ciao".
STR(MPOINT(3,4,5)) | L'espressione viene valutata come "3, 4, 5".


Forzatura nel tipo punto

MPOINT(<Espressione1>, <Espressione2>, <Espressione3>) - Esegue la forzatura dei valori delle espressioni convertendoli nel tipo punto dopo aver eseguito la forzatura di ciascuna espressione nel tipo double.

MPOINT( 1, 1, 1) | L'espressione viene valutata come punto 1,0 , 1,0 ,1,0.
MPOINT( 1,1, 1,1, 1,1) | L'espressione viene valutata come punto 1,1, 1,1, 1,1.
MPOINT("1", "1", "1") | L'espressione viene valutata come punto 1,0 , 1,0 ,1,0.
MPOINT( 3, 4.5, "5.6") | L'espressione viene valutata come punto 3,0, 4,5, 5,6.
MPOINT( MPOINT(1, 0, 0), MPOINT(0,1,0), MPOINT(3,4,5) ) | L'espressione viene valutata come 1,0, 1,0, 7,0711.


Espressioni di forzatura degli operandi e di tipo misto

Lo strumento di valutazione delle espressioni esegue automaticamente la forzatura delle variabili convertendole in espressioni di tipo misto. Se la forzatura automatica non consente di ottenere il risultato di un'espressione corretto, è possibile risolvere il problema mediante l'uso degli operatori di forzatura. Vengono di seguito riportati alcuni esempi di forzatura automatica in espressioni di tipo misto.

"CER" + 1 | L'espressione viene valutata come "CER1".
"2" + 2 | L'espressione viene valutata come 4.
"Il valore di 2+2 è " + 2 + 2 | L'espressione viene valutata come "Il valore di 2+2 è 22". Le espressioni vengono valutate da sinistra verso destra.
"Il valore di 2+2 è " + (2 + 2) | L'espressione viene valutata come "Il valore di 2+2 è 4".
LINEA1.XYZ > 2 | Viene valutata come 1 se la distanza del baricentro di LINEA1 dall'origine è maggiore di 2.
LINEA1.XYZ > LINEA2.XYZ | L'espressione viene valutata come 1 se il baricentro di LINEA1 è maggiore della distanza dall'origine del baricentro di LINEA2.
LINEA1.XYZ = LINEA2.XYZ | L'espressione viene valutata come 1 se i baricentri di LINEA1 e LINEA2 corrispondono. In questo caso, la forzatura non viene eseguita.
DOUBLE(LINEA1.XYZ) = DOUBLE(LINEA2.XYZ) | L'espressione viene valutata come 1 se i baricentri si trovano alla stessa distanza dall'origine.
11% 3.1 | L'espressione viene valutata come 2 (% rappresenta l'operatore del modulo utilizzato con i numeri interi. Restituisce il resto di una divisione discreta. 11%3 = 2. )
CERCHIO1.PUNTO[3.2].X | La valutazione restituisce il valore X misurato del terzo punto di Cerchio1. L'argomento 3,2 viene automaticamente convertito in un numero intero di valore 3.


ID usati come Espressioni

Molti comandi di PC-DMIS utilizzano come parametri gli identificativi (ID) degli elementi. Ad esempio, gli ID vengono utilizzati per indicare gli elementi da utilizzare come input negli elementi costruiti. Le espressioni ID consentono all'utente di fare riferimento ad una specifica istanza di un elemento, a un gruppo di elementi con nomi simili, a un'istanza di un elemento in una chiamata ad una subroutine o ad un elemento di un part-program esterno.

Altro

ID array di elementi

Caratteri jolly degli ID

ID di elementi interni a subroutine, Basic Script o programmi esterni

Combinazione di espressioni ID


ID array di elementi

Utilizzare un ID di array elementi per fare riferimento a una specifica istanza di un elemento o ad istanze dell'elemento contenute in un intervallo. Ad esempio, se l'elemento "Cerchio1" viene posizionato in un loop WHILE eseguito cinque volte, all'uscita dal loop saranno state create cinque istanze del cerchio. Per fare riferimento a una singola istanza delle cinque istanze di "Cerchio1", utilizzare la sintassi di array dell'elemento descritta in "Array di elementi:" dove "Cerchio1[1]" fa riferimento alla prima istanza, "Cerchio1[2]" fa riferimento alla seconda istanza, ecc.

Per fare riferimento ad un intervallo di istanze, utilizzare la notazione ... "Cerchio1[1..3]" fa riferimento alle istanze di Cerchio1 comprese tra la 1° e la 3°. "Cerchio[3..5]" fa riferimento alle istanze di Cerchio1 comprese tra la 3° e la 5°. "Cerchio[1..5]" fa riferimento alle istanze di Cerchio1 comprese tra la 1° e la 5°. Quando si fa riferimento a un intervallo di elementi, l'insieme delle istanze viene considerato costruito e si comporta come tale.


Caratteri jolly degli ID

Usare i caratteri jolly degli ID per fare riferimento ad un insieme di elementi dal nome simile. I due caratteri jolly sono "*" e "?". (Vedere "Selezione degli elementi mediante i metacaratteri" nella sezione "Modifica della visualizzazione CAD" per informazioni aggiuntive).

L'asterisco "*" viene utilizzato per fare riferimento a 0 o più istanze di un carattere qualsiasi. Per indicare l'insieme di tutti gli elementi che iniziano con le lettere "CER", utilizzare l'ID di espressione "CER*"; in questo modo, viene creato un insieme di tutti gli elementi identificati dalle lettere "CER", ad esempio "CERCHIO1", "CERCHIO2", "CER3" o "CER".

Nota: se CER3 viene eseguito più volte, vengono utilizzate solo le misurazioni più recenti. Per ottenere le varie istanze delle esecuzioni, è possibile utilizzare la seguente espressione: CER?[1..3]

Il punto interrogativo "?" viene utilizzato per fare riferimento a una singola istanza di qualsiasi carattere.

Esempio: l'espressione ID "MIO???1" crea una serie di elementi costituiti da sette caratteri, che iniziano con "MIO" e terminano con "1", ad esempio "MIOCER1", "MIOCON1", "MIOLIN1" o "MIOFT21".


ID di elementi interni a subroutine, Basic Script o programmi esterni

È possibile posizionare le subroutine all'interno del part-program corrente oppure in un part-program esterno. Quando la subroutine viene posizionata nello stesso programma della chiamata alla subroutine, è possibile utilizzare la sintassi dell'ID dell'array elemento illustrata in "Array di elementi:" per fare riferimento a singole istanze di un elemento creato nella subroutine. Tuttavia, se la subroutine si trova in un part-program esterno, per fare riferimento agli elementi creati nella subroutine è possibile utilizzare la seguente sintassi: "<ID Sub Call>:<ID elemento>". Ad esempio, è possibile fare riferimento a un elemento denominato "F1" posizionato in una subroutine esterna chiamata da un comando Call Sub con l'ID "CS1", utilizzando l'espressione ID "CS1:F1".

Esempio: nell'esempio seguente viene illustrata la sintassi CS1.F1 solo a fini dimostrativi.

Programma 1: PLUS1.PRG

SUBROUTINE/PLUS1, A1 = 0, A2 = 0, A3 = 0
F1 =ELEM/PUNTO,RETT
TEOR /A1+1,A2+1,A3+1,0,0,1
REALE/3,1,1,0,0,1
MIS/PUNTO,1
PUNTO/BASE,A1+1,A2+1,A3+1,0,0,1,0,0,0
FINE_MIS/
ENDSUB/

Programma 2: TEST.PRG

CS1 =CALLSUB/PLUS1,D:\V30\WINDEBUG\PLUS1.PRG: 3,3,3,,
DIM D1= POSIZIONE DI PUNTO CS1:F1 UNITÀ=POLL ,$
GRAF=OFF TESTO=OFF MULT=10.00 OUTPUT=ENTRAMBI
AX NOMINALE TOLL_POS TOL_NEG MIS MAX MIN DEV FUORI_TOLL
X 3.0000 0.0000 0.0000 3.0000 3.0000 3.0000 0.0000 0.0000
----#----
FINE DIMENSIONE D1

I Basic Script consentono di creare ed eliminare gli oggetti in modo dinamico. Per fare riferimento a un elemento creato mediante un Basic Script, utilizzare la sintassi "<ID Basic Script >:<ID elemento>"; ad esempio, utilizzare l'espressione ID "BS1:F2" per fare riferimento a un elemento con ID "F2" creato mediante un Basic Script con ID "BS1".

È possibile allegare i programmi esterni a PC-DMIS utilizzando l'apposito comando. Per fare riferimento ad elementi contenuti nel programma allegato, usare la sintassi seguente: "<ID programma allegato>:<ID elemento>". Pertanto, l'espressione "GEAR1:F3" consente di fare riferimento all'elemento "F3" del part-program con l'ID "GEAR1". (Vedere "Aggiunta di un part-program esterno" nella sezione "Aggiunta di elementi esterni" per ulteriori informazioni).


Combinazione di espressioni ID

È possibile combinare espressioni ID array, espressioni ID caratteri jolly ed Espressioni ID delle subroutine esterne, dei Basic Script e dei part-program. Ad esempio, è possibile utilizzare l'espressione ID "BOLTPAT:CIR*[3]" per fare riferimento alla terza istanza di tutti gli elementi che iniziano con le lettere "CIR" presenti in un part-program esterno allegato con ID "BOLTPAT".

Inoltre, le Espressioni ID possono essere utilizzate nelle espressioni regolari. l'espressione riportata di seguito consente di assegnare alla variabile il baricentro misurato dell'insieme di elementi indicato in precedenza:

ASSIGN/V1 = BOLTPAT:CER*[3].XYZ

Inoltre, le Espressioni ID possono essere utilizzate nelle espressioni regolari. l'espressione riportata di seguito consente di assegnare alla variabile il baricentro misurato dell'insieme di elementi indicato in precedenza:

ASSIGN/V1 = BOLTPAT:CER*[3].XYZ


Accesso alle proprietà oggetto di un rapporto

A partire dalla versione 4.0, PC-DMIS supporta la capacità di creare rapporti e template di etichette personalizzati utilizzati da PC-DMIS per visualizzare i dati del rapporto nella finestra Rapporto (vedere Visualizza | Finestra rapporto). Tali template vengono creati utilizzando gli editor per template che si servono di un'interfaccia simile a Visual Basic che consente di inserire, riposizionare e assegnare dimensioni a componenti speciali denominati "oggetti".

Ciascun oggetto è composto da "proprietà" che definiscono il tipo di visualizzazione e le informazioni visualizzate. Alcune di tali proprietà sono in comune con tutti gli altri oggetti, altre sono in comune solo con oggetti correlati e altre sono univoche per un oggetto.

Il PC-DMIS Expression Language può eseguire query al rapporto correntemente caricato e ai valori di proprietà memorizzati di un particolare oggetto in una variabile. Può ottenere valori di tipo Stringa, Intero e Reale utilizzando la seguente sintassi:

Sintassi di query per la proprietà

Assegna/V1 = Report.<Nome oggetto>.<Nome proprietà>

Report si riferisce al rapporto correntemente caricato. <Nome oggetto> è il nome univoco dell'oggetto e <Nome proprietà> è un nome di proprietà valido per l'oggetto.

Un semplice esempio

Si supponga, ad esempio, che il template del rapporto contenga un oggetto testo denominato "Testo1" che si desidera utilizzare nel rapporto finale per visualizzare il nome dell'operatore. La stringa effettiva di caratteri che rappresenta il nome dell'operatore sarà memorizzata nella proprietà Testo dell'oggetto. Per impostazione predefinita, la proprietà del testo (testo visualizzato) inizialmente ha il valore "Testo1" (vedere la figura sotto riportata). Questo valore viene modificato quando l'operatore digita il proprio nome durante l'esecuzione.

Ricerca delle proprietà

Per individuare le proprietà associate a un determinato oggetto, accedere al template Rapporto nell'editor del template del rapporto (File | Rapporto | Modifica | Template rapporto), selezionare l'oggetto e fare clic con il pulsante destro del mouse sull'oggetto per visualizzare la relativa pagina delle proprietà.

La pagina delle proprietà per un oggetto Testo.

La pagina delle proprietà contiene due colonne. Nella colonna sinistra viene visualizzato il nome della proprietà e nella colonna destra viene visualizzato il valore corrente. Assicurarsi di utilizzare il nome della proprietà esatto nel codice dell'espressione.

Importante: quando si esegue una query dei valori della proprietà, è possibile che alcune proprietà restituiscano valori numerici apparentemente inutili. In genere, ciò si verifica quando la proprietà dispone di una serie di opzioni disponibili e PC-DMIS restituisce un valore interno per la proprietà selezionata che non è relativo alla proprietà visualizzata.

Ad esempio, l'oggetto Testo dispone di una proprietà Orientamento con i seguenti valori:
0 - Orizzontale
1 - Verticale up
2 - Verticale down

Tuttavia, se si ottiene il valore utilizzando il linguaggio delle espressioni di PC-DMIS, il software restituirà quanto segue:
0 (per Orizzontale)
900 (per Verticale up)
-900 (per Verticale down)

Può essere inevitabile dover eseguire delle prove e commettere degli errori per determinare quali valori restituiti corrispondono al valore visualizzato nella pagina delle proprietà.


Aggiunta di elementi esterni

Aggiunta di elementi esterni: Introduzione

Inserimento di un comando esterno

Come inserire un comando esterno

Opzione Visualizza

Opzione Non visualizzare

Opzioni Wait e No Wait

. . . pulsante

Creazione di un comando esterno come voce di menu o della barra degli strumenti

Esempio – Uso di un Comando Esterno per Visualizzare un File

Inserimento di Basic Script

Come inserire un Basic Script come comando

Come inserire un Basic Script come voce di menu o della barra degli strumenti

Passaggio di variabili da e verso Basic Script

Esempio 1: Uso della riga FUNZIONE per passare le variabili

Esempio 2: Uso dei metodi GetVariableValue e SetVariableValueper passare le variabili

Aggiunta di un part-program esterno

Utilizzo di un puntatore come riferimento ai dati

Inserimento di oggetti esterni

Crea nuovo oggetto

Crea da file

Collegamento

Visualizza come icona

Elenco Tipo di oggetto

Selezione di oggetti esterni per l'esecuzione

Visualizzazione File in modo diverso


Aggiunta di elementi esterni: Introduzione

In questa sezione vengono descritti i vari elementi esterni che è possibile inserire nei part-program. Tali elementi includono applicazioni, Basic Script, part-program e altri oggetti esterni in grado di migliorare ulteriormente la funzionalità del part-program in uso.

In questa sezione verranno trattati i seguenti argomenti:

  • Inserimento di un comando esterno

  • Inserimento di Basic Script

  • Aggiunta di un part-program esterno

  • Inserimento di oggetti esterni


Inserimento di un comando esterno

Finestra di dialogo Comando esterno

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando esterno consente di inserire nella finestra di modifica un comando che, una volta contrassegnato e lanciato, esegue un file batch o un file eseguibile esterno da part-program.

  • È possibile inserire i normali comandi DOS in un file batch per consentirne l'esecuzione.

  • Affinché PC-DMIS esegua il comando esterno, è necessario che il comando sia contrassegnato nella finestra di modifica.

  • Utilizzare un nome file e un percorso validi.

  • PC-DMIS arresta l'esecuzione del programma e visualizza un messaggio quando rileva il comando COMANDO ESTERNO/VISUAL durante l'esecuzione. Fare clic su OK per continuare l'esecuzione del part-program.

Altro

Come inserire un comando esterno

Opzione Visualizza

Opzione Non visualizzare

Opzioni Wait e No Wait

. . . pulsante

Creazione di un comando esterno come voce di menu o della barra degli strumenti

Esempio – Uso di un Comando Esterno per Visualizzare un File


Come inserire un comando esterno

Selezionare l'opzione di menu Comando esterno. Viene visualizzata la finestra di dialogo Comando esterno.

  1. Specificare un comando esterno all'interno della finestra di dialogo. È possibile digitare il percorso completo del file nella casella disponibile oppure cercare il file utilizzando il pulsante . . ..

  2. Scegliere Visualizza oppure Non visualizzare.

  3. Fare clic sul pulsante OK. Il comando viene inserito nella finestra di modifica.

La riga di comando della finestra di modifica per questa opzione è la seguente:

COMANDO_ESTERNO/STATO_VISUAL ; percorso

STATO_VISUAL = Questo campo consente di determinare se PC-DMIS deve sospendere l'esecuzione e visualizzare un messaggio per notificare un'esecuzione esterna. Questo campo può essere impostato su VISUALIZZ e NESSUNA_VIS..

percorso = Questa stringa rappresenta il percorso e il nome del file di esecuzione oppure del file batch.


Opzione Visualizza

Se si seleziona l'opzione Visualizza viene visualizzato un messaggio che indica che l'esecuzione del programma viene sospesa per eseguire il comando esterno. PC-DMIS sospende l'esecuzione fino a quando non si fa clic su OK nel messaggio visualizzato. Questo messaggio viene visualizzato solo se è stato attivato nella finestra di dialogo Opzioni visualizzazione avvertenze.

Per visualizzare il messaggio,

  1. Premere il tasto F5 per aprire la finestra di dialogo Opzioni di impostazione.

  2. Dalla scheda Generale, fare clic sul pulsante Avvertenze. Viene visualizzata la finestra di dialogo Opzioni visualizzazione avvertenze.

  3. Selezionare la casella di controllo OK Esecuzione sospesa per avviare un processo. Selezionare OK per continuare l'esecuzione.


Opzione Non visualizzare

Se si seleziona l'opzione Non visualizzare, il comando esterno specificato viene eseguito senza che venga visualizzato alcun messaggio. L'esecuzione in PC-DMIS prosegue durante l'esecuzione del file eseguibile o del file batch.


Opzioni Wait e No Wait

Queste opzioni diventano disponibili solo selezionando l'opzione Non visualizzare.

L'opzione Wait blocca l'esecuzione del part-program fino a quando il comando esterno non è terminato.

L'opzione No Wait continua l'esecuzione del part-program anche se il comando esterno non ha completato le operazioni.


. . . pulsante

Il pulsante . . . nella finestra di dialogo dá accesso alla finestra di dialogo Apri . e permette di scegliere il nome file del commando esterno. Una volta aperto il file, PC-DMIS inserisce il percorso completo nella finestra di dialogo Comando Esterno .


Creazione di un comando esterno come voce di menu o della barra degli strumenti

PC-DMIS consente di personalizzare le barre degli strumenti o i menu per accettare nuove voci di menu associate ai file .EXE, .BAT o .BAS. Per informazioni su tale operazione, vedere l'argomento "Personalizzazione dell'interfaccia utente" nella sezione "Spostamento all'interno dell'interfaccia" .


Esempio – Uso di un Comando Esterno per Visualizzare un File

L'esempio che segue mostra come creare un file di comandi (batch) esterno che apra e visualizzi un file utilizzando EXTERNALCOMMAND. Si supponga per esempio di voler visualizzare un'immagine, senza utilizzare l'opzione di menu Inserisci | Comando Rapporto | Oggetto Esterno; a tale scopo, è possibile utilizzare una linea di comandi (o DOS) all'interno di un file batch.

Nota:la caratteristica di questo approccio sta nel fatto che l'immagine non verrà visualizzata nel rapporto alla fine dell'esecuzione del part-program.

Innanzitutto, creare un file batch per visualizzare l’immagine:

  1. Aprire un editor testuale, come Notepad, e si scriva come prima riga il comando seguente:

start <PERCORSO>

dove <PERCORSO> è il percorso completo dell'immagine (ad esempio, start d:\temp\mypart.gif).

Questo comando indica a Windows di aprire il file dell'immagine utilizzando l'applicazione predefinita per la visualizzazione delle immagini.

  2. Salvare il file dandogli estenzione “bat”.

Quindi, creare un collegamento tra la finestra di dialogo Comando Esterno ed il file batch:

  1. Selezionare Inserisci | Comando Esterno. Viene visualizzata la finestra di dialogo Comando esterno.

  2. Fare clic sul pulsante .... Viene visualizzata la finestra di dialogo Apri.

  3. Nell'elenco Tipo File, in fondo alla finestra di dialogo Apri, scegliere il tipo File BAT (*.bat).

  4. Selezionare il file batch desiderato.

  5. Fare clic sul pulsante Apri. La finestra di dialogo Apri si chiude; adesso la finestra di dialogo Comando Esterno contiene il percorso completo del file batch (.bat).

La terza operazione consiste nell'inserire il comando:

  1. Scegliere se visualizzare un messaggio che mette in pausa l'esecuzione del part-program, selezionando Visualizza o Non visualizzare dalla finestra di dialogo Comando Esterno.

  2. Fare clic su OK ; il comando EXTERNALCOMMAND viene inserito nella finestra di modifica.
    COMANDO_ESTERNO/VISUALIZZA ; E:\BATCH\TEST.BAT

Infine, eseguire il part program.

  1. Selezionare il comando risultante nella finestra di Modifica.

  2. Eseguire il part program.

  3. PC-DMIS esegue il file batch specificato, visualizzando l'immagine e, in base alla selezione nella finestra Comando Esterno, mette in pausa o prosegue l'esecuzione del part-program, mentre l'immagine è visualizzata.


Inserimento di Basic Script

Visualizza Mappa Percorsi dei Menu

L'implementazione del linguaggio Basic in PC-DMIS consente di aggiungere nuove funzioni al software. È possibile scrivere script o applicazioni in linguaggio Basic direttamente in PC-DMIS oppure importarle da altri programmi ed associarle ad un pulsante su una barra degli strumenti personalizzata, in modo da consentire l'esecuzione di potenti macro. La versione del linguaggio Basic utilizzata da PC-DMIS offre tutte le funzioni di un linguaggio di alto livello, comprese le finestre di dialogo personalizzate (create utilizzando la finestra di modifica interna), nonché i supporti ODBC e OLE. Queste opzioni sono disponibili come opzioni aggiuntive al pacchetto di software geometrico PC-DMIS di base.

Nella riga di comando della finestra di modifica per uno script di esempio viene visualizzata la stringa seguente:
SCRIPT/NOME_FILE = C:\PCDMISW\sample.bas
FUNZIONE/Main,MOSTRA=SÍ,,
ENDSCRIPT/

Il campo NOME_FILE= consente di specificare il percorso del file BASIC (estensione del nome file .bas) che si desidera inserire ed eseguire nel part-program.

Il campo FUNZIONE/Main esegue la subroutine "Main". È possibile modificare queste impostazioni per specificare una subroutine o una funzione diversa nel file BASIC.

Il comando MOSTRA= consente di determinare se i comandi automaticamente generati da Basic Script vengono visualizzati nel part-program dopo l'esecuzione.

  • Quando si imposta MOSTRA=NO, i comandi generati non saranno visualizzati nelle modalità Riepilogo, Comando o DMIS (i comandi saranno ancora visualizzati nel rapporto di ispezione). Inoltre, PC-DMIS non salverà alcun comando generato con il part-program.

  • Quando si imposta MOSTRA=SÍ, i comandi generati vengono visualizzati nel part-program e PC-DMIS salverà i comandi generati con il part-program. L'impostazione predefinita è MOSTRA=SÍ per la compatibilità del part-program con le versioni precedenti.

Nel file della guida sul linguaggio Basic di PC-DMIS vengono fornite informazioni più dettagliate su questo pacchetto aggiuntivo. Se nel pacchetto del linguaggio Basic non è inclusa una copia del file della Guida, contattare un rappresentante dell'assistenza software PC-DMIS.

Altro

Come inserire un Basic Script come comando

Come inserire un Basic Script come voce di menu o della barra degli strumenti

Passaggio di variabili da e verso Basic Script

Uso dell'Editor Basic Script


Come inserire un Basic Script come comando

L'opzione di menu Inserisci | Basic Script consente di visualizzare la finestra di dialogo Inserimento Basic Script.

Visualizza Mappa Percorsi dei Menu

In questa finestra di dialogo è possibile aggiungere un oggetto Basic Script al part-program. Gli oggetti Basic Script contengono il nome dello script da eseguire quando viene eseguito l'oggetto Basic Script. L'esecuzione del part-program viene interrotta finché non viene completata l'esecuzione del Basic Script. Se l'esecuzione dello script crea degli oggetti, essi verranno inseriti nel part-program ed eseguiti. Gli oggetti inseriti dai Basic Script vengono evidenziati con un colore diverso rispetto agli altri oggetti, per indicarne l'origine. Per ulteriori informazioni sui Basic Script, consultare la Guida in linea sul linguaggio Basic di PC-DMIS BASIC .


Come inserire un Basic Script come voce di menu o della barra degli strumenti

PC-DMIS consente di personalizzare le barre degli strumenti o i menu per accettare nuove voci di menu associate ai file .EXE, .BAT o .BAS. Per informazioni su tale operazione, vedere l'argomento "Personalizzazione dell'interfaccia utente" nella sezione "Spostamento all'interno dell'interfaccia" .


Passaggio di variabili da e verso Basic Script

Dal codice PC-DMIS, le variabili possono essere solo passate ai Basic Script e non dai Basic Script.

I soli tipi di variabili supportati che possono essere passati nei Basic Script da PC-DMIS sono:

  • Integer

  • Stringa

  • Doppia

Fare riferimento agli esempi seguenti:

Nota:le variabili di PC-DMIS contengono valori solo durante l'esecuzione del part-program; in fase di apprendimento le variabili contengono sempre valori nulli.

Altro

Esempio 1: Uso della riga FUNZIONE per passare le variabili

Esempio 2: Uso dei metodi GetVariableValue e SetVariableValue per passare le variabili


Esempio 1: uso della riga FUNZIONE per passare le variabili

Il seguente comando esegue un Basic Script denominato TEST.BAS. Inoltre, durante l'esecuzione, passa le variabili definite dalla riga FUNZIONE/ nello script TEST.BAS:

CS2=SCRIPT/NOME_FILE= D:\PROGRAM FILES\PCDMIS35\TEST.BAS
FUNZIONE/ShowVars,3,"Hello",2.5,,
INIZIOSCRIPT/

Lo script TEST.BAS durante l'esecuzione visualizza le variabili inserite nelle rispettive finestre di messaggio:

Sub ShowVars(IntVar As Integer, StrVar As String, DoubleVar As Double)

msgbox "The passed integer variable is " & IntVar

msgbox "The passed string variable is " & StrVar

msgbox "The passed double variable is " & DoubleVar

End Sub


Esempio 2: Utilizzo di GetVariableValue e SetVariableValue

Esempio 2: Uso dei metodi GetVariableValue e SetVariableValue per passare le variabili

L'esempio che segue utilizza il codice di PC-DMIS per ricevere un valore intero dall'utente ed assegnarlo alla variable V1.

C1=COMMENTO/INPUT,Digitare un numero intero.
ASSEGNA/V1 = INT(C1.INPUT)
COMMENTO/OPER,BEFORE SCRIPT: La variable é:
,V1

Viene chiamato lo Script BASIC di nome TEST2.BAS.

CS1=SCRIPT/NOME_FILE= D:\PROGRAM FILES\PCDMIS35\TEST2.BAS
FUNZIONE/Main,,
INIZIO SCRIPT/
FINE SCRIPT/

Di seguito é presentato TEST2.BAS

Sub Main
Dim App As Object
Set App = CreateObject ("PCDLRN.Application")
Dim Part As Object
Set Part = App.ActivePartProgram
Dim Var As Object
Set Var = Part.GetVariableValue ("V1")
Dim I As Object
If Not Var Is Nothing Then
Var.LongValue = Var.LongValue + 1
Part.SetVariableValue "V1", Var
MsgBox "V1 is now: " & Var
Else
Msgbox "Could Not find variable"
End If
End Sub

Lo script accetta la variabile V1 e, utilizzando i metodi di automazione GetVariableValue e SetVariableValue, incrementa V1 di una unità e imposta il nuovo valore per V1 nel part-program.

PC-DMIS visualizza poi la variabile cambiata con un commento operatore.

COMMENTO/OPER,AFTER SCRIPT: La variabele è adesso
,V1


Aggiunta di un part-program esterno

Visualizza Mappa Percorsi dei Menu

Scegliere Inserisci | Allega part-program per visualizzare la finestra di dialogo Allega part-program esterno. In questa finestra di dialogo è possibile allegare un part-program al part-program corrente. In tal caso, PC-DMIS non allegherà ed eseguirà tutti i comandi nel part-program specificato. Piuttosto, allegherà un puntatore al part-program per consentire l'accesso ai relativi dati sulle dimensioni e gli elementi. Vedere "Utilizzo di un puntatore come riferimento ai dati".

Finestra di dialogo Allega part-program esterno

Sono disponibili le seguenti opzioni:

Opzione | Descrizione
Nome file part-program esterno | Digitare in questa casella il percorso del part-program da allegare. Se si desidera, è possibile utilizzare il pulsante Sfoglia in modo da inserire automaticamente il percorso del file.
Allineamenti programmi equivalenti | Questa sezione consente di condividere allineamenti tra due part-program selezionandoli dagli elenchi disponibili. Vedere "Definizione di un allineamento come equivalente" nella sezione "Creazione e uso degli allineamenti" per informazioni aggiuntive.

L'opzione di menu Allega part-program è particolarmente utile quando è attiva la modalità Bracci Multipli. Questa opzione consente infatti di allegare un part-program del braccio slave nel part-program del braccio master. Quando si allega un part-program, i dati vengono condivisi ed i bracci master e slave possono utilizzare lo stesso allineamento, trasmettere i dati relativi agli elementi da un part-program all'altro per l'esecuzione dei calcoli e, più in generale, lavorare congiuntamente. (Vedere la sezione "Uso di bracci multipli" per ulteriori informazioni sulla modalità dei bracci multipli).

Altro

Utilizzo di un puntatore come riferimento ai dati


Utilizzo di un puntatore come riferimento ai dati

Spesso, quando si accede ad un part-program allegato, si desidera utilizzare i dati presenti nel part-program stesso. Quando si fa riferimento a questo dati, è necessario fare riferimento al puntatore (o variabile) che contiene la posizione del part-program.

Si prenda l'esempio seguente:

Si supponga di voler allegare il file TEST_A.prg al part-program corrente. Il comando utilizzato per allegare un file è simile a quello riportato di seguito:

CS1=ALLEGA/C:\PCDMISW\TEST_A.PRG, Macchina=

ALLINEAMENTO EQUIVALENTE/LOCALE = A1, ALLINEAMENTO ALLEGATO = A1

Il puntatore, CS1. Questo puntatore viene utilizzato per estrarre i dati dal part-program allegato.

Si supponga ora di voler visualizzare il valore misurato X per l'elemento F1 presente nel file TEST_A.prg all'interno del part-program corrente. La necessaria istruzione sarà simile a quella riportata di seguito .

COMMENTO/OPER,"Il valore X di F1 secondo il part program allegato, é:"

,CS1:F1.X

Il codice, CS1:F1.X, indica a PC-DMIS di cercare l'elemento F1 nel file TEST_A.prg e di visualizzare il valore X. Tale sintassi regola il funzionamento dei puntatori all'interno di PC-DMIS.

PC-DMIS elenca anche gli elementi di un part-program allegato nella finestra di dialogo Costruzione o Dimensione. PC-DMIS visualizza il puntatore ID del part-program allegato all'interno della casella Elenco Elementi. A sinistra del puntatore viene visualizzato un segno più (+). Facendo clic su tale segno è possibile espandere o comprimere l'elenco di tutti gli elementi presenti nel part-program allegato. Dopo avere espanso la vista per visualizzare tutti gli elementi del part-program allegato, è possibile selezionare gli elementi desiderati per utilizzarli nel processo di costruzione o di creazione della dimensione.

Nota: il puntatore del programma allegato non può essere selezionato. È possibile selezionare solo gli ID espansi associati al puntatore.


Inserimento di oggetti esterni

Finestra di dialogo Inserisci oggetto

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Inserisci | Comando rapporto | Oggetto esterno consente di inserire nella finestra di modifica diversi tipi di oggetto da applicazioni esterne. I tipi di oggetto che è possibile inserire dipendono dalle applicazioni installate sul computer. È possibile inserire grafici, clip audio, video o MIDI, documenti, fogli di lavoro, tabelle di database e altro ancora. Utilizzare gli oggetti esterni per importare video didattici, istruzioni audio o documenti di testo nel part-program.

Importante: assicurarsi di attivare la modalità Comando nella finestra di dialogo [image] quando si utilizzano gli oggetti esterni.

Altro

Crea nuovo oggetto

Crea da file

Visualizza come icona

Elenco Tipo di oggetto

Selezione di oggetti esterni per l'esecuzione

Visualizzazione File in modo diverso

Display as Icon Cancel buttonOK buttonObject Type listCreate from FileCreat New option


Crea nuovo oggetto

L'opzione Crea nuovo oggetto consente di creare un nuovo file per un determinato tipo di oggetto nella posizione specificata nella finestra di modifica. Nell'elenco Tipo di oggetto viene visualizzato un elenco dei tipi di oggetti disponibili. È possibile inserire gli oggetti soltanto immediatamente prima o immediatamente dopo un elemento nel part-program.

Per creare un nuovo oggetto ed inserirlo nella finestra di modifica, effettuare le seguenti operazioni:

  1. Fare clic sull'opzione Crea nuovo oggetto.

  2. Selezionare il tipo di oggetto desiderato tra quelli disponibili nell'elenco Tipo di oggetto. L'oggetto verrà visualizzato in un riquadro tratteggiato all'interno della finestra di modifica. Utilizzare il mouse per trascinare il riquadro in un'altra posizione o modificarne le dimensioni mediante il tratteggio.

  3. Fare doppio clic all'interno dell'oggetto. L'applicazione associata all'oggetto verrà aperta nella finestra di modifica.

  4. Modificare l'oggetto utilizzando gli strumenti specifici dell'applicazione di provenienza dell'oggetto.

  5. Una volta completata l'operazione, fare clic nella finestra di modifica all'esterno dell'oggetto inserito.

Esempio:per includere un nuovo documento Word nella finestra di modifica:

  1. Fare clic sull'opzione Crea nuovo oggetto.

  2. Selezionare un oggetto documento Word nell'elenco Tipo di oggetto.

  3. Utilizzare il mouse per trascinare il riquadro dell'oggetto nella posizione desiderata all'interno della finestra di modifica.

  4. Se necessario, modificare la dimensione del riquadro.

  5. Inserire le informazioni nell'oggetto documento Word.

  6. Fare clic all'esterno dell'oggetto per tornare alle normali funzioni della finestra di modifica di PC-DMIS. Il documento Word continuerà ad essere visualizzato nella finestra di modifica.

Esempio di un documento Word creato nella finestra di modifica. I menu e le barre degli strumenti della finestra di modifica vengono sostituiti con i menu e le barre degli strumenti dell'applicazione che corrisponde all'oggetto che si sta creando.


Crea da file

L'opzione Crea da file consente di inserire un file creato in precedenza come oggetto nella finestra di modifica.

Per inserire un oggetto creato in precedenza, effettuare le seguenti operazioni:

  1. Selezionare l'opzione Crea da file.

  2. Digitare il percorso in cui è presente il file da inserire come oggetto.Oppure, utilizzare il pulsante Sfoglia per aprire la directory corretta.

  3. Selezionare il file da inserire come oggetto.

  4. Fare clic sul pulsante OK. L'oggetto verrà visualizzato nella finestra di modifica. Utilizzare il mouse per trascinare il riquadro in un'altra posizione o modificarne le dimensioni mediante il tratteggio.

Esempio: se si desidera inserire nella finestra di modifica un documento Word precedentemente creato, nel quale sono descritte le istruzioni per il funzionamento della macchina CMM, selezionare l'opzione Crea da file, passare alla directory contenente il documento e fare clic su OK. Il documento viene visualizzato all'interno dell'apposito riquadro nella finestra di modifica. Utilizzare il mouse per spostare il riquadro dell'oggetto nella posizione desiderata all'interno della finestra di modifica e per modificarne le dimensioni.

Altro

Collegamento


Collegamento

Quando si seleziona l'opzione Crea da file, è possibile "collegare" l'oggetto alla finestra di modifica. Se si collega l'oggetto al file originale, l'oggetto visualizzato nella finestra di modifica rifletterà le modifiche apportate al file originale.


Visualizza come icona

La casella di controllo Visualizza come icona consente di visualizzare l'oggetto incorporato sotto forma di icona, anziché visualizzare direttamente le informazioni. Per attivare l'icona nella finestra di modifica, fare doppio clic su di essa.

Esempio: Si supponga di posizionare un documento Word nella finestra di modifica e di selezionare la casella di controllo Visualizza come icona .Il documento Word viene visualizzato come icona. Tuttavia, se si fa doppio clic sull'icona, l'applicazione associata all'oggetto viene aperta e le informazioni contenute nel documento Word vengono visualizzate.

Esempio di un oggetto documento Word visualizzato come icona


Elenco Tipo di oggetto

Esempio di un elenco Tipo di oggetto

Nell'elenco Tipo di oggetto viene visualizzato l'elenco dei tipi di oggetti disponibili sul computer Gli oggetti possono variare in base ai programmi installati sull'unità disco rigido.

Per scegliere un tipo di oggetto, effettuare le seguenti operazioni:

  1. Utilizzare la barra di scorrimento oppure i tasti FRECCIA SU o FRECCIA GIÙ per ricercare l'oggetto.

  2. Selezionare l'oggetto.

  3. Fare clic sul pulsante OK.


Selezione di oggetti esterni per l'esecuzione

Durante l'esecuzione di un part-program, gli oggetti esterni vengono automaticamente visualizzati ma non vengono eseguiti. Tuttavia, è possibile selezionare alcuni oggetti per l'esecuzione anziché per la visualizzazione.

Esempio: quando si incorpora un grafico, è possibile accettare l'impostazione predefinita per visualizzare il grafico nel rapporto; quando si incorpora un clip audio o video, è possibile modificare l'impostazione predefinita in modo da avviare la riproduzione del clip durante l'esecuzione.

Sono disponibili quattro modalità di esecuzione per oggetti esterni:

  1. Visualizza - Non eseguire

  2. Non visualizzare - Non eseguire

  3. Non visualizzare - Esegui

  4. Visualizza - Esegui

Per attivare le varie modalità, premere F3 con il punto di inserimento sulla stessa riga dell'oggetto esterno nella finestra di modifica.

Linee di riempimento¾linee diagonali che attraversano il grafico. Contorni tratteggiati¾linee diagonali che attraversano il bordo del grafico. | Per indicare la modalità corrente di esecuzione degli oggetti vengono utilizzate linee di riempimento e contorni tratteggiati. Per maggiori informazioni, vedere gli esempi di seguito.
 | Nessun riempimento tratteggiato | Se sopra l'oggetto non appare alcuna linea di riempimento, l'oggetto verrà visualizzato nel rapporto.
 | Contorno tratteggiato | Un contorno tratteggiato attorno all'oggetto indica che l'oggetto verrà eseguito.

Nota:l'azione di esecuzione varia in base al tipo di oggetto esterno selezionato. Per i clip audio e video, in genere l'azione predefinita è riproduci. Per la maggior parte degli altri oggetti, l'azione predefinita è modifica.
Riproduci Verrà riprodotto l'audio dei clip audio. Verrà riprodotto il video dei clip video, ecc.

Modifica Gli oggetti per i quali è impostata un'azione predefinita di modifica, in genere, non devono essere eseguiti. Tuttavia, alcuni oggetti applicazione possono eseguire Basic Script personalizzati quando vengono attivati. Un documento Word o un foglio di lavoro Excel rappresentano degli esempi di questo tipo di oggetti esterni. I comandi di automazione di PC-DMIS consentono di modificare gli oggetti che utilizzano dei dati del part-program. Ad esempio, è possibile inserire un grafico Excel in un part-program contenente un Basic Script che, una volta attivato, estrae i dati dal part-program utilizzando i comandi di automazione e apporta le necessarie modifiche al grafico prima che venga visualizzato nel rapporto di ispezione.


Visualizzazione File in modo diverso

Un altro metodo per visualizzare i file è di utilizzare il comando EXTERNALCOMMAND della finestra di modifica. Vedere "Esempio - Uso di un comando esterno per visualizzare un file" per informazioni.


Uso della Modalità Bracci multipli

Attiva modalità Bracci multipli: Introduzione

Impostazione di una macchina CMM a bracci multipli

Passo 1: Installazione di PC-DMIS su tutti i computer

Passo 2: Impostazione del sistema Master

Passo 3: Corrispondenza tra gli assi della macchina CMM relativi a ciascun braccio

Passo 4: Configurazione dell'orientamento del montaggio della testata del tastatore

Passo 5: Impostazione Master/Slave

Questo computer (slave) necessita di comandi dal computer principale (master)

Questo computer (master) gestisce tutti i bracci

Questo computer non viene usato in una configurazione con bracci multipli

Passo 6: Connessione dei computer

Passo 7: Attiva modalità Bracci multipli

Passo 8: Calibrazione del sistema a bracci multipli

Procedura di calibrazione - Parte 1

Procedura di calibrazione - Parte 2

Esecuzione di una calibrazione automatica

Passo 9: File di calibrazione bracci multipli

File di Calibrazione Tastatore del Braccio Master

File di calibrazione tastatore del braccio slave

Passo 10: Impostazione origine del sistema a bracci multipli

Creazione di un part-program utilizzando la modalità Master/Slave

Assegnazione di un comando ad un braccio

Assegnazione dei comandi esistenti ad un nuovo braccio

Esecuzione programma per sistema a bracci multipli

Impostazioni iniziali per Sistemi Multibraccio

Blocco di un braccio per impedire la collisione

Uso di un comando di movimento sincronizzato

Uso di un comando di spostamento esclusivo

Uso della compensazione termica con la calibrazione di bracci multipli

Esecuzione di un part-program master sul braccio slave

Aggiunta di un'icona per l'esecuzione di PC-DMIS in modalità Inverti assi


Attiva modalità Bracci multipli: Introduzione

La modalitá Bracci Multipli é stata creata per poter controllare CMM con piú di un braccio. La modalità Bracci Multipli è disponibile come pacchetto aggiuntivo. La versione corrente gestisce due bracci nella modalitá Bracci Multipli I due bracci devono essere connessi a computer separate, ciascuno corredato di una versione di PC-DMIS e di un portlock. Questi bracci condividono un allineamento comune.

Nelle versioni future di PCDMIS, sarà possibile gestire fino a quattro bracci di macchina da una sola versione di PC-DMIS, utilizzando qualsiasi combinazione di un numero di computer compreso tra 1 e 4.

Sebbene il processo di misurazione sia uguale a quello eseguito mediante una macchina a braccio singolo, quando si utilizza un sistema a bracci multipli, è necessario che PC-DMIS identifichi il braccio che esegue la misurazione. Gli argomenti in questa sezione illustreranno la procedura per eseguire questa operazione.

Gli argomenti principali in questa sezione sono l'impostazione di una macchina CMM multibraccio, la creazione di part-program utilizzando più bracci e l'esecuzione di un part-program 'master' su un braccio 'slave'. Gli argomenti trattati sono:

  • Impostazione di una macchina CMM a bracci multipli

  • Creazione di un part-program utilizzando la modalità Master/Slave

  • Esecuzione di un part-program master sul braccio slave

Nota: prima di eseguire la modalità multibraccio, è necessario installare PC-DMIS su tutti i sistemi.


Impostazione di una macchina CMM a bracci multipli

Per installare una macchina CMM a due bracci, effettuare la seguente procedura:

Altro

Passo 1: Installazione di PC-DMIS su tutti i computer

Passo 2: Impostazione del sistema Master

Passo 3: Corrispondenza tra gli assi della macchina CMM relativi a ciascun braccio

Passo 4: Configurazione dell'orientamento del montaggio della testata del tastatore

Passo 5: Impostazione Master/Slave

Passo 6: Connessione dei computer

Passo 7: Attiva modalità Bracci multipli

Passo 8: Calibrazione del sistema a bracci multipli

Passo 9: File di calibrazione bracci multipli

Passo 10: Impostazione origine del sistema a bracci multipli


Passo 1: Installazione di PC-DMIS su tutti i computer

La prima operazione da eseguire consiste nell'installazione di PC-DMIS sui computer collegati ai bracci. Se necessario, consultare la documentazione relativa alle procedure di installazione del software.

L'opzione Bracci Multipli deve essere programmata su tutti i portlock. A tale scopo, effettuare le seguenti operazioni:

  1. Selezionare ? | Informazioni su PC-DMIS per Windows. Viene visualizzata la finestra di dialogo Informazioni su PC-DMIS per Windows nella quale vengono fornite le informazioni sugli sviluppatori e sui moduli installati.

  2. Selezionare l'elenco a discesa Moduli e ricercare Bracci Multipli. Se tale opzione è visualizzata nell'elenco, viene automaticamente attivata per il blocco della porta corrente.

È necessario che questa opzione sia disponibile su tutti i computer.

Passo successivo


Passo 2: impostazione del sistema Master

impostazione del sistema Master In molti casi, è possibile utilizzare qualsiasi controller di braccio. Tuttavia, se il sistema a bracci multipli dispone di una tavola rotante, è necessario che il braccio master abbia come controller il controller di tale tavola.

Creare le etichette per i bracci master e slave. Solitamente, il braccio master viene denominato "BRACCIO1" e il braccio slave "BRACCIO2".

Passo successivo


Passo 3: corrispondenza tra gli assi della macchina CMM relativi a ciascun braccio

È necessario che esista una corrispondenza tra gli assi relativi a ciascun braccio. Pertanto, è necessario che gli assi X+, Y+ e Z+ relativi a ciascun braccio siano impostati nella stessa direzione.

Per modificare le direzioni e le assegnazioni degli assi, effettuare le seguenti operazioni:

Visualizza Mappa Percorsi dei Menu

  1. Accertarsi che PC-DMIS venga eseguito in modalità in linea.

  2. Sul computer slave, selezionare Modifica | Preferenze | Imposta interfaccia CMM. Viene visualizzata la finestra di dialogo Opzioni Macchina.

  3. Selezionare la scheda Assi . Verranno visualizzate le caselle relative alla corrispondenza assi, per X,Y e Z.

  4. Utilizzando gli elenchi X, Y o Z, riassegnare gli assi della macchina CMM collegata in modo che corrispondano a quelli del braccio master. In genere è necessario modificare soltanto gli assi X e Y.

  5. Fare clic su Applica per rendere effettive le modifiche apportate.

  6. Una volta chiusa la finestra di dialogo, uscire da PC-DMIS.

  7. Riavviare PC-DMIS e verificare che le modifiche apportate siano corrette spostando gli assi di entrambi i bracci nella stessa direzione. Accertarsi che i contatori degli assi riportino correttamente l'incremento.

Nota:i valori numerici riportati nei contatori non saranno corrispondenti fino a quando non viene completata la calibrazione Master/Slave.

Passo successivo


Passo 4: configurazione dell'orientamento del montaggio della testata del tastatore

Quando PC-DMIS è caricato su tutti i sistemi e la corrispondenza degli assi è correttamente impostata, configurare l'orientamento della testata del tastatore:

  1. Selezionare Modifica | Preferenze | Impostazione per aprire la finestra di dialogo Opzioni impostazione. Visualizza Mappa Percorsi dei Menu

  2. Selezionare la scheda Pezzo/CMM.

  3. Fare clic sul pulsante Orientamento testata tastatore . Viene visualizzata la finestra di dialogo Configurazione Angolo Polso Testata Tastatore.

Finestra di dialogo Configurazione angolo polso testata tastatore

  4. Impostare correttamente l'orientamento di montaggio per ciascun braccio della CMM come necessario.

Passo successivo

Vedere anche:

Questo computer (slave) necessita di comandi dal computer principale (master)

Questo computer (master) gestisce tutti i bracci

Questo computer non viene usato in una configurazione con bracci multipli


Passo 5: impostazione Master/Slave

Il passo seguente illustra l'impostazione della modalità bracci multipli sul computer in uso. Selezionare l'opzione di menu Modifica | Preferenze | Imposta Master/Slave. Questa opzione di menu consente di visualizzare la finestra di dialogo Impostazione Master/Slave.

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Impostazione Master/Slave

In questa finestra di dialogo è possibile determinare se il computer in uso è il computer master che invia comandi al braccio slave, oppure è il computer slave che attende i comandi da parte del computer master.

Una volta completate le impostazioni in questa finestra di dialogo, fare clic su OK; PC-DMIS visualizza un messaggio in cui richiede di riavviare PC-DMIS per rendere effettive le modifiche.

  • Questo computer (slave) necessita di comandi dal computer principale (master)

  • Questo computer (master) gestisce tutti i bracci

  • Questo computer non viene usato in una configurazione con bracci multipli

Passo successivo

Cancel button OK buttonThis computer is not used ina a multiple arm settingThis computer drives all armsThis computer relays commands from the main computer


Questo computer (slave) necessita di comandi dal computer principale (master)

L’opzione 'Questo computer (slave) dipende dal computer principale da cui riceve I comandi' consente al computer di operare soltanto con un braccio slave e deve ricevere i comandi dal computer principale. È possibile collegarsi tramite protocollo TCP/IP.


Questo computer (master) gestisce tutti i bracci

L'opzione 'Questo computer (master) pilota tutti I bracci' permette al computer di pilotare tutti i bracci. È possibile scegliere di collegare il computer ad altri bracci utilizzando Connessione Diretta o Connessione Remota.

Se si seleziona Connessione Remota, è possibile collegare altri bracci. A tale scopo, operare come segue:

  1. Scegliere il braccio nell'elenco Impostazioni di Connessione Braccio.

  2. Digitare l'indirizzo IP nella casella corrispondente a Connessione remota. Digitare il numero di porta dell'indirizzo IP nella casella Numero porta.

  3. Specificare il valore del ritardo (delay) di connessione TCPIP nella casella Ritardo connessione TCPIP in millisecondi. Tale ritardo é il tempo che precede un tentativo di connessione TCPIP al braccio corrente.


Questo computer non viene usato in una configurazione con bracci multipli

Se il computer non è coinvolto in un'impostazione di un sistema multibraccio, selezionare l'opzione 'Questo computer non è usato nell'impostazione multibraccio'.


Passo 6: Connessione dei computer

Occorre ora collegare I computer, perché possano comunicare . È possibile collegare i due computer mediante un cavo seriale null modem, oppure utilizzare il collegamento in rete, se disponibile. L'argomento "Passo 5: Impostazione Master/Slave" consente di configurare le impostazioni di comunicazione.

dopo che é avvenuto il collegamento fisico.

  1. Avviare PC-DMIS sul sistema Slave. Non creare un nuovo part-program e non attivare un programma. A questo punto, il sistema slave risulta disponibile.

  2. Avviare PC-DMIS sul sistema master. Creare un nuovo part-program oppure attivarne uno esistente. Quando si crea un nuovo part-program, PC-DMIS apre automaticamente la finestra di dialogo Utility tastatore.

  3. Selezionare o creare un file del tastatore che descriva un tastatore sul braccio master. Accertarsi di aggiungere un angolo AB per la punta da utilizzare per calibrare il rapporto tra i due bracci. Non calibrare adesso il tastatore.

Passo successivo


Passo 7: Attiva modalità Bracci multipli

Dopo avere impostato entrambi i computer e avere avviato un part-program, è possibile selezionare il menu Operazione | Attiva modalità Bracci Multipli sul computer collegato al braccio master; Selezionare l'opzione Attiva Modalità Bracci Multipli.

Visualizza Mappa Percorsi dei Menu

PC-DMIS visualizza come attivata l'opzione a sinistra di Operazione | Attiva modalità bracci multipli dal menu. PC-DMIS visualizza inoltre la barra degli strumenti Bracci attivi

Quando PC-DMIS attiva la modalità multibraccio, tenta di stabilire un collegamento tra tutti gli elementi del sistema multibraccio, per coordinarne le attivitá.

Risoluzione di problemi

Se PC-DMIS non riesce a stabilire la connessione tra I computer, dopo aver attivato la modalitá multibraccio, visualizza un messaggio che informa della mancata risposta da parte del braccio indirizzato. Le cause del problema possono essere:

  • PC-DMIS non é attivo sul computer

  • Un part program online è attivo sul computer slave.

  • La connessione fisica o di rete tra i computer non funziona correttamente.

  • Le impostazioni effettuate nella finestra di dialogo Impostazioni Multibraccio non sono corrette.

Una volta stabilita una connessione tra i due computer, è possibile eseguire la calibrazione del rapporto tra i due bracci.

Nota:se si esce da un part program attivo, PC-DMIS esce dalla modalità multibraccio.

Passo successivo


Passo 8: Calibrazione del sistema a bracci multipli

Questo passo illustra la calibrazione di un sistema multibraccio.

Prima della calibrazione e dopo che PC-DMIS é stato attivato su tutti i computer, si devono definire i tastatori che verranno usati nel processo di misurazione. PC-DMIS esegue la calibrazione del sistema utilizzando i dati teorici ottenuti dai tastatori.

Importante:non si devono calibrare i tastatori in questa fase ma soltanto assicurarsi che siano definiti correttamente a che sia stato aggiunto l'angolo AB della punta che si utilizzerà nella calibrazione del sistema multibraccio.

Nel part-program, inserire un comando CARICA_TAST per ciascun braccio.

Attenzione: se precedentemente è stata già tentata una calibrazione multibraccio, PC-DMIS ha creato alcuni file armtoarm.dat salvati nella directory nello stesso percorso in cui è stato installato PC-DMIS, sia nel computer master che slave. Si devono cancellare oppure rinuminare tali file, prima di proseguire, in modo che i dati delle calibrazioni precedenti non influiscano negativamento sul processo di calibrazione in atto.

La procedura di calibrazione é la seguente:

  • Procedura di calibrazione - Parte 1

  • Procedura di calibrazione - Parte 2

  • Esecuzione di una calibrazione automatica

Passo successivo:


Procedura di calibrazione - Parte 1

Finestra di dialogo Calibrazione bracci multipli

  1. Selezionare l'opzione Operazione | Calibra / Modifica | Modalità Multibraccio (disponibile soltanto in modalità online). Visualizza Mappa percorsi dei menu Viene visualizzata la finestra di dialogo Calibrazione bracci multipli.

  2. Assicurarsi di aver selezionato i file tastatore corretti e le punte negli elenchi relativi a ciascuno dei bracci.

  3. Assicurarsi che l'utensile di calibrazione che verrà utilizzato sia disponibile nell'elenco Elenco Utensili Disponibili. La presenza dell'utensile è necessaria soltanto se è stata selezionata l'opzione Entrambi i bracci misurano l'utensile.

  4. Scegliere cosa calibrare selezionando Orientamento e origine oppure Solo origine.

  • Selezionando l'opzione Orientamento e origine viene creata una trasformazione tridimensionale tra i due bracci per compensare eventuali disallineamenti. È necessario eseguire questa operazione almeno una volta (solitamente, viene eseguita a intervalli regolari durante l'anno).

  • Selezionando Solo origine viene corretta solo l'origine tra i due bracci. È opportuno eseguire questo tipo di calibrazione con una maggiore frequenza in base alle procedure di calibrazione del tastatore. Quando si esegue la calibrazione del tastatore, viene richiesto se l'utensile è stato spostato. In caso di risposta negativa non è necessario regolare il braccio rispetto alla relativa origine. Se, invece, l'utensile è stato spostato, dopo la calibrazione delle punte del tastatore è necessario tornare a questa finestra di dialogo e scegliere Solo origine per la calibrazione del braccio.

Importante: Quando si sceglie l'opzione Solo origine, assicurarsi di utilizzare punte calibrate.

  5. Scegliere il metodo di calibrazione, tra Calibrazione manuale e Calibrazione DCC.

  • Se è stata selezionata l'opzione Calibrazione manuale, verrà richiesto di misurare la posizione di ciascuna sfera utilizzando il terminale operatore della macchina CMM. Una volta rilevato il primo punto sulla parte superiore della sfera, PC-DMIS rileverà gli altri punti in modalità DCC.

  • Se è stata selezionata l'opzione Calibrazione DCC, dopo aver specificato le posizioni della sfera tutti i movimenti verranno eseguiti sotto il controllo del computer. Selezionare il pulsante Modifica posizioni per modificare la posizione di ciascuna sfera inserendo le coordinate X, Y e Z. È preferibile leggere la posizione del braccio attivo per l'inserimento di questi tre valori. È opportuno ricordare che selezionando il pulsante Chiudi il terminale operatore può leggere la posizione corrente del braccio.

Importante: per definire il rapporto di base tra i due bracci, è necessario eseguire almeno una calibrazione in base all'origine comune dei due bracci in modalità Manuale. Completata la calibrazione dei bracci, PC-DMIS genera il file armarm.results memorizzato nella directory definita tramite l'opzione di menu Imposta Percorso di ricerca (vedere l'argomento "Come specificare Directory esterne di ricerca" dalla sezione "Impostazione Preferiti" . Si tratta di un file di testo leggibile con qualsiasi editor di testo e mostra la bontá della calibrazione dopo gli aggiustamenti iniziali. In particolare, visualizza "l'errore di aggiustamento". Queste informazioni sono utili per effettuare una calibrazione precisa del sistema.

  6. Digitare un numero nella casella Numero di sfere da misurare. Tale valore determina il numero di posizioni che PC-DMIS misurerà per ciascun braccio. Se si inserisce un numero di sfere maggiore di 1, PC-DMIS eseguirà la media delle misurazioni per creare l'origine.

  • Se è stata selezionata l'opzione Calibrazione manuale, PC-DMIS richiederà di misurare manualmente queste posizioni.

  • Se è stata selezionata l'opzione Calibrazione DCC, PC-DMIS azionerà automaticamente ciascun braccio per la misurazione di queste posizioni. Il minimo numero di sfere é tre.

Attenzione: Assicurarsi che le sfere non restino nella stessa posizione, altrimenti la calibrazione fornisce risultati non corretti.

  7. Utilizzando le opzioni riportate di seguito, determinare le modalità di utilizzo dei bracci per la misurazione degli utensili.

Entrambi i bracci misurano l'utensile

      • Se si seleziona questa opzione quando è attiva l'opzione Calibrazione manuale, PC-DMIS richiederà di misurare ciascuna posizione della sfera utilizzando entrambi i bracci.

      • Se si seleziona questa opzione quando è attiva l'opzione Calibrazione DCC, PC-DMIS utilizzerà entrambi i bracci per misurare una sfera in corrispondenza di ciascuna posizione definita nella finestra di dialogo Modifica posizioni di calibrazione. Accertarsi che sulla macchina CMM sia presente il numero desiderato di posizioni della sfera, poiché non vi è tempo sufficiente per spostare fisicamente la sfera durante le misurazioni.

Il braccio master tiene l'utensile e il braccio slave misura

      • Se si seleziona questa opzione quando è attiva l'opzione Calibrazione manuale, PC-DMIS richiederà di spostare il braccio master nelle diverse posizioni e misurare l'utensile sferico utilizzando il braccio slave.

      • Se si seleziona questa opzione quando è attiva l'opzione Calibrazione DCC, PC-DMIS sposterà il braccio master in ciascuna posizione di calibrazione indicata e utilizzerà il braccio slave per la misurazione della sfera in tale posizione. Per utilizzare questa opzione, è necessario montare una sfera speciale all'estremità del braccio.

Il braccio slave tiene l'utensile e il braccio master misura

      • Se si seleziona questa opzione quando è attiva l'opzione Calibrazione manuale, PC-DMIS richiederà di spostare il braccio master nelle diverse posizioni e misurare l'utensile sferico utilizzando il braccio slave.

      • Se si seleziona questa opzione quando è attiva l'opzione Calibrazione DCC, PC-DMIS sposterà il braccio slave in ciascuna posizione di calibrazione indicata e utilizzerà il braccio master per la misurazione della sfera in tale posizione. Per utilizzare questa opzione, è necessario montare una sfera speciale all'estremità del braccio.

  8. Fare clic su Calibrazione quando il pulsante viene attivato. Il pulsante resta disabilitato fino a quando non si completa la selezione di tutti i parametri di calibrazione.

Se si seleziona Entrambi i bracci misurano l'utensile, è necessario fornire i seguenti elementi per rendere disponibile il pulsante Calibrazione:

    • Un nome file tastatore Braccio1 valido e l'angolo della punta.

    • Un nome file tastatore Braccio2 valido e l'angolo della punta.

    • Un utensile valido specificato nell'elenco degli utensili disponibili.

Se si seleziona Il braccio master tiene l'utensile e il braccio slave misura, è necessario fornire i seguenti elementi per rendere disponibile il pulsante Calibrazione:

    • Un nome file tastatore Braccio1 valido e l'angolo della punta.

    • Un nome file tastatore Braccio2 valido e l'angolo della punta.

    • Il tipo di punta Braccio1 deve essere FIXEDBALL come specificato in probe.dat.

Se si seleziona Il braccio slave tiene l'utensile e il braccio master misura, è necessario fornire i seguenti elementi per rendere disponibile il pulsante Calibrazione:

    • Un nome file tastatore Braccio1 valido e l'angolo della punta.

    • Un nome file tastatore Braccio2 valido e l'angolo della punta.

    • Il tipo di punta Braccio2 deve essere FIXEDBALL come specificato in probe.dat.

9. Facendo clic su questo pulsante, PC-DMIS avvierà il processo di calibrazione. La misurazione delle sfere crea un allineamento tra il braccio master e il braccio slave definendo il livello, la rotazione ed impostando l'origine.

  • Se è stata selezionata l'opzione Calibrazione manuale, sarà necessario prendere un punto sulla parte superiore dell'utensile, gli altri punti vengono misurati automaticamente. Una volta misurato l'utensile nella posizione corrente, viene richiesto di spostarlo in una nuova posizione sulla tavola.

  • Se è stata selezionata l'opzione Calibrazione DCC, PC-DMIS eseguirà la misurazione di ciascuna posizione di calibrazione della sfera. Controllare che le posizioni dell'utensile sulla tavola non siano colineari (cioè che non si trovino sulla stessa linea). Distanziare il più possibile le posizioni dell'utensile, con almeno una posizione spostata verso l'alto lungo l'asse Z.

Nota: un metodo alternativo per la calibrazione delle macchine DCC consiste nell'eseguire una calibrazione manuale di tipo Solo origine seguita da una calibrazione di tipo Orientamento e origine. Questo metodo è particolarmente utile per le macchine di grandi dimensioni, in cui è ragionevole presumere che gli assi X e Y siano relativamente paralleli. Al termine dell'operazione è necessario calibrare il tastatore ed eseguire una calibrazione di tipo Solo origine.

Fase successiva della Procedura


Procedura di calibrazione - Parte 2

Al termine della procedura di calibrazione descritta nella Parte 1, è necessario calibrare entrambi i file del tastatore sullo stesso utensile. In questo modo, viene ripristinata la relazione relativa all'origine tra le due punte e non viene modificato il livello o la rotazione dell'allineamento, ma solo l'origine. Se si utilizza un polso PHS, è necessario eseguire la calibrazione del polso sullo stesso utensile utilizzando entrambi i bracci.

A tale scopo, effettuare le seguenti operazioni:

  1. Fare clic sul pulsante Braccio 1 attivo nella barra degli strumenti Bracci attivi. In genere questo pulsante viene assegnato al computer Master.

  2. Accedere alla finestra Utility tastatore (Inserisci | Definizione Hardware | Tastatore). Visualizza Mappa Percorsi dei Menu

  3. Se viene richiesto di specificare se si desidera caricare un nuovo file del tastatore, fare clic su No.

  4. Eseguire la calibrazione del tastatore master oppure del polso PHS, se utilizzato. Verrà richiesto se l'utensile è stato spostato.

  5. Fare clic su Sì.

  6. Al termine della calibrazione, chiudere la finestra di dialogo Utility tastatore.

  7. Fare clic sul pulsante Braccio 2 attivo nella barra degli strumenti Bracci attivi. In genere questo pulsante viene assegnato al computer Slave.

  8. Accedere alla finestra di dialogo Utility tastatore per eseguire la calibrazione del tastatore slave oppure del polso PHS, se utilizzato.

  9. Questa volta scegliere No quando viene richiesto se l'utensile è stato spostato.

Dopo aver eseguito la calibrazione di entrambi i file del tastatore in Modalità Multibraccio, la procedura di calibrazione è terminata. PC-DMIS copierà il file del tastatore slave, i dati dell'utensile e i dati di conversione dei due bracci sul computer slave. In questo modo, è possibile azionare il braccio slave in modo indipendente come se fosse un'estensione del sistema di coordinate master oppure è possibile azionare entrambi i bracci in modalità Master/Slave.


Esecuzione di una calibrazione automatica

Oltre alla normale calibrazione a doppio braccio, PC-DMIS consente di eseguire una calibrazione automatica dei bracci master e slave.

In PC-DMIS è disponibile un comando che consente di eseguire la calibrazione automatica del tastatore in uso durante l'esecuzione del part-program. PC-DMIS inizia la routine di calibrazione dopo l'esecuzione del comando.

Per inserire il comando, selezionare l'opzione di menu Inserisci | Calibrazione | Autocalibrazione bracci multipli.

Visualizza Mappa Percorsi dei Menu

Nella finestra di modifica viene inserito il seguente blocco di comandi:

AUTOCALIBRATE/MULTIPLEARM, ARM_THAT_MEASURES=BOTH, CALIBRATION_MODE=DCC, QUALTOOL_ID=cal_m, MEASURE_AT_CENTER=0,0,0

Di seguito viene fornita una descrizione delle voci presenti in questo blocco di comandi:

Voce | Descrizione
BRACCIO_CHE_MISURA= | Indica il braccio che dovrà eseguire la misurazione (e non il braccio in cui verrà inserito lo strumento). Le scelte disponibili sono ENTRAMBI, BRACCIO2 o BRACCIO1.
MODALITÀ_CALIBRAZIONE= | Indica se la calibrazione verrà effettuata in modalità MANUALE o DCC.
ID_STRUMCAL= | Indica il nome dello strumento di calibrazione utilizzato.
MISURAZIONE_AL_CENTRO= | Indica la posizione X, Y, Z da utilizzare per la misurazione quando si usa MODALITÀ_CALIBRAZIONE=DCC. Questa voce non sarà presente se si utilizza MODALITÀ_CALIBRAZIONE=MANUALE

Premendo F9 si accede alla finestra di dialogo Autocalibrazione Bracci Multipli.

Finestra di dialogo Autocalibrazione bracci multipli

Molte delle voci presenti in questa finestra sono le stesse di quelle utilizzate nella finestra di dialogo Calibrazione bracci multipli. Di seguito vengono indicate due differenze significative.

In primo luogo, PC-DMIS attualmente supporta esclusivamente il tipo di calibrazione Solo origine per questo comando. Pertanto, l'opzione Solo origine e il numero di sfere non possono essere modificate. Poiché PC-DMIS supporta solo una sfera per questo comando, non è disponibile un pulsante separato per la modifica di tutte le posizioni delle sfere. È possibile specificare la posizione dell'unica sfera in questa finestra di dialogo, utilizzando le caselle Centro X, Y, e Z. Tali caselle indicano le coordinate X, Y e Z per la posizione dell'unica sfera quando si utilizza la calibrazione DCC.

In secondo luogo, non è possibile specificare il tastatore e la punta per il braccio master o slave. Queste opzioni sono riportate negli elenchi di questa finestra di dialogo solo a scopo informativo. Il comando CALIBRAZIONE AUTOMATICA/BRACCI MULTIPLI consente di ottenere tali opzioni dal contenuto del programma in cui il comando viene utilizzato.

Tastatore master | Solo per visualizzazione. È determinato dal comando CARIC TAST per il braccio master che precede il comando CALIBRAZIONE AUTOMATICA/BRACCI MULTIPLI
Punta master | Solo per visualizzazione. È determinato dal comando PUNTA per il braccio master che precede il comando CALIBRAZIONE AUTOMATICA/BRACCI MULTIPLI
Tastatore slave | Solo per visualizzazione. È determinato dal comando CARIC TAST per il braccio slave che precede il comando CALIBRAZIONE AUTOMATICA/BRACCI MULTIPLI
Punta slave | Solo per visualizzazione. È determinato dal comando PUNTA per il braccio slave che precede il comando CALIBRAZIONE AUTOMATICA/BRACCI MULTIPLI


Passo 9: File di calibrazione bracci multipli

Visualizza Mappa Percorsi dei Menu

Ora che il sistema è stato calibrato, sarà necessario calibrare i file per tastatori multibraccio.

Per tale calibrazione, è possibile:

  • Calibrare un braccio qualsiasi, in ordine qualsiasi.

  • Utilizzare utensili di calibrazione diversi, per calibrare bracci diversi.

  • È anche possibile eseguire la calibrazione del braccio slave dal computer slave e la calibrazione del braccio master dal computer master.

  • Calibrare il tastatore slave sullo stesso utensile di calibrazione del tastatore master.

  • Calibrare un braccio per volta.

PC-DMIS sincronizzerà i file del tastatore tra i due computer alla successiva attivazione della modalità multibraccio sul computer master.

  • File di Calibrazione Tastatore del Braccio Master

  • Calibrazione del file del tastatore del braccio slave

Passo successivo


File di Calibrazione Tastatore del Braccio Master

Se si desidera calibrare il tastatore master, effettuare la seguente procedura:

  1. Selezionare l'icona Braccio 1 attivo nella barra degli strumenti Bracci attivi.

  2. Accedere alla finestra Utility tastatore (Inserisci| Definizione Hardware | Tastatore). Visualizza Mappa Percorsi dei Menu

  3. Seguire le procedure nell'argomento "Misura" nella sezione "Definizioni dell'hardware" per informazioni su come calibrare i file dei tastatore.


Calibrazione del file del tastatore del braccio slave

Se si desidera calibrare il file del tastatore slave, effettuare la seguente procedura:

  1. Selezionare una delle icone del braccio slave nella barra strumenti Bracci Attivi (Braccio 2 attivo, Braccio 3 attivo o Braccio 4 attivo).

  2. Accedere alla finestra di dialogo Utility tastatore. Visualizza Mappa Percorsi dei Menu

  3. Seguire le procedure esistenti nell'argomento "Misura" nella sezione "Definizioni dell'hardware" per informazioni sui file di calibrazione dei tastatore.

Se si desidera usare un utensile di calibrazione diverso da quello usato per il file del tastatore del braccio master, selezionare l'utensile SLAVESPHERE, durante la calibrazione del tastatore del braccio slave.

Per selezionare l'utensile SLAVESPHERE, effettuare le seguenti operazioni:

  1. Selezionare Inserisci | Definizione Hardware | Tastatore dalla barra dei bar. Visualizza Mappa Percorsi dei Menu

  2. Fare clic su Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  3. Fare clic su Modifica utensile. Viene visualizzata la finestra di dialogo Modifica utensile.

  4. Selezionare SLAVESPHERE dall'elenco Tipo di utensile.

  5. Fare clic su OK per confermare la selezione. Nella finestra di dialogo Misura tastatore viene visualizzato il nome SLAVESPHERE.


Passo 10: Impostazione origine del sistema a bracci multipli

L'ultima operazione da effettuare per completare il processo di calibrazione dei bracci master e slave consiste nell'impostazione dell'origine comune ai due bracci. Prima di effettuare questa operazione, è necessario che vengano calibrati i file del tastatore su entrambi i bracci, master e slave.

Per impostare l'origine di un sistema multibraccio:

  1. Aprire la finestra di dialogo Calibrazione Multibraccio (Operazione | Calibra / Modifica | Modalità Multibraccio). Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Calibrazione bracci multipli

  2. Selezionare l'opzione Solo origine.

  3. Nella casella Numero di sfere da misurare, digitare il numero di sfere che si desidera misurare per definire l'origine. Se vengono misurate più posizioni della sfera, PC-DMIS eseguirà la media delle posizioni per definire l'origine.

  4. Selezionare l'opzione Entrambi i bracci misurano l'utensile.

  5. Selezionare i file del tastatore e le punte corretti.

  6. Selezionare Calibrazione DCC o Calibrazione manuale. Se è stata selezionata l'opzione Calibrazione DCC, assicurarsi di definire la posizione della sfera corretta nella finestra di dialogo Modifica posizioni di calibrazione.

  7. Nell'elenco a discesa Elenco Calibri disponibili, selezionare un utensile in grado di definire il diametro e l'orientamento corretti dell'utensile di calibrazione da misurare.

  8. Fare clic sul pulsante OK.

  • Se è stata selezionata l'opzione Calibrazione manuale, PC-DMIS richiederà di misurare un punto sulla sfera utilizzando tutti i bracci, quindi misurerà gli altri punti intorno alla sfera in modalità DCC.

  • Se è stata selezionata l'opzione Calibrazione DCC, PC-DMIS sposterà i bracci nelle posizioni della sfera definite nella finestra di dialogo Modifica posizioni di calibrazione.

Una volta eseguita la calibrazione di entrambi i file del tastatore nella modalità Multibraccio ed impostata l'origine comune dei bracci, il processo di calibrazione è terminato.

Importante: Al termine della calibrazione multibraccio e dopo aver calibrato il polso (vedere "Calibrazione del polso" nella sezione "Uso di un dispositivo polso" ), è necessario ripetere l'operazione del polso Solo origine come illustrato più indietro al "Passo 8: Calibrazione del sistema a bracci multipli".

PC-DMIS copierà il file del tastatore slave, i dati dell'utensile e i dati di conversione dei due bracci sul computer slave. In questo modo, è possibile azionare il braccio slave in modo indipendente, come se fosse un'estensione del sistema di coordinate master, oppure è possibile utilizzare entrambi i bracci in modalità Master/Slave. Ogni volta che si attiva la modalità Master/Slave, selezionando Operazione | Attiva modalità Master/Slave, PC-DMIS esegue la sincronizzazione di quanto riportato di seguito tra i due computer:

  • Modifiche apportate al file del tastatore

  • Modifiche apportate durante la calibrazione del polso

  • Modifiche apportate ai dati della mappa degli errori

  • Dati del cambio tastatore

  • Modifiche apportate ai dati dell'utensile di calibrazione


Creazione di un part-program utilizzando la modalità Master/Slave

Dopo aver definito e calibrato i tastatori, è possibile creare il part-program. Viene creato un part program per bracci multipli che é come tutti gli altri part program, ad eccezione di alcune differenze. Fondamentalmente, in un part program multibraccio, i comandi sono specifici del braccio ed inoltre occorre definire aree di esclusione, in modo da impedire la collisione tra i bracci. La trattazione che segue riguarda questi punti:

Altro

Assegnazione di un comando ad un braccio

Esecuzione programma per sistema a bracci multipli

Impostazioni iniziali per Sistemi Multibraccio

Blocco di un braccio per impedire la collisione

Uso della compensazione termica con la calibrazione di bracci multipli


Assegnazione di un comando ad un braccio

L'impostazione predefinita di PC-DMIS consiste nell'assegnare i comandi nuovi al braccio attivo corrente. La barra degli strumenti Bracci attivi consente di alternare il braccio attivo o di eseguire solo i comandi specifici di un determinato braccio.

Barra degli strumenti Bracci Attivi

La barra degli strumenti Bracci Attivi contiene icone relative ai bracci multipli con corrispondenti icone di segni di spunta con colori codificati. Ogni icona di braccio corrisponde ad un braccio macchina.

Le icone dei bracci consentono di scegliere il braccio da attivare.

Le icone esecutive (quelle con il segno di spunta) consentono di eseguire soltanto quei comandi che sono associati ad uno specifico braccio.

Dopo avere attivato la modalità multibraccio, PC-DMIS inserisce delle linee verticali colorate nel margine sinistro della finestra di modifica per indicare il braccio che utilizzerà il comando selezionato: (In modalitá Riepilogo PC-DMIS indica I comandi assegnati al braccio slave con il testo in grassetto):

La finestra di modifica con linee verdi (elemento CIR1) e rosse (elemento LIN1) che indicano le porzioni del braccio 2 e del braccio 1, rispettivamente

  • La linea rossa viene utilizzata per evidenziare gli elementi assegnati al braccio master .

  • La linea verde viene utilizzata per evidenziare gli elementi assegnati al braccio slave .

  • Elementi assegnati a bracci multipli vengono indicate con linee colorate.

Le barre colorate orizzontali (e non verticali) indicano che i comandi sono assegnati sia al braccio master che slave e che nessun braccio può eseguire questo comando fino a quando entrambi i bracci non hanno completato l'esecuzione di tutti i comandi precedenti. Questo tipo di comando (generalmente un comando di diramazione o di allineamento) viene eseguito contemporaneamente da entrambi i bracci.

Altro

Assegnazione dei comandi esistenti ad un nuovo braccio


Assegnazione dei comandi esistenti ad un nuovo braccio

La voce di menu Attiva braccio Master/Slave è disponibile solo nei sistemi attivi in modalità Master/Slave.

Se si hanno comandi assegnati ad un braccio e li si vuole assegnare ad un braccio deverso, occorre operare come segue:

  1. Attivare la modalità Comando per la finestra di modifica.

  2. Selezionare il comando della finestra di modifica che si desidera aggiungere.

  3. Selezionare la voce di menu Operazione | Attiva braccio Master/Slave dalla barra dei menu. Visualizza Mappa Percorsi dei Menu

Quando si seleziona questa opzione, tutti i comandi evidenziati verranno associati all'altro braccio.

  • Se non si evidenza alcun comando, PC-DMIS assegnerà il comando sul quale è posizionato il cursore nella finestra di modifica.

  • È possibile associare la maggior parte dei comandi al braccio master, al braccio slave o a entrambi. Ad esempio, è possibile creare un comando APPROCCIO o ALLINEAMENTO ed assegnarlo ad uno dei due bracci master o slave, oppure ad entrambi.

  • Non è possibile assegnare determinati comandi a entrambi i bracci. Tali comandi includono i comandi elementi, punte, dimensioni e tastatore.


Esecuzione programma per sistema a bracci multipli

Se non si desidera eseguire soltanto i comandi assegnati ad un particolare braccio, quando si esegue un part-program il flusso di esecuzione procede normalmente, dall'inizio alla fine della finestra di modifica e ciascun braccio esegue i comandi assegnati.

Nota: quando è attiva la modalità Master/Slave, il braccio slave esegue i comandi con un lieve ritardo rispetto al braccio master. Tale tipo di ritardo è del tutto normale.


Impostazioni iniziali per Sistemi Multibraccio

PC-DMIS consente di assegnare posizioni iniziali, relativamente al braccio corrente, selezionando l'icona Imposta punto iniziale nella barra degli strumenti della finestra di modifica, oppure facendo clic con il tasto destro del mouse nella finestra di modifica, in modalità Comando, e selezionando l'opzione nel menu di scelta rapida.

Per impostare più punti di inizio, cambiare il braccio corrente prima di fare clic sull'icona Imposta Punto Iniziale della barra degli strumenti.

Una freccia speciale sarà visualizzata al margine sinistro della finestra di modifica, dello stesso colore del braccio attivo, come mostrato dalla barra strumenti Bracci Attivi.

L'immagine a sinistra mostra che il Braccio 1, di colore rosso, inizia l'esecuzione con CER3, mentre il Braccio 2, di colore verde, inizia l'esecuzione con CER2.

Se l’esecuzione viene annullata, PC-DMIS sposterà automaticamente i punti iniziali di ciascun braccio sul comando in corrispondenza del quale l'esecuzione è stata annullata.

I punti iniziali indicano a PC-DMIS di iniziare l'esecuzione del programma nel punto in cui è stata selezionata l'opzione File | Esecuzione parziale | Esegui da Punti Iniziali. Per informazioni sull'utilizzo dei punti iniziali, vedere l'argomento "Impostazione punti iniziali" nella sezione "Modifica di un part-program" .

Attenzione: se la posizione della punta nella locazione puntata del part program non corrisponde alla posizione corrente del tastatore , PC-DMIS non cercherá di ritornare al punto in cui viene eseguito il cambiamento di assetto della punta.


Blocco di un braccio per impedire la collisione

In alcuni casi è necessario fare in modo che un braccio attenda il completamento della misurazione dell'altro braccio in un'area di sovrapposizione, generalmente per impedire una collisione tra i bracci. Per impedire la collisione, è possibile utilizzare due comandi.

Altro

Uso di un comando di movimento sincronizzato

Uso di un comando di spostamento esclusivo


Uso di un comando di movimento sincronizzato

È possibile inserire i comandi MOVIM/SINC all'inizio e alla fine di una sequenza di misurazione per attivare il movimento di un unico braccio. Vedere "Inserimento di un comado di movimento sincronizzato" nella sezione "Inserimento di comandi di movimento" per informazioni aggiuntive.


Uso di un comando di spostamento esclusivo

È possibile utilizzare il comando MOVIM/AREA_ESCLUSIVA.

  • Il vantaggio derivante dall'uso di questo metodo consiste nel fatto che PC-DMIS blocca un braccio quando l'altro braccio si trova nell'area esclusiva.

  • Lo svantaggio consiste nel fatto che è necessario inserire i comandi MOVIM/AREA_ESCLUSIVA prima di tutti i blocchi di comandi che gestiscono un braccio nell'area sovrapposta del volume dei due bracci.

Per utilizzare questo comando, effettuare le seguenti operazioni:

  1. Individuare la sequenza di comandi che determina lo spostamento di un braccio in un'area sovrapposta del volume della macchina CMM.

  2. Inserire un comando MOVIM/AREA_ESCLUSIVA=ON all'inizio della sequenza.

  3. Inserire un comando MOVIM/AREA_ESCLUSIVA=OFF alla fine della sequenza.

Il comando MOVIM/AREA_ESCLUSIVA=ON consente di specificare i due punti nella diagonale che costituiscono un'area tridimensionale. Questa area verrà riservata al braccio assegnato al comando. Se l'altro braccio è già posizionato nell'area desiderata, PC-DMIS attende fino a quando il primo braccio non si è spostato verso l'esterno ed esce dall'area di sovrapposizione utilizzando il comando MOVIM/AREA_ESCLUSIVA=OFF. Vedere "Inserimento di un comando di movimento sincronizzato" nella sezione "Inserimento di comandi di movimento" per informazioni aggiuntive.


Uso della compensazione termica con la calibrazione di bracci multipli

Per termocoppia si intende una coppia termoelettrica che misura le differenze di temperatura.

Se si desidera compensare la temperatura della macchina CMM, è necessario inserire due comandi di compensazione della temperatura nel part-program, uno per il braccio master e l'altro per il braccio slave. Inoltre, soltanto la termocoppia del pezzo collegato al controller del braccio master viene utilizzata per registrare la temperatura del pezzo.

Oltre ad avere il file STP (Serv1.stp) nella directory opportune, sul computer del braccio slave, occorre accertarsi che un altro file STP (chiamato Serv1s,stp ), per il braccio slave, risieda nella directory corrispondente, sul computer del braccio master. Per ottenere ció, si copi Serv1.stp dal computer del braccio slave a quello del braccio master, rinominandolo come Serv1s.stp.

Per ulteriori informazioni sulla compensazione della temperatura, vedere l'argomento "Compensazione della temperatura" nella sezione "Impostazione delle preferenze" .


Esecuzione di un part-program master sul braccio slave

Per eseguire il part-program master sul braccio slave, è possibile attivare la modalità Inverti assi. Quando è attiva questa modalità, il segno degli assi X e Y viene invertito internamente, rendendo l'asse Y positivo in prossimità del centro della macchina e assegnando all'asse X un valore opposto rispetto a quello dell'asse X del braccio master.

Inoltre, è possibile utilizzare tutti i file del tastatore esistenti, le mappe del polso, i cambi utensili e gli altri file di calibrazione e di compensazione degli errori senza modificarli.

Nota:le calibrazioni eseguite nella modalità Normale o Inverti assi verranno corrette e potranno essere utilizzate in entrambe le modalità.

Altro

Aggiunta di un'icona per l'esecuzione di PC-DMIS in modalità Inverti assi


Aggiunta di un'icona per l'esecuzione di PC-DMIS in modalità Inverti assi

  1. In Gestione risorse, spostarsi nella directory in cui si desidera aggiungere l'icona.

  2. Nel menu File, selezionare Nuovo | Collegamento. Viene visualizzata la finestra Crea collegamento nella quale viene richiesto di inserire il percorso del programma.

  3. Nella casella Riga di comando, digitare il percorso completo del file eseguibile di PC-DMIS oppure utilizzare il pulsante Sfoglia per ricercare e selezionare il file. Il percorso predefinito è "C:\Pcdmisw\Pcdlrn.exe".

  4. Una volta visualizzato il percorso nella casella Riga di comando, posizionare il cursore alla fine del percorso, digitare uno spazio, quindi digitare /r o -r. In tal modo, si indica a PC-DMIS di attivare la modalità Inverti assi. È possibile anche combinare questa opzione con la modalità Operatore aggiungendo –o o /o alla riga di comando.

  5. Fare clic su Avanti.

  6. Nella casella Specificare il nome da assegnare al collegamento, digitare ad esempio "Modalità Inverti assi di PC-DMIS".

  7. Fare clic su Fine. Viene visualizzata la nuova icona.


Spostamento tra più finestre aperte

Spostamento tra più finestre aperte: Introduzione

Spostamento tra part-program aperti

Disposizione delle finestre aperte

Attivazione delle finestre aperte


Spostamento tra più finestre aperte: Introduzione

In questa sezione viene descritto come visualizzare più part-program aperti e spostarsi in modo semplice tra di essi, utilizzando il menu Finestra.

In questa sezione verranno trattati i seguenti argomenti:

  • Spostamento tra part-program aperti

  • Disposizione delle finestre aperte

  • Attivazione delle finestre aperte


Spostamento tra part-program aperti

Visualizza Mappa Percorsi dei Menu
Visualizza Mappa Percorsi dei Menu

Di seguito vengono fornite informazioni su come spostarsi in modo semplice tra part-program aperti.

Selezione delle opzioni Successivo o Precedente: Selezionare le opzioni di menu Successivo o Precedente per passare al part-program precedente o successivo in una serie di part-program aperti. Quando si raggiunge la fine dell'elenco di tutti i part-program aperti, la selezione dell'opzione Successivonon produrrà alcun effetto.

Selezione di un elenco di part-program aperti: nella parte inferiore del menu Finestra, viene visualizzato un elenco di tutti i part-program aperti. È possibile selezionare con facilità il part-program da attivare scegliendone il nome dall'elenco.

Selezione di una barra del titolo: se è visualizzata la barra del titolo della finestra di visualizzazione grafica o della finestra di modifica di un part-program, fare clic su di essa per passare al part-program in questione.


Disposizione delle finestre aperte

Visualizza Mappa Percorsi dei Menu

Le opzioni di menu elencate di seguito consentono di disporre tutte le finestre aperte. Tali opzioni non influiscono sulla finestra di modifica. Per modificare tale finestra è necessario rimuoverla dalla posizione in cui è agganciata, facendo clic su di essa con il pulsante destro del mouse, quindi deselezionando l'opzione di menu Vista aggancio.

icona | Opzione di menu | Descrizione
 | Sovrapponi | Dispone le finestre una sull'altra, in modo che vengano visualizzate solo le barre dei titoli; la finestra attiva è quella in primo piano.
 | Affianca orizzontalmente | Affianca le finestre orizzontalmente; la finestra attiva è quella visualizzata in alto.
 | Affianca verticalmente | Affianca le finestre verticalmente; la finestra attiva è quella visualizzata a sinistra.
 | Attiva finestra successiva | Attiva la finestra aperta successiva.


Attivazione delle finestre aperte

Menu Finestra di esempio

Visualizza Mappa Percorsi dei Menu

Sulla parte superiore dell'elenco dei part-program vengono visualizzate tutte le finestre aperte nel menu Finestra. Selezionare una finestra dal menu per attivarla.


Uso della modalità offline

Uso della modalità offline: Introduzione

Prerequisiti

Entità IGES supportate

Compatibilità con IGES

Input DXF

Input DES

File ASCII XYZ

Tastatori offline

Impostazione della quota del tastatore

Impostazione della quota approssimativa del tastatore

Impostazione della quota del tastatore su un elemento

Impostazione della quota del tastatore su una sfera

Impostazione della quota del tastatore su un cono

Digitazione della quota del tastatore

Misurazione degli elementi offline

Misurazioni automatiche

Elementi circolari

Elementi lineari

Elementi di superficie

Misurazioni discrete

Inserimento di punti su una superficie

Inserimento di punti su un elemento

Interruzione di una misurazione

Esecuzione e debug di part-program offline

Percorso


Uso della modalità offline: Introduzione

La versione offline di PC-DMIS consente agli utenti di sviluppare i part-program e di eseguire il relativo debug, senza utilizzare una CMM. Negli ultimi anni, si è data sempre più importanza alla possibilità di creare programmi offline e gli utenti delle CMM hanno acquisito una maggiore consapevolezza del fatto che, per sfruttare al massimo il proprio investimento, sia necessario poter eseguire la misurazione dei pezzi mediante le macchine stesse e non doverle utilizzare per scrivere programmi di misurazione.

Le prime funzioni di programmazione aggiunte alle macchine venivano eseguite mediante l'uso di particolari editor di testo. Nonostante il loro uso limitato, tali prodotti stimolarono l'interesse degli utenti nei confronti della programmazione offline, incoraggiando vari fornitori di CAD a sviluppare prodotti adatti alla creazione di part-program mediante l'uso di modelli CAD.

Nonostante la netta superiorità rispetto agli editor di testo, tali prodotti risultavano essere svantaggiosi dal punto di vista economico: i particolari linguaggi di misurazione utilizzati dai fornitori delle CMM erano soggetti a continue modifiche e, in alcuni casi, venivano addirittura sostituiti. Pertanto, le spese di sviluppo e di mantenimento dei prodotti risultavano essere inaccessibili alla maggior parte degli utenti.

Questa situazione portò allo sviluppo della specifica DMIS, un linguaggio CMM generico che consentì ai fornitori di CAD di sviluppare pacchetti per la creazione di part-program adatti al supporto di un solo linguaggio di misurazione, riducendo considerevolmente i costi. In questo modo, la creazione di part-program offline divenne accessibile a una vasta rete di utenti delle CMM. Restava tuttavia un problema: cosa sarebbe successo agli utenti di macchine CMM i cui fornitori di CAD non supportavano e non prevedevano di supportare la programmazione offline?

Sebbene molti fornitori CAD per mainframe, incoraggiati dai principali clienti, aggiunsero le estensioni DMIS ai propri prodotti, i fornitori CAD per PC dimostrarono uno scarso interesse per il settore. Molti utenti CMM, in particolare le piccole officine, usano sistemi CAD su PC, e PC-DMIS offre anche a loro le capacità di programmazione offline.

Grazie a PC-DMIS, i programmatori che utilizzano i modelli IGES standard, supportati praticamente da tutti i fornitori di CAD, sono in grado di creare part-program su PC economici o su cloni, senza utilizzare una CMM. I part-program così creati possono essere utilizzati per gestire una CMM su cui venga eseguito PC-DMIS o che supporti la specifica DMIS.

Le tecniche di programmazione offline sono simili a quelle online, sebbene i metodi di calibrazione dei tastatori, di misurazione e di esecuzione del debug dei programmi siano differenti. In questa sezione vengono descritte le tecniche di programmazione offline di PC-DMIS.

In questa sezione verranno trattati i seguenti argomenti:

  • Prerequisiti

  • Tastatori offline

  • Impostazione della quota del tastatore

  • Misurazione degli elementi offline

  • Esecuzione e debug di part-program offline


Prerequisiti

Per operare offline con PC-DMIS, devono essere disponibili dati CAD sotto forma di un modello IGES, un file DES, un file DXF oppure dati X,Y, Z,I,J,K. Per informazioni sull'importazione di questi file in PC-DMIS, vedere l'argomento "Importazione di dati CAD o dati di programma" nella sezione "Uso delle opzioni avanzate dal menu File" .

Altro

Entità IGES supportate

Input DXF

Input DES

File ASCII XYZ


Entità IGES supportate

Entità IGES | Descrizione
100 | CERCHIO/ARCO
102 | CURVA COMPOSITA
104 | ARCO CONICO
106 | DATI COPIOSI (linea a più punti)
108 | PIANO
110 | LINEA
112 | SUPERFICIE SPLINE PARAMETRICA (con opzioni relative a curve e superfici)
114 | SUPERFICIE SPLINE PARAMETRICA (con opzioni relative alle curve e alle superfici)
116 | PUNTO
118 | SUPERFICIE RIGATA (con opzioni relative alle curve e alle superfici)
120 | SUPERFICIE RITAGLIATA (con opzioni relative a curve e superfici)
122 | CILINDRO TABULARE (con opzioni relative alle curve e alle superfici)
124 | MATRICE DI TRASFORMAZIONE
126 | CURVA B-SPLINE RAZIONALE (con opzioni relative alle curve e alle superfici)
128 | SUPERFICIE B-SPLINE RAZIONALE (con opzioni relative alle curve e alle superfici)
140 | SUPERFICIE DI OFFSET
144/142 | SUPERFICIE RITAGLIATA (con opzioni relative alle curve e alle superfici)
402 | ISTANZA ASSOCIATIVA
408/308 | FIGURA SECONDARIA
410 | VISTA

Altro

Compatibilità con IGES


Compatibilità con IGES

PC-DMIS è compatibile con le versioni IGES 3.0, 4.0 e 5.1.


Input DXF

PC-DMIS legge i dati di un file DXF (Drawing Interchange File) come dati CAD da utilizzare per la creazione di part-program. Questo formato di file non supporta il testo; gli unici dati supportati sono quelli relativi agli elementi.

Questa opzione non fa parte del modulo standard di PC-DMIS. Rivolgersi al proprio rivenditore Brown & Sharpe per informazioni sulle modalità di acquisto di questo pacchetto aggiuntivo.


Input DES

PC-DMIS legge i dati di un file DES (Data Exchange Standard) come dati CAD da utilizzare per la creazione di part-program. È possibile ottenere dati relativi agli elementi o all'attrezzatura. Nel primo caso, è possibile definire il tipo di elemento utilizzando la relativa etichetta. Se si seleziona il punto DES dallo schermo di PC-DMIS, viene visualizzata la finestra di dialogo relativa all'elemento DCC contenente i valori del punto DES.

Il tipo di elemento DES viene definito mediante la quinta posizione dell'etichetta, ovvero la quindicesima (15) colonna del tipo di dati LINE nel file DES. Vengono di seguito indicati il carattere e il tipo di elemento.

CAR | Tipo DES | Tipo elementi automatici PC-DMIS
S | superficie | Punto superficie
T | Ritaglio | Punto di Bordo
H | Bordo orlato | Punto di Bordo
X | foro | Cerchio (interno)
Y | Perno | Cerchio (esterno)
Z | Alloggiamento | Asola rotonda


File ASCII XYZ

PC-DMIS è in grado di leggere i file ASCII contenenti i dati XYZ e, se possibile, IJK. È opportuno che il file ASCII contenga i punti di ispezione nominali (teorici) da misurare.

Per ulteriori informazioni sui file ASCII XYZ, vedere "Importazione di un file XYZIJK" nella sezione "Uso delle opzioni avanzate del menu File" .


Tastatori offline

Nella versione offline è possibile utilizzare tutte le funzioni di definizione e di calibrazione del tastatore definite nella versione online. Tuttavia, la versione offline supporta solo la digitazione dei valori e non consente di effettuare le misurazioni. Ad esempio, non è possibile misurare un dispositivo di calibrazione per definire il diametro di un tastatore.

Per informazioni sulla definizione dei tastatori, vedere "Definizione dei tastatori" nella sezione "Definizione dell'hardware" .

Nota: durante la creazione di un part-program offline, è consigliabile utilizzare lo stesso tastatore che verrà utilizzato per l'esecuzione del part-program online.


Impostazione della quota del tastatore

Durante la programmazione delle misurazioni offline, è necessario impostare la quota del tastatore ad una determinata distanza rispetto alla superficie del piano di lavoro in uso. In PC-DMIS sono disponibili vari metodi di impostazione della quota del tastatore.

Nota: per poter utilizzare una di queste tecniche, è necessario impostare la modalità Programma Verificare che il pulsante della MODALITÀ indichi la modalità PROGRAMMA.

Altro

Impostazione della quota approssimativa del tastatore

Impostazione della quota del tastatore su un elemento

Impostazione della quota del tastatore su una sfera

Impostazione della quota del tastatore su un cono

Digitazione della quota del tastatore


Impostazione della quota approssimativa del tastatore

Nella maggior parte dei casi, è possibile eseguire la misurazione di un elemento mediante la sola impostazione di una quota del tastatore approssimativa. Per impostare tale quota utilizzando PC-DMIS offline, effettuare le seguenti operazioni:

  1. Posizionare il cursore del mouse sul disegno, in corrispondenza della quota desiderata per prendere il punto.

  2. Fare clic con il pulsante destro del mouse sulla nuova posizione corrente. PC-DMIS ridisegnerà il tastatore nella nuova posizione.

Impostazione della quota del tastatore


Impostazione della quota del tastatore su un elemento

Per posizionare il tastatore su un determinato elemento, ad esempio un piano, effettuare le seguenti operazioni:

  1. Spostare il cursorein prossimità dell'elemento.

  2. Tenere premuto il pulsante destro del mouse.

  3. Rilasciare il pulsante del mouse.

Quando il pulsante viene rilasciato, PC-DMIS "aggancia" il tastatore all'elemento CAD più vicino, quindi viene visualizzato il messaggio: "Quota precisa impostata su".

Il numero corrente di punti e la posizione del tastatore vengono visualizzati nella barra di stato.

Impostazione della quota del tastatore su un elemento


Impostazione della quota del tastatore su una sfera

In PC-DMIS sono disponibili due procedure di impostazione della quota del tastatore su una sfera. La posizione della sfera da cui viene preso il punto dipende dalla posizione del tastatore rispetto alla mezzeria del disegno. Se il tastatore si trova al di sotto della mezzeria, PC-DMIS prende il punto sulla parte inferiore della sfera; se la quota del tastatore è impostata al di sopra della mezzeria, il punto viene preso nella parte superiore della sfera. Per ulteriori informazioni sulle seguenti procedure, vedere "Misurazione degli elementi offline".

Procedura tridimensionale

Per impostare la quota precisa su una superficie sferica tridimensionale, effettuare le seguenti operazioni:

  1. Spostare il tastatore animato sul cerchio desiderato.

  2. Tenere premuto il pulsante destro del mouse.

  3. Rilasciare il pulsante del mouse. La quota precisa viene impostata sulla sfera.

PC-DMIS posiziona il tastatore sul lato dell'elemento, sul punto in cui è stato premuto per la prima volta il pulsante del mouse. Questa operazione consente di determinare il tipo di elemento da misurare. Se il tastatore esegue l'aggancio sulla parte esterna di un elemento CAD circolare, i punti vengono inseriti all'esterno del cerchio. se l'aggancio viene eseguito sulla parte interna dell'elemento, i punti vengono inseriti all'interno del cerchio. È necessario che l'origine tridimensionale del cerchio corrisponda al centro della sfera.

Al termine dell'impostazione della quota precisa, tutti i punti creati si agganceranno alla superficie sferica.

Procedura bidimensionale

Se si utilizza un disegno bidimensionale, sono necessarie almeno due viste della sfera, la quale dovrà essere visualizzata sotto forma di cerchio o arco in entrambe le viste.

  1. Impostare la quota precisa di due assi utilizzando una delle due viste. Per informazioni sull'impostazione della quota precisa, vedere "Impostazione della quota del tastatore su un elemento". PC-DMIS visualizza il messaggio “Quota precisa impostata su."

  2. Impostare la quota precisa del terzo asse utilizzando la seconda vista. PC-DMIS visualizza il messaggio “Quota precisa impostata su Sfera.” Questa procedura consente di individuare il vero punto centrale tridimensionale della sfera.

Al termine dell'impostazione della quota precisa, tutti i punti creati si agganceranno alla superficie sferica.


Impostazione della quota del tastatore su un cono

In PC-DMIS sono disponibili due procedure di impostazione della quota del tastatore su un cono. Per ulteriori informazioni sulle seguenti procedure, vedere "Misurazione degli elementi offline".

Procedura tridimensionale

Per impostare la quota precisa su una superficie conica, è necessario che vengano visualizzati due cerchi o archi CAD sul cono. Durante questa procedura, è consigliabile utilizzare due viste della superficie; inoltre è possibile utilizzare viste isometriche per impostare la quota del tastatore su un cono.

  1. Impostare la quota precisa di un'estremità del cono, utilizzando uno dei cerchi. PC-DMIS visualizza il messaggio “Quota precisa impostata su".

  2. Quindi, impostare la quota dell'altra estremità del cono, utilizzando il secondo cerchio. PC-DMIS visualizza il messaggio “Quota precisa impostata su cono".

Al termine dell'impostazione della quota precisa, tutti i punti creati si agganceranno alla superficie conica. Per prendere singoli punti sui coni, tenere premuto il pulsante sinistro del mouse. Quando si fa clic sul pulsante sinistro del mouse, PC-DMIS prende punti equidistanti intorno al cono.

Procedura bidimensionale

Per impostare la quota precisa su una superficie conica di un disegno bidimensionale, è necessario definire la distanza tra due cerchi, come descritto in precedenza. Dato che questi cerchi si trovano alla stessa quota è anche necessario definire la quota precisa di una linea, che può essere una linea retta o una linea sul bordo del cono. Dopo aver impostato la quota precisa sui cerchi, tenere premuto il pulsante destro del mouse in prossimità della linea che verrà utilizzata per la lunghezza.

Al termine dell'impostazione della quota precisa, tutti i punti creati si agganceranno alla superficie conica. Per prendere singoli punti sui coni, tenere premuto il pulsante sinistro del mouse. Quando si fa clic sul pulsante sinistro del mouse, PC-DMIS prende punti equidistanti intorno al cono.


Digitazione della quota del tastatore

In alcuni casi, è necessario impostare il tastatore su una determinata posizione nello spazio. A tale scopo, operare come segue:

  1. Fare clic sulla parte X, Y, Z della barra di stato mentre è attiva la modalità PROGRAMMA (oppure selezionare Operazione | Muovi a come illustrato nella sezione "Inserimento di comandi di movimento" ). Visualizza Mappa Percorsi dei Menu

  2. Viene visualizzata la finestra di dialogo Movimento puntuale automatico. L'impostazione predefinita indica la posizione corrente del tastatore.

  3. Impostare X, Y, Z sui valori desiderati. Se si seleziona la casella di controllo Memorizza movimento , il comando MOVIM PUNTO viene aggiunto al programma. Inoltre, è possibile selezionare la casella di controllo Incrementa movimento e la casella di controllo Consenti movimento.

  4. Dopo aver inserito i nuovi valori X, Y, o Z, fare clic su Chiudi. PC-DMIS sposta il tastatore animato nella nuova posizione.


Misurazione degli elementi offline

In PC-DMIS sono disponibili vari metodi di programmazione delle routine di misurazione offline. Tenere premuto il pulsante sinistro del mouse per prendere un punto. La combinazione di tasti ALT + segno meno (-)consente di rimuovere un numero di punti specificato, se il processo di misurazione non è ancora terminato. È necessario premere tale combinazione per ogni punto che si desidera rimuovere. Per completare il processo di misurazione premere il tasto FINE.

Nota: premere il tasto FINE per interrompere il processo di misurazione. PC-DMIS continuerà a memorizzare i punti nel relativo buffer fino a quando non si preme il tasto FINE.

Altro

Misurazioni automatiche

Misurazioni discrete

Interruzione di una misurazione


Misurazioni automatiche

PC-DMIS è in grado di determinare la modalità di misurazione da utilizzare per gli elementi circolari e lineari, in base alla relativa definizione IGES. Questa funzione di PC-DMIS è utile per velocizzare il processo di creazione di un part-program.

Altro

Elementi circolari

Elementi lineari

Elementi di superficie


Elementi circolari

Il numero predefinito di punti generato da PC-DMIS per un elemento circolare corrisponde ad un'opzione del sistema. Per modificare tale valore, accedere alla finestra di dialogo Opzioni di impostazione e fare clic sulla scheda (Modifica | Preferenze | Impostazione) e fare clic sulla scheda Generale. Inserire il nuovo numero predefinito nella finestra di modifica Punti cerchi automatici.

PC-DMIS è in grado di generare automaticamente i punti per cerchi, cilindri ed archi. A tale scopo, operare come segue:

  1. Spostare il cursore in prossimità della circonferenza dell'elemento.

  2. Fare clic con il pulsante sinistro del mouse. È necessario che le icone delle MODALITÀ indichino la modalità Programma. Vengono creati dei punti equidistanti sull'elemento, in corrispondenza della quota del tastatore corrente. Per informazioni sull'impostazione del numero di punti per le linee, vedere "Opzioni di impostazione: Scheda Generale" nella sezione "Impostazione delle preferenze" .

Seguire le regole di misurazione relative agli elementi circolari riportate di seguito:

  • Per un diametro interno, posizionare il cursore all'esterno dell'elemento.

  • Per un diametro esterno, posizionare il cursore all'esterno dell'elemento.

  • Per programmare automaticamente i cilindri, prendere almeno due insiemi di punti a diverse quote del tastatore.

  • Durante la programmazione di un arco, PC-DMIS colloca i punti ad una determinata distanza sulla lunghezza dell'arco.

  • Per misurare una sfera o un cono, è necessario impostare la quota precisa sulla sfera o sul cono prima di generare i punti. Vedere "Impostazione della quota del tastatore su una sfera" e "Impostazione della quota del tastatore su un cono".


Elementi lineari

Il numero predefinito di punti generato da PC-DMIS per un elemento lineare corrisponde ad un'opzione del sistema. Per modificare tale valore, accedere alla finestra di dialogo Opzioni di impostazione e fare clic sulla scheda (Modifica | Preferenze | Impostazione) e fare clic sulla scheda Generale. Inserire il nuovo numero predefinito nella finestra di modifica Punti linea automatici.

PC-DMIS è in grado di generare automaticamente i punti per linee e piani. A tale scopo, operare come segue:

  1. Spostare il cursore in prossimità della linea.

  2. Fare clic con il pulsante sinistro del mouse. È necessario che le icone delle MODALITÀ indichino la modalità Programma.

Seguire le regole di misurazione relative agli elementi lineari riportate di seguito:

  • PC-DMIS genera punti equidistanti sulla lunghezza della linea, in corrispondenza della quota del tastatore corrente. Per informazioni sull'impostazione del numero di punti per le linee, vedere "Opzioni di impostazione: Scheda Generale" nella sezione "Impostazione delle preferenze" .

  • Posizionare il cursore sul lato della linea in cui si desidera prendere i punti.

  • Per programmare automaticamente i piani, prendere almeno due insiemi di punti a diverse quote del tastatore.


Elementi di superficie

È possibile utilizzare scansioni UV per inserire automaticamente i punti lungo la direzione UV di una superficie. In modalità Programma e nella modalità di selezione della superficie, premere il pulsante sinistro del mouse all'interno della superficie da selezionare. Viene visualizzata una finestra di dialogo che consente di inserire i valori UV iniziali e finali e il numero di punti presenti lungo ciascuna direzione UV.


Misurazioni discrete

Le misurazioni automatiche consentono di rendere il processo di programmazione più rapido, sebbene, a causa della geometria del pezzo o del tipo di elemento, sia a volte necessario inserire con precisione i punti su un elemento. Sono disponibili due tecniche di inserimento dei punti.

Altro

Inserimento di punti su una superficie

Inserimento di punti su un elemento


Inserimento di punti su una superficie

In alcuni casi, ad esempio durante la misurazione di piani, sfere o coni, è necessario inserire con precisione i punti su una superficie. A tale scopo, operare come segue:

  1. Spostare il cursore nella posizione in cui si desidera prendere il punto.

  2. Tenere premuto il pulsante sinistro del mouse (senza muovere il mouse).

  3. Rilasciare il pulsante del mouse. PC-DMIS programmerà il punto nella posizione indicata.

Mentre si tiene premuto il pulsante del mouse, è necessario mantenere il cursore nella stessa posizione, altrimenti PC-DMIS non sarà in grado di interpretare correttamente le indicazioni dell'utente. Se il mouse viene spostato, quando il pulsante viene rilasciato, la punta del tastatore si aggancia ad un elemento; in questo caso, premere la combinazione di tasti ALT + segno meno (-) per rimuovere il punto ed eseguire nuovamente la procedura.

Nota: prima di inserire i punti discreti su un cono, una sfera o un piano, è necessario impostare una quota precisa.


Inserimento di punti su un elemento

In alcuni casi, è necessario inserire con precisione i punti su un elemento differente da un piano. A tale scopo, operare come segue:

  1. Spostare il cursore in prossimità della posizione in cui si desidera prendere i punti.

  2. Tenere premuto il pulsante sinistro del mouse.

  3. Spostare il tastatore sulla posizione in cui si desidera prendere il punto. (il tastatore deve essere spostato di almeno 3 millimetri sullo schermo).

  4. Rilasciare il pulsante del mouse.

PC-DMIS aggancerà il punto sull'elemento; quindi, posizionerà il punto sul lato dell'elemento, nella posizione in cui è stato premuto per la prima volta il pulsante del mouse.


Interruzione di una misurazione

Per interrompere una misurazione in modalità offline, premere il tasto FINE.


Esecuzione e debug di part-program offline

È possibile eseguire i part-program durante l'uso di PC-DMIS offline, mediante le stesse procedure utilizzate in modalità online. La finestra di modifica consente di accedere rapidamente a tutti i comandi di un part-program, in modo da semplificare la messa a punto di un part-program, come se si trattasse di un programma eseguito su una CMM.

Per una panoramica sulle opzioni di modifica disponibili in PC-DMIS, vedere "Modifica di un part-program" .

È il programmatore stesso a dover controllare l'animazione del tastatore e rilevare le eventuali collisioni e le posizioni errate dei punti. Il metodo migliore per eseguire questa operazione è quello di ridurre le velocità di movimento e di contatto. Questa operazione viene eseguita specificando l'opzione Impostazione tastatore (vedere l'argomento "Modifica dei parametri dei movimenti e dei rapporti" nella sezione "Impostazione delle preferenze" ) e digitare le velocità desiderate nella casella di modifica appropriata. Quando viene premuto il pulsante Interrompi, PC-DMIS interrompe il processo di misurazione. Per riprendere tale processo, fare clic sul pulsante Continua.

Altro

Percorso


Percorso

Visualizza Mappa Percorsi dei Menu

L'opzione di menu Operazione | Finestra di visualizzazione grafica | Linee percorso rende disponibile una rappresentazione grafica del percorso dei tastatori lungo il pezzo. Questa opzione è un ottimo modo per modificare il percorso del tastatore, nonché per eseguire misurazioni offline. Per accedere a questa opzione, effettuare le seguenti operazioni:

  • Selezionare gli elementi da utilizzare per la modifica del percorso del tastatore nella finestra di modifica del part-program in questione.. Vedere "Selezione di comandi per l'esecuzione" nella sezione "Modifica di un part-program" .

  • Selezionare l'opzione Visualizza | Linee percorso. Saranno visualizzate le linee del percorso del tastatore create durante la fase di apprendimento del part-program. Per ulteriori informazioni sull'uso delle linee del percorso, vedere l'argomento "Visualizzazione e animazione delle linee del percorso" dalla sezione "Modifica della visualizzazione CAD" .


Translazione di DOS/AVAIL in PC-DMIS

Traduzione di un part-program in PC-DMIS:

Introduzione

Traduzione di un file di part-program

Traslazione dei file da DOS a Windows

Traslazione dei file da Avail e MMIV a Windows

Importazione di un file del part-program

File DOS, Avail ed MMIV

Informazioni sul commando MOVE/PH9_OFFSET per part-program importati da DOS


Translazione di DOS/AVAIL in PC-DMIS:Introduzione

PC-DMIS consente di eseguire la traslazione dei part-program creati in DOS, Avail o Tutor e di eseguirli in PC-DMIS per Windows. Il part program originale deve essere stato creato con Avail o con PC-DMIS (DOS). Per effettuare la traduzione, è necessario che il part-program di origine sia stato creato utilizzando Avail oppure la versione 3.2 o superiore di PC-DMIS per DOS.

Nota: questa versione non consente di importare i part-program creati con Tutor per Windows.

In questa sezione verranno trattati i seguenti argomenti:

  • Introduzione

  • Traduzione di un file di part-program

  • Importazione di un file del part-program


Traduzione di un file di part-program

Per eseguire la traslazione di un file, è necessario effettuare le operazioni riportate di seguito.

Altro

Traslazione dei file da DOS a Windows

Traslazione dei file da Avail e MMIV a Windows


Traslazione dei file da DOS a Windows

  1. Da DOS, avviare PC-DMIS per DOS. Viene visualizzata la finestra Active Parts (Part-program attivi).

  2. Fare clic sul pulsante POST nell'elenco dei menu.

  3. Selezionare il part-program su cui eseguire la traduzione. PC-DMIS visualizzerà il menu Post Options (Opzioni di conversione) .

  4. Selezionare il pulsante DIMS CMDS (comandi DIMS) nell'elenco dei menu PC-DMIS richiederà di inserire il nome del file di output.

  5. Specificare il nome appropriato per il file seguito dall'estensione di tre caratteri. È consigliabile utilizzare l'estensione ".dim".

  6. Durante la traslazione del part-program, viene richiesto di inserire il nome di un file del tastatore di PC-DMIS per Windows. Digitare il nome desiderato.

  7. Accertarsi che venga utilizzato un file del tastatore per Windows.

  8. Premere INVIO.

  9. Una volta completato il processo di traduzione, viene richiesto di premere un tasto qualsiasi per continuare. Quindi, viene nuovamente visualizzato l'elenco Active Parts.

  10. Uscire da PC-DMIS per DOS.


Traslazione dei file da Avail e MMIV a Windows

Per eseguire i file Avail/MMIV in PC-DMIS per Windows, non è necessario eseguirne la traduzione. Si consiglia tuttavia di salvare i file aggiungendo il prefisso LLF al nome (LLF*.*). Seguire le istruzioni indicate in "Importazione di un file del part-program".


Importazione di un file del part-program

Per importare il file di part-program, è necessario effettuare le operazioni riportate di seguito. È possibile seguire la stessa procedura indipendentemente dal tipo di file.

Altro

File DOS, Avail ed MMIV


File DOS, Avail ed MMIV

  1. Avviare PC-DMIS per Windows facendo doppio clic sull'icona appropriata nel desktop oppure selezionare il pulsante Avvio | Programmi | PC-DMIS per Windows). Viene visualizzata la finestra di dialogo Apri file.

  2. Fare clic sul pulsante Annulla per chiudere tale finestra di dialogo.

  3. Selezionare l'opzione di menu File | Nuovo per creare un nuovo part-program. Viene visualizzata la finestra di dialogo Nuovo part-program. Visualizza Mappa Percorsi dei Menu

  4. Inserire il nome del file per il nuovo part-program e le altre informazioni necessarie.

  5. Fare clic sul pulsante OK. La finestra di dialogo viene chiusa e viene visualizzata la finestra di dialogo Utility tastatore.

  6. Selezionare il pulsante Annulla per chiudere la finestra di dialogo Utility tastatore.

  7. Selezionare il menu secondario File | Importa. Visualizza Mappa Percorsi dei Menu

  8. Selezionare il tipo appropriato di dati di input (DIMS , AVAIL o MMIV). Viene visualizzata la finestra di dialogo Apri

  9. Selezionare il file opportuno. Se il file è stato salvato con un'estensione .DIM o .LLF*.*, PC-DMIS visualizzerà automaticamente tutti i file disponibili con l'estensione appropriata. Se necessario, passare alla directory corretta.

  10. Fare clic sul pulsante Importa. Se i dati CAD esistono già per il part-program, è possibile scegliere Unisci o Sostituisci per unire o sostituire i dati CAD esistenti con i dati CAD importati. Viene visualizzata le finestra di dialogo Scegli Metodo di Importazione con le opzioni seguenti:

  • Traslazione del programma principale e di tutte le subroutine richiamate in un part-program DIMS.

  • Traslazione del solo file specificato. Esecuzione delle chiamate di subroutine senza traslazione dei relativi file

  • Traslazione del programma principale e di tutte le subroutine richiamate in part-program DIMS separati.

  11. Selezionare uno dei metodi traslazione disponibili.

  12. Fare clic sul pulsante OK oppure premere il tasto INVIO.

PC-DMIS esegue la traslazione dei dati DIMS, AVAIL o MMIV e visualizza di nuovo il part-program.

q Ogni volta che si esegue un'operazione CAMBIO UTENSILE verrà richiesto di selezionare un file tastatore PCDMIS

q Ogni volta che si esegue un'operazione CAMBIO PUNTA verrà richiesto di selezionare un tastatore PCDMIS.

A questo punto, è possibile eseguire il part-program in PC-DMIS per Windows.

Importante: Dopo aver eseguito l'importazione di part-program AVAIL contenenti un parola chiave IFTEST o un comando GOTO/ETICHETTA all'interno di un blocco dell'elemento oppure dopo aver eseguito l'importazione di part-program MMIV contenenti una parola chiave BRANCH/TEST (DIRAMAZIONE/TEST) o un comando BRANCH/LABEL (DIRAMAZIONE/ETICHETTA) all'interno di un blocco dell'elemento, i comandi PC-DMIS associati, ovvero IF e GOTO, verranno spostati prima del blocco dell'elemento. Questo errore verrà corretto nelle versioni future di PC-DMIS.

Altro

Informazioni sul commando MOVE/PH9_OFFSET per part-program importati da DOS


Informazioni sul comando MOVE/PH9_OFFSET per part-program importati da DOS

Informazioni sul commando MOVE/PH9_OFFSET per part-program importati da DOS

Nella versione per DOS, il software ruotava il PH9 secondo i nuovi angoli ed eseguiva un movimento automatico per posizionare la punta prima dei movimenti angolari. In PC-DMIS for Windows il software non comanda piú questo movimento aggiuntivo. Per questo motivo, nel caso di part-program DOS importati, PC-DMIS per Windows inserisce automaticamente comandi MOVE/PH9_OFFSET per facilitarne la traduzione.

Il comando accetta due input ed ha la sintassi seguente

MOVIM/PH9_OFFSET,INPUT1,INPUT2

INPUT1 é il vecchio angolo della punta.

INPUT2 é il nuovo angolo della punta.

Nota:questo comando non è necessario in un part-program di PC-DMIS per Windows normale e non è comunque selezionabile all'interno di alcun tipo di menu.


Uso di un dispositivo polso

Uso di un dispositivo polso: Introduzione

Installazione

Note relative ai polsi Renishaw PHS con l'interfaccia Leitz

Calibrazione della punta

Nuovo file del tastatore

Calibrazione unità

Calibrazione polso

Calcolo della mappa degli errori

Controllo di calibrazione

Riporta l'unità all'origine

Uso del polso in un part-program

Opzione 1

Opzione 2

Opzione 3

Opzione 4


Uso di un dispositivo polso: Introduzione

PC-DMIS supporta la calibrazione e l'uso di dispositivi polso indicizzabili un numero infinito di volte, ad esempio Renishaw PHS, DEA CW43 e DEA CW43L, nonché di dispositivi forniti da altri produttori.

In questa sezione verranno trattati i seguenti argomenti:

  • Installazione

  • Calibrazione della punta

  • Calibrazione unità

  • Controllo di calibrazione

  • Riporta l'unità all'origine

  • Uso del polso in un part-program


Installazione

Se un polso viene installato su una CMM, PC-DMIS aggiungerà gli assi A e B ai valori letti X, Y, e Z e normalmente visualizzati. Per poter abilitare il supporto del polso, è necessario che l'opzione relativa al polso sia attivata nel blocco della porta. A causa dell'elevato numero di polsi infiniti e di interfacce supportato, è necessario rivolgersi al proprio rivenditore per informazioni sulle voci del registro di sistema di PC-DMIS da modificare. Per informazioni sull'uso della finestra di dialogo Editor impostazioni PC-DMIS per modificare le voci del registro di sistema, vedere la sezione "Modifica delle voci del registro di sistema" .

PC-DMIS eseguirà automaticamente una query sul controller per determinare la presenza del polso.

Altro

Note relative ai polsi Renishaw PHS con l'interfaccia Leitz


Note relative ai polsi Renishaw PHS con l'interfaccia Leitz

Quando si utilizza il montaggio cinematico per il polso Renishaw, è necessario modificare la voce del registro "RenishawKinematicMount=1" nella sezione [Option] della finestra di dialogo Editor impostazioni PC-DMIS. Per informazioni sulla modifica di voci di registro, si veda la sezione "Modifica Voci del Registry".

Al momento dell'avvio del sistema, verrà richiesto se il polsoPHS è montato sulla macchina CMM. Tale richiesta viene visualizzata da PC-DMIS solo se il controller è stato appena acceso. Dopo aver indicato il componente presente sull'estremità del braccio, il messaggio verrà visualizzato soltanto alla successiva accensione del controller. Una volta montato il polso, PC-DMIS visualizzerà gli assi A e B in aggiunta agli assi X, Y e Z normalmente visualizzati.

Nota: i valori A e B verranno visualizzati solo quando si esegue PC-DMIS dopo aver confermato il caricamento del polso.


Calibrazione della punta

Per eseguire la calibrazione della punta è necessario che il polso sia stato già calibrato. Non è necessario eseguire la calibrazione della punta utilizzata per calibrare il polso, poiché viene eseguita automaticamente dal sistema.

La calibrazione della punta consente di calcolare la distanza dal punto centrale dell'ultimo giunto (giunto A) al centro della punta. Teoricamente basterebbe misurare una posizione A,B della punta, per calcolare questa distanza, una volta calibrato il polso; tuttavia, puó essere una buona idea misurare piú di una posizione A,B, in modo che PC-DMIS possa mediare sui valori di piú offset calcolati. In questo modo viene migliorato il grado di precisione.

Altro

Nuovo file del tastatore


Nuovo file del tastatore

Una volta calibrato il polso, è possibile modificare la punta ad esso collegata ed eseguire la calibrazione della punta stessa. Per calibrare una nuova punta sul polso:

  1. Accedere alla finestra Utility tastatore selezionando l'opzione di menu Inserisci | Definizione hardware | Tastatore. Visualizza Mappa Percorsi dei Menu

  2. Accertarsi che la descrizione del tastatore sia appropriata per la nuova punta caricata.

  3. Selezionare uno o piú posizioni A,B, corrispondenti alla nuova punta, nell'Elenco punte attive che corrispondono a questa nuova punta. Se la combinazione A,B voluta non é inclusa nell'elenco, è possibile aggiungerla selezionando il pulsante Aggiungi angoli. Occorre selezionare almeno una coppia A,B nella lista delle punte, al fine di eseguire la calibrazione. Se si seleziona più di una combinazione, PC-DMIS ridistribuirà in modo uniforme i risultati per ottenere un offset della punta con un grado di precisione maggiore.

  4. Una volta selezionate le punte desiderate, fare clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore. nella quale è possibile impostare il numero di punti, la distanza di approccio e di ritrazione e le velocità da utilizzare.

  5. Selezionare il pulsante di opzione Calibrazione punte nelle opzioni da calibrare

  6. Impostare i parametri desiderati.

  7. Fare clic sul pulsante Misura.

PC-DMIS avvierà la misurazione della sfera utilizzando le combinazioni di angoli A,B selezionate.


Calibrazione dell'unità per dispositivi polso infiniti

Se sulla macchina CMM è disponibile un polso indicizzabile, PC-DMIS consentirà di accedere alle opzioni Calibrazione unità e Riporta l'unità all'origine disponibili nell'area Tipo di calibrazione della finestra di dialogo Misura tastatore.

Misura tastatore, finestra di dialogo

Nella sezione Tipo di calibrazione, l'opzione Calibrazione unità è attiva

Nota: questo tipo di calibrazione del polso viene eseguita soltanto con un unico stilo, non sui tastatori a stella. Al termine dalla calibrazione, le posizioni angolari del polso possono essere utilizzate nei nuovi file del tastatore eseguendo la calibrazione di almeno un angolo del tastatore. Per informazioni aggiuntive, vedere "Calibrazione unità" nell'argomento "Tipo di operazione". Per informazioni sulla calibrazione del tastatore, vedere l'argomento "Misura" nella sezione "Definizione dell'hardware" .

L'opzione Calibrazione unità consente di calibrare il polso. Questa procedura permette di misurare diversi angoli su una sfera per determinare le distanze all'interno del polso stesso. Una volta eseguiti questi calcoli, PC-DMIS utilizzerà i risultati ottenuti per determinare con precisione la posizione della punta in base alle diverse coppie di angoli A, B. Ciò consentirà di utilizzare nel part-program un qualsiasi angolo A, B senza eseguire la calibrazione delle singole posizioni.

Nota: accertarsi di inserire i valori di misurazione desiderati nella finestra di dialogo Misura tastatore per la misurazione della sfera e selezionare l'utensile di calibrazione prima di eseguire la misurazione con l'opzione Calibrazione unità. La finestra di dialogo Misura consente di impostare il numero di punti, la distanza di approccio e di ritrazione del tastatore e le diverse velocità da utilizzare durante il processo di misurazione. Vedere l'argomento "Misura" nella sezione "Definizione dell'hardware".

Altro

Calibrazione polso


Calibrazione polso

Per eseguire la calibrazione del polso, è necessario misurare almeno tre posizioni dell'angolo A e almeno altrettante posizioni dell'angolo B, per un totale di nove misurazioni della sfera. È necessario che ciascuna posizione dell'angolo A venga misurata in corrispondenza di ciascuna posizione B. L'area Impostazione angolo di calibrazione polso della finestra di dialogo Misura tastatore consente di specificare gli angoli per la calibrazione degli assi A e B. Le prime tre opzioni disponibili consentono di eseguire la calibrazione del giunto A.

Per informazioni sull'uso dell'area Impostazione angolo di calibrazione polso per definire le posizioni degli angoli AB, vedere "Impostazione angolo di calibrazione polso" nella sezione "Definizione dell'hardware" .

Nota: se si utilizza un polso Renishaw PHS, ogni volta che si verifica un'interruzione nell'alimentazione del controller PHS, è necessario eseguire la calibrazione del polso o selezionare Riporta l'unità all'origine nell'area Tipo di operazione della finestra di dialogo Misura tastatore e fare di nuovo clic su Misura.

Attenzione nell'uso dei Tastatori SP600

La maggior parte dei tastatori su polsi continui calibrano una porzione del campo angolare ed approssimano il resto. Tuttavia, un tastatore SP600 con polso continuo necessita di una propria matrice di deflessione. È necessario di conseguenza calibrare ogni angolo AB della punta che non faceva parte della mappatura originaria, per evitare risultati di misura errati.

Altro

Calcolo della mappa degli errori


Calcolo della mappa degli errori

La calibrazione dei dispositivi polso viene in genere eseguita in base a incrementi relativamente piccoli, ad esempio 20 gradi. Quando si esegue la calibrazione di un polso indicizzabile continuo, con la casella di controllo Calibrazione unità selezionata, in PC-DMIS verrà automaticamente creato un file per la compensazione degli errori del polso denominato abcomp.dat che consente di correggere gli errori angolari del polso. La creazione di una mappa degli errori aumenterà la precisione del polso, se utilizzata per misurare in corrispondenza di posizioni su cui non è stata in precedenza eseguita la calibrazione, consentendo a PC-DMIS di interpolare gli offset di sondaggio.

Una volta calcolata la mappa degli errori, i risultati corrispondenti verranno memorizzati sul disco rigido del computer e consentiranno di migliorare il grado di precisione angolare ogni volta che il polso verrà utilizzato. È necessario calcolare la mappa degli errori a intervalli regolari, ad esempio una volta a settimana, o quando si ritiene opportuno. Il calcolo della mappa degli errori in PC-DMIS implica anche l'esecuzione di una calibrazione appropriata del polso e della punta per il file del tastatore attualmente caricato.

Nota: è necessario eseguire la calibrazione di un polso ogni volta che ne viene modificato il montaggio. Poiché i tempi di esecuzione della mappatura di un polso variano in base al tipo di polso e alle indicazioni del relativo produttore, è inoltre necessario fare riferimento alle informazioni sull'hardware e a quanto indicato dal proprio fornitore.

Quando il polso indexabile continuo é calibrato ed é stato creato il file della mappa degli errori, occorre fare in modo che PC-DMIS utilizzi tale file. A tale scopo, selezionare la casella di controllo Usa Mappa del Polso se Disponibile dalla finestra di dialogo Utility tastatore (vedere l'argomento "Usa mappa del polso se disponibile" dalla sezione "Definizione dell'hardware" ). A questo punto è possibile creare ed utilizzare qualsiasi posizione del nuovo file tastatore con un numero minimo di calibrazioni

A tale scopo, creare un nuovo file del tastatore ed eseguire una normale calibrazione della punta utilizzando almeno una posizione del tastatore sull'utensile di calibrazione che mantiene un collegamento con il file del tastatore utilizzato durante il processo Calibrazione unità. È tuttavia necessario utilizzare più posizioni del tastatore per eseguire tale calibrazione per ottenere un maggior "adeguamento" dei dati di offset del tastatore alla matrice degli errori del polso. Ciò è possibile specialmente se diverse posizioni del polso vengono utilizzate nel nuovo file del tastatore.

Nota: se il collegamento al file del tastatore utilizzato durante la mappatura del polso non viene mantenuto, si verificheranno errori di misurazione.


Controllo di calibrazione

Opzione Controllo di calibrazione nella sezione Tipo di operazione

In seguito alla calibrazione dell'unità, è consigliabile eseguire un controllo di calibrazione. Tale operazione consentirà di ottenere informazioni relative al livello di precisione generale della calibrazione del polso e delle misurazioni future. È anche possibile eseguire un controllo di calibrazione per verificare gli errori relativi alle nuove punte aggiunte ai nuovi file tastatore.

Per eseguire un controllo di calibrazione, effettuare le seguenti operazioni:

  1. Accedere alla finestra Utility tastatore selezionando l'opzione di menu Inserisci | Definizione hardware | Tastatore. Visualizza Mappa Percorsi dei Menu

  2. Selezionare gli angoli che si desidera utilizzare per il controllo di calibrazione da Elenco punte attive. Si consiglia di selezionare sia angoli del tastatore utilizzati nel corso della calibrazione del polso, sia angoli non utilizzati nel corso di tale operazione

  3. Fare clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  4. Inserire i parametri che si desidera utilizzare durante il controllo di calibrazione e selezionare l'utensile di calibrazione appropriato.

  5. Selezionare l'opzione Controllo di calibrazione dall'area Tipo di operazione.

  6. Fare clic sul pulsante Misura.

  7. Seguire le istruzioni visualizzate.


Riporta l'unità all'origine

Opzione Riporta l'unità all'origine nella sezione Tipo di operazione

Alcuni dispositivi polso¾come Renishaw PHS¾non dispongono di posizioni zero predefinite e utilizzano potenziometri anziché le scale per posizionare il polso. Per tali tipi di dispositivi polso è necessario ridefinire lo zero ogni volta che l'alimentazione al controller della testata del tastatore viene interrotta. Per ridefinire la posizione zero del polso, è possibile scegliere l'opzione Calibrazione unità (vedere “Calibrazione della punta”) oppure l'opzione Riporta l'unità all'origine.

Se si seleziona Riporta l'unità all'origine l'offset degli errori relativi all'angolo verrà calcolato in base alla pozione zero del polso calcolata in precedenza, mediante l'esecuzione della calibrazione di uno o più angoli del tastatore su una posizione della sfera calibrata in precedenza. Il vantaggio offerto da tale operazione consiste nella possibilità di utilizzare anche un solo angolo della punta del tastatore, in modo da rendere il processo più veloce rispetto alla calibrazione di un polso.

Quando si esegue il ritorno all'unità all'origine, si consiglia di utilizzare più angoli del tastatore, al fine di consentire a PC-DMIS di ridistribuire gli errori della procedura di ritorno all'origine e regolare con maggiore precisione la mappa degli errori del polso.

Per eseguire una procedura di ritorno all'origine dell'unità, effettuare le seguenti operazioni:

  1. Accedere alla finestra Utility tastatore selezionando l'opzione di menu Inserisci | Definizione hardware | Tastatore. Visualizza Mappa Percorsi dei Menu

  2. Selezionare lo stesso file del tastatore utilizzato per la calibrazione dell'unità.

  3. Selezionare gli angoli che si desidera utilizzare per il controllo di calibrazione da Elenco punte attive.

  4. Fare clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  5. Inserire i parametri che si desidera utilizzare durante il controllo di calibrazione e selezionare lo stesso utensile di calibrazione utilizzato durante la Calibrazione dell'Unità.

  6. Selezionare l'opzione Riporta l'unità all'origine dall'area Tipo di operazione.

  7. Fare clic sul pulsante Misura.

Nota: durante il periodo che intercorre tra la calibrazione dell'unità e il relativo ritorno all'origine, è necessario non spostare la sfera di calibrazione. In caso contrario, eseguire di nuovo la calibrazione dell'unità (vedere "Calibrazione della punta")..


Uso del polso in un part-program

PC-DMIS è in grado di rilevare automaticamente se il polso è stato ruotato mediante il terminale operatore, se supportato. GlI offset punta verranno aggiornati automaticamente in base agli angoli A,e B correnti. Pertanto, i valori XYZ letti indicheranno la posizione della punta corrente contemporaneamente alla sua rotazione. Ci sono quattro modi diversi (discussi di seguito) per aggiungere una nuova posizione A, B all'interno di un part-program.

Una volta aggiunta una combinazione A,B della punta al part-program utilizzando l'opzione desiderata, nell'elenco a discesa delle punte attive nella barra degli strumenti viene visualizzata la punta attiva definita nel part-program. La punta attiva rappresenta il comando PUNTA/ posizionato sopra il punto in cui si trova il cursore nella finestra di modifica. Per muovere il polso sulla posizione A,B, si espanda e poi si chiuda l’elenco a discesa Elenco punte. PC-DMIS chiede se si desidera ruotare il tastatore. Se si seleziona Sì, il polso viene ruotato nella posizione desiderata. Questa operazione risulta particolarmente utile quando si desidera inserire le misurazioni e i movimenti all'interno del part-program.

Altro

Opzione 1

Opzione 2

Opzione 3

Opzione 4


Opzione 1

Nella finestra di dialogo Utility tastatore, selezionare l'opzione Aggiungi angoli. Ció permette di inserire nuove coppie di angoli A,B da aggiungere al file tastatore. Se la punta è già stata calibrata, anche le nuove combinazioni A/B saranno calibrati e pronti all'uso. Una volta chiusa la finestra di dialogo Utility tastatore, è possibile utilizzare le nuove combinazioni A-B selezionandole nella casella dell'elenco delle punte posizionata nella barra degli strumenti.


Opzione 2

Servendosi del jogbox, posizionare il polso secondo i valori A,B degli angoli. Una volta raggiunta la posizione desiderata, premere il pulsante Memorizza movimento sul terminale operatore oppure eseguire un tastatore manuale. Gli angoli A,B correnti verranno letti automaticamente. Se l'angolo A o B è stato modificato in base ad un valore superiore al delta di avvertenza PH9 (vedere l'argomento "Delta di avvertenza polso" nella sezione "Impostazione delle preferenze" ), PC-DMIS inserirà automaticamente gli angoli A e B correnti nell'elenco delle punte e inserirà un comando TIP/ nel part-program . Il nuovo comando PUNTA/ viene aggiunto al part-program prima del movimento memorizzato o del tastatore manuale. Quando il part-program viene eseguito, PC-DMIS modificherà la punta prima di spostarla nella posizione programmata.


Opzione 3

Inserire un comando PUNTA / nella finestra di modifica. Terminata la modifica del vettore, PC-DMIS calcola I migliori angoli A,B in grado di posizionare il gambo della punta parallelamente a quel vettore. PC-DMIS visualizzerà tali angoli nella finestra di dialogo Angoli polso corrispondenti a vettore richiesto.

Angoli polso corrispondenti a vettore richiesto

Ci sono spesso piú coppie A,B in grado di orientare il gambo nella direzione richiesta. Tali coppie saranno visualizzate nella finestra di dialogo e la coppia A,B che é piú vicina ai valori A,B del polso, diventerá la coppia predefinita. Se è possibile ottenere il vettore desiderato mediante una posizione sull'asse A o B di tipo infinito, PC-DMIS evidenzierà questa combinazione con i termini "qualsiasi angolo"; tale combinazione diventerà l'impostazione predefinita sull'asse, che comunque è possibile modificare. Quando si seleziona OK nella finestra di dialogo visualizzata, PC-DMIS aggiungerà la combinazione A-B all'elenco delle punte relative al tastatore attivo e modificherà il comando PUNTA/ in modo da utilizzare la nuova punta.


Opzione 4

In ciascuna scheda della finestra di dialogo Elementi automatici è disponibile una casella di controllo per PH9 automatico. Quando questa opzione è selezionata, PC-DMIS utilizzerà la definizione dell'elemento per determinare il vettore del calibro della punta più appropriato per misurare l'elemento corrente Quindi, il vettore del calibro della punta viene utilizzato per calcolare le migliori combinazioni A,B. Tali combinazioni verranno visualizzate nella finestra di dialogo Angoli polso corrispondenti a vettore richiesto descritta nella sezione "Opzione 3".


Calibrazione dei tastatori meno comuni

Calibrazione dei tastatori meno comuni: Introduzione

Calibrazione dei tastatori laser Serie OTM3

Calibrazione laser: Metodo 1

Calibrazione laser: Metodo 2

Calibrazione dei tastatori laser Nextel

Usa tastatore video NC-100

Calibrazione tastatore a contatto

Passo 1: Definire il tastatore a contatto e due posizioni della punta

Passo 2: Calibrare le posizioni della punta su una sfera di calibrazione

Passo 3: Creazione di un poliedro di calibrazione Strumento

Passo 4: Completare la finestra di dialogo di misura del tastatore

Passo 5: Determinare l'orientamento del calibro poliedrico

Passo 6: Calibrare le punte necessarie sulla sfera di calibrazione

Passo 7: Calibrazione del dispositivo NC-100

Calibrazione della telecamera NC100


Calibrazione dei tastatori meno comuni:Introduzione

In questa sezione verrà descritto come eseguire la calibrazione dei tipi di tastatore meno comuni. Le istruzioni sulla calibrazione dei tastatori a contatto, utilizzati da molti clienti di PC-DMIS, sono state fornite nell'ambito dell'argomento "Misura" della sezione "Definizione dell'hardware" del manuale.

In questa sezione verranno descritte le seguenti procedure di calibrazione del tastatore:

  • Calibrazione dei tastatori laser Serie OTM3

  • Calibrazione dei tastatori laser Nextel

  • Usa tastatore video NC-100


Calibrazione dei tastatori laser Serie OTM3

Appartengono alla Serie OTM3 i tastatori a scansione laser. Sono disponibili i seguenti metodi di calibrazione per questi tipi di tastatori, i quali sono supportati solo sulle macchine in cui viene utilizzata un'interfaccia Leitz.

Altro:

Calibrazione laser: Metodo 1

Calibrazione laser: Metodo 2


Calibrazione laser: Metodo 1

Eseguire la calibrazione di un tastatore a contatto sulla sfera da utilizzare per la calibrazione del tastatore laser. Viene eseguita anche la calibrazione della posizione della sfera, in modo da poter calibrare interamente il tastatore laser in modalità DCC.


Calibrazione laser: Metodo 2

  1. Quando viene richiesto di rilevare il primo punto manuale, operare come segue:

  2. Spostare il tastatore in modo perpendicolare verso la superficie, fino a quando la luce verde che indica la presenza all'interno dell'intervallo (In Range) si accende sul controller Wolf & Beck e il pulsante Abilita tastatore sul terminale operatore assume il colore verde.

  3. Premere il pulsante Attiva tastatore sul jogbox operatore per registrate la posizione del punto.

  4. Spostare il tastatore all'esterno della superficie.

  5. Fare clic sul pulsante Continua .

Nota:è possibile che i risultati della calibrazione sembrino completamente errati. È anche possibile ottenere valori negativi per il diametro dei tastatori. Inoltre, durante la calibrazione, viene utilizzata soltanto la parte dell'utensile di calibrazione compresa tra >= 65 gradi e 90 gradi.


Calibrazione dei tastatori laser Nextel

DOCUMENTAZIONE IN CORSO D'OPERA.


Usa tastatore video NC-100

Il tastatore video NC-100 è considerato un "tastatore non-contatto". Ció significa che il tastatore non nocca mai il pezzo quando rileva I dati di misura.

È necessario calibrare questo tastatore su un calibro poliedrico speciale che presenta 17 facce e richiede 17 orientamenti della testata del tastatore. Inoltre, è necessario utilizzare un tastatore a contatto per calibrare l'orientamento dell'utensile poliedrico.

La procedura di calibrazione del tastatore video NC-100 richiede un'ora di tempo circa. Occorre quindi sincerarsi di avere a disposizione il tempo necessario. Se il tempo per effettuare questa procedura é frammentato, puó succedere di dover ripetere la procedura.

Occorrono due tipi di strumenti di calibrazione: Una sfera ed un poliedro di calibrazione.

Altro

Calibrazione tastatore a contatto

Calibrazione della telecamera NC100


Calibrazione tastatore a contatto

Innanzitutto, è necessario calibrare il tastatore a contatto. in almeno due posizioni (o anche tre posizioni, a seconda del sistema in uso)

Tastatore a Tre assi

Le posizioni seguenti sono da utilizzarsi per configurazioni macchina ed orientazione dei calibri:

  • A0B0C0

  • A90B180C0

Il processo per la creazione di un nuovo file tastatore a contatto e per la calibrazione di un tastatore a contatto è illustrato nell'argomento "Definizione tastatori" nella sezione "Definizione dell'hardware" . Per ulteriori informazioni si faccia riferimento a tale argomento.

Seguire la procedura seguente per completare la fase di calibrazione.

Fare clic qui per iniziare la procedura di calibrazione


Passo 1: Definire il tastatore a contatto e due posizioni della punta

la prima operazione necessaria è la definizione corretta delle estensioni, della punta e delle posizioni della punta del tastatore a contatto.

  1. Dalla finestra di dialogo Utility tastatore (Inserisci | Definizione Hardware | Tastatore) è possibile definire il tastatore, l'estensione e le punte nella casella Descrizione tastatore. Visualizza Mappa Percorsi dei Menu

  2. Fare clic sul pulsante Aggiungi Angoli. Viene visualizzata la finestra di dialogo Aggiungi Nuovi Angoli.

  3. Aggiungere gli angoli A0B0C0 ed A90B180C0 nell'Elenco Nuovi Angoli.

  4. Fare clic su OK per confermare gli angoli della punta definiti nella finestra Aggiungi Nuovi Angoli. Gli angoli sono ora nell'Elenco punte attive della finestra di dialogo Utility Tastatore.

Passare alla fase successiva.


Passo 2: Calibrare le posizioni della punta su una sfera

Passo 2: Calibrare le posizioni della punta su una sfera di calibrazione

È necessario calibrare due posizioni della punta su un utensile di calibrazione della sfera.

  1. Selezionare le due punte da utilizzare per determinare l'orientamento iniziale del calibro poliedrico nell'Elenco punta attiva.

  2. Selezionare il pulsante Misura nella finestra di dialogo Utility Tastatore. Viene visualizzata la finestra di dialogo Misura tastatore.

  3. Selezionare una sfera di calibrazione nell'Elenco utensili disponibili.

  4. Fare clic su Misura per calibrare le punte T1A0B0C0 e T1A90B180C0 su un calibro sferico.

  5. Seguire le istruzioni visualizzate.

Nota:sebbene il calibro poliedrico venga usato in più passi, è necessario non spostare la sfera dalla sua posizione sulla piastra della CMM per poterla utilizzare più avanti nella procedura.

Passare alla fase successiva.


Passo 3: Creazione di un poliedro di calibrazione

Prima della calibrazione sullo poliedro di calibrazione, è necessario definire l'utensile poliedrico.

  1. Selezionare le due punte appena calibrate dalle punte attive Elenco del tastatore Finestra di dialogo Utility.

  2. Fare nuovamente clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  3. Fare clic sul pulsante Aggiungi Utensile. Viene visualizzata la finestra di dialogo Aggiungi Utensile.

  4. Dall'elenco Tipo utensile, selezionare POLIEDRICO.

  5. Inserire il nome dell'utensile nella casella ID utensile.

  6. Definire il vettore I, J, K del gambo. Non è necessario definire il diametro/lunghezza in quanto sono già codificati in base all'utensile di calibrazione selezionato.

  7. Fare clic sul pulsante OK. Viene visualizzata nuovamente la finestra di dialogo Misura Tastatore.

Passare alla fase successiva.

Per punta attiva si intende la sezione del tastatore (definita anche stilo) attualmente caricata e pronta per l'uso. È possibile che siano attive più punte contemporaneamente. Le punte attive sono riportate nell'apposito elenco.

Il sensore collegato alla slitta della macchina CMM o al polso indicizzabile. Tutti i tastatori, tranne i tastatori rigidi, richiedono uno stilo per raccogliere i dati di misurazione.


Passo 4: Completare la finestra di dialogo di misura del tastatore

Nella finestra di dialogo Misura tastatore saranno presenti i valori relativi ai vari campi. I parametric impostati verranno utilizzati da PC-DMIS nel processo di misurazione.

Si possono confermare tali valori, oppure modificarli a seconda delle esigenze.

  1. Selezionare il pulsante di opzione Taratura Calibro NC-100 nella sezione Tipo di operazione.

  2. Selezionare l'opzione Manuale, DCC o ManDCC .

Nota: Indipendentemente dalla scelta della modalità DCC o ManDCC , PC-DMIS richiederà di rilevare manualmente punti sull'utensile di calibrazione.

Passare alla fase successiva.


Passo 5: Determinazione dell'orientamento del poliedro

Passo 5: Determinare l'orientamento dell'utensile di calibrazione del poliedrico

PC-DMIS chiederà di misurare due piani sull'utensile di calibrazione del poliedro. Tali piani saranno usati per determinare l'orientamento dell’utensile.

  1. Selezionare il pulsante Misura nella finestra di dialogo Utility Tastatore. Viene visualizzato un messaggio in cui si chiede di stabilire l'orientamento iniziale.

  2. Fare clic su Sì. Fare clic su NO soltanto se l'orientamento è stato già determinato. Il messaggio che segue chiede se si vuole muovere la testa del PH9/10.

  3. Fare clic su Sì. Viene visualizzata la finestra di dialogo Modalità Esecuzione. PC-DMIS chiede di rilevare tre punti per misurare un piano.

  4. Rilevare tre punti sulla faccia dell'utensile di calibrazione più perpendicolare alla posizione di T1A0,B0,C0.

  5. Premere il tasto Chiudi sul jogbox. PC-DMIS then chiede di procedure con la rotazione del PH9/10 verso la seconda posizione .

  6. Fare clic sul pulsante OK. PC-DMIS ruota la punta secondo l'angolo successivo a T1A90B180C0. PC-DMIS chiede di rilevare tre punti per misurare un piano.

  7. Rilevare tre punti sulla faccia dell'utensile poliedrico più perpendicolare alla posizione corrente del tastatore.

  8. Premere il tasto Chiudi sul jogbox. Dopo aver premuto Chiudi, PC-DMIS visualizza un altro messaggio per notificare che non sono disponibili tutte le punte richieste per la calibrazione all’interno del file tastatori.

  9. Fare clic su SÍ per aggiungere posizioni della punta. PC-DMIS aggiungerà fino a 17 nuove posizioni all'Elenco delle punte attive nella finestra di dialogo Utility tastatore.

Importante:non rimuovere l'utensile poliedrico dopo aver determinato l'orientamento iniziale. Anche se si utilizza la sfera di calibrazione nel passo successivo, il poliedro verrá usato nuovamente, e se lo si rimuove, si dovrá ripetere completamente la procedura di calibrazione.

Passare alla fase successiva.


Passo 6: Calibrare tutte le posizioni della punta del tastatore necessarie su

Passo 6: Calibrare le punte necessarie sulla sfera di calibrazione

In questo passo sarà utilizzato l'utensile di calibrazione della sfera per misurare le nuove posizioni aggiunte nella fase finale del passo precedente. È necessario non spostare l'utensile dopo averlo utilizzato.

  1. Selezionare le posizioni della punta appena aggiunte dall'elenco delle punte attive nella finestra di dialogo Utility tastatore.

  2. Fare clic sul pulsante Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  3. Selezionare il pulsante di opzione DCC o ManDCC.

  4. Selezionare l'opzione Calibrazione Punte nella sezione Tipo di operazione.

  5. Selezionare una sfera di calibrazione nell'Elenco Calibri Attivi.

  6. Fare clic sul pulsante Misura. Se è stata scelta l'opzione DCC, PC-DMIS inizierà automaticamente a misurare la sfera utilizzando le varie punte nelle posizioni relative.

  7. Al termine della calibrazione, viene nuovamente visualizzata la finestra di dialogo Utility tastatore.

Passare alla fase successiva.


Passo 7: Calibrazione del dispositivo NC-100:

In questo passo, viene eseguita la calibrazione dell'utensile poliedrico misurando ogni foro di ognuna delle facce del poliedro.

  1. Selezionare il pulsante Misura nella finestra di dialogo Utility Tastatore. Viene visualizzata la finestra di dialogo Misura tastatore.

  2. Assicurarsi che il Numero di Punti sia maggiore o uguale a 4. Tale numero indica i punti rilevati misurando ciascun foro sulle facce dell'utensile.

  3. Selezionare il pulsante di opzione DCC.

  4. Selezionare il pulsante di opzione Taratura Calibro NC-100 nella sezione Tipo di operazione.

  5. Selezionare l'utensile poliedrico dall'Elenco utensili disponibili.

  6. Fare clic sul pulsante Misura. PC-DMIS visualizza in questa fase due messaggi. Nel primo viene chiesto se si desidera determinare l'orientamento iniziale.

  7. Fare clic su NO. Questo passo è stato già eseguito in precedenza. Nel secondo messaggio viene chiesto se l'utensile di qualifica è stato spostato.

  8. Poiché l'utensile poliedrico non è stato ancora calibrato, fare clic su SÍ. Viene chiesto se CMM è pronta per la rotazione della testata del tastatore.

  9. Fare clic sul pulsante OK. Viene visualizzata la finestra di dialogo Opzioni modalità di esecuzione e viene avviato il processo di misurazione. La prima faccia del poliedro dovrá essere misurata manualmente. PC-DMIS chiederá di rilevare dapprima tre punti.

  10. Rilevare tre punti campione sulla faccia il più possibile perpendicolare al vettore del gambo (sulla parte superiore dell'utensile). PC-DMIS chiede a questo punto di rilevare punti nel foro, in base al numero di punti definiti in precedenza.

  11. Rilevare i punti nel foro. Dopo aver misurato manualmente la prima faccia, PC-DMIS prende il controllo e misura le facce restanti in modalità DCC.

Quando PC-DMIS termina la misura di tutte le 17 facce del poliedro, viene nuovamente visualizzata la finestra di dialogo Utility tastatore.

La prima metà, la più complessa, del processo di calibrazione del tastatore è stata completata. La parte rimanente é meno onerosa e richiede di solito soltanto alcuni minuti.

Andare alla fase successiva di questa procedura.


Calibrazione della telecamera NC100

È necessario calibrare gli angoli utilizzati dal tastatore non contatto (ottico). Il tastatore video NC-100 è il primo tastatore ottico disponibile sul mercato, che può essere calibrato in molti diversi orientamenti.

  1. Nella finestra di dialogo Utilità tastatore specificare tastatore, estensione e tastatore ottico del sistema NC-100.

  2. Fare clic sul pulsante Aggiungi Angoli. Viene visualizzata la finestra di dialogo Aggiungi Nuovi Angoli.

  3. Aggiungere tutti gli angoli richiesti dal part-program. Tali angoli devono essere perpendicolari all'elemento del pezzo da misurare.

  4. Fare clic su OK quindi tornare alla finestra di dialogo Utility tastatore.

  5. Fare clic su Misura. Viene visualizzata la finestra di dialogo Misura tastatore.

  6. Selezionare il pulsante DCC .

  7. Selezionare l'opzione Calibrazione Punte nella sezione Tipo di operazione.

  8. Selezionare un utensile poliedrico dall'Elenco utensili disponibili.

  9. Fare clic sul pulsante Misura. PC-DMIS effettuerà la calibrazione delle posizioni selezionate.

La calibrazione del tastatore é stata portata a termine con successo.


Utilizzo dei dispositivi portatili

Utilizzo dei dispositivi portatili: Introduzione

Avvio di PC-DMIS in modalità portatile

Utilizzo della modalità mouse

Conversione di punti

Scansione per punti campione dell'elemento automatico


Utilizzo dei dispositivi portatili: Introduzione

I dispositivi portatili vengono utilizzati manualmente misurando le macchine che sono relativamente facili da spostare nelle nuove posizioni a causa delle dimensioni e del progetto. Talvolta, queste macchine sono denominate "macchine manuali" o "macchine del tastatore rigido" perché non possono essere eseguite in modalità DCC e non possono utilizzare un meccanismo di attivazione con il tocco per registrare i punti. Alcuni dispositivi portatili infatti, come SMX, utilizzano un tastatore laser invece che un tastatore fisico per prendere i punti.

In questa appendice vengono fornite varie informazioni su questi dispositivi e sul relativo utilizzo in PC-DMIS. L'utilizzo di questi dispositivi per calibrare o eseguire scansioni manuali con il tastatore rigido non sarà illustrato qui perché è stato già illustrato nelle sezioni "Definizione dell'hardware" e "Scansione del pezzo" , rispettivamente. Non saranno neanche illustrate le operazioni complesse che saranno invece esaminate nella documentazione fornita con l'hardware portatile.

In questa appendice saranno illustrati i seguenti argomenti:

  • Avvio di PC-DMIS in modalità portatile

  • Utilizzo della modalità mouse

  • Conversione di punti

  • Scansione di punti campione


Avvio di PC-DMIS in modalità portatile

PC-DMIS consente di avviare un'interfaccia utente lievemente diversa quando si utilizza un dispositivo portatile. L'icona della barra degli strumenti e le voci di menu sono più grandi e più facili da vedere a distanza. Per accedere a questa interfaccia, aggiungere "/portable:on" dalla riga di comando di PC-DMIS.

Per creare un collegamento per l'avvio di PC-DMIS in modalità portatile,

  1. Da una cartella di Windows, fare clic con il pulsante destro del mouse e selezionare Nuovo | Collegamento. Viene visualizzata la procedura guidata Crea collegamento.

  2. Fare clic su Sfoglia e selezionare Pcdlrn.exe dalla posizione in cui è installato PC-DMIS.

  3. Nella casella che indica il percorso di Pcdlrn.exe aggiungere il seguente percorso:

/portable:on

  4. Quindi, se PC-DMIS è stato installato nella directory "C:\Pcdmisw" la riga di comando nella procedura guidata sarà simile alla seguente:

  5. Fare clic su Avanti e specificare un nome per il collegamento.

  6. Fare clic su Fine. Il collegamento viene creato nella posizione specificata.

  7. Fare doppio clic sul collegamento appena creato per avviare la modalità portatile di PC-DMIS.

Un'immagine dell'interfaccia utente portatile con dimensioni del carattere e icone della barra degli strumenti più grandi

In alternativa, è possibile accedere alla finestra di dialogo Personalizza (fare clic con il pulsante destro del mouse sulla sezione della barra degli strumenti e selezionare Personalizza) e selezionare le caselle di controllo relative all'utilizzo di menu e icone della barra degli strumenti più grandi.


Utilizzo della modalità mouse

PC-DMIS consente di attivare la modalità mouse nel dispositivo portatile. In questa modalità, è possibile eseguire le azioni standard del puntatore del mouse (spostare il puntatore, fare clic con il tasto destro e sinistro, ecc.) in PC-DMIS spostando il braccio e la testa del tastatore e premendo i pulsanti che eseguono la funzione di clic del mouse. PC-DMIS interpreta lo spostamento come se si stesse utilizzando un normale mouse. In tal modo, è possibile utilizzare costantemente il dispositivo portatile senza doversi spostare continuamente al computer.

Se PC-DMIS si trova in modalità mouse e si tenta di utilizzare il mouse normale, il comportamento del mouse non sarà regolare. Per utilizzare le funzionalità del mouse normali, disattivare questa modalità.

La modalità mouse funziona fuori da PC-DMIS ma solo se PC-DMIS è in esecuzione in background.

Per attivare la modalità mouse

  • Configurazione a 3 pulsanti: Premere il terzo pulsante. Si attiva la modalità mouse nel dispositivo portatile e PC-DMIS assegna i movimenti del tastatore al puntatore del mouse sullo schermo.

  • Configurazione a 2 pulsanti: Tenere premuto il pulsante per prendere i punti e premere rapidamente il pulsante di completamento (entro 1 secondo).

Clic del mouse

  • Configurazione a 3 pulsanti: Il pulsante centrale (pulsante 2) consente di eseguire un clic sinistro e il primo pulsante esegue un clic destro.

  • Configurazione a 2 pulsanti: Un pulsante esegue un clic sinistro e l'altro un clic destro.

Per disattivare la modalità mouse

  • Configurazione a 3 pulsanti: Per disattivare la modalità mouse con un mouse a tre pulsanti premere il terzo pulsante.

  • Configurazione a 2 pulsanti: Spostare il cursore nella parte superiore dello schermo e premere il pulsante sinistro del mouse.


Conversione di punti

È possibile fare in modo che PC-DMIS riceva un flusso di punti dall'interfaccia. A tale scopo, tenere premuto il pulsante Prendi punti sul dispositivo portatile. In tal modo, è possibile eseguire rapidamente la scansione di una superficie prendendo molti punti in breve tempo.

Una volta ricevuto il flusso di punti, PC-DMIS può fare una delle seguenti operazioni:

  • Creare elementi di singoli punti. Se è attiva la modalità Solo punto oppure se la finestra di dialogo Punto vettore dell'elemento automatico è aperta, PC-DMIS creerà elementi di singoli punti dal flusso di punti.

    • Per attivare la modalità Solo punto, fare clic sull'icona della modalità Solo punto sulla barra strumenti Modalitá Grafiche .

    • Per aprire la finestra di dialogo Punto vettore, selezionare l'icona Punto vettore sulla barra strumenti Elementi automatici.

  • Stimare gli elementi. Se non è attiva nessuna di queste modalità, i punti saranno inseriti nel buffer di punti e il livello di incremento sarà riportato nella barra di stato. Una volta completata la misurazione, l'elemento che ne risulta dipende dalle impostazione e dall'utilizzo della modalità di stima.


Scansione per punti campione dell'elemento automatico

Se si misura un elemento automatico che utilizza punti campione, PC-DMIS chiederà all'utente di prendere quei punti durante l'esecuzione del part-program. Anziché prendere solo quei punti con il braccio portatile, tuttavia, adesso è possibile eseguire la scansione della superficie con il tastatore per rilevare più punti molto rapidamente su ciascuna superficie. In questo modo, si ottiene una maggiore accuratezza.

Alcuni elementi, come un cerchio automatico, hanno un solo piano campione. Altri elementi automatici, come punto angolo automatico o punto diagonale automatico, hanno più piani campione. Per eseguire la scansione di una superficie, premere il pulsante sulla macchina portatile che avvia il rilevamento di punti dal controller, quindi passare il tastatore sulla superficie per il tempo desiderato; PC-DMIS leggerà più punti. Quando si rilascia il pulsante e si termina la scansione della superficie, PC-DMIS chiederà all'utente di rilevare la serie successiva di punti campione sulla superficie successiva. Continuare questa procedura fino ad eseguire la scansione di tutti i punti campione necessari su tutte le superfici.

Regole per la scansione dei punti campione

  • Non è possibile eseguire la scansione di più piani campione in un solo segmento di scansione. In altre parole, non è possibile eseguire la scansione di punti campione oltre le diagonali. Quando si esegue la scansione di punti campione, ciascuna scansione deve coprire una singola superficie. Se un elemento richiede punti campione da più di una superficie, ad esempio un elemento di punto diagonale che utilizza tre superfici, deve essere eseguita una scansione per ciascuna superficie.

  • Non è possibile eseguire la scansione dei punti campione e poi misurare un elemento utilizzando lo stesso segmento di scansione. Quando si esegue la scansione di punti campione prima di eseguire la scansione dell'elemento per misurarlo, è necessario eseguire la scansione del segmento per ciascuna superficie che richiede i punti campione, quindi eseguire una scansione separata del segmento per la misurazione dell'elemento.

  • Quando si esegue la scansione dell'elemento, e non dei punti campione, è possibile eseguire la misurazione dell'elemento in una sola scansione. Ad esempio, per Asola Quadrata Automatica sarà eseguita la scansione di tutti e quattro i lati in un segmento continuo.

Per informazioni sugli elementi automatici e sui punti campione, vedere la sezione Creazione di elementi automatici" .

Voci del registro di sistema per la scansione del tastatore rigido

Sono presenti molte voci del registro di sistema nell'Editor impostazioni PC-DMIS che controllano la lettura dei punti in PC-DMIS dal controller del braccio portatile. Le seguenti voci si trovano nella sezione HardProbeScanningInFeatures:

  • MinDeltaBetweenPointsInMM - Imposta la distanza minima (in millimetri) che il tastatore deve coprire prima di inviare un nuovo punto dal controller a PC-DMIS.

  • MinTimeDeltaBetweenPointsInMilliseconds - Imposta il tempo minimo (in millisecondi) che deve trascorrere prima che PC-DMIS prenda un nuovo punto.

  • MaxPointsForAFeature - Imposta il numero massimo di punti necessari per un elemento. Tutti i punti letti in PC-DMIS dal controller oltre questo numero massimo vengono ignorati.

Per informazioni su queste voci, avviare l'Editor impostazioni PC-DMIS e premere F1 per aprire il relativo file della guida. Quindi, scegliere l'argomento appropriato.


Uso della modalità Operatore

Uso della modalità Operatore: Introduzione

Opzioni della finestra di dialogo Apri file

Opzioni disponibili nella modalità Operatore

File

Apri

Chiudi

Esci

Esportazione

Esci

Modifica

Vista

Finestra

Guida

Uso della finestra degli insiemi selezionati nella modalità Operatore

Uscita a File Manager

Stampa rapporto completo

Calibrazione Punte


Uso della modalità Operatore: Introduzione

La modalità Operatore consente di limitare il numero di opzioni disponibili durante l'esecuzione di PC-DMIS. Una volta impostate tali limitazioni, l'operatore può soltanto aprire ed eseguire il part-program.

Per avviare PC-DMIS in modalità Operatore, dal menu Start selezionare Programmi | PC-DMIS per Windows | Modalità Operatore.

Una volta avviato PC-DMIS nella modalità Operatore, saranno disponibili solo le opzioni necessarie per l'esecuzione del part-program.

In questa sezione verranno trattati i seguenti argomenti:

  • Opzioni della finestra di dialogo Apri file

  • Opzioni disponibili nella modalità Operatore

  • Uso della finestra degli insiemi selezionati nella modalità Operatore


Opzioni della finestra di dialogo Apri file

Finestra di dialogo apertura file

La finestra di dialogo Apri rappresenta una finestra standard di Windows per l'apertura dei file. È possibile attivare un part-program in modalità Operatore facendo doppio clic sul nome del file del part-program oppure selezionando il nome del file del part-program e facendo clic sul pulsante Apri.

Nella modalità Operatore, è possibile utilizzare tale finestra di dialogo per disattivare le seguenti opzioni:

  • Importa in PC-DMIS, alla quale è possibile accedere quando non è attiva la modalità Operatore facendo clic con il pulsante destro del mouse su un part-program e selezionando Importa in PC-DMIS dall'elenco popup.

  • Esporta da PC-DMIS, alla quale è possibile accedere quando non è attiva la modalità Operatore facendo clic con il pulsante destro del mouse su un part-program e selezionando Esporta da PC-DMIS dall'elenco popup.

  • Opzione di modifica del nome del pezzo, del numero di serie e del numero di revisione nella pagina delle proprietà di PC-DMIS, alla quale è possibile accedere quando non è attiva la modalità Operatore facendo clic con il pulsante destro del mouse su un part-program e selezionando Proprietà nell'elenco popup.


Opzioni disponibili nella modalità Operatore

Una volta attivato un part-program, viene visualizzata la schermata principale di PC-DMIS con le opzioni riportate di seguito.

Finestra di visualizzazione grafica in modalità Operatore

Altro

File

Modifica

Vista

Finestra

Guida


File

Il menu File consente di aprire o chiudere un part-program esistente, esportare il part-program corrente oppure ancora uscire dal programma

Altro

Apri

Chiudi

Esci

Esportazione

Esci


Apri

Visualizza Mappa Percorsi dei Menu

L'opzione File | Apri consente di passare tra diversi part-program in qualsiasi momento visualizzando la finestra di dialogo Apri nella quale è possibile selezionare un altro part-program. Se si seleziona un part-program diverso da quello corrente, PC-DMIS consente di salvare ed uscire automaticamente dal part-program attivo prima di caricare il programma appena selezionato. Tuttavia, se si desidera selezionare ed avviare nuovamente il part-program attivo dalla finestra di dialogo Apri, è possibile effettuare le seguenti operazioni:

  • Annullare tutte le modifiche apportate al part-program attivo successive all'ultimo salvataggio e ricaricare il part-program selezionato senza alcuna modifica;

  • Annullare l'intera operazione e tornare alla finestra di dialogo Apri.

Nella modalità Operatore, è possibile avere un solo part-program aperto in un determinato momento.


Chiudi

Visualizza Mappa Percorsi dei Menu

Selezionando File | Chiudi il part-program viene chiuso e le misurazioni di tutti gli insiemi selezionati vengono salvate.


Esci

Visualizza Mappa Percorsi dei Menu

Selezionando File | Esci chiudi il part-program corrente senza salvare i valori delle misurazioni correnti, relative agli insiemi selezionati che sono stati eseguiti. Soltanto i dati misurati in precedenza saranno recuperabili.


Esportazione

Visualizza Mappa Percorsi dei Menu

Per eseguire l'esportazione del part-program corrente, scegliere l'opzione di menu File | Esporta. Viene visualizzata la finestra di dialogo Esporta dati. Selezionare il tipo di dati in base al quale eseguire l'esportazione e un percorso di directory, quindi fare clic su OK. Per ulteriori informazioni sull'esportazione, vedere "Esportazione dei Dati CAD" nella sezione "Uso delle opzioni avanzate del menu File" .


Esci

Visualizza Mappa Percorsi dei Menu

Per chiudere PC-DMIS, tutti gli altri programmi ed effettuare il logoff del computer, scegliere l’opzione di menu File | Esci. PC-DMIS salva automaticamente il part-program corrente prima di chiuderlo.


Modifica

Visualizza Mappa Percorsi dei Menu

Finestra di dialogo Impostazioni Lettura. nella quale è possibile impostare la modalità di visualizzazione delle informazioni. Per ulteriori informazioni vedere l'argomento "Impostazione della finestra di lettura del tastatore" nella sezione "Impostazione delle preferenze" .


Vista

Nella modalità Operatore, questo menu consente di visualizzare o nascondere le finestre indicate di seguito.

Finestra di visualizzazione grafica : questa opzione consente di visualizzare o nascondere la finestra di visualizzazione grafica. Vedere "Finestra di visualizzazione grafica" nella sezione "Spostamento all'interno dell'interfaccia" .

Finestra di anteprima: questa opzione consente visualizzare o nascondere la finestra di anteprima. Vedere "Uso della Finestra di Stato" nella sezione "Uso di altre finestre, editor e strumenti" .

Finestra lettura tastatore: questa opzione consente di visualizzare o nascondere la finestra Lettura tastatore. Vedere "Uso della Finestra di Stato" nella sezione "Uso di altre finestre, editor e strumenti" .

Finestra insiemi selezionati: consente di visualizzare o nascondere la finestra Insiemi selezionati. Vedere "Uso della finestra degli insiemi selezionati" nella sezione "Uso di altre finestre, editor e strumenti" . Vedere "Uso della finestra degli insiemi selezionati nella modalità Operatore".


Finestra

Nel menu Finestra sono disponibili le opzioni che consentono di gestire più part-program e finestre aperti. Vedere la sezione "Spostamento tra più finestre visualizzate"


Guida

Nel menu ? sono presenti tutte le voci di menu disponibili durante l'esecuzione di PC-DMIS in modalità standard.


Uso della finestra degli insiemi selezionati nella modalità Operatore

Finestra Insiemi selezionati

All'apertura di un part-program, viene visualizzata automaticamente la finestra Insiemi Selezionati. Di seguito vengono riportate le opzioni disponibili in tale finestra nella modalità Operatore.

Altro

Uscita a File Manager

Stampa rapporto completo

Calibrazione Punte


Uscita a File Manager

Se si seleziona Uscita a File Manager viene visualizzata la finestra di dialogo Apri che consente di selezionare i part-program che si desidera aprire.


Stampa rapporto completo

L'icona Stampa rapporto completo consente di stampare il rapporto completo sulla periferica di output impostata durante l'apprendimento del part-program

Se l'output viene inviato a un file, il rapporto verrà salvato in formato RTF. Se si tratta del primo rapporto di ispezione salvato da quando il sistema è stato acceso, PC-DMIS richiederà l'immissione di un valore nella casella Nuovo file #. Se è selezionata l'opzione Auto, dopo aver salvato il primo file, PC-DMIS salverà tutti i file successivi assegnando un numero progressivo in base a quello specificato per il primo file. Il conteggio viene azzerato quando il computer viene spento. Il numero visualizzato può essere modificato in qualsiasi momento immettendo un altro valore.

Se durante la modalità Apprendimento è stata selezionata la casella di controllo Modalità bozza PC-DMIS modificherà i caratteri della finestra di modifica in un tipo di carattere appropriato per la stampa in modalità di bozza. Gli eventuali colori utilizzati nel rapporto (per distinguere tolleranze, modalità e così via) verranno modificati in nero. Tali modifiche aumenteranno la velocità di stampa.

Per stampare il rapporto di modifica corrente, selezionare il pulsante Stampa rapporto completo (F4). L'output della finestra di modifica verrà inviato alla stampante e/o al file selezionato.


Calibrazione Punte

Il pulsante Calibrazione punte consente di calibrare tuti gli angoli di punta per tutti i tastatori nel part-program corrente. Questo processo indica a PC-DMIS la posizione e il diametro di ciascuna punta del tastatore.

Nota:PC-DMIS non tiene traccia della calibrazione dei tastatori. Pertanto, è necessario verificare che sia stata effettuata una nuova calibrazione del tastatore dopo aver apportato delle modifiche.


Misurazione degli elementi automatici con il tastatore video NC-100

Misurazione degli elementi automatici con il tastatore video NC-100: Introduzione

Funzioni comuni della finestra di dialogo specifiche del tastatore video NC-100

Pulsante Cattura

Pulsante Impostazione video

Elenco Tipo elemento

Punti di bordo

Punti caratteristica

Caselle Rientro

Casella Altezza

Punto vettore con NC-100

Definizioni dei campi del punto del vettore con NC-100

Misurazione di un punto del vettore con NC-100

Uso di dati inseriti manualmente per un punto del vettore con NC-100

Uso di dati della superficie sullo schermo per un punto del vettore con NC-100

Uso di dati wire-frame sullo schermo per un punto del vettore con NC-100

Punto di bordo con NC-100

Definizione del tipo di punto di bordo con NC-100

Definizioni dei campi dei punti di bordo con NC-100

Misurazione di un punto di bordo con NC-100

Uso di dati inseriti manualmente per un punto di bordo con NC-100

Uso di dati della superficie sullo schermo per un punto di bordo con NC-100

Uso di dati wire-frame sullo schermo per un punto di bordo con NC-100

Punti caratteristica

Definizione del tipo di punto caratteristica

Definizioni dei campi dei punti caratteristica

Misurazione di un punto caratteristico

Uso di dati inseriti manualmente per un punto caratteristica

Uso di dati della superficie sullo schermo per un punto caratteristica

Uso di dati wire-frame sullo schermo per un punto caratteristica

Cerchio, Perno o Baricentro con NC-100

Definizione del tipo di cerchio con NC-100

Definizioni dei campi del cerchio con NC-100

Misurazione di un cerchio con NC-100

Uso di dati inseriti manualmente per un cerchio con NC-100

Uso di dati della superficie sullo schermo per un cerchio con NC-100

Uso di dati wire-frame sullo schermo per un cerchio con NC-100

Asola quadrata/Traferro e A livello con NC-100

Definizione dei tipi Asola quadrata/Traferro e A livello con NC-100

Definizione dei campi Asola quadrata/Traferro e A livello con NC-100

Misurazione di un'asola quadrata con NC-100

Uso di dati inseriti manualmente per un'asola quadrata con NC-100

Uso di dati della superficie sullo schermo per un'asola quadrata con NC-100

Uso di dati wire-frame sullo schermo per un'asola quadrata con NC-100

Quota per una misurazione di tipo Traferro e A livello con NC-100

Quota 2 per una misurazione di tipo Traferro e A livello con NC-100

Traferro per una misurazione di tipo Traferro e A livello con NC-100

Livello per una misurazione di tipo Traferro e A livello con NC-100

Opzioni DESTRA / SINISTRA per una misurazione di tipo Traferro e A livello con NC-100

Tipo di elemento per le misurazioni Asola quadrata, Traferro e A livello con NC-100

Asola rotonda con NC-100

Definizioni dei campi dell'asola rotonda con NC-100

Misurazione di un'asola rotonda con NC-100

Uso di dati inseriti manualmente per un'asola rotonda con NC-100

Uso di dati della superficie sullo schermo per un'asola rotonda con NC-100

Uso di dati wire-frame sullo schermo per un'asola rotonda con NC-100


Misurazione degli elementi automatici con il tastatore video NC-100: Introduzione

In questa sezione viene descritto come utilizzare il tastatore video NC-100 per la misurazione degli elementi automatici. Per informazioni sull'impostazione del tastatore video NC-100, vedere "Opzioni di impostazione: scheda Impostazione NC-100" nella sezione "Impostazione Preferenze" .

Il menu Inserisci | Elemento | Automatico consente di accedere alle funzioni DCC (Direct Computer Control, controllo diretto del computer) quando si utilizza una macchina automatica CMM (Coordinate Measuring Machine, macchina di misura a coordinate). La finestra di dialogo Elementi automatici consente di creare qualsiasi tipo di elemento DCC.

In questa sezione verranno trattati i seguenti argomenti:

  • Funzioni comuni della finestra di dialogo specifiche del tastatore video NC-100

  • Punto vettore con NC

  • Punto vettore con NC

  • Punti caratteristica

  • Cerchio, Perno o Baricentro con NC

  • Asola quadrata/Traferro e A livello con NC

  • Asola rotonda con NC

In alcuni argomenti di questa Guida, verrà indicato di fare riferimento alla sezione "Creazione di elementi automatici" per informazioni dettagliate.

Nota: Vedere la sezione "Creazione di elementi automatici" per informazioni sulla misurazione degli elementi automatici. Tuttavia,tenere presente che alcune opzioni descritte in tale sezione potrebbero non essere disponibili quando si utilizza il tastatore video NC-100.


Funzioni comuni della finestra di dialogo specifiche del tastatore video NC-100

Nell'argomento "Opzioni della finestra di dialogo relativa ad elementi automatici comuni" della sezione "Creazione di elementi automatici" viene fornita una descrizione completa delle numerose opzioni disponibili nella finestra di dialogo Elementi automatici.

In questo argomento, oltre alla descrizione di alcune di tali opzioni, di cui viene indicata in particolare la modalità di utilizzo con i tastatori video NC-100, viene anche fornita la descrizione di alcune funzioni della finestra di dialogo disponibili solo se si utilizzano i tastatori video NC-100.

Altro

Pulsante Cattura

Pulsante Impostazione video

Elenco Tipo elemento

Caselle Rientro

Casella Altezza


Pulsante Cattura

Il pulsante Cattura consente di raccogliere i dati effettivamente misurati come valori nominali per un elemento. Per utilizzare il pulsante Cattura, effettuare le seguenti operazioni:

  1. Posizionare il tastatore video NC-100 sull'elemento da misurare.

  2. Impostare i parametri per il tastatore video facendo clic sul pulsante Impostazione video.

  3. Al termine, fare clic sul pulsante Cattura.

PC-DMIS, con il supporto del computer NC-100, misurerà l'elemento ed inserirà i dati misurati nelle caselle TEOR. In questo modo, è possibile misurare gli elementi senza utilizzare i dati CAD.


Pulsante Impostazione video

Per informazioni sul pulsante Impostazione video, vedere "Opzioni di impostazione: scheda Impostazione NC-100" nella sezione "Impostazione Preferenze " .


Elenco Tipo elemento

Nell'elenco Tipo elemento sono disponibili i seguenti tipi di elemento:

Altro

Punti di bordo

Punti caratteristica


Punti di bordo

PERPENDICOLARE = È la misurazione del tipo di bordo Perpendicolare che viene eseguita all'altezza del bordo.

DELTAZ = Opzione che consente di eseguire la misurazione di un bordo ad una quota specificata rispetto al piano su cui si trova la superficie.

PUNTO MAX = Opzione che consente di eseguire la misurazione di un bordo utilizzando il valore massimo in una direzione specificata.

FORO GRANDE = Opzione che consente di utilizzare la misura di un bordo per misurare una parte di un foro più grande del campo del sensore della vista.


Punti caratteristica

È possibile selezionare i tipi di punto caratteristica disponibili nell'elenco Tipo elem. Le opzioni disponibili sono le seguenti:

CHAR 1 = Tipo di elemento che consente di eseguire la misurazione di due punti (uno su ciascuna superficie) ad un determinato rientro rispetto all'intersezione di due piani.

CHAR 2 = Tipo di elemento che consente di eseguire la misurazione del punto creato dall'intersezione di due piani.


Caselle Rientro

Vedere anche "Caselle Rientro" nella sezione "Creazione di elementi automatici" .

Punti Caratteristica

In PC-DMIS sono disponibili due valori per il rientro, Rientro 1 e Rientro 2, che consentono di impostare le distanze di offset del punto caratteristica. PC-DMIS utilizza tali distanze di offset per calcolare la posizione di un punto su ciascuna superficie dell'angolo in un punto caratteristica.

Le caselle Rientro vengono attivate selezionando CHAR 1 dall'elenco Tipo elemento.

Misurazione del punto caratteristica utilizzando due distanze teoriche

· Nella casella Rientro 1 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sulla prima superficie della curvatura.

· Nella casella Rientro 2 è possibile impostare la distanza di offset tra la posizione del punto e i punti di campionamento presi sulla seconda superficie della curvatura.


Casella Altezza

Vedere anche "Casella Altezza" nella sezione "Creazione di elementi automatici" .

Raggio di Curvatura

Se TIPO = FORO, la casella Altezza definisce la lunghezza dell'elemento. Se si inserisce un valore relativo all'altezza ma non si definisce una quota, PC-DMIS divide il valore dell'altezza per tre e lo utilizza per la quota.

Se TIPO = PERNO, questa opzione consente di prendere un punto aggiuntivo in corrispondenza del centro della parte superiore del perno. Se si specifica un valore diverso da zero, PC-DMIS prenderà un punto aggiuntivo nella parte centrale del perno per calcolarne l'altezza.


Punto vettore con NC-100

Scheda Punto vettore - Finestra di dialogo Elementi automatici

L'opzione di misurazione Punto vettore consente di definire la posizione del punto e la direzione di avvicinamento nominale utilizzate dalla macchina CMM per misurare il punto.

Misurazione di un singolo punto

Per accedere all'opzione Punto vettore,

  1. Accedere alla finestra di dialogo Elementi Automatici dalle opzioni di menu (Inserisci | Elemento | Automatico | Punto | Vettore). Visualizza Mappa Percorsi dei Menu

  2. Selezionare Punto Vettore come tipo di elemento automatico.

La riga di comando della finestra di modifica per un punto vettore di campionamento è la seguente:
F_ID=AUTO/PUNTO VETTORE, SPESSORE_TEOR = n, ALTER, AGGANCIO = S/N
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ targX,targY,targZ,targI,targJ,targK
MOVIM AUTO = S/N, DISTANZA/ = n

Altro

Definizioni dei campi del punto del vettore con NC-100

Misurazione di un punto del vettore con NC-100


Definizioni dei campi del punto del vettore con NC-100

Questo argomento è descritto dettagliatamente in "Definizioni dei campi del Punto Vettore" nella sezione "Creazione di elementi automatici" . La definizione riportata di seguito è specifica dei tastatori video NC-100:

SPESSORE_REALE = Valore inserito manualmente che indica lo spessore dell'offset dei dati misurati. È possibile utilizzare valori positivi o negativi.


Misurazione di un punto del vettore con NC-100

In PC-DMIS sono disponibili più metodi per la misurazione di un punto del vettore utilizzando l'opzione Elementi automatici, a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto del vettore con NC-100

  • Uso di dati della superficie sullo schermo per un punto del vettore con NC-100

  • Uso di dati wire-frame sullo schermo per un punto del vettore con NC-100

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.

Altro

Uso di dati inseriti manualmente per un punto del vettore con NC-100

Uso di dati della superficie sullo schermo per un punto del vettore con NC-100

Uso di dati wire-frame sullo schermo per un punto del vettore con NC-100


Uso di dati inseriti manualmente per un punto del vettore con NC-100

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il punto del vettore.


Uso di dati della superficie sullo schermo per un punto del vettore con NC-100

Per creare un punto vettore utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Posizionare il puntatore nella finestra di visualizzazione grafica per indicare la posizione desiderata del punto sulla superficie.

  2. Fare clic sulla superficie. PC-DMIS evidenzia la superficie selezionata.

  3. Verificare che sia selezionata la superficie corretta.

Per informazioni dettagliate su questa procedura, vedere l'argomento "Uso di dati di superficie sullo schermo per un Punto Vettore" nella sezione "Creazione di elementi automatici" .


Uso di dati wire-frame sullo schermo per un punto del vettore

Uso di dati wire-frame sullo schermo per un punto del vettore con NC-100

Questo argomento viene descritto in "Uso di dati Wireframe sullo schermo per un Punto di Bordo" nella sezione "Creazione di elementi automatici" .


Punto di bordo con NC-100

Scheda Punto di bordo - Finestra di dialogo Elementi automatici

L'opzione di misurazione Punto di bordo consente di definire la misurazione di un punto eseguita sul bordo del pezzo.

Sono disponibili quattro tipi di misurazione del bordo. Le opzioni disponibili sono le seguenti:

  • PERPEND BORDO

  • DELTAZ BORDO

  • MAX BORDO

  • FORO GRANDE BORDO

Questi metodi richiedono impostazioni dei parametri di input-output diverse e definizioni teoriche diverse nei comandi di PC-DMIS.

Punto acquisito dal sistema visivo

Per accedere alle opzioni relative al Punto di bordo, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Elementi Automatici dalle opzioni di menu (Inserisci | Elemento | Automatico | Punto | Bordo). Visualizza Mappa Percorsi dei Menu

  2. Selezionare il tipo di elemento automatico Punto di bordo.

La riga di comando della finestra di modifica per un punto di bordo di esempio è la seguente:
F_ID=AUTO/BORDO NORMALE, MOSTRA PUNTI = S/N, MOSTRA TUTTI PARAM= = S/N,
TEOR/ TX,TY,TZ,TI,TJ,TK
REALE/ X,Y, Z,I,J,K
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE TEOR = n ,ALTER3,SPESSORE_TEOR BORDO = .n
AUTOMOVE=ALTER, DISTANZA = n,
PERPEND SUPERFICIE = I,J,K, QUOTA = n

Altro

Definizione del tipo di punto di bordo con NC-100

Misurazione di un punto di bordo con NC-100


Definizione del tipo di punto di bordo con NC-100

PERPENDBORDO= È la misurazione del tipo di bordo Perpendicolare che viene eseguita all'altezza del bordo.

DELTAZ BORDO = Richiesta che consente di eseguire la misurazione di un bordo ad una quota specificata rispetto al piano su cui si trova la superficie.

Bordo ad una quota predefinita, a partire dalla superficie del pezzo

MAX BORDO = Richiesta che consente di eseguire la misurazione di un bordo utilizzando il valore massimo in una direzione specificata.

Bordo con valore massimo lungo una direzione specificata

FORO GRANDE = Opzione che consente di utilizzare la misura di un bordo per misurare una parte di un foro più grande del campo del sensore della vista.

Misurazione del contorno del foro grande

A ltro

Definizioni dei campi dei punti di bordo con NC


Definizioni dei campi dei punti di bordo con NC-100

Questo argomento è descritto dettagliatamente in "Definizioni dei campi dei punti di bordo" nella sezione "Creazione di elementi automatici" . La definizione riportata di seguito è specifica dei tastatori video NC-100:

SPESSORE_REALE = Valore inserito manualmente che indica lo spessore dell'offset dei dati misurati. È possibile utilizzare valori positivi o negativi.

MOSTRA_PUNTI = È un campo di visualizzazione alterna. le impostazioni Sì e NO e determina la visualizzazione dei punti con l'elemento. Attualmente non è disponibile con i punti di bordo.

MOSTRA_TUTTI_PARAM = È un campo di visualizzazione alterna. le impostazioni Sì e NO e determina la visualizzazione di tutti i parametri su un punto di bordo.

SPESSORE_REALE BORDO = Valore inserito manualmente che indica lo spessore dell'offset del bordo misurato. È possibile utilizzare valori positivi o negativi.

QUOTA = Valore modificabile che rappresenta le distanze. Disponibile solo in "DELTAZ BORDO"


Misurazione di un punto di bordo con NC-100

In PC-DMIS sono disponibili i seguenti metodi per la misurazione di un punto di bordo con il tastatore video NC-100 :

  • Uso di dati inseriti manualmente per un punto di bordo

  • Uso di dati della superficie sullo schermo per un punto di bordo

  • Uso di dati wire-frame sullo schermo per un punto di bordo

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.

Nota:PC-DMIS considera che la superficie perpendicolare e la superficie di misurazione siano perpendicolari.


Uso di dati inseriti manualmente per un punto di bordo con NC-100

Questo argomento viene descritto dettagliatamente in "Uso di dati inseriti manualmente per un punto di bordo" nella sezione "Creazione di elementi automatici" .


Uso di dati della superficie sullo schermo per un punto di bordo con NC-100

Questo argomento viene descritto dettagliatamente in "Uso di dati della superficie sullo schermo per un punto di Bordo" nella sezione "Creazione di elementi automatici" .


Uso di dati wire-frame sullo schermo per un punto di bordo

Uso di dati wire-frame sullo schermo per un punto di bordo con NC-100

Questo argomento viene descritto dettagliatamente in "Uso di dati Wireframe sullo schermo per un Punto di Bordo" nella sezione "Creazione di elementi automatici" .


Punti caratteristica

Scheda Punti caratteristica - Finestra di dialogo Elementi automatici

La scheda Punti caratteristica è disponibile soltanto se si utilizza un tastatore video NC-100.

Un punto caratteristica è essenzialmente un punto di angolo. Nell'argomento "Definizione del tipo di punto caratteristica" vengono descritti due tipi di punto caratteristica{POPUP} che richiedono impostazioni dei parametri di input-output diverse e definizioni teoriche diverse nel comando DMIS. Il comando di misurazione DMIS rimane invariato per entrambi i tipi di punto caratteristica. In questo diagramma viene illustrata una misurazione generica di un punto caratteristica.

Misurazione del punto caratteristica

Per accedere all'opzione Punti caratteristica:

  1. Accedere alla finestra di dialogo Elementi Automatici dalle opzioni di menu (Inserisci | Elemento | Automatico | Punto | Caratteristica). Visualizza Mappa Percorsi dei Menu

  2. Selezionare il tipo di elemento Punti caratteristica.

La riga di comando della finestra di modifica per un punto caratteristica di esempio è la seguente:

F_ID=AUTO/CHARACTERISTICO 1, MOSTRA PUNTI=S/N,MOSTRA TUTTI PARAM=S/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TX2,TY2,TZ2
REALE/ X,Y, Z,I,J,K,X2,Y2,Z2
DEST/targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER
MOVIM AUTO = S/N, DISTANZA = n VECTOR1 = I,J,K, VECTOR2 = I,J,K
INDENT1= n, INDENT2 = n

Altro

Definizione del tipo di punto caratteristica

Misurazione di un punto caratteristico


Definizione del tipo di punto caratteristica

CARATTERISTICA 1 = Tipo di elemento che consente di eseguire la misurazione di due punti (uno su ciascuna superficie) ad un determinato rientro rispetto all'intersezione di due piani. Consente di ottenere due punti di dati.

CARATTERISTICA 2 = Tipo di elemento che consente di eseguire la misurazione del punto creato dall'intersezione di due piani. Consente di ottenere un punto di dati.

Altro:

Definizioni dei campi dei punti caratteristica


Definizioni dei campi dei punti caratteristica

MOSTRA_PUNTI = È un campo di visualizzazione alterna. le impostazioni Sì e NO e determina la visualizzazione dei punti con l'elemento. Attualmente non è disponibile.

MOSTRA_TUTTI_PARAM = È un campo di visualizzazione alterna. le impostazioni SÌ e NO e determina la visualizzazione di tutti i parametri sull'elemento.

SPESSORE_TEOR = Valore inserito manualmente che indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

SPESSORE_REALE = Valore inserito manualmente che indica lo spessore dell'offset dei dati misurati. È possibile utilizzare valori positivi o negativi.

ALTER 1 = Questo campo visualizza alternatamente X,Y, Z,I,J,K verranno visualizzati in base alle coordinate rettangolari (RETT) o polari (POL).

TEOR / = Questo valore rappresenta il punto di destinazione.

REALE/ = Questo valore rappresenta il punto misurato.

DEST = Questi valori consentono di controllare la posizione di misurazione e la direzione di avvicinamento del vettore durante l'esecuzione, indipendentemente dal valore TEORico.

MOVIM AUTO = Questo campo visualizza alternatamente le opzioni SÌ/NO; SÌ indica che l'opzione è attiva.

DISTANZA = Questo valore indica la distanza coperta dal tastatore utilizzando l'opzione di movimento automatico (MOVIM AUTO).

VETTORE1 = I tre numeri (valori IJK) rappresentano un vettore modificabile che può essere definito come perpendicolare al vettore della prima superficie.

VETTORE1 = I tre numeri (valori IJK) rappresentano un vettore modificabile che può essere definito come perpendicolare al vettore della seconda superficie.

RIENTRO1 = Valore modificabile che rappresenta la distanza di offset per la posizione del punto sulla prima superficie dell'angolo. Non è possibile utilizzare questo valore con i punti caratteristica 2.

RIENTRO2 = Valore modificabile che rappresenta la distanza di offset per la posizione del punto sulla seconda superficie dell'angolo. Non è possibile utilizzare questo valore con i punti caratteristica 2.

Per informazioni generali sulla misurazione di tutti i tipi di elementi automatici, vedere l'argomento "Opzioni della finestra di dialogo relativa agli elementi automatici comuni" nella sezione "Creazione di elementi automatici".

Per informazioni generali sulla misurazione di tutti i tipi di elementi automatici, vedere l'argomento "Selezione tramite finestra degli ID degli elementi automatici" nella sezione "Creazione di elementi automatici".


Misurazione di un punto caratteristico

Misurazione di un punto caratteristica

In PC-DMIS sono disponibili diversi metodi per la misurazione di un Punto Caratteristica utilizzando l'opzione Elemento Automatico. a cui corrispondono i paragrafi indicati di seguito.

  • Uso di dati inseriti manualmente per un punto caratteristica

  • Uso di dati della superficie sullo schermo per un punto caratteristica

  • Uso di dati wire-frame sullo schermo per un punto caratteristica

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un punto caratteristica

Questo metodo consente di inserire i valori X, Y, Z, I, J, K desiderati per il Punto Caratteristica.


Uso di dati della superficie sullo schermo per un punto caratteristica

Per generare un Punto Caratteristica utilizzando i dati della superficie, effettuare le seguenti operazioni:

  1. Fare clic sull'icona Modalità superficie [image] .

  2. Utilizzare il tastatore animato per prendere un punto in prossimità del bordo angolato, ma non sul bordo stesso. PC-DMIS evidenzia la superficie selezionata.

  3. Verificare che sia selezionata la superficie corretta.

Una volta rilevato il punto, nella finestra di dialogo viene visualizzato il valore del vettore e del punto caratteristica selezionati.La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzato il vettore perpendicolare in base ai dati CAD. Il pulsante Inverti vettore consente di modificare la direzione di avvicinamento.

Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea, PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.

Nota: Se è necessario prendere un punto aggiuntivo, fare clic sulla superficie opposta del bordo angolato.


Uso di dati wire-frame sullo schermo per un punto caratteristica

È possibile utilizzare i dati Wireframe CAD per generare un Punto Caratteristica.

A tale scopo, effettuare le seguenti operazioni:

  1. Utilizzare il tastatore animato per prendere un punto in prossimità del bordo angolato, ma non sul bordo stesso. PC-DMIS evidenzia la superficie selezionata.

  2. Verificare che sia selezionata la superficie corretta.

Una volta indicati i punti, il valore del punto caratteristica e del vettore selezionato viene visualizzato nella scheda Punti caratteristici della finestra di dialogo Elementi automatici. La direzione del vettore perpendicolare alla superficie viene determinata in base al lato del pezzo accessibile al tastatore. Se entrambi i lati del pezzo sono accessibili, verrà utilizzata la perpendicolare in base ai dati CAD. Il pulsante Inverti vettore consente di modificare la direzione di avvicinamento.

  • Se vengono rilevati altri clic del mouse prima che venga selezionato il pulsante Crea PC-DMIS sovrascriverà le informazioni precedentemente visualizzate con i nuovi dati.

  • Se è necessario prendere un punto aggiuntivo, fare clic sulla superficie opposta del bordo angolato.


Cerchio, Perno o Baricentro con NC-100

Scheda Cerchio - Finestra di dialogo Elementi automatici

L'opzione dell'elemento automatico Cerchio consente di definire la misurazione di un cerchio. I tre tipi possibili di misurazione sono illustrati in "Definizione del tipo di cerchio con NC-100". Se il numero di punti richiesti è superiore a 10, oppure se il sensore non è in grado di identificare i punti di intersezione, il sensore seleziona i punti sul contorno del folo e li proeitta sul piano. Tali punti possono essere identificati utilizzando le linee degli infrarossi.

Misurazione del foro con linee degli infrarossi che intersecano il relativo contorno

Per accedere all'opzione Cerchio:

  1. Accedere alla finestra di dialogo Elementi Automatici dalle opzioni di menu (Inserisci | Elemento | Automatico | Cerchio). Visualizza Mappa Percorsi dei Menu

  2. Selezionare il tipo di elemento automatico Cerchio.

La riga di comando della finestra di modifica per un cerchio di esempio è la seguente:

F_ID=AUTO/CERCHIO, MOSTRA PUNTI=S/N, MOSTRA TUTTI PARAM==S/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TDIAM,
REALE/ X,Y, Z,I,J,K,DIAM,
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER1, ALTER2, ALTER3
MOV AUTO = S/N, DISTANZA = n
NUM PUNTI = n

Altro

Definizione del tipo di cerchio con NC-100

Misurazione di un cerchio con NC-100


Definizione del tipo di cerchio con NC-100

FORO = Tipo di elemento che consente di eseguire la misurazione della parte interna o esterna di un foro circolare.

PERNO = Tipo di elemento che consente di eseguire la misurazione di un perno.

Misurazione del perno

BARICENTRO = Tipo di elemento che consente di eseguire la misurazione di un foro con forma indeterminata. Viene rilevata solo la posizione.

Misurazioni di fori di forme diverse

Altro

Definizioni dei campi del cerchio con NC


Definizioni dei campi del cerchio con NC-100

Molte definizioni vengono descritte nell'argomento "Definizioni dei campi del cerchio" nella sezione "Creazione di elementi automatici" . Quando si utilizza un tastatore video NC-100, vengono aggiunte o modificate le seguenti definizioni:

MOSTRA_PUNTI = È un campo di visualizzazione alterna. le impostazioni Sì e NO e determina la visualizzazione dei punti con l'elemento.

MOSTRA_TUTTI_PARAM = È un campo di visualizzazione alterna. le impostazioni SÌ e NO e determina la visualizzazione di tutti i parametri sull'elemento.

SPESSORE_TEOR = Questo valore modificabile indica lo spessore del pezzo. È possibile utilizzare valori positivi o negativi.

SPESSORE_REALE = Valore inserito manualmente che indica lo spessore dell'offset dei dati misurati. È possibile utilizzare valori positivi o negativi.

TEOR / = Valore che rappresenta la posizione teorica dell'elemento. DNOM rappresenta il valore nominale del diametro.

REALE/ = Questo valore rappresenta il punto misurato. DNOM rappresenta il valore misurato del diametro.

ALTER2 = In questo campo vengono attivate alternatamente le opzioni IN e OUT. PC-DMIS determinerà il tipo di cerchio misurato in base alla posizione del tastatore al momento della presa del punto. (IN = all'interno del cerchio, OUT = all'esterno di un perno). Disponibile solo con il tipo di elemento Foro.

ALTER3 = In questo campo vengono attivate alternamente le opzioni QUAD_MIN, MAX_ISCR, MIN_CIRCOS, SEP_MIN e RAG_FISSO. Disponibile solo con il tipo di elemento Foro.

NUM_PUNTI = Valore intero modificabile maggiore di due. Disponibile solo con il tipo di elemento Foro.

Per informazioni generali sulla misurazione di tutti i tipi di elementi automatici, vedere l'argomento "Opzioni della finestra di dialogo relativa agli elementi automatici comuni" nella sezione "Creazione di elementi automatici" .


Misurazione di un cerchio con NC-100

In PC-DMIS sono disponibili diversi metodi per la misurazione di un cerchio automatico ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un cerchio con NC

  • Uso di dati della superficie sullo schermo per un cerchio con NC

  • Uso di dati wire-frame sullo schermo per un cerchio con NC

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un cerchio con NC-100

Questo argomento viene descritto in "Uso di dati inseriti manualmente per un cerchio" nella sezione "Creazione di elementi automatici" .


Uso di dati della superficie sullo schermo per un cerchio con NC-100

Questo argomento viene descritto in "Uso di dati della superficie sullo schermo per un cerchio automatico" nella sezione "Creazione di elementi automatici" .


Uso di dati wire-frame sullo schermo per un cerchio con NC-100

Questo argomento viene descritto in "Uso di dati wire-frame sullo schermo per un cerchio automatico" nella sezione "Creazione di elementi automatici" .


Asola quadrata/Traferro e A livello con NC-100

Finestra di dialogo Asola quadrata

L'opzione Asola Quadrata consente di definire la misurazione di un'asola quadrata o una misurazione di tipo Traferro e A Livello. Per informazioni sui tipi di misurazione disponibili, vedere "Definizione dei tipi Asola quadrata/Traferro e A Livello con NC-100".

È possibile misurare l'Asola Quadrata utilizzando i punti all'interno del ROI e lungo il contorno dell'asola.

Misurazione di un'asola quadrata

Per accedere all'opzione Asola quadrata:

  1. Accedere alla finestra di dialogo Elementi Automatici dalle opzioni di menu (Inserisci | Elemento | Automatico | Asola | Quadrato). Visualizza Mappa Percorsi dei Menu

  2. Selezionare il tipo Asola quadrata come elemento automatico.

La riga di comando della finestra di modifica per un'asola quadrata di esempio è la seguente:

F_ID=AUTO/ASOLA QUAD, MOSTRA PUNTI=S/N, MOSTRA TUTTI PARAM==S/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TWIDTH,TLUNG,
REALE/ X,Y, Z,I,J,K, LARG, LUNG,
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER1
MOV AUTO = S/N, DISTANZA = n

La riga di comando della finestra di modifica per una misurazione di tipo Traferro e A livello di esempio è la seguente:

F_ID=AUTO/ASOLA QUAD, MOSTRA PUNTI=S/N, MOSTRA TUTTI PARAM==S/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TGAP,TFLUSH
REALE/ X,Y, Z,I,J,K,TRAFERRO,ALIVELLO
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER1, ALTER2
MOV AUTO = S/N, DISTANZA = n, QUOTA = n, QUOTA2 = n

Altro

Definizione dei tipi Asola quadrata/Traferro e A livello con NC-100

Misurazione di un'asola quadrata con N C -100

Quota per una misurazione di tipo Traferro e A livello con N C-100

Quota2 per una misurazione di tipo Traferro e A livello con N C-100

Traferro per una misurazione di tipo Traferro e A livello con N C-100

A livello per una misurazione di tipo Traferro e A livello con N C-100

Tipo = Dx / Sin. per Traferro e A Livello con N C-100

Tipo di elemento per le misurazioni Asola quadrata, Traferro e A livello con N C-100


Definizione dei tipi Asola quadrata/Traferro e A livello con NC-100

ASOLA QUAD = Tipo di elemento che consente di eseguire la misurazione di un'asola quadrata.

PERPENDTRAFERRO= Tipo di elemento che consente di eseguire la misurazione di un traferro al livello di superficie del lato fisso.
Di seguito è riportato un esempio generico di acquisizione dei punti:

Punto della perpendicolare al traferro acquisito dal sistema visivo

DELTAZ TRAFERRO = Richiesta che consente di eseguire la misurazione di un traferro ad una quota specificata, rispetto al lato fisso del pezzo.

Misure di Traferro e A Livello a quote specificate

A ltro

Definizione dei campi Asola quadrata/Traferro e A livello con NC


Definizione dei campi Asola quadrata/Traferro e A livello con NC-100

Molte definizioni vengono descritte nell'argomento "Definizioni dei campi dell'asola quadrata" nella sezione "Creazione di elementi automatici" . Quando si utilizza un tastatore video NC-100, vengono aggiunte o modificate le seguenti definizioni:

MOSTRA_PUNTI = È un campo di visualizzazione alterna. le impostazioni Sì e NO e determina la visualizzazione dei punti con l'elemento.

MOSTRA_TUTTI_PARAM = È un campo di visualizzazione alterna. le impostazioni SÌ e NO e determina la visualizzazione di tutti i parametri sull'elemento.

SPESSORE_REALE = Valore inserito manualmente che indica lo spessore dell'offset dei dati misurati. È possibile utilizzare valori positivi o negativi.

ALTER2 = Campo che determina il lato fisso di una misurazione di tipo Traferro e A livello. Disponibile solo per la misurazione Traferro e A livello.

TEOR / = Valore che rappresenta la posizione teorica dell'elemento.

QUOTA = Valore modificabile che rappresenta la quota per una misurazione di tipo Traferro e A livello sul lato fisso.

QUOTA2 = Valore modificabile che rappresenta la quota per una misurazione di tipo Traferro e A livello del lato mobile.

Per informazioni generali sulla misurazione di tutti i tipi di elementi automatici, vedere l'argomento "Opzioni della finestra di dialogo relativa agli elementi automatici comuni" nella sezione "Creazione di elementi automatici" .


Misurazione di un'asola quadrata con NC-100

Visualizza Mappa Percorsi dei Menu

In PC-DMIS sono disponibili più metodi per la misurazione di un'asola quadrata utilizzando l'opzione Elemento automatico, ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un'asola quadrata con NC

  • Uso di dati della superficie sullo schermo per un'asola quadrata con NC

  • Uso di dati wire-frame sullo schermo per un'asola quadrata con NC

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.


Uso di dati inseriti manualmente per un'asola quadrata con NC-100

Questo argomento viene descritto in "Uso di dati inseriti manualmente per un'asola quadrata" nella sezione "Creazione di elementi automatici" .


Uso di dati della superficie sullo schermo per un'asola quadrata con NC-100

Questo argomento viene descritto in "Uso di dati di superficie sullo schermo per un'Asola quadrata" nella sezione "Creazione di elementi automatici" .


Uso di dati wire-frame sullo schermo per un'asola quadrata

Uso di dati wire-frame sullo schermo per un'asola quadrata con NC-100

Questo argomento viene descritto in "Uso di dati wire-frame sullo schermo per un'asola quadrata" nella sezione "Creazione di elementi automatici" .


Quota per una misurazione di tipo Traferro e A livello con NC-100

Nella casella Quota è possibile definire la distanza sotto la superficie del lato fisso in base alla quale PC-DMIS eseguirà la misurazione di tipo Traferro e A Livello. Per attivare questa casella, selezionare DELTAZ TRAFERRO dall'elenco Tipo elem.

Per modificare la profondità, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Inserire il nuovo valore.


Quota 2 per una misurazione di tipo Traferro e A livello con NC-100

Nella casella Quota2 è possibile definire la distanza sotto la superficie del lato mobile in base alla quale PC-DMIS eseguirà la misurazione di tipo Traferro e A Livello. Per attivare questa casella, selezionare DELTAZ TRAFERRO dall'elenco Tipo elem.

Per modificare la profondità, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Inserire il nuovo valore.


Traferro per una misurazione di tipo Traferro e A livello con NC-100

Nella casella Traferro viene visualizzato il relativo valore per la misurazione di tipo Traferro e A Livello.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare il valore esistente.

  2. Inserire il nuovo valore.


Livello per una misurazione di tipo Traferro e A livello con NC-100

Nella casella A livello viene visualizzato il relativo valore per la misurazione di tipo Traferro e A Livello.

Per modificare tale valore, effettuare le seguenti operazioni:

  1. Selezionare la casella A livello.

  2. Inserire il nuovo valore.


Opzioni DESTRA / SINISTRA per una misurazione di tipo Traferro e A livello con NC-100

Le opzioni DESTRA e SINISTRA consentono di definire il lato fisso per la misurazione di tipo Traferro e A Livello. Per eseguire le misurazioni di tipo Traferro e A livello, è necessario definire un lato come fisso o nominale. Il lato fisso viene considerato come datum in base al quale vengono misurati gli altri lati.


Tipo di elemento per le misurazioni Asola quadrata, Traferro e A livello

Tipo di elemento per le misurazioni Asola quadrata, Traferro e A livello con NC-100

L'elenco Tipo elem contiene i tipi di misurazione Asola quadrata, Traferro e A livello disponibili. Le opzioni disponibili sono le seguenti:

ASOLA = Tipo di elemento che consente di eseguire la misurazione di un'asola quadrata.

PERPENDTRAFERRO= Tipo di elemento che consente di eseguire la misurazione di un traferro al livello di superficie del lato fisso.

DELTAZ TRAFERRO = Tipo di elemento che consente di eseguire la misurazione di un traferro ad una quota specificata, rispetto al lato fisso del pezzo.

CALIBRO TRAFERRO = Tipo di misurazione attualmente non disponibile.


Asola rotonda con NC-100

Scheda Asola rotonda - Finestra di dialogo Elementi automatici

Questa opzione consente di definire la misurazione di un'asola rotonda. Questo tipo di misurazione è particolarmente utile quando non si desidera misurare una serie di linee e di cerchi da utilizzare per costruire intersezioni e punti intermedi.

È possibile misurare l'asola rotonda utilizzando i punti all'interno del ROI e lungo il contorno dell'asola.

Misurazione dell'asola rotonda

Per accedere all'opzione Asola rotonda, effettuare le seguenti operazioni:

  1. Accedere alla finestra di dialogo Elementi Automatici dalle opzioni di menu (Inserisci | Elemento | Automatico | Asola | Rotonda). Visualizza Mappa Percorsi dei Menu

  2. Selezionare il tipo Asola rotonda come tipo di elemento.

La riga di comando della finestra di modifica per un'asola rotonda di esempio è la seguente:

F_ID=AUTO/ASOLA QUAD, MOSTRA PUNTI=S/N, MOSTRA TUTTI PARAM==S/N
TEOR/ TX,TY,TZ,TI,TJ,TK,TLUNG,TLARG
ACTL/ X,Y, Z,I,J,K,LUNG,LARG
DEST/ targX,targY,targZ,targI,targJ,targK
SPESSORE_TEOR = n, ALTER1
MOVIM AUTO = S/N, DISTANZA = n

Altro

Definizioni dei campi dell'asola rotonda con NC

Misurazione di un'asola rotonda con NC


Definizioni dei campi dell'asola rotonda con NC-100

Molte definizioni vengono descritte nell'argomento "Definizioni dei campi dell'asola rotonda" nella sezione "Creazione di elementi automatici" . Quando si utilizza un tastatore video NC-100, vengono aggiunte o modificate le seguenti definizioni:

MOSTRA_PUNTI = È un campo di visualizzazione alterna. le impostazioni Sì e NO e determina la visualizzazione dei punti con l'elemento. Attualmente non è disponibile.

MOSTRA_TUTTI_PARAM = È un campo di visualizzazione alterna. le impostazioni SÌ e NO e determina la visualizzazione di tutti i parametri sull'elemento.

SPESSORE_REALE = Valore inserito manualmente che indica lo spessore dell'offset dei dati misurati. È possibile utilizzare valori positivi o negativi.

Per informazioni generali sulla misurazione di tutti i tipi di elementi automatici, vedere l'argomento "Opzioni della finestra di dialogo relativa agli elementi automatici comuni" nella sezione "Creazione di elementi automatici" .


Misurazione di un'asola rotonda con NC-100

In PC-DMIS sono disponibili più metodi per la misurazione di un'asola rotonda utilizzando l'opzione Elemento automatico, ai quali corrispondono le sezioni indicate di seguito.

  • Uso di dati inseriti manualmente per un'asola rotonda

  • Uso di dati della superficie sullo schermo per un'asola rotonda

  • Uso di dati wire-frame sullo schermo per un'asola rotonda

Nota: se i dati CAD non sono disponibili, non è possibile utilizzare il mouse nella finestra di visualizzazione grafica.

Altro

Uso di dati inseriti manualmente per un'asola rotonda con NC

Uso di dati della superficie sullo schermo per un'asola rotonda con NC

Uso di dati wire-frame sullo schermo per un'asola rotonda con NC


Uso di dati inseriti manualmente per un'asola rotonda con NC-100

Questo argomento viene descritto in "Uso di dati inseriti manualmente per un'asola rotonda" nella sezione "Creazione di elementi automatici" .


Uso di dati della superficie sullo schermo per un'asola rotonda con NC-100

Questo argomento viene descritto in "Uso di dati di superficie sullo schermo per un'asola rotonda" nella sezione "Creazione di elementi automatici" .

Nota: se i dati CAD che definiscono le estremità dell'asola sono dei CERCHI o degli ARCHI (ad esempio un'entità IGES 100), PC-DMIS prenderà automaticamente due punti aggiuntivi sull'arco. Se entrambe le estremità sono di questo tipo, è sufficiente prendere un punto su ciascun arco per misurare questo tipo di elemento.


Uso di dati wire-frame sullo schermo per un'asola rotonda con NC-100

Questo argomento viene descritto in "Uso di dati wire-frame sullo schermo per un'asola rotonda" nella sezione "Creazione di elementi automatici" .


Uso dei menu e dei tasti di scelta rapida

Uso dei menu e dei tasti di scelta rapida: Introduzione

Informazioni sui tasti di scelta rapida

Informazioni sui menu di scelta rapida

Menu di scelta rapida nelle finestre di dialogo standard di Windows

Menu di scelta rapida nelle barre degli strumenti

Menu di scelta rapida nella finestra di visualizzazione grafica

Menu di scelta rapida dell'elemento

Menu di scelta rapida nella finestra di selezione

M enu di scelta rapida delle linee di percorso degli elementi automatici

Menu di scelta rapida nella finestra di modifica

Menu di scelta rapida dei comandi in modalità Riepilogo

Menu di scelta rapida dei dati

Menu di scelta rapida della modalità comando


Uso dei menu e dei tasti di scelta rapida: Introduzione

In questa sezione viene fornita la descrizione dei vari collegamenti disponibili per le opzioni di menu, le finestre di dialogo e i comandi utilizzati in PC-DMIS. L'uso di tali collegamenti consente di ridurre i tempi di programmazione e aumentare la propria produttività ed efficienza.

In questa sezione verranno trattati i seguenti argomenti:

  • Informazioni sui tasti di scelta rapida

  • Informazioni sui menu di scelta rapida


Informazioni sui tasti di scelta rapida

Nella tabella seguente sono riportati i tasti di scelta rapida disponibili. Se la descrizione di un tasto di scelta rapida è preceduta dalla dicitura finestra di modifica, questo tasto funziona correttamente solo se la finestra di modifica è attiva. Per ulteriori informazioni relative alla funzione di ciascuna opzione, consultare la sezione corrispondente della guida in linea.

Tasto

Descrizione

Tasto

Descrizione

Tasto

Descrizione

F1

Accede alla Guida in linea.

CTRL + A

Finestra di modifica:
Seleziona tutto il testo.

CTRL + F1

Attiva la modalità Traslazione di PC-DMIS.

F2

Finestra di modifica:
Apre la finestra di dialogo Generatore di espressioni se il cursore è posizionato su una riga nella quale è possibile inserire espressioni.

CTRL + C

Finestra di modifica:
Copia il testo selezionato.

CTRL + F2

Attiva la modalità Rotazione 2D di PC-DMIS.

F3

Finestra di modifica:
Seleziona e deseleziona il comando da eseguire.

Se il cursore è posizionato su un oggetto esterno, F3 consente di passare dalla modalità di stampa a quella di esecuzione e viceversa.

CTRL + D

Elimina l'elemento corrente.

CTRL + F3

Attiva la modalità Rotazione 3D di PC-DMIS e apre la finestra di dialogo Ruota.

F4

Finestra di modifica:
Stampa il contenuto della finestra di modifica.

CTRL + E

Esegue l'elemento selezionato.

CTRL + F4

Attiva la modalità Programma di PC-DMIS.

F5

Accede alla finestra di dialogo Opzioni di impostazione.

CTRL + F

Apre la finestra di dialogo Elementi automatici.

CTRL + F5

Attiva la modalità Casella di testo di PC-DMIS.

F7

Finestra di modifica:
Passa alla voce successiva in ordine alfabetico all'interno di un campo di modifica selezionato.

CTRL + G

Inserisce un comando LEGGIPUNTO/ nella finestra di modifica.

CTRL + Tasto di tabulazione

Riduce a icona o ripristina le dimensioni originali della finestra di modifica.

F8

Finestra di modifica:
Passa alla voce precedente in ordine alfabetico all'interno di un campo di modifica selezionato.

CTRL + J

Finestra di modifica:
Passa al comando indicato.

CTRL + MAIUSC

Nasconde la freccia relativa all'analisi grafica selezionata.

F9

Finestra di modifica:
Apre la finestra di dialogo associata al comando in corrispondenza della posizione del cursore.

CTRL + K

Salva la dimensione selezionata nel rapporto di modifica.

CTRL + FINE

Finestra di modifica:
Sposta il cursore alla fine del part-program corrente.

F10

Apre la finestra di dialogo Impostazioni parametri.

CTRL + M

Inserisce un comando MovePoint (Movimento puno).

CTRL + HOME

Finestra di modifica:
Sposta il cursore all'inizio del part-program corrente.

F12

Apre la finestra di dialogo Impostazione Attrezzaggio.

CTRL + N

Crea un nuovo part-program.

CTRL + ALT + A

Apre la finestra di dialogo Allineamento.

MAIUSC + Clic con il pulsante destro del mouse

Apre la finestra di dialogo Disegno in scala.

CTRL + O

Apre un part-program.

CTRL + ALT + P

Apre la finestra di dialogo Utility tastatore.

MAIUSC Tasto di tabulazione

Finestra di modifica:
Sposta il cursore indietro sul campo precedente modificabile dall'utente.

CTRL + P

Stampa la finestra di visualizzazione grafica.

CTRL + Clic con il pulsante sinistro del mouse

In Modalità Casella di testo, eseguendo questa operazione su un ID elemento o etichetta nella finestra di visualizzazione grafica, il cursore si spostare su quell'elemento nella finestra di modifica.

Eseguendo questa azione quando la finestra di dialogo Analisi è aperta, vengono selezionate tutte le dimensioni associate.

MAIUSC FRECCIA

Evidenzia tutto il testo mentre si sposta il cursore.

CTRL + Q

Finestra di modifica:
Esegue il part-program corrente.

CTRL + Clic con il pulsante destro del mouse

Ruota il modello CAD nella finestra di visualizzazione grafica quando si trascina il mouse.

MAIUSC F5

Finestra di modifica:
Alterna la visualizzazione di un punto della dimensione nelle coordinate cartesiane e polari. La lettera 'P' indica che è attiva la modalità di visualizzazione polare.

CTRL + R

Apre la finestra di dialogo Ruota.

FRECCIA SÙ

Finestra di modifica:
Sposta il cursore sul successivo elemento disponibile sopra la posizione corrente.

MAIUSC F10

Finestra di modifica:
Apre la finestra di dialogo Jump To (Vai a).

CTRL + S

Salva il part-program corrente.

FRECCIA GIÙ

Finestra di modifica:
Sposta il cursore sul successivo elemento disponibile sotto la posizione corrente.

FINE

Interrompe la misurazione di un elemento.

Finestra di modifica:
Sposta il cursore alla fine della riga corrente.

CTRL + T

Finestra di modifica:
Assegna il comando corrente o i comandi selezionati al braccio Master, al braccio Slave o a entrambi.

FRECCIA DESTRA

Finestra di modifica:
Sposta il cursore sul successivo elemento disponibile a destra della posizione corrente.

Se in Modalità riepilogo, espande un elenco compresso

HOME

Finestra di modifica:
Sposta il cursore all'inizio della riga corrente.

CTRL + V

Finestra di modifica:
Incolla il contenuto degli Appunti.

FRECCIA SINISTRA

Finestra di modifica:
Sposta il cursore sul precedente elemento disponibile a sinistra della posizione corrente.

Se in Modalità riepilogo, compreme un elenco espanso

Tabulazione

Finestra di modifica:
Sposta il cursore nel campo successivo modificabile dall'utente.

CTRL + X

Finestra di modifica:
Taglia il testo selezionato.

ALT + ?

Accede al menu ?.

ESC

Annulla qualsiasi operazione (ad eccezione dell'immissione dei dati) se viene premuto prima del tasto Invio.

CTRL + Y

Finestra di modifica:
Esegue il part-program dalla posizione del cursore.

ALT + J

Finestra di modifica: Passa al comando precedente a quello indicato.

CANC

Finestra di modifica:
Vedere 'Backspace'.

CTRL Z

Attiva la funzione Adatta.

ALT + F3

Finestra di modifica:
Apre la finestra di dialogo Trova.

BACKSPACE

Finestra di modifica:
Elimina i caratteri evidenziati. Se non è evidenziato alcun carattere, funziona come in un editor standard. Se un carattere non può essere eliminato, viene visualizzato un messaggio di errore.

CTRL + MAIUSC+ F

Attiva la Modalità Stima di planarità durante l'esecuzione della stima del tipo degli elementi mediante un tastatore rigido.

ALT + BACKSPACE

Finestra di modifica:
Annulla l'ultima azione eseguita nella finestra di modifica.

ALT + "-" (meno)

Digitando ALT insieme al tasto ‘-‘, l'ultimo punto del buffer viene eliminato.

CTRL + MAIUSC+ R

Attiva la Modalità Stima di rotondità durante l'esecuzione della stima del tipo degli elementi mediante un tastatore rigido.

MAIUSC + BACKSPACE

Finestra di modifica:
Ripete l'ultima azione annullata nella finestra di modifica.

INVIO

Finestra di modifica:
Crea una nuova riga. La riga viene eliminata automaticamente se si sposta il cursore prima di premere il tasto Invio.

Seleziona un comando.

CTRL + INVIO

Finestra di modifica:
Nella modalità Riepilogo questa combinazione di tasti consente di selezionare un comando da aggiungere alla finestra di modifica.


Informazioni sui menu di scelta rapida

I menu di scelta rapida consentono di eseguire comandi comuni con un semplice clic del pulsante del mouse. In questa sezione viene spiegato come accedere ai vari menu di scelta rapida e cosa è possibile effettuare con le diverse opzioni di menu. I menu di scelta rapida sono disponibili quando il programma attiva le sezioni descritte di seguito.

Altro

Menu di scelta rapida nelle finestre di dialogo standard di Windows

Menu di scelta rapida nella sezione della barra degli strumenti

Menu di scelta rapida nella finestra di visualizzazione grafica

Menu di scelta rapida per linee di percorso di Elementi Automatici

Menu di scelta rapida nella finestra di modifica


Menu di scelta rapida nelle finestre di dialogo standard di Windows

Oltre ai comandi standard disponibili nelle finestre di dialogo di Windows, in PC-DMIS sono disponibili, in certi casi, menu di scelta rapida con funzionalità aggiuntive. La maggior parte di tali menu viene descritta nelle sezioni "Uso delle opzioni di base del menu File" e "Uso delle opzioni avanzate del menu File" .

Durante l'apertura, il salvataggio o l'esecuzione di altre operazioni con i file, fare clic con il pulsante destro del mouse sul nome file del part-program presente, elencato nella finestra di dialogo, per visualizzare le opzioni del menu di scelta rapida descritte di seguito.

Opzione | Descrizione
Importazione PC-DMIS | Importa i dati da un file di input al part-program selezionato. Vedere l'argomento "Importazione di dati CAD" nella sezione "Uso delle opzioni avanzate del menu File" .
Esportazione PC-DMIS | Esporta i dati in un file di output dal part-program selezionato. Vedere l'argomento "Esportazione di dati CAD" nella sezione "Uso delle opzioni avanzate del menu File" .
Apri | Apre un part-program. Vedere "Apertura di part-program esistenti" nella sezione "Uso delle opzioni di base del menu File"
Taglia | Taglia un part-program e lo sposta negli Appunti. Per collocare in un'altra cartella il file tagliato, utilizzare questa opzione insieme al comando Incolla di Windows.
Copia | Copia un part-program negli Appunti. Per collocare in un'altra cartella il file copiato, utilizzare questa opzione insieme al comando Paste di Windows. Vedere "Esecuzione di operazioni su file" nella sezione "Uso delle opzioni di base del menu File"
Rinomina | Rinomina un part-program.
Elimina | Elimina un part-program. Vedere "Esecuzione di operazioni su file" nella sezione "Uso delle opzioni di base del menu File"
Scheda Proprietà | PC-DMIS | Visualizza informazioni relative al part-program. È possibile visualizzare o modificare il nome di un part-program, il numero di serie o il numero di revisione. Vedere "Apertura di part-program esistenti" nella sezione "Uso delle opzioni di base del menu File" .


Menu di scelta rapida nelle barre degli strumenti

Menu di scelta rapida nella sezione della barra degli strumenti

Facendo clic con il pulsante destro del mouse nella sezione Barra degli strumenti, PC-DMIS visualizza un elenco di barre degli strumenti e altre opzioni a cui è possibile accedere immediatamente. Le opzioni disponibili sono le seguenti:

Opzione | Descrizione
Operazioni su file | Aggiunge o rimuove la barra degli strumenti Operazioni su file nella sezione della barra degli strumenti.
Modalità Grafica | Aggiunge o rimuove la barra degli strumenti Modalità grafica nella sezione della barra degli strumenti
Finestra di modifica | Aggiunge o rimuove la barra degli strumenti della finestra di modifica nella sezione della barra degli strumenti.
Avvio rapido | Aggiunge o rimuove la barra degli strumenti Avvio rapido nella sezione della barra degli strumenti.
Layout finestra | Aggiunge o rimuove la barra degli strumenti Layout finestra nella sezione della barra degli strumenti.
Riproduzione/Registrazione macro | Aggiunge o rimuove la barra degli strumenti Riproduzione/Registrazione macro nella sezione della barra degli strumenti.
Elementi automatici | Aggiunge o rimuove la barra degli strumenti Elementi automatici nella sezione della barra degli strumenti.
Elementi misurati | Aggiunge o rimuove la barra degli strumenti Elementi misurati nella sezione della barra degli strumenti.
Elementi costruiti | Aggiunge o rimuove la barra degli strumenti Elementi costruiti nella sezione della barra degli strumenti.
Dimensione | Aggiunge o rimuove la barra degli strumenti Dimensione nella sezione della barra degli strumenti.
Impostazioni | Aggiunge o rimuove la barra degli strumenti Impostazioni nella sezione della barra degli strumenti.
Modalità tastatore | Aggiunge o rimuove la barra degli strumenti Modalità tastatore nella sezione della barra degli strumenti.
Bracci attivi | Aggiunge o rimuove la barra degli strumenti Bracci attivi nella sezione della barra degli strumenti.
Tavola rotante attiva | Aggiunge o rimuove la barra degli strumenti Tavola rotante attiva nella sezione della barra degli strumenti.
Procedure guidate (wizard) | Aggiunge o rimuove la barra degli strumenti Procedure guidate (wizard) nella sezione della barra degli strumenti.
Personalizza | Consente di personalizzare le barre degli strumenti e i menu in base alle proprie esigenze. Vedere "Personalizzazione dell'interfaccia utente" nella sezione "Spostamento all'interno dell'interfaccia utente" .

Per informazioni dettagliate sulle barre degli strumenti, vedere la sezione "Uso delle barre degli strumenti" .


Menu di scelta rapida nella finestra di visualizzazione grafica

I menu di scelta rapida descritti di seguito sono disponibili all'interno della finestra di visualizzazione grafica. È possibile accedervi facendo clic con il pulsante destro del mouse su determinate aree. In alcuni casi è necessario impostare PC-DMIS su modalità specifiche. Vedere "Barra degli strumenti Modalità grafica" nella sezione "Uso delle barre degli strumenti" ). In base alla modalità in cui si trova PC-DMIS, sono disponibili differenti opzioni di menu.

Altro

Menu di scelta rapida dell'elemento

Menu di scelta rapida nella finestra di selezione

Menu di scelta rapida dell'attrezzaggio rapido

Menu di scelta rapida delle linee di percorso degli elementi automatici


Menu di scelta rapida dell'elemento

Per accedere al menu di scelta rapida, fare clic col tasto destro del mouse sull'ID dell'etichetta di un Elemento, sulla casella Diminfo o Pointinfo, all'interno della finestra di visualizzazione grafica.

Opzione

Descrizione

Nascondi ID

Questa opzione consente di nascondere una singola etichetta ID nella finestra di visualizzazione grafica. Un'etichetta nascosta è comunque attiva ma non viene visualizzata.

Nascondi ID in Vista

Questa opzione nasconde l'etichetta ID dell'elemento selezionato nella visualizzazione corrente. In altre visualizzazioni resta visibile.

Mostra ID, Nascondi ID

Il menu secondario consente di mostrare o di nascondere etichette ID di elementi diversi. Si puó visualizzare o nascondere questi tipi di etichetta degli ID.

  • TUTTO

  • Etichette Elementi

  • Informazioni di Dimensione

  • Informazioni sui Punti

  • Feature Control Frames

Se si sceglie di nascondere le etichette, queste saranno comunque attive ma non visualizzate.

Mostra ID in tutte le viste

Questa opzione consente di visualizzare l'etichetta ID in tutte le viste.

Nascondi elemento

Questa opzione consente di nascondere un elemento, rimuovendolo dalla finestra di visualizzazione grafica. L'elemento è comunque attivo ma non viene visualizzato.

Nascondi tutti gli elementi

Questa opzione consente di nascondere tutti gli elementi di un pezzo, rimuovendoli dalla finestra di visualizzazione grafica. Gli elementi sono comunque attivi ma non vengono visualizzati.

Mostra tutti gli elementi

Questa opzione consente di visualizzare nella finestra di visualizzazione grafica tutti gli elementi precedentemente nascosti.

Ripristina ID

Questa opzione consente di riportare un'etichetta ID nella posizione originale vicino all'elemento.

Ripristina tutti gli ID

Questa opzione consente di riportare tutte le etichette ID nella posizione originale vicino ai rispettivi elementi.

Sposta cursore in

Nella finestra di modifica, selezionare questa opzione per spostare il cursore su questa riga di comando dell'elemento. Questa operazione ha effetto solo sulla posizione del cursore nella finestra di modifica. La posizione del tastatore nella finestra di visualizzazione grafica rimane invariata.

Modifica Colore Sfondo

Questa opzione visualizza la finestra di dialogo Opzioni Modifica Etichette. In questa finestra di dialogo si puó modificare il colore dello sfondo della etichetta dell'ID elemento. È possibile assegnare questo colore a tutte le etichette degli elementi oppure solo al tipo di etichetta corrente. Questi sono i tipi di etichetta disponibili: ID elemento, finestre Info Dimensione e finestre Info Punto.

Le modifiche secondo i valori predefiniti si effettuano con un clic sul pulsante Predefinito.

Non può essere utilizzato con i Feature Control Frames.

Modifica Colore Linea

Questa opzione visualizza la finestra di dialogo Opzioni Modifica Etichette. In questa finestra di dialogo si puó modificare il colore del bordo nella etichetta dell'ID elemento. È possibile assegnare questo nuovo colore a tutti i bordi dell'etichetta degli elementi oppure solo al tipo di etichetta corrente. Questi sono i tipi di etichetta disponibili: ID elemento, finestre Info Dimensione e finestre Info Punto.

Le modifiche secondo i valori predefiniti si effettuano con un clic sul pulsante Predefinito.

Non può essere utilizzato con i Feature Control Frames.

Mostra Ombra...

Questa opzione visualizza la finestra di dialogo Opzioni Modifica Etichette. In questa finestra di dialogo è possibile scegliere se visualizzare o nascondere un'ombra sotto l'etichetta ID dell'elemento. È possibile scegliere di aggiungere un'ombra a tutti i tipi di etichetta oppure soltanto al tipo corrente. Questi sono i tipi di etichetta disponibili: ID elemento, finestre Info Dimensione e finestre Info Punto.

Le modifiche secondo i valori predefiniti si effettuano con un clic sul pulsante Predefinito.

Non può essere utilizzato con i Feature Control Frames.

Opzioni aggiuntive nel menu di scelta rapida dell'elemento in modalità Casella di testo

In modalità Casella di testo, PC-DMIS aggiunge le opzioni descritte di seguito nel menu di scelta rapida dell'elemento standard. Le opzioni disponibili sono le seguenti:

Opzione

Descrizione

Creare i Feature Control Frame...

Questa opzione consente di creare una dimensione FCF (Feature Control Frame) della posizione reale dall'elemento selezionato. Viene visualizzata la finestra di dialogo GDT. Per informazioni sulla creazione di dimensioni FCF, vedere "Uso delle Feature Control Frames".

Crea finestra info dimensione...

Questa opzione consente di creare una casella di testo Informazioni dimensione in base all'elemento evidenziato. Viene visualizzata la finestra di dialogo Modifica info dimensione contenente le dimensioni disponibili per creare la casella di testo Informazioni dimensione.

Se all'elemento non viene associata alcuna dimensione, PC-DMIS crea automaticamente una dimensione di posizione predefinita per l'elemento. Vedere "Dimensionamento della posizione" nella sezione "Dimensionamento degli elementi" ). Per informazioni sull'uso della finestra di dialogo Modifica info dimensione, vedere "Inserimento di caselle relative alle informazioni sulla dimensione" nella sezione "Inserimento di comandi rapporto" .

Crea finestre info punti…

Questa opzione consente di creare una casella di testo Info punto in base all'elemento evidenziato. Viene visualizzata la finestra di dialogo Modifica info punto contenente l'elemento e le dimensioni disponibili per creare la casella di testo Info punto. Per informazioni sull'uso della finestra di dialogo Modifica info punto per creare una casella di testo Informazioni punto, vedere "Inserimento di caselle Informazioni punto" nella sezione "Inserimento di comandi rapporto" .

Per accedere alle nuove opzioni, effettuare le seguenti operazioni:

  1. Selezionare l'icona Modalità Casella di testo (vedere "Modalità Casella di testo" nella sezione "Modifica della visualizzazione CAD" ).

  2. Per visualizzare il menu di scelta rapida, fare clic con il pulsante destro del mouse su un elemento o su un'etichetta ID dell'elemento nella finestra di visualizzazione grafica.

Menu Informazioni dimensione e Info punto in modalità Casella di testo

Le due opzioni descritte di seguito vengono aggiunte al menu di scelta rapida dell'elemento standard, se si fa clic con il pulsante destro del mouse su una casella Informazioni dimensione o Info punto, in modalità Casella di testo.

Opzione

Descrizione

Modifica

Questa opzione consente di modificare la casella di testo Informazioni dimensione o Info punto selezionata. Viene visualizzata una finestra di dialogo Modifica info dimensione o Modifica info punto leggermente modificata. Oltre ai pulsanti standard, visualizzabili nella parte inferiore della finestra di dialogo, è disponibile anche un pulsante aggiuntivo Applica a tutti:

Fare clic su Applica a tutti per apportare modifiche nella finestra di dialogo a tutte le caselle Informazioni dimensione o Info punto:
Nota: a tutte le caselle Informazioni dimensione o Info punto verranno applicate solo le modifiche apportate dalla casella originale a quella modificata. Le impostazioni della casella originale che sono già differenti rispetto alle altre caselle non verranno applicate.

Per ulteriori informazioni, vedere "Inserimento di caselle relative alle informazioni sulla dimensione" nella sezione "Inserimento di comandi rapporto" .

Elimina

Selezionare questa opzione per eliminare la casella di testo Informazioni dimensione o Info punto selezionata. Verrà eliminato anche il comando corrispondente INFO_PUNTO o INFO_DIM nella finestra di modifica.

Per accedere alle nuove opzioni, effettuare le seguenti operazioni:

  1. Selezionare l'icona Modalità Casella di testo (vedere "Modalità Casella di testo" nella sezione "Modifica della visualizzazione CAD" ).

  2. Fare clic con il pulsante destro del mouse su una casella Informazioni dimensione o Info punto nella finestra di visualizzazione grafica.


Menu di scelta rapida nella finestra di selezione

Questo menu di scelta rapida è disponibile solo in Modalità Casella di testo. Per accedere a questo menu, effettuare le seguenti operazioni:

  1. Selezionare l'icona Modalità Casella di testo (vedere "Modalità Casella di testo" nella sezione "Modifica della visualizzazione CAD" ).

  2. Selezionare tramite finestra uno o più elementi. PC-DMIS seleziona tutti gli elementi grafici o le etichette ID degli elementi all'interno della finestra.

Viene visualizzato un menu di scelta rapida contenente le seguenti opzioni:

Opzione

Descrizione

Crea finestre info dimensioni…

Questa opzione consente di creare caselle di testo Informazioni dimensione in base agli elementi selezionati.

Viene visualizzata una finestra di dialogo Modifica Info dimensione per uno degli elementi evidenziati, contenente le dimensioni disponibili per creare la prima casella Informazioni dimensione.

Dopo aver selezionato le opzioni desiderate nella finestra di dialogo Modifica Info dimensione, fare clic su OK o sul pulsante Crea (pulsante Applica durante le operazioni di modifica) per creare le caselle Informazioni dimensione.

La prima casella Informazioni dimensione verrà creata in base alle dimensioni selezionate nella finestra di dialogo Modifica Info dimensione.

Le successive caselle verranno create in base a tutte le dimensioni associate a ciascun elemento.

Se ad un elemento non viene associata alcuna dimensione, verrà automaticamente creata una dimensione di posizione predefinita per tali elementi. Vedere "Dimensionamento della posizione" nella sezione "Dimensionamento degli elementi" ). Per informazioni sull'uso della finestra di dialogo Modifica info dimensione, vedere "Inserimento di caselle relative alle informazioni sulla dimensione" nella sezione "Inserimento di comandi rapporto" .

Crea finestre info punti…

Selezionare questa opzione per creare caselle di testo Info punto in base agli elementi evidenziati. Viene visualizzata una finestra di dialogo Modifica info punto per uno degli elementi evidenziati, contenente l'elemento e le dimensioni disponibili per creare la casella di testo Info punto.

Dopo aver selezionato le opzioni desiderate nella finestra di dialogo Modifica info punto, selezionare OK o il pulsante Crea (pulsante Applica durante le operazioni di modifica) per creare le caselle.

La prima casella verrà creata in base alle dimensioni o all'elemento selezionati nella finestra di dialogo Modifica info punto. Le successive caselle Info punto verranno create in base a tutte le dimensioni associate a ciascun elemento e in base all'elemento stesso. Verrà creata una casella Info punto per tutte le dimensioni e i punti dell'elemento. Per informazioni sull'uso della finestra di dialogo Modifica info punto per creare una casella di testo Informazioni punto, vedere "Inserimento di caselle Informazioni punto" nella sezione "Inserimento di comandi rapporto" .

Mostra ID, Nascondi ID

Selezionare una di queste opzioni per visualizzare o nascondere tutte le etichette ID degli elementi selezionate. Se si sceglie di nascondere le etichette, queste saranno comunque attive ma non visualizzate.

Nascondi elementi

Questa opzione consente di nascondere tutti gli elementi selezionati in un pezzo, rimuovendoli dalla finestra di visualizzazione grafica. Gli elementi sono comunque attivi ma non vengono visualizzati.

Ripristina ID

Questa opzione consente di riportare tutte le etichette ID selezionate nella posizione originale vicino ai rispettivi elementi.


Menu di scelta rapida dell'attrezzaggio rapido

Questo menu di scelta rapida può essere utilizzato solo in modalità Attrezzaggio rapido (vedere "Come Inserire Attrezzaggi rapidi" nella sezione "Definizione dell'hardware" ). Per accedere a questo menu, effettuare le seguenti operazioni:

  1. Selezionare l'icona della Modalità Attrezzaggio rapido sulla barra strumenti Modalitá Grafiche .

  2. Fare clic con il pulsante destro del mouse sull'oggetto attrezzaggio rapido già inserito nella finestra di visualizzazione grafica.

Viene visualizzato un menu di scelta rapida contenente le seguenti opzioni:

Opzione | Descrizione
Rilascia oggetto | Questa opzione rilascia l'attrezzaggio rapido selezionato su qualsiasi cosa si trovi sotto di esso nella finestra di visualizzazione grafica. Se nella direzione -Z non sono presenti elementi, non accade nulla. In caso contrario, l'attrezzaggio viene rilascio finché tocca l'oggetto o gli oggetti sottostanti.
Livella oggetto | Questa opzione prende il vettore di superficie relativo al punto selezionato con il pulsante destro del mouse e ne esegue la squadratura con il sistema di coordinate della macchina.
Ruota oggetto | Questa opzione prende il punto selezionato con il pulsante destro del mouse e lo rilascia sul bordo più vicino. Quindi, squadra il vettore tangente alla curva nel punto di rilascio. La rotazione è una squadratura bidimensionale, indirizzata verso la normale visualizzazione corrente.
Squadrare | Questa opzione squadra l'attrezzaggio rapido selezionato in modo che i relativi assi siano paralleli agli assi CAD (modifica minima)
Collega componenti attrezzaggio | Questa opzione raggruppa tutti i componenti di attrezzaggio sullo schermo in modo che trascinando o ruotando un attrezzaggio vengono trascinati e ruotati anche tutti gli altri.
Scollega componenti attrezzaggio | Questa opzione elimina il collegamento dei componenti di attrezzaggio per consentire di utilizzarli singolarmente.
Fissa componente in posizione | Se sono presenti componenti di attrezzaggio collegati, è possibile utilizzare questa opzione per fissare la posizione del componente selezionato nel set di componenti collegati. Quel componente resterà fisso nella posizione corrente anche se saranno spostati altri componenti del set collegato.
Salva attrezzaggio | Selezionando queste voci di menu, viene visualizzata la finestra di dialogo Salva con nome che consente di salvare tutti gli elementi di attrezzaggio su schermo. Se sullo schermo sono presenti più attrezzaggi, è possibile salvarli come un unico set. Gli attrezzaggi salvati vengono memorizzati nella struttura espandibile USER nella finestra di dialogo QuickFix per l'uso futuro.
Sposta solo X | Selezionando questa voce di menu, quando viene trascinato, l'attrezzaggio si sposta solo lungo l'asse X.
Sposta solo Y | Selezionando questa voce di menu, quando viene trascinato, l'attrezzaggio si sposta solo lungo l'asse Y.
Sposta solo Z | Selezionando questa voce di menu, quando viene trascinato, l'attrezzaggio si sposta solo lungo l'asse Z.
Sposta solo XY | Selezionando questa voce di menu, quando viene trascinato, l'attrezzaggio si sposta solo lungo gli assi X e Y.
Sposta solo YZ | Selezionando questa voce di menu, quando viene trascinato, l'attrezzaggio si sposta solo lungo gli assi Y e Z.
Sposta solo ZX | Selezionando questa voce di menu, quando viene trascinato, l'attrezzaggio si sposta solo lungo gli assi Z e X.
Ruota solo XY | Selezionando questa voce di menu, la rotazione viene eseguita solo nel piano XY. Per eseguire la rotazione, premere CTRL e trascinare l'attrezzaggio. Fare di nuovo clic per deselezionare questa opzione.
Ruota solo YZ | Selezionando questa voce di menu, la rotazione viene eseguita solo nel piano YZ. Per eseguire la rotazione, premere CTRL e trascinare l'attrezzaggio. Fare di nuovo clic per deselezionare questa opzione.
Ruota solo ZX | Selezionando questa voce di menu, la rotazione viene eseguita solo nel piano ZX. Per eseguire la rotazione, premere CTRL e trascinare l'attrezzaggio. Fare di nuovo clic per deselezionare questa opzione.


Menu di scelta rapida delle linee di percorso degli elementi automatici

Per accedere a questo menu di scelta rapida, selezionare il pulsante Mostra/Nascondi Percorso [image] nella finestra di dialogo Elemento automatico.

Opzione

Descrizione

Inserisci punto

Inserisce un punto aggiuntivo nell'elemento automatico.

Elimina Punto

Elimina il punto selezionato dall'elemento automatico.

Inserisci Punto di esempio

Inserisce un punto di esempio nell'elemento automatico.

Elimina il punto di esempio

Elimina il punto campione selezionato dall'elemento automatico.

Inserisci Riga

Nel caso di elementi con punti su piú file, come il cilindro o il cono, viene inserita una nuova linea di punti.

Elimina Linea

Nel caso di elementi con punti su piú file, come il cilindro o il cono, viene eliminata una linea di punti.

Punti definiti dall'utente

Questa opzione di menu é selezionata automaticamente ogni volta che si modifica un punto o un percorso con il mouse.

Deselezionando questa opzione di menu, PC-DMIS commuta la selezione a quella effettuata in precedenza.

Inoltre, se questa opzione è selezionata per un punto e si modifica la vista perpendicolare dell'elemento, utilizzando Vista Perpendicolare, è possibile regolare la quota o l'altezza per il punto specificato.

Vista Normale

Viene selezionata la vista CAD dall'alto per l'elemento in esame.

Vista Perpendicolare

La vista CAD dell'elemento diventa laterale, ideale cioè per definire la quota dell'elemento oppure per aggiungere altri livelli di punti.


Menu di scelta rapida nella finestra di modifica

La finestra di modifica di PC-DMIS contiene i menu di scelta rapida descritti di seguito in base alla modalità della finestra di modifica selezionata.

Altro

Menu di scelta rapida dei comandi in modalità Riepilogo

Menu di scelta rapida dei dati

Menu di scelta rapida della modalità comando


Menu di scelta rapida dei comandi in modalità Riepilogo

Se si seleziona un comando e si fa clic con il pulsante destro del mouse su di esso nella finestra di modifica in modalità Riepilogo, viene visualizzato il relativo menu di scelta rapida. Vedere "Uso della modalità Riepilogo" nella sezione "Uso della finestra di modifica" ). Tale menu contiene le seguenti opzioni:

Opzione

Descrizione

Modifica

Questa opzione consente di visualizzare la finestra di dialogo dell'oggetto corrente.

Seleziona

Questa opzione consente di selezionare l'oggetto per l'esecuzione.

Elimina

L’opzione consente di eliminare il comando selezionato e ogni comando secondario dal part-program.

Copia

Questa opzione consente di copiare negli Appunti il comando selezionato.

Taglia

Questa opzione consente di rimuovere il comando dal part-program e di spostarlo negli Appunti.

Incolla

Questa opzione consente di incollare, sotto il comando selezionato, un comando precedentemente tagliato o copiato negli Appunti.

Comprimi tutto

Questa opzione consente di comprimere tutti gli elementi espansi.

Espandi comando

Questa opzione consente di espandere la riga di comando corrente e di visualizzare tutti i dati o gli elementi di gruppo associati al comando selezionato.

Aggiungi comando

Questa opzione consente di aggiungere un comando alla finestra di modifica da un elenco alfabetico scorrevole.

PASSO 1: Spostarsi nell'elenco digitando le prime lettere del comando. PC-DMIS passerà automaticamente a tale comando.

PASSO 2: Selezionare il comando nell'elenco.

PASSO 3: Premere CTRL + INVIO oppure INVIO per inserire il nuovo comando nella finestra di modifica.

Premendo CTRL + INVIO il comando viene inserito dopo il blocco di comandi utilizzato per aprire il menu di scelta rapida.

Premendo INVIO il comando viene inserito all'interno del blocco di comandi utilizzato per aprire il menu di scelta rapida. L'inserimento mediante il tasto INVIO verrà eseguito solo se il comando che si sta aggiungendo appartiene al tipo di comandi che è possibile inserire in un altro blocco. In caso contrario, PC-DMIS inserisce il comando dopo il comando corrente.

Vista aggancio

Questa opzione di menu consente di determinare se la finestra di modifica è o meno agganciata.

Se questa opzione è deselezionata, la finestra di modifica funziona come nelle precedenti versioni di PC-DMIS, ovvero si sposta all'interno della finestra di visualizzazione grafica.

Se l'opzione è selezionata, è possibile agganciare la finestra di modifica ai bordi laterali oppure alla parte superiore o inferiore della finestra di visualizzazione grafica.

Ottimizza Percorso

Con questa opzione di menu è possibile eseguire la routine di ottimizzazione del percorso se si utilizza il modulo Inspection Planner, altrimenti l'opzione non è disponibile. Si veda in proposito la documentazione riguardante l’Inspection Planner.


Menu di scelta rapida dei dati

Il menu di scelta rapida dei dati viene visualizzato facendo clic con il pulsante destro del mouse sui dati nella finestra di modifica in modalità Riepilogo. Vedere "Uso della modalità Riepilogo" nella sezione "Uso della finestra di modifica" ). Tale menu di scelta rapida contiene le seguenti opzioni:

Opzione | Descrizione
Modifica | Il menu secondario di questa opzione comprende le opzioni Testo espressione/valore e Usa generatore di espressioni.
Testo espressione/valore: | Consente di modificare i dati correnti se tali dati sono modificabili. Se i dati possono essere attivati, verrà visualizzato un elenco di valori attivabili, altrimenti verrà visualizzata una casella per la modifica del valore corrente.
Usa generatore di espressioni: | Se i dati possono essere modificati, viene visualizzata la finestra di dialogo Generatore di espressioni che consente di creare espressioni per il campo selezionato.
Copia | Consente di copiare negli Appunti una delle tre opzioni di testo per i dati selezionati.
Testo valore: | Consente di copiare negli Appunti il valore corrente dei dati.
Testo espressione: | Consente di copiare negli Appunti il testo dell'espressione corrente, se associata ai dati.
Testo descrizione: | Consente di copiare negli Appunti la descrizione dei dati correnti.
Incolla | Incolla un valore, il testo di un'espressione o la descrizione di un elemento di cui è stata eseguita la copia in una nuova posizione.
Vista aggancio | Vedere la descrizione fornita in "Menu di scelta rapida dei comandi in modalità Riepilogo"


Menu di scelta rapida della modalità comando

Le opzioni dei menu di scelta rapida descritte di seguito sono disponibili quando PC-DMIS è in modalità Comando. Per informazioni su altre modalità, vedere Uso della modalità Comando" nella sezione "Uso della finestra di modifica" .

Opzione

Descrizione

Comando di selezione

Consente di evidenziare il comando sul quale è posizionato il mouse.

Blocco selezione

Se il mouse è posizionato su un oggetto iniziale o finale di un blocco, seleziona l'intero blocco.

Esegui da comando

Questa opzione consente di avviare l'esecuzione dalla posizione corrente del punto di inserimento nella finestra di modifica.

Esegui Blocco

Questa opzione consente di eseguire il blocco dei comandi attualmente selezionato.

Salto A <Elemento>

Questa opzione permette di passare dal comando corrente all'ID elemento richiamato.

Salto Indietro

Questa opzione consente di tornare al comando in uso prima della selezione dell'opzione Jump To (Vai a).

Modifica

Apre la finestra di dialogo che consente di modificare il comando su cui è posizionato il cursore.

Seleziona

Questa opzione consente di selezionare l'oggetto per l'esecuzione. Per ulteriori informazioni sulla selezione, vedere "Seleziona" nella sezione "Modifica di un part-program" .

Imposta Punto Iniziale

Questa opzione definisce la posizione iniziale in cui l'esecuzione del part-program inizia quando si seleziona l'opzione di menu File | Esecuzione Parziale | Esegui da Punti Iniziali . Vedere "Impostazione dei Punti Iniziali" nella sezione "Modifica di un part-program" .

Punto di interruzione

Questa opzione consente di inserire un punto di interruzione in corrispondenza della posizione del cursore. Per ulteriori informazioni sui punti di interruzione, vedere "Uso dei punti di interruzione" nella sezione "Modifica di un part-program" .

Segnalibro

Questa opzione consente di inserire un segnalibro in corrispondenza della posizione del cursore. Per ulteriori informazioni sui punti di interruzione, vedere "Uso dei punti di interruzione" nella sezione "Modifica di un part-program" .

Sovrascrivi Ricerca Nominali

Questa opzione sovrascrive il comportamento predefinito di Ricerca Nominali durante la modalità Apprendimento ed Esecuzione. Per ulteriori informazioni, vedere "Sovrascrivere Nominali trovati" nella sezione "Modifica di un part-program" .

Copia

Questa opzione consente di copiare negli Appunti il testo selezionato nella finestra di modifica. Per ulteriori informazioni sulle operazioni di copia nella finestra di modifica, vedere "Copia" nella sezione "Modifica di un part-program" .

Taglia

Questa opzione consente di rimuovere e spostare negli Appunti il testo selezionato nella finestra di modifica. Per ulteriori informazioni sulle operazioni di taglio nella finestra di modifica, vedere "Taglia" nella sezione "Modifica di un part-program" .

Incolla

Questa opzione consente di incollare, in corrispondenza della posizione del cursore nella finestra di modifica, il testo presente negli Appunti. Per ulteriori informazioni sulle operazioni di incolla nella finestra di modifica, vedere "Incolla" nella sezione "Modifica di un part-program" .

Vista aggancio

Vedere la descrizione fornita in "Menu di scelta rapida dei comandi in modalità Riepilogo"

Modifica visualizzazione popup

Valore espressione

  1. Selezionare Valore espressione.

  2. Posizionare il cursore sopra un'espressione.

  3. Viene visualizzata una piccola finestra popup, contenente il valore corrente dell'espressione.

Informazioni su tipo dati

  1. Selezionare Informazioni su tipo dati.

  2. Posizionare il cursore su un campo di dati.

  3. Viene visualizzata una piccola finestra popup contenente informazioni su tale campo di dati, compresa la descrizione del tipo di dati, il numero e l'indice.

Le informazioni visualizzate in tale finestra popup possono essere utilizzate con l'espressione GETTEXT. Vedere la sezione "Uso delle espressioni e delle variabili" .

Informazioni sui Comandi

  1. Selezionare Informazioni su comando.

  2. Posizionare il cursore su qualsiasi comando della finestra di modifica.

Viene visualizzata una piccola finestra popup contenente la descrizione del comando e il numero del tipo di comando. Le informazioni visualizzate in tale finestra popup possono essere utilizzate con l'espressione GETCOMMAND. Vedere la sezione "Uso delle espressioni e delle variabili" .

Oggetto

Questa opzione di menu è disponibile solo quando viene inserito un oggetto esterno nella finestra di modifica. Per informazioni su tale operazione, vedere "Inserimento di oggetti esterni" nella sezione "Aggiunta di elementi esterni" .

Se si seleziona e si fa clic con il pulsante destro del mouse sull'oggetto esterno inserito nella finestra di modifica, il menu conterrà solo opzioni correlate a tale oggetto specifico. Ad esempio, potrebbe contenere opzioni relative all'apertura e alla modifica dell'oggetto oppure semplicemente alla modifica delle proprietà dell'oggetto.


Codici di Errore

I codici di errore vengono utilizzati per avvisare l'operatore di condizioni di avvisi ed errori che si verificano nel CMS (Coordinate Measuring System). Il CMS è composto da una macchina CMM, dai componenti elettronici di CMM e da un PC su cui è in esecuzione MeasureMax+ o MaxLite.

I codici di errore in questa sezione sono specifici dei componenti Sheffield che include i componenti elettronici di CMM e dai comandi MLB (Measurement Library).

I codici di errore sono indicati da un nome di gruppo, un trattino e un numero. Alcuni esempi sono MP-523, MLB-010 e TempComp-200.

I gruppi di errore sono:

  • MLB

  • MP

  • DCC

  • RCU

  • TempComp


Informazioni sugli errori MLB

Un errore MLB viene generato da un comando MLB che non è possibile elaborare. Può verificarsi durante l'esecuzione di un part-program, durante la misurazione di un pezzo o durante la modifica di un part-program in QuickTeach o MaxLite. Gli errori MLB non includono gli errori rilevati da Visual Basic. Per assistenza per gli errori VB, contattare la relativa guida.

Di seguito sono riportati alcuni errori MLB di esempio.

  1. Una risorsa non è disponibile, ad esempio MLB-090 per la scheda DCC non disponibile o RCU-050 per RCU non disponibile.

  2. La sintassi del comando non è valida, ad esempio MLB-020 per il parametro non appropriato o MLB-010 per una stringa del comando di funzione non identificata.

  3. CMM non può completare lo spostamento, come MLB-168 per il contatto imprevisto o MLB-169 per la fine del percorso imprevista.

  4. I dati non possono essere elaborati, come MLB-038 per l'incapacità di intersecare una linea parallela all'asse del cilindro oppure MLB-070 per il riferimento non salvato.

Gli errori MLB sono visualizzati nel PC, di solito in una finestra di dialogo.

Nella seguente tabella sono riportati i codici degli errori MLB.

MLB-001 | MLB-026 | MLB-062 | MLB-114 | MLB-168
MLB-003 | MLB-027 | MLB-063 | MLB-115 | MLB-169
MLB-004 | MLB-028 | MLB-064 | MLB-116 | MLB-170
MLB-005 | MLB-029 | MLB-070 | MLB-120 | MLB-173
MLB-006 | MLB-030 | MLB-071 | MLB-130 | MLB-190
MLB-007 | MLB-031 | MLB-072 | MLB-131 | MLB-191
MLB-010 | MLB-032 | MLB-080 | MLB-132 | MLB-505
MLB-011 | MLB-033 | MLB-088 | MLB-140 |
MLB-012 | MLB-034 | MLB-089 | MLB-150 |
MLB-013 | MLB-035 | MLB-090 | MLB-151 |
MLB-014 | MLB-036 | MLB-091 | MLB-152 |
MLB-015 | MLB-037 | MLB-092 | MLB-153 |
MLB-016 | MLB-038 | MLB-093 | MLB-154 |
MLB-017 | MLB-040 | MLB-094 | MLB-155 |
MLB-018 | MLB-041 | MLB-095 | MLB-156 |
MLB-019 | MLB-042 | MLB-096 | MLB-157 |
MLB-020 | MLB-043 | MLB-100 | MLB-158 |
MLB-021 | MLB-044 | MLB-101 | MLB-160 |
MLB-022 | MLB-045 | MLB-110 | MLB-161 |
MLB-023 | MLB-050 | MLB-111 | MLB-162 |
MLB-024 | MLB-060 | MLB-112 | MLB-164 |
MLB-025 | MLB-061 | MLB-113 | MLB-166 |


Informazioni sugli errori in MP

Un errore in MP è associato ai componenti elettronici CMM. I numeri di errore sono divisi nelle seguenti categorie:

Group (Raggruppa) | Intervallo | Descrizione
MP | 1-199 | Errori di diagnostica
TempComp | 200-299 | compensazione temperatura
MP | 300-399 | Operazione autonoma che utilizza il pannello frontale di MP su MP-30/35
MP | 500-599 | Attivazione di MP
MP | 600-699 | Attivazione di DCC
RCU | 700-799 | Attivazione di RCU

Di solito i numeri di errore di MP sono visualizzati nella quarta riga in XYZ Display di PC. XYZ Display è un monitor che può essere visualizzato come finestra in MeasureMax+ e STI. Sui sistemi MaxLite, viene visualizzato nell'angolo in basso a destra. Se si utilizza un sistema MP-30/35 con un pannello frontale, l'errore viene visualizzato anche nella visualizzazione dell'asse W del pannello di controllo di MP.

Per gli errori di memoria, informazioni aggiuntive vengono visualizzate nell'asse Z di XYZ Display (o nel pannello frontale di MP, se disponibile). L'indirizzo esadecimale e le informazioni sul bit consentono al servizio clienti di Giddings & Lewis di diagnosticare la fonte dell'errore. Gli errori di memoria vengono visualizzati nel formato "AAAAA C", dove "AAAAA" è l'indirizzo e "C" è il bit.

  • Nel caso della RAM di MP, "C" è la posizione del bit in cui si è verificato l'errore. Per gli errori della ROM di MP, della RAM e della ROM di DCC, "C" è il byte in cui si è verificato l'errore.

  • Se il numero dell'errore è 500-599, l'indirizzo e le informazioni sul bit sono relative alla scheda CPU di MP.

  • Se il numero dell'errore è 600-699, l'indirizzo e le informazioni sul bit (o chip) sono relative alla scheda DCC.

Se l'errore MP-160 si verifica durante l'attivazione, controllare il LED della scheda DCC, spegnere e accendere e controllare il LED. Una sequenza di caratteri si accende sul LED durante il test. Ciascun carattere rappresenta un test per uno specifico componente del sistema oppure per le comunicazioni tra i componenti. Se uno di tali test ottiene esito negativo, il carattere che rappresenta quel test resta acceso sul LED. La sequenza LED di DCC è:

A | Test delle celle della memoria della RAM condivisa
B | Test dell'interrupt da DCC a MP
C | Test del riconoscimento dell'interrupt MP
D | Test dell'interrupt da MP a DCC
E | Test della ROM e della RAM di DCC
F | Tutti i test sono stati superati - in attesa del primo interrupt MP

Se la scheda DCC si interrompe e il sistema è acceso, si verifica l'errore MP-060 o MP-151. Questi errori indicano che MP non è in grado di comunicare con la scheda DCC. Verificare se sul LED della scheda DCC sono riportati i seguenti numeri:

1 | 32 ms dopo l'ultimo aggiornamento D/A
2 | 32 ms dopo l'ultimo aggiornamento di MP
3 | Interrupt da DCC a MP non rilevato per 32 ms
8 | Il sistema è normalmente in esecuzione
9 | In attesa di sincronizzazione della RAM condivisa di MP iniziale

Nel LED della scheda DCC, un punto decimale prima del numero dell'errore indica che la CPU è inattiva. Un punto decimale dopo il numero dell'errore indica che l'hardware ha rilevato un errore ad aggiornare A/D per 32 millisecondi.

Per gli errori di attivazione di MP (numero di errore 500-599), può essere impossibile trasmettere un messaggio di errore al computer. In un sistema MP-30/35 con un pannello frontale, l'errore viene visualizzato anche nella visualizzazione dell'asse W del pannello frontale di MP. In un sistema SMP, l'errore viene visualizzato nel LED di diagnostica.

La seguente tabella contiene i codici di errore di MP disponibili:

MP-001 | MP-047 | MP-124 | MP-176 | MP-522 | MP-561
MP-002 | MP-048 | MP-127 | MP-177 | MP-523 | MP-562
MP-003 | MP-055 | MP-129 | MP-178 | MP-524 | MP-563
MP-004 | MP-059 | MP-130 | MP-179 | MP-525 | MP-564
MP-007 | MP-060 | MP-131 | MP-180 | MP-526 | MP-565
MP-008 | MP-064 | MP-142 | MP-181 | MP-527 | MP-566
MP-013 | MP-077 | MP-143 | MP-182 | MP-528 | MP-601
MP-015 | MP-078 | MP-146 | MP-183 | MP-529 | MP-619
MP-018 | MP-079 | MP-147 | MP-184 | MP-530 | MP-621
MP-019 | MP-080 | MP-148 | MP-186 | MP-531 | MP-650
MP-021 | MP-081 | MP-149 | MP-310 | MP-532 | MP-651
MP-022 | MP-082 | MP-151 | MP-320 | MP-533 | MP-697
MP-023 | MP-083 | MP-158 | MP-330 | MP-534 | MP-698
MP-024 | MP-090 | MP-159 | MP-340 | MP-535 |
MP-025 | MP-091 | MP-160 | MP-501 | MP-536 |
MP-026 | MP-092 | MP-161 | MP-502 | MP-537 |
MP-027 | MP-093 | MP-162 | MP-503 | MP-538 |
MP-028 | MP-094 | MP-163 | MP-504 | MP-539 |
MP-029 | MP-095 | MP-164 | MP-505 | MP-540 |
MP-030 | MP-105 | MP-165 | MP-506 | MP-541 |
MP-031 | MP-108 | MP-166 | MP-507 | MP-542 |
MP-032 | MP-109 | MP-167 | MP-508 | MP-543 |
MP-033 | MP-111 | MP-168 | MP-510 | MP-544 |
MP-034 | MP-117 | MP-169 | MP-511 | MP-545 |
MP-035 | MP-118 | MP-170 | MP-512 | MP-546 |
MP-036 | MP-119 | MP-171 | MP-515 | MP-547 |
MP-042 | MP-120 | MP-172 | MP-516 | MP-548 |
MP-043 | MP-121 | MP-173 | MP-517 | MP-550 |
MP-045 | MP-122 | MP-174 | MP-519 | MP-551 |
MP-046 | MP-123 | MP-175 | MP-521 | MP-560 |


Informazioni sull'errore DCC

Gli errori DCC vengono visualizzati nel LED della scheda DCC.

Se l'errore MP-160 si verifica durante l'avvio, controllare il LED della scheda DCC, spegnere e accendere e controllare il LED. Una sequenza di caratteri si accende sul LED durante il test. Ciascun carattere rappresenta un test per uno specifico componente del sistema oppure per le comunicazioni tra i componenti. Se uno di tali test ottiene esito negativo, il carattere che rappresenta quel test resta acceso sul LED. La sequenza LED di DCC è:

A | Test delle celle della memoria della RAM condivisa
B | Test dell'interrupt da DCC a MP
C | Test del riconoscimento dell'interrupt MP
D | Test dell'interrupt da MP a DCC
E | Test della ROM e della RAM di DCC
F | Tutti i test sono stati superati - in attesa del primo interrupt MP

Se la scheda DCC si interrompe e il sistema è acceso, si verifica l'errore MP-060 o MP-151. Questi errori indicano che MP non è in grado di comunicare con la scheda DCC. Verificare se sul LED della scheda DCC sono riportati i seguenti numeri:

1 | 32 ms dopo l'ultimo aggiornamento D/A
2 | 32 ms dopo l'ultimo aggiornamento di MP
3 | Interrupt da DCC a MP non rilevato per 32 ms
8 | Il sistema è normalmente in esecuzione
9 | In attesa di sincronizzazione della RAM condivisa di MP iniziale

Nel LED della scheda DCC, un punto decimale prima del numero dell'errore indica che la CPU è inattiva. Un punto decimale dopo il numero dell'errore indica che l'hardware ha rilevato un errore ad aggiornare A/D per 32 millisecondi.

La seguente tabella contiene i codici di errore DCC disponibili:

DCC-001

DCC-002

DCC-003


Informazioni sugli errori RCU

Un errore RCU viene generato solo da Remote Control Unit RCU-I obsolete. I numeri degli errori RCU vengono visualizzati nel formato a scorrimento di RCU-I.

Il numero dell'errore RCU è seguito da un numero di tre cifre che rappresenta i numeri della versione dei tre EPROM in RCU nella posizione F8, F10 e R12. Per visualizzare il numero della versione, premere il tasto DISPLAY in RCU-I.

La seguente tabella contiene i codici di errore RCU disponibili:

RCU - 003

RCU - 700

RCU - 701

RCU - 702

RCU - 703

RCU - 704

RCU - 705

RCU - 706

RCU - 707

RCU - 708


Informazioni sull'errore di compensazione temperatura

Un errore TempComp viene generato dall'elemento di compensazione della temperatura sui sistemi che supportano questa opzione. Gli errori TempComp vengono aggiunti al Rapporto Ispezione e visualizzati nel monitor delle richieste.

La seguente tabella contiene i codici di errore TempComp disponibili:

TempComp-200

TempComp-201

TempComp-202

TempComp-203

TempComp-204

TempComp-205

TempComp-206


Modifica Voci del Registry

L'applicazione Editor impostazioni PC-DMIS consente di modificare le voci del Registry che controllano varie impostazioni di PC-DMIS.

Per avviare l'Editor impostazioni PC-DMIS, assicurarsi di aver chiuso PC-DMIS e accedere al menu di scelta rapida Editor impostazioni dal gruppo di programma in cui è stato installato PC-DMIS. Per accedere al file della guida associato all'Editor impostazioni PC-DMIS, avviare l'Editor impostazioni e premere F1 oppure selezionare il file della guida di " Editor impostazioni PC-DMIS " dalla scheda Sommario del file della guida.


Glossario

Fattore di Affidabilità del 95 %

Data una distribuzione gaussiana (o filtro) di errori, un numero adeguato di punti e la risultante deviazione standard, si può essere certi al 95% che la dimensione reale sarà inferiore al valore misurato.

Angoli AB

La posizione A e B degli assi determina gli angoli che il tastatore utilizza durante la calibrazione della punta. Tali angoli vengono chiamati anche posizioni AB. A é l'angolo verticale del polso. A = 0° quando la punta è sulla stessa linea del mandrino. B rappresenta l'angolo di rotazione. B = 0° varia in base alla marca e al tipo di macchina nonché al tipo di testata del tastatore.

Posizioni AB

Si veda angoli AB.

Punta Attiva

Per punta attiva si intende la sezione del tastatore (definita anche stilo) attualmente caricata e pronta per l'uso. È possibile che siano attive più punte contemporaneamente. Le punte attive sono riportate nell'apposito elenco.

Sfera di calibrazione in uso

Utensile utilizzato per calibrare la punta attiva. Si veda anche Utensile di Calibrazione.

REALE

Termine utilizzato in contrapposizione a "teorico", per indicare le informazioni relative alla dimensione o alla posizione effettivamente misurata.

Valore effettivo del punto (APT)

Di tutte le letture eseguite durante il ciclo di tastatore, il controller restituisce la lettura del valore del Punto effettivo.

Blocco di Allineamento

Sezione del codice del part-program, disponibile nella finestra di modifica, che inizia con la riga di comando "Etichetta = ALLINEAMENTO/INIZIO,…" e termina con la riga di comando "ALLINEAMENTO/FINE".

Offset di Allineamento

Distanza del pezzo dalla posizione X, Y e Z (0, 0, 0).

Funzione di Rotazione Allineamento

Il pulsante Ruota, disponibile nella finestra di dialogo Allineamento, consente di ruotare il pezzo intorno ad un determinato asse. Viene utilizzato per creare gli allineamenti.

Tastatore analogico

Per tastatore analogico si intende un dispositivo elettronico in grado di eseguire una scansione continua della superficie di un pezzo senza staccarsi dalla superficie per registrare i dati di misurazione. Quando non viene eseguita la scansione, il tastatore funziona in modo simile al tastatore a contatto (TTP).

Argomenti

Condizioni utilizzate in una subroutine o in un'equazione, ad esempio un'istruzione IF ...THEN. Se un determinato argomento o condizione viene soddisfatto (IF), verrà eseguita una determinata operazione (THEN).

Assegnazione

Processo di attribuzione di un valore ad un'operazione o ad una serie di operazioni oppure di un numero reale ad una variabile mediante un operatore di assegnazione (=). L'operatore di assegnazione viene creato automaticamente quando si seleziona l'opzione Assegnazione dalla barra dei menu.

Metacarattere Asterisco (*)

Il metacarattere asterisco (*) può sostituire uno o più caratteri qualsiasi in una ricerca.

Assi

É il plurale di asse. Vedere Asse.

Asse

Si dice Asse Coordinato una delle semirette di riferimento in un sistema di coordinate. Gli assi considerati sono: X+, X-, Y+, Y-, Z+ e Z-. Un asse può essere definito anche come linea mediana, derivata lungo la lunghezza di un cilindro, di un cono, di un'asola o di un'ellisse.

Contatori Assi

Sono dispositivi hardware di conteggio digitale, collegati alla macchina e in grado di fornire la lettura delle posizioni X, Y e Z degli assi.

Punta a sfera

Punta a forma di piccola sfera.

Baricentro

Il centro di gravità di un foro di qualsiasi forma.

Script Basic

Serie di comandi scritti nel linguaggio di programmazione BASIC.

Baud

É la velocità di trasmissione e ricezione dei dati di un computer. Generalmente, tale velocità è espressa in bit per secondo (bps).

Raggio di Curvatura

Metodo di misurazione della parte esterna di un cilindro (perno) per lamiere. Misura la posizione centrale e la dimensione.

Best-fit

Processo matematico che calcola i parametri degli elementi o degli allineamenti riducendo al minimo alcune condizioni di errore tra o punti o gli elementi misurati o teorici.

Algoritmi di Best-fit

Calcoli matematici utilizzati da PC-DMIS per determinare il tipo di elemento misurato in base al numero di punti presi. Se PC-DMIS non interpreta correttamente i risultati di questi calcoli, è possibile sostituire le stime errate selezionando il comando Override (Cambio elemento come) nel menu principale.

Modifica Blocco

Fa riferimento allo spostamento di una porzione di testo da un'area all'altra della finestra di modifica.

Borchia

In genere, viene definito borchia un cono o un cilindro esterno, con la parte superiore piana, su cui è possibile inserire la filettatura di un bullone. In alcuni casi viene anche denominato "Perno".

Incroci di bordo

Valore numerico, specificato nella casella Numero incroci di bordo, che indica a PC-DMIS quante volte il centro della sfera del tastatore può incrociare la superficie planare, sferica o cilindrica della condizione specificata, prima che venga interrotta la scansione. La scansione viene automaticamente interrotta quando il centro della sfera avrà intersecato n volte la superficie della condizione, dove n corrisponde al numero specificato.

Piano di Bordo

Piano perpendicolare al vettore del Piano di Bordo con le stesse coordinate XYZ del punto iniziale della scansione. Generalmente, il piano di bordo viene utilizzato per indicare il numero massimo di volte che il piano di bordo può essere attraversato prima che venga interrotta la scansione.

Vettore del piano di bordo

Il vettore del piano di bordo viene determinato inizialmente in base alla direzione definita a partire dal punto iniziale di una scansione verso il punto di orientamento della scansione stessa.

Punti di bordo

Sono punti di campionamento che delimitano l'area contenuta all'interno di una superficie o di una linea sottoposta a scansione.

Finestra di selezione

Vedere Selezione tramite finestra.

Selezione da Finestra

Funzione della finestra di visualizzazione grafica che consente di tracciare una finestra con il mouse intorno ad un gruppo di elementi. Tali elementi vengono evidenziati in una casella di riepilogo degli ID elementi.

Finestra di tolleranza

Variazione della Selezione da Finestra. È possibile utilizzare la finestra di tolleranza dopo aver aperto una finestra di dialogo relativa alle dimensioni ed aver tracciato una finestra di selezione intorno ad un gruppo di elementi misurati. È possibile utilizzare le opzioni di tolleranza disponibili nella finestra di dialogo delle dimensioni per applicare le stesse tolleranze a tutti gli elementi selezionati.

Diramazione

Percorso o flusso logico in base al quale viene eseguito un part-program, da non confondere con il percorso del tastatore. Il percorso può essere una variabile restituita da un'istruzione logica, ad esempio IF, ELSEIF, ELSE, DO e WHILE, che modifica le modalità di esecuzione del part-program in base al valore di un elemento di input o di una variabile calcolata o misurata nel part-program stesso.

Coordinate CAD

Posizione di un elemento in un file CAD, espressa dai valori X, Y e Z.

File CAD

File di immagini grafiche creato mediante un programma di disegno elettronico (CAD) contenente le informazioni relative ad uno o più pezzi nonché alle dimensioni e agli orientamenti dei relativi elementi. Generalmente, tali file vengono salvati nei seguenti formati: IGES, DFX, DES, STEP e XZYIJK.

Cal. polso

Abbreviazione di Calibrazione del polso. Opzione utilizzata per calcolare gli offset della testata del tastatore relativi a ciascuna posizione del polso utilizzata.

Calcola bordo

Abbreviazione del calcolo dei punti di bordo. Opzione utilizzata con le scansioni di perimetro per calcolare i limiti del percorso della scansione.

Tastatore

Processo che indica a PC-DMIS la posizione e il diametro della punta del tastatore. Viene chiamata anche "qualificazione".

Utensile di calibrazione

Per utensile di calibrazione si intende un dispositivo calibrato utilizzato per qualificare (calibrare) la punta di un tastatore. Generalmente è una sfera di precisione; viene chiamato anche "utensile di qualificazione".

Soglie di capacità

Numero che definisce la capacità del processo. La capacità e la soglia di capacità sono due valori diversi. Capacità: Numero calcolato in base ai dati misurati e alle tolleranze (LSS e LSI), che indica il livello ottimale di produzione dei pezzi in un processo, in base alle tolleranze specificate. Capacità sotto forma di equazione: Valore minimo di un intervallo compreso tra: (LSS-XBarBar)/(3*sigma) e: (XBarBar - LSI)/(3*sigma). Dove XBarBar è la media totale di tutte le medie dei sottogruppi per i dati esaminati. Affinché la capacità di un processo possa essere ritenuta sufficiente, il valore della capacità calcolato mediante l'equazione precedente deve essere maggiore della soglia di capacità indicata dall'utente. Se un processo non è in grado di produrre pezzi la relativa capacità è ritenuta insufficiente.

Allineamento per carrozzeria

Molti allineamenti Carrozzeria (e Aereo) hanno un sistema di coordinate esterno allo spazio. Nel caso di una macchina, di solito si trova al centro in basso, sotto il pannello degli strumenti. Il dimensionamento degli elementi viene eseguito a partire da quel punto.

CD

Controllo collisione.

Baricentro

Punto centrale di un elemento.

Punti Caratteristica

Misurazione del punto d'angolo utilizzata dal tastatore video NC-100. Sono disponibili due tipi di misurazione.1) Misurazione di un punto all'intersezione di due superfici (molto simile ad un punto d'angolo) .2) Misurazione di due punti, uno su ciascuna superficie, ad una distanza specificata dal punto di intersezione.

Figlio

Un comando figlio è un comando la cui esecuzione è vincolata ad un altro comando.

Mov. circ.

Abbreviazione di Movimento circolare.

Piano di sicurezza

Corrisponde al comando PIANO_SIC. Tale comando viene inserito nella finestra di modifica per definire il piano che deve essere attraversato dal tastatore per non entrare in collisione con il pezzo.

Cmk

Processo capacità macchina. Questo valore viene utilizzato per determinare fino a che punto un determinato processo è in grado di soddisfare i limiti delle specifiche definite.

CMM

Acronimo di Coordinate Measuring Machine (Macchina di misura a coordinate).

Tolleranza di collisione

Valore misurabile dalla superficie dei dati CAD. Segnala all'utente un'eventuale collisione tra il tastatore ed il pezzo.

Posizionatore delle colonne

Sinonimo di "Dispositivo di cattura".

Area di passaggio delle colonne

Area di dimensioni ridotte posizionata dietro il volume del fissaggio valido, nella quale le colonne vengono spostate da un braccio all'altro ed estratte dal rack per essere posizionate sulla tavola della macchina.

COM

Porta di comunicazione.

Scansione continua

È possibile eseguire una scansione continua solo se si utilizza un tastatore analogico, un tastatore rigido o determinati sensori laser e ottici. In tale tipo di scansione, la punta del tastatore entra in contatto con la superficie di un pezzo e segue un percorso lineare senza staccarsi dalla superficie stessa, fino a quando non viene completata l'intera scansione o una parte di essa.

Controller

Ogni CMMGlossCMM ha un controller. Il controller guida i servomotori che muovono la macchina, legge le scale per tenere traccia della posizione, si interfaccia con il tastatore e così via. Una determinata macchina CMM può disporre di uno qualsiasi dei diversi tipi di controller disponibili.

Sistema di coordinate

Un sistema di coordinate è composto da un'origine e dagli assi X, Y e Z.

Coplanare

Il termine "coplanare" indica che gli elementi si trovano sullo stesso piano.

Cpk

Indice delle capacità del processo. Questo valore viene utilizzato per determinare fino a che punto un determinato processo è in grado di soddisfare i limiti delle specifiche definite.

Piano di taglio

Piano teorico perpendicolare al vettore del piano di taglio con le stesse coordinate XYZ del punto iniziale della scansione. Il piano di taglio viene utilizzato per creare una scansione con tutti i punti sullo stesso livello del vettore del piano di taglio.

Vettore del piano di taglio

Il vettore del piano di taglio è creato dall'incrocio tra il vettore di contatto iniziale e la linea che collega i punti di bordo iniziale e finale delle scansioni. Se non esiste un punto finale, viene utilizzata la linea tra il punto iniziale e il punto di orientamento.

VetTag (vettore di taglio)

Vettore del Piano di Taglio.

DataPage

Software di elaborazione delle statistiche prodotto dalla Brown & Sharpe per l'uso con PC-DMIS.

Datum

Elemento "immaginario" e "perfetto" definito dall'utente, che viene utilizzato come riferimento per la misurazione degli altri elementi di un pezzo.

Cornice di riferimento del datum

È un allineamento creato dall'insieme corrente di datum. Viene definito dall'ordine dei datum A, B, C, ecc.

DCC

Direct Computer Control.

Modalità DCC

Se si attiva la modalità DCC per la macchina di misura a coordinate, molte funzioni della macchina CMM vengono controllate mediante il computer.

DD

Diametro del datum.

Separare

Vedere Separatore.

Separatore

Il verbo "separare" indica semplicemente suddividere delle informazioni. Un separatore è un simbolo che separa singole informazioni. Nella lingua scritta, ad esempio, il punto, il punto di domanda e il punto esclamativo sono segni che separano (o delimitano) le frasi.

Separatori

Vedere Separatore.

Delta

Utilizzato per indicare un'opzione per cui è previsto un cambiamento o una determinata entità di cambiamento.

Curva dipendente

Curva che dipende dall'insieme di elementi in base al quale è stata creata. Pertanto, se si apportano modifiche all'insieme di elementi, viene modificata anche la curva corrispondente.

Curve dipendenti

Vedere Curva dipendente.

Superficie dipendente

Curva che dipende dall'insieme di elementi in base al quale è stata creata. Pertanto, se si apportano modifiche all'insieme di elementi, viene modificata anche la superficie corrispondente.

Superfici dipendenti

Vedere Superficie dipendente.

Quota

Distanza sotto la superficie di un pezzo in base alla quale viene eseguita la misurazione.

DES

Se si esegue l'importazione di tipi di file DES, rappresenta l'acronimo di "Data Exchange Standard" (standard per lo scambio dei dati). Se si utilizzano database statistici, DES rappresenta l'acronimo di "Data Evaluation System" (sistema di valutazione dei dati).

DE

Diametro dell'elemento.

Diametro

La lunghezza della corda massima di un cerchio, di un cilindro o di una sfera. In PC-DMIS tale lunghezza viene applicata ad un elemento best-fit, se non è specificato diversamente. Si immagini una linea passante per il centro di un elemento rotondo; la lunghezza di questo segmento è definita diametro. A volte, viene definita come spessore o larghezza dell'elemento.

DIMS

Acronimo di Dimensional Inspection Measurement System (Sistema di misurazione delle ispezioni dimensionali). Indica il formato dei file dei part-program di PC-DMIS.

Punto di orientamento

Il punto di orientamento di una scansione determina la direzione della scansione. La scansione parte dal punto iniziale e continua nella direzione del punto di orientamento fino a raggiungere il punto finale.

Punta a disco

Punta a forma di piccolo disco.

DRO

Acronimo di Digital Read Out (Visualizzatore digitale).

DXF

Acronimo di Drawing Interchange File (File per l'interscambio dei disegni).

Elemento

Elemento é sinonimo di forma geometrica.

Elementi

Vedere Elemento.

ELEM1

Abbreviazione di Elemento 1.

ELEM2

Abbreviazione di Elemento 2.

ELOGO.DAT

File di dati utilizzato per la formattazione dei piè di pagina del rapporto di modifica. I piè di pagina vengono visualizzati solo sull'ultima pagina del rapporto.

Ang. fin.

Abbreviazione di Angolo finale.

Effettore finale

Dispositivo posizionato sul pezzo per tenerlo fisso su almeno un asse. Solitamente, è rappresentato da una sfera con un diametro definito. Vengono utilizzate le sfere poiché entrano in contatto con il pezzo in un'unica posizione. Anche i perni per l'accoppiamento dei fori, i cilindri per il posizionamento dei bordi e i componenti speciali creati appositamente per il pezzo da fissare costituiscono degli effettori finali.

Punto finale

Punto finale di una scansione. L'esecuzione di una scansione viene interrotta quando si raggiunge il punto finale.

Vettore di contatto finale

Vettore di compensazione del punto finale di una scansione.

Parte finale della slitta

Indica le coordinate XYZ all'estremità del braccio o della slitta, non riportate nelle coordinate XYZ della punta del tastatore.

Vet. fin. (vettore finale)

Si veda Vettore di Contatto finale.

Mappa degli errori

Tutte le CMM presentano delle imperfezioni di fabbrica. La maggior parte dei produttori di macchine CMM verificano la presenza di tali imperfezioni mediante l'uso del laser. Gli errori rilevati vengono memorizzati in un file, denominato comp.dat, al quale è possibile accedere mediante PC-DMIS per migliorare il grado di precisione della macchina. Il file comp.dat rappresenta una mappa degli errori della macchina CMM. Vedere Compensazione volumetrica (VolComp).

Esportazione

Conversione dei dati del disegno contenuti in un part-program di PC-DMIS in un file di output CAD standard, ad esempio IGES.

Espressione

Un'espressione è una condizione definita dall'utente ed utilizzata con i comandi del controllo di flusso di PC-DMIS. È possibile determinare l'operazione che verrà eseguita da PC-DMIS se una condizione viene soddisfatta o meno.

Espressioni

Vedere Espressione.

Estrusione

Quando si sposta un tastatore in un'altra posizione, viene creato un volume geometrico. Il termine "estrusione" indica il volume dell'area in cui il tastatore verrà spostato. Inoltre, il volume viene controllato in modo da evitare la collisione con il pezzo o con la tavola.

Braccio Faro

Braccio articolato della macchina CMM prodotto dalla Faro Technologies, Inc.

Altezza dell'elemento

Distanza dalla base alla parte superiore (centro) dell'elemento.

Lunghezza dell'elemento

Valore misurato lungo la dimensione massima dell'elemento.

Puntatore all'elemento

Tipo di variabile che punta ad un elemento esistente e che consente di accedere direttamente all'elemento stesso. Ad esempio, l'istruzione ASSEGNA/V1 = CER1 creerà un puntatore all'elemento CER1 ed assegnerà la variabile V1 a tale elemento; sarà quindi possibile utilizzare V1 per accedere all'elemento CER1. CER1.X consente di accedere al componente x misurato del baricentro di CER1.

Puntatori all'Elemento

Vedere Puntatore all'elemento.

Insieme di elementi

Gruppo di elementi creati o misurati in precedenza e raggruppati in un unico elemento costruito. Non è necessario che gli elementi di un insieme siano dello stesso tipo.

Larghezza dell'elemento

Misurazione da un lato all'altro dell'elemento. Il valore misurato lungo la dimensione minima dell'elemento.

FILE I/O

Opzione di menu che indica i file di input e di output. Tali file consentono di scrivere (input) o leggere (output) i dati.

Trova nominali

Consente di ricercare i valori nominali. Quando si seleziona questa opzione dall'opzione Nominali in una finestra di dialogo di scansione, PC-DMIS fora la superficie CAD selezionata più vicina in modo da raccogliere i dati CAD teorici per ciascun punto sottoposto a scansione. Quindi, le informazioni raccolte vengono utilizzate per calcolare la deviazione di ciascun punto.

Delta fisso

Opzione utilizzata per eseguire la scansione manuale con un tastatore rigido. I punti dei dati verranno raccolti ad incrementi specifici o "fissi" tra un punto e l'altro.

Tastatore fisso

Sinonimo di "tastatore rigido". Questo tipo di tastatori non utilizza alcun contatto.

Tipo di elemento piano

Elementi piani. Vedere Elementi Piani.

Elementi piani

Gli elementi piani vengono definiti come punti, piani e linee. Vedere Tipo elemento piano.

Stima di planarità

Modalità operativa utilizzata con un tastatore rigido per impostare l'ordine di priorità, in modo che il programma esegua la stima corretta del tipo di elemento che viene misurato. La stima di planarità consente di risolvere un piano prima di un cerchio, di un cilindro, di un cono o di una sfera. Vedere anche Stima di rotondità e Modalità stima.

Barra mobile degli strumenti

Barra degli strumenti che può essere "spostata" in un'altra posizione sullo schermo.

Controllo flusso

Opzioni del programma che consentono di controllare la direzione del part-program.

Modalità Fly

Opzione che consente di definire il modo in cui PC-DMIS muove il tastatore intorno al pezzo durante il processo di misurazione. Per utilizzare questa modalità, è necessario che sulla macchina CMM sia installato l'apposito controller DCC.

FOV

Campo di Vista. Si riferisce a ció che si puó vedere nell’obiettivo della telecamera, una porzione completa di tastatori video.

Traferro e A livello

TRAFERRO = Distanza sullo stesso piano tra due pezzi di elementi automatici accoppiati.A LIVELLO = Differenza di altezza tra due pezzi di elementi automatici accoppiati. Se, ad esempio, si osserva un'automobile dall'alto, la distanza tra il paraurti e il cofano dell'auto corrisponde al traferro (distanza tra le due parti di un piano). Se invece si osserva l'automobile lateralmente, il valore A livello per il paraurti e il cofano corrisponde alla differenza di altezza.

Filtro gaussiano

Vedere Fattore di affidabilità del 95%.

GDT

Acronimo di Geometric Dimensioning and Tolerancing (Dimensionamento e tolleranza geometrica) Linguaggio standard internazionale che utilizza una simbologia riconosciuta per comunicare le specifiche di progettazione di un pezzo.

Geometrie

Elementi o forme geometriche, quali linee, cerchi e così via.

Dispositivo di cattura

Dispositivo utilizzato con l'attrezzatura flessibile e posizionato nella parte finale della slitta. Tale dispositivo consente di "afferrare" o mantenere le colonne, al fine di rimuoverle dal relativo rack ed inserirle nella tavola di lavoro o di rimuoverle dalla tavola di lavoro ed inserirle nel relativo rack. Inoltre, il dispositivo di cattura utilizza dei sistemi di iniezione ad aria per sollevare la colonna dalla tavola di lavoro.

Modalità Stima

Quando si utilizza un tastatore rigido, PC-DMIS non è in grado di determinare il tipo di elemento che viene misurato. La modalità Stima consente di indicare se l'elemento è piano o rotondo, riducendo così la possibilità di stime errate.

Tastatore rigido

Un tastatore rigido non dispone di alcun contatto o di alcuno stilo rimovibile.

HEADER.DAT

File di dati contenente le informazioni necessarie per la formattazione delle intestazioni del rapporto di modifica. Le intestazioni vengono visualizzate su tutte le pagine ad eccezione della prima.

Elemento punto massimo

Tipo di elemento creato selezionando l'opzione Punto massimo della finestra di dialogo Elementi automatici. Dal menu principale, accedere alla finestra di dialogo Elementi automatici e selezionare la scheda Punto massimo. Il punto massimo è il punto lungo un vettore specifico più distante rispetto al baricentro di una superficie.

Punto

Indica il contatto della punta dello stilo con il pezzo. Viene definito anche "tastatore".

Buffer dei punti

Nel buffer dei punti vengono memorizzati i punti del tastatore prima di creare un elemento utilizzando tali punti. I punti memorizzati possono essere eliminati mediante la combinazione di tasti ALT '-' (meno).

Distanza di ritrazione

Distanza specificata dall'utente in corrispondenza della quale il tastatore deve rientrare in funzione dopo essersi ritratto dalla relativa punta su un pezzo.

Posizione di origine

La posizione XYZ rappresenta la posizione di origine della macchina (0,0,0), in cui il tastatore ritorna ogni volta che la macchina viene spenta o accesa.

Canali I/O

Periferica numerata del controller che consente di impostare lo stato 1 o 0. In questo modo è possibile connettere periferiche compatibili a ciascun canale. Un esempio comune è la connessione di un canale ad un rifornimento d'aria per un dispositivo esterno. Impostando il canale su 1, il dispositivo si accende. Impostandolo su 0, si spegne.

ID

Identificativo. Definito anche Etichetta o Nome elemento.

IGES

Acronimo di International Graphics Exchange Specification (Specifica internazionale per lo scambio dei grafici). Indica un formato di file.

Importazione

Procedura di recupero di un file CAD da un database e relativa elaborazione nel part-program di PC-DMIS.

Rientro

Valore indicante la distanza dal bordo dell'elemento alla posizione del punto.

Curva indipendente

Curva che non dipende dall'insieme di elementi in base al quale è stata creata. Anche se si apportano modifiche a tale insieme, la curva indipendente non viene modificata.

Curve indipendenti

Vedere Curva indipendente.

Superficie indipendente

Superficie che non dipende dall'insieme di elementi in base al quale è stata creata. Se si apportano modifiche a tale insieme, la superficie indipendente non viene modificata.

Superfici indipendenti

Vedere Superficie indipendente.

Indicizzabile

La possibilità di posizionare il polso del tastatore a determinati angoli predefiniti (indicizzati). Tali posizioni, definite indici, vengono impostate meccanicamente ad incrementi regolari sulle testate dei tastatori su un valore compreso tra 15° e 0,1°. Un polso è indicizzabile quando è possibile spostarlo in diverse posizioni comprese tra gli incrementi disponibili.

Indirizzamento indiretto

Valore della variabile a cui fa riferimento un'altra variabile.

Iniz

Abbreviazione di iniziale. Vedere Punti Campionamento Iniziale.

Punti di campionamento iniziali

Punti presi durante l'apprendimento di un determinato elemento. I punti di campionamento consentono di determinare il vettore della superficie su cui viene proiettato l'elemento misurato.

Vettore di contatto iniziale

Vettore di compensazione del punto iniziale di una scansione.

VetIniz (vettore iniziale)

Vedere Vettore di Contatto Iniziale.

INTERS

Intersezione dell'elemento specificato.

Allineamento iterativo

Allineamento eseguito in base ad un determinato numero di punti, che consente di ottenere un valore prossimo al valore ideale (nominale). L'allineamento viene ricalcolato in modo ciclico in base a tali punti, in modo da ottenere un valore il più vicino possibile al valore nominale, ovvero viene eseguito un calcolo "best-fit" trai i punti.

Montaggio cinematico

Set costituito solitamente da tre sfere di precisione con i relativi ricevitori e da un dispositivo dell'attrezzatura utilizzato per fornire un punto di connessione ripetibile per gli stili, i tastatori o le testate dei tastatori. Generalmente, i montaggi cinematici sono disponibili sui tastatori dotati di cambio automatico e che non richiedono una nuova calibrazione.

Nodo

In matematica, indica una parte della definizione di una spline. I nodi sono associati ai punti di controllo di una spline e ne facilitano la definizione della forma.

Nodi

Vedere Nodo.

Modalità Apprendimento

Stato di PC-DMIS durante la creazione o l'aggiunta di istruzioni ad un part-program nella finestra di modifica.

Apprendimento

Processo di creazione delle istruzioni visualizzate nella finestra di modifica di PC-DMIS. Per eseguire questa operazione, è possibile inserire direttamente le voci, selezionando l'opzione di menu desiderata nelle barre dei menu oppure toccando i punti di misurazione su un pezzo fisico posto sulla macchina CMM, facendo infine clic sul pulsante CHIUDI del terminale operatore, o premendo il tasto FINE.

LIVELLO - 3 +

Indica che sono necessari tre o più elementi per eseguire il comando Livello relativo ad un allineamento iterativo.

Insieme di LIVELLO

Rappresenta l'insieme di elementi necessari per eseguire il comando Livello relativo ad un allineamento iterativo. Vedere LIVELLO -3 +.

Distanza della linea

Lunghezza di un segmento lineare tra due elementi.

Valori letterali

Operandi ai quali sono associati dei simboli che ne descrivono letteralmente il valore. "3" è il valore letterale di un numero intero. "3" indica il numero tre ed esclude qualsiasi altro valore. La stringa "V1" relativa ad una variabile non indica il valore di quest'ultima, ma rappresenta un'etichetta associata ad un valore. "V1" può essere associato ad un valore pari a "2", "3", "4" o a un qualsiasi altro numero di tipo oggetto. Generalmente, i valori letterali dispongono di funzioni specifiche e possono sostituire gli argomenti. Vedere anche "Valori letterali delle stringhe".

Sistemi LK

Macchine CMM o controller delle macchine CMM prodotti dalla LK, diversi dai modelli SHARPE.

LMC

Acronimo di Least Material Condition (Condizione di minimo materiale).

Logo.dat

File di dati contenente le informazioni necessarie per formattare l'intestazione di un documento per la prima pagina del rapporto di modifica. Tali informazioni si riferiscono alla data, all'ora, ecc.

Looping

Ripetizione di una parte del part-program per il numero di volte specificato.

Capacità della macchina

Analoga alla capacità del processo, tranne per il fatto che la deviazione standard viene calcolata in modo diverso. Vedere Soglie di capacità. In questo caso, la deviazione standard viene calcolata in base ai singoli dati, non ai dati dei sottogruppi. Questa è l'unica differenza sostanziale.

Coordinate macchina

Posizione espressa dai valori X, Y e Z di un elemento o di un oggetto all'interno del volume di misura di una macchina CMM, in base alla posizione di riferimento zero della macchina stessa.

Punto di sondaggio manuale

Fa riferimento allo spostamento manuale della macchina da parte dell'operatore per prendere il punto, anziché allo spostamento autonomo della macchina nella modalità DCC.

Insieme selezionato

Gruppo di elementi selezionati da misurare durante l'esecuzione del part-program.

Selezione usata

La funzione Selezione usata consente di eseguire la scansione di un part-program di PC-DMIS e di selezionare o evidenziare gli angoli del tastatore utilizzati o indicati dal part-program. È possibile selezionare tale funzione dalla finestra di dialogo Utility tastatore. Questa funzione consente all'operatore di determinare facilmente gli angoli del tastatore o le punte che richiedono una calibrazione.

Modalitá Braccio Master

Modalità che consente all'utente di specificare che il braccio denominato "Master" in una macchina CMM dotata di più bracci ottenga la priorità sul braccio denominato "Slave", per evitare un'eventuale collisione tra i due componenti. É anche conosciuta come modalitá Master / Slave.

Spessore del materiale

Una delle proprietà che può essere associata ai file CAD. Generalmente, soprattutto per quanto riguarda i pezzi in lamiera, un file CAD rappresenta solo un lato del materiale. Quindi, per misurare e dimensionare correttamente l'altro lato del pezzo, è necessario applicare un appropriato spessore di correzione.

MDI

Acronimo di Multi-Document Interface (interfaccia a documenti multipli). Si tratta di un programma o un'interfaccia utente che consente di aprire più file contemporaneamente. PC-DMIS, ad esempio, è un'applicazione MDI in quanto consente di aprire più part-program contemporaneamente.

Volume di misura

Area della macchina che è effettivamente possibile utilizzare per la misurazione. Sebbene la macchina sia di grandi dimensioni, è possibile che lo spazio effettivamente disponibile per la misurazione sia di dimensioni notevolmente inferiori. Le dimensioni del volume di misura variano in base alla configurazione del tastatore (tipo di polso, corpo e stilo del tastatore).

Metacarattere

Carattere jolly che sostituisce uno o più caratteri alfanumerici. In PC-DMIS sono disponibili due metacaratteri: il metacarattere asterisco (*) e il metacarattere punto interrogativo (?).

Micron

Unità di misura equivalente a un milionesimo di metro.

Tolleranze negative inferiori

Questa opzione applica una tolleranza positiva nel campo delle tolleranze negative; ad esempio: 1.000 +.003 / +.001.

MMC

Acronimo di Maximum Material Condition (Condizione di massimo materiale).

MMIV

Sta per Micro Measure IV(tm), pacchetto software di misura.

Spazio-modello

Spazio di coordinate 3D al quale viene mappata la geometria delle superfici e delle curve.

Modalità

Stati del programma disponibili in PC-DMIS. Ciascuna modalità consente di eseguire delle funzioni specifiche. In PC-DMIS sono disponibili le seguenti modalità: modalità Programma, modalità Traslazione, modalità DCC, modalità Manuale e modalità Casella di testo.

Posizione di sicurezza

Posizione XYZ definita e utilizzata durante determinate operazioni dell'attrezzatura e di cambio utensile.

Intervallo di movimento

Spazio (volume o area) che è effettivamente possibile utilizzare in una macchina per la misurazione. È definito anche volume di misura.

Media spostamento

Valore medio di un insieme di punti dati che varia nel tempo. Esempio: dato un sottogruppo di dimensione 3 (il numero dei punti dati utilizzati per il calcolo di una media di spostamento) e l'insieme di dati [1,2,3,4,3,4,5,4,3,2,3], la prima media di spostamento viene calcolata in base ai primi tre punti: [1,2,3]. ed ha valore pari a 2. La seconda media di spostamento viene calcolata spostandosi di un punto verso destra all'interno dei dati. Si ottengono i seguenti dati: [2,3,4]. Il valore risultante è 3. I tre punti successivi sono i seguenti: [3,4,3]. La media è 3,33. I tre punti successivi sono: [4,3,4]. Questo procedimento viene eseguito per tutti i dati.

Subroutine annidate

Subroutine richiamate da un'altra subroutine o annidate in essa.

Newton

Un "newton" è un'unità di forza e rappresenta la forza necessaria per portare una massa di 1 chilogrammo ad una velocità di 1 metro per secondo al quadrato.

Perpendicolare a

La definizione "perpendicolare a" indica che un determinato oggetto o elemento geometrico si trova ad un angolo di 90° rispetto ad un altro elemento.

Tacca

Tipo di elemento simile a mezza asola quadrata.

Numero di punti

Vedere N. punti.

Numero di righe

Vedere N. righe.

ODBC

Acronimo di Open Database Connectivity (linguaggio comune per l'accesso ai database).

Elemento offset

In PC-DMIS sono disponibili tre tipi di elementi di offset: punti di offset, linee di offset e piani di offset. Nell'elemento di offset sono contenuti uno o più elementi diversi. A ciascun elemento contenuto nell'elemento di offset è associato un offset o valore di correzione; quindi, ogni singolo elemento contenuto nell'elemento di offset può effettivamente coincidere o meno con il nuovo elemento costruito.

On Error

Funzione disponibile in alcuni controller delle macchine CMM che consente al part-program di PC-DMIS di eseguire la diramazione a un insieme differente di istruzioni da eseguire, nel caso in cui un tastatore elettronico entri inaspettatamente in contatto o manchi il contatto con il pezzo. È possibile attivare questa funzione selezionando l'opzione di menu On error (In caso di errore) nel menu principale.

Open GL

Acronimo di Open Graphics Library (Routine di grafica). Libreria di routine utilizzate per facilitare la visualizzazione delle informazioni grafiche.

Operando

Parte di un'equazione su cui agisce un operatore. Nell'equazione "2+3" i numeri 2 e 3 rappresentano gli operandi, mentre il segno più (+) rappresenta l'operatore.

Operandi

Vedere Operandi.

Sensore ottico

Per sensore ottico si intende un tastatore che rileva la propria posizione con un sistema ottico, ad esempio un sensore laser.

Insieme di ORIGINE

Rappresenta l'insieme di elementi necessari per eseguire il comando Livello relativo ad un allineamento iterativo. Vedere ORIGINE -1.

Fuori Tolleranza

I punti fuori tolleranza sono punti "dispersi" e sono causate solitamente da anomalie del processo di misurazione, piuttosto che dalla presenza effettiva di materiale. Puó essere utile identificare ed ignorare tali punti.

AP

Abbreviazione di Angolo Polare. Detto anche Ang P. L'angolo polare viene utilizzato con il raggio polare nelle coordinate dei cilindri. Vedere AP.

Ang P

Abbreviazione di Angolo Polare. Definito anche AP. L'angolo polare viene utilizzato con il raggio polare nelle coordinate dei cilindri. Vedere Rag P.

Spazio-parametro

Spazio di coordinate 2D del dominio parametrico di una superficie. Ad esempio, un angolo di una superficie viene definito in corrispondenza della posizione del parametro (0,0), mentre l'angolo opposto si trova in corrispondenza della posizione (1,1). L'intera superficie viene definita applicando al parametro variazioni che rientrino tra le due posizioni indicate. Una volta ottenuta la definizione geometrica della superficie, è possibile eseguire la mappatura della posizione dello spazio-parametro al punto di uno spazio-modello.

Padre

Il termine padre indica un comando (o le informazioni relative a un comando) utilizzato in un altro comando.

Coordinate del pezzo

Posizione (espressa dai valori X, Y e Z) di un elemento su un pezzo fisico rispetto a una posizione di origine.

Part-program

Un part program é un testo che descrive la misura e l'ispezione di un oggetto. A ciascun part-program è assegnato un nome univoco con estensione .prg. Il part-program viene creato dall'operatore della macchina CMM. È possibile che il part-program sia associato ad un modello CAD; in questo caso, il file CAD avrà lo stesso nome di file del part-program, ma con l'estensione .CAD.

Perm

Abbreviazione di permanente. Si veda Punti di Campionamento Permanenti.

Punti di campionamento permanenti

Numero di punti di campionamento utilizzati per la misurazione di un determinato elemento durante l'esecuzione di un part-program.

PH9

Numero di modello di una determinata testata del tastatore Renishaw. Il termine PH9 è l'abbreviazione di Probe Head 9 (testata del tastatore 9) e viene utilizzato comunemente per indicare le testate dei tastatori con polso meccanico articolato.

Punto di foratura

É il punto ricavato su una superficie CAD, usando le coordinate del punto misurato ed il vettore di approccio. Equivale ad un raggio che usi il vettore di approccio, parta dalla posizione X, Y, Z e infine, utilizzando il vettore di approccio, intersechi la superficie in un punto opportuno.

Perni

Elementi che sporgono da un pezzo (al contrario dei fori, che creano una cavità all'interno del pezzo). Sinonimo di "perno".

Passo

Distanza percorsa lungo l'asse dell'elemento durante una rivoluzione.

VetPian (Vettore del piano)

Si veda il Vettore del Piano di Bordo.

TOLLPT

Abbreviazione della tolleranza del punto vettore. Tale opzione viene utilizzata nella finestra di modifica (come TOL PT = n) per specificare la tolleranza del punto vettore per i contatti manuali in un allineamento iterativo.

Digitalizzazione punto a punto

Processo di raccolta dei dati sulla superficie di un pezzo a scopo di progettazione inversa. È possibile raccogliere i dati eseguendo la scansione del pezzo con una macchina ed un software in grado di generare dei punti di misurazione discreti. Dopo aver raccolto un numero sufficiente di punti, questi vengono elaborati come un unico gruppo per generare le superfici elettroniche di un pezzo utilizzabili dal programma CAD per completare un disegno.

POLARE

Sistema di coordinate polari contenente le coordinate U e V. Nella finestra di modifica viene visualizzato sotto forma di comando POL. U rappresenta il raggio polare e V indica il vettore o angolo polare.

POL

Abbreviazione di Polare.

Polyline

In Computer Graphics, una polyline è una linea continua composta da uno o più segmenti di linea. Talvolta viene trattata come un singolo oggetto, oppure può essere divisa nei segmenti che la compongono.

Potenziometri

Strumenti per la misurazione delle forze elettromotrici.

RP

Sta per Raggio Polare. Detto anche Ang P. Il raggio polare viene utilizzato con l'angolo polare nelle coordinate dei cilindri. Vedere AP.

Rag P

Sta per Raggio Polare. Detto anche Rag P. Il raggio polare viene utilizzato con l'angolo polare nelle coordinate dei cilindri. Vedere AP.

Distanza di approccio

Numero che indica la distanza alla quale il tastatore ridurrà la velocità in prossimità del pezzo dal quale verrà preso un punto.

Priorità

Nelle espressioni algebriche o nelle operazioni di assegnazione, la priorità rappresenta l'ordine di esecuzione delle diverse operazioni. Ad esempio, la moltiplicazione ha una priorità maggiore rispetto all'addizione. Pertanto, l'espressione "2 + 3 X 6" risulta uguale a 20 poiché 2 viene aggiunto al risultato di 3 X 6. Se non si rispetta la priorità, si ottiene il risultato errato 30.

Tastatore

Il sensore collegato alla slitta della macchina CMM o al polso indicizzabile. Tutti i tastatori, tranne i tastatori rigidi, richiedono uno stilo per raccogliere i dati di misurazione.

Cambio del tastatore

Rack posizionato nel volume di misura della macchina CMM. Il cambio del tastatore consente di utilizzare diversi tipi di tastatore in un unico part-program. La macchina CCM può alternare i diversi tipi di tastatore senza l'intervento dell'operatore.

Quota del tastatore

La quota del tastatore rappresenta la posizione del tastatore lungo l'asse Z, perpendicolare alla tavola della macchina CMM.

Prolunga del tastatore

Una prolunga del tastatore è un componente cilindrico inserito tra la testata del tastatore e il tastatore stesso.

Falso contatto del calibro del tastatore

Contatto accidentale del gambo del tastatore con il pezzo o con un elemento del pezzo.

Ciclo di tastatore

Ciclo utilizzato da un tastatore analogico o un controller analogico per prendere un punto.

PROE

Formato di file CAD ProEngineer.

Profilo

"Per profilo si intende il contorno di un oggetto su un determinato piano (figura bidimensionale). I profili vengono creati proiettando una figura tridimensionale su un piano o utilizzando le sezioni trasversali della figura."-ASME Y14.5M-1994 Dimensionamento e tolleranza. Generalmente, nei disegni CAD una superficie può assumere la forma di una curva, di una linea o di un insieme di singoli punti in base ai diversi punti di vista. I profili vengono creati proiettando una figura tridimensionale su un piano o utilizzando le sezioni trasversali della figura.

Errore del profilo

Deviazione del profilo reale o misurato rispetto al profilo teorico o nominale.

Profili

Vedere Profilo.

Modalità Programma

Modalità che consente di creare il part-program nella finestra di modifica e di visualizzare l'immagine del tastatore nella finestra di visualizzazione grafica.

Pt

Abbreviazione di punto.

Utensili di calibrazione

Si veda anche Utensile di Calibrazione.

Calibrazione

Termine utilizzato per indicare che si effettua una calibrazione o determinazione delle posizione, ad esempio della punta del tastatore.

Metacarattere punto interrogativo (?)

A differenza del metacarattere asterisco (*), il metacarattere punto interrogativo (?) può corrispondere ad un solo carattere alfanumerico.

Slitta

Parte finale del braccio al quale è collegato il tastatore. Su una macchina orizzontale, la slitta rappresenta la parte orizzontale e solitamente si muove sull'asse X o Y. Su una macchina verticale, definita generalmente macchina "a ponte", la slitta viene montata in senso verticale e si muove sull'asse Z.

Leggi pos.

Abbreviazione di Leggi posizione. Funzione che richiama le coordinate XYZ correnti dal controller CMM.

RETT

Abbreviazione di Rettangolare. Definizione utilizzata quando il sistema di coordinate di riferimento deve essere di tipo rettangolare (XY) o cartesiano (XYZ).

Riferimenti

Sintassi di un'espressione che indica il valore dei dati. Si tratta della sintassi utilizzata per accedere ai diversi elementi dei dati del part-program. "CER1.X" è un riferimento al valore x misurato del baricentro dell'elemento denominato CER1. "LINEA.LUNGH" è un riferimento alla lunghezza dell'elemento LINEA. "C1.INPUT" è un riferimento all'input del commento denominato C1.

Modalità Riapprendimento

Opzione relativa all'esecuzione di una scansione. Se l'opzione Esegui viene impostata su RIAPPRENDIMENTO, ogni volta che viene eseguita una scansione vengono calcolati nuovamente i vettori di compensazione relativi a ciascun punto di scansione.

RFS

Acronimo di Regardless of Feature Size (Indipendentemente dalle dimensioni dell'elemento).

RLE

Acronimo di Run Length Encoding (esecuzione codifica lunghezza). Rappresenta un metodo di compressione dei file di bitmap.

MisRel

Abbreviazione di Misurazione relativa. È possibile utilizzare questo tipo di misurazione per creare un nuovo elemento automatico in base alle coordinate reali di un elemento misurato in precedenza.

ROI

Casella computerizzata visualizzata sullo schermo del computer per il tastatore video NC-100. La misurazione dell'elemento deve essere eseguita all'interno della casella.

RUOTA – 2 +

Indica che sono necessari due o più elementi per eseguire il comando di rotazione per un allineamento iterativo.

Elementi ROTAZIONE

Rappresenta l'insieme di elementi necessari per eseguire il comando di rotazione per un allineamento iterativo. Vedere RUOTA -2 +.

Tipo di elemento rotondo

Elemento circolare o curvo. Vedere Elementi Rotondi.

Elementi rotondi

Gli elementi rotondi vengono definiti cerchi, sfere, coni e cilindri. Vedere Tipo elemento rotondo.

Stima di rotondità

Modalità operativa utilizzata con un tastatore rigido per impostare l'ordine di priorità, in modo che il programma esegua la stima corretta del tipo di elemento che viene misurato. La stima di rotondità consente di risolvere un cerchio, un cilindro, un cono o una sfera prima di un piano. Si veda anche Modalità Stima.

RTF

Acronimo di Rich Text Format.

Densità dei punti di scansione

Numero di punti restituiti dalla macchina CMM per ciascun millimetro.

Script

Vedere Basic Script.

Linee di sezione

Entità CAD che è possibile aggiungere ad un disegno CAD. Sebbene non contengano le informazioni relative alle dimensioni o al disegno, possono essere utilizzate per eseguire una scansione lineare di una determinata sezione di un pezzo. Tali linee di riferimento vengono utilizzate dai tecnici durante la specifica della posizione dei diversi elementi del pezzo.

ORIGINE - 1

Indica che è necessario un solo elemento per eseguire il comando di impostazione dell'origine per un allineamento iterativo.

A cilindro

Asta dello stilo che si estende dalla punta di misurazione al giunto di montaggio dello stilo. Nel caso della punta del calibro, non è prevista alcuna punta di precisione. Vedere Punta del calibro. Il calibro rappresenta anche l'asta che supporta l'utensile di calibrazione.

Calibrazione del calibro

La calibrazione del calibro viene utilizzata con gli stili per elementi automatici per indicare la direzione dell'asse del calibro e il punto centrale dell'estremità della punta sferica.

Punta del calibro

Punta a forma di asta retta.

Falso contatto del calibro

Termine utilizzato quando si fa scattare il tastatore mediante il contatto del pezzo con il calibro dello stilo anziché con la punta dello stilo. Quando si verifica un falso contatto, vengono raccolti dati non validi.

Corpi in lamiera

Termine utilizzato per indicare le superfici nella terminologia associata ai motori di creazione dei modelli Unigraphics.

Stilo per elementi automatici

Uno stilo per elementi automatici consente di misurare i pezzi particolarmente sottili. Sull'estremità dello stilo per elementi automatici è presente una punta semisferica con un portautensile coassiale e concentrico rispetto al centro della sfera.

Spessore degli elementi automatici

Si veda Spessore del Materiale.

SHSP

Stylus Holder Setting Piece

Sigma

La lettera greca spesso utilizzata per rappresentare la deviazione standard.

SNSDEF

Questa istruzione è una delle parole chiave utilizzate per i sensori definiti nel linguaggio DMIS.

Tastatore software

Tastatore software (o SFT) è una parola della terminologia Leitz che definisce una modalità di tastatore utilizzata frequentemente per misurare materiali software.

Corpi solidi

Termine utilizzato per indicare i solidi nella terminologia associata ai motori di creazione dei modelli Unigraphics.

Distanziatore

Valore definito dall'utente per indicare la distanza di offset tra il bordo di un elemento e un punto di campionamento.

SPC

È l'acronimo di Statistical Process Control. In PC-DMIS è possibile creare e aggiornare i grafici SPC da un database specificato.

Spline

Tipo di curva o superficie. Le proprietà matematiche delle spline e la relativa facilità d'uso le rendono particolarmente adatte alla creazione dei modelli. È possibile utilizzare spline sia nelle curve che nelle superfici.

Spline

Vedere Spline.

Squadrare

Allineare o ruotare il pezzo nella finestra di visualizzazione grafica fino a quando non risulta allineato e parallelo al bordo dello schermo.

Deviazione Standard

Radice quadrata media della deviazione dalla media. La sua equazione é la seguente:sqrt((sum((xi-m)^2))/n-1), dove: m = valor medio, n = numero punti, xi = l'i-esimo punto.

Ang. iniz.

Abbreviazione di Angolo iniziale.

Punto iniziale

Per punto iniziale di una scansione si intende il punto dal quale viene avviata la scansione.

Stato della modalità

Sono disponibili le seguenti quattro modalità: modalità Traslazione, modalità Rotazione 2D, modalità Rotazione 3D e modalità Programma. È possibile selezionare le opzioni relative alle singole modalità mediante le icone della barra degli strumenti di PC-DMIS.

File di output statistico

File contenente le informazioni statistiche da stampare per un part-program. Le informazioni statistiche vengono salvate nel file "xtats11.tmp", che generalmente si trova nella directory di PC-DMIS o nella directory di installazione di PC-DMIS.

STEP AP203 & AP214

Acronimo di Standard for the Exchange of Product Model Data (Standard per lo scambio dei dati relativi ai modelli dei prodotti). Standard per la rappresentazione e lo scambio dei dati del prodotto in formato elettronico, adottato dalla comunità internazionale nel 1988 allo scopo di fornire una descrizione completa del prodotto durante l'intero ciclo di vita.

Modalità Passo-passo

La modalità Passo a passo è una variazione nell'esecuzione di un part-program durante la quale la macchina CMM esegue un solo blocco di comandi alla volta. Per continuare l'esecuzione del programma, è necessario l'intervento dell'utente. Questa modalità rappresenta effettivamente un "movimento passo a passo" all'interno del part-program.

Scansione a punti continui

Tipo di scansione eseguita sulle macchine CMM DCC dotate di tastatori a contatto. Durante la scansione, la macchina CCM tocca il pezzo, si allontana da esso in base alla distanza di ritrazione, si sposta sul punto di approccio successivo, quindi si muove nuovamente per toccare il pezzo. Tale processo viene ripetuto fino al termine della scansione. La definizione "a punti continui" deriva dal suddetto processo, simile al funzionamento di una macchina da cucire.

STL

Formato per stereolitografia. File ASCII o binario utilizzato per la produzione che fornisce un elenco di sfaccettature triangolari che descrivono un modello solido generato dal computer.

Perni

Elementi non rimovibili che sporgono da un pezzo e opposti ai fori, che creano una cavità all'interno del pezzo. Sinonimo di "perno".

Stilo

Definito anche "stilo del tastatore" é un'asta cilindrica (gambo) con una punta ad alta precisione. Lo stilo viene avvitato nel corpo del tastatore e generalmente è intercambiabile con altri tipi di stilo.

Cambio dello stilo

Per cambio dello stilo si intende un rack posizionato nel volume di misura della macchina CMM. Contiene diversi stili da utilizzare contemporaneamente in un unico part-program. La macchina CMM consente di alternare automaticamente gli stili senza l'intervento dell'operatore.

Prolunga dello stilo

Per prolunga dello stilo si intende un componente cilindrico collegato al corpo del tastatore e allo stilo. Viene utilizzata per aumentare la lunghezza della punta di misurazione. È possibile utilizzare contemporaneamente diverse prolunghe.

Subroutine

Programma secondario all'interno del part-program. I programmi secondari contengono i comandi del file corrente o di un file esterno e possono essere utilizzati ripetutamente.

Subroutine

Vedere Subroutine.

Superficie di rivoluzione

Superficie che può essere generata mediante la rotazione del piano di una curva intorno al relativo asse.

Calibrazione del sistema

Processo che consente di controllare il grado di precisione di una macchina CMM e di apportare le modifiche meccaniche necessarie alla macchina CMM o al file VolComp in modo da ridurre il margine di errore.

Punta rastremata

Punta rastremata a forma conica, le cui dimensioni si riducono progressivamente verso l'estremità.

DEST

Abbreviazione di destinazione. Indica le informazioni relative alla dimensione o alla posizione in base alle quali la macchina CMM esegue le misurazioni.

Tassellazione

Per tassellazione si intende la suddivisione di una superficie in un gruppo di poligoni per ombreggiare l'immagine grafica.

TEOR

Abbreviazione di teorico. Indica le informazioni relative alla dimensione o alla posizione nominale.

Filettatura

Parte della punta avvitata in un altro componente e alla quale viene fatto riferimento mediante la dimensione della filettatura. I componenti sono uniti mediante la filettatura degli elementi dell'attrezzatura.

Delta temporale

Valore specificato dall'utente ed utilizzato per eliminare i punti presi mediante le scansioni manuali con un tastatore rigido che si muove ad una velocità maggiore rispetto all'incremento di tempo specificato. Gli incrementi vengono specificati in secondi.

Punta

Parte dello stilo che entra in contatto con il pezzo misurato o ispezionato. Gli stili possono disporre di diversi tipi di punte. La punta può avere la forma di una sfera, di un disco o di un puntatore.

ALTER

Campo che consente di attivare o disattivare le opzioni disponibili nella finestra di modifica. Per eseguire questa operazione, posizionare il cursore sul campo e premere F7.

Cambio Utensile

Vedere Cambio del tastatore.

Tastatore a contatto

Tipo di tastatore che fa scattare automaticamente un punto quando tocca il pezzo.

TP

Abbreviazione di True Position, ovvero Posizione reale.

Campo riconoscimento

Comando costituito da due campi nella finestra di modifica. Il primo campo indica il nome o il titolo del campo riconoscimento, mentre nel secondo campo viene visualizzato il valore corrente del campo riconoscimento. Ad esempio, Temperatura: 75 o Turno: pomeriggio. I campi riconoscimento vengono utilizzati nel file XSTATS11.TMP per i programmi di database, quali DataPage.

Campi riconoscimento

Vedere Campo riconoscimento.

Modalità Traslazione

Modalità di PC-DMIS che consente di spostare il pezzo sullo schermo, di modificare la dimensione della visualizzazione del pezzo nella finestra di visualizzazione grafica e così via.

Triedro

Rappresentazione grafica dei piano che si incontrano e formano un punto. Definito anche triedrico.

TTP

Si veda Tastatore a Contatto.

UG

Acronimo del formato di file CAD Unigraphics.

UPR

Sta per Ondulazioni Per Rivoluzione(Undulations Per Revolution).

Variabile

Oggetto utilizzato per indicare un valore. Ad una variabile è associato un nome e un valore. Il nome viene utilizzato per accedere al valore della variabile; il nome è costante, mentre il valore può essere modificato. Ad esempio, l'istruzione ASSEGNA/V1 = 2 consente di creare una variabile denominata V1 con un valore pari a 2. L'istruzione ASSEGNA/V2 = V1 + 2 verifica il valore di V1. Se, ad esempio, il valore di V1 è pari a 2, al momento dell'esecuzione dell'istruzione, a V2 verrà assegnato il valore 4. Una variabile è un valore rappresentato da operandi di tipo Numero intero, Numero reale, Stringa o Punto.

Delta variabile

Per Delta variabile si intende un tipo di scansione che è possibile eseguire utilizzando soltanto un tastatore rigido. Durante questo tipo di scansione, i dati dei punti vengono letti solo quando vengono soddisfatte le condizioni specificate per l'incremento minimo di tempo e di distanza.

Variabili

Vedere Variabile.

VDAF

Acronimo del formato dell'interfaccia dei dati della superficie VDA. VDAFS è uno standard nazionale tedesco pubblicato nel 1986 ed utilizzato dalla VDA (German Motor Manufacturers Association) per lo scambio dei dati relativi al modello CAD 3D.

VDAFS

Vedere VDAF.

ID della vista

L'ID della vista è il nome definito dall'utente per una vista salvata.

File VolComp

È il file "comp.dat". Affinché una macchina CMM esegua correttamente le misurazioni, è necessario che questo file si trovi nella directory operativa di PC-DMIS del computer utilizzato per le macchine CMM per cui è stata eseguita la compensazione volumetrica. Vedere Compensazione volumetrica (VolComp).

Compensazione volumetrica (VolComp)

Processo di accesso alla mappa degli errori di una macchina CMM e di applicazione dell'errore come un fattore di correzione delle misurazioni, allo scopo di migliorare il grado di precisione della macchina CMM. Questo processo viene eseguito automaticamente da PC-DMIS una volta inizializzata la macchina CMM. Vedere anche Mappa degli errori.

Peso

Valore definito in base ad una tolleranza utilizzata per eseguire un calcolo best-fit. Maggiore è la tolleranza, minore sarà la possibilità di errore. Quindi, una tolleranza minore richiede un maggiore "peso" o attenzione nell'esecuzione di un calcolo best-fit.

Pesi

Vedere Peso.

Caratteri jolly

I caratteri jolly comprendono due metacaratteri, l'asterisco (*) e il punto interrogativo (?). Il metacarattere asterisco (*) può sostituire uno o più caratteri qualsiasi in una ricerca. A differenza del metacarattere asterisco (*), il metacarattere punto interrogativo (?) può corrispondere ad un solo carattere alfanumerico.

Corpi in filo

Termine utilizzato per indicare gli elementi wire-frame (filo, linee, curve e così via) nella terminologia associata ai motori di creazione dei modelli Unigraphics.

Piano di lavoro

I piani attivo e passante definiscono il piano di lavoro. PC-DMIS consente di indicare il piano specifico sul quale viene proiettato un elemento misurato. La definizione 'piano di lavoro' è un sinonimo di 'piano corrente' o 'piano attivo'.

Mappa del polso

Si vedano gli argomenti Mappa degli Errori e Compensazione Volumetrica.

Delta di Avvertenza Polso

Opzione disponibile nella scheda Pezzo/CMM della finestra di dialogo Opzioni di impostazione. Se un elemento CAD selezionato da misurare non dispone di un vettore conforme all'angolo del tastatore attivo all'interno del limite del delta di avvertenza polso, viene visualizzato un messaggio di avvertenza.

Centro X, Y, Z

Valori che indicano la posizione del centro della punta a sfera.

R XBar

XBar è un metodo di scrittura del simbolo statistico X che rappresenta la media. Il grafico a XBar rappresenta quindi la media di un processo. Generalmente, questa media viene calcolata nel tempo e il grafico viene impostato in modo tale che l'asse X rappresenti il tempo e l'asse Y il valore medio. R XBar è l'abbreviazione di "XBar ed R". Si tratta di un grafico a XBar che contiene informazioni supplementari. La "R" rappresenta l'intervallo di dati di un determinato campionamento. Un campionamento rappresenta un numero predefinito di misurazioni. L'intervallo di dati di un campionamento viene calcolato sottraendo il valore minimo dal valore massimo del campionamento. L'intervallo risultante dalla sottrazione viene tracciato dal plotter sul grafico nella stessa posizione temporale della media del campionamento. In questo modo si ottengono due punti dati per il campionamento nella stessa posizione temporale.

S XBar

XBar è un metodo di scrittura del simbolo statistico X che rappresenta la media. Il grafico a XBar rappresenta quindi la media di un processo. Generalmente, questa media viene calcolata nel tempo e il grafico viene impostato in modo tale che l'asse X rappresenti il tempo e l'asse Y il valore medio. S XBar è l'abbreviazione di "XBar ed S". ". Si tratta di un grafico a XBar che contiene informazioni supplementari. La "S" rappresenta la Deviazione Standard del campionamento. La deviazione standard di un campionamento viene determinata mediante un'equazione matematica.

Guida Z

La guida Z rappresenta il braccio verticale della macchina CMM.


Tolleranza negativa

La casella -Tol consente di inserire un valore di tolleranza insieme alla direzione negativa. In questo modo, qualsiasi distanza inferiore alla distanza nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Tolleranza positiva

Nella casella +Tol è possibile inserire un valore di tolleranza insieme alla direzione positiva. In questo modo, qualsiasi distanza superiore alla distanza nominale o teorica può essere considerata una misura valida se rientra nell'intervallo di tolleranza specificato.


Tolleranza

Il valore della tolleranza immesso nella casella Tolleranza consente di rilevare la presenza dei fori definiti nei dati CAD, determinandone le posizioni. Tale valore deriva dalla scheda Definizioni del percorso, casella Salta fori di tolleranza.

  • Se la distanza tra due punti di bordo della superficie è inferiore alla distanza di tolleranza, PC-DMIS considererà la superficie come continua ed eseguirà la scansione nel foro.

  • Se la distanza è superiore alla tolleranza, PC-DMIS assumerà la presenza di un foro tra le superfici e lo ignorerà durante il processo di apprendimento.


Automatico

La casella di controllo Auto consente di impostare PC-DMIS per la visualizzazione automatica di Numero punto, Punto, Vettore e Deviazione per ogni singolo punto, dopo aver selezionato la casella di controllo Mostra info punto.


Icona Importa CAD


Icona Importa CAD

Pö Øe HTML public "-//W3C//DTD HTML 4.0 Frameset//EN"> Icona Importa CAD

Icona Importa CAD


Nota sui Margini dell'Estensione DMIS

Queste estensioni possono includere comandi non standard o parametri aggiunti o modificati di comandi standard DMIS.


Nota sul Margine Dmis

I dati DMIS e DIMS vengono trasmessi al part-program nel formato di PC-DMIS e non in un file separato.


Elabora Entità Indipendenti

Le caselle di controllo disponibili nella sezione Elabora Entità Indipendenti della finestra di dialogo consentono di definire le entità indipendenti da importare. Per entità indipendente si intende un'entità che non è subordinata (non é una entità figlio) ad un'altra entità del modello. Pertanto, nessuna entità utilizza l'entità indipendente per definire la propria geometria. A destra delle caselle di controllo Entità Indipendente, viene visualizzato il numero di ciascun tipo di entità indipendente. Se per un tipo non sono disponibili entità indipendenti, la relativa casella di controllo non è attiva.

Per la maggior parte dei modelli, è sufficiente importare solo i solidi indipendenti. Per i file VDAFS, è necessario importare anche le shell, le facciate e le superfici, oltre ai solidi, per definire la geometria completa del modello. Solitamente, le curve indipendenti non fanno parte del modello, ma vengono inserite come guide al momento della creazione del modello.

Nota: verranno elaborate tutte le entità dipendenti indipendentemente dal tipo di entità indipendenti importate. Per entità dipendente si intende un'entità figlio di un'altra entità padre. L'entità padre utilizza l'entità figlio per definire tutta la relativa geometria o parte di essa.


Inverti ordine patch U-V per superfici spline

La casella di controllo Inverti ordine patch U-V per superfici spline corregge un problema relativo alle superfici spline, presente in alcuni file VDAFS. Se, in seguito all'importazione di un file VDAFS, le superfici non vengono visualizzate correttamente, provare a importare nuovamente il file dopo aver selezionato questa casella di controllo.


Margine XYZ - Nota

L'estensione dei file XYZIJK è .xyz. È possibile visualizzare i valori presenti in un file .xyz mediante un qualsiasi editor di testo.


Scheda Leica ADM

Finestra di dialogo Opzioni Macchina - scheda ADM

Pulsanti di Controllo (Sinistra, Alto, Destra, Basso) -

Rilasciare il pulsante del Motore.

Distanza di movimento -

Diametro di Ricerca -

Pulsante Cerca -

Pulsante Rileva Punto -


Interfaccia Leica

L'interfaccia Leica viene usata con macchine Leica . Per operare con l'interfaccia leica occorre scaricare il file zip Leica (ftp://ftp.wilcoxassoc.com/3rdParty/Leica/LeicaEmscon2.zip). Il file zip va espanso e si deve registrare la dll seguendo le istruzioni contenute nel file LeicaReadme.txt. L'interfaccia leica richiede l'uso del driver Emscon ( a partire dalla versione 2.0 ). Le versioni precedenti di macchine Leica che non richiedono il dirver Emscon devono essere aggiornate per poter utilizzare PC-DMIS.

Prima di avviare PC-DMIS occorre rinominare leica.dll come interfac.dll.

La finestra di dialogo Opzioni Macchina presenta due schede per l'interfaccia Leica:

Scheda opzioni

Si veda l'argomento "Scheda Opzioni Leica" .

Scheda Ripristina

Si veda l'argomento "Scheda Ripristina Leica" .

Scheda ADM

Si veda l'argomento "Scheda Leica ADM" .

Scheda Debug

Si veda "Come Generare un file di Debug".

Nota: Ulteriori informazioni riguardanti questa interfaccia vengono fornite nel Manuale di Installazione Interfaccia Macchina (MIIM).


Scheda Opzioni Leica

Finestra di dialogo Opzioni Macchina - scheda Opzioni

La scheda delle Opzioni fornisce il modo per eseguire Opzioni TCU differenti e per configurare la comunicazione ed altri parametri.

Opzioni TCU - Questa area consente di attivare le opzioni seguenti:

  • Riporta all'origine -

  • Inizializza -

  • Livello Gravitá -

  • Motor Off -

  • Ripristina Livello -

Indirizzo IP - Specifica l'indirizzo IP del dispositivo Laser Tracker ( va. predefinito: 192.168.0.1).

Intervallo di Aggiornamento - Frequenza di aggiornamento della lettura quote ( val. predefinito: 300 millisecondi).

Intervallo Vettoriale -

Distanza Vettoriale -

Opzione Vettore - Scegliere tra Usa Distanza Vettoriale, Usa Yltimi IJK, oppure Nessun vettore.

Tempo di Misurazione-É il tempo, espresso in millisecondi in cui emScon continua a rilevare punti. Viene restituito il valor medio dei punti rilevati. Se tale valore risulta inferiore a 500, si assume come misura il valore dell'ultimo punto rilevato.


Scheda Ripristino Leica

Finestra di dialogo Opzioni Macchina - scheda Ripristino

Pulsante Riporta all'origine -

Opzione coord. Macchina o Pezzo -

Pulsante Ripristina

pulsante Mira -

Bottone Aggiungi - Fare clic sul pulsante per aprire la finestra di dialogo Punto . Inserire il Titolo ed i valori XYZ, poi fare clic su Crea. Il nuovo punto viene aggiunto all'elenco dei Punti di Ripristino visto.

Pulsante Elimina - Selezionare un punto nell'elenco Punti di Ripristino e fare clic su Elimina. Il punto selezionato viene eliminato.

Imposta Ripristino Predefinito - Selezionare un punto nell'elenco dei Punti di Ripristino e fare clic sul pulsante Imposta Ripristino Predefinito. Il punto é ora scelto come Ripristino Predefinito.

Mira Laser al Prossimo Punto -

Opzioni ADM

Solo Interferometro -

Usa Ripristino Predefinito - Selezionare questa opzione per utilizzare il Ripristino Predefinito

Impostazione Interferometro da ADM -

Solo ADM -


Ripristino Impostazioni Predefinite dal Controllo

Per le macchine che hanno interfaccia Leitz, se le impostazioni originali della macchina sono state salvate, i valori predefiniti possono sempre essere ripristinati facendo clic sul pulsantePredefinito di una delle schede della finestra di dialogo Impostazioni parametri, nel modo seguente:

  1. Accedere di nuovo alla finestra di dialogo Opzioni Macchina. Visualizza Mappa Percorsi dei Menu

  2. Selezionare nella prima delle schede la casella di controllo Leggi valori CMM predefiniti all'avvio . Questo farà sì che PC-DMIS richieda al controllo della macchina i valori predefiniti, ogni volta che si avvia PC-DMIS.

  3. Fare clic su OK per chiudere la finestra di dialogo.

Avviato nuovamente, PC-DMIS sostituirà i valori, memorizzati nell’Editor impostazioni PC-DMIS, con quelli originali memorizzati sul controllo della macchina.

Nota:Questa procedura non puó ripristinare i valori predefiniti, se essi sono già stati sovrascritti sul controllo.


Visualizzazione etichetta

Le opzioni ON/OFF consentono di controllare la visualizzazione degli ID degli elementi nella finestra di visualizzazione grafica. Questa opzione è particolarmente utile quando un porzione del disegno del pezzo viene occupata eccessivamente; in questo caso è possibile disattivare determinati ID, consentendo una più agevole visualizzazione degli altri.

Vedere anche:

Attivazione o disattivazione della visualizzazione degli ID degli elementi


AK - Registrazione automatica

Il comando AD indica al sistema di attivare la registrazione automatica.

Formato del comando

MLString "AK p1,p2"

Esempio

  1. MLString "AK Y"

    Registra automaticamente una superficie nella struttura di riferimento del pezzo attivo.

  2. MLString "AK -Z"

    Registra automaticamente una superficie nella struttura di riferimento del pezzo attivo.

  3. MLString "AK"

    Disattiva

  4. MLString "AK 1,1,0"

    Registra automaticamente una superficie. Il tastatore deve spostarsi inizialmente nella direzione delle coordinate del pezzo (1,1,0) fino a raggiungere la superficie.

  5. MLString "AK 1,1,0,C"

    Registra automaticamente una superficie. Il tastatore deve spostarsi inizialmente nella direzione delle coordinate del pezzo (1,1,0) fino a raggiungere la superficie. Una volta raggiunta la superficie, il tastatore continuerà a spostarsi fino a raggiungere il centro del vettore specificato.

Input

  • p1 = asse del pezzo segnalato o vettore di direzione delle coordinate del pezzo (Stringa; opzionale)

  • p2 = "C" (Stringa; opzionale)

Il parametro opzionale p1 specifica un designatore dell'asse del pezzo segnalato (ad esempio, +X o -Z) oppure un vettore di direzione della coordinate del pezzo XYZ numerico. Se viene specificato un vettore numerico, deve essere diverso da zero. Può essere un vettore di unità ma non è obbligatorio. Se p1 non viene specificato, la registrazione è disabilitata.

Il parametro opzionale p2 può essere solo la lettera "C".

Nel primo esempio, Y è l'argomento p1. Indica di registrare automaticamente una superficie nell'asse Y della macchina. La superficie si trova nella direzione Y positiva dal centro del tastatore.

Nel secondo esempio, -Z è l'argomento p1. Indica di registrare automaticamente una superficie perpendicolare all'asse -Z della macchina. La superficie si trova nella direzione Z negativa dal centro del tastatore.

Nel terzo esempio, non ci sono argomenti. Indica di disabilitare la modalità automatica per la registrazione del tastatore software.

Nel quarto esempio, il vettore di direzione del pezzo (1,1,0) è l'argomento p1. Indica di registrare automaticamente lungo il vettore di direzione (1,1,0) (ad esempio, i=1, j=1 e k=0).

Risultati

Questo comando viene aggiunto alla coda di comando di DCC. Quando viene eseguito, il sistema inizia la registrazione. Se il tastatore software non è a contatto con la superficie quando questo comando viene eseguito, il tastatore viene spostato nella direzione specificata fino a raggiungere il contatto. La modalità di contatto del tastatore software viene disattivata se è attiva (vedere il comando TF) e il tastatore software viene attivato (vedere il comando BR). Il tastatore software deve essere calibrato prima di eseguire questo comando.

La velocità della macchina è limitata alla velocità della registrazione (vedere il comando KS).

Skip Action

Ignorato; non eseguito se fa parte di un blocco di salti.

Messaggi di errore

  • MLB-090 DCC non è disponibile.


AS - Scansione automatica

Il comando AS imposta i controlli per un'operazione di raccolta di dati/scansione automatica. Queste operazioni sono state modificate per SMP-400, versione 104.0 e successive.

Formato del comando

MLString "AS p1,p2,p3,p4,p5,p6"

Esempio

  1. MLString "AS Y,S55.6,I10"

    Esegue una scansione automatica, raccogliendo esempi come una funzione di posizione Y iniziando a Y uguale a 55.6 e raccogliendo un punto di dati ogni 10 unità. I punti di dati possono essere accumulati sono nell'array dei dati di scansione.

  2. MLString "AS A,C12.3,-5.75,S0,I1,USER"

    Esegue una scansione automatica, raccogliendo esempi come una funzione di angolo polare relativo al punto del piano di lavoro (12.3, -5.75), iniziando a zero gradi e raccogliendo un punto di dati ad ogni grado. I punti di dati sono raccolti nell'array dei dati di scansione e nell'array del riepilogo utente. I dati restituiti all'host con il comando RN sono in formato Raggio/Angolo/Altezza.

Input

  • p1 = Asse indipendente per la scansione (Stringa; obbligatorio)

  • p2 = Punto centrale per la scansione polare (Stringa / numerico; opzionale)

  • p3 = Valore iniziale per l'asse indipendente (Stringa; opzionale)

  • p4 = Intervallo tra destinazioni successive (Stringa o numerico; opzionale)

  • p5 = 'UTENTE' o 'INTERNO' per selezionare l'array di riepilogo (Stringa; opzionale)

  • p6 = Numero di punti da raccogliere (Stringa o numerico; opzionale)

Il parametro obbligatorio p1 specifica l'asse indipendente per la scansione. Questo parametro può essere solo A, P, S, X, Y o Z. A specifica una scansione polare con i dati restituiti nel formato R, A, H (raggio, angolo, altezza). P specifica una scansione polare con i dati restituiti nel formato X, Y e Z normale. S indica che le destinazioni devono essere posizionate lungo la superficie con la posizione del tastatore iniziale indicata come 0.0. X, Y e Z indicano un'asse del pezzo da utilizzare come asse indipendente.

Il parametro opzionale p2 è la lettera 'C' seguita da due valori di coordinata. Questo parametro ha un valore solo per le scansioni polari e definisce il centro nominale del piano di lavoro per la superficie sottoposta a scansione. I valori specificati nell'ordine corrispondono a X e Y per il piano XY; Y e Z per il piano YZ e Z e X per il piano ZX. Per le scansioni polari quando p2 non è specificato, il punto centrale viene considerato (0, 0).

Il parametro opzionale p3 è la lettera 'S' seguita dall'asse indipendente all'inizio della coordinata. Se p4 (sotto) è specificato senza p3, i dati vengono raccolti a partire dalla posizione del tastatore corrente. p3 non può essere specificato senza p4.

Il parametro opzionale p4 è la lettera 'I' seguita dallo spostamento incrementale tra destinazioni. Se p3 e p4 vengono omessi, le destinazioni della scansione sono considerate assolute e non incrementali e vengono comunicate in anticipo con il comando SB.

Il parametro di stringa opzionale p5 può essere "UTENTE" o "INTERNO". Se viene specificato p5, i dati della scansione vengono raccolti nell'array di riepilogo, nonché nel buffer dei dati di scansione.

Il parametro opzionale p6 è la lettera 'N' seguita dal numero di punti da raccogliere. Se non è specificato, la raccolta di dati continua fin quando viene eseguito il comando RN.

Risultati

Il comando AS attiva una modalità di raccolta dei dati in SMP. Prima che questo comando venga eseguito, deve essere abilitata la registrazione (vedere AK) e il tastatore deve essere posizionato davanti alla prima destinazione se si sta eseguendo una scansione del loop chiuso oppure il tastatore deve essere posizionato sulla deflessione nominale se si sta eseguendo una scansione di loop aperto. Dopo l'esecuzione di questo comando, vengono eseguiti gli appropriati comandi di spostamento per spostare il tastatore nell'area di destinazione. Infine, viene eseguito il comando RN per chiudere la raccolta dei dati e/o restituire i dati di scansione raccolti all'host.

Skip Action

Ignorato; non eseguito se fa parte di un blocco di salti.

Messaggi di errore

  • MLB-080 Il tastatore software non è abilitato oppure la registrazione non è attivata.

  • MLB-090 DCC non è disponibile.

  • MLB-164 Deflessione del tastatore analogico non sufficiente.


BB - Inizio blocco

Il comando BB segnala l'inizio del blocco di codice utilizzato con Skip Action.

Formato del comando MLB | Formato della routine Sheffield
MLString "BB p1" | BeginBlock "p1"

Esempio del comando MLB | Esempio della routine Sheffield
Esempio N. 1
MLString "BB FRONTFACE" | BeginBlock "FRONTFACE"

Input

  • p1 = Massimo 10 caratteri (Stringa; obbligatorio)

p1 fornisce un nome di identificazione per il blocco del programma. Il nome può contenere al massimo 10 caratteri alfanumerici.

Risultati

La funzione imposta i flag interni che indicano l'inizio di un blocco.

Skip Action

Si è verificato un errore se questo comando viene eseguito in un blocco di un codice da saltare.

Messaggi di errore

  • MLB-014 Esiste un blocco di codice nidificato.


BeginBlock

La routine BeginBlock segnala l'inizio del blocco di codice utilizzato con Skip Action.

Per ulteriori informazioni sulla routine BeginBlock, vedere il comando MLB BB.


BF - Spegnimento del tastatore software

Il comando BF disabilita il tastatore software. Se si utilizza il tastatore analogico a tre assi (ad esempio Renishaw SP-600), viene attivato il tastatore a contatto.

Formato del comando

MLString "BF"

Esempio

  1. MLString "BF"

Input

Nessuna.

Risultati

Il sistema disabilita il tastatore software e si arresta, includendo le deflessioni del tastatore software come parte dei dati delle coordinate della posizione della punta.

Skip Action

Ignorato.

Messaggi di errore

Nessuna.


BR - Spegnimento del tastatore software

Il comando BR abilita il tastatore software. Il tastatore a contatto è disabilitato quando viene eseguito questo comando.

Formato del comando

MLString "BR"

Esempio

  1. MLString "BR"

Input

Nessuna.

Risultati

Il sistema abilita il tastatore software e si avvia, includendo le deflessioni del tastatore software come parte dei dati delle coordinate della posizione della punta.

Skip Action

Viene eseguito anche quando fa parte di un blocco di salti.

Messaggi di errore

  • MLB-080 Il tastatore software non è stato calibrato.


DCC-1 32 millisecondi dopo l'ultimo aggiornamento di A/D

I convertitori A/D (analogico/digitale) sulla scheda DCC non sono stati aggiornati negli ultimi 32 millisecondi. Fare riferimento a Codici di errore DCC per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Reimpostare la scheda DCC.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


DCC-2 32 millisecondi dopo l'ultimo aggiornamento di MP

DCC non è stata aggiornata per almeno 32 millisecondi. Fare riferimento a Codici di errore DCC per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Reimpostare la scheda DCC.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


DCC-3 Interrupt da DCC a MP non riconosciuto per 32 millisecondi

DCC ha inviato un interrupt a MP. MP non ha riconosciuto l'interrupt negli ultimi 32 millisecondi. Fare riferimento a Codici di errore DCC per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Reimpostare la scheda DCC.

  3. Reimpostare la scheda CPU di MP.

  4. Riaccendere MP.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


EB - Fine blocco

Il comando EB segnala la fine di un blocco di codice iniziato con il comando BB.

Formato del comando MLB | Formato della routine Sheffield
MLString "EB" | EndBlock

Esempio del comando MLB | Esempio della routine Sheffield
Esempio N. 1
MLString "EB" | EndBlock

Input

Nessuna.

Risultati

Il comando segnala la fine del blocco di codice iniziato con il comando BB precedente.

Skip Action

Viene eseguito anche quando fa parte di un blocco di salti.

Messaggi di errore

  • MLB-015 Non esiste alcun inizio di blocco corrispondente.


EndBlock

La routine EndBlock segnala la fine di un blocco di codice iniziato con il comando BB.

Per ulteriori informazioni sulla routine EndBlock, vedere il comando MLB EB.


IL - Inizializzazione libreria

Il comando IL inizializza la Measurement Library. I flag e le variabili invertono lo stato predefinito all'inizializzazione del sistema. Questa funzione non elimina gli errori del sistema causati da un errore dell'hardware. Per tali errori, è necessario eseguire azioni correttive separate.

Formato del comando

MLString "IL"

Esempi

  1. MLString "IL"

Input

Nessuna.

Risultati

Il sistema:

  • Elimina tutti gli elementi misurati,

  • Reimposta il rapporto in scala della macchina e del pezzo su 1:1,

  • Annulla le conversioni e le rotazioni dell'asse,

  • Imposta il numero dell'elemento e il numero di sequenza su zero,

  • Ripristina i valori predefiniti per le unità di misurazione e il piano di lavoro, e

  • Annulla tutte le altre variabili o ne imposta i valori predefiniti.

Questa funzione non ha alcun effetto nei seguenti casi:

  • Punta o diametro di tastatore selezionato,

  • Calibrazione di punte di tastatore,

  • Calibrazione della tavola rotante, oppure

  • Cornici di riferimento salvate da 1 a 48. Vengono eliminate altre cornici di riferimento

Skip Action

Questa funzione non può verificarsi in una sezione del codice da saltare. Errore.

Messaggi di errore

Nessuna.


IO - IOStat

Il comando IO consente di testare uno dei bit di input (solo lettura o solo scrittura) oppure di cambiare lo stato di uno dei bit di output (solo scrittura o solo lettura).

Formato del comando

MLString "IO p1,p2"

Esempi

  1. MLString "IO 3,1"

  2. MLString "IO 2"

Input

  • p1 = Da 0 a 67 (Numerico; obbligatorio)

  • p2 = 0 o 1 (Numerico; opzionale)

p1 è un numero che corrisponde al bit di input o output il cui stato deve essere visualizzato o modificato. p1 deve essere una cifra compresa tra 0 e 67. Alcuni bit sono di sola lettura, altri di sola scrittura, e altri sia per lettura che per scrittura. Contattare il servizio clienti di Giddings & Lewis per dettagli.

Se p2 viene specificato, p1 identifica un bit di output (solo scrittura o solo lettura). p2 non può essere specificato con un bit di sola lettura. p2 indica lo stato nel quale il bit di output identificato da p1 deve essere modificato. p2 deve essere zero (0) o uno (1).

I bit di output sono come interruttori che possono essere aperti o chiusi. Per la scheda di controllo, quando p2 è zero (0), l'interruttore è chiuso e quando p2 è uno (1), l'interruttore è aperto. Nella scheda di input/output digitale ausiliare e nella scheda di compensazione della temperatura, l'interruttore è aperto quando p2 è zero (0) ed è chiuso quando p2 è uno (1). Nel primo esempio, lo stato del bit solo scrittura numero 3 deve essere modificato in uno.

Se p2 non è specificato, p1 identifica un bit di input (solo lettura, solo scrittura). Il programmatore può visualizzare solo lo stato di un bit identificato come bit di input. Lo stato di un bit di input non può essere modificato. Nel secondo esempio, il bit il cui stato è da visualizzare è il bit numero 2 di sola lettura nella scheda di controllo.

Risultati

Se p2 non è specificato, lo stato corrente del bit di input identificato da p1 è memorizzato nella variabile S7. La variabile S7 deve essere immediatamente controllata dopo l'esecuzione di questa funzione per verificare lo stato del bit di input. Se S7 è zero (0), non è presente un flusso corrente nel bit di input. Se S7 è uno (1), è presente un flusso corrente nel bit. Questa norma è valida per la scheda di controllo e per le schede di input e output digitale ausiliarie. Per la scheda di compensazione per la temperatura, se S7 è zero, il bit di input è un circuito aperto (+V). Se S7 è uno, il bit di input è sovratensione. Per i bit di input lettura-scrittura, S7 contiene l'ultimo valore scritto nel bit di output.

Se p2 viene specificato nel comando IO, il valore di S7 non ha alcuna funzione. È possibile che non tutti i bit di input e/o di output siano disponibili per l'utente. La disponibilità dei bit dipende dalla configurazione di MP di cui si dispone.

Skip Action

Viene eseguito anche quando fa parte di un blocco di salti.

Messaggi di errore

  • MLB-005 Errore di comunicazione.

  • MLB-006 Errore di conversione logica della maschera di output.

  • MLB-007 Output non disponibile.

  • MLB-021 Primo parametro non valido.

  • MLB-022 Secondo parametro non valido.


KD - Impostazione deflessione tastatore software nominale

Il comando KD imposta la deflessione del tastatore software nominale da utilizzare.

Formato del comando

MLString "KD p1"

Esempi

  1. MLString "KD 0,05" -

    Impostare la deflessione del tastatore software nominale su 0,05 unità.

Input

  • p1 = Deflessione tastatore software nominale (Numerico; opzionale)

Il parametro numerico opzionale p1 specifica la deflessione del tastatore software nominale nell'unità corrente. Questo valore deve essere positivo.

Se p1 non è specificato, viene restituita l'impostazione corrente per la deflessione del tastatore software nominale. Il valore predefinito dopo l'inizializzazione (IL) è 0,05".

Risultati

Se è specificato un valore, la deflessione del tastatore software nominale è impostata su questo valore tranne nei casi sopra indicati. Se non è specificato un valore, il valore corrente viene restituito alla variabile S7.

Skip Action

Eseguito normalmente.

Messaggi di errore

  • MLB-090 DCC non è disponibile.


KS - Impostazione della velocità di registrazione

KS - Impostazione della velocità di registrazione/scansione

Il comando KS imposta la velocità del tastatore da utilizzare durante gli spostamenti DCC durante la registrazione o la scansione.

Formato del comando

MLString "KS p1,p2"

Esempi

  1. MLString "KS 0,5"

    Impostare la velocità dello spostamento di registrazione/scansione su 0,5 unità al secondo.

Input

  • p1 = Velocità dello spostamento registrazione/scansione (Numerico; opzionale)

  • p2 = Velocità dello spostamento registrazione/scansione (Numerico; opzionale)

I parametri numerici opzionali p1 e p2 specificano la velocità dello spostamento di registrazione/scansione nelle unità correnti al secondo. Questo valore deve essere positivo. Se il valore specificato supera il valore minimo consentito dalla macchina, anziché il valore specificato sarà utilizzato il valore minimo della macchina.

Se è specificato solo p1, il valore di p1 viene utilizzato sia per la scansione dei loop aperti che dei loop chiusi. Se sono specificati p1 e p2, p1 viene utilizzato per la scansione dei loop aperti e p2 per la scansione dei loop chiusi.

Se non è specificato nessuno dei due parametri, vengono restituite le impostazioni correnti per la velocità dello spostamento di registrazione/scansione. I valori predefiniti dopo l'inizializzazione (IL) sono 0,1" (o 2,54 mm) al secondo.

Risultati

Se è specificato un valore, la velocità dello spostamento di registrazione/scansione è impostata su questo valore tranne nei casi sopra indicati. Se non è specificato un valore, viene restituito il valore del loop aperto corrente alla variabile S7 e il valore del loop chiuso viene restituito alla variabile S8. Il sistema utilizza questo valore come la velocità massima quando una scheda DCC o il joystick vengono utilizzati durante la registrazione di una superficie con un tastatore software oppure durante una scansione con un tastatore software.

Skip Action

Eseguito normalmente.

Messaggi di errore

  • MLB-090 DCC non è disponibile.


MLB-001 Errore di sintassi interno in MP

Si è verificato un errore di sistema interno in MP.

Effetto

Il comando viene interrotto. Non è possibile eseguire altre operazioni con il part-program.

C osa fare

  1. Reimpostare il sistema.

  2. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-003 Errore delle comunicazioni

Questo errore è di solito causato da una risorsa di sistema richiesta non presente o non funzionante. Si tratta di un errore di sistema interno di MP.

Effetto

Il comando viene interrotto. Non è possibile eseguire altre operazioni di sistema.

C osa fare

  1. Reimpostare il sistema.

  2. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-004 Errore numerico

Esiste una condizione che impedisce di ottenere un risultato valido da un'operazione aritmetica, ad esempio un tentativo di divisione per zero. Si tratta di un errore di sistema interno di MP.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Assicurarsi che i punti misurati definiscono un elemento del tipo da ispezionare o che l'operazione di creazione dell'elemento tentata sia utile.

  2. Se non è possibile individuare l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-005 Errore delle comunicazioni

Nel comando IO si sono verificati errori di comunicazione con MP. Si tratta di un errore di sistema interno di MP.

Effetto

Non è possibile leggere o scrivere correttamente i bit di I/O.

C osa fare

  1. Reimpostare il sistema.

  2. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-006 Errore di conversione della logica della maschera di output

Nel comando IO si è verificato un errore durante la conversione della logica della maschera dell'output. Si tratta di un errore di sistema interno di MP.

Effetto

Comando non eseguito.

Cosa fare

  1. Correggere il formato logico della maschera di output ed eseguire nuovamente il programma.

  2. Reimpostare il sistema.

  3. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-007 Output non disponibile

Il comando IO ha determinato un output non disponibile utilizzando la logica della maschera di output. Si tratta di un errore di sistema interno di MP.

Effetto

Il comando non viene eseguito.

Cosa fare

  1. Cambiare il numero della porta dell'output ed eseguire nuovamente il programma.

  2. Reimpostare il sistema.

  3. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-010 FCS non identificata

La FCS (Function Command String, Stringa di comando funzione) non corrispondeva a nessun comando MLB definito.

Effetto

Comando non eseguito.

Cosa fare

  1. Correggere il part-program in modo che utilizzi l'identificativo FCS corretto.


MLB-011 Il primo record nel file di salti non è valido

La prima riga del file di salti deve essere "Type=SKIP" o "Type=EXEC".

Effetto

Il file di salti viene ignorato e, se si sceglie di continuare, il part-program viene normalmente eseguito.

C osa fare

  1. Correggere il contenuto del file di salti.


MLB-012 Record non valido in un file di salti

Una riga nel file di salti non corrispondeva a un commento o ad un nome del blocco di codice correttamente formattato.

Effetto

La riga non valida viene ignorata.

C osa fare

  1. Correggere il contenuto del file di salti.


MLB-013 Errore di accesso al file dei salti

Si è verificato un errore durante la lettura del file dei salti.

Effetto

Il file dei salti viene ignorato.

C osa fare

  1. Controllare il file dei salti e il relativo supporto.


MLB-014 Blocchi di codice nidificati

Il part-program contiene blocchi di codice nidificati segnalati. L'inizio (BB) di un secondo blocco di codice si trova prima della fine (EB) del blocco di codice precedente

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-015 Inizio blocco mancante

Un comando di fine blocco (EB) è stato rilevato senza un comando di inizio blocco corrispondente (BB).

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-016 Sequenza salti nidificati

Il part-program contiene una sequenza di salti nidificati. È stato rilevato un secondo comando di inizio di salti senza un'istruzione di fine salti.

Effetto

Comando non eseguito.

Cosa fare

  1. Correggere il part-program.


MLB-017 Funzione di fine del blocco salti non valida

È stato rilevato un comando di fine sequenza salti senza un corrispondente comando di inizio sequenza salti.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-018 Modalità di tolleranza inappropriata

La funzione di matrice circolare o rettangolare del bullone non può essere chiamata quando la modalità di tolleranza è al limite.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-019 Parametro inappropriato

Sono stati specificati troppi parametri o dei parametri insufficienti, oppure è stato specificato un parametro non valido.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-020 Nessun parametro consentito

Il comando specificato non consente di utilizzare parametri ma è stato specificato un parametro.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-024 Primo parametro non valido

Il primo parametro specificato non era valido per questa funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-024 Secondo parametro non valido

Il secondo parametro specificato non era valido per questa funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-024 Terzo parametro non valido

Il terzo parametro specificato non era valido per questa funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-024 Quarto parametro non valido

Il quarto parametro specificato non era valido per questa funzione.

Effetto

Comando non eseguito.

Cosa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-025 Parametro specificato non valido

Uno dei parametri specificati non era valido per questa funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-026 Punta specificata non valida

La punta specificata non è stata calibrata oppure il numero della punta non è compreso nell'intervallo.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Controllare la punta specificata e correggere il nome, calibrare la punta o selezionare il file di punta di tastatore corretto.


MLB-027 Deviazione angolare eccessiva

È stato tentato di calcolare il parallelismo tra due elementi quasi perpendicolari oppure di calcolare la perpendicolarità tra due elementi quasi paralleli.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program per specificare gli elementi corretti o il comando corretto.


MLB-028 Numero di parametri insufficiente

Non è stato specificato un parametro obbligatorio per questa funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-029 Valori dell'array dimensionale fuori intervallo

I dati nell'array dimensionale sono troppi o insufficienti per essere utilizzati come specificato per questa funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere i dati dell'array dimensionale.


MLB-030 Il blocco di elementi non contiene gli elementi richiesti

Si è verificata una delle condizioni seguenti:

  1. Il registro elementi è vuoto;

  2. La posizione dell'elemento specificata o richiesta è vuota;

  3. Il blocco di elementi non contiene due funzioni;

  4. Il blocco di elementi non contiene le funzioni richieste;

  5. Il blocco di funzioni non contiene il numero richiesto di punti per definire l'elemento.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program per ottenere i dati appropriati nel blocco di elementi.


MLB-031 Primo parametro che specifica un tipo non valido

L'elemento specificato dal primo parametro della funzione non è del tipo corretto per la funzione. Questo errore può verificarsi se non è specificato alcun parametro e la funzione utilizza per impostazione predefinita i dati nel registro della funzione e il tipo di quella funzione non è corretto.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-032 Secondo parametro che specifica un tipo non valido

L'elemento specificato dal secondo parametro della funzione non è del tipo corretto per la funzione. Questo errore può verificarsi se non è specificato alcun parametro e la funzione utilizza per impostazione predefinita i dati nella posizione della prima funzione (F1) e il tipo di quella funzione non è corretto.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-033 Tipo di piano non valido

L'elemento specificato è un piano e un elemento di tipo piano non è valido per la funzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-034 Intersecazione impossibile con cerchi concentrici

I cerchi specificati per il calcolo di un punto di intersezione erano concentrici e non potevano intersecarsi.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-035 Linea perpendicolare al piano di lavoro

L'operazione della funzione richiedeva che la linea specificata fosse proiettata nel piano di lavoro attivo ma la linea era perpendicolare a quel piano e non poteva essere proiettata.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-036 Elemento non valido (null) indicato

L'elemento specificato è di tipo 'null', vale a dire che è il risultato di un'operazione ignorata ma questa funzione non può essere eseguita con un elemento 'null'.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-037 Tipo di elemento non valido

Il tipo di elemento selezionato per questa funzione non è valido.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-038 Impossibile creare intersezione di una linea parallela con l'asse del cilindro

L'esecuzione del comando richiedeva il calcolo di una linea con una superficie cilindrica ma la linea specificata è parallela all'asse del cilindro e non può intersecarsi con la superficie del cilindro.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-040 Array di riepilogo che non contiene sufficienti elementi

I punti richiesti per questo comando non sono presenti nell'array di riepilogo.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-041 I punti non definiscono l'elemento

Si è verificata una delle condizioni seguenti:

  1. I punti non definiscono l'elemento (cerchio, linea nel piano di lavoro, linea nello spazio o piano).

  2. Gli elementi non definiscono un angolo di offset.

  3. La linea è perpendicolare al piano di misurazione oppure i punti sono uguali quando proiettati nel piano di misurazione. L'angolo di offset non è stato modificato.

  4. Gli elementi sono paralleli.

  5. Gli elementi sono perpendicolari.

  6. Gli elementi sono identici.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-042 Riepiloghi non validi

L'array di riepilogo specificato non è valido a causa di un'operazione precedente.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-043 Segmentazione in corso

Il comando non può essere eseguito durante una misurazione segmentata.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-044 Segmentazione non inizializzata

È stato eseguito il tentativo di eseguire un comando di segmento successivo ma non è stata correttamente inizializzata alcuna sequenza di misurazione segmentata.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-045 Il comando non può essere ignorato

Un comando MLB che non può essere ignorato era stato incluso in un blocco di codice ignorato.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-050 RCU non disponibile

Il comando richiede che un RCU sia presente quando non è disponibile alcun RCU.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-060 Tavola rotante non disponibile

Il comando richiede una tavola rotante ma non è disponibile.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-061 Contatore tavola rotante non disponibile

Il comando richiede una tavola rotante con un contatore.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-062 Non consentito su tavola rotante con contatore

Il comando non è valido se il sistema contiene una tavola rotante con un contatore.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-063 Non consentito su tavola rotanta errore corretto

Il comando non è valido se il sistema contiene una tavola rotante di errore corretti.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-064 - Non consentito in una tavola di associazione Hirth

Il comando non è supportato per una tavola di associazione Hirth.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-070 Riferimento non salvato

Il comando ha tentato di richiamare un riferimento non salvato.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-071 Overflow di memorizzazione dell'elemento

Il sistema non dispone di spazio di memorizzazione sufficiente per salvare un altro elemento.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare le specifiche del sistema e correggere il part-program. È possibile sia necessario eliminare degli elementi salvati in precedenza.


MLB-072 Elemento non trovato

Il comando ha tentato di richiamare o eliminare un elemento non salvato.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.


MLB-080 Tastatore installato non appropriato

La funzione non è compatibile con il tipo di tastatore installato; ad esempio, una funzione continua non è valida quando è installato un tastatore a contatto. Questo errore può verificarsi anche su un sistema con un cambio di tastatore se il sistema è stato fornito con un tastatore montato oppure se il tastatore viene manualmente montato quando il sistema non rileva tastatori installati.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.

  2. Regolare l'attrezzatura installata in modo da correggere il problema.


MLB-088 Pulsante Unità RCU utilizzato con QU

Il comando QU era stato terminato dalla chiave Unità in RCU-II.


MLB-089 Pulsante Ritorno allo schermo RCU utilizzato con QU

Il comando QU era stato terminato dalla chiave Ritorno allo schermo in RCU-II.


MLB-090 DCC non disponibile

Il comando richiede la funzionalità DCC ma le operazioni DCC non sono correntemente disponibili nel sistema.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.

  2. Regolare l'attrezzatura installata in modo da correggere il problema.

  3. Correggere eventuali problemi che impediscono di eseguire operazioni DCC.


MLB-091 Contatto non stabilito con il pezzo

Durante un tentativo di contatto DCC, il tastatore si è spostato oltre la destinazione e il contatto con il pezzo non è stato stabilito.

Effetto

I dati del punto non sono stati registrati. Può non essere possibile continuare ad eseguire il part-program.

C osa fare

  1. Individuare la causa del problema. Correggere il programma oppure correggere la posizione del pezzo.


MLB-092 Distanza insufficiente

Il diametro del tastatore e la distanza specificata non consentono al tastatore di entrare in un foro.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Individuare la causa del problema. Correggere le dimensioni del foro specificato, ridurre la distanza consentita oppure utilizzare un tastatore più piccolo.


MLB-093 Modalità automatica remota non configurata

Il comando per selezionare la modalità automatica è stato eseguito su un sistema non correttamente configurato per supportare questa operazione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Individuare la causa del problema. Correggere il programma oppure correggere la configurazione del sistema.

  2. Se l'errore si verifica nuovamente e dovrebbe supportare questa operazione, contattare il servizio clienti di Giddings & Lewis.


MLB-094 Dispositivo di blocco automatico remoto non innestato

Il comando per selezionare la modalità automatica è stato eseguito ma il dispositivo di blocco hardware automatico remoto non è innestato.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Individuare la causa del problema. Correggere il programma oppure innescare il dispositivo di blocco automatico remoto. Selezionare manualmente la modalità automatica per continuare l'esecuzione del part-program.

  2. Se l'errore si verifica nuovamente e dovrebbe supportare questa operazione, contattare il servizio clienti di Giddings & Lewis.


MLB-095 Impossibile accendere il servomotore

Il comando per selezionare la modalità automatica è stato eseguito ma il sistema non era in grado di accendere il servomotore.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Individuare la causa del problema. Correggere il programma oppure eliminare il problema hardware che impedisce l'attivazione del servomotore. Accendere manualmente il servomotore e selezionare la modalità automatica per continuare ad eseguire il part-program.

  2. Se l'errore si verifica nuovamente e dovrebbe supportare questa operazione, contattare il servizio clienti di Giddings & Lewis.


MLB-096 Impossibile selezionare la modalità automatica

Il comando per selezionare la modalità automatica è stato eseguito ma il sistema non era in grado di selezionare la modalità automatica.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Individuare la causa del problema. Correggere il programma oppure eliminare il problema hardware che impedisce l'attivazione della modalità automatica. Selezionare manualmente la modalità automatica per continuare l'esecuzione del part-program.

  2. Se l'errore si verifica nuovamente e dovrebbe supportare questa operazione, contattare il servizio clienti di Giddings & Lewis.


MLB-100 Errore del datum della testata del tastatore

Il tastatore a due assi PH9 o PH10 non è stato alloggiato correttamente dopo il movimento e non è bloccato.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Alloggiare nuovamente la testata del tastatore a 2 assi e continuare.


MLB-101 Errore di ostruzione della testata del tastatore

La testata del tastatore PH9 o PH10 non ha completato lo spostamento nella posizione a causa di un'ostruzione.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Alloggiare nuovamente la testata del tastatore a 2 assi e continuare.


MLB-110 Punta 0 non calibrata

È stato tentato di calibrare una punta diversa dalla punta master (punta N. 0) quando la posizione dell'attrezzaggio di calibrazione relativo alla punta 0 era sconosciuta. La punta 0 deve essere calibrata prima di qualsiasi altra punta. Questo errore si verifica se è stata avviata e poi interrotta un'operazione di calibrazione della punta 0.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Calibrare la punta 0.


MLB-111 È richiesto l'attrezzaggio di calibrazione sferica

È stata tentata una calibrazione automatica dopo l'esecuzione di un comando MLB che specificava che l'attrezzaggio di calibrazione era un cono e non una sfera.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-112 Cambio di temperatura ha invalidato la calibrazione della punta 0

In un sistema con sensori di temperatura automatica, la temperatura è cambiata dopo la calibrazione della punta 0 e non è possibile calibrare accuratamente altre punte.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Ricalibrare la punta 0 prima di calibrare altre punte.


MLB-113 Il diametro del tastatore negativo ha invalidato la calibrazione

Un'operazione di calibrazione del tastatore ha determinato il calcolo di un diametro del tastatore negativo. Questo problema si verifica di solito quando si specifica una dimensione errata per la sfera di calibrazione oppure se le unità di misurazione attive quando si specifica la dimensione della sfera di calibrazione sono errate.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il problema e ricalibrare il tastatore.


MLB-114 L'offset eccessivo del tastatore ha invalidato la calibrazione

Un'operazione di calibrazione del tastatore ha determinato il calcolo dell'offset del tastatore non valido. Questo errore si verifica di solito se si specifica che la sfera di calibrazione si trova nella posizione MEA quando si trova invece in una posizione diversa oppure se si sposta la sfera di calibrazione dopo la calibrazione della punta 0 senza eseguire la funzione di individuazione della posizione della sfera.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il problema e ricalibrare il tastatore.


MLB-115 Errore file nell'operazione di memorizzazione dell'elemento o del tastatore

I dati dell'elemento o del tastatore non possono essere memorizzati nell'archivio di dati del disco host. Il disco può essere protetto dalla scrittura o pieno.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il problema ed eseguire di nuovo il programma.


MLB-116 Non sul cerchio all'inizio di uno spostamento circolare

La CMM non è posizionata entro la tolleranza dello spostamento del cerchio indicato all'inizio di un comando di spostamento circolare.

Effetto

Il comando non viene eseguito. SMP è in modalità manuale.

C osa fare

  1. Verificare i comandi di spostamento immediatamente prima dello spostamento circolare.


MLB-120 Pezzo non correttamente allineato o scalato

Il pezzo non è allineato con la macchina oppure è scalato in modo diverso per la scansione rettangolare, oppure il pezzo non è livellato o scalato diversamente per la scansione polare.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il programma per allineare e/o scalare correttamente il pezzo.


MLB-130 Interruzione dell'operatore

L'operazione è stata interrotta a causa di una selezione dell'operatore.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Leggere il messaggio di errore e scegliere se continuare oppure interrompere il part-program.


MLB-131 Il livello elettronico non è disponibile

È stato eseguito un comando per la lettura del livello elettronico e il livello elettronico non è disponibile.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare che il livello elettronico sia disponibile in questo sistema e che sia funzionante.


MLB-132 Timeout dell'interfaccia del livello elettronico

È stato eseguito un comando per la lettura del livello elettronico e si è verificato il timeout del livello elettronico.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare che il livello elettronico funzioni.


MLB-140 Punto non disponibile

Il punto di dati specificato non si trova nell'array di riepilogo. Il programma non ha memorizzato il punto.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Correggere il part-program.


MLB-150 Rack APC non collegato

Il cavo che deve collegare il rack del cambio del tastatore automatico ad ACU non è collegato al rack e/o all'ACU.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Se si dispone di un rack APC automatico, collegarlo.

  2. In caso contrario, utilizzare un comando MLB alternativo che non richiede un rack APC.


MLB-151 Firmware APC o interfaccia non presenti

È stata richiesta una funzione del rack del cambio tastatore automatico ma l'APC o il firmware di supporto non sono disponibili.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Utilizzare una funzione alternativa che non richieda l'APC.


MLB-152 Rack APC non calibrato

Si sta tentando di eseguire un part-program utilizzando un rack cambio tastatore automatico (Automatic Probe Changer, APC) non calibrato.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Calibrare il rack del cambio tastatore automatico.


MLB-153 Errore di comunicazione APC/MP

Le comunicazioni tra rack del cambio tastatore automatico e MP sono interrotte.

Effetto

MP non è in grado di comunicare con il rack del cambio tastatore automatico.

C osa fare

  1. Reimpostare MP e il rack del cambio tastatore automatico.

  2. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-154 Timeout o errore di blocco del rack APC

Il tempo assegnato a una transazione di tastatore è stato superato oppure il blocco di un adattatore non è stato eseguito correttamente.

Effetto

Il comando viene interrotto.

C osa fare

  1. Reimpostare il rack del cambio tastatore automatico.


MLB-155 Distanza eccessiva del rack APC

Movimento eccessivo dell'assieme rack del cambio tastatore automatico.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Ricalibrare il rack del cambio tastatore automatico.


MLB-156 Posizione di sicurezza di non definita

Non è stata definita una posizione di rotazione di sicurezza di PH9A.

Effetto

Non è possibile utilizzare il rack del cambio del tastatore automatico.

C osa fare

  1. Definire una posizione di rotazione di sicurezza di PH9A.


MLB-157 Nessuna estensione caricata

Se si sta tentando di assemblare un tastatore con più stazioni, non sono presenti estensioni nel rack del cambio del tastatore automatico.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Caricare e calibrare le estensioni necessarie.


MLB-158 Troppe estensioni caricate

Si è tentato di caricare più di tre estensioni nel tastatore.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Assicurarsi che l'ultima stazione del cambio tastatore automatico specificata in una configurazione di tastatore contiene uno stilo.


MLB-160 Entità firmware non trovata

Scheda ROM o CPU in MP non corretta.

Effetto

Il sistema non è operativo.

C osa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MLB-161 Impossibile abbassare il rack APC

Non è stato possibile abbassare il rack APC.

Effetto

È stato eseguito un comando che richiedeva che il rack APC fosse abbassato e non era possibile abbassato.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.

  2. Correggere il problema con capacità di abbassamento/sollevamento rack APC.

  3. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-162 Impossibile sollevare il rack APC

È stato eseguito un comando che richiedeva che il rack APC fosse sollevato e non era possibile sollevarlo.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare la definizione del comando e correggere il part-program.

  2. Correggere il problema con capacità di abbassamento/sollevamento rack APC.

  3. Se si verifica l'errore, contattare il servizio clienti di Giddings & Lewis.


MLB-164 Deflessione insufficiente del tastatore analogico

La deflessione del tastatore analogico è meno della metà della deflessione nominale all'inizio di un comando AS.

Effetto

Il comando non viene eseguito.

C osa fare

  1. Verificare immediatamente i comandi di spostamento prima del comando AS. La deflessione del tastatore analogico nominale può essere letta con il comando KD.


MLB-166 Non un cerchio

Causa

La CMM non è posizionata entro la tolleranza dello spostamento del cerchio indicato all'inizio di un comando di spostamento circolare.

Effetto

Il comando non viene eseguito, in SMP viene attivata la modalità manuale.

Azione dell'utente

Verificare il comando di spostamento immediatamente prima del comando di spostamento circolare.

Azione manager

Nessuna.


MLB-168 Contatto imprevisto

Il tastatore di contatto era stato deflesso mentre era attiva la modalità automatica anziché durante un comando di contatto o di ricerca. Di solito questa condizione si verifica durante uno spostamento DCC previsto in un percorso deselezionato.

Effetto

Viene attivata la modalità manuale nella macchina.

C osa fare

  1. Rimuovere l'ostacolo e riattivare la modalità automatica oppure riprogrammare le istruzioni di movimento della macchina.


MLB-169 Fine del percorso imprevista

Lo spostamento della macchina è impedito da un'ostruzione fisica. Di solito, questo problema si verifica quando si tenta di oltrepassare i limiti fisici di uno o più assi.

Effetto

Viene attivata la modalità manuale nella macchina.

C osa fare

  1. Individuare la causa del problema. Rimuovere l'ostruzione fisica oppure correggere il part-program.


MLB-170 Il tastatore di contatto non sarà riattivato

In modalità automatica, il tastatore di contatto è stato deflesso e non è stato riattivato dopo l'allontanamento dalla superficie. La causa di questo errore può essere un'ostruzione o un problema interno.

Effetto

Viene attivata la modalità manuale nella macchina.

C osa fare

  1. Liberare il tastatore se è ostruito oppure regolare la tensione del tastatore.

  2. Riattivare la modalità automatica nel sistema dopo la riattivazione del tastatore per consentire la continuazione del programma.


MLB-173 Overload tastatore PH9

Su uno degli assi del tastatore PH9 o PH10 la forza era tale da determinare la perdita della posizione programmata del tastatore.

Effetto

Viene attivata la modalità manuale nella macchina.

C osa fare

  1. Reimpostare PH9 tramite RCU, se possibile. Una volta rialloggiata la testata del tastatore, riattivare la modalità automatica nel sistema per consentire la continuazione del part-program.


MLB-190 Deflessione eccessiva del tastatore

Il tastatore analogico è stato deflesso eccessivamente durante un comando di spostamento di scansione.

Effetto

SMP viene posto in modalità manuale quando:

  • TrapScanDeflectStatus = False (impostazione predefinita del sistema). Il comando è temporaneamente interrotto fino all'attivazione della modalità automatica in SMP.

  • TrapScanDeflectStatus = True. Il comando non viene eseguito. La variabile ScanDeflectStatus è pari a 2.

Cosa fare

  1. Controllare la superficie del pezzo.

  2. Controllare il valore della deflessione del tastatore software corrente.

  3. Avviare la routine di ripristino dell'errore di scansione generato dall'utente.


MLB-191 Asportazione di superficie

Il tastatore analogico non è stato deflesso abbastanza durante un comando di spostamento di scansione.

Effetto

SMP viene posto in modalità manuale quando:

  • TrapScanDeflectStatus = False (impostazione predefinita del sistema). Il comando è temporaneamente interrotto fino all'attivazione della modalità automatica in SMP.

  • TrapScanDeflectStatus = True. Il comando non viene eseguito. La variabile ScanDeflectStatus è pari a 0.

Cosa fare

  1. Controllare la superficie del pezzo.

  2. Controllare il valore della deflessione del tastatore software corrente.

  3. Avviare la routine di ripristino dell'errore di scansione generato dall'utente.


MLB-505 Tasto utente sconosciuto

Il comando UK specifica un tasto utente non definito.

Effetto

Comando non eseguito.

Cosa fare

  1. Verificare la definizione del comando e correggere il part-program.

  2. Aggiungere il tasto utente alle etichette di database in MeasureMax+.


MP-001 Errore di sintassi del messaggio del comando

Una delle seguenti condizioni ha reso non valido il messaggio del comando:

  1. MP, DCC o RCU non ha compreso il messaggio ricevuto da un altro componente nel sistema.

  2. Nel sistema MP-30 la ROM di espansione richiesta è corrotta oppure non è installata correttamente.

  3. Nel sistema MP-30, le opzioni del cambio del tastatore o della scansione PH9 sono state configurate nel sistema e le ROM di espansione non si trovano nella scheda CPU di MP.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-002 Destinazione non presente o errore del sistema di runtime di MP

Il sistema di comunicazione ha ricevuto un messaggio da inviare a un'attività non esistente. Le cause possibili sono:

  1. Errore del firmware interno.

  2. Nel sistema MP-30 la ROM di espansione richiesta è corrotta oppure non è installata correttamente.

  3. Nel sistema MP-30, le opzioni di PH9, di scansione o del cambio del tastatore sono state configurate nel sistema e le ROM di espansione non si trovano nella scheda CPU di MP.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-003 Insufficienza delle risorse

MP non può eseguire un comando appropriato perché una risorsa obbligatoria non è disponibile. Il software non è in grado di accedere all'hardware richiesto.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Assicurarsi che tutta l'attrezzattura richiesta sia correttamente e saldamente collegata.

  3. Riaccendere MP.

  4. Se non si rileva alcun problema e l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-004 Errore numerico

Un errore numerico indica un problema firmware MP interno.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-007 Errore del checksum di EPROM CPU

Un errore checksum è stato rilevato per gli EPROM della scheda CPU MP-30 oppure per la memoria del segmento di codice SMP400. Questo checksum viene continuamente ricalcolato mentre MP è acceso. Questo errore indica che la scheda CPU non funziona più correttamente. Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-008 Errore del checksum di EPROM CPU

Un errore checksum è stato rilevato per gli EPROM della scheda CPU MP-30. Questo checksum viene continuamente ricalcolato mentre MP è acceso. Questo errore indica che la scheda DCC non funziona più correttamente. Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-013 Overflow del buffer MP/host

Si è verificato l'overflow del buffer dei messaggi MP/host. È possibile memorizzare fino a 10 messaggi.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-015 Overflow del buffer primo piano/sfondo MP

Il buffer interno utilizzato dallo sfondo MP per trasmettere le informazioni sullo stato al monitor dello stato è stato superato.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-018 Errore del contatore interno di MP

Il byte low di uno dei contatori X/Y/Z software è diverso dal byte low del contatore hardware corrispondente. Questo errore indica un probabile errore della scheda CPU non un errore della scheda del contatore. Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-019 Incompatibilità del firmware DCC e MP

Il numero della versione del firmware DCC non è compatibile con il firmware della scheda CPU di MP-30. Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis. È necessario aggiornare il DCC o il firmware della scheda CPU.


MP-021 Errore del contatore atlas Y2

La scheda amp/check/divide ha rilevato un errore del contatore dell'asse Y2. Le cause possibili sono:

  1. Il raggio del laser è bloccato.

  2. Il raggio del laser non è correttamente allineato all'interferometro.

  3. L'offset DC è eccessivo in OPD Lissajous.

  4. L'ampiezza non è sufficiente in OPD Lissajous.

  5. L'asse si muove troppo velocemente (più di 25 in/sec. per le macchine laser).

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-022 Errore del contatore atlas Y3

La scheda amp/check/divide ha rilevato un errore del contatore dell'asse Y3. Le cause possibili sono:

  1. Il raggio del laser è bloccato.

  2. Il raggio del laser non è correttamente allineato all'interferometro.

  3. L'offset DC è eccessivo in OPD Lissajous.

  4. L'ampiezza non è sufficiente in OPD Lissajous.

  5. L'asse si muove troppo velocemente (più di 25 in/sec. per le macchine laser).

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-023 Errore del blocco del raggio Atlas Y2

È un blocco del raggio causato probabilmente da un errato allineamento ottico o da un cavo nel percorso del raggio.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-024 Errore del blocco del raggio Atlas Y3

È un blocco del raggio causato probabilmente da un errato allineamento ottico o da un cavo nel percorso del raggio.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-025 Errore di conversione della scheda D/A dell'asse X ausiliario

È stato rilevato un errore di conversione D/A per l'asse X sulla scheda del contatore a tre assi ausiliario.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-026 Errore di conversione della scheda D/A dell'asse Y ausiliario

È stato rilevato un errore di conversione D/A per l'asse Y sulla scheda del contatore a tre assi ausiliario.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-02/ Errore di conversione della scheda D/A dell'asse Z ausiliario

È stato rilevato un errore di conversione D/A per l'asse Z sulla scheda del contatore a tre assi ausiliario.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-028 Fusibile SP600 +12 Volt saltato

Si è verificato un errore riportato dalla scheda di interfaccia SP600 in SMP400. Questo errore può essere causato da una testata articolata PH10 difettosa o da un fusibile saltato sulla scheda di interfaccia SP600. La fonte più comune dell'errore è la testata del tastatore articolato PH10.

Cosa fare

  1. È un errore non risolvibile. Il problema deve essere corretto sostituendo la testata del tastatore articolato PH10 oppure la scheda di interfaccia.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-029 Fusibile SP600 -12 Volt saltato

Si è verificato un errore riportato dalla scheda di interfaccia SP600 in SMP400. Questo errore può essere causato da una testata articolata PH10 difettosa o da un fusibile saltato sulla scheda di interfaccia SP600. La fonte più comune dell'errore è la testata del tastatore articolato PH10.

Cosa fare

  1. È un errore non risolvibile. Il problema deve essere corretto sostituendo la testata del tastatore articolato PH10 oppure la scheda di interfaccia.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-030 Fusibile SP600 +5 Volt saltato

Si è verificato un errore riportato dalla scheda di interfaccia SP600 in SMP400. Questo errore può essere causato da una testata articolata PH10 difettosa o da un fusibile saltato sulla scheda di interfaccia SP600. La fonte più comune dell'errore è la testata del tastatore articolato PH10.

Cosa fare

  1. È un errore non risolvibile. Il problema deve essere corretto sostituendo la testata del tastatore articolato PH10 oppure la scheda di interfaccia.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-031 Errore di distanza eccessiva del tastatore

(MP30) Bit 5, indirizzo I/O 39(hex) = 1.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-032 Mancata corrispondenza hardware contatore/configurazione

Il sistema è stato configurato come un sistema laser ma dispone di schede contatore a 12 bit standard anziché delle schede del contatore a 16 bit richieste.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-033 Errore contatore asse W

La scheda amp/check/divide ha rilevato un errore del contatore dell'asse W. Le cause possibili sono:

  1. I reticoli sono sporchi.

  2. L'offset DC è eccessivo.

  3. L'ampiezza non è sufficiente nei segnali della testa di lettura.

  4. L'angolo dell'inclinazione della testa di lettura non è appropriato.

  5. L'asse si muove troppo velocemente (la tavola rotante si muove a una velocità maggiore di 48 /sec.).

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Pulire il reticolo con un panno soffice e liscio e con alcool iso-propilico o denaturato.

  3. Verificare che l'offset DC, l'ampiezza, l'inclinazione della testa di lettura e la velocità dell'asse non superino i limiti consentiti.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-034 Errore contatore asse X

La scheda amp/check/divide ha rilevato un errore del contatore dell'asse X. Se l'asse X utilizza una scala e una testa di lettura, le cause possibili sono:

  1. I reticoli sono sporchi.

  2. L'offset DC è eccessivo in Amp Check Board Lissajous.

  3. L'ampiezza non è sufficiente nei segnali della testa di lettura in Amp Check Board Lissajous.

  4. L'angolo di inclinazione della testa di lettura è inappropriato, come si vede in Amp Check Board Lissajous.

  5. L'asse si muove troppo velocemente (più di 40 in/sec. per le macchine standard e più di 25 in/sec. per le macchine laser oppure più di 15 in/sec. in alcune macchine Discovery).

Se l'asse X utilizza un interferometro laser, le cause possibili sono:

  1. Il raggio del laser è bloccato.

  2. Il raggio del laser non è correttamente allineato all'interferometro.

  3. L'offset DC è eccessivo in OPD Lissajous.

  4. L'ampiezza non è sufficiente in OPD Lissajous.

  5. L'asse si muove troppo velocemente (più di 25 in/sec. per le macchine laser).

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'asse utilizza una scala e una testa di lettura,

  3. Pulire il reticolo con un panno soffice e liscio e con alcool iso-propilico o denaturato.

  4. Verificare che l'offset DC, l'ampiezza, l'inclinazione della testa di lettura e la velocità dell'asse non superino i limiti consentiti.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-035 Errore contatore asse Y

La scheda amp/check/divide ha rilevato un errore del contatore dell'asse Y. Se l'asse Y utilizza una scala e una testa di lettura, le cause possibili sono:

- I reticoli sono sporchi.
- L'offset DC è eccessivo.
- L'ampiezza non è sufficiente nei segnali della testa di lettura.
- L'angolo dell'inclinazione della testa di lettura non è appropriato.
- L'asse si muove troppo velocemente (più di 40 poll/sec.)

Se l'asse Y utilizza un interferometro laser, le cause possibili sono:
- Il raggio del laser è bloccato.
- Il raggio del laser non è correttamente allineato all'interferometro.
- L'offset DC è eccessivo in OPD Lissajous.
- L'ampiezza non è sufficiente in OPD Lissajous.
- L'asse si muove troppo velocemente (più di 25 poll/sec.)

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'asse utilizza una scala e una testa di lettura,

  3. Pulire il reticolo con un panno soffice e liscio e con alcool iso-propilico o denaturato.

  4. Verificare che l'offset DC, l'ampiezza, l'inclinazione della testa di lettura e la velocità dell'asse non superino i limiti consentiti.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-036 Errore contatore asse Z

La scheda amp/check/divide ha rilevato un errore del contatore dell'asse Z. Le cause possibili sono:

Se l'asse utilizza una scala e una testa di lettura, le cause possibili sono:
- I reticoli sono sporchi.
- L'offset DC è eccessivo.
- L'ampiezza non è sufficiente nei segnali della testa di lettura.
- L'angolo dell'inclinazione della testa di lettura non è appropriato.
- L'asse si muove troppo velocemente (più di 40 poll/sec.)

Se l'asse utilizza un interferometro laser, le cause possibili sono:
- Il raggio del laser è bloccato.
- Il raggio del laser non è correttamente allineato all'interferometro.
- L'offset DC è eccessivo in OPD Lissajous.
- L'ampiezza non è sufficiente in OPD Lissajous.
- L'asse si muove troppo velocemente (più di 25 poll/sec.)

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'asse utilizza una scala e una testa di lettura,

  3. Pulire il reticolo con un panno soffice e liscio e con alcool iso-propilico o denaturato.

  4. Verificare che l'offset DC, l'ampiezza, l'inclinazione della testa di lettura e la velocità dell'asse non superino i limiti consentiti.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-042 Hardware della compensazione della temperatura non presente

Il sistema è configurato per la compensazione della temperatura ma la scheda relativa non è presente.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Procurarsi l'hardware necessario per la compensazione della temperatura.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-043 Errore hardware della compensazione della temperatura

Il sistema è configurato per la compensazione della temperatura. La scheda per la compensazione della temperatura è presente ma è stato fornito un valore D/A non valido per un input obbligatorio.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-045 Temperatura dell'hardware MP eccessiva

La temperatura nell'alloggiamento elettronico di MP è troppo elevata.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente subito, spegnere MP e lasciarlo raffreddare prima di riaccenderlo.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-046 Errore della scheda di compensazione della temperatura oppure della scheda I/O digitale

Una lettura dopo la scrittura negli output digitali non corrisponde al reale valore scritto. Può anche indicare un errore del timer di controllo nella scheda di compensazione della temperatura.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-047 Errore A/D di compensazione temperatura

Una conversione D/A sulla scheda di compensazione temperatura non è stata completata entro il tempo stabilito di 32 millisecondi.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-048 Errore di configurazione di TempComp o del sistema laser

La configurazione della compensazione della temperatura è incompleta, errata o incoerente. Le cause possibili sono:

  1. Gli input della temperatura X, Y o Z non sono definiti.

  2. Non sono stati definiti termistori del pezzo.

  3. Non sono stati definiti termistori del tastatore.

  4. Gli input di pressione o umidità non sono stati definiti in un sistema laser.

  5. Esiste un'incoerenza interna nei dati di configurazione (ad esempio, un riferimento a un termistore non esistente).

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, tentare di correggere il problema ripristinando i dati di configurazione del sistema dal dischetto di configurazione oppure da un file host salvato.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-055 Errore di conversione della scheda D/A dell'interfaccia SP600

Mentre il tastatore analogico SP600 era in uso, la scheda dell'interfaccia Renishaw AC2 doveva eseguire una conversione D/A ma quella conversione non era stata completata entro 200 microsecondi. Questo errore indica un errore grave della scheda di interfaccia.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-059 Errore arresto di emergenza di Renishaw

Il controller tastatore Renishaw PI7, PI12 or PI200 è spento, si è verificato un errore di distanza eccessiva di SCR200 oppure l'hardware Renishaw ha richiesto un arresto di emergenza.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-060 Timeout del riconoscimento da DCC a MP

La scheda DCC MP-35 non ha risposto a un interrupt MP-a-DCC entro 32 millisecondi. La scheda DCC è stata alloggiata in modo non corretto. Per ulteriori informazioni, controllare il LED della scheda DCC.

Cosa fare

  1. Controllare il LED DCC per individuare lo stato del processore DCC.

  2. Per risolvere l'errore, spegnere MP.

  3. Reimpostare la scheda DCC.

  4. Riaccendere MP.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-064 Errore checksum APL

Un EPROM di controllo APL sembra essere presente sulla scheda di compensazione della temperatura ma il checksum calcolato non corrisponde alla memoria. Questa condizione può verificarsi al momento dell'accensione o durante l'inizializzazione del sistema.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-077 Errore del blocco del raggio dell'asse W

In un sistema laser, si è verificato un blocco del raggio causato probabilmente da un errato allineamento ottico o da un cavo nel percorso del raggio. In un sistema scalare con un divide della scheda 256 questo errore indica un errore di conversione D/A.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-078 Errore del blocco del raggio dell'asse X

In un sistema laser, si è verificato un blocco del raggio causato probabilmente da un errato allineamento ottico o da un cavo nel percorso del raggio. In un sistema scalare con un divide della scheda 256 questo errore indica un errore di conversione D/A.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-079 Errore del blocco del raggio dell'asse Y

In un sistema laser, si è verificato un blocco del raggio causato probabilmente da un errato allineamento ottico o da un cavo nel percorso del raggio. In un sistema scalare con un divide della scheda 256 questo errore indica un errore di conversione D/A.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-080 Errore del blocco del raggio dell'asse Z

In un sistema laser, si è verificato un blocco del raggio causato probabilmente da un errato allineamento ottico o da un cavo nel percorso del raggio. In un sistema scalare con un divide della scheda 256 questo errore indica un errore di conversione D/A.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-081 Laser spento o errore del blocco totale del raggio

Si è verificato un blocco del raggio, probabilmente perché è stata interrotta l'alimentazione della testata del laser.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-082 Errore blocco laser

La frequenza del laser non è più stabile. Questo errore può indicare che il raggio del laser viene momentaneamente riportato alla fonte da qualche ostruzione.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica di nuovo, togliere il coperchio e controllare la spia luminosa dello stato sul retro di ciascun laser per individuare il laser in cui si è verificato l'errore.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-083 Laser non stabile dopo il limite di tempo di riscaldamento

Il tubo del laser non si è riscaldato entro il tempo consentito.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica di nuovo, togliere il coperchio e controllare la spia luminosa dello stato sul retro di ciascun laser per individuare il laser in cui si è verificato l'errore.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-090 Errore input UART APC

Si è verificato un errore di trasmissione dei dati RS232 (ad esempio esecuzione scorretta di un carattere) su APC tramite una linea di comunicazione SMP400.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-091 Overflow del buffer di input dei dati APC

APC ha inviato caratteri a SMP-400 più velocemente di quanto possono essere elaborati.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-092 Timeout messaggio di via APC

APC ha rilevato che la vite del cambio del tastatore non si è avvitata entro il tempo consentito.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-093 Errore del blocco APC

APC ha riportato un errore di blocco del tastatore.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-094 Errore di timeout coperchio APC

APC ha rilevato che un coperchio di stazione è stato aperto per una quantità di tempo eccessiva.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-095 Velocità elemento eccessiva APC

Il controller APC ha rilevato che il perno del tastatore è stato inserito nel rack ad una velocità eccessiva.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-105 Comunicazione da host a MP interrotta

MP ha ricevuto quello che sembra essere l'avvio di un messaggio host tramite la linea di comunicazione RS-232 ma il messaggio non era stato completato correttamente e sono passati almeno dieci (10) secondi dalla ricezione dell'ultimo carattere. La causa può essere una delle seguenti:

  1. una connessione RS-232 persa,

  2. accensione e spegnimento sul computer host,

  3. errore del software host, oppure

  4. un ambiente elettricamente disturbato.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Verificare e assicurare entrambe le estremità dell'host al cavo RS-232 di MP.

  2. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  3. Se l'errore si è verificato durante l'esecuzione di un part-program, le operazioni del part-program sono state seriamente danneggiate. Interrompere il part-program.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis (eccezione: Vedere la nota riportata di seguito).

Nota: Se l'errore si è verificato subito dopo l'accensione del computer host, è quasi certo che sia questa la causa in quanto è normale che alcuni caratteri casuali vengano generati tramite la linea RS-232 quando il PC viene spento e acceso. In questo caso, l'errore può essere risolto e ignorato.


MP-108 Errore delle comunicazioni da MP a RCU

MP ha trasmesso un messaggio a RCU in modo non corretto.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-109 Errore nelle comunicazioni da RCU a MP

RCU ha trasmesso un messaggio a MP in modo non corretto.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-111 Errore delle comunicazioni da host a MP

MP ha rilevato un errore durante la trasmissione dei dati dal computer host. Se il collegamento delle comunicazioni da host a MP è RS-232, i possibili errori sono:

  1. Errore di esecuzione,

  2. Errore di parità,

  3. Errore di suddivisione,

  4. Overflow del buffer di input di 256 byte.

Le cause più probabili dei primi tre errori sono incompatibilità tra MP e l'host in baud rate, lunghezza di caratteri, selezione e verifica di parità o numero di bit di stop.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. In un sistema MP-30, assicurarsi che le impostazioni di commutazione di RS-232 sulla scheda di controllo MP e sulla scheda seriale bicoppia siano corrette.

  3. In un sistema SMP-400, assicurarsi che le impostazioni host di RS-232 siano compatibili con le impostazioni di commutazione interne di SMP-400.

  4. Riaccendere MP.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-117 Surriscaldamento dell'amplificatore del servomotore dell'asse W

Questo errore si verifica solo nelle macchine DCC serie 1000 e 2000 con chassis del servomotore alto 22 pollici. L'amplificatore del servomotore dell'asse W si è surriscaldato e deve essere spento.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-118 Surriscaldamento dell'amplificatore del servomotore dell'asse X

Posizione della visualizzazione dell'errore

Questo errore si verifica solo nelle macchine DCC serie 1000 e 2000 con chassis del servomotore alto 22 pollici. L'amplificatore del servomotore dell'asse X si è surriscaldato e deve essere spento.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-119 Surriscaldamento dell'amplificatore del servomotore dell'asse Y

Questo errore si verifica solo nelle macchine DCC serie 1000 e 2000 con chassis del servomotore alto 22 pollici. L'amplificatore del servomotore dell'asse Y si è surriscaldato e deve essere spento.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-120 Surriscaldamento dell'amplificatore del servomotore dell'asse Z

Questo errore si verifica solo nelle macchine DCC serie 1000 e 2000 con chassis del servomotore alto 22 pollici. L'amplificatore del servomotore dell'asse Z si è surriscaldato e deve essere spento.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-121 Errore dell'amplificatore del servomotore dell'asse W

Il LED sull'amplificatore del servomotore nello chassis di controllo dell'unità del servomotore indica uno dei seguenti errori:

  1. Eccesso corrente,

  2. Scheda amp del servomotore surriscaldata,

  3. Attrezzattura messa a terra impropriamente,

  4. Improvvisa sovratensione dell'alimentazione, oppure

  5. Tensione troppo alta o troppo bassa.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-122 Errore dell'amplificatore del servomotore dell'asse X

Il LED sull'amplificatore del servomotore nello chassis di controllo dell'unità del servomotore indica uno dei seguenti errori:

  1. Eccesso corrente,

  2. Scheda amp del servomotore surriscaldata,

  3. Attrezzattura messa a terra impropriamente,

  4. Improvvisa sovratensione dell'alimentazione, oppure

  5. Tensione troppo alta o troppo bassa.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-123 Errore dell'amplificatore del servomotore dell'asse Y

Il LED sull'amplificatore del servomotore nello chassis di controllo dell'unità del servomotore indica uno dei seguenti errori:

  1. Eccesso corrente,

  2. Scheda amp del servomotore surriscaldata,

  3. Attrezzattura messa a terra impropriamente,

  4. Improvvisa sovratensione dell'alimentazione, oppure

  5. Tensione troppo alta o troppo bassa.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-124 Errore dell'amplificatore del servomotore dell'asse Z

Il LED sull'amplificatore del servomotore nello chassis di controllo dell'unità del servomotore indica uno dei seguenti errori:

  1. Eccesso corrente,

  2. Scheda amp del servomotore surriscaldata,

  3. Attrezzattura messa a terra impropriamente,

  4. Improvvisa sovratensione dell'alimentazione, oppure

  5. Tensione troppo alta o troppo bassa.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Lasciare raffreddare i servomotori e poi procedere.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-127 Errore di contatto piezoelettrico

Il sistema ha tentato di eseguire un contatto programmato cinque volte consecutive riportando un contatto falso per ciascun tentativo. Questo errore può verificarsi solo quando si utilizza TP7, TP12 o TP200. Può essere il risultato di una velocità di contatto eccessivamente lenta, un pezzo sporco o un assemblaggio di tastatore errato.

Effetto

Il sistema disattiva la modalità manuale fino all'individuazione dell'errore.

Cosa fare

  1. Leggere il rapporto dell'errore.

  2. Controllare l'assemblaggio del tastatore per verificare la presenza dei problemi ovvi (punta del tastatore non salda, ecc.)

  3. Riattivare la modalità automatica. In tal modo, il sistema tenterà di eseguire di nuovo il contatto programmato automaticamente.

  4. Se il contatto non viene stabilito, interrompere il comando e il part-program. Cambiare gli assemblaggi del tastatore e ricalibrare, quindi provare di nuovo.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-129 Errore del blocco dell'associazione Hirth sull'asse W

Non è stato possibile bloccare correttamente l'associazione Hirth in una tavola rotante dell'asse W dopo uno spostamento.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che la pressione dell'aria nell'associazione della tavola sia corretta.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-130 Interruzione dell'operatore

L'operazione è stata interrotta a causa di una selezione dell'operatore.

Effetto

Comando non eseguito.

Cosa fare

  1. Leggere il messaggio di errore e scegliere se continuare oppure interrompere il part-program.


MP-131 Errore dello sblocco dell'associazione Hirth sull'asse W

Non è stato possibile sbloccare correttamente l'associazione Hirth in una tavola rotante dell'asse W dopo uno spostamento.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che la pressione dell'aria nell'associazione della tavola sia corretta.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-142 Blocco dell'asse W

Si è tentato di spostare la scheda DCC dell'asse W ma l'asse W non si è spostato. Le cause possibili sono:

  1. La pressione dell'aria è insufficiente.

  2. I bulloni della guida sono troppo stretti.

  3. Si è verificato un errore del contatore.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Verificare che la pressione dell'aria sia impostata correttamente.

  4. Controllare i bulloni della guida, e allentarli se necessario.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-143 Errore nell'alimentazione dello chassis del servomotore

Si è verificato un errore di alimentazione AC +60v nello chassis SCU (Servo Control Unit, Unità di controllo servomotore). L'errore può essere causato da un fusibile bruciato nella scheda PC di alimentazione a 60v nello chassis SCU.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Determinare la causa della perdita di alimetazione. Se la causa è un fusibile bruciato, cambiare il fusibile.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-146 Fuga dell'asse W

Il firmware ha rilevato un ritardo eccessivo per l'asse W. Le cause possibili sono:

  1. Il servomotore non funziona correttamente oppure non riceve alimentazione adeguata dallo chassis dell'unità di controllo del servomotore.

  2. La guida (la cinghia della guida o il bullone e la biella) non funziona correttamente.

  3. Qualcosa impedisce lo spostamento dell'asse.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-147 Fuga dell'asse X

Il firmware ha rilevato un ritardo eccessivo per l'asse X. Le cause possibili sono:

  1. Il servomotore non funziona correttamente oppure non riceve alimentazione adeguata dallo chassis dell'unità di controllo del servomotore.

  2. La guida (la cinghia della guida o il bullone e la biella) non funziona correttamente.

  3. Qualcosa impedisce lo spostamento dell'asse.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-148 Fuga dell'asse Y

Il firmware ha rilevato un ritardo eccessivo per l'asse Y. Le cause possibili sono:

  1. Il servomotore non funziona correttamente oppure non riceve alimentazione adeguata dallo chassis dell'unità di controllo del servomotore.

  2. La guida (la cinghia della guida o il bullone e la biella) non funziona correttamente.

  3. Qualcosa impedisce lo spostamento dell'asse.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-149 Fuga dell'asse Z

Il firmware ha rilevato un ritardo eccessivo per l'asse Z. Le cause possibili sono:

  1. Il servomotore non funziona correttamente oppure non riceve alimentazione adeguata dallo chassis dell'unità di controllo del servomotore.

  2. La guida (la cinghia della guida o il bullone e la biella) non funziona correttamente.

  3. Qualcosa impedisce lo spostamento dell'asse.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-151 Aggiornamenti A/D in ritardo o mancanti

In un sistema MP-35, MP non ha inviato le nuove coordinate della posizione dell'asse della scheda DCC negli ultimi 32 millisecondi. La scheda A/D (analogica/digitale) è interrotta.

In un sistema SMP-400, le operazioni D/A del servomotore non sono state aggiornate per almeno 8 millisecondi.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-158 Inclinazione eccessiva dell'asse X

Il valore dell'inclinazione dell'asse X è superiore del 25% dell'intervallo totale dinamico di A/D.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-159 Blocco asse X

DCC ha rilevato una condizione di fine del percorso e ha eseguito tre tentativi non riusciti di spostarsi dall'ostruzione.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-160 Scheda DCC non operativa

In un sistema MP-30, la scheda DCC non ha potuto eseguire la diagnostica di avvio.

In un sistema SMP-400, la scheda DCC non era presente anche se SMP-400 era configurato per le operazioni DCC oppure la scheda DCC non funziona correttamente. Nel secondo caso, un rapporto di errore precedente ha definito la causa dell'errore.

Fare riferimento a Codici di errore DCC per informazioni aggiuntive.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Utilizzare il programma di dati di configurazione per configurare correttamente MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-161 RCU non operativo

RCU non comunica con MP. Le cause possibili sono:

  1. RCU è presente ma non in esecuzione a causa di un errore diagnostico di alimentazione.

  2. RCU non riceve alimentazione.

  3. RCU non è collegato correttamente con MP.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Verificare che il cavo di alimentazione verso RCU riceva correttamente alimentazione.

  3. Assicurarsi che il cavo proveniente da RCU sia collegato correttamente a MP.

  4. Riaccendere MP.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-162 Inclinazione eccessiva dell'asse Y

Il valore dell'inclinazione dell'asse Y è superiore del 25% dell'intervallo totale dinamico di A/D.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-163 Blocco asse Y

DCC ha rilevato una condizione di fine del percorso e ha eseguito tre tentativi non riusciti di spostarsi dall'ostruzione.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-164 Velocità eccessiva dell'asse W

Il circuito del segnale di velocità eccessiva dell'asse W della scheda DCC ha rilevato una tensione del tachimetro maggiore di quanto previsto per la velocità del comando DCC normale. Le cause possibili sono:

  1. Punte di tensione dell'interferenza della commutazione del tachimetro eccessive.

  2. La guida del servomotore scivola durante l'accelerazione e prende una velocità eccessiva durante il comando di spostamento di velocità costante per raggiungere la posizione indicata.

  3. Il potenziometro del sensore di velocità sulla scheda DCC per l'asse W è impostato su un valore troppo basso.

  4. È presente un circuito breve nel driver di output di alimentazione dell'amplificatore del servomotore dell'asse W sullo chassis dell'unità del controllo del servomotore. Per questo motivo, il motore viene alimentato con CA di 60V.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Assicurarsi che il tachimetro del servomotore stia funzionando correttamente.

  3. Assicurarsi che il meccanismo di guida stia funzionando correttamente.

  4. Assicurarsi che la tensione di riferimento del potenziometro del sensore di velocità eccessiva della scheda DCC sia impostato su un valore sufficientemente elevato.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-165 Velocità eccessiva dell'asse X

Il circuito del segnale di velocità eccessiva dell'asse X della scheda DCC ha rilevato una tensione del tachimetro maggiore di quanto previsto per la velocità del comando DCC normale. Le cause possibili sono:

  1. Punte di tensione dell'interferenza della commutazione del tachimetro eccessive.

  2. La guida del servomotore scivola durante l'accelerazione e prende una velocità eccessiva durante il comando di spostamento di velocità costante per raggiungere la posizione indicata.

  3. Il potenziometro del sensore di velocità sulla scheda DCC per l'asse X è impostato su un valore troppo basso.

  4. È presente un circuito breve nel driver di output di alimentazione dell'amplificatore del servomotore dell'asse X sullo chassis dell'unità del controllo del servomotore. Per questo motivo, il motore viene alimentato con CA di 60V.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Assicurarsi che il tachimetro del servomotore stia funzionando correttamente.

  3. Assicurarsi che il meccanismo di guida stia funzionando correttamente.

  4. Assicurarsi che la tensione di riferimento del potenziometro del sensore di velocità eccessiva della scheda DCC sia impostato su un valore sufficientemente elevato.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-166 Velocità eccessiva dell'asse Y

Il circuito del segnale di velocità eccessiva dell'asse Y della scheda DCC ha rilevato una tensione del tachimetro maggiore di quanto previsto per la velocità del comando DCC normale. Le cause possibili sono:

  1. Punte di tensione dell'interferenza della commutazione del tachimetro eccessive.

  2. La guida del servomotore scivola durante l'accelerazione e prende una velocità eccessiva durante il comando di spostamento di velocità costante per raggiungere la posizione indicata.

  3. Il potenziometro del sensore di velocità sulla scheda DCC per l'asse Y è impostato su un valore troppo basso.

  4. È presente un circuito breve nel driver di output di alimentazione dell'amplificatore del servomotore dell'asse Y sullo chassis dell'unità del controllo del servomotore. Per questo motivo, il motore viene alimentato con CA di 60V.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Assicurarsi che il tachimetro del servomotore stia funzionando correttamente.

  3. Assicurarsi che il meccanismo di guida stia funzionando correttamente.

  4. Assicurarsi che la tensione di riferimento del potenziometro del sensore di velocità eccessiva della scheda DCC sia impostato su un valore sufficientemente elevato.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-167 Velocità eccessiva dell'asse Z

Il circuito del segnale di velocità eccessiva dell'asse Z della scheda DCC ha rilevato una tensione del tachimetro maggiore di quanto previsto per la velocità del comando DCC normale. Le cause possibili sono:

  1. Punte di tensione dell'interferenza della commutazione del tachimetro eccessive. La guida del servomotore scivola durante l'accelerazione e prende una velocità eccessiva durante il comando di spostamento di velocità costante per raggiungere la posizione indicata.

  2. Il potenziometro del sensore di velocità sulla scheda DCC per l'asse Z è impostato su un valore troppo basso.

  3. È presente un circuito breve nel driver di output di alimentazione dell'amplificatore del servomotore dell'asse Z sullo chassis dell'unità del controllo del servomotore. Per questo motivo, il motore viene alimentato con CA di 60V.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Assicurarsi che il tachimetro del servomotore stia funzionando correttamente.

  3. Assicurarsi che il meccanismo di guida stia funzionando correttamente.

  4. Assicurarsi che la tensione di riferimento del potenziometro del sensore di velocità eccessiva della scheda DCC sia impostato su un valore sufficientemente elevato.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-168 Contatto imprevisto

Il tastatore di contatto era stato deflesso mentre era attiva la modalità automatica anziché durante un comando di contatto o di ricerca. Di solito questa condizione si verifica durante uno spostamento DCC previsto in un percorso deselezionato.

Effetto

Viene attivata la modalità manuale nella macchina.

Cosa fare

  1. Rimuovere l'ostacolo e riattivare la modalità automatica oppure riprogrammare le istruzioni di movimento della macchina.


MP-169 Fine del percorso imprevista

Lo spostamento della macchina è impedito da un'ostruzione fisica. Di solito, questo problema si verifica quando si tenta di oltrepassare i limiti fisici di uno o più assi.

Effetto

Viene attivata la modalità manuale nella macchina.

Cosa fare

  1. Individuare la causa del problema. Rimuovere l'ostruzione fisica oppure correggere il part-program.

  2. Se il problema persiste quando il movimento della macchina non è chiaramente ostruito, contattare il servizio clienti di Giddings & Lewis.


MP-170 Il tastatore di contatto non sarà riattivato

In modalità automatica, il tastatore di contatto è stato deflesso e non è stato riattivato dopo l'allontanamento dalla superficie. La causa di questo errore può essere un'ostruzione o un problema interno.

Effetto

Nel sistema si attiva la modalità manuale.

Cosa fare

  1. Liberare il tastatore se è ostruito oppure regolare la tensione del tastatore. Riattivare la modalità automatica nel sistema dopo la riattivazione del tastatore per consentire la continuazione del programma.


MP-171 Errore di comunicazione da MP a PH9/PH10

Il controller PH9/PH10 ha rilevato un errore in un messaggio trasmesso da MP a PH9/PH10. Il controller PH9/PH10 ha quindi trasmesso un messaggio all'MP che ha riportato questo errore.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-172 Errore di comunicazione da PH9/PH10 a MP

PH9/PH10 ha trasmesso un messaggio a MP in modo non corretto.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-173 Overload tastatore PH9

Su uno degli assi del tastatore PH9 o PH10 la forza era tale da determinare la perdita della posizione programmata del tastatore.

Effetto

Viene attivata la modalità manuale nella macchina.

Cosa fare

  1. Reimpostare PH9 tramite RCU, se possibile. Una volta rialloggiata la testata del tastatore, riattivare la modalità automatica nel sistema per consentire la continuazione del part-program.


MP-174 Overflow del buffer da PH9/PH10 a MP

PH9/PH10 ha inviato più messaggi a MP di quanti il relativo buffer possa contenere.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-175 Inclinazione eccessiva dell'asse Z

Il valore dell'inclinazione dell'asse Z è superiore del 25% dell'intervallo totale dinamico di A/D.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-176 Blocco asse Z

DCC ha rilevato una condizione di fine del percorso e ha eseguito tre tentativi non riusciti di spostarsi dall'ostruzione.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Verificare che non vi siano ostacoli che impediscono il movimento dell'asse.

  3. Controllare il tachimetro del servomotore e il meccanismo di guida.

  4. Verificare che lo chassis dell'unità di controllo del servomotore stia correttamente alimentando il motore.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-177 Errore della tastiera del pannello frontale in MP

Si è bloccato un tasto sul pannello frontale di un MP-30/35. Il tasto è stato premuto mentre MP era attivo.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-178 Errore del checksum dei dati di configurazione di MP

In EEPROM sono memorizzate informazioni sulla configurazione del sistema non valide.

Cosa fare

  1. Ricaricare i dati di configurazione con informazioni di configurazione corrette dal disco CONFG.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-179 Errore del checksum del tastatore

In EEPROM sono stati memorizzati dati di calibrazione del tastatore non validi.

Cosa fare

  1. Eliminare i dati di tutte le punte del tastatore.

  2. Spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-180 Errore del checksum MEA (Microprocessor Enhanced Accuracy)

In EEPROM sono stati memorizzati dati MEA non validi.

Cosa fare

  1. Ricaricare i dati di configurazione con informazioni di configurazione corrette dal disco CONFG.

  2. Spegnere e riaccendere MP.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-181 Dati MEA non validi

Per questa macchina non sono stati raccolti dati MEA.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Ricaricare i dati di configurazione con informazioni di configurazione corrette dal disco CONFG.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-182 Errore interfaccia opzionale

È stato rilevato un errore di diagnostica all'accensione in una delle interfacce opzionali (PH9 /PH10, cambio del tastatore, tastatore software o interfaccia RS-232 del computer host). L'interfaccia reale è identificata nell'errore precedente:

  • Solo MP-30: Errore MP-522 Errore della scheda dell'interfaccia A/D del tastatore software.

  • Errore MP-523 Errore della scheda RS-232 dell'interfaccia host.

  • Errore MP-524 Errore della scheda RS-232 di PH9/PH10.

  • Errore MP-525 Errore della scheda RS-232 del cambio del tastatore.

Cosa fare

  1. Seguire le indicazioni relative all'errore sopra elencato.


MP-183 Rack del cambio del tastatore scollegato

L'unità di controllo del cambio del tastatore e il rack del cambio del tastatore non sono collegati l'uno all'altro.

Cosa fare

  1. Collegare l'unità di controllo del cambio del tastatore e il rack del cambio del tastatore.

  2. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-184 Errore di distanza eccessiva del cambio del tastatore

La CMM si è avvicinata in modo non corretto a una stazione durante il caricamento o lo scaricamento di un tastatore.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Ricalibrare il rack del cambio tastatore automatico.

  3. Ricalibrare le stazioni.


MP-186 Dati MEA dell'asse W non validi

I dati MEA non sono stati raccolti per l'asse W della macchina oppure i dati MEA dell'asse W in EEPROM sono corrotti.

Cosa fare

  1. Per correggere l'errore, fare clic su Risolvi errore nella finestra di visualizzazione XYZ. Per risolverlo utilizzando RCU-II, tenere premuto il pulsante Spegni servomotore e premere due volte il tasto Joy.

  2. Raccogliere i dati MEA dell'asse W utilizzando AutoCal oppure ricaricare i dati di configurazione con le informazioni di configurazione corrette dal disco CONFG.

  3. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-310 Combinazione selezione tasti del pannello frontale non valida

MP non riconosce il comando. È stato immesso un comando non valido dalla tastiera del pannello frontale MP in un sistema MP-30/35.

Questo errore si verifica solo quando viene utilizzato il pannello frontale di MP in un sistema MP-30/35.

Cosa fare

  1. Per risolvere l'errore, premere il relativo tasto sul pannello frontale di MP.

  2. Immettere un comando valido. L'errore può essere causato da un input dell'operatore.

  3. Se viene nuovamente visualizzato il messaggio di errore, che conferma che la funzione non è valida, utilizzare una funzione valida.


MP-320 Funzione selezionata non valida

MP non può elaborare la funzione richiesta in un'operazione autonoma. È possibile che la funzione immessa non possa essere utilizzata in un'operazione autonoma.

Questo errore si verifica solo quando viene utilizzato il pannello frontale di MP in un sistema MP-30/35.

Cosa fare

  1. Per risolvere l'errore, premere il relativo tasto sul pannello frontale di MP.

  2. Immettere un comando valido. L'errore può essere causato da un input dell'operatore.


MP-330 Overflow del buffer della selezione tasti

MP non può elaborare più di 41 selezioni tasti prima della selezione del tasto [INVIO] dal pannello frontale di MP. Prima di selezionare il tasto [INVIO], utilizzare meno di 41 selezioni tasti.

Questo errore si verifica solo quando viene utilizzato il pannello frontale di MP in un sistema MP-30/35.

Cosa fare

  1. Per risolvere l'errore, premere il relativo tasto sul pannello frontale di MP.

  2. Immettere un comando valido. L'errore può essere causato da un input dell'operatore.


MP-340 Errore angolo offset

MP non può elaborare un comando offset di determinazione. È possibile registrare meno di 2 punti oppure i punti possono essere registrati a meno di 2 mm di distanza l'uno dall'altro.

Questo errore si verifica solo quando viene utilizzato il pannello frontale di MP in un sistema MP-30/35.

Cosa fare

  1. Per risolvere l'errore, premere il relativo tasto sul pannello frontale di MP.

  2. Registrare più punti ad almeno 2 mm di distanza l'uno dall'altro.

  3. Immettere di nuovo il comando di offset.


MP-501 Errore RAM della scheda CPU in MP

Su un sistema MP-30, il chip della RAM è corrotto.

In un sistema SMP si è verificato un errore nella SIMM DRAM della scheda del processore oppure nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. L'indirizzo e la posizione vengono visualizzati in MP.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-502 Errore del chip dell'interrupt della CPU

Il chip del controller dell'interrupt è corrotto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-503 Dispositivo I/O inesistente o errore della RAM

In un sistema MP-30 il sistema ha tentato di leggere da un dispositivo I/O inesistente. Non sono stati forniti dati predefiniti.

In un sistema SMP si è verificato un errore nella SIMM DRAM della scheda del processore oppure nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-504 Errore della fasatura in tempo reale

La fasatura in tempo reale (interrupt di 2 millisecondi) non funziona.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-505 Errore dell'interrupt di fasatura di due millisecondi

L'interrupt di fasatura di due millisecondi non si è verificato anche se il timer era operativo. Il chip del controller dell'interrupt è corrotto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-506 Errore di scrittura/lettura della scheda di controllo

Su un sistema MP-30 la lettura dello schema di conteggio dalla scheda di controllo non corrisponde alla scrittura dello schema di conteggio.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-507 Errore dell'UART dell'interfaccia RCU della scheda di controllo

Inizializzazione dell'UART RCU non eseguita. L'UART seriale RCU sulla scheda di controllo MP-30 oppure la scheda DCC di SMP sono corrotti.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-508 Errore dell'interrupt UART dell'interfaccia RCU della scheda di controllo

L'interrupt richiesto da UART non è sospeso.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


Interrupt MP-510 non operativi

Su un sistema MP-30 l'interrupt orario di due millisecondi e l'interrupt UART di controllo sono sospesi ma non vengono eseguiti.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-511 Errore dell'interrupt dell'interfaccia RCU della scheda di controllo

Su un sistema MP-30 l'interrupt UART della scheda di controllo richiesta non è sospeso.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-512 Errore di priorità dell'interrupt

In un sistema MP-30, l'interrupt UART ha la priorità su una fasatura di due millisecondi.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-515 Errore di inizializzazione IEEE 488

In un sistema MP-30, si è verificato un errore di trasmissione o indirizzamento IEEE. È presente un chip IEEE o una scheda di controllo corrotta. Non è stato possibile:

  • Impostare un indirizzo per colloquio o per ascolto, oppure

  • Attivare nel chip la modalità solo colloquio, solo ascolto, colloquio attivo o ascolto attivo.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-516 Errore di decodifica del pannello frontale

Si è verificato un errore di ricezione o trasmissione delle informazioni nel pannello frontale. La selezione della tastiera restituisce un valore diverso da zero anche se viene annullata. È possibile che i cavi del pannello frontale non siano collegati correttamente.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Assicurarsi che i cavi del pannello frontale siano collegati correttamente.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-517 Tasto del pannello MP bloccato

In un sistema MP-30 un tasto del pannello frontale MP è bloccato. I cavi nel pannello frontale possono essere collegati in modo scorretto, oppure il pannello è danneggiato.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Assicurarsi che i cavi del pannello frontale siano collegati correttamente.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-519 Errore del checksum EPROM

In un sistema MP-30, il checksum generato dal contenuto EPROM non corrispondeva al checksum memorizzato. Le cause possibili sono:

  • Errore del chip EPROM.

  • Errore della scheda CPU (linee di dati, indirizzi, decodifica, ecc.).

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. L'indirizzo e la posizione vengono visualizzati in MP.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-521 Errore directory EPROM

In un sistema MP-30, l'errore può essere causato da:

  • Errore del chip EPROM.

  • Errore della scheda CPU (linee di dati, indirizzi, decodifica, ecc.).

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-522 Errore di conversione della scheda D/A

Si è verificato un errore mentre la scheda D/A (Digital/Analog, digitale/analogica) utilizzata per le scansioni di elevato livello era in fase di inizializzazione. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-523 Errore dell'interfaccia host RS-232

In un sistema MP-30, la diagnostica sulla porta 3 della scheda di interfaccia MP RS-232 non è stata eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

In un sistema SMP, la diagnostica sull'interfaccia host RS-232 sulla scheda amp/check/divide non è stata eseguita correttamente.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-524 Errore dell'interfaccia RS-232 di PH9/PH10

Diagnostica sulla porta 0 della scheda di interfaccia MP RS-232 non eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

In un sistema MP-30, la diagnostica sulla porta 0 della scheda di interfaccia MP RS-232 non è stata eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

In un sistema SMP, la diagnostica sull'interfaccia RS-232 di PH9/PH10 sulla scheda DCC non è stata eseguita correttamente.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-525 Errore dell'interfaccia del cambio tastatore RS-232

Diagnostica sulla porta 2 della scheda di interfaccia MP RS-232 non eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

In un sistema MP-30, la diagnostica sulla porta 2 della scheda di interfaccia MP RS-232 non è stata eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

In un sistema SMP, la diagnostica sull'interfaccia del cambio tastatore RS-232 sulla scheda DCC non è stata eseguita correttamente.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-526 Errore dell'interfaccia del livello elettronico RS-232

In un sistema MP-30, la diagnostica sulla porta 1 della scheda di interfaccia MP RS-232 non è stata eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

In un sistema SMP, la diagnostica sull'interfaccia RS-232 del livello elettronico sulla scheda DCC non è stata eseguita correttamente.

Diagnostica sulla porta 1 della scheda di interfaccia MP RS-232 non eseguita correttamente. Può essersi verificato un errore nella scheda oppure la scheda può non essere stata installata in MP.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-527 Errore della memoria FLASH in SMP-400

In un sistema SMP-400, è stato rilevato un segnalatore di record non valido nella memoria FLASH.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Ricaricare il codice del sistema operativo SMP-400 dal disco di installazione.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-528 Errore della memoria FLASH in SMP-400

In un sistema SMP-400, è stato rilevato un tipo di record non valido nella memoria FLASH.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Ricaricare il codice del sistema operativo SMP-400 dal disco di installazione.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-529 Errore della memoria FLASH in SMP-400

In un sistema SMP-400, è stato rilevato un checksum di record non valido nella memoria FLASH.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Ricaricare il codice del sistema operativo SMP-400 dal disco di installazione.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-530 Errore della memoria FLASH in SMP-400

In un sistema SMP-400, non è stato rilevato alcun record di indirizzo iniziale nella memoria FLASH.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Ricaricare il codice del sistema operativo SMP-400 dal disco di installazione.

  2. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-531 Errore della memoria RAM in SMP-400

In un sistema SMP-400 si è verificato un errore nella SIMM DRAM della scheda del processore oppure nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-532 Errore della memoria RAM in SMP-400

In un sistema SMP-400 si è verificato un errore nella SIMM DRAM della scheda del processore oppure nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-533 Scheda amp/check/divide non presente

SMP-400 richiede che una scheda amp/check/divide sia presente nell'indirizzo di base. È possibile che la scheda amp/check/divide si sia interrotta oppure che sia impostato l'indirizzo non corretto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-534 Errore della scheda amp/check/divide

In un sistema SMP-400, si è verificato un errore di lettura/scrittura durante la scrittura o la lettura da uno dei registri interni a U23 sulla scheda amp-check.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-535 Scheda DCC non presente

In un sistema SMP-400, la lettura all'indirizzo 170(hex) non ha restituito un ID di scheda DCC valido. L'ID viene letto da U30 sulla scheda DCC.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-536 Errore della scheda DCC

In un sistema SMP-400, si è verificato un errore di lettura/scrittura durante la scrittura o la lettura da un convertitore A/D dell'asse X nella scheda DCC.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-537 Errore della scheda DCC

In un sistema SMP-400, si è verificato un errore di lettura/scrittura durante la scrittura o la lettura da un convertitore U7 dell'asse Y nella scheda DCC.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-538 Errore della scheda DCC

In un sistema SMP-400, si è verificato un errore di lettura/scrittura durante la scrittura o la lettura da un convertitore U11 dell'asse Z nella scheda DCC.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-539 Errore della scheda DCC

In un sistema SMP-400, si è verificato un errore di lettura/scrittura durante la scrittura o la lettura da un convertitore U12 dell'asse W nella scheda DCC.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-540 Scheda TempComp non presente

In un sistema SMP-400, la lettura all'indirizzo 1CE(hex) non ha restituito un ID di scheda TempComp valido. L'ID viene letto da U18 sulla scheda TempComp.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-541 Errore della scheda TempComp

In un sistema SMP-400, si è verificato un errore di lettura/scrittura durante la scrittura o la lettura da un registro multi plexor D/A sulla scheda TempComp. Il registro è interno a U18.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-542 Errore della scheda TempComp

In un sistema SMP-400, si è verificato un errore di conversione D/A nella scheda TempComp.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-543 Errore della scheda TempComp

In SMP-400, il numero uno dell'offset nella scheda TempComp è stato letto in modo non corretto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-544 Errore della scheda TempComp

In un sistema SMP-400, il numero uno del guadagno nella scheda TempComp è stato letto in modo non corretto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-545 Errore della scheda TempComp

In un sistema SMP-400, il numero due dell'offset nella scheda TempComp è stato letto in modo non corretto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-546 Errore della scheda TempComp

In un sistema SMP-400, il numero due del guadagno nella scheda TempComp è stato letto in modo non corretto.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-547 Errore della scheda del processore

In un sistema SMP-400, è stato generato un interrupt su UART host ma non è stato ricevuto dal chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-548 Errore della scheda del processore

In un sistema SMP-400, non è stato possibile disattivare l'interrupt UART host nel chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-550 RAM insufficiente

Lo spazio di memoria non era sufficiente per avviare il sistema. La RAM è corrotta.

Su un sistema MP-30, il chip della RAM è corrotto.

In un sistema SMP-400 si è verificato un errore nella SIMM DRAM della scheda del processore oppure nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-551 Troppi gruppi di velocità software

I gruppi di velocità presenti sono più numerosi di quanti il sistema possa gestire. È possibile che si sia verificato un errore nel software del sistema.

Su un sistema MP-30, il chip della RAM è corrotto.

In un sistema SMP-400 si è verificato un errore nella SIMM DRAM della scheda del processore oppure nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-560 Errore della scheda del processore

In un sistema SMP-400, non è stato possibile disattivare l'interrupt UART RCU nel chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-561 Errore dell'interrupt UART

In un sistema SMP-400, è stato generato un interrupt su UART PH9/PH10 ma non è stato ricevuto dal chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-562 Errore dell'interrupt UART

In un sistema SMP-400, non è stato possibile disattivare l'interrupt UART PH9/PH10 nel chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-563 Errore dell'interrupt UART

In un sistema SMP-400, è stato generato un interrupt su UART del cambio tastatore ma non è stato ricevuto dal chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-564 Errore dell'interrupt UART

In un sistema SMP-400, non è stato possibile disattivare l'interrupt UART del cambio tastatore nel chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-565 Errore dell'interrupt UART

In un sistema SMP-400, è stato generato un interrupt su UART di livello elettronico ma non è stato ricevuto dal chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-566 Errore dell'interrupt UART

In un sistema SMP-400, non è stato possibile disattivare l'interrupt UART del livello elettronico nel chip del controller dell'interrupt nella scheda del processore.

Fare riferimento a Codici di errore MP per informazioni aggiuntive.

Cosa fare

  1. I dati sull'errore vengono visualizzati nel LED di diagnostica interno di SMP-400.

  2. Contattare il servizio clienti di Giddings & Lewis.


MP-601 Errore RAM DCC

La lettura dello schema dalla RAM della scheda DCC non corrisponde alla scrittura dello schema. La RAM è corrotta.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-619 Errore checksum EPROM DCC

Il checksum generato dal contenuto di EPROM DCC non corrisponde al checksum memorizzato.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-621 Errore directory EPROM DCC

La prima parola nel chipset EPROM non è stata letta come esadecimale 4140. La parola si trova in 0F0000(hex).

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-650 RAM DCC insufficiente

La RAM non è sufficiente per utilizzare il controller DCC.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-651 Sono presenti troppi gruppi di velocità software DCC

Sono presenti troppi gruppi di velocità software DCC.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Contattare il servizio clienti di Giddings & Lewis.


MP-697 Blocco del pulsante di interruzione del servomotore

Il pulsante di interruzione del servomotore è bloccato. Il pulsante può essere stato premuto quando il sistema era attivo.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. Per risolvere l'errore, spegnere MP.

  2. Riaccendere MP.

  3. Verificare che il pulsante di interruzione del servomotore sia aperto.

  4. Controllare i collegamenti tra il pannello di controllo nella parte superiore della console MP e lo chassis del servomotore e tra lo chassis del servomotore e la scheda DCC. Assicurarsi che tutti i collegamenti siano saldi.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


MP-698 Circuito E-stop aperto

Il circuito E-stop (Emergency Stop) era aperto al momento dell'accensione.

Per ulteriori informazioni, fare riferimento a Codici di errore DCC.

Cosa fare

  1. In alcuni sistemi sono presenti pulsanti E-stop della console che si bloccano quando vengono premuti. In tal caso, per sbloccarli girare la manopola in senso orario.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Controllare tutti i pulsanti E-stop e il circuito per verificare che siano tutti chiusi.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-003 Insufficienza delle risorse

L'utente ha provato a riposizionare un PH9 non esistente o una tavola rotante oppure ha tentato di spostare una tavola rotante con il servomotore spento.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Premere il tasto di annullamento in RCU-I.

  2. Se si sta tentando di spostare una tavola rotante, accendere il servomotore.

  3. Se si sta tentando di spostare PH9 o una tavola rotante con il servomotore acceso, assicurarsi che il sistema dispone dell'hardware richiesto e che sia correttamente configurato.


RCU-700 Errore RAM RCU

Nella RAM della scheda è presente almeno 1 bit di memoria corrotta.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-701 Errore di indirizzo RAM RCU 6802

Nella RAM del chip RCU si è verificato un errore.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-702 Errore RAM RCU 2114

Nella RAM della scheda è presente almeno 1 bit di memoria corrotta.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-703 Errore di indirizzo RAM RCU 2114

Il chip RAM RCU si è interrotto.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-704 Errore di checksum o di numero di versione EPROM RCU

Si è verificato un errore di checksum RCU.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-705 Errore tasto bloccato

Un tasto si è bloccato in RCU.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-706 Errore del checksum A EPROM RCU

Si è verificato un errore del checksum in EPROM nella posizione di scheda F8.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Reimpostare il chip 2716 nella posizione di scheda F8.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-707 Errore del checksum B EPROM RCU

Si è verificato un errore del checksum in EPROM nella posizione di scheda F10.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Reimpostare il chip 2716 nella posizione di scheda F10.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RCU-708 Errore del checksum C EPROM RCU

Si è verificato un errore del checksum in EPROM nella posizione di scheda F11.

Per ulteriori informazioni, fare riferimento a Codici di errore RCU.

Cosa fare

  1. Controllare il display di MP.

  2. Per risolvere l'errore, spegnere MP.

  3. Riaccendere MP.

  4. Reimpostare il chip 2716 nella posizione di scheda F11.

  5. Se l'errore si verifica nuovamente, contattare il servizio clienti di Giddings & Lewis.


RN - Restituzione dei dati di scansione

Il comando RN termina la raccolta dei dati di scansione e/o restituisce i dati di scansione raccolti a MeasureMax+.

Formato del comando

MLString "RN p1"

Esempi

  1. MLString "RN"

    Se la scansione è attiva, attende lo svuotamento della coda DCC e che lo spostamento finale sia compreso nella tolleranza, quindi termina la scansione. Restituisce il numero dei punti di dati all'host.

  2. MLString "RN 0"

    Se la scansione è attiva, attende lo svuotamento della coda DCC e che lo spostamento finale sia compreso nella tolleranza, quindi termina la scansione. Restituisce i punti di dati raccolti (a partire dal numero di punto 0) e il numero di punti di dati all'host.

Input

  • p1 = Indice punto (Numerico; opzionale)

Il parametro numerico opzionale p1 non può essere un numero negativo. Se specificato, p1 richiede che i punti di dati della scansione siano restituiti all'host a partire dal punto N. p1. L'indice del primo punto raccolto è 0 (zero). Se p1 non viene specificato, i dati raccolti non vengono restituiti al computer host.

Risultati

Il comando RN completa un'operazione di raccolta dei dati di scansione iniziata dal comando AS. Se la scansione è attiva, sarà terminata quando la coda DCC sarà vuota e lo spostamento finale entro la tolleranza. Se p1 è specificato, i punti di dati raccolti vengono restituiti dal buffer di scansione al computer host e memorizzati nell'array S9. Per tutti i tipi di scansione eccetto A (vedere il comando AS), i dati di punto vengono memorizzati nell'array S9 nell'ordine normale X, Y, Z; vale a dire, i valori dei dati della coordinata X vengono memorizzati in S9(*, 0), i valori di Y in S9(*, 1) e i valori di Z in S9(*, 2). Per il tipo di scansione A, i valori del raggio polare vengono memorizzati in S9(*, 0), i valori dell'angolo polare vengono memorizzati in S9(*, 1) e i valori del terzo asse (altezza) vengono memorizzati in S9(*, 2).

Il numero dei punti di dati raccolti viene restituito alla variabile S7.

Skip Action

Ignorato.

Messaggi di errore

Nessuna.


SB - Destinazione scansione

Il comando SB trasmette le destinazioni dell'asse indipendente dal buffer di scansione S9(*,0) a MP per poterle utilizzare nella scansione successiva. Il part-program deve eseguire il comando SB prima di eseguire il comando SN se utilizza destinazioni assolute.

Formato del comando

MLString "SB p1"

Esempi

  1. MLString "SB 100"

Input

  • p1 = Numero di destinazioni da trasmettere (Numerico;obbligatorio)

p1 specifica il numero di destinazioni dell'asse indipendente da trasmettere. p1 deve essere un intero uguale o maggiore di 1. Nell'esempio, p1 è 100. Il tastatore esegue la scansione di 100 destinazioni per questa misurazione. La prima destinazione si trova nella posizione del buffer di scansione S9(0,0). Se si sta eseguendo la scansione in più fasi, trasferire tutte le destinazioni contemporaneamente. S9 è un array reale, quindi il numero di cifre che costituiscono il valore della coordinata della destinazione non è limitato.

Risultati

Le destinazioni sono inviate a MP a partire da S9(0,0). Se il programma trasmette 100 destinazioni, l'ultima destinazione inviata è in S9(99,0).

Skip Action

Ignorato; non eseguito se fa parte di un blocco di salti.

Messaggi di errore

Nessuna.


SN - Scansione

Il comando SN consente di avviare la scansione di una superficie. Può essere utilizzato solo per i sistemi MeasureMax versione 1.03.

Avvertenza

Il comando SN non è supportato dai sistemi MeasureMax+ correnti.

Formato del comando

MLString "SN p1,p2,p3,p4,p5"

Esempi

  1. MLString "SN 1,XY,400,12,.1"

  2. MLString "SN XY,400"

Input

  • p1 = Colonna nel buffer di scansione (Numerico; opzionale)

  • p2 = Asse dipendente e indipendente (Stringa; obbligatorio)

  • p3 = Numero di destinazione da sottoporre a scansione (Numerico; obbligatorio)

  • p4 = Posizione iniziale (Numerico; opzionale)

  • p5 = Intervallo tra destinazioni successive (Numerico; opzionale)

Il parametro numerico opzionale p1 è l'indice della colonna nell'array dei dati di scansione S9 da utilizzare per i risultati di scansione dell'asse dipendente. Se p1 non viene specificato, i risultati della scansione vengono memorizzati nella colonna zero (0).

Il parametro di stringa obbligatorio p2 definisce l'asse dipendente e indipendente per la scansione. La prima lettera indica l'asse dipendente. Le impostazioni valide per p2 sono XY, XZ, YX, YZ, ZX, ZY, XW, YW, ZW e RA.

Il parametro numerico obbligatorio p3 deve essere un valore compreso tra 1 e 1000 e specifica il numero di destinazioni di cui eseguire la scansione.

I parametri numerici opzionali p4 e p5 definiscono la destinazione della scansione del primo asse indipendente e lo spazio tra le destinazioni di una scansione incrementale. Se p4 e p5 non sono specificati, le destinazioni sono assolute e devono essere precedentemente trasmesse a MP (vedere il comando SB).

L'utente deve posizionare il tastatore davanti alla destinazione della prima scansione prima di eseguire questo comando. Quando viene eseguito questo comando, si accende la spia di attesa di MP. L'utente sposta il tastatore lungo il percorso della scansione per raccogliere i dati. Una volta superata la prima destinazione, la spia di attesa lampeggia fino al completamento di tutte le scansioni, quindi si spegne.

Nel primo esempio, vengono eseguite 400 destinazioni lungo l'asse Y raccogliendo i dati X nella colonna 1 dell'array S9. La prima destinazione è all'asse Y per la lettura di 12 destinazioni e le successive destinazioni sono separate da intervalli di 0,1 nella direzione positiva.

Nel secondo esempio, vengono eseguite 400 destinazioni lungo l'asse Y raccogliendo i dati X nella colonna 0 (predefinita) dell'array S9. Le destinazioni dell'asse Y sono state precedentemente inviate al comando SB.

Risultati

Il sistema raccoglie tutti i dati sottoposti a scansione e memorizza i risultati nell'array S9.

Skip Action

Ignorato; non eseguito se fa parte di un blocco di salti.

Messaggi di errore

  • MLB-080 Installato tastatore non corretto. È richiesto un tastatore rigido o analogico.


TempComp-200 TempComp non disponibile

La compensazione della temperatura è stata richiesta ma non è disponibile. Il messaggio visualizzato include un numero tra parentesi alla fine che indica il motivo specifico, come segue:

  • -2 -> Non sono disponibili termistori per il pezzo

  • -1 -> La compensazione della temperatura è stata disabilitata da un errore precedentemente rilevato.

  • 0 -> La compensazione della temperatura non è stata configurata correttamente.

  • 1-28 -> Nel termistore indicato si è verificato un errore.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Se possibile, correggere il problema rilevato.

  2. Se l'avviso si verifica di nuovo, contattare il servizio clienti di Giddings & Lewis.


TempComp-201 Limite della temperatura assoluto superato

La compensazione della temperatura è stata richiesta ma un termistore indica correntemente una temperatura che supera i limiti di temperatura assoluti di sistema configurati. La compensazione della temperatura è attiva ma le condizioni del sistema possono impedire l'accuratezza del sistema desiderata. Il messaggio include il numero del termistore e la temperatura registrata che ha causato l'avviso.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Se possibile, correggere il problema rilevato.

  2. Se l'avviso si verifica nuovamente e non può essere spiegato dalle condizioni ambientali, contattare il servizio clienti di Giddings & Lewis.


TempComp-202 Limite della temperatura gradiente superato

La compensazione della temperatura è stata richiesta ma la differenza di temperatura tra una coppia di termistori indica una temperatura grandiente che supera i limiti di sistema configurati. La compensazione della temperatura è attiva ma le condizioni del sistema possono impedire l'accuratezza del sistema desiderata. Il messaggio include i numeri del termistore e le temperature registrate che hanno causato l'avviso.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Se possibile, correggere il problema rilevato.

  2. Se l'avviso si verifica nuovamente e non può essere spiegato dalle condizioni ambientali, contattare il servizio clienti di Giddings & Lewis.


TempComp-203 Limite temporaneo della temperatura superato

La compensazione della temperatura è stata richiesta ma il record di temperature registrate da un termistore indica un cambio della temperatura (temporaneo) che supera i limiti di sistema configurati. La compensazione della temperatura è attiva ma le condizioni del sistema possono impedire l'accuratezza del sistema desiderata. Il messaggio include il numero del termistore e le temperature alte e basse registrate che hanno causato l'avviso.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Se possibile, correggere il problema rilevato.

  2. Se l'avviso si verifica nuovamente e non può essere spiegato dalle condizioni ambientali, contattare il servizio clienti di Giddings & Lewis.


TempComp-204 Compensazione laser inattiva

In un sistema laser, si è verificato un errore hardware che impedisce una corretta compensazione delle misurazioni laser per le condizioni ambientali. Il sistema è operativo ma non può raggiungere l'accuratezza del sistema necessaria.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Se possibile, correggere il problema rilevato.

  2. Se l'avviso si verifica, contattare il servizio clienti di Giddings & Lewis.


TempComp-205 I dati di calibrazione del tastatore possono essere non validi

La compensazione della temperatura è stata richiesta ma i tastatori non sono stati calibrati dopo l'attivazione oppure la temperatura è cambiata perché la calibrazione del tastatore ha superato il limite di sistema configurato. Il valore visualizzato con il messaggio indica se la prima (1) o la seconda (2) condizione ha causato l'avviso.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Ricalibrare i tastatori per assicurare la massima accuratezza del sistema.


TempComp-206 La calibrazione della tavola rotante può essere non valida

La compensazione della temperatura è stata richiesta ma la temperatura è cambiata perché la calibrazione centrale della tavola rotante ha superato il limite di sistema configurato. Il centro della tavola rotante deve essere ricalibrato per assicurare il più elevato livello di accuratezza del sistema.

Per ulteriori informazioni, fare riferimento a Codici di errore TempComp.

Cosa fare

  1. Ricalibrare il centro della tavola rotante per assicurare la massima accuratezza del sistema.


TF - Modalità contatto disattiva

Il comando TF impedisce che il sistema rilevi la deflessione del tastatore di contatto, tranne durante i contatti o le ricerche specificate. Quando questa modalità è attiva, il sistema può ignorare i contatti che risultano dalla vibrazione provocata da un lungo tastatore che si muove ad elevata velocità. Poiché il contatto violento del tastatore con una superficie può causare dei danni, è necessario utilizzare questa funzione con estrema cautela.

Quando questo comando viene utilizzato in un part-program, il comando TN deve essere utilizzato per riattivare il tastatore di contatto prima di chiudere il part-program.

Formato del comando

MLString "TF"

Esempio

  1. MLString "TF"

Input

Nessuno.

Risultati

Una volta eseguito questo comando, il sistema non riconosce i punti del tastatore di contatto, eccetto durante le operazioni di contatto DCC programmate. Per riattivare il riconoscimento dei punti del tastatore a contatto, utilizzare il comando TN oppure l'inizializzazione del part-program.

Skip Action

Viene eseguito anche quando fa parte di un blocco ignorato.

Messaggi di errore

  • MLB-090 DCC non è disponibile.


TN - Abilitazione tastatore di contatto

Il comando TN attiva la modalità di contatto, riattivando il tastatore di contatto precedentemente disattivato con il comando TF. Se si sta utilizzando un tastatore analogico a tre assi (ad esempio, Renishaw SP-600), il tastatore software è disattivato (vedere il comando BF).

Formato del comando

MLString "TN"

Esempio

  1. MLString "TN"

Input

Nessuno.

Risultati

Il tastatore a contatto è abilitato durante tutti i movimenti.

Skip Action

Viene eseguito anche quando fa parte di un blocco ignorato.

Messaggi di errore

  • MLB-090 DCC non è disponibile.


Impostazione di un rapporto predefinito per un part-program

Un rapporto HyperView predefinito per un part-program è un rapporto che può essere caricato e stampato automaticamente al termine dell'esecuzione del part-program. Questo rapporto predefinito può essere impostato per il caricamento e la stampa di ogni part-program eseguito. Per impostare il rapporto predefinito, effettuare le seguenti operazioni:

  1. Visualizza Mappa percorsi dei menu Selezionare la voce di menu Modifica | Preferenze | Colori Finestra di Modifica . Viene visualizzata la finestra di dialogo Layout finestra di modifica.

  2. Selezionare la scheda HyperReport nella finestra di dialogo Opzioni di visualizzazione rapporto.

Finestra di dialogo Layout finestra di modificascheda –HyperReport

Se la casella di controllo Caricamento automatico HyperReport è selezionata, al termine del part-program verrà eseguito un rapporto HyperView.

Quando la casella di controllo Caricamento automatico HyperReport è selezionata, specificare un file HyperReport da caricare oppure usare il rapporto standard. Specificare un file inserendo un nome file nella casella di modifica File HyperReport oppure fare clic sul pulsante Sfoglia per aprire una finestra di dialogo Apri standard e selezionare un file di rapporto. Per usare il rapporto predefinito, selezionare la casella di controllo Usa rapporto standard.

Nota: il rapporto predefinito è registrato nel file PC-DMIS.INI. Inizialmente non esiste alcun rapporto predefinito impostato in questo file; per impostarlo, accertarsi che la casella di controllo Usa rapporto standard non sia selezionata, quindi selezionare un file HyperReport e fare clic su Usa rapporto standard. In questo modo, il rapporto standard del file .INI viene impostato sul file indicato nella finestra di modifica File HyperReport.